diff --git a/changelog b/changelog
index e88dbba..30d4e06 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,8 @@
+20130718 tpd src/axiom-website/patches.html 20130718.01.tpd.patch
+20130718 tpd src/input/rich1b.input
+20130718 tpd src/input/rich1a.input
+20130718 tpd src/input/Makefile
+20130718 tpd src/interp/Makefile
 20130715 tpd src/axiom-website/patches.html 20130715.01.tpd.patch
 20130715 tpd buglist add kamke4, kamke6 missing bug
 20130715 tpd src/axiom-website/CATS/index.html updated
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 4f4d7eb..1c5dfb2 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4234,6 +4234,8 @@ add rich integral set to CATS test suite
 src/input/charlwood.input added
 <a href="patches/20130715.01.tpd.patch">20130715.01.tpd.patch</a>
 CATS updated with txt, charlwood
+<a href="patches/20130718.01.tpd.patch">20130718.01.tpd.patch</a>
+CATS rich1a, rich1b
  </body>
 </html>
 
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index 790ea9e..0a5cccd 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -432,6 +432,8 @@ CATSTESTS= \
 These long-running tests have been split into a different group
 so we can run them in parallel. 
 <<regression tests>>=
+NEWRICHTESTS = rich1a.regress rich1b.regress
+
 RICHTESTS= \
     richalgebraic000-099.regress \
     richalgebraic100-199.regress \
@@ -472,7 +474,6 @@ RICHTESTS= \
     richtrig800-899.regress \
     richtrig900-920.regress 
 
-
 IN=     ${SRC}/input
 MID=	${INT}/input
 TMPFN:=$(shell echo $$RANDOM)
@@ -489,6 +490,11 @@ algebratests: ${OUTS}
           ${MAKE} -f Makefile.algebra )
 	@ echo si14 finished ${INT}/input
 
+newrichtests: ${NEWRICHTESTS} ${OUTS}
+	@ echo ======================================
+	@ echo src/input RUNNING NEW RICH TESTS
+	@ echo ======================================
+ 
 richtests: ${RICHTESTS} ${OUTS}
 	@ echo ======================================
 	@ echo src/input RUNNING RICH TESTS
@@ -504,7 +510,7 @@ regresstests: ${REGRESSTESTS} ${OUTS}
 	@ echo src/input RUNNING REGRESSION TESTS
 	@ echo ======================================
  
-alltests: regresstests catstests richtests algebratests ${OUTS}
+alltests: regresstests catstests newrichtests richtests algebratests ${OUTS}
 	@ echo ======================================
 	@ echo src/input RUNNING ALL TESTS
 	@ echo ======================================
@@ -779,7 +785,9 @@ FILES= ${OUT}/ackermann.input \
        ${OUT}/pmint.input    ${OUT}/polycoer.input \
        ${OUT}/poly1.input    ${OUT}/psgenfcn.input   \
        ${OUT}/quat.input     ${OUT}/quat1.input      ${OUT}/ribbon.input   \
-       ${OUT}/ribbons.input  ${OUT}/ribbonsnew.input ${OUT}/rk4draw.input  \
+       ${OUT}/ribbons.input  ${OUT}/ribbonsnew.input \
+       ${OUT}/rich1a.input   ${OUT}/rich1b.input \
+       ${OUT}/rk4draw.input  \
        ${OUT}/r20abugs.input \
        ${OUT}/r20bugs.input  ${OUT}/r21bugsbig.input \
        ${OUT}/r21bugs.input \
@@ -863,6 +871,8 @@ FILES2=${OUT}/arith.input    ${OUT}/bugs.input \
        ${OUT}/spadprof.input \
        ${OUT}/synonym2.input ${OUT}/torus.input      
 
+NEWRICHINPUT= ${OUT}/rich1a.input ${OUT}/rich1b.input
+
 RICHINPUT= \
        ${OUT}/richalgebraic000-099.input \
        ${OUT}/richalgebraic100-199.input \
@@ -1180,6 +1190,8 @@ DOCFILES= \
   ${DOC}/regset.input.dvi      ${DOC}/repa6.input.dvi      \
   ${DOC}/ribbon.input.dvi      ${DOC}/ribbons.input.dvi    \
   ${DOC}/ribbonsnew.input.dvi  \
+  ${DOC}/rich1a.input.dvi \
+  ${DOC}/rich1b.input.dvi \
   ${DOC}/richalgebraic000-099.input.dvi \
   ${DOC}/richalgebraic100-199.input.dvi \
   ${DOC}/richalgebraic200-299.input.dvi \
diff --git a/src/input/rich1a.input.pamphlet b/src/input/rich1a.input.pamphlet
new file mode 100644
index 0000000..4ae6691
--- /dev/null
+++ b/src/input/rich1a.input.pamphlet
@@ -0,0 +1,41096 @@
+\documentclass{article}
+\usepackage{axiom}
+\setlength{\textwidth}{400pt}
+\begin{document}
+\title{\$SPAD/src/input rich1a.input}
+\author{Albert Rich and Timothy Daly}
+\maketitle
+\begin{abstract}
+\end{abstract}
+\eject
+\tableofcontents
+\eject
+\section{License}
+\begin{chunk}{license}
+--Copyright The Numerical Algorithms Group Limited 1991.
+\end{chunk}
+\section{Integrands of the form $x^m (a+b x)^n$}
+\subsection{Integrands of the form $x^m$}
+\subsubsection{Integrands of the form $a$}
+
+\begin{chunk}{*}
+)set break resume
+)sys rm -f rich1a.output
+)spool rich1a.output
+)set message test on
+)set message auto off
+)clear all
+ 
+--S 1 of 3330
+t0000:=0
+--R 
+--R
+--R   (1)  0
+--R                                                     Type: NonNegativeInteger
+--E 1
+
+--S 2 of 3330
+r0000:=0
+--R 
+--R
+--R   (2)  0
+--R                                                     Type: NonNegativeInteger
+--E 2
+
+--S 3 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 3
+
+--S 4 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 4
+
+--S 5 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 5
+
+)clear all
+
+--S 6 of 3330
+t0000:=1
+--R 
+--R
+--R   (1)  1
+--R                                                        Type: PositiveInteger
+--E 6
+
+--S 7 of 3330
+r0000:=x
+--R 
+--R
+--R   (2)  x
+--R                                                            Type: Variable(x)
+--E 7
+
+--S 8 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)  x
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 8
+
+--S 9 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 9
+
+--S 10 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 10
+
+)clear all
+
+--S 11 of 3330
+t0000:=5
+--R 
+--R
+--R   (1)  5
+--R                                                        Type: PositiveInteger
+--E 11
+
+--S 12 of 3330
+r0000:=5*x
+--R 
+--R
+--R   (2)  5x
+--R                                                    Type: Polynomial(Integer)
+--E 12
+
+--S 13 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)  5x
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 13
+
+--S 14 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 14
+
+--S 15 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 15
+
+)clear all
+
+--S 16 of 3330
+t0000:=-2
+--R 
+--R
+--R   (1)  - 2
+--R                                                                Type: Integer
+--E 16
+
+--S 17 of 3330
+r0000:=-2*x
+--R 
+--R
+--R   (2)  - 2x
+--R                                                    Type: Polynomial(Integer)
+--E 17
+
+--S 18 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)  - 2x
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 18
+
+--S 19 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 19
+
+--S 20 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 20
+
+)clear all
+
+--S 21 of 3330
+t0000:=-3/2
+--R 
+--R
+--R          3
+--R   (1)  - -
+--R          2
+--R                                                      Type: Fraction(Integer)
+--E 21
+
+--S 22 of 3330
+r0000:=-3/2*x
+--R 
+--R
+--R          3
+--R   (2)  - - x
+--R          2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 22
+
+--S 23 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R          3x
+--R   (3)  - --
+--R           2
+--R                                         Type: Union(Expression(Integer),...)
+--E 23
+
+--S 24 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 24
+
+--S 25 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 25
+
+)clear all
+
+--S 26 of 3330
+t0000:=%pi
+--R 
+--R
+--R   (1)  %pi
+--R                                                                     Type: Pi
+--E 26
+
+--S 27 of 3330
+r0000:=%pi*x
+--R 
+--R
+--R   (2)  %pi x
+--R                                                    Type: Expression(Integer)
+--E 27
+
+--S 28 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)  %pi x
+--R                                         Type: Union(Expression(Integer),...)
+--E 28
+
+--S 29 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 29
+
+--S 30 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 30
+
+)clear all
+
+--S 31 of 3330
+t0000:=a
+--R 
+--R
+--R   (1)  a
+--R                                                            Type: Variable(a)
+--E 31
+
+--S 32 of 3330
+r0000:=a*x
+--R 
+--R
+--R   (2)  a x
+--R                                                    Type: Polynomial(Integer)
+--E 32
+
+--S 33 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)  a x
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 33
+
+--S 34 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 34
+
+--S 35 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 35
+
+)clear all
+
+--S 36 of 3330
+t0000:=3*a
+--R 
+--R
+--R   (1)  3a
+--R                                                    Type: Polynomial(Integer)
+--E 36
+
+--S 37 of 3330
+r0000:=3*a*x
+--R 
+--R
+--R   (2)  3a x
+--R                                                    Type: Polynomial(Integer)
+--E 37
+
+--S 38 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)  3a x
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 38
+
+--S 39 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 39
+
+--S 40 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 40
+
+)clear all
+
+--S 41 of 3330
+t0000:=%pi/sqrt(16-%e^2)
+--R 
+--R
+--R             %pi
+--R   (1)  -------------
+--R         +----------+
+--R         |    2
+--R        \|- %e  + 16
+--R                                                    Type: Expression(Integer)
+--E 41
+
+--S 42 of 3330
+r0000:=%pi*x/sqrt(16-%e^2)
+--R 
+--R
+--R            %pi x
+--R   (2)  -------------
+--R         +----------+
+--R         |    2
+--R        \|- %e  + 16
+--R                                                    Type: Expression(Integer)
+--E 42
+
+--S 43 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R            %pi x
+--R   (3)  -------------
+--R         +----------+
+--R         |    2
+--R        \|- %e  + 16
+--R                                         Type: Union(Expression(Integer),...)
+--E 43
+
+--S 44 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 44
+
+--S 45 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 45
+
+)clear all
+
+--S 46 of 3330
+t0000:=x^m
+--R 
+--R
+--R         m
+--R   (1)  x
+--R                                                    Type: Expression(Integer)
+--E 46
+
+--S 47 of 3330
+r0000:=x^(1+m)/(1+m)
+--R 
+--R
+--R         m + 1
+--R        x
+--R   (2)  ------
+--R         m + 1
+--R                                                    Type: Expression(Integer)
+--E 47
+
+--S 48 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R            m log(x)
+--R        x %e
+--R   (3)  ------------
+--R            m + 1
+--R                                         Type: Union(Expression(Integer),...)
+--E 48
+
+--S 49 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R            m log(x)    m + 1
+--R        x %e         - x
+--R   (4)  ---------------------
+--R                m + 1
+--R                                                    Type: Expression(Integer)
+--E 49
+
+--S 50 of 3330
+d0000:=normalize m0000
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 50
+
+)clear all
+
+--S 51 of 3330
+t0000:=x^100
+--R 
+--R
+--R         100
+--R   (1)  x
+--R                                                    Type: Polynomial(Integer)
+--E 51
+
+--S 52 of 3330
+r0000:=1/101*x^101
+--R 
+--R
+--R         1   101
+--R   (2)  --- x
+--R        101
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 52
+
+--S 53 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R         1   101
+--R   (3)  --- x
+--R        101
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 53
+
+--S 54 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 54
+
+--S 55 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 55
+
+)clear all
+
+--S 56 of 3330
+t0000:=x^3
+--R 
+--R
+--R         3
+--R   (1)  x
+--R                                                    Type: Polynomial(Integer)
+--E 56
+
+--S 57 of 3330
+r0000:=1/4*x^4
+--R 
+--R
+--R        1  4
+--R   (2)  - x
+--R        4
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 57
+
+--S 58 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        1  4
+--R   (3)  - x
+--R        4
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 58
+
+--S 59 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 59
+
+--S 60 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 60
+
+)clear all
+
+--S 61 of 3330
+t0000:=x^2
+--R 
+--R
+--R         2
+--R   (1)  x
+--R                                                    Type: Polynomial(Integer)
+--E 61
+
+--S 62 of 3330
+r0000:=1/3*x^3
+--R 
+--R
+--R        1  3
+--R   (2)  - x
+--R        3
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 62
+
+--S 63 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        1  3
+--R   (3)  - x
+--R        3
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 63
+
+--S 64 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 64
+
+--S 65 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 65
+
+)clear all
+
+--S 66 of 3330
+t0000:=x
+--R 
+--R
+--R   (1)  x
+--R                                                            Type: Variable(x)
+--E 66
+
+--S 67 of 3330
+r0000:=1/2*x^2
+--R 
+--R
+--R        1  2
+--R   (2)  - x
+--R        2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 67
+
+--S 68 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        1  2
+--R   (3)  - x
+--R        2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 68
+
+--S 69 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 69
+
+--S 70 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 70
+
+)clear all
+
+--S 71 of 3330
+t0000:=1
+--R 
+--R
+--R   (1)  1
+--R                                                        Type: PositiveInteger
+--E 71
+
+--S 72 of 3330
+r0000:=x
+--R 
+--R
+--R   (2)  x
+--R                                                            Type: Variable(x)
+--E 72
+
+--S 73 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)  x
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 73
+
+--S 74 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 74
+
+--S 75 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 75
+
+)clear all
+
+--S 76 of 3330
+t0000:=1/x
+--R 
+--R
+--R        1
+--R   (1)  -
+--R        x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 76
+
+--S 77 of 3330
+r0000:=log(x)
+--R 
+--R
+--R   (2)  log(x)
+--R                                                    Type: Expression(Integer)
+--E 77
+
+--S 78 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)  log(x)
+--R                                         Type: Union(Expression(Integer),...)
+--E 78
+
+--S 79 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 79
+
+--S 80 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 80
+
+)clear all
+
+--S 81 of 3330
+t0000:=1/x^2
+--R 
+--R
+--R         1
+--R   (1)  --
+--R         2
+--R        x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 81
+
+--S 82 of 3330
+r0000:=(-1)/x
+--R 
+--R
+--R          1
+--R   (2)  - -
+--R          x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 82
+
+--S 83 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R          1
+--R   (3)  - -
+--R          x
+--R                                         Type: Union(Expression(Integer),...)
+--E 83
+
+--S 84 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 84
+
+--S 85 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 85
+
+)clear all
+
+--S 86 of 3330
+t0000:=1/x^3
+--R 
+--R
+--R         1
+--R   (1)  --
+--R         3
+--R        x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 86
+
+--S 87 of 3330
+r0000:=(-1/2)/x^2
+--R 
+--R
+--R           1
+--R           -
+--R           2
+--R   (2)  - ---
+--R            2
+--R           x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 87
+
+--S 88 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           1
+--R   (3)  - ---
+--R            2
+--R          2x
+--R                                         Type: Union(Expression(Integer),...)
+--E 88
+
+--S 89 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 89
+
+--S 90 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 90
+
+)clear all
+
+--S 91 of 3330
+t0000:=1/x^4
+--R 
+--R
+--R         1
+--R   (1)  --
+--R         4
+--R        x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 91
+
+--S 92 of 3330
+r0000:=(-1/3)/x^3
+--R 
+--R
+--R           1
+--R           -
+--R           3
+--R   (2)  - ---
+--R            3
+--R           x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 92
+
+--S 93 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           1
+--R   (3)  - ---
+--R            3
+--R          3x
+--R                                         Type: Union(Expression(Integer),...)
+--E 93
+
+--S 94 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 94
+
+--S 95 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 95
+
+)clear all
+
+--S 96 of 3330
+t0000:=1/x^100
+--R 
+--R
+--R          1
+--R   (1)  ----
+--R         100
+--R        x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 96
+
+--S 97 of 3330
+r0000:=(-1/99)/x^99
+--R 
+--R
+--R            1
+--R           --
+--R           99
+--R   (2)  - ----
+--R            99
+--R           x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 97
+
+--S 98 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R            1
+--R   (3)  - -----
+--R             99
+--R          99x
+--R                                         Type: Union(Expression(Integer),...)
+--E 98
+
+--S 99 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 99
+
+--S 100 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 100
+
+)clear all
+
+--S 101 of 3330
+t0000:=1/(a*x^n+b*x^n)
+--R 
+--R
+--R            1
+--R   (1)  ---------
+--R                n
+--R        (b + a)x
+--R                                                    Type: Expression(Integer)
+--E 101
+
+--S 102 of 3330
+r0000:=x^(1-n)/((a+b)*(1-n))
+--R 
+--R
+--R               - n + 1
+--R              x
+--R   (2)  - ----------------
+--R          (b + a)n - b - a
+--R                                                    Type: Expression(Integer)
+--E 102
+
+--S 103 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                        x
+--R   (3)  - ----------------------------
+--R                              n log(x)
+--R          ((b + a)n - b - a)%e
+--R                                         Type: Union(Expression(Integer),...)
+--E 103
+
+--S 104 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R            - n + 1  n log(x)
+--R           x       %e         - x
+--R   (4)  ----------------------------
+--R                            n log(x)
+--R        ((b + a)n - b - a)%e
+--R                                                    Type: Expression(Integer)
+--E 104
+
+--S 105 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R           - n  n log(x)
+--R        - x   %e         + 1
+--R   (5)  --------------------
+--R                   n log(x)
+--R          (b + a)%e
+--R                                                    Type: Expression(Integer)
+--E 105
+
+)clear all
+
+--S 106 of 3330
+t0000:=x^(5/2)
+--R 
+--R
+--R         2 +-+
+--R   (1)  x \|x
+--R                                                    Type: Expression(Integer)
+--E 106
+
+--S 107 of 3330
+r0000:=2/7*x^(7/2)
+--R 
+--R
+--R          3 +-+
+--R        2x \|x
+--R   (2)  -------
+--R           7
+--R                                                    Type: Expression(Integer)
+--E 107
+
+--S 108 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R          3 +-+
+--R        2x \|x
+--R   (3)  -------
+--R           7
+--R                                         Type: Union(Expression(Integer),...)
+--E 108
+
+--S 109 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 109
+
+--S 110 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 110
+
+)clear all
+
+--S 111 of 3330
+t0000:=x^(3/2)
+--R 
+--R
+--R          +-+
+--R   (1)  x\|x
+--R                                                    Type: Expression(Integer)
+--E 111
+
+--S 112 of 3330
+r0000:=2/5*x^(5/2)
+--R 
+--R
+--R          2 +-+
+--R        2x \|x
+--R   (2)  -------
+--R           5
+--R                                                    Type: Expression(Integer)
+--E 112
+
+--S 113 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R          2 +-+
+--R        2x \|x
+--R   (3)  -------
+--R           5
+--R                                         Type: Union(Expression(Integer),...)
+--E 113
+
+--S 114 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 114
+
+--S 115 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 115
+
+)clear all
+
+--S 116 of 3330
+t0000:=x^(1/2)
+--R 
+--R
+--R         +-+
+--R   (1)  \|x
+--R                                                    Type: Expression(Integer)
+--E 116
+
+--S 117 of 3330
+r0000:=2/3*x^(3/2)
+--R 
+--R
+--R           +-+
+--R        2x\|x
+--R   (2)  ------
+--R           3
+--R                                                    Type: Expression(Integer)
+--E 117
+
+--S 118 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           +-+
+--R        2x\|x
+--R   (3)  ------
+--R           3
+--R                                         Type: Union(Expression(Integer),...)
+--E 118
+
+--S 119 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 119
+
+--S 120 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 120
+
+)clear all
+
+--S 121 of 3330
+t0000:=1/x^(1/2)
+--R 
+--R
+--R          1
+--R   (1)  ----
+--R         +-+
+--R        \|x
+--R                                                    Type: Expression(Integer)
+--E 121
+
+--S 122 of 3330
+r0000:=2*sqrt(x)
+--R 
+--R
+--R          +-+
+--R   (2)  2\|x
+--R                                                    Type: Expression(Integer)
+--E 122
+
+--S 123 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R          +-+
+--R   (3)  2\|x
+--R                                         Type: Union(Expression(Integer),...)
+--E 123
+
+--S 124 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 124
+
+--S 125 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 125
+
+)clear all
+
+--S 126 of 3330
+t0000:=1/x^(3/2)
+--R 
+--R
+--R          1
+--R   (1)  -----
+--R          +-+
+--R        x\|x
+--R                                                    Type: Expression(Integer)
+--E 126
+
+--S 127 of 3330
+r0000:=(-2)/sqrt(x)
+--R 
+--R
+--R            2
+--R   (2)  - ----
+--R           +-+
+--R          \|x
+--R                                                    Type: Expression(Integer)
+--E 127
+
+--S 128 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R            2
+--R   (3)  - ----
+--R           +-+
+--R          \|x
+--R                                         Type: Union(Expression(Integer),...)
+--E 128
+
+--S 129 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 129
+
+--S 130 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 130
+
+)clear all
+
+--S 131 of 3330
+t0000:=1/x^(5/2)
+--R 
+--R
+--R           1
+--R   (1)  ------
+--R         2 +-+
+--R        x \|x
+--R                                                    Type: Expression(Integer)
+--E 131
+
+--S 132 of 3330
+r0000:=(-2/3)/x^(3/2)
+--R 
+--R
+--R             2
+--R   (2)  - ------
+--R             +-+
+--R          3x\|x
+--R                                                    Type: Expression(Integer)
+--E 132
+
+--S 133 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R             2
+--R   (3)  - ------
+--R             +-+
+--R          3x\|x
+--R                                         Type: Union(Expression(Integer),...)
+--E 133
+
+--S 134 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 134
+
+--S 135 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 135
+
+)clear all
+
+--S 136 of 3330
+t0000:=x^(5/3)
+--R 
+--R
+--R          3+-+2
+--R   (1)  x \|x
+--R                                                    Type: Expression(Integer)
+--E 136
+
+--S 137 of 3330
+r0000:=3/8*x^(8/3)
+--R 
+--R
+--R          2 3+-+2
+--R        3x  \|x
+--R   (2)  --------
+--R            8
+--R                                                    Type: Expression(Integer)
+--E 137
+
+--S 138 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R          2 3+-+2
+--R        3x  \|x
+--R   (3)  --------
+--R            8
+--R                                         Type: Union(Expression(Integer),...)
+--E 138
+
+--S 139 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 139
+
+--S 140 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 140
+
+)clear all
+
+--S 141 of 3330
+t0000:=x^(4/3)
+--R 
+--R
+--R         3+-+
+--R   (1)  x\|x
+--R                                                    Type: Expression(Integer)
+--E 141
+
+--S 142 of 3330
+r0000:=3/7*x^(7/3)
+--R 
+--R
+--R          2 3+-+
+--R        3x  \|x
+--R   (2)  -------
+--R           7
+--R                                                    Type: Expression(Integer)
+--E 142
+
+--S 143 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R          2 3+-+
+--R        3x  \|x
+--R   (3)  -------
+--R           7
+--R                                         Type: Union(Expression(Integer),...)
+--E 143
+
+--S 144 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 144
+
+--S 145 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 145
+
+)clear all
+
+--S 146 of 3330
+t0000:=x^(2/3)
+--R 
+--R
+--R        3+-+2
+--R   (1)  \|x
+--R                                                    Type: Expression(Integer)
+--E 146
+
+--S 147 of 3330
+r0000:=3/5*x^(5/3)
+--R 
+--R
+--R           3+-+2
+--R        3x \|x
+--R   (2)  --------
+--R            5
+--R                                                    Type: Expression(Integer)
+--E 147
+
+--S 148 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           3+-+2
+--R        3x \|x
+--R   (3)  --------
+--R            5
+--R                                         Type: Union(Expression(Integer),...)
+--E 148
+
+--S 149 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 149
+
+--S 150 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 150
+
+)clear all
+
+--S 151 of 3330
+t0000:=x^(1/3)
+--R 
+--R
+--R        3+-+
+--R   (1)  \|x
+--R                                                    Type: Expression(Integer)
+--E 151
+
+--S 152 of 3330
+r0000:=3/4*x^(4/3)
+--R 
+--R
+--R          3+-+
+--R        3x\|x
+--R   (2)  ------
+--R           4
+--R                                                    Type: Expression(Integer)
+--E 152
+
+--S 153 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R          3+-+
+--R        3x\|x
+--R   (3)  ------
+--R           4
+--R                                         Type: Union(Expression(Integer),...)
+--E 153
+
+--S 154 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 154
+
+--S 155 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 155
+
+)clear all
+
+--S 156 of 3330
+t0000:=1/x^(1/3)
+--R 
+--R
+--R          1
+--R   (1)  ----
+--R        3+-+
+--R        \|x
+--R                                                    Type: Expression(Integer)
+--E 156
+
+--S 157 of 3330
+r0000:=3/2*x^(2/3)
+--R 
+--R
+--R         3+-+2
+--R        3\|x
+--R   (2)  ------
+--R           2
+--R                                                    Type: Expression(Integer)
+--E 157
+
+--S 158 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R         3+-+2
+--R        3\|x
+--R   (3)  ------
+--R           2
+--R                                         Type: Union(Expression(Integer),...)
+--E 158
+
+--S 159 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 159
+
+--S 160 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 160
+
+)clear all
+
+--S 161 of 3330
+t0000:=1/x^(2/3)
+--R 
+--R
+--R          1
+--R   (1)  -----
+--R        3+-+2
+--R        \|x
+--R                                                    Type: Expression(Integer)
+--E 161
+
+--S 162 of 3330
+r0000:=3*x^(1/3)
+--R 
+--R
+--R         3+-+
+--R   (2)  3\|x
+--R                                                    Type: Expression(Integer)
+--E 162
+
+--S 163 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R         3+-+
+--R   (3)  3\|x
+--R                                         Type: Union(Expression(Integer),...)
+--E 163
+
+--S 164 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 164
+
+--S 165 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 165
+
+)clear all
+
+--S 166 of 3330
+t0000:=1/x^(4/3)
+--R 
+--R
+--R          1
+--R   (1)  -----
+--R         3+-+
+--R        x\|x
+--R                                                    Type: Expression(Integer)
+--E 166
+
+--S 167 of 3330
+r0000:=(-3)/x^(1/3)
+--R 
+--R
+--R            3
+--R   (2)  - ----
+--R          3+-+
+--R          \|x
+--R                                                    Type: Expression(Integer)
+--E 167
+
+--S 168 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R            3
+--R   (3)  - ----
+--R          3+-+
+--R          \|x
+--R                                         Type: Union(Expression(Integer),...)
+--E 168
+
+--S 169 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 169
+
+--S 170 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 170
+
+)clear all
+
+--S 171 of 3330
+t0000:=1/x^(5/3)
+--R 
+--R
+--R           1
+--R   (1)  -------
+--R          3+-+2
+--R        x \|x
+--R                                                    Type: Expression(Integer)
+--E 171
+
+--S 172 of 3330
+r0000:=(-3/2)/x^(2/3)
+--R 
+--R
+--R             3
+--R   (2)  - ------
+--R           3+-+2
+--R          2\|x
+--R                                                    Type: Expression(Integer)
+--E 172
+
+--S 173 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R             3
+--R   (3)  - ------
+--R           3+-+2
+--R          2\|x
+--R                                         Type: Union(Expression(Integer),...)
+--E 173
+
+--S 174 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 174
+
+--S 175 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 175
+
+)clear all
+
+--S 176 of 3330
+t0000:=x^m*(a+b*x)
+--R 
+--R
+--R                  m
+--R   (1)  (b x + a)x
+--R                                                    Type: Expression(Integer)
+--E 176
+
+--S 177 of 3330
+r0000:=a*x^(1+m)/(1+m)+b*x^(2+m)/(2+m)
+--R 
+--R
+--R                  m + 2              m + 1
+--R        (b m + b)x      + (a m + 2a)x
+--R   (2)  ----------------------------------
+--R                     2
+--R                    m  + 3m + 2
+--R                                                    Type: Expression(Integer)
+--E 177
+
+--S 178 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                   2                 m log(x)
+--R        ((b m + b)x  + (a m + 2a)x)%e
+--R   (3)  -------------------------------------
+--R                      2
+--R                     m  + 3m + 2
+--R                                         Type: Union(Expression(Integer),...)
+--E 178
+
+--S 179 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R                  2                 m log(x)               m + 2
+--R       ((b m + b)x  + (a m + 2a)x)%e         + (- b m - b)x
+--R     + 
+--R                    m + 1
+--R       (- a m - 2a)x
+--R  /
+--R      2
+--R     m  + 3m + 2
+--R                                                    Type: Expression(Integer)
+--E 179
+
+--S 180 of 3330
+d0000:=normalize m0000
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 180
+
+)clear all
+
+--S 181 of 3330
+t0000:=x^3*(a+b*x)
+--R 
+--R
+--R           4      3
+--R   (1)  b x  + a x
+--R                                                    Type: Polynomial(Integer)
+--E 181
+
+--S 182 of 3330
+r0000:=1/4*a*x^4+1/5*b*x^5
+--R 
+--R
+--R        1    5   1    4
+--R   (2)  - b x  + - a x
+--R        5        4
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 182
+
+--S 183 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        1    5   1    4
+--R   (3)  - b x  + - a x
+--R        5        4
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 183
+
+--S 184 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 184
+
+--S 185 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 185
+
+)clear all
+
+--S 186 of 3330
+t0000:=x^2*(a+b*x)
+--R 
+--R
+--R           3      2
+--R   (1)  b x  + a x
+--R                                                    Type: Polynomial(Integer)
+--E 186
+
+--S 187 of 3330
+r0000:=1/3*a*x^3+1/4*b*x^4
+--R 
+--R
+--R        1    4   1    3
+--R   (2)  - b x  + - a x
+--R        4        3
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 187
+
+--S 188 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        1    4   1    3
+--R   (3)  - b x  + - a x
+--R        4        3
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 188
+
+--S 189 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 189
+
+--S 190 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 190
+
+)clear all
+
+--S 191 of 3330
+t0000:=x*(a+b*x)
+--R 
+--R
+--R           2
+--R   (1)  b x  + a x
+--R                                                    Type: Polynomial(Integer)
+--E 191
+
+--S 192 of 3330
+r0000:=1/2*a*x^2+1/3*b*x^3
+--R 
+--R
+--R        1    3   1    2
+--R   (2)  - b x  + - a x
+--R        3        2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 192
+
+--S 193 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        1    3   1    2
+--R   (3)  - b x  + - a x
+--R        3        2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 193
+
+--S 194 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 194
+
+--S 195 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 195
+
+)clear all
+
+--S 196 of 3330
+t0000:=a+b*x
+--R 
+--R
+--R   (1)  b x + a
+--R                                                    Type: Polynomial(Integer)
+--E 196
+
+--S 197 of 3330
+r0000:=a*x+1/2*b*x^2
+--R 
+--R
+--R        1    2
+--R   (2)  - b x  + a x
+--R        2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 197
+
+--S 198 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        1    2
+--R   (3)  - b x  + a x
+--R        2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 198
+
+--S 199 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 199
+
+--S 200 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 200
+
+)clear all
+
+--S 201 of 3330
+t0000:=(a+b*x)/x
+--R 
+--R
+--R        b x + a
+--R   (1)  -------
+--R           x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 201
+
+--S 202 of 3330
+r0000:=b*x+a*log(x)
+--R 
+--R
+--R   (2)  a log(x) + b x
+--R                                                    Type: Expression(Integer)
+--E 202
+
+--S 203 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)  a log(x) + b x
+--R                                         Type: Union(Expression(Integer),...)
+--E 203
+
+--S 204 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 204
+
+--S 205 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 205
+
+)clear all
+
+--S 206 of 3330
+t0000:=(a+b*x)/x^2
+--R 
+--R
+--R        b x + a
+--R   (1)  -------
+--R            2
+--R           x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 206
+
+--S 207 of 3330
+r0000:=-a/x+b*log(x)
+--R 
+--R
+--R        b x log(x) - a
+--R   (2)  --------------
+--R               x
+--R                                                    Type: Expression(Integer)
+--E 207
+
+--S 208 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        b x log(x) - a
+--R   (3)  --------------
+--R               x
+--R                                         Type: Union(Expression(Integer),...)
+--E 208
+
+--S 209 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 209
+
+--S 210 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 210
+
+)clear all
+
+--S 211 of 3330
+t0000:=(a+b*x)/x^3
+--R 
+--R
+--R        b x + a
+--R   (1)  -------
+--R            3
+--R           x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 211
+
+--S 212 of 3330
+r0000:=-1/2*a/x^2-b/x
+--R 
+--R
+--R                1
+--R        - b x - - a
+--R                2
+--R   (2)  -----------
+--R              2
+--R             x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 212
+
+--S 213 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        - 2b x - a
+--R   (3)  ----------
+--R              2
+--R            2x
+--R                                         Type: Union(Expression(Integer),...)
+--E 213
+
+--S 214 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 214
+
+--S 215 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 215
+
+)clear all
+
+--S 216 of 3330
+t0000:=(a+b*x)/x^4
+--R 
+--R
+--R        b x + a
+--R   (1)  -------
+--R            4
+--R           x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 216
+
+--S 217 of 3330
+r0000:=-1/3*a/x^3-1/2*b/x^2
+--R 
+--R
+--R          1       1
+--R        - - b x - - a
+--R          2       3
+--R   (2)  -------------
+--R               3
+--R              x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 217
+
+--S 218 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        - 3b x - 2a
+--R   (3)  -----------
+--R              3
+--R            6x
+--R                                         Type: Union(Expression(Integer),...)
+--E 218
+
+--S 219 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 219
+
+--S 220 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 220
+
+)clear all
+
+--S 221 of 3330
+t0000:=(a+b*x)/x^5
+--R 
+--R
+--R        b x + a
+--R   (1)  -------
+--R            5
+--R           x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 221
+
+--S 222 of 3330
+r0000:=-1/4*a/x^4-1/3*b/x^3
+--R 
+--R
+--R          1       1
+--R        - - b x - - a
+--R          3       4
+--R   (2)  -------------
+--R               4
+--R              x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 222
+
+--S 223 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        - 4b x - 3a
+--R   (3)  -----------
+--R               4
+--R            12x
+--R                                         Type: Union(Expression(Integer),...)
+--E 223
+
+--S 224 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 224
+
+--S 225 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 225
+
+)clear all
+
+--S 226 of 3330
+t0000:=x^m*(a+b*x)^2
+--R 
+--R
+--R          2 2             2  m
+--R   (1)  (b x  + 2a b x + a )x
+--R                                                    Type: Expression(Integer)
+--E 226
+
+--S 227 of 3330
+r0000:=a^2*x^(1+m)/(1+m)+2*a*b*x^(2+m)/(2+m)+b^2*x^(3+m)/(3+m)
+--R 
+--R
+--R   (2)
+--R         2 2     2      2  m + 3          2                  m + 2
+--R       (b m  + 3b m + 2b )x      + (2a b m  + 8a b m + 6a b)x
+--R     + 
+--R         2 2     2      2  m + 1
+--R       (a m  + 5a m + 6a )x
+--R  /
+--R      3     2
+--R     m  + 6m  + 11m + 6
+--R                                                    Type: Expression(Integer)
+--E 227
+
+--S 228 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R           2 2     2      2  3          2                  2
+--R         (b m  + 3b m + 2b )x  + (2a b m  + 8a b m + 6a b)x
+--R       + 
+--R           2 2     2      2
+--R         (a m  + 5a m + 6a )x
+--R    *
+--R         m log(x)
+--R       %e
+--R  /
+--R      3     2
+--R     m  + 6m  + 11m + 6
+--R                                         Type: Union(Expression(Integer),...)
+--E 228
+
+--S 229 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R             2 2     2      2  3          2                  2
+--R           (b m  + 3b m + 2b )x  + (2a b m  + 8a b m + 6a b)x
+--R         + 
+--R             2 2     2      2
+--R           (a m  + 5a m + 6a )x
+--R      *
+--R           m log(x)
+--R         %e
+--R     + 
+--R           2 2     2      2  m + 3            2                  m + 2
+--R       (- b m  - 3b m - 2b )x      + (- 2a b m  - 8a b m - 6a b)x
+--R     + 
+--R           2 2     2      2  m + 1
+--R       (- a m  - 5a m - 6a )x
+--R  /
+--R      3     2
+--R     m  + 6m  + 11m + 6
+--R                                                    Type: Expression(Integer)
+--E 229
+
+--S 230 of 3330
+d0000:=normalize m0000
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 230
+
+)clear all
+
+--S 231 of 3330
+t0000:=x^3*(a+b*x)^2
+--R 
+--R
+--R         2 5         4    2 3
+--R   (1)  b x  + 2a b x  + a x
+--R                                                    Type: Polynomial(Integer)
+--E 231
+
+--S 232 of 3330
+r0000:=1/4*a^2*x^4+2/5*a*b*x^5+1/6*b^2*x^6
+--R 
+--R
+--R        1  2 6   2      5   1  2 4
+--R   (2)  - b x  + - a b x  + - a x
+--R        6        5          4
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 232
+
+--S 233 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        1  2 6   2      5   1  2 4
+--R   (3)  - b x  + - a b x  + - a x
+--R        6        5          4
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 233
+
+--S 234 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 234
+
+--S 235 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 235
+
+)clear all
+
+--S 236 of 3330
+t0000:=x^2*(a+b*x)^2
+--R 
+--R
+--R         2 4         3    2 2
+--R   (1)  b x  + 2a b x  + a x
+--R                                                    Type: Polynomial(Integer)
+--E 236
+
+--S 237 of 3330
+r0000:=1/3*a^2*x^3+1/2*a*b*x^4+1/5*b^2*x^5
+--R 
+--R
+--R        1  2 5   1      4   1  2 3
+--R   (2)  - b x  + - a b x  + - a x
+--R        5        2          3
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 237
+
+--S 238 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        1  2 5   1      4   1  2 3
+--R   (3)  - b x  + - a b x  + - a x
+--R        5        2          3
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 238
+
+--S 239 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 239
+
+--S 240 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 240
+
+)clear all
+
+--S 241 of 3330
+t0000:=x*(a+b*x)^2
+--R 
+--R
+--R         2 3         2    2
+--R   (1)  b x  + 2a b x  + a x
+--R                                                    Type: Polynomial(Integer)
+--E 241
+
+--S 242 of 3330
+r0000:=1/2*a^2*x^2+2/3*a*b*x^3+1/4*b^2*x^4
+--R 
+--R
+--R        1  2 4   2      3   1  2 2
+--R   (2)  - b x  + - a b x  + - a x
+--R        4        3          2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 242
+
+--S 243 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        1  2 4   2      3   1  2 2
+--R   (3)  - b x  + - a b x  + - a x
+--R        4        3          2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 243
+
+--S 244 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 244
+
+--S 245 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 245
+
+)clear all
+
+--S 246 of 3330
+t0000:=(a+b*x)^2
+--R 
+--R
+--R         2 2             2
+--R   (1)  b x  + 2a b x + a
+--R                                                    Type: Polynomial(Integer)
+--E 246
+
+--S 247 of 3330
+r0000:=1/3*(a+b*x)^3/b
+--R 
+--R
+--R        1  3 3      2 2    2      1  3
+--R        - b x  + a b x  + a b x + - a
+--R        3                         3
+--R   (2)  ------------------------------
+--R                       b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 247
+
+--S 248 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        1  2 3        2    2
+--R   (3)  - b x  + a b x  + a x
+--R        3
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 248
+
+--S 249 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R          1  3
+--R          - a
+--R          3
+--R   (4)  - ----
+--R            b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 249
+
+--S 250 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 250
+
+)clear all
+
+--S 251 of 3330
+t0000:=(a+b*x)^2/x
+--R 
+--R
+--R         2 2             2
+--R        b x  + 2a b x + a
+--R   (1)  ------------------
+--R                 x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 251
+
+--S 252 of 3330
+r0000:=2*a*b*x+1/2*b^2*x^2+a^2*log(x)
+--R 
+--R
+--R          2          2 2
+--R        2a log(x) + b x  + 4a b x
+--R   (2)  -------------------------
+--R                    2
+--R                                                    Type: Expression(Integer)
+--E 252
+
+--S 253 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R          2          2 2
+--R        2a log(x) + b x  + 4a b x
+--R   (3)  -------------------------
+--R                    2
+--R                                         Type: Union(Expression(Integer),...)
+--E 253
+
+--S 254 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 254
+
+--S 255 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 255
+
+)clear all
+
+--S 256 of 3330
+t0000:=(a+b*x)^2/x^2
+--R 
+--R
+--R         2 2             2
+--R        b x  + 2a b x + a
+--R   (1)  ------------------
+--R                 2
+--R                x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 256
+
+--S 257 of 3330
+r0000:=-a^2/x+b^2*x+2*a*b*log(x)
+--R 
+--R
+--R                         2 2    2
+--R        2a b x log(x) + b x  - a
+--R   (2)  -------------------------
+--R                    x
+--R                                                    Type: Expression(Integer)
+--E 257
+
+--S 258 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                         2 2    2
+--R        2a b x log(x) + b x  - a
+--R   (3)  -------------------------
+--R                    x
+--R                                         Type: Union(Expression(Integer),...)
+--E 258
+
+--S 259 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 259
+
+--S 260 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 260
+
+)clear all
+
+--S 261 of 3330
+t0000:=(a+b*x)^2/x^3
+--R 
+--R
+--R         2 2             2
+--R        b x  + 2a b x + a
+--R   (1)  ------------------
+--R                 3
+--R                x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 261
+
+--S 262 of 3330
+r0000:=-1/2*a^2/x^2-2*a*b/x+b^2*log(x)
+--R 
+--R
+--R          2 2                   2
+--R        2b x log(x) - 4a b x - a
+--R   (2)  -------------------------
+--R                     2
+--R                   2x
+--R                                                    Type: Expression(Integer)
+--E 262
+
+--S 263 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R          2 2                   2
+--R        2b x log(x) - 4a b x - a
+--R   (3)  -------------------------
+--R                     2
+--R                   2x
+--R                                         Type: Union(Expression(Integer),...)
+--E 263
+
+--S 264 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 264
+
+--S 265 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 265
+
+)clear all
+
+--S 266 of 3330
+t0000:=(a+b*x)^2/x^4
+--R 
+--R
+--R         2 2             2
+--R        b x  + 2a b x + a
+--R   (1)  ------------------
+--R                 4
+--R                x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 266
+
+--S 267 of 3330
+r0000:=-1/3*(a+b*x)^3/(a*x^3)
+--R 
+--R
+--R          1  3 3      2 2    2      1  3
+--R        - - b x  - a b x  - a b x - - a
+--R          3                         3
+--R   (2)  --------------------------------
+--R                         3
+--R                      a x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 267
+
+--S 268 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R            2 2             2
+--R        - 3b x  - 3a b x - a
+--R   (3)  ---------------------
+--R                   3
+--R                 3x
+--R                                         Type: Union(Expression(Integer),...)
+--E 268
+
+--S 269 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R         3
+--R        b
+--R   (4)  --
+--R        3a
+--R                                                    Type: Expression(Integer)
+--E 269
+
+--S 270 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 270
+
+)clear all
+
+--S 271 of 3330
+t0000:=(a+b*x)^2/x^5
+--R 
+--R
+--R         2 2             2
+--R        b x  + 2a b x + a
+--R   (1)  ------------------
+--R                 5
+--R                x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 271
+
+--S 272 of 3330
+r0000:=-1/4*a^2/x^4-2/3*a*b/x^3-1/2*b^2/x^2
+--R 
+--R
+--R          1  2 2   2         1  2
+--R        - - b x  - - a b x - - a
+--R          2        3         4
+--R   (2)  -------------------------
+--R                     4
+--R                    x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 272
+
+--S 273 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R            2 2              2
+--R        - 6b x  - 8a b x - 3a
+--R   (3)  ----------------------
+--R                    4
+--R                 12x
+--R                                         Type: Union(Expression(Integer),...)
+--E 273
+
+--S 274 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 274
+
+--S 275 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 275
+
+)clear all
+
+--S 276 of 3330
+t0000:=(a+b*x)^2/x^6
+--R 
+--R
+--R         2 2             2
+--R        b x  + 2a b x + a
+--R   (1)  ------------------
+--R                 6
+--R                x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 276
+
+--S 277 of 3330
+r0000:=-1/5*a^2/x^5-1/2*a*b/x^4-1/3*b^2/x^3
+--R 
+--R
+--R          1  2 2   1         1  2
+--R        - - b x  - - a b x - - a
+--R          3        2         5
+--R   (2)  -------------------------
+--R                     5
+--R                    x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 277
+
+--S 278 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R             2 2               2
+--R        - 10b x  - 15a b x - 6a
+--R   (3)  ------------------------
+--R                     5
+--R                  30x
+--R                                         Type: Union(Expression(Integer),...)
+--E 278
+
+--S 279 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 279
+
+--S 280 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 280
+
+)clear all
+
+--S 281 of 3330
+t0000:=(a+b*x)^2/x^7
+--R 
+--R
+--R         2 2             2
+--R        b x  + 2a b x + a
+--R   (1)  ------------------
+--R                 7
+--R                x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 281
+
+--S 282 of 3330
+r0000:=-1/6*a^2/x^6-2/5*a*b/x^5-1/4*b^2/x^4
+--R 
+--R
+--R          1  2 2   2         1  2
+--R        - - b x  - - a b x - - a
+--R          4        5         6
+--R   (2)  -------------------------
+--R                     6
+--R                    x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 282
+
+--S 283 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R             2 2                2
+--R        - 15b x  - 24a b x - 10a
+--R   (3)  -------------------------
+--R                      6
+--R                   60x
+--R                                         Type: Union(Expression(Integer),...)
+--E 283
+
+--S 284 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 284
+
+--S 285 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 285
+
+)clear all
+
+--S 286 of 3330
+t0000:=(a+b*x)^2/x^8
+--R 
+--R
+--R         2 2             2
+--R        b x  + 2a b x + a
+--R   (1)  ------------------
+--R                 8
+--R                x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 286
+
+--S 287 of 3330
+r0000:=-1/7*a^2/x^7-1/3*a*b/x^6-1/5*b^2/x^5
+--R 
+--R
+--R          1  2 2   1         1  2
+--R        - - b x  - - a b x - - a
+--R          5        3         7
+--R   (2)  -------------------------
+--R                     7
+--R                    x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 287
+
+--S 288 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R             2 2                2
+--R        - 21b x  - 35a b x - 15a
+--R   (3)  -------------------------
+--R                      7
+--R                  105x
+--R                                         Type: Union(Expression(Integer),...)
+--E 288
+
+--S 289 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 289
+
+--S 290 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 290
+
+)clear all
+
+--S 291 of 3330
+t0000:=x^m*(a+b*x)^3
+--R 
+--R
+--R          3 3       2 2     2       3  m
+--R   (1)  (b x  + 3a b x  + 3a b x + a )x
+--R                                                    Type: Expression(Integer)
+--E 291
+
+--S 292 of 3330
+r0000:=a^3*x^(1+m)/(1+m)+3*a^2*b*x^(2+m)/(2+m)+3*a*b^2*x^(3+m)/_
+     (3+m)+b^3*x^(4+m)/(4+m)
+--R 
+--R
+--R   (2)
+--R         3 3     3 2      3      3  m + 4
+--R       (b m  + 6b m  + 11b m + 6b )x
+--R     + 
+--R            2 3        2 2        2         2  m + 3
+--R       (3a b m  + 21a b m  + 42a b m + 24a b )x
+--R     + 
+--R          2   3      2   2      2         2   m + 2
+--R       (3a b m  + 24a b m  + 57a b m + 36a b)x
+--R     + 
+--R         3 3     3 2      3       3  m + 1
+--R       (a m  + 9a m  + 26a m + 24a )x
+--R  /
+--R      4      3      2
+--R     m  + 10m  + 35m  + 50m + 24
+--R                                                    Type: Expression(Integer)
+--E 292
+
+--S 293 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R           3 3     3 2      3      3  4
+--R         (b m  + 6b m  + 11b m + 6b )x
+--R       + 
+--R              2 3        2 2        2         2  3
+--R         (3a b m  + 21a b m  + 42a b m + 24a b )x
+--R       + 
+--R          2   3      2   2      2         2   2     3 3     3 2      3       3
+--R       (3a b m  + 24a b m  + 57a b m + 36a b)x  + (a m  + 9a m  + 26a m + 24a )x
+--R    *
+--R         m log(x)
+--R       %e
+--R  /
+--R      4      3      2
+--R     m  + 10m  + 35m  + 50m + 24
+--R                                         Type: Union(Expression(Integer),...)
+--E 293
+
+--S 294 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R             3 3     3 2      3      3  4
+--R           (b m  + 6b m  + 11b m + 6b )x
+--R         + 
+--R                2 3        2 2        2         2  3
+--R           (3a b m  + 21a b m  + 42a b m + 24a b )x
+--R         + 
+--R              2   3      2   2      2         2   2
+--R           (3a b m  + 24a b m  + 57a b m + 36a b)x
+--R         + 
+--R             3 3     3 2      3       3
+--R           (a m  + 9a m  + 26a m + 24a )x
+--R      *
+--R           m log(x)
+--R         %e
+--R     + 
+--R           3 3     3 2      3      3  m + 4
+--R       (- b m  - 6b m  - 11b m - 6b )x
+--R     + 
+--R              2 3        2 2        2         2  m + 3
+--R       (- 3a b m  - 21a b m  - 42a b m - 24a b )x
+--R     + 
+--R            2   3      2   2      2         2   m + 2
+--R       (- 3a b m  - 24a b m  - 57a b m - 36a b)x
+--R     + 
+--R           3 3     3 2      3       3  m + 1
+--R       (- a m  - 9a m  - 26a m - 24a )x
+--R  /
+--R      4      3      2
+--R     m  + 10m  + 35m  + 50m + 24
+--R                                                    Type: Expression(Integer)
+--E 294
+
+--S 295 of 3330
+d0000:=normalize m0000
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 295
+
+)clear all
+
+--S 296 of 3330
+t0000:=x^3*(a+b*x)^3
+--R 
+--R
+--R         3 6       2 5     2   4    3 3
+--R   (1)  b x  + 3a b x  + 3a b x  + a x
+--R                                                    Type: Polynomial(Integer)
+--E 296
+
+--S 297 of 3330
+r0000:=1/4*a^3*x^4+3/5*a^2*b*x^5+1/2*a*b^2*x^6+1/7*b^3*x^7
+--R 
+--R
+--R        1  3 7   1    2 6   3  2   5   1  3 4
+--R   (2)  - b x  + - a b x  + - a b x  + - a x
+--R        7        2          5          4
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 297
+
+--S 298 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        1  3 7   1    2 6   3  2   5   1  3 4
+--R   (3)  - b x  + - a b x  + - a b x  + - a x
+--R        7        2          5          4
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 298
+
+--S 299 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 299
+
+--S 300 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 300
+
+)clear all
+
+--S 301 of 3330
+t0000:=x^2*(a+b*x)^3
+--R 
+--R
+--R         3 5       2 4     2   3    3 2
+--R   (1)  b x  + 3a b x  + 3a b x  + a x
+--R                                                    Type: Polynomial(Integer)
+--E 301
+
+--S 302 of 3330
+r0000:=1/3*a^3*x^3+3/4*a^2*b*x^4+3/5*a*b^2*x^5+1/6*b^3*x^6
+--R 
+--R
+--R        1  3 6   3    2 5   3  2   4   1  3 3
+--R   (2)  - b x  + - a b x  + - a b x  + - a x
+--R        6        5          4          3
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 302
+
+--S 303 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        1  3 6   3    2 5   3  2   4   1  3 3
+--R   (3)  - b x  + - a b x  + - a b x  + - a x
+--R        6        5          4          3
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 303
+
+--S 304 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 304
+
+--S 305 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 305
+
+)clear all
+
+--S 306 of 3330
+t0000:=x*(a+b*x)^3
+--R 
+--R
+--R         3 4       2 3     2   2    3
+--R   (1)  b x  + 3a b x  + 3a b x  + a x
+--R                                                    Type: Polynomial(Integer)
+--E 306
+
+--S 307 of 3330
+r0000:=-1/4*a*(a+b*x)^4/b^2+1/5*(a+b*x)^5/b^2
+--R 
+--R
+--R        1  5 5   3    4 4    2 3 3   1  3 2 2    1  5
+--R        - b x  + - a b x  + a b x  + - a b x  - -- a
+--R        5        4                   2          20
+--R   (2)  ---------------------------------------------
+--R                               2
+--R                              b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 307
+
+--S 308 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        1  3 5   3    2 4    2   3   1  3 2
+--R   (3)  - b x  + - a b x  + a b x  + - a x
+--R        5        4                   2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 308
+
+--S 309 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R         1  5
+--R        -- a
+--R        20
+--R   (4)  -----
+--R           2
+--R          b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 309
+
+--S 310 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 310
+
+)clear all
+
+--S 311 of 3330
+t0000:=(a+b*x)^3
+--R 
+--R
+--R         3 3       2 2     2       3
+--R   (1)  b x  + 3a b x  + 3a b x + a
+--R                                                    Type: Polynomial(Integer)
+--E 311
+
+--S 312 of 3330
+r0000:=1/4*(a+b*x)^4/b
+--R 
+--R
+--R        1  4 4      3 3   3  2 2 2    3      1  4
+--R        - b x  + a b x  + - a b x  + a b x + - a
+--R        4                 2                  4
+--R   (2)  -----------------------------------------
+--R                            b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 312
+
+--S 313 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        1  3 4      2 3   3  2   2    3
+--R   (3)  - b x  + a b x  + - a b x  + a x
+--R        4                 2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 313
+
+--S 314 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R          1  4
+--R          - a
+--R          4
+--R   (4)  - ----
+--R            b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 314
+
+--S 315 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 315
+
+)clear all
+
+--S 316 of 3330
+t0000:=(a+b*x)^3/x
+--R 
+--R
+--R         3 3       2 2     2       3
+--R        b x  + 3a b x  + 3a b x + a
+--R   (1)  ----------------------------
+--R                      x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 316
+
+--S 317 of 3330
+r0000:=3*a^2*b*x+3/2*a*b^2*x^2+1/3*b^3*x^3+a^3*log(x)
+--R 
+--R
+--R          3           3 3       2 2      2
+--R        6a log(x) + 2b x  + 9a b x  + 18a b x
+--R   (2)  -------------------------------------
+--R                          6
+--R                                                    Type: Expression(Integer)
+--E 317
+
+--S 318 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R          3           3 3       2 2      2
+--R        6a log(x) + 2b x  + 9a b x  + 18a b x
+--R   (3)  -------------------------------------
+--R                          6
+--R                                         Type: Union(Expression(Integer),...)
+--E 318
+
+--S 319 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 319
+
+--S 320 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 320
+
+)clear all
+
+--S 321 of 3330
+t0000:=(a+b*x)^3/x^2
+--R 
+--R
+--R         3 3       2 2     2       3
+--R        b x  + 3a b x  + 3a b x + a
+--R   (1)  ----------------------------
+--R                      2
+--R                     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 321
+
+--S 322 of 3330
+r0000:=-a^3/x+3*a*b^2*x+1/2*b^3*x^2+3*a^2*b*log(x)
+--R 
+--R
+--R          2              3 3       2 2     3
+--R        6a b x log(x) + b x  + 6a b x  - 2a
+--R   (2)  ------------------------------------
+--R                         2x
+--R                                                    Type: Expression(Integer)
+--E 322
+
+--S 323 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R          2              3 3       2 2     3
+--R        6a b x log(x) + b x  + 6a b x  - 2a
+--R   (3)  ------------------------------------
+--R                         2x
+--R                                         Type: Union(Expression(Integer),...)
+--E 323
+
+--S 324 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 324
+
+--S 325 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 325
+
+)clear all
+
+--S 326 of 3330
+t0000:=(a+b*x)^3/x^3
+--R 
+--R
+--R         3 3       2 2     2       3
+--R        b x  + 3a b x  + 3a b x + a
+--R   (1)  ----------------------------
+--R                      3
+--R                     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 326
+
+--S 327 of 3330
+r0000:=-1/2*a^3/x^2-3*a^2*b/x+b^3*x+3*a*b^2*log(x)
+--R 
+--R
+--R            2 2           3 3     2       3
+--R        6a b x log(x) + 2b x  - 6a b x - a
+--R   (2)  -----------------------------------
+--R                          2
+--R                        2x
+--R                                                    Type: Expression(Integer)
+--E 327
+
+--S 328 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R            2 2           3 3     2       3
+--R        6a b x log(x) + 2b x  - 6a b x - a
+--R   (3)  -----------------------------------
+--R                          2
+--R                        2x
+--R                                         Type: Union(Expression(Integer),...)
+--E 328
+
+--S 329 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 329
+
+--S 330 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 330
+
+)clear all
+
+--S 331 of 3330
+t0000:=(a+b*x)^3/x^4
+--R 
+--R
+--R         3 3       2 2     2       3
+--R        b x  + 3a b x  + 3a b x + a
+--R   (1)  ----------------------------
+--R                      4
+--R                     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 331
+
+--S 332 of 3330
+r0000:=-1/3*a^3/x^3-3/2*a^2*b/x^2-3*a*b^2/x+b^3*log(x)
+--R 
+--R
+--R          3 3              2 2     2        3
+--R        6b x log(x) - 18a b x  - 9a b x - 2a
+--R   (2)  -------------------------------------
+--R                           3
+--R                         6x
+--R                                                    Type: Expression(Integer)
+--E 332
+
+--S 333 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R          3 3              2 2     2        3
+--R        6b x log(x) - 18a b x  - 9a b x - 2a
+--R   (3)  -------------------------------------
+--R                           3
+--R                         6x
+--R                                         Type: Union(Expression(Integer),...)
+--E 333
+
+--S 334 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 334
+
+--S 335 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 335
+
+)clear all
+
+--S 336 of 3330
+t0000:=(a+b*x)^3/x^5
+--R 
+--R
+--R         3 3       2 2     2       3
+--R        b x  + 3a b x  + 3a b x + a
+--R   (1)  ----------------------------
+--R                      5
+--R                     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 336
+
+--S 337 of 3330
+r0000:=-1/4*(a+b*x)^4/(a*x^4)
+--R 
+--R
+--R          1  4 4      3 3   3  2 2 2    3      1  4
+--R        - - b x  - a b x  - - a b x  - a b x - - a
+--R          4                 2                  4
+--R   (2)  -------------------------------------------
+--R                               4
+--R                            a x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 337
+
+--S 338 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R            3 3       2 2     2       3
+--R        - 4b x  - 6a b x  - 4a b x - a
+--R   (3)  -------------------------------
+--R                        4
+--R                      4x
+--R                                         Type: Union(Expression(Integer),...)
+--E 338
+
+--S 339 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R         4
+--R        b
+--R   (4)  --
+--R        4a
+--R                                                    Type: Expression(Integer)
+--E 339
+
+--S 340 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 340
+
+)clear all
+
+--S 341 of 3330
+t0000:=(a+b*x)^3/x^6
+--R 
+--R
+--R         3 3       2 2     2       3
+--R        b x  + 3a b x  + 3a b x + a
+--R   (1)  ----------------------------
+--R                      6
+--R                     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 341
+
+--S 342 of 3330
+r0000:=-1/5*a^3/x^5-3/4*a^2*b/x^4-a*b^2/x^3-1/2*b^3/x^2
+--R 
+--R
+--R          1  3 3      2 2   3  2      1  3
+--R        - - b x  - a b x  - - a b x - - a
+--R          2                 4         5
+--R   (2)  ----------------------------------
+--R                         5
+--R                        x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 342
+
+--S 343 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R             3 3        2 2      2        3
+--R        - 10b x  - 20a b x  - 15a b x - 4a
+--R   (3)  -----------------------------------
+--R                           5
+--R                        20x
+--R                                         Type: Union(Expression(Integer),...)
+--E 343
+
+--S 344 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 344
+
+--S 345 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 345
+
+)clear all
+
+--S 346 of 3330
+t0000:=(a+b*x)^3/x^7
+--R 
+--R
+--R         3 3       2 2     2       3
+--R        b x  + 3a b x  + 3a b x + a
+--R   (1)  ----------------------------
+--R                      7
+--R                     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 346
+
+--S 347 of 3330
+r0000:=-1/6*a^3/x^6-3/5*a^2*b/x^5-3/4*a*b^2/x^4-1/3*b^3/x^3
+--R 
+--R
+--R          1  3 3   3    2 2   3  2      1  3
+--R        - - b x  - - a b x  - - a b x - - a
+--R          3        4          5         6
+--R   (2)  ------------------------------------
+--R                          6
+--R                         x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 347
+
+--S 348 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R             3 3        2 2      2         3
+--R        - 20b x  - 45a b x  - 36a b x - 10a
+--R   (3)  ------------------------------------
+--R                           6
+--R                        60x
+--R                                         Type: Union(Expression(Integer),...)
+--E 348
+
+--S 349 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 349
+
+--S 350 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 350
+
+)clear all
+
+--S 351 of 3330
+t0000:=(a+b*x)^3/x^8
+--R 
+--R
+--R         3 3       2 2     2       3
+--R        b x  + 3a b x  + 3a b x + a
+--R   (1)  ----------------------------
+--R                      8
+--R                     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 351
+
+--S 352 of 3330
+r0000:=-1/7*a^3/x^7-1/2*a^2*b/x^6-3/5*a*b^2/x^5-1/4*b^3/x^4
+--R 
+--R
+--R          1  3 3   3    2 2   1  2      1  3
+--R        - - b x  - - a b x  - - a b x - - a
+--R          4        5          2         7
+--R   (2)  ------------------------------------
+--R                          7
+--R                         x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 352
+
+--S 353 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R             3 3        2 2      2         3
+--R        - 35b x  - 84a b x  - 70a b x - 20a
+--R   (3)  ------------------------------------
+--R                            7
+--R                        140x
+--R                                         Type: Union(Expression(Integer),...)
+--E 353
+
+--S 354 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 354
+
+--S 355 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 355
+
+)clear all
+
+--S 356 of 3330
+t0000:=x^m*(a+b*x)^7
+--R 
+--R
+--R   (1)
+--R     7 7       6 6      2 5 5      3 4 4      4 3 3      5 2 2     6       7  m
+--R   (b x  + 7a b x  + 21a b x  + 35a b x  + 35a b x  + 21a b x  + 7a b x + a )x
+--R                                                    Type: Expression(Integer)
+--E 356
+
+--S 357 of 3330
+r0000:=a^7*x^(1+m)/(1+m)+7*a^6*b*x^(2+m)/(2+m)+_
+     21*a^5*b^2*x^(3+m)/(3+m)+35*a^4*b^3*x^(4+m)/(4+m)+_
+     35*a^3*b^4*x^(5+m)/(5+m)+21*a^2*b^5*x^(6+m)/(6+m)+_
+     7*a*b^6*x^(7+m)/(7+m)+b^7*x^(8+m)/(8+m)
+--R 
+--R
+--R   (2)
+--R            7 7      7 6       7 5        7 4        7 3         7 2         7
+--R           b m  + 28b m  + 322b m  + 1960b m  + 6769b m  + 13132b m  + 13068b m
+--R         + 
+--R                7
+--R           5040b
+--R      *
+--R          m + 8
+--R         x
+--R     + 
+--R               6 7         6 6          6 5           6 4           6 3
+--R           7a b m  + 203a b m  + 2401a b m  + 14945a b m  + 52528a b m
+--R         + 
+--R                    6 2            6            6
+--R           103292a b m  + 103824a b m + 40320a b
+--R      *
+--R          m + 7
+--R         x
+--R     + 
+--R              2 5 7       2 5 6        2 5 5         2 5 4          2 5 3
+--R           21a b m  + 630a b m  + 7686a b m  + 49140a b m  + 176589a b m
+--R         + 
+--R                  2 5 2          2 5           2 5
+--R           353430a b m  + 360024a b m + 141120a b
+--R      *
+--R          m + 6
+--R         x
+--R     + 
+--R              3 4 7        3 4 6         3 4 5         3 4 4          3 4 3
+--R           35a b m  + 1085a b m  + 13685a b m  + 90335a b m  + 334040a b m
+--R         + 
+--R                  3 4 2          3 4           3 4
+--R           684740a b m  + 710640a b m + 282240a b
+--R      *
+--R          m + 5
+--R         x
+--R     + 
+--R              4 3 7        4 3 6         4 3 5          4 3 4          4 3 3
+--R           35a b m  + 1120a b m  + 14630a b m  + 100240a b m  + 384755a b m
+--R         + 
+--R                  4 3 2          4 3           4 3
+--R           815920a b m  + 870660a b m + 352800a b
+--R      *
+--R          m + 4
+--R         x
+--R     + 
+--R              5 2 7       5 2 6        5 2 5         5 2 4          5 2 3
+--R           21a b m  + 693a b m  + 9387a b m  + 67095a b m  + 270144a b m
+--R         + 
+--R                  5 2 2          5 2           5 2
+--R           602532a b m  + 673008a b m + 282240a b
+--R      *
+--R          m + 3
+--R         x
+--R     + 
+--R             6   7       6   6        6   5         6   4          6   3
+--R           7a b m  + 238a b m  + 3346a b m  + 25060a b m  + 107023a b m
+--R         + 
+--R                  6   2          6             6
+--R           256942a b m  + 312984a b m + 141120a b
+--R      *
+--R          m + 2
+--R         x
+--R     + 
+--R            7 7      7 6       7 5        7 4         7 3         7 2         7
+--R           a m  + 35a m  + 511a m  + 4025a m  + 18424a m  + 48860a m  + 69264a m
+--R         + 
+--R                 7
+--R           40320a
+--R      *
+--R          m + 1
+--R         x
+--R  /
+--R      8      7       6        5         4         3          2
+--R     m  + 36m  + 546m  + 4536m  + 22449m  + 67284m  + 118124m  + 109584m + 40320
+--R                                                    Type: Expression(Integer)
+--E 357
+
+--S 358 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R              7 7      7 6       7 5        7 4        7 3         7 2
+--R             b m  + 28b m  + 322b m  + 1960b m  + 6769b m  + 13132b m
+--R           + 
+--R                   7         7
+--R             13068b m + 5040b
+--R        *
+--R            8
+--R           x
+--R       + 
+--R                 6 7         6 6          6 5           6 4           6 3
+--R             7a b m  + 203a b m  + 2401a b m  + 14945a b m  + 52528a b m
+--R           + 
+--R                      6 2            6            6
+--R             103292a b m  + 103824a b m + 40320a b
+--R        *
+--R            7
+--R           x
+--R       + 
+--R                2 5 7       2 5 6        2 5 5         2 5 4          2 5 3
+--R             21a b m  + 630a b m  + 7686a b m  + 49140a b m  + 176589a b m
+--R           + 
+--R                    2 5 2          2 5           2 5
+--R             353430a b m  + 360024a b m + 141120a b
+--R        *
+--R            6
+--R           x
+--R       + 
+--R                3 4 7        3 4 6         3 4 5         3 4 4          3 4 3
+--R             35a b m  + 1085a b m  + 13685a b m  + 90335a b m  + 334040a b m
+--R           + 
+--R                    3 4 2          3 4           3 4
+--R             684740a b m  + 710640a b m + 282240a b
+--R        *
+--R            5
+--R           x
+--R       + 
+--R                4 3 7        4 3 6         4 3 5          4 3 4          4 3 3
+--R             35a b m  + 1120a b m  + 14630a b m  + 100240a b m  + 384755a b m
+--R           + 
+--R                    4 3 2          4 3           4 3
+--R             815920a b m  + 870660a b m + 352800a b
+--R        *
+--R            4
+--R           x
+--R       + 
+--R                5 2 7       5 2 6        5 2 5         5 2 4          5 2 3
+--R             21a b m  + 693a b m  + 9387a b m  + 67095a b m  + 270144a b m
+--R           + 
+--R                    5 2 2          5 2           5 2
+--R             602532a b m  + 673008a b m + 282240a b
+--R        *
+--R            3
+--R           x
+--R       + 
+--R               6   7       6   6        6   5         6   4          6   3
+--R             7a b m  + 238a b m  + 3346a b m  + 25060a b m  + 107023a b m
+--R           + 
+--R                    6   2          6             6
+--R             256942a b m  + 312984a b m + 141120a b
+--R        *
+--R            2
+--R           x
+--R       + 
+--R              7 7      7 6       7 5        7 4         7 3         7 2
+--R             a m  + 35a m  + 511a m  + 4025a m  + 18424a m  + 48860a m
+--R           + 
+--R                   7          7
+--R             69264a m + 40320a
+--R        *
+--R           x
+--R    *
+--R         m log(x)
+--R       %e
+--R  /
+--R      8      7       6        5         4         3          2
+--R     m  + 36m  + 546m  + 4536m  + 22449m  + 67284m  + 118124m  + 109584m + 40320
+--R                                         Type: Union(Expression(Integer),...)
+--E 358
+
+--S 359 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R                7 7      7 6       7 5        7 4        7 3         7 2
+--R               b m  + 28b m  + 322b m  + 1960b m  + 6769b m  + 13132b m
+--R             + 
+--R                     7         7
+--R               13068b m + 5040b
+--R          *
+--R              8
+--R             x
+--R         + 
+--R                   6 7         6 6          6 5           6 4           6 3
+--R               7a b m  + 203a b m  + 2401a b m  + 14945a b m  + 52528a b m
+--R             + 
+--R                        6 2            6            6
+--R               103292a b m  + 103824a b m + 40320a b
+--R          *
+--R              7
+--R             x
+--R         + 
+--R                  2 5 7       2 5 6        2 5 5         2 5 4          2 5 3
+--R               21a b m  + 630a b m  + 7686a b m  + 49140a b m  + 176589a b m
+--R             + 
+--R                      2 5 2          2 5           2 5
+--R               353430a b m  + 360024a b m + 141120a b
+--R          *
+--R              6
+--R             x
+--R         + 
+--R                  3 4 7        3 4 6         3 4 5         3 4 4          3 4 3
+--R               35a b m  + 1085a b m  + 13685a b m  + 90335a b m  + 334040a b m
+--R             + 
+--R                      3 4 2          3 4           3 4
+--R               684740a b m  + 710640a b m + 282240a b
+--R          *
+--R              5
+--R             x
+--R         + 
+--R                  4 3 7        4 3 6         4 3 5          4 3 4          4 3 3
+--R               35a b m  + 1120a b m  + 14630a b m  + 100240a b m  + 384755a b m
+--R             + 
+--R                      4 3 2          4 3           4 3
+--R               815920a b m  + 870660a b m + 352800a b
+--R          *
+--R              4
+--R             x
+--R         + 
+--R                  5 2 7       5 2 6        5 2 5         5 2 4          5 2 3
+--R               21a b m  + 693a b m  + 9387a b m  + 67095a b m  + 270144a b m
+--R             + 
+--R                      5 2 2          5 2           5 2
+--R               602532a b m  + 673008a b m + 282240a b
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                 6   7       6   6        6   5         6   4          6   3
+--R               7a b m  + 238a b m  + 3346a b m  + 25060a b m  + 107023a b m
+--R             + 
+--R                      6   2          6             6
+--R               256942a b m  + 312984a b m + 141120a b
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                7 7      7 6       7 5        7 4         7 3         7 2
+--R               a m  + 35a m  + 511a m  + 4025a m  + 18424a m  + 48860a m
+--R             + 
+--R                     7          7
+--R               69264a m + 40320a
+--R          *
+--R             x
+--R      *
+--R           m log(x)
+--R         %e
+--R     + 
+--R              7 7      7 6       7 5        7 4        7 3         7 2
+--R           - b m  - 28b m  - 322b m  - 1960b m  - 6769b m  - 13132b m
+--R         + 
+--R                   7         7
+--R           - 13068b m - 5040b
+--R      *
+--R          m + 8
+--R         x
+--R     + 
+--R                 6 7         6 6          6 5           6 4           6 3
+--R           - 7a b m  - 203a b m  - 2401a b m  - 14945a b m  - 52528a b m
+--R         + 
+--R                      6 2            6            6
+--R           - 103292a b m  - 103824a b m - 40320a b
+--R      *
+--R          m + 7
+--R         x
+--R     + 
+--R                2 5 7       2 5 6        2 5 5         2 5 4          2 5 3
+--R           - 21a b m  - 630a b m  - 7686a b m  - 49140a b m  - 176589a b m
+--R         + 
+--R                    2 5 2          2 5           2 5
+--R           - 353430a b m  - 360024a b m - 141120a b
+--R      *
+--R          m + 6
+--R         x
+--R     + 
+--R                3 4 7        3 4 6         3 4 5         3 4 4          3 4 3
+--R           - 35a b m  - 1085a b m  - 13685a b m  - 90335a b m  - 334040a b m
+--R         + 
+--R                    3 4 2          3 4           3 4
+--R           - 684740a b m  - 710640a b m - 282240a b
+--R      *
+--R          m + 5
+--R         x
+--R     + 
+--R                4 3 7        4 3 6         4 3 5          4 3 4          4 3 3
+--R           - 35a b m  - 1120a b m  - 14630a b m  - 100240a b m  - 384755a b m
+--R         + 
+--R                    4 3 2          4 3           4 3
+--R           - 815920a b m  - 870660a b m - 352800a b
+--R      *
+--R          m + 4
+--R         x
+--R     + 
+--R                5 2 7       5 2 6        5 2 5         5 2 4          5 2 3
+--R           - 21a b m  - 693a b m  - 9387a b m  - 67095a b m  - 270144a b m
+--R         + 
+--R                    5 2 2          5 2           5 2
+--R           - 602532a b m  - 673008a b m - 282240a b
+--R      *
+--R          m + 3
+--R         x
+--R     + 
+--R               6   7       6   6        6   5         6   4          6   3
+--R           - 7a b m  - 238a b m  - 3346a b m  - 25060a b m  - 107023a b m
+--R         + 
+--R                    6   2          6             6
+--R           - 256942a b m  - 312984a b m - 141120a b
+--R      *
+--R          m + 2
+--R         x
+--R     + 
+--R              7 7      7 6       7 5        7 4         7 3         7 2
+--R           - a m  - 35a m  - 511a m  - 4025a m  - 18424a m  - 48860a m
+--R         + 
+--R                   7          7
+--R           - 69264a m - 40320a
+--R      *
+--R          m + 1
+--R         x
+--R  /
+--R      8      7       6        5         4         3          2
+--R     m  + 36m  + 546m  + 4536m  + 22449m  + 67284m  + 118124m  + 109584m + 40320
+--R                                                    Type: Expression(Integer)
+--E 359
+
+--S 360 of 3330
+d0000:=normalize m0000
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 360
+
+)clear all
+
+--S 361 of 3330
+t0000:=x^7*(a+b*x)^7
+--R 
+--R
+--R   (1)
+--R      7 14       6 13      2 5 12      3 4 11      4 3 10      5 2 9     6   8
+--R     b x   + 7a b x   + 21a b x   + 35a b x   + 35a b x   + 21a b x  + 7a b x
+--R   + 
+--R      7 7
+--R     a x
+--R                                                    Type: Polynomial(Integer)
+--E 361
+
+--S 362 of 3330
+r0000:=1/8*a^7*x^8+7/9*a^6*b*x^9+21/10*a^5*b^2*x^10+35/11*a^4*b^3*x^11+_
+     35/12*a^3*b^4*x^12+21/13*a^2*b^5*x^13+1/2*a*b^6*x^14+1/15*b^7*x^15
+--R 
+--R
+--R   (2)
+--R      1  7 15   1    6 14   21  2 5 13   35  3 4 12   35  4 3 11   21  5 2 10
+--R     -- b x   + - a b x   + -- a b x   + -- a b x   + -- a b x   + -- a b x
+--R     15         2           13           12           11           10
+--R   + 
+--R     7  6   9   1  7 8
+--R     - a b x  + - a x
+--R     9          8
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 362
+
+--S 363 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R      1  7 15   1    6 14   21  2 5 13   35  3 4 12   35  4 3 11   21  5 2 10
+--R     -- b x   + - a b x   + -- a b x   + -- a b x   + -- a b x   + -- a b x
+--R     15         2           13           12           11           10
+--R   + 
+--R     7  6   9   1  7 8
+--R     - a b x  + - a x
+--R     9          8
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 363
+
+--S 364 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 364
+
+--S 365 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 365
+
+)clear all
+
+--S 366 of 3330
+t0000:=x^6*(a+b*x)^7
+--R 
+--R
+--R   (1)
+--R      7 13       6 12      2 5 11      3 4 10      4 3 9      5 2 8     6   7
+--R     b x   + 7a b x   + 21a b x   + 35a b x   + 35a b x  + 21a b x  + 7a b x
+--R   + 
+--R      7 6
+--R     a x
+--R                                                    Type: Polynomial(Integer)
+--E 366
+
+--S 367 of 3330
+r0000:=1/7*a^7*x^7+7/8*a^6*b*x^8+7/3*a^5*b^2*x^9+7/2*a^4*b^3*x^10+_
+     35/11*a^3*b^4*x^11+7/4*a^2*b^5*x^12+7/13*a*b^6*x^13+1/14*b^7*x^14
+--R 
+--R
+--R   (2)
+--R      1  7 14    7    6 13   7  2 5 12   35  3 4 11   7  4 3 10   7  5 2 9
+--R     -- b x   + -- a b x   + - a b x   + -- a b x   + - a b x   + - a b x
+--R     14         13           4           11           2           3
+--R   + 
+--R     7  6   8   1  7 7
+--R     - a b x  + - a x
+--R     8          7
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 367
+
+--S 368 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R      1  7 14    7    6 13   7  2 5 12   35  3 4 11   7  4 3 10   7  5 2 9
+--R     -- b x   + -- a b x   + - a b x   + -- a b x   + - a b x   + - a b x
+--R     14         13           4           11           2           3
+--R   + 
+--R     7  6   8   1  7 7
+--R     - a b x  + - a x
+--R     8          7
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 368
+
+--S 369 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 369
+
+--S 370 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 370
+
+)clear all
+
+--S 371 of 3330
+t0000:=x^5*(a+b*x)^7
+--R 
+--R
+--R   (1)
+--R      7 12       6 11      2 5 10      3 4 9      4 3 8      5 2 7     6   6
+--R     b x   + 7a b x   + 21a b x   + 35a b x  + 35a b x  + 21a b x  + 7a b x
+--R   + 
+--R      7 5
+--R     a x
+--R                                                    Type: Polynomial(Integer)
+--E 371
+
+--S 372 of 3330
+r0000:=1/6*a^7*x^6+a^6*b*x^7+21/8*a^5*b^2*x^8+35/9*a^4*b^3*x^9+_
+     7/2*a^3*b^4*x^10+21/11*a^2*b^5*x^11+7/12*a*b^6*x^12+1/13*b^7*x^13
+--R 
+--R
+--R   (2)
+--R      1  7 13    7    6 12   21  2 5 11   7  3 4 10   35  4 3 9   21  5 2 8
+--R     -- b x   + -- a b x   + -- a b x   + - a b x   + -- a b x  + -- a b x
+--R     13         12           11           2            9           8
+--R   + 
+--R      6   7   1  7 6
+--R     a b x  + - a x
+--R              6
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 372
+
+--S 373 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R      1  7 13    7    6 12   21  2 5 11   7  3 4 10   35  4 3 9   21  5 2 8
+--R     -- b x   + -- a b x   + -- a b x   + - a b x   + -- a b x  + -- a b x
+--R     13         12           11           2            9           8
+--R   + 
+--R      6   7   1  7 6
+--R     a b x  + - a x
+--R              6
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 373
+
+--S 374 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 374
+
+--S 375 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 375
+
+)clear all
+
+--S 376 of 3330
+t0000:=x^4*(a+b*x)^7
+--R 
+--R
+--R   (1)
+--R    7 11       6 10      2 5 9      3 4 8      4 3 7      5 2 6     6   5    7 4
+--R   b x   + 7a b x   + 21a b x  + 35a b x  + 35a b x  + 21a b x  + 7a b x  + a x
+--R                                                    Type: Polynomial(Integer)
+--E 376
+
+--S 377 of 3330
+r0000:=1/8*a^4*(a+b*x)^8/b^5-4/9*a^3*(a+b*x)^9/b^5+_
+     3/5*a^2*(a+b*x)^10/b^5-4/11*a*(a+b*x)^11/b^5+1/12*(a+b*x)^12/b^5
+--R 
+--R
+--R   (2)
+--R        1  12 12    7    11 11   21  2 10 10   35  3 9 9   35  4 8 8     5 7 7
+--R       -- b  x   + -- a b  x   + -- a b  x   + -- a b x  + -- a b x  + 3a b x
+--R       12          11            10             9           8
+--R     + 
+--R       7  6 6 6   1  7 5 5     1   12
+--R       - a b x  + - a b x  + ---- a
+--R       6          5          3960
+--R  /
+--R      5
+--R     b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 377
+
+--S 378 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R      1  7 12    7    6 11   21  2 5 10   35  3 4 9   35  4 3 8     5 2 7
+--R     -- b x   + -- a b x   + -- a b x   + -- a b x  + -- a b x  + 3a b x
+--R     12         11           10            9           8
+--R   + 
+--R     7  6   6   1  7 5
+--R     - a b x  + - a x
+--R     6          5
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 378
+
+--S 379 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R            1   12
+--R          ---- a
+--R          3960
+--R   (4)  - --------
+--R              5
+--R             b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 379
+
+--S 380 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 380
+
+)clear all
+
+--S 381 of 3330
+t0000:=x^3*(a+b*x)^7
+--R 
+--R
+--R   (1)
+--R    7 10       6 9      2 5 8      3 4 7      4 3 6      5 2 5     6   4    7 3
+--R   b x   + 7a b x  + 21a b x  + 35a b x  + 35a b x  + 21a b x  + 7a b x  + a x
+--R                                                    Type: Polynomial(Integer)
+--E 381
+
+--S 382 of 3330
+r0000:=-1/8*a^3*(a+b*x)^8/b^4+1/3*a^2*(a+b*x)^9/b^4-_
+     3/10*a*(a+b*x)^10/b^4+1/11*(a+b*x)^11/b^4
+--R 
+--R
+--R   (2)
+--R        1  11 11    7    10 10   7  2 9 9   35  3 8 8     4 7 7   7  5 6 6
+--R       -- b  x   + -- a b  x   + - a b x  + -- a b x  + 5a b x  + - a b x
+--R       11          10            3           8                    2
+--R     + 
+--R       7  6 5 5   1  7 4 4     1   11
+--R       - a b x  + - a b x  - ---- a
+--R       5          4          1320
+--R  /
+--R      4
+--R     b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 382
+
+--S 383 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R      1  7 11    7    6 10   7  2 5 9   35  3 4 8     4 3 7   7  5 2 6
+--R     -- b x   + -- a b x   + - a b x  + -- a b x  + 5a b x  + - a b x
+--R     11         10           3           8                    2
+--R   + 
+--R     7  6   5   1  7 4
+--R     - a b x  + - a x
+--R     5          4
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 383
+
+--S 384 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R          1   11
+--R        ---- a
+--R        1320
+--R   (4)  --------
+--R            4
+--R           b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 384
+
+--S 385 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 385
+
+)clear all
+
+--S 386 of 3330
+t0000:=x^2*(a+b*x)^7
+--R 
+--R
+--R   (1)
+--R    7 9       6 8      2 5 7      3 4 6      4 3 5      5 2 4     6   3    7 2
+--R   b x  + 7a b x  + 21a b x  + 35a b x  + 35a b x  + 21a b x  + 7a b x  + a x
+--R                                                    Type: Polynomial(Integer)
+--E 386
+
+--S 387 of 3330
+r0000:=1/8*a^2*(a+b*x)^8/b^3-2/9*a*(a+b*x)^9/b^3+1/10*(a+b*x)^10/b^3
+--R 
+--R
+--R   (2)
+--R        1  10 10   7    9 9   21  2 8 8     3 7 7   35  4 6 6   21  5 5 5
+--R       -- b  x   + - a b x  + -- a b x  + 5a b x  + -- a b x  + -- a b x
+--R       10          9           8                     6           5
+--R     + 
+--R       7  6 4 4   1  7 3 3    1   10
+--R       - a b x  + - a b x  + --- a
+--R       4          3          360
+--R  /
+--R      3
+--R     b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 387
+
+--S 388 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R      1  7 10   7    6 9   21  2 5 8     3 4 7   35  4 3 6   21  5 2 5
+--R     -- b x   + - a b x  + -- a b x  + 5a b x  + -- a b x  + -- a b x
+--R     10         9           8                     6           5
+--R   + 
+--R     7  6   4   1  7 3
+--R     - a b x  + - a x
+--R     4          3
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 388
+
+--S 389 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R           1   10
+--R          --- a
+--R          360
+--R   (4)  - -------
+--R              3
+--R             b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 389
+
+--S 390 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 390
+
+)clear all
+
+--S 391 of 3330
+t0000:=x*(a+b*x)^7
+--R 
+--R
+--R   (1)
+--R    7 8       6 7      2 5 6      3 4 5      4 3 4      5 2 3     6   2    7
+--R   b x  + 7a b x  + 21a b x  + 35a b x  + 35a b x  + 21a b x  + 7a b x  + a x
+--R                                                    Type: Polynomial(Integer)
+--E 391
+
+--S 392 of 3330
+r0000:=-1/8*a*(a+b*x)^8/b^2+1/9*(a+b*x)^9/b^2
+--R 
+--R
+--R   (2)
+--R       1  9 9   7    8 8     2 7 7   35  3 6 6     4 5 5   21  5 4 4   7  6 3 3
+--R       - b x  + - a b x  + 3a b x  + -- a b x  + 7a b x  + -- a b x  + - a b x
+--R       9        8                     6                     4          3
+--R     + 
+--R       1  7 2 2    1  9
+--R       - a b x  - -- a
+--R       2          72
+--R  /
+--R      2
+--R     b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 392
+
+--S 393 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R     1  7 9   7    6 8     2 5 7   35  3 4 6     4 3 5   21  5 2 4   7  6   3
+--R     - b x  + - a b x  + 3a b x  + -- a b x  + 7a b x  + -- a b x  + - a b x
+--R     9        8                     6                     4          3
+--R   + 
+--R     1  7 2
+--R     - a x
+--R     2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 393
+
+--S 394 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R         1  9
+--R        -- a
+--R        72
+--R   (4)  -----
+--R           2
+--R          b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 394
+
+--S 395 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 395
+
+)clear all
+
+--S 396 of 3330
+t0000:=(a+b*x)^7
+--R 
+--R
+--R   (1)
+--R    7 7       6 6      2 5 5      3 4 4      4 3 3      5 2 2     6       7
+--R   b x  + 7a b x  + 21a b x  + 35a b x  + 35a b x  + 21a b x  + 7a b x + a
+--R                                                    Type: Polynomial(Integer)
+--E 396
+
+--S 397 of 3330
+r0000:=1/8*(a+b*x)^8/b
+--R 
+--R
+--R   (2)
+--R       1  8 8      7 7   7  2 6 6     3 5 5   35  4 4 4     5 3 3   7  6 2 2
+--R       - b x  + a b x  + - a b x  + 7a b x  + -- a b x  + 7a b x  + - a b x
+--R       8                 2                     4                    2
+--R     + 
+--R        7      1  8
+--R       a b x + - a
+--R               8
+--R  /
+--R     b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 397
+
+--S 398 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   1  7 8      6 7   7  2 5 6     3 4 5   35  4 3 4     5 2 3   7  6   2    7
+--R   - b x  + a b x  + - a b x  + 7a b x  + -- a b x  + 7a b x  + - a b x  + a x
+--R   8                 2                     4                    2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 398
+
+--S 399 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R          1  8
+--R          - a
+--R          8
+--R   (4)  - ----
+--R            b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 399
+
+--S 400 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 400
+
+)clear all
+
+--S 401 of 3330
+t0000:=(a+b*x)^7/x
+--R 
+--R
+--R   (1)
+--R    7 7       6 6      2 5 5      3 4 4      4 3 3      5 2 2     6       7
+--R   b x  + 7a b x  + 21a b x  + 35a b x  + 35a b x  + 21a b x  + 7a b x + a
+--R   ------------------------------------------------------------------------
+--R                                       x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 401
+
+--S 402 of 3330
+r0000:=7*a^6*b*x+21/2*a^5*b^2*x^2+35/3*a^4*b^3*x^3+35/4*a^3*b^4*x^4+_
+     21/5*a^2*b^5*x^5+7/6*a*b^6*x^6+1/7*b^7*x^7+a^7*log(x)
+--R 
+--R
+--R   (2)
+--R           7            7 7         6 6        2 5 5        3 4 4        4 3 3
+--R       420a log(x) + 60b x  + 490a b x  + 1764a b x  + 3675a b x  + 4900a b x
+--R     + 
+--R            5 2 2        6
+--R       4410a b x  + 2940a b x
+--R  /
+--R     420
+--R                                                    Type: Expression(Integer)
+--E 402
+
+--S 403 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R           7            7 7         6 6        2 5 5        3 4 4        4 3 3
+--R       420a log(x) + 60b x  + 490a b x  + 1764a b x  + 3675a b x  + 4900a b x
+--R     + 
+--R            5 2 2        6
+--R       4410a b x  + 2940a b x
+--R  /
+--R     420
+--R                                         Type: Union(Expression(Integer),...)
+--E 403
+
+--S 404 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 404
+
+--S 405 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 405
+
+)clear all
+
+--S 406 of 3330
+t0000:=(a+b*x)^7/x^2
+--R 
+--R
+--R   (1)
+--R    7 7       6 6      2 5 5      3 4 4      4 3 3      5 2 2     6       7
+--R   b x  + 7a b x  + 21a b x  + 35a b x  + 35a b x  + 21a b x  + 7a b x + a
+--R   ------------------------------------------------------------------------
+--R                                       2
+--R                                      x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 406
+
+--S 407 of 3330
+r0000:=-a^7/x+21*a^5*b^2*x+35/2*a^4*b^3*x^2+35/3*a^3*b^4*x^3+_
+     21/4*a^2*b^5*x^4+7/5*a*b^6*x^5+1/6*b^7*x^6+7*a^6*b*log(x)
+--R 
+--R
+--R   (2)
+--R           6                7 7        6 6       2 5 5       3 4 4        4 3 3
+--R       420a b x log(x) + 10b x  + 84a b x  + 315a b x  + 700a b x  + 1050a b x
+--R     + 
+--R            5 2 2      7
+--R       1260a b x  - 60a
+--R  /
+--R     60x
+--R                                                    Type: Expression(Integer)
+--E 407
+
+--S 408 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R           6                7 7        6 6       2 5 5       3 4 4        4 3 3
+--R       420a b x log(x) + 10b x  + 84a b x  + 315a b x  + 700a b x  + 1050a b x
+--R     + 
+--R            5 2 2      7
+--R       1260a b x  - 60a
+--R  /
+--R     60x
+--R                                         Type: Union(Expression(Integer),...)
+--E 408
+
+--S 409 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 409
+
+--S 410 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 410
+
+)clear all
+
+--S 411 of 3330
+t0000:=(a+b*x)^7/x^3
+--R 
+--R
+--R   (1)
+--R    7 7       6 6      2 5 5      3 4 4      4 3 3      5 2 2     6       7
+--R   b x  + 7a b x  + 21a b x  + 35a b x  + 35a b x  + 21a b x  + 7a b x + a
+--R   ------------------------------------------------------------------------
+--R                                       3
+--R                                      x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 411
+
+--S 412 of 3330
+r0000:=-1/2*a^7/x^2-7*a^6*b/x+35*a^4*b^3*x+35/2*a^3*b^4*x^2+7*a^2*b^5*x^3+_
+     7/4*a*b^6*x^4+1/5*b^7*x^5+21*a^5*b^2*log(x)
+--R 
+--R
+--R   (2)
+--R           5 2 2           7 7        6 6       2 5 5       3 4 4       4 3 3
+--R       420a b x log(x) + 4b x  + 35a b x  + 140a b x  + 350a b x  + 700a b x
+--R     + 
+--R             6         7
+--R       - 140a b x - 10a
+--R  /
+--R        2
+--R     20x
+--R                                                    Type: Expression(Integer)
+--E 412
+
+--S 413 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R           5 2 2           7 7        6 6       2 5 5       3 4 4       4 3 3
+--R       420a b x log(x) + 4b x  + 35a b x  + 140a b x  + 350a b x  + 700a b x
+--R     + 
+--R             6         7
+--R       - 140a b x - 10a
+--R  /
+--R        2
+--R     20x
+--R                                         Type: Union(Expression(Integer),...)
+--E 413
+
+--S 414 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 414
+
+--S 415 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 415
+
+)clear all
+
+--S 416 of 3330
+t0000:=(a+b*x)^7/x^4
+--R 
+--R
+--R   (1)
+--R    7 7       6 6      2 5 5      3 4 4      4 3 3      5 2 2     6       7
+--R   b x  + 7a b x  + 21a b x  + 35a b x  + 35a b x  + 21a b x  + 7a b x + a
+--R   ------------------------------------------------------------------------
+--R                                       4
+--R                                      x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 416
+
+--S 417 of 3330
+r0000:=-1/3*a^7/x^3-7/2*a^6*b/x^2-21*a^5*b^2/x+35*a^3*b^4*x+21/2*a^2*b^5*x^2+_
+     7/3*a*b^6*x^3+1/4*b^7*x^4+35*a^4*b^3*log(x)
+--R 
+--R
+--R   (2)
+--R           4 3 3           7 7        6 6       2 5 5       3 4 4       5 2 2
+--R       420a b x log(x) + 3b x  + 28a b x  + 126a b x  + 420a b x  - 252a b x
+--R     + 
+--R            6        7
+--R       - 42a b x - 4a
+--R  /
+--R        3
+--R     12x
+--R                                                    Type: Expression(Integer)
+--E 417
+
+--S 418 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R           4 3 3           7 7        6 6       2 5 5       3 4 4       5 2 2
+--R       420a b x log(x) + 3b x  + 28a b x  + 126a b x  + 420a b x  - 252a b x
+--R     + 
+--R            6        7
+--R       - 42a b x - 4a
+--R  /
+--R        3
+--R     12x
+--R                                         Type: Union(Expression(Integer),...)
+--E 418
+
+--S 419 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 419
+
+--S 420 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 420
+
+)clear all
+
+--S 421 of 3330
+t0000:=(a+b*x)^7/x^5
+--R 
+--R
+--R   (1)
+--R    7 7       6 6      2 5 5      3 4 4      4 3 3      5 2 2     6       7
+--R   b x  + 7a b x  + 21a b x  + 35a b x  + 35a b x  + 21a b x  + 7a b x + a
+--R   ------------------------------------------------------------------------
+--R                                       5
+--R                                      x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 421
+
+--S 422 of 3330
+r0000:=-1/4*a^7/x^4-7/3*a^6*b/x^3-21/2*a^5*b^2/x^2-35*a^4*b^3/x+_
+     21*a^2*b^5*x+7/2*a*b^6*x^2+1/3*b^7*x^3+35*a^3*b^4*log(x)
+--R 
+--R
+--R   (2)
+--R           3 4 4           7 7        6 6       2 5 5       4 3 3       5 2 2
+--R       420a b x log(x) + 4b x  + 42a b x  + 252a b x  - 420a b x  - 126a b x
+--R     + 
+--R            6        7
+--R       - 28a b x - 3a
+--R  /
+--R        4
+--R     12x
+--R                                                    Type: Expression(Integer)
+--E 422
+
+--S 423 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R           3 4 4           7 7        6 6       2 5 5       4 3 3       5 2 2
+--R       420a b x log(x) + 4b x  + 42a b x  + 252a b x  - 420a b x  - 126a b x
+--R     + 
+--R            6        7
+--R       - 28a b x - 3a
+--R  /
+--R        4
+--R     12x
+--R                                         Type: Union(Expression(Integer),...)
+--E 423
+
+--S 424 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 424
+
+--S 425 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 425
+
+)clear all
+
+--S 426 of 3330
+t0000:=(a+b*x)^7/x^6
+--R 
+--R
+--R   (1)
+--R    7 7       6 6      2 5 5      3 4 4      4 3 3      5 2 2     6       7
+--R   b x  + 7a b x  + 21a b x  + 35a b x  + 35a b x  + 21a b x  + 7a b x + a
+--R   ------------------------------------------------------------------------
+--R                                       6
+--R                                      x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 426
+
+--S 427 of 3330
+r0000:=-1/5*a^7/x^5-7/4*a^6*b/x^4-7*a^5*b^2/x^3-35/2*a^4*b^3/x^2-_
+     35*a^3*b^4/x+7*a*b^6*x+1/2*b^7*x^2+21*a^2*b^5*log(x)
+--R 
+--R
+--R   (2)
+--R           2 5 5            7 7         6 6       3 4 4       4 3 3       5 2 2
+--R       420a b x log(x) + 10b x  + 140a b x  - 700a b x  - 350a b x  - 140a b x
+--R     + 
+--R            6        7
+--R       - 35a b x - 4a
+--R  /
+--R        5
+--R     20x
+--R                                                    Type: Expression(Integer)
+--E 427
+
+--S 428 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R           2 5 5            7 7         6 6       3 4 4       4 3 3       5 2 2
+--R       420a b x log(x) + 10b x  + 140a b x  - 700a b x  - 350a b x  - 140a b x
+--R     + 
+--R            6        7
+--R       - 35a b x - 4a
+--R  /
+--R        5
+--R     20x
+--R                                         Type: Union(Expression(Integer),...)
+--E 428
+
+--S 429 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 429
+
+--S 430 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 430
+
+)clear all
+
+--S 431 of 3330
+t0000:=(a+b*x)^7/x^7
+--R 
+--R
+--R   (1)
+--R    7 7       6 6      2 5 5      3 4 4      4 3 3      5 2 2     6       7
+--R   b x  + 7a b x  + 21a b x  + 35a b x  + 35a b x  + 21a b x  + 7a b x + a
+--R   ------------------------------------------------------------------------
+--R                                       7
+--R                                      x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 431
+
+--S 432 of 3330
+r0000:=-1/6*a^7/x^6-7/5*a^6*b/x^5-21/4*a^5*b^2/x^4-35/3*a^4*b^3/x^3-_
+     35/2*a^3*b^4/x^2-21*a^2*b^5/x+b^7*x+7*a*b^6*log(x)
+--R 
+--R
+--R   (2)
+--R             6 6            7 7        2 5 5        3 4 4       4 3 3
+--R       420a b x log(x) + 60b x  - 1260a b x  - 1050a b x  - 700a b x
+--R     + 
+--R             5 2 2      6         7
+--R       - 315a b x  - 84a b x - 10a
+--R  /
+--R        6
+--R     60x
+--R                                                    Type: Expression(Integer)
+--E 432
+
+--S 433 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R             6 6            7 7        2 5 5        3 4 4       4 3 3
+--R       420a b x log(x) + 60b x  - 1260a b x  - 1050a b x  - 700a b x
+--R     + 
+--R             5 2 2      6         7
+--R       - 315a b x  - 84a b x - 10a
+--R  /
+--R        6
+--R     60x
+--R                                         Type: Union(Expression(Integer),...)
+--E 433
+
+--S 434 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 434
+
+--S 435 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 435
+
+)clear all
+
+--S 436 of 3330
+t0000:=(a+b*x)^7/x^8
+--R 
+--R
+--R   (1)
+--R    7 7       6 6      2 5 5      3 4 4      4 3 3      5 2 2     6       7
+--R   b x  + 7a b x  + 21a b x  + 35a b x  + 35a b x  + 21a b x  + 7a b x + a
+--R   ------------------------------------------------------------------------
+--R                                       8
+--R                                      x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 436
+
+--S 437 of 3330
+r0000:=-1/7*a^7/x^7-7/6*a^6*b/x^6-21/5*a^5*b^2/x^5-35/4*a^4*b^3/x^4-_
+     35/3*a^3*b^4/x^3-21/2*a^2*b^5/x^2-7*a*b^6/x+b^7*log(x)
+--R 
+--R
+--R   (2)
+--R           7 7                6 6        2 5 5        3 4 4        4 3 3
+--R       420b x log(x) - 2940a b x  - 4410a b x  - 4900a b x  - 3675a b x
+--R     + 
+--R              5 2 2       6         7
+--R       - 1764a b x  - 490a b x - 60a
+--R  /
+--R         7
+--R     420x
+--R                                                    Type: Expression(Integer)
+--E 437
+
+--S 438 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R           7 7                6 6        2 5 5        3 4 4        4 3 3
+--R       420b x log(x) - 2940a b x  - 4410a b x  - 4900a b x  - 3675a b x
+--R     + 
+--R              5 2 2       6         7
+--R       - 1764a b x  - 490a b x - 60a
+--R  /
+--R         7
+--R     420x
+--R                                         Type: Union(Expression(Integer),...)
+--E 438
+
+--S 439 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 439
+
+--S 440 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 440
+
+)clear all
+
+--S 441 of 3330
+t0000:=(a+b*x)^7/x^9
+--R 
+--R
+--R   (1)
+--R    7 7       6 6      2 5 5      3 4 4      4 3 3      5 2 2     6       7
+--R   b x  + 7a b x  + 21a b x  + 35a b x  + 35a b x  + 21a b x  + 7a b x + a
+--R   ------------------------------------------------------------------------
+--R                                       9
+--R                                      x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 441
+
+--S 442 of 3330
+r0000:=-1/8*(a+b*x)^8/(a*x^8)
+--R 
+--R
+--R   (2)
+--R         1  8 8      7 7   7  2 6 6     3 5 5   35  4 4 4     5 3 3   7  6 2 2
+--R       - - b x  - a b x  - - a b x  - 7a b x  - -- a b x  - 7a b x  - - a b x
+--R         8                 2                     4                    2
+--R     + 
+--R          7      1  8
+--R       - a b x - - a
+--R                 8
+--R  /
+--R        8
+--R     a x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 442
+
+--S 443 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R       7 7        6 6      2 5 5      3 4 4      4 3 3      5 2 2     6       7
+--R   - 8b x  - 28a b x  - 56a b x  - 70a b x  - 56a b x  - 28a b x  - 8a b x - a
+--R   ----------------------------------------------------------------------------
+--R                                          8
+--R                                        8x
+--R                                         Type: Union(Expression(Integer),...)
+--E 443
+
+--S 444 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R         8
+--R        b
+--R   (4)  --
+--R        8a
+--R                                                    Type: Expression(Integer)
+--E 444
+
+--S 445 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 445
+
+)clear all
+
+--S 446 of 3330
+t0000:=(a+b*x)^7/x^10
+--R 
+--R
+--R   (1)
+--R    7 7       6 6      2 5 5      3 4 4      4 3 3      5 2 2     6       7
+--R   b x  + 7a b x  + 21a b x  + 35a b x  + 35a b x  + 21a b x  + 7a b x + a
+--R   ------------------------------------------------------------------------
+--R                                       10
+--R                                      x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 446
+
+--S 447 of 3330
+r0000:=-1/9*(a+b*x)^8/(a*x^9)+1/72*b*(a+b*x)^8/(a^2*x^8)
+--R 
+--R
+--R   (2)
+--R        1  9 9   1  2 7 7   7  3 6 6   21  4 5 5     5 4 4   35  6 3 3     7 2 2
+--R       -- b x  - - a b x  - - a b x  - -- a b x  - 7a b x  - -- a b x  - 3a b x
+--R       72        2          3           4                     6
+--R     + 
+--R         7  8      1  9
+--R       - - a b x - - a
+--R         8         9
+--R  /
+--R      2 9
+--R     a x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 447
+
+--S 448 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R            7 7         6 6       2 5 5       3 4 4       4 3 3       5 2 2
+--R       - 36b x  - 168a b x  - 378a b x  - 504a b x  - 420a b x  - 216a b x
+--R     + 
+--R            6        7
+--R       - 63a b x - 8a
+--R  /
+--R        9
+--R     72x
+--R                                         Type: Union(Expression(Integer),...)
+--E 448
+
+--S 449 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R            9
+--R           b
+--R   (4)  - ----
+--R             2
+--R          72a
+--R                                                    Type: Expression(Integer)
+--E 449
+
+--S 450 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 450
+
+)clear all
+
+--S 451 of 3330
+t0000:=(a+b*x)^7/x^11
+--R 
+--R
+--R   (1)
+--R    7 7       6 6      2 5 5      3 4 4      4 3 3      5 2 2     6       7
+--R   b x  + 7a b x  + 21a b x  + 35a b x  + 35a b x  + 21a b x  + 7a b x + a
+--R   ------------------------------------------------------------------------
+--R                                       11
+--R                                      x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 451
+
+--S 452 of 3330
+r0000:=-1/10*(a+b*x)^8/(a*x^10)+1/45*b*(a+b*x)^8/(a^2*x^9)-_
+     1/360*b^2*(a+b*x)^8/(a^3*x^8)
+--R 
+--R
+--R   (2)
+--R          1   10 10   1  3 7 7   7  4 6 6   21  5 5 5   35  6 4 4     7 3 3
+--R       - --- b  x   - - a b x  - - a b x  - -- a b x  - -- a b x  - 5a b x
+--R         360          3          4           5           6
+--R     + 
+--R         21  8 2 2   7  9       1  10
+--R       - -- a b x  - - a b x - -- a
+--R          8          9         10
+--R  /
+--R      3 10
+--R     a x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 452
+
+--S 453 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R             7 7         6 6        2 5 5        3 4 4        4 3 3       5 2 2
+--R       - 120b x  - 630a b x  - 1512a b x  - 2100a b x  - 1800a b x  - 945a b x
+--R     + 
+--R             6         7
+--R       - 280a b x - 36a
+--R  /
+--R         10
+--R     360x
+--R                                         Type: Union(Expression(Integer),...)
+--E 453
+
+--S 454 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R          10
+--R         b
+--R   (4)  -----
+--R            3
+--R        360a
+--R                                                    Type: Expression(Integer)
+--E 454
+
+--S 455 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 455
+
+)clear all
+
+--S 456 of 3330
+t0000:=(a+b*x)^7/x^12
+--R 
+--R
+--R   (1)
+--R    7 7       6 6      2 5 5      3 4 4      4 3 3      5 2 2     6       7
+--R   b x  + 7a b x  + 21a b x  + 35a b x  + 35a b x  + 21a b x  + 7a b x + a
+--R   ------------------------------------------------------------------------
+--R                                       12
+--R                                      x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 456
+
+--S 457 of 3330
+r0000:=-1/11*(a+b*x)^8/(a*x^11)+3/110*b*(a+b*x)^8/(a^2*x^10)-_
+     1/165*b^2*(a+b*x)^8/(a^3*x^9)+1/1320*b^3*(a+b*x)^8/(a^4*x^8)
+--R 
+--R
+--R   (2)
+--R         1   11 11   1  4 7 7   7  5 6 6   7  6 5 5     7 4 4   35  8 3 3
+--R       ---- b  x   - - a b x  - - a b x  - - a b x  - 5a b x  - -- a b x
+--R       1320          4          5          2                     8
+--R     + 
+--R         7  9 2 2    7  10       1  11
+--R       - - a b x  - -- a  b x - -- a
+--R         3          10          11
+--R  /
+--R      4 11
+--R     a x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 457
+
+--S 458 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R             7 7          6 6        2 5 5        3 4 4        4 3 3
+--R       - 330b x  - 1848a b x  - 4620a b x  - 6600a b x  - 5775a b x
+--R     + 
+--R              5 2 2       6          7
+--R       - 3080a b x  - 924a b x - 120a
+--R  /
+--R          11
+--R     1320x
+--R                                         Type: Union(Expression(Integer),...)
+--E 458
+
+--S 459 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R             11
+--R            b
+--R   (4)  - ------
+--R               4
+--R          1320a
+--R                                                    Type: Expression(Integer)
+--E 459
+
+--S 460 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 460
+
+)clear all
+
+--S 461 of 3330
+t0000:=(a+b*x)^7/x^13
+--R 
+--R
+--R   (1)
+--R    7 7       6 6      2 5 5      3 4 4      4 3 3      5 2 2     6       7
+--R   b x  + 7a b x  + 21a b x  + 35a b x  + 35a b x  + 21a b x  + 7a b x + a
+--R   ------------------------------------------------------------------------
+--R                                       13
+--R                                      x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 461
+
+--S 462 of 3330
+r0000:=-1/12*a^7/x^12-7/11*a^6*b/x^11-21/10*a^5*b^2/x^10-35/9*a^4*b^3/x^9-_
+     35/8*a^3*b^4/x^8-3*a^2*b^5/x^7-7/6*a*b^6/x^6-1/5*b^7/x^5
+--R 
+--R
+--R   (2)
+--R         1  7 7   7    6 6     2 5 5   35  3 4 4   35  4 3 3   21  5 2 2
+--R       - - b x  - - a b x  - 3a b x  - -- a b x  - -- a b x  - -- a b x
+--R         5        6                     8           9          10
+--R     + 
+--R          7  6       1  7
+--R       - -- a b x - -- a
+--R         11         12
+--R  /
+--R      12
+--R     x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 462
+
+--S 463 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R             7 7          6 6         2 5 5         3 4 4         4 3 3
+--R       - 792b x  - 4620a b x  - 11880a b x  - 17325a b x  - 15400a b x
+--R     + 
+--R              5 2 2        6          7
+--R       - 8316a b x  - 2520a b x - 330a
+--R  /
+--R          12
+--R     3960x
+--R                                         Type: Union(Expression(Integer),...)
+--E 463
+
+--S 464 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 464
+
+--S 465 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 465
+
+)clear all
+
+--S 466 of 3330
+t0000:=(a+b*x)^7/x^14
+--R 
+--R
+--R   (1)
+--R    7 7       6 6      2 5 5      3 4 4      4 3 3      5 2 2     6       7
+--R   b x  + 7a b x  + 21a b x  + 35a b x  + 35a b x  + 21a b x  + 7a b x + a
+--R   ------------------------------------------------------------------------
+--R                                       14
+--R                                      x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 466
+
+--S 467 of 3330
+r0000:=-1/13*a^7/x^13-7/12*a^6*b/x^12-21/11*a^5*b^2/x^11-7/2*a^4*b^3/x^10-_
+     35/9*a^3*b^4/x^9-21/8*a^2*b^5/x^8-a*b^6/x^7-1/6*b^7/x^6
+--R 
+--R
+--R   (2)
+--R         1  7 7      6 6   21  2 5 5   35  3 4 4   7  4 3 3   21  5 2 2
+--R       - - b x  - a b x  - -- a b x  - -- a b x  - - a b x  - -- a b x
+--R         6                  8           9          2          11
+--R     + 
+--R          7  6       1  7
+--R       - -- a b x - -- a
+--R         12         13
+--R  /
+--R      13
+--R     x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 467
+
+--S 468 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R              7 7           6 6         2 5 5         3 4 4         4 3 3
+--R       - 1716b x  - 10296a b x  - 27027a b x  - 40040a b x  - 36036a b x
+--R     + 
+--R               5 2 2        6          7
+--R       - 19656a b x  - 6006a b x - 792a
+--R  /
+--R           13
+--R     10296x
+--R                                         Type: Union(Expression(Integer),...)
+--E 468
+
+--S 469 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 469
+
+--S 470 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 470
+
+)clear all
+
+--S 471 of 3330
+t0000:=(a+b*x)^7/x^15
+--R 
+--R
+--R   (1)
+--R    7 7       6 6      2 5 5      3 4 4      4 3 3      5 2 2     6       7
+--R   b x  + 7a b x  + 21a b x  + 35a b x  + 35a b x  + 21a b x  + 7a b x + a
+--R   ------------------------------------------------------------------------
+--R                                       15
+--R                                      x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 471
+
+--S 472 of 3330
+r0000:=-1/14*a^7/x^14-7/13*a^6*b/x^13-7/4*a^5*b^2/x^12-35/11*a^4*b^3/x^11-_
+     7/2*a^3*b^4/x^10-7/3*a^2*b^5/x^9-7/8*a*b^6/x^8-1/7*b^7/x^7
+--R 
+--R
+--R   (2)
+--R         1  7 7   7    6 6   7  2 5 5   7  3 4 4   35  4 3 3   7  5 2 2
+--R       - - b x  - - a b x  - - a b x  - - a b x  - -- a b x  - - a b x
+--R         7        8          3          2          11          4
+--R     + 
+--R          7  6       1  7
+--R       - -- a b x - -- a
+--R         13         14
+--R  /
+--R      14
+--R     x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 472
+
+--S 473 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R              7 7           6 6         2 5 5         3 4 4         4 3 3
+--R       - 3432b x  - 21021a b x  - 56056a b x  - 84084a b x  - 76440a b x
+--R     + 
+--R               5 2 2         6           7
+--R       - 42042a b x  - 12936a b x - 1716a
+--R  /
+--R           14
+--R     24024x
+--R                                         Type: Union(Expression(Integer),...)
+--E 473
+
+--S 474 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 474
+
+--S 475 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 475
+
+)clear all
+
+--S 476 of 3330
+t0000:=(a+b*x)^7/x^16
+--R 
+--R
+--R   (1)
+--R    7 7       6 6      2 5 5      3 4 4      4 3 3      5 2 2     6       7
+--R   b x  + 7a b x  + 21a b x  + 35a b x  + 35a b x  + 21a b x  + 7a b x + a
+--R   ------------------------------------------------------------------------
+--R                                       16
+--R                                      x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 476
+
+--S 477 of 3330
+r0000:=-1/15*a^7/x^15-1/2*a^6*b/x^14-21/13*a^5*b^2/x^13-35/12*a^4*b^3/x^12-_
+     35/11*a^3*b^4/x^11-21/10*a^2*b^5/x^10-7/9*a*b^6/x^9-1/8*b^7/x^8
+--R 
+--R
+--R   (2)
+--R         1  7 7   7    6 6   21  2 5 5   35  3 4 4   35  4 3 3   21  5 2 2
+--R       - - b x  - - a b x  - -- a b x  - -- a b x  - -- a b x  - -- a b x
+--R         8        9          10          11          12          13
+--R     + 
+--R         1  6       1  7
+--R       - - a b x - -- a
+--R         2         15
+--R  /
+--R      15
+--R     x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 477
+
+--S 478 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R              7 7           6 6          2 5 5          3 4 4          4 3 3
+--R       - 6435b x  - 40040a b x  - 108108a b x  - 163800a b x  - 150150a b x
+--R     + 
+--R               5 2 2         6           7
+--R       - 83160a b x  - 25740a b x - 3432a
+--R  /
+--R           15
+--R     51480x
+--R                                         Type: Union(Expression(Integer),...)
+--E 478
+
+--S 479 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 479
+
+--S 480 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 480
+
+)clear all
+
+--S 481 of 3330
+t0000:=x^m*(a+b*x)^10
+--R 
+--R
+--R   (1)
+--R        10 10        9 9      2 8 8       3 7 7       4 6 6       5 5 5
+--R       b  x   + 10a b x  + 45a b x  + 120a b x  + 210a b x  + 252a b x
+--R     + 
+--R           6 4 4       7 3 3      8 2 2      9       10
+--R       210a b x  + 120a b x  + 45a b x  + 10a b x + a
+--R  *
+--R      m
+--R     x
+--R                                                    Type: Expression(Integer)
+--E 481
+
+--S 482 of 3330
+r0000:=a^10*x^(1+m)/(1+m)+10*a^9*b*x^(2+m)/(2+m)+45*a^8*b^2*x^(3+m)/(3+m)+_
+     120*a^7*b^3*x^(4+m)/(4+m)+210*a^6*b^4*x^(5+m)/(5+m)+_
+     252*a^5*b^5*x^(6+m)/(6+m)+210*a^4*b^6*x^(7+m)/(7+m)+_
+     120*a^3*b^7*x^(8+m)/(8+m)+45*a^2*b^8*x^(9+m)/(9+m)+_
+     10*a*b^9*x^(10+m)/(10+m)+b^10*x^(11+m)/(11+m)
+--R 
+--R
+--R   (2)
+--R            10 10      10 9        10 8         10 7          10 6          10 5
+--R           b  m   + 55b  m  + 1320b  m  + 18150b  m  + 157773b  m  + 902055b  m
+--R         + 
+--R                 10 4           10 3            10 2            10            10
+--R         3416930b  m  + 8409500b  m  + 12753576b  m  + 10628640b  m + 3628800b
+--R      *
+--R          m + 11
+--R         x
+--R     + 
+--R                9 10         9 9           9 8            9 7             9 6
+--R           10a b m   + 560a b m  + 13650a b m  + 190200a b m  + 1672230a b m
+--R         + 
+--R                     9 5              9 4              9 3               9 2
+--R           9653280a b m  + 36862550a b m  + 91331800a b m  + 139262760a b m
+--R         + 
+--R                       9               9
+--R           116552160a b m + 39916800a b
+--R      *
+--R          m + 10
+--R         x
+--R     + 
+--R              2 8 10        2 8 9         2 8 8          2 8 7           2 8 6
+--R           45a b m   + 2565a b m  + 63540a b m  + 898290a b m  + 7999425a b m
+--R         + 
+--R                    2 8 5             2 8 4             2 8 3             2 8 2
+--R           46695285a b m  + 180021510a b m  + 449614260a b m  + 690085080a b m
+--R         + 
+--R                     2 8              2 8
+--R           580543200a b m + 199584000a b
+--R      *
+--R          m + 9
+--R         x
+--R     + 
+--R               3 7 10        3 7 9          3 7 8           3 7 7
+--R           120a b m   + 6960a b m  + 175320a b m  + 2517840a b m
+--R         + 
+--R                    3 7 6             3 7 5             3 7 4              3 7 3
+--R           22748040a b m  + 134522640a b m  + 524563080a b m  + 1322982960a b m
+--R         + 
+--R                      3 7 2              3 7              3 7
+--R           2047105440a b m  + 1733313600a b m + 598752000a b
+--R      *
+--R          m + 8
+--R         x
+--R     + 
+--R               4 6 10         4 6 9          4 6 8           4 6 7
+--R           210a b m   + 12390a b m  + 317520a b m  + 4638060a b m
+--R         + 
+--R                    4 6 6             4 6 5              4 6 4
+--R           42592410a b m  + 255740310a b m  + 1011120180a b m
+--R         + 
+--R                    4 6 3              4 6 2              4 6               4 6
+--R         2581262040a b m  + 4035361680a b m  + 3445243200a b m + 1197504000a b
+--R      *
+--R          m + 7
+--R         x
+--R     + 
+--R               5 5 10         5 5 9          5 5 8           5 5 7
+--R           252a b m   + 15120a b m  + 394380a b m  + 5866560a b m
+--R         + 
+--R                    5 5 6             5 5 5              5 5 4
+--R           54871236a b m  + 335437200a b m  + 1348939620a b m
+--R         + 
+--R                    5 5 3              5 5 2              5 5               5 5
+--R         3497286240a b m  + 5541317712a b m  + 4783423680a b m + 1676505600a b
+--R      *
+--R          m + 6
+--R         x
+--R     + 
+--R               6 4 10         6 4 9          6 4 8           6 4 7
+--R           210a b m   + 12810a b m  + 340200a b m  + 5159700a b m
+--R         + 
+--R                    6 4 6             6 4 5              6 4 4
+--R           49260330a b m  + 307585530a b m  + 1263374700a b m
+--R         + 
+--R                    6 4 3              6 4 2              6 4               6 4
+--R         3342229800a b m  + 5393046960a b m  + 4727540160a b m + 1676505600a b
+--R      *
+--R          m + 5
+--R         x
+--R     + 
+--R               7 3 10        7 3 9          7 3 8           7 3 7
+--R           120a b m   + 7440a b m  + 201240a b m  + 3115440a b m
+--R         + 
+--R                    7 3 6             7 3 5             7 3 4              7 3 3
+--R           30429000a b m  + 194790960a b m  + 821580360a b m  + 2233166160a b m
+--R         + 
+--R                      7 3 2              7 3               7 3
+--R           3698304480a b m  + 3316939200a b m + 1197504000a b
+--R      *
+--R          m + 4
+--R         x
+--R     + 
+--R              8 2 10        8 2 9         8 2 8           8 2 7            8 2 6
+--R           45a b m   + 2835a b m  + 78120a b m  + 1235790a b m  + 12376665a b m
+--R         + 
+--R                    8 2 5             8 2 4              8 2 3
+--R           81560115a b m  + 355598730a b m  + 1003011660a b m
+--R         + 
+--R                      8 2 2              8 2              8 2
+--R           1727578440a b m  + 1608573600a b m + 598752000a b
+--R      *
+--R          m + 3
+--R         x
+--R     + 
+--R              9   10       9   9         9   8          9   7           9   6
+--R           10a b m   + 640a b m  + 17970a b m  + 290760a b m  + 2992710a b m
+--R         + 
+--R                    9   5            9   4             9   3             9   2
+--R           20390160a b m  + 92615030a b m  + 274727240a b m  + 503126280a b m
+--R         + 
+--R                     9                9
+--R           502927200a b m + 199584000a b
+--R      *
+--R          m + 2
+--R         x
+--R     + 
+--R            10 10      10 9        10 8         10 7          10 6
+--R           a  m   + 65a  m  + 1860a  m  + 30810a  m  + 326613a  m
+--R         + 
+--R                   10 5            10 4            10 3            10 2
+--R           2310945a  m  + 11028590a  m  + 34967140a  m  + 70290936a  m
+--R         + 
+--R                    10             10
+--R           80627040a  m + 39916800a
+--R      *
+--R          m + 1
+--R         x
+--R  /
+--R        11      10        9         8          7           6            5
+--R       m   + 66m   + 1925m  + 32670m  + 357423m  + 2637558m  + 13339535m
+--R     + 
+--R                4             3             2
+--R       45995730m  + 105258076m  + 150917976m  + 120543840m + 39916800
+--R                                                    Type: Expression(Integer)
+--E 482
+
+--S 483 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R              10 10      10 9        10 8         10 7          10 6
+--R             b  m   + 55b  m  + 1320b  m  + 18150b  m  + 157773b  m
+--R           + 
+--R                    10 5           10 4           10 3            10 2
+--R             902055b  m  + 3416930b  m  + 8409500b  m  + 12753576b  m
+--R           + 
+--R                      10            10
+--R             10628640b  m + 3628800b
+--R        *
+--R            11
+--R           x
+--R       + 
+--R                  9 10         9 9           9 8            9 7             9 6
+--R             10a b m   + 560a b m  + 13650a b m  + 190200a b m  + 1672230a b m
+--R           + 
+--R                       9 5              9 4              9 3               9 2
+--R             9653280a b m  + 36862550a b m  + 91331800a b m  + 139262760a b m
+--R           + 
+--R                         9               9
+--R             116552160a b m + 39916800a b
+--R        *
+--R            10
+--R           x
+--R       + 
+--R                2 8 10        2 8 9         2 8 8          2 8 7           2 8 6
+--R             45a b m   + 2565a b m  + 63540a b m  + 898290a b m  + 7999425a b m
+--R           + 
+--R                      2 8 5             2 8 4             2 8 3
+--R             46695285a b m  + 180021510a b m  + 449614260a b m
+--R           + 
+--R                       2 8 2             2 8              2 8
+--R             690085080a b m  + 580543200a b m + 199584000a b
+--R        *
+--R            9
+--R           x
+--R       + 
+--R                 3 7 10        3 7 9          3 7 8           3 7 7
+--R             120a b m   + 6960a b m  + 175320a b m  + 2517840a b m
+--R           + 
+--R                      3 7 6             3 7 5             3 7 4
+--R             22748040a b m  + 134522640a b m  + 524563080a b m
+--R           + 
+--R                      3 7 3              3 7 2              3 7              3 7
+--R           1322982960a b m  + 2047105440a b m  + 1733313600a b m + 598752000a b
+--R        *
+--R            8
+--R           x
+--R       + 
+--R                 4 6 10         4 6 9          4 6 8           4 6 7
+--R             210a b m   + 12390a b m  + 317520a b m  + 4638060a b m
+--R           + 
+--R                      4 6 6             4 6 5              4 6 4
+--R             42592410a b m  + 255740310a b m  + 1011120180a b m
+--R           + 
+--R                        4 6 3              4 6 2              4 6
+--R             2581262040a b m  + 4035361680a b m  + 3445243200a b m
+--R           + 
+--R                        4 6
+--R             1197504000a b
+--R        *
+--R            7
+--R           x
+--R       + 
+--R                 5 5 10         5 5 9          5 5 8           5 5 7
+--R             252a b m   + 15120a b m  + 394380a b m  + 5866560a b m
+--R           + 
+--R                      5 5 6             5 5 5              5 5 4
+--R             54871236a b m  + 335437200a b m  + 1348939620a b m
+--R           + 
+--R                        5 5 3              5 5 2              5 5
+--R             3497286240a b m  + 5541317712a b m  + 4783423680a b m
+--R           + 
+--R                        5 5
+--R             1676505600a b
+--R        *
+--R            6
+--R           x
+--R       + 
+--R                 6 4 10         6 4 9          6 4 8           6 4 7
+--R             210a b m   + 12810a b m  + 340200a b m  + 5159700a b m
+--R           + 
+--R                      6 4 6             6 4 5              6 4 4
+--R             49260330a b m  + 307585530a b m  + 1263374700a b m
+--R           + 
+--R                        6 4 3              6 4 2              6 4
+--R             3342229800a b m  + 5393046960a b m  + 4727540160a b m
+--R           + 
+--R                        6 4
+--R             1676505600a b
+--R        *
+--R            5
+--R           x
+--R       + 
+--R                 7 3 10        7 3 9          7 3 8           7 3 7
+--R             120a b m   + 7440a b m  + 201240a b m  + 3115440a b m
+--R           + 
+--R                      7 3 6             7 3 5             7 3 4
+--R             30429000a b m  + 194790960a b m  + 821580360a b m
+--R           + 
+--R                        7 3 3              7 3 2              7 3
+--R             2233166160a b m  + 3698304480a b m  + 3316939200a b m
+--R           + 
+--R                        7 3
+--R             1197504000a b
+--R        *
+--R            4
+--R           x
+--R       + 
+--R                8 2 10        8 2 9         8 2 8           8 2 7
+--R             45a b m   + 2835a b m  + 78120a b m  + 1235790a b m
+--R           + 
+--R                      8 2 6            8 2 5             8 2 4
+--R             12376665a b m  + 81560115a b m  + 355598730a b m
+--R           + 
+--R                      8 2 3              8 2 2              8 2              8 2
+--R           1003011660a b m  + 1727578440a b m  + 1608573600a b m + 598752000a b
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                9   10       9   9         9   8          9   7           9   6
+--R             10a b m   + 640a b m  + 17970a b m  + 290760a b m  + 2992710a b m
+--R           + 
+--R                      9   5            9   4             9   3             9   2
+--R             20390160a b m  + 92615030a b m  + 274727240a b m  + 503126280a b m
+--R           + 
+--R                       9                9
+--R             502927200a b m + 199584000a b
+--R        *
+--R            2
+--R           x
+--R       + 
+--R              10 10      10 9        10 8         10 7          10 6
+--R             a  m   + 65a  m  + 1860a  m  + 30810a  m  + 326613a  m
+--R           + 
+--R                     10 5            10 4            10 3            10 2
+--R             2310945a  m  + 11028590a  m  + 34967140a  m  + 70290936a  m
+--R           + 
+--R                      10             10
+--R             80627040a  m + 39916800a
+--R        *
+--R           x
+--R    *
+--R         m log(x)
+--R       %e
+--R  /
+--R        11      10        9         8          7           6            5
+--R       m   + 66m   + 1925m  + 32670m  + 357423m  + 2637558m  + 13339535m
+--R     + 
+--R                4             3             2
+--R       45995730m  + 105258076m  + 150917976m  + 120543840m + 39916800
+--R                                         Type: Union(Expression(Integer),...)
+--E 483
+
+--S 484 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R                10 10      10 9        10 8         10 7          10 6
+--R               b  m   + 55b  m  + 1320b  m  + 18150b  m  + 157773b  m
+--R             + 
+--R                      10 5           10 4           10 3            10 2
+--R               902055b  m  + 3416930b  m  + 8409500b  m  + 12753576b  m
+--R             + 
+--R                        10            10
+--R               10628640b  m + 3628800b
+--R          *
+--R              11
+--R             x
+--R         + 
+--R                    9 10         9 9           9 8            9 7
+--R               10a b m   + 560a b m  + 13650a b m  + 190200a b m
+--R             + 
+--R                         9 6             9 5              9 4              9 3
+--R               1672230a b m  + 9653280a b m  + 36862550a b m  + 91331800a b m
+--R             + 
+--R                           9 2               9               9
+--R               139262760a b m  + 116552160a b m + 39916800a b
+--R          *
+--R              10
+--R             x
+--R         + 
+--R                  2 8 10        2 8 9         2 8 8          2 8 7
+--R               45a b m   + 2565a b m  + 63540a b m  + 898290a b m
+--R             + 
+--R                       2 8 6            2 8 5             2 8 4
+--R               7999425a b m  + 46695285a b m  + 180021510a b m
+--R             + 
+--R                       2 8 3             2 8 2             2 8              2 8
+--R             449614260a b m  + 690085080a b m  + 580543200a b m + 199584000a b
+--R          *
+--R              9
+--R             x
+--R         + 
+--R                   3 7 10        3 7 9          3 7 8           3 7 7
+--R               120a b m   + 6960a b m  + 175320a b m  + 2517840a b m
+--R             + 
+--R                        3 7 6             3 7 5             3 7 4
+--R               22748040a b m  + 134522640a b m  + 524563080a b m
+--R             + 
+--R                          3 7 3              3 7 2              3 7
+--R               1322982960a b m  + 2047105440a b m  + 1733313600a b m
+--R             + 
+--R                         3 7
+--R               598752000a b
+--R          *
+--R              8
+--R             x
+--R         + 
+--R                   4 6 10         4 6 9          4 6 8           4 6 7
+--R               210a b m   + 12390a b m  + 317520a b m  + 4638060a b m
+--R             + 
+--R                        4 6 6             4 6 5              4 6 4
+--R               42592410a b m  + 255740310a b m  + 1011120180a b m
+--R             + 
+--R                          4 6 3              4 6 2              4 6
+--R               2581262040a b m  + 4035361680a b m  + 3445243200a b m
+--R             + 
+--R                          4 6
+--R               1197504000a b
+--R          *
+--R              7
+--R             x
+--R         + 
+--R                   5 5 10         5 5 9          5 5 8           5 5 7
+--R               252a b m   + 15120a b m  + 394380a b m  + 5866560a b m
+--R             + 
+--R                        5 5 6             5 5 5              5 5 4
+--R               54871236a b m  + 335437200a b m  + 1348939620a b m
+--R             + 
+--R                          5 5 3              5 5 2              5 5
+--R               3497286240a b m  + 5541317712a b m  + 4783423680a b m
+--R             + 
+--R                          5 5
+--R               1676505600a b
+--R          *
+--R              6
+--R             x
+--R         + 
+--R                   6 4 10         6 4 9          6 4 8           6 4 7
+--R               210a b m   + 12810a b m  + 340200a b m  + 5159700a b m
+--R             + 
+--R                        6 4 6             6 4 5              6 4 4
+--R               49260330a b m  + 307585530a b m  + 1263374700a b m
+--R             + 
+--R                          6 4 3              6 4 2              6 4
+--R               3342229800a b m  + 5393046960a b m  + 4727540160a b m
+--R             + 
+--R                          6 4
+--R               1676505600a b
+--R          *
+--R              5
+--R             x
+--R         + 
+--R                   7 3 10        7 3 9          7 3 8           7 3 7
+--R               120a b m   + 7440a b m  + 201240a b m  + 3115440a b m
+--R             + 
+--R                        7 3 6             7 3 5             7 3 4
+--R               30429000a b m  + 194790960a b m  + 821580360a b m
+--R             + 
+--R                          7 3 3              7 3 2              7 3
+--R               2233166160a b m  + 3698304480a b m  + 3316939200a b m
+--R             + 
+--R                          7 3
+--R               1197504000a b
+--R          *
+--R              4
+--R             x
+--R         + 
+--R                  8 2 10        8 2 9         8 2 8           8 2 7
+--R               45a b m   + 2835a b m  + 78120a b m  + 1235790a b m
+--R             + 
+--R                        8 2 6            8 2 5             8 2 4
+--R               12376665a b m  + 81560115a b m  + 355598730a b m
+--R             + 
+--R                          8 2 3              8 2 2              8 2
+--R               1003011660a b m  + 1727578440a b m  + 1608573600a b m
+--R             + 
+--R                         8 2
+--R               598752000a b
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                  9   10       9   9         9   8          9   7
+--R               10a b m   + 640a b m  + 17970a b m  + 290760a b m
+--R             + 
+--R                       9   6            9   5            9   4             9   3
+--R               2992710a b m  + 20390160a b m  + 92615030a b m  + 274727240a b m
+--R             + 
+--R                         9   2             9                9
+--R               503126280a b m  + 502927200a b m + 199584000a b
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                10 10      10 9        10 8         10 7          10 6
+--R               a  m   + 65a  m  + 1860a  m  + 30810a  m  + 326613a  m
+--R             + 
+--R                       10 5            10 4            10 3            10 2
+--R               2310945a  m  + 11028590a  m  + 34967140a  m  + 70290936a  m
+--R             + 
+--R                        10             10
+--R               80627040a  m + 39916800a
+--R          *
+--R             x
+--R      *
+--R           m log(x)
+--R         %e
+--R     + 
+--R              10 10      10 9        10 8         10 7          10 6
+--R           - b  m   - 55b  m  - 1320b  m  - 18150b  m  - 157773b  m
+--R         + 
+--R                    10 5           10 4           10 3            10 2
+--R           - 902055b  m  - 3416930b  m  - 8409500b  m  - 12753576b  m
+--R         + 
+--R                      10            10
+--R           - 10628640b  m - 3628800b
+--R      *
+--R          m + 11
+--R         x
+--R     + 
+--R                  9 10         9 9           9 8            9 7             9 6
+--R           - 10a b m   - 560a b m  - 13650a b m  - 190200a b m  - 1672230a b m
+--R         + 
+--R                       9 5              9 4              9 3               9 2
+--R           - 9653280a b m  - 36862550a b m  - 91331800a b m  - 139262760a b m
+--R         + 
+--R                         9               9
+--R           - 116552160a b m - 39916800a b
+--R      *
+--R          m + 10
+--R         x
+--R     + 
+--R                2 8 10        2 8 9         2 8 8          2 8 7           2 8 6
+--R           - 45a b m   - 2565a b m  - 63540a b m  - 898290a b m  - 7999425a b m
+--R         + 
+--R                      2 8 5             2 8 4             2 8 3
+--R           - 46695285a b m  - 180021510a b m  - 449614260a b m
+--R         + 
+--R                       2 8 2             2 8              2 8
+--R           - 690085080a b m  - 580543200a b m - 199584000a b
+--R      *
+--R          m + 9
+--R         x
+--R     + 
+--R                 3 7 10        3 7 9          3 7 8           3 7 7
+--R           - 120a b m   - 6960a b m  - 175320a b m  - 2517840a b m
+--R         + 
+--R                      3 7 6             3 7 5             3 7 4
+--R           - 22748040a b m  - 134522640a b m  - 524563080a b m
+--R         + 
+--R                      3 7 3              3 7 2              3 7              3 7
+--R         - 1322982960a b m  - 2047105440a b m  - 1733313600a b m - 598752000a b
+--R      *
+--R          m + 8
+--R         x
+--R     + 
+--R                 4 6 10         4 6 9          4 6 8           4 6 7
+--R           - 210a b m   - 12390a b m  - 317520a b m  - 4638060a b m
+--R         + 
+--R                      4 6 6             4 6 5              4 6 4
+--R           - 42592410a b m  - 255740310a b m  - 1011120180a b m
+--R         + 
+--R                        4 6 3              4 6 2              4 6
+--R           - 2581262040a b m  - 4035361680a b m  - 3445243200a b m
+--R         + 
+--R                        4 6
+--R           - 1197504000a b
+--R      *
+--R          m + 7
+--R         x
+--R     + 
+--R                 5 5 10         5 5 9          5 5 8           5 5 7
+--R           - 252a b m   - 15120a b m  - 394380a b m  - 5866560a b m
+--R         + 
+--R                      5 5 6             5 5 5              5 5 4
+--R           - 54871236a b m  - 335437200a b m  - 1348939620a b m
+--R         + 
+--R                        5 5 3              5 5 2              5 5
+--R           - 3497286240a b m  - 5541317712a b m  - 4783423680a b m
+--R         + 
+--R                        5 5
+--R           - 1676505600a b
+--R      *
+--R          m + 6
+--R         x
+--R     + 
+--R                 6 4 10         6 4 9          6 4 8           6 4 7
+--R           - 210a b m   - 12810a b m  - 340200a b m  - 5159700a b m
+--R         + 
+--R                      6 4 6             6 4 5              6 4 4
+--R           - 49260330a b m  - 307585530a b m  - 1263374700a b m
+--R         + 
+--R                        6 4 3              6 4 2              6 4
+--R           - 3342229800a b m  - 5393046960a b m  - 4727540160a b m
+--R         + 
+--R                        6 4
+--R           - 1676505600a b
+--R      *
+--R          m + 5
+--R         x
+--R     + 
+--R                 7 3 10        7 3 9          7 3 8           7 3 7
+--R           - 120a b m   - 7440a b m  - 201240a b m  - 3115440a b m
+--R         + 
+--R                      7 3 6             7 3 5             7 3 4
+--R           - 30429000a b m  - 194790960a b m  - 821580360a b m
+--R         + 
+--R                        7 3 3              7 3 2              7 3
+--R           - 2233166160a b m  - 3698304480a b m  - 3316939200a b m
+--R         + 
+--R                        7 3
+--R           - 1197504000a b
+--R      *
+--R          m + 4
+--R         x
+--R     + 
+--R                8 2 10        8 2 9         8 2 8           8 2 7
+--R           - 45a b m   - 2835a b m  - 78120a b m  - 1235790a b m
+--R         + 
+--R                      8 2 6            8 2 5             8 2 4
+--R           - 12376665a b m  - 81560115a b m  - 355598730a b m
+--R         + 
+--R                      8 2 3              8 2 2              8 2              8 2
+--R         - 1003011660a b m  - 1727578440a b m  - 1608573600a b m - 598752000a b
+--R      *
+--R          m + 3
+--R         x
+--R     + 
+--R                9   10       9   9         9   8          9   7           9   6
+--R           - 10a b m   - 640a b m  - 17970a b m  - 290760a b m  - 2992710a b m
+--R         + 
+--R                      9   5            9   4             9   3             9   2
+--R           - 20390160a b m  - 92615030a b m  - 274727240a b m  - 503126280a b m
+--R         + 
+--R                       9                9
+--R           - 502927200a b m - 199584000a b
+--R      *
+--R          m + 2
+--R         x
+--R     + 
+--R              10 10      10 9        10 8         10 7          10 6
+--R           - a  m   - 65a  m  - 1860a  m  - 30810a  m  - 326613a  m
+--R         + 
+--R                     10 5            10 4            10 3            10 2
+--R           - 2310945a  m  - 11028590a  m  - 34967140a  m  - 70290936a  m
+--R         + 
+--R                      10             10
+--R           - 80627040a  m - 39916800a
+--R      *
+--R          m + 1
+--R         x
+--R  /
+--R        11      10        9         8          7           6            5
+--R       m   + 66m   + 1925m  + 32670m  + 357423m  + 2637558m  + 13339535m
+--R     + 
+--R                4             3             2
+--R       45995730m  + 105258076m  + 150917976m  + 120543840m + 39916800
+--R                                                    Type: Expression(Integer)
+--E 484
+
+--S 485 of 3330
+d0000:=normalize m0000
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 485
+
+)clear all
+
+--S 486 of 3330
+t0000:=x^9*(a+b*x)^10
+--R 
+--R
+--R   (1)
+--R      10 19        9 18      2 8 17       3 7 16       4 6 15       5 5 14
+--R     b  x   + 10a b x   + 45a b x   + 120a b x   + 210a b x   + 252a b x
+--R   + 
+--R         6 4 13       7 3 12      8 2 11      9   10    10 9
+--R     210a b x   + 120a b x   + 45a b x   + 10a b x   + a  x
+--R                                                    Type: Polynomial(Integer)
+--E 486
+
+--S 487 of 3330
+r0000:=1/10*a^10*x^10+10/11*a^9*b*x^11+15/4*a^8*b^2*x^12+_
+     120/13*a^7*b^3*x^13+15*a^6*b^4*x^14+84/5*a^5*b^5*x^15+_
+     105/8*a^4*b^6*x^16+120/17*a^3*b^7*x^17+5/2*a^2*b^8*x^18+_
+     10/19*a*b^9*x^19+1/20*b^10*x^20
+--R 
+--R
+--R   (2)
+--R      1  10 20   10    9 19   5  2 8 18   120  3 7 17   105  4 6 16   84  5 5 15
+--R     -- b  x   + -- a b x   + - a b x   + --- a b x   + --- a b x   + -- a b x
+--R     20          19           2            17            8             5
+--R   + 
+--R        6 4 14   120  7 3 13   15  8 2 12   10  9   11    1  10 10
+--R     15a b x   + --- a b x   + -- a b x   + -- a b x   + -- a  x
+--R                  13            4           11           10
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 487
+
+--S 488 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R      1  10 20   10    9 19   5  2 8 18   120  3 7 17   105  4 6 16   84  5 5 15
+--R     -- b  x   + -- a b x   + - a b x   + --- a b x   + --- a b x   + -- a b x
+--R     20          19           2            17            8             5
+--R   + 
+--R        6 4 14   120  7 3 13   15  8 2 12   10  9   11    1  10 10
+--R     15a b x   + --- a b x   + -- a b x   + -- a b x   + -- a  x
+--R                  13            4           11           10
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 488
+
+--S 489 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 489
+
+--S 490 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 490
+
+)clear all
+
+--S 491 of 3330
+t0000:=x^8*(a+b*x)^10
+--R 
+--R
+--R   (1)
+--R      10 18        9 17      2 8 16       3 7 15       4 6 14       5 5 13
+--R     b  x   + 10a b x   + 45a b x   + 120a b x   + 210a b x   + 252a b x
+--R   + 
+--R         6 4 12       7 3 11      8 2 10      9   9    10 8
+--R     210a b x   + 120a b x   + 45a b x   + 10a b x  + a  x
+--R                                                    Type: Polynomial(Integer)
+--E 491
+
+--S 492 of 3330
+r0000:=1/9*a^10*x^9+a^9*b*x^10+45/11*a^8*b^2*x^11+10*a^7*b^3*x^12+_
+     210/13*a^6*b^4*x^13+18*a^5*b^5*x^14+14*a^4*b^6*x^15+_
+     15/2*a^3*b^7*x^16+45/17*a^2*b^8*x^17+5/9*a*b^9*x^18+1/19*b^10*x^19
+--R 
+--R
+--R   (2)
+--R      1  10 19   5    9 18   45  2 8 17   15  3 7 16      4 6 15      5 5 14
+--R     -- b  x   + - a b x   + -- a b x   + -- a b x   + 14a b x   + 18a b x
+--R     19          9           17            2
+--R   + 
+--R     210  6 4 13      7 3 12   45  8 2 11    9   10   1  10 9
+--R     --- a b x   + 10a b x   + -- a b x   + a b x   + - a  x
+--R      13                       11                     9
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 492
+
+--S 493 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R      1  10 19   5    9 18   45  2 8 17   15  3 7 16      4 6 15      5 5 14
+--R     -- b  x   + - a b x   + -- a b x   + -- a b x   + 14a b x   + 18a b x
+--R     19          9           17            2
+--R   + 
+--R     210  6 4 13      7 3 12   45  8 2 11    9   10   1  10 9
+--R     --- a b x   + 10a b x   + -- a b x   + a b x   + - a  x
+--R      13                       11                     9
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 493
+
+--S 494 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 494
+
+--S 495 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 495
+
+)clear all
+
+--S 496 of 3330
+t0000:=x^7*(a+b*x)^10
+--R 
+--R
+--R   (1)
+--R      10 17        9 16      2 8 15       3 7 14       4 6 13       5 5 12
+--R     b  x   + 10a b x   + 45a b x   + 120a b x   + 210a b x   + 252a b x
+--R   + 
+--R         6 4 11       7 3 10      8 2 9      9   8    10 7
+--R     210a b x   + 120a b x   + 45a b x  + 10a b x  + a  x
+--R                                                    Type: Polynomial(Integer)
+--E 496
+
+--S 497 of 3330
+r0000:=1/8*a^10*x^8+10/9*a^9*b*x^9+9/2*a^8*b^2*x^10+120/11*a^7*b^3*x^11+_
+     35/2*a^6*b^4*x^12+252/13*a^5*b^5*x^13+15*a^4*b^6*x^14+_
+     8*a^3*b^7*x^15+45/16*a^2*b^8*x^16+10/17*a*b^9*x^17+1/18*b^10*x^18
+--R 
+--R
+--R   (2)
+--R      1  10 18   10    9 17   45  2 8 16     3 7 15      4 6 14   252  5 5 13
+--R     -- b  x   + -- a b x   + -- a b x   + 8a b x   + 15a b x   + --- a b x
+--R     18          17           16                                   13
+--R   + 
+--R     35  6 4 12   120  7 3 11   9  8 2 10   10  9   9   1  10 8
+--R     -- a b x   + --- a b x   + - a b x   + -- a b x  + - a  x
+--R      2            11           2            9          8
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 497
+
+--S 498 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R      1  10 18   10    9 17   45  2 8 16     3 7 15      4 6 14   252  5 5 13
+--R     -- b  x   + -- a b x   + -- a b x   + 8a b x   + 15a b x   + --- a b x
+--R     18          17           16                                   13
+--R   + 
+--R     35  6 4 12   120  7 3 11   9  8 2 10   10  9   9   1  10 8
+--R     -- a b x   + --- a b x   + - a b x   + -- a b x  + - a  x
+--R      2            11           2            9          8
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 498
+
+--S 499 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 499
+
+--S 500 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 500
+
+)clear all
+
+--S 501 of 3330
+t0000:=x^6*(a+b*x)^10
+--R 
+--R
+--R   (1)
+--R      10 16        9 15      2 8 14       3 7 13       4 6 12       5 5 11
+--R     b  x   + 10a b x   + 45a b x   + 120a b x   + 210a b x   + 252a b x
+--R   + 
+--R         6 4 10       7 3 9      8 2 8      9   7    10 6
+--R     210a b x   + 120a b x  + 45a b x  + 10a b x  + a  x
+--R                                                    Type: Polynomial(Integer)
+--E 501
+
+--S 502 of 3330
+r0000:=1/11*a^6*(a+b*x)^11/b^7-1/2*a^5*(a+b*x)^12/b^7+_
+     15/13*a^4*(a+b*x)^13/b^7-10/7*a^3*(a+b*x)^14/b^7+a^2*(a+b*x)^15/b^7-_
+     3/8*a*(a+b*x)^16/b^7+1/17*(a+b*x)^17/b^7
+--R 
+--R
+--R   (2)
+--R        1  17 17   5    16 16     2 15 15   60  3 14 14   210  4 13 13
+--R       -- b  x   + - a b  x   + 3a b  x   + -- a b  x   + --- a b  x
+--R       17          8                         7             13
+--R     + 
+--R          5 12 12   210  6 11 11      7 10 10     8 9 9   5  9 8 8   1  10 7 7
+--R       21a b  x   + --- a b  x   + 12a b  x   + 5a b x  + - a b x  + - a  b x
+--R                     11                                   4          7
+--R     + 
+--R          1    17
+--R       ------ a
+--R       136136
+--R  /
+--R      7
+--R     b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 502
+
+--S 503 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R      1  10 17   5    9 16     2 8 15   60  3 7 14   210  4 6 13      5 5 12
+--R     -- b  x   + - a b x   + 3a b x   + -- a b x   + --- a b x   + 21a b x
+--R     17          8                       7            13
+--R   + 
+--R     210  6 4 11      7 3 10     8 2 9   5  9   8   1  10 7
+--R     --- a b x   + 12a b x   + 5a b x  + - a b x  + - a  x
+--R      11                                 4          7
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 503
+
+--S 504 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R             1    17
+--R          ------ a
+--R          136136
+--R   (4)  - ----------
+--R               7
+--R              b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 504
+
+--S 505 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 505
+
+)clear all
+
+--S 506 of 3330
+t0000:=x^5*(a+b*x)^10
+--R 
+--R
+--R   (1)
+--R      10 15        9 14      2 8 13       3 7 12       4 6 11       5 5 10
+--R     b  x   + 10a b x   + 45a b x   + 120a b x   + 210a b x   + 252a b x
+--R   + 
+--R         6 4 9       7 3 8      8 2 7      9   6    10 5
+--R     210a b x  + 120a b x  + 45a b x  + 10a b x  + a  x
+--R                                                    Type: Polynomial(Integer)
+--E 506
+
+--S 507 of 3330
+r0000:=-1/11*a^5*(a+b*x)^11/b^6+5/12*a^4*(a+b*x)^12/b^6-_
+     10/13*a^3*(a+b*x)^13/b^6+5/7*a^2*(a+b*x)^14/b^6-1/3*a*(a+b*x)^15/b^6+_
+     1/16*(a+b*x)^16/b^6
+--R 
+--R
+--R   (2)
+--R        1  16 16   2    15 15   45  2 14 14   120  3 13 13   35  4 12 12
+--R       -- b  x   + - a b  x   + -- a b  x   + --- a b  x   + -- a b  x
+--R       16          3            14             13             2
+--R     + 
+--R       252  5 11 11      6 10 10   40  7 9 9   45  8 8 8   10  9 7 7   1  10 6 6
+--R       --- a b  x   + 21a b  x   + -- a b x  + -- a b x  + -- a b x  + - a  b x
+--R        11                          3           8           7          6
+--R     + 
+--R           1    16
+--R       - ----- a
+--R         48048
+--R  /
+--R      6
+--R     b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 507
+
+--S 508 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R      1  10 16   2    9 15   45  2 8 14   120  3 7 13   35  4 6 12   252  5 5 11
+--R     -- b  x   + - a b x   + -- a b x   + --- a b x   + -- a b x   + --- a b x
+--R     16          3           14            13            2            11
+--R   + 
+--R        6 4 10   40  7 3 9   45  8 2 8   10  9   7   1  10 6
+--R     21a b x   + -- a b x  + -- a b x  + -- a b x  + - a  x
+--R                  3           8           7          6
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 508
+
+--S 509 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R          1    16
+--R        ----- a
+--R        48048
+--R   (4)  ---------
+--R             6
+--R            b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 509
+
+--S 510 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 510
+
+)clear all
+
+--S 511 of 3330
+t0000:=x^4*(a+b*x)^10
+--R 
+--R
+--R   (1)
+--R      10 14        9 13      2 8 12       3 7 11       4 6 10       5 5 9
+--R     b  x   + 10a b x   + 45a b x   + 120a b x   + 210a b x   + 252a b x
+--R   + 
+--R         6 4 8       7 3 7      8 2 6      9   5    10 4
+--R     210a b x  + 120a b x  + 45a b x  + 10a b x  + a  x
+--R                                                    Type: Polynomial(Integer)
+--E 511
+
+--S 512 of 3330
+r0000:=1/11*a^4*(a+b*x)^11/b^5-1/3*a^3*(a+b*x)^12/b^5+_
+     6/13*a^2*(a+b*x)^13/b^5-2/7*a*(a+b*x)^14/b^5+1/15*(a+b*x)^15/b^5
+--R 
+--R
+--R   (2)
+--R        1  15 15   5    14 14   45  2 13 13      3 12 12   210  4 11 11
+--R       -- b  x   + - a b  x   + -- a b  x   + 10a b  x   + --- a b  x
+--R       15          7            13                          11
+--R     + 
+--R       126  5 10 10   70  6 9 9      7 8 8   45  8 7 7   5  9 6 6   1  10 5 5
+--R       --- a b  x   + -- a b x  + 15a b x  + -- a b x  + - a b x  + - a  b x
+--R        5              3                      7          3          5
+--R     + 
+--R         1    15
+--R       ----- a
+--R       15015
+--R  /
+--R      5
+--R     b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 512
+
+--S 513 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R      1  10 15   5    9 14   45  2 8 13      3 7 12   210  4 6 11   126  5 5 10
+--R     -- b  x   + - a b x   + -- a b x   + 10a b x   + --- a b x   + --- a b x
+--R     15          7           13                        11            5
+--R   + 
+--R     70  6 4 9      7 3 8   45  8 2 7   5  9   6   1  10 5
+--R     -- a b x  + 15a b x  + -- a b x  + - a b x  + - a  x
+--R      3                      7          3          5
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 513
+
+--S 514 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R            1    15
+--R          ----- a
+--R          15015
+--R   (4)  - ---------
+--R               5
+--R              b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 514
+
+--S 515 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 515
+
+)clear all
+
+--S 516 of 3330
+t0000:=x^3*(a+b*x)^10
+--R 
+--R
+--R   (1)
+--R      10 13        9 12      2 8 11       3 7 10       4 6 9       5 5 8
+--R     b  x   + 10a b x   + 45a b x   + 120a b x   + 210a b x  + 252a b x
+--R   + 
+--R         6 4 7       7 3 6      8 2 5      9   4    10 3
+--R     210a b x  + 120a b x  + 45a b x  + 10a b x  + a  x
+--R                                                    Type: Polynomial(Integer)
+--E 516
+
+--S 517 of 3330
+r0000:=-1/11*a^3*(a+b*x)^11/b^4+1/4*a^2*(a+b*x)^12/b^4-_
+     3/13*a*(a+b*x)^13/b^4+1/14*(a+b*x)^14/b^4
+--R 
+--R
+--R   (2)
+--R        1  14 14   10    13 13   15  2 12 12   120  3 11 11      4 10 10
+--R       -- b  x   + -- a b  x   + -- a b  x   + --- a b  x   + 21a b  x
+--R       14          13             4             11
+--R     + 
+--R          5 9 9   105  6 8 8   120  7 7 7   15  8 6 6     9 5 5   1  10 4 4
+--R       28a b x  + --- a b x  + --- a b x  + -- a b x  + 2a b x  + - a  b x
+--R                   4            7            2                    4
+--R     + 
+--R           1   14
+--R       - ---- a
+--R         4004
+--R  /
+--R      4
+--R     b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 517
+
+--S 518 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R      1  10 14   10    9 13   15  2 8 12   120  3 7 11      4 6 10      5 5 9
+--R     -- b  x   + -- a b x   + -- a b x   + --- a b x   + 21a b x   + 28a b x
+--R     14          13            4            11
+--R   + 
+--R     105  6 4 8   120  7 3 7   15  8 2 6     9   5   1  10 4
+--R     --- a b x  + --- a b x  + -- a b x  + 2a b x  + - a  x
+--R      4            7            2                    4
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 518
+
+--S 519 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R          1   14
+--R        ---- a
+--R        4004
+--R   (4)  --------
+--R            4
+--R           b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 519
+
+--S 520 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 520
+
+)clear all
+
+--S 521 of 3330
+t0000:=x^2*(a+b*x)^10
+--R 
+--R
+--R   (1)
+--R      10 12        9 11      2 8 10       3 7 9       4 6 8       5 5 7
+--R     b  x   + 10a b x   + 45a b x   + 120a b x  + 210a b x  + 252a b x
+--R   + 
+--R         6 4 6       7 3 5      8 2 4      9   3    10 2
+--R     210a b x  + 120a b x  + 45a b x  + 10a b x  + a  x
+--R                                                    Type: Polynomial(Integer)
+--E 521
+
+--S 522 of 3330
+r0000:=1/11*a^2*(a+b*x)^11/b^3-1/6*a*(a+b*x)^12/b^3+1/13*(a+b*x)^13/b^3
+--R 
+--R
+--R   (2)
+--R        1  13 13   5    12 12   45  2 11 11      3 10 10   70  4 9 9   63  5 8 8
+--R       -- b  x   + - a b  x   + -- a b  x   + 12a b  x   + -- a b x  + -- a b x
+--R       13          6            11                          3           2
+--R     + 
+--R          6 7 7      7 6 6     8 5 5   5  9 4 4   1  10 3 3    1   13
+--R       30a b x  + 20a b x  + 9a b x  + - a b x  + - a  b x  + --- a
+--R                                       2          3           858
+--R  /
+--R      3
+--R     b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 522
+
+--S 523 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R      1  10 13   5    9 12   45  2 8 11      3 7 10   70  4 6 9   63  5 5 8
+--R     -- b  x   + - a b x   + -- a b x   + 12a b x   + -- a b x  + -- a b x
+--R     13          6           11                        3           2
+--R   + 
+--R        6 4 7      7 3 6     8 2 5   5  9   4   1  10 3
+--R     30a b x  + 20a b x  + 9a b x  + - a b x  + - a  x
+--R                                     2          3
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 523
+
+--S 524 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R           1   13
+--R          --- a
+--R          858
+--R   (4)  - -------
+--R              3
+--R             b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 524
+
+--S 525 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 525
+
+)clear all
+
+--S 526 of 3330
+t0000:=x*(a+b*x)^10
+--R 
+--R
+--R   (1)
+--R      10 11        9 10      2 8 9       3 7 8       4 6 7       5 5 6
+--R     b  x   + 10a b x   + 45a b x  + 120a b x  + 210a b x  + 252a b x
+--R   + 
+--R         6 4 5       7 3 4      8 2 3      9   2    10
+--R     210a b x  + 120a b x  + 45a b x  + 10a b x  + a  x
+--R                                                    Type: Polynomial(Integer)
+--E 526
+
+--S 527 of 3330
+r0000:=-1/11*a*(a+b*x)^11/b^2+1/12*(a+b*x)^12/b^2
+--R 
+--R
+--R   (2)
+--R        1  12 12   10    11 11   9  2 10 10   40  3 9 9   105  4 8 8      5 7 7
+--R       -- b  x   + -- a b  x   + - a b  x   + -- a b x  + --- a b x  + 36a b x
+--R       12          11            2             3           4
+--R     + 
+--R          6 6 6      7 5 5   45  8 4 4   10  9 3 3   1  10 2 2    1   12
+--R       35a b x  + 24a b x  + -- a b x  + -- a b x  + - a  b x  - --- a
+--R                              4           3          2           132
+--R  /
+--R      2
+--R     b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 527
+
+--S 528 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R      1  10 12   10    9 11   9  2 8 10   40  3 7 9   105  4 6 8      5 5 7
+--R     -- b  x   + -- a b x   + - a b x   + -- a b x  + --- a b x  + 36a b x
+--R     12          11           2            3           4
+--R   + 
+--R        6 4 6      7 3 5   45  8 2 4   10  9   3   1  10 2
+--R     35a b x  + 24a b x  + -- a b x  + -- a b x  + - a  x
+--R                            4           3          2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 528
+
+--S 529 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R         1   12
+--R        --- a
+--R        132
+--R   (4)  -------
+--R            2
+--R           b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 529
+
+--S 530 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 530
+
+)clear all
+
+--S 531 of 3330
+t0000:=(a+b*x)^10
+--R 
+--R
+--R   (1)
+--R      10 10        9 9      2 8 8       3 7 7       4 6 6       5 5 5
+--R     b  x   + 10a b x  + 45a b x  + 120a b x  + 210a b x  + 252a b x
+--R   + 
+--R         6 4 4       7 3 3      8 2 2      9       10
+--R     210a b x  + 120a b x  + 45a b x  + 10a b x + a
+--R                                                    Type: Polynomial(Integer)
+--E 531
+
+--S 532 of 3330
+r0000:=1/11*(a+b*x)^11/b
+--R 
+--R
+--R   (2)
+--R        1  11 11      10 10     2 9 9      3 8 8      4 7 7      5 6 6
+--R       -- b  x   + a b  x   + 5a b x  + 15a b x  + 30a b x  + 42a b x
+--R       11
+--R     + 
+--R          6 5 5      7 4 4      8 3 3     9 2 2    10       1  11
+--R       42a b x  + 30a b x  + 15a b x  + 5a b x  + a  b x + -- a
+--R                                                           11
+--R  /
+--R     b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 532
+
+--S 533 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R      1  10 11      9 10     2 8 9      3 7 8      4 6 7      5 5 6      6 4 5
+--R     -- b  x   + a b x   + 5a b x  + 15a b x  + 30a b x  + 42a b x  + 42a b x
+--R     11
+--R   + 
+--R        7 3 4      8 2 3     9   2    10
+--R     30a b x  + 15a b x  + 5a b x  + a  x
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 533
+
+--S 534 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R           1  11
+--R          -- a
+--R          11
+--R   (4)  - ------
+--R             b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 534
+
+--S 535 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 535
+
+)clear all
+
+--S 536 of 3330
+t0000:=(a+b*x)^10/x
+--R 
+--R
+--R   (1)
+--R        10 10        9 9      2 8 8       3 7 7       4 6 6       5 5 5
+--R       b  x   + 10a b x  + 45a b x  + 120a b x  + 210a b x  + 252a b x
+--R     + 
+--R           6 4 4       7 3 3      8 2 2      9       10
+--R       210a b x  + 120a b x  + 45a b x  + 10a b x + a
+--R  /
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 536
+
+--S 537 of 3330
+r0000:=10*a^9*b*x+45/2*a^8*b^2*x^2+40*a^7*b^3*x^3+105/2*a^6*b^4*x^4+_
+     252/5*a^5*b^5*x^5+35*a^4*b^6*x^6+120/7*a^3*b^7*x^7+_
+     45/8*a^2*b^8*x^8+10/9*a*b^9*x^9+1/10*b^10*x^10+a^10*log(x)
+--R 
+--R
+--R   (2)
+--R            10             10 10          9 9         2 8 8         3 7 7
+--R       2520a  log(x) + 252b  x   + 2800a b x  + 14175a b x  + 43200a b x
+--R     + 
+--R             4 6 6          5 5 5          6 4 4          7 3 3         8 2 2
+--R       88200a b x  + 127008a b x  + 132300a b x  + 100800a b x  + 56700a b x
+--R     + 
+--R             9
+--R       25200a b x
+--R  /
+--R     2520
+--R                                                    Type: Expression(Integer)
+--E 537
+
+--S 538 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R            10             10 10          9 9         2 8 8         3 7 7
+--R       2520a  log(x) + 252b  x   + 2800a b x  + 14175a b x  + 43200a b x
+--R     + 
+--R             4 6 6          5 5 5          6 4 4          7 3 3         8 2 2
+--R       88200a b x  + 127008a b x  + 132300a b x  + 100800a b x  + 56700a b x
+--R     + 
+--R             9
+--R       25200a b x
+--R  /
+--R     2520
+--R                                         Type: Union(Expression(Integer),...)
+--E 538
+
+--S 539 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 539
+
+--S 540 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 540
+
+)clear all
+
+--S 541 of 3330
+t0000:=(a+b*x)^10/x^2
+--R 
+--R
+--R   (1)
+--R        10 10        9 9      2 8 8       3 7 7       4 6 6       5 5 5
+--R       b  x   + 10a b x  + 45a b x  + 120a b x  + 210a b x  + 252a b x
+--R     + 
+--R           6 4 4       7 3 3      8 2 2      9       10
+--R       210a b x  + 120a b x  + 45a b x  + 10a b x + a
+--R  /
+--R      2
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 541
+
+--S 542 of 3330
+r0000:=-a^10/x+45*a^8*b^2*x+60*a^7*b^3*x^2+70*a^6*b^4*x^3+63*a^5*b^5*x^4+_
+     42*a^4*b^6*x^5+20*a^3*b^7*x^6+45/7*a^2*b^8*x^7+5/4*a*b^9*x^8+_
+     1/9*b^10*x^9+10*a^9*b*log(x)
+--R 
+--R
+--R   (2)
+--R            9                10 10         9 9        2 8 8        3 7 7
+--R       2520a b x log(x) + 28b  x   + 315a b x  + 1620a b x  + 5040a b x
+--R     + 
+--R             4 6 6         5 5 5         6 4 4         7 3 3         8 2 2
+--R       10584a b x  + 15876a b x  + 17640a b x  + 15120a b x  + 11340a b x
+--R     + 
+--R             10
+--R       - 252a
+--R  /
+--R     252x
+--R                                                    Type: Expression(Integer)
+--E 542
+
+--S 543 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R            9                10 10         9 9        2 8 8        3 7 7
+--R       2520a b x log(x) + 28b  x   + 315a b x  + 1620a b x  + 5040a b x
+--R     + 
+--R             4 6 6         5 5 5         6 4 4         7 3 3         8 2 2
+--R       10584a b x  + 15876a b x  + 17640a b x  + 15120a b x  + 11340a b x
+--R     + 
+--R             10
+--R       - 252a
+--R  /
+--R     252x
+--R                                         Type: Union(Expression(Integer),...)
+--E 543
+
+--S 544 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 544
+
+--S 545 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 545
+
+)clear all
+
+--S 546 of 3330
+t0000:=(a+b*x)^10/x^3
+--R 
+--R
+--R   (1)
+--R        10 10        9 9      2 8 8       3 7 7       4 6 6       5 5 5
+--R       b  x   + 10a b x  + 45a b x  + 120a b x  + 210a b x  + 252a b x
+--R     + 
+--R           6 4 4       7 3 3      8 2 2      9       10
+--R       210a b x  + 120a b x  + 45a b x  + 10a b x + a
+--R  /
+--R      3
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 546
+
+--S 547 of 3330
+r0000:=-1/2*a^10/x^2-10*a^9*b/x+120*a^7*b^3*x+105*a^6*b^4*x^2+_
+     84*a^5*b^5*x^3+105/2*a^4*b^6*x^4+24*a^3*b^7*x^5+15/2*a^2*b^8*x^6+_
+     10/7*a*b^9*x^7+1/8*b^10*x^8+45*a^8*b^2*log(x)
+--R 
+--R
+--R   (2)
+--R            8 2 2           10 10        9 9       2 8 8        3 7 7
+--R       2520a b x log(x) + 7b  x   + 80a b x  + 420a b x  + 1344a b x
+--R     + 
+--R            4 6 6        5 5 5        6 4 4        7 3 3       9         10
+--R       2940a b x  + 4704a b x  + 5880a b x  + 6720a b x  - 560a b x - 28a
+--R  /
+--R        2
+--R     56x
+--R                                                    Type: Expression(Integer)
+--E 547
+
+--S 548 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R            8 2 2           10 10        9 9       2 8 8        3 7 7
+--R       2520a b x log(x) + 7b  x   + 80a b x  + 420a b x  + 1344a b x
+--R     + 
+--R            4 6 6        5 5 5        6 4 4        7 3 3       9         10
+--R       2940a b x  + 4704a b x  + 5880a b x  + 6720a b x  - 560a b x - 28a
+--R  /
+--R        2
+--R     56x
+--R                                         Type: Union(Expression(Integer),...)
+--E 548
+
+--S 549 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 549
+
+--S 550 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 550
+
+)clear all
+
+--S 551 of 3330
+t0000:=(a+b*x)^10/x^4
+--R 
+--R
+--R   (1)
+--R        10 10        9 9      2 8 8       3 7 7       4 6 6       5 5 5
+--R       b  x   + 10a b x  + 45a b x  + 120a b x  + 210a b x  + 252a b x
+--R     + 
+--R           6 4 4       7 3 3      8 2 2      9       10
+--R       210a b x  + 120a b x  + 45a b x  + 10a b x + a
+--R  /
+--R      4
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 551
+
+--S 552 of 3330
+r0000:=-1/3*a^10/x^3-5*a^9*b/x^2-45*a^8*b^2/x+210*a^6*b^4*x+_
+     126*a^5*b^5*x^2+70*a^4*b^6*x^3+30*a^3*b^7*x^4+9*a^2*b^8*x^5+_
+     5/3*a*b^9*x^6+1/7*b^10*x^7+120*a^7*b^3*log(x)
+--R 
+--R
+--R   (2)
+--R            7 3 3           10 10        9 9       2 8 8       3 7 7
+--R       2520a b x log(x) + 3b  x   + 35a b x  + 189a b x  + 630a b x
+--R     + 
+--R            4 6 6        5 5 5        6 4 4       8 2 2       9        10
+--R       1470a b x  + 2646a b x  + 4410a b x  - 945a b x  - 105a b x - 7a
+--R  /
+--R        3
+--R     21x
+--R                                                    Type: Expression(Integer)
+--E 552
+
+--S 553 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R            7 3 3           10 10        9 9       2 8 8       3 7 7
+--R       2520a b x log(x) + 3b  x   + 35a b x  + 189a b x  + 630a b x
+--R     + 
+--R            4 6 6        5 5 5        6 4 4       8 2 2       9        10
+--R       1470a b x  + 2646a b x  + 4410a b x  - 945a b x  - 105a b x - 7a
+--R  /
+--R        3
+--R     21x
+--R                                         Type: Union(Expression(Integer),...)
+--E 553
+
+--S 554 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 554
+
+--S 555 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 555
+
+)clear all
+
+--S 556 of 3330
+t0000:=(a+b*x)^10/x^5
+--R 
+--R
+--R   (1)
+--R        10 10        9 9      2 8 8       3 7 7       4 6 6       5 5 5
+--R       b  x   + 10a b x  + 45a b x  + 120a b x  + 210a b x  + 252a b x
+--R     + 
+--R           6 4 4       7 3 3      8 2 2      9       10
+--R       210a b x  + 120a b x  + 45a b x  + 10a b x + a
+--R  /
+--R      5
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 556
+
+--S 557 of 3330
+r0000:=-1/4*a^10/x^4-10/3*a^9*b/x^3-45/2*a^8*b^2/x^2-120*a^7*b^3/x+_
+     252*a^5*b^5*x+105*a^4*b^6*x^2+40*a^3*b^7*x^3+45/4*a^2*b^8*x^4+_
+     2*a*b^9*x^5+1/6*b^10*x^6+210*a^6*b^4*log(x)
+--R 
+--R
+--R   (2)
+--R            6 4 4           10 10        9 9       2 8 8       3 7 7
+--R       2520a b x log(x) + 2b  x   + 24a b x  + 135a b x  + 480a b x
+--R     + 
+--R            4 6 6        5 5 5        7 3 3       8 2 2      9        10
+--R       1260a b x  + 3024a b x  - 1440a b x  - 270a b x  - 40a b x - 3a
+--R  /
+--R        4
+--R     12x
+--R                                                    Type: Expression(Integer)
+--E 557
+
+--S 558 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R            6 4 4           10 10        9 9       2 8 8       3 7 7
+--R       2520a b x log(x) + 2b  x   + 24a b x  + 135a b x  + 480a b x
+--R     + 
+--R            4 6 6        5 5 5        7 3 3       8 2 2      9        10
+--R       1260a b x  + 3024a b x  - 1440a b x  - 270a b x  - 40a b x - 3a
+--R  /
+--R        4
+--R     12x
+--R                                         Type: Union(Expression(Integer),...)
+--E 558
+
+--S 559 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 559
+
+--S 560 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 560
+
+)clear all
+
+--S 561 of 3330
+t0000:=(a+b*x)^10/x^6
+--R 
+--R
+--R   (1)
+--R        10 10        9 9      2 8 8       3 7 7       4 6 6       5 5 5
+--R       b  x   + 10a b x  + 45a b x  + 120a b x  + 210a b x  + 252a b x
+--R     + 
+--R           6 4 4       7 3 3      8 2 2      9       10
+--R       210a b x  + 120a b x  + 45a b x  + 10a b x + a
+--R  /
+--R      6
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 561
+
+--S 562 of 3330
+r0000:=-1/5*a^10/x^5-5/2*a^9*b/x^4-15*a^8*b^2/x^3-60*a^7*b^3/x^2-_
+     210*a^6*b^4/x+210*a^4*b^6*x+60*a^3*b^7*x^2+15*a^2*b^8*x^3+_
+     5/2*a*b^9*x^4+1/5*b^10*x^5+252*a^5*b^5*log(x)
+--R 
+--R
+--R   (2)
+--R            5 5 5           10 10        9 9       2 8 8       3 7 7
+--R       2520a b x log(x) + 2b  x   + 25a b x  + 150a b x  + 600a b x
+--R     + 
+--R            4 6 6        6 4 4       7 3 3       8 2 2      9        10
+--R       2100a b x  - 2100a b x  - 600a b x  - 150a b x  - 25a b x - 2a
+--R  /
+--R        5
+--R     10x
+--R                                                    Type: Expression(Integer)
+--E 562
+
+--S 563 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R            5 5 5           10 10        9 9       2 8 8       3 7 7
+--R       2520a b x log(x) + 2b  x   + 25a b x  + 150a b x  + 600a b x
+--R     + 
+--R            4 6 6        6 4 4       7 3 3       8 2 2      9        10
+--R       2100a b x  - 2100a b x  - 600a b x  - 150a b x  - 25a b x - 2a
+--R  /
+--R        5
+--R     10x
+--R                                         Type: Union(Expression(Integer),...)
+--E 563
+
+--S 564 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 564
+
+--S 565 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 565
+
+)clear all
+
+--S 566 of 3330
+t0000:=(a+b*x)^10/x^7
+--R 
+--R
+--R   (1)
+--R        10 10        9 9      2 8 8       3 7 7       4 6 6       5 5 5
+--R       b  x   + 10a b x  + 45a b x  + 120a b x  + 210a b x  + 252a b x
+--R     + 
+--R           6 4 4       7 3 3      8 2 2      9       10
+--R       210a b x  + 120a b x  + 45a b x  + 10a b x + a
+--R  /
+--R      7
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 566
+
+--S 567 of 3330
+r0000:=-1/6*a^10/x^6-2*a^9*b/x^5-45/4*a^8*b^2/x^4-40*a^7*b^3/x^3-_
+     105*a^6*b^4/x^2-252*a^5*b^5/x+120*a^3*b^7*x+45/2*a^2*b^8*x^2+_
+     10/3*a*b^9*x^3+1/4*b^10*x^4+210*a^4*b^6*log(x)
+--R 
+--R
+--R   (2)
+--R            4 6 6           10 10        9 9       2 8 8        3 7 7
+--R       2520a b x log(x) + 3b  x   + 40a b x  + 270a b x  + 1440a b x
+--R     + 
+--R              5 5 5        6 4 4       7 3 3       8 2 2      9        10
+--R       - 3024a b x  - 1260a b x  - 480a b x  - 135a b x  - 24a b x - 2a
+--R  /
+--R        6
+--R     12x
+--R                                                    Type: Expression(Integer)
+--E 567
+
+--S 568 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R            4 6 6           10 10        9 9       2 8 8        3 7 7
+--R       2520a b x log(x) + 3b  x   + 40a b x  + 270a b x  + 1440a b x
+--R     + 
+--R              5 5 5        6 4 4       7 3 3       8 2 2      9        10
+--R       - 3024a b x  - 1260a b x  - 480a b x  - 135a b x  - 24a b x - 2a
+--R  /
+--R        6
+--R     12x
+--R                                         Type: Union(Expression(Integer),...)
+--E 568
+
+--S 569 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 569
+
+--S 570 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 570
+
+)clear all
+
+--S 571 of 3330
+t0000:=(a+b*x)^10/x^8
+--R 
+--R
+--R   (1)
+--R        10 10        9 9      2 8 8       3 7 7       4 6 6       5 5 5
+--R       b  x   + 10a b x  + 45a b x  + 120a b x  + 210a b x  + 252a b x
+--R     + 
+--R           6 4 4       7 3 3      8 2 2      9       10
+--R       210a b x  + 120a b x  + 45a b x  + 10a b x + a
+--R  /
+--R      8
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 571
+
+--S 572 of 3330
+r0000:=-1/7*a^10/x^7-5/3*a^9*b/x^6-9*a^8*b^2/x^5-30*a^7*b^3/x^4-_
+     70*a^6*b^4/x^3-126*a^5*b^5/x^2-210*a^4*b^6/x+45*a^2*b^8*x+_
+     5*a*b^9*x^2+1/3*b^10*x^3+120*a^3*b^7*log(x)
+--R 
+--R
+--R   (2)
+--R            3 7 7           10 10         9 9       2 8 8        4 6 6
+--R       2520a b x log(x) + 7b  x   + 105a b x  + 945a b x  - 4410a b x
+--R     + 
+--R              5 5 5        6 4 4       7 3 3       8 2 2      9        10
+--R       - 2646a b x  - 1470a b x  - 630a b x  - 189a b x  - 35a b x - 3a
+--R  /
+--R        7
+--R     21x
+--R                                                    Type: Expression(Integer)
+--E 572
+
+--S 573 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R            3 7 7           10 10         9 9       2 8 8        4 6 6
+--R       2520a b x log(x) + 7b  x   + 105a b x  + 945a b x  - 4410a b x
+--R     + 
+--R              5 5 5        6 4 4       7 3 3       8 2 2      9        10
+--R       - 2646a b x  - 1470a b x  - 630a b x  - 189a b x  - 35a b x - 3a
+--R  /
+--R        7
+--R     21x
+--R                                         Type: Union(Expression(Integer),...)
+--E 573
+
+--S 574 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 574
+
+--S 575 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 575
+
+)clear all
+
+--S 576 of 3330
+t0000:=(a+b*x)^10/x^9
+--R 
+--R
+--R   (1)
+--R        10 10        9 9      2 8 8       3 7 7       4 6 6       5 5 5
+--R       b  x   + 10a b x  + 45a b x  + 120a b x  + 210a b x  + 252a b x
+--R     + 
+--R           6 4 4       7 3 3      8 2 2      9       10
+--R       210a b x  + 120a b x  + 45a b x  + 10a b x + a
+--R  /
+--R      9
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 576
+
+--S 577 of 3330
+r0000:=-1/8*a^10/x^8-10/7*a^9*b/x^7-15/2*a^8*b^2/x^6-24*a^7*b^3/x^5-_
+     105/2*a^6*b^4/x^4-84*a^5*b^5/x^3-105*a^4*b^6/x^2-120*a^3*b^7/x+_
+     10*a*b^9*x+1/2*b^10*x^2+45*a^2*b^8*log(x)
+--R 
+--R
+--R   (2)
+--R            2 8 8            10 10         9 9        3 7 7        4 6 6
+--R       2520a b x log(x) + 28b  x   + 560a b x  - 6720a b x  - 5880a b x
+--R     + 
+--R              5 5 5        6 4 4        7 3 3       8 2 2      9        10
+--R       - 4704a b x  - 2940a b x  - 1344a b x  - 420a b x  - 80a b x - 7a
+--R  /
+--R        8
+--R     56x
+--R                                                    Type: Expression(Integer)
+--E 577
+
+--S 578 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R            2 8 8            10 10         9 9        3 7 7        4 6 6
+--R       2520a b x log(x) + 28b  x   + 560a b x  - 6720a b x  - 5880a b x
+--R     + 
+--R              5 5 5        6 4 4        7 3 3       8 2 2      9        10
+--R       - 4704a b x  - 2940a b x  - 1344a b x  - 420a b x  - 80a b x - 7a
+--R  /
+--R        8
+--R     56x
+--R                                         Type: Union(Expression(Integer),...)
+--E 578
+
+--S 579 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 579
+
+--S 580 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 580
+
+)clear all
+
+--S 581 of 3330
+t0000:=(a+b*x)^10/x^10
+--R 
+--R
+--R   (1)
+--R        10 10        9 9      2 8 8       3 7 7       4 6 6       5 5 5
+--R       b  x   + 10a b x  + 45a b x  + 120a b x  + 210a b x  + 252a b x
+--R     + 
+--R           6 4 4       7 3 3      8 2 2      9       10
+--R       210a b x  + 120a b x  + 45a b x  + 10a b x + a
+--R  /
+--R      10
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 581
+
+--S 582 of 3330
+r0000:=-1/9*a^10/x^9-5/4*a^9*b/x^8-45/7*a^8*b^2/x^7-20*a^7*b^3/x^6-_
+     42*a^6*b^4/x^5-63*a^5*b^5/x^4-70*a^4*b^6/x^3-60*a^3*b^7/x^2-_
+     45*a^2*b^8/x+b^10*x+10*a*b^9*log(x)
+--R 
+--R
+--R   (2)
+--R              9 9             10 10         2 8 8         3 7 7         4 6 6
+--R       2520a b x log(x) + 252b  x   - 11340a b x  - 15120a b x  - 17640a b x
+--R     + 
+--R               5 5 5         6 4 4        7 3 3        8 2 2       9         10
+--R       - 15876a b x  - 10584a b x  - 5040a b x  - 1620a b x  - 315a b x - 28a
+--R  /
+--R         9
+--R     252x
+--R                                                    Type: Expression(Integer)
+--E 582
+
+--S 583 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R              9 9             10 10         2 8 8         3 7 7         4 6 6
+--R       2520a b x log(x) + 252b  x   - 11340a b x  - 15120a b x  - 17640a b x
+--R     + 
+--R               5 5 5         6 4 4        7 3 3        8 2 2       9         10
+--R       - 15876a b x  - 10584a b x  - 5040a b x  - 1620a b x  - 315a b x - 28a
+--R  /
+--R         9
+--R     252x
+--R                                         Type: Union(Expression(Integer),...)
+--E 583
+
+--S 584 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 584
+
+--S 585 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 585
+
+)clear all
+
+--S 586 of 3330
+t0000:=(a+b*x)^10/x^11
+--R 
+--R
+--R   (1)
+--R        10 10        9 9      2 8 8       3 7 7       4 6 6       5 5 5
+--R       b  x   + 10a b x  + 45a b x  + 120a b x  + 210a b x  + 252a b x
+--R     + 
+--R           6 4 4       7 3 3      8 2 2      9       10
+--R       210a b x  + 120a b x  + 45a b x  + 10a b x + a
+--R  /
+--R      11
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 586
+
+--S 587 of 3330
+r0000:=-1/10*a^10/x^10-10/9*a^9*b/x^9-45/8*a^8*b^2/x^8-120/7*a^7*b^3/x^7-_
+     35*a^6*b^4/x^6-252/5*a^5*b^5/x^5-105/2*a^4*b^6/x^4-40*a^3*b^7/x^3-_
+     45/2*a^2*b^8/x^2-10*a*b^9/x+b^10*log(x)
+--R 
+--R
+--R   (2)
+--R            10 10                 9 9         2 8 8          3 7 7
+--R       2520b  x  log(x) - 25200a b x  - 56700a b x  - 100800a b x
+--R     + 
+--R                4 6 6          5 5 5         6 4 4         7 3 3         8 2 2
+--R       - 132300a b x  - 127008a b x  - 88200a b x  - 43200a b x  - 14175a b x
+--R     + 
+--R              9          10
+--R       - 2800a b x - 252a
+--R  /
+--R          10
+--R     2520x
+--R                                                    Type: Expression(Integer)
+--E 587
+
+--S 588 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R            10 10                 9 9         2 8 8          3 7 7
+--R       2520b  x  log(x) - 25200a b x  - 56700a b x  - 100800a b x
+--R     + 
+--R                4 6 6          5 5 5         6 4 4         7 3 3         8 2 2
+--R       - 132300a b x  - 127008a b x  - 88200a b x  - 43200a b x  - 14175a b x
+--R     + 
+--R              9          10
+--R       - 2800a b x - 252a
+--R  /
+--R          10
+--R     2520x
+--R                                         Type: Union(Expression(Integer),...)
+--E 588
+
+--S 589 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 589
+
+--S 590 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 590
+
+)clear all
+
+--S 591 of 3330
+t0000:=(a+b*x)^10/x^12
+--R 
+--R
+--R   (1)
+--R        10 10        9 9      2 8 8       3 7 7       4 6 6       5 5 5
+--R       b  x   + 10a b x  + 45a b x  + 120a b x  + 210a b x  + 252a b x
+--R     + 
+--R           6 4 4       7 3 3      8 2 2      9       10
+--R       210a b x  + 120a b x  + 45a b x  + 10a b x + a
+--R  /
+--R      12
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 591
+
+--S 592 of 3330
+r0000:=-1/11*(a+b*x)^11/(a*x^11)
+--R 
+--R
+--R   (2)
+--R          1  11 11      10 10     2 9 9      3 8 8      4 7 7      5 6 6
+--R       - -- b  x   - a b  x   - 5a b x  - 15a b x  - 30a b x  - 42a b x
+--R         11
+--R     + 
+--R            6 5 5      7 4 4      8 3 3     9 2 2    10       1  11
+--R       - 42a b x  - 30a b x  - 15a b x  - 5a b x  - a  b x - -- a
+--R                                                             11
+--R  /
+--R        11
+--R     a x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 592
+
+--S 593 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R            10 10        9 9       2 8 8       3 7 7       4 6 6       5 5 5
+--R       - 11b  x   - 55a b x  - 165a b x  - 330a b x  - 462a b x  - 462a b x
+--R     + 
+--R             6 4 4       7 3 3      8 2 2      9       10
+--R       - 330a b x  - 165a b x  - 55a b x  - 11a b x - a
+--R  /
+--R        11
+--R     11x
+--R                                         Type: Union(Expression(Integer),...)
+--E 593
+
+--S 594 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R         11
+--R        b
+--R   (4)  ---
+--R        11a
+--R                                                    Type: Expression(Integer)
+--E 594
+
+--S 595 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 595
+
+)clear all
+
+--S 596 of 3330
+t0000:=(a+b*x)^10/x^13
+--R 
+--R
+--R   (1)
+--R        10 10        9 9      2 8 8       3 7 7       4 6 6       5 5 5
+--R       b  x   + 10a b x  + 45a b x  + 120a b x  + 210a b x  + 252a b x
+--R     + 
+--R           6 4 4       7 3 3      8 2 2      9       10
+--R       210a b x  + 120a b x  + 45a b x  + 10a b x + a
+--R  /
+--R      13
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 596
+
+--S 597 of 3330
+r0000:=-1/12*(a+b*x)^11/(a*x^12)+1/132*b*(a+b*x)^11/(a^2*x^11)
+--R 
+--R
+--R   (2)
+--R        1   12 12   1  2 10 10   10  3 9 9   45  4 8 8      5 7 7      6 6 6
+--R       --- b  x   - - a b  x   - -- a b x  - -- a b x  - 24a b x  - 35a b x
+--R       132          2             3           4
+--R     + 
+--R            7 5 5   105  8 4 4   40  9 3 3   9  10 2 2   10  11       1  12
+--R       - 36a b x  - --- a b x  - -- a b x  - - a  b x  - -- a  b x - -- a
+--R                     4            3          2           11          12
+--R  /
+--R      2 12
+--R     a x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 597
+
+--S 598 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R            10 10         9 9        2 8 8        3 7 7        4 6 6
+--R       - 66b  x   - 440a b x  - 1485a b x  - 3168a b x  - 4620a b x
+--R     + 
+--R              5 5 5        6 4 4        7 3 3       8 2 2       9         10
+--R       - 4752a b x  - 3465a b x  - 1760a b x  - 594a b x  - 120a b x - 11a
+--R  /
+--R         12
+--R     132x
+--R                                         Type: Union(Expression(Integer),...)
+--E 598
+
+--S 599 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R            12
+--R           b
+--R   (4)  - -----
+--R              2
+--R          132a
+--R                                                    Type: Expression(Integer)
+--E 599
+
+--S 600 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 600
+
+)clear all
+
+--S 601 of 3330
+t0000:=(a+b*x)^10/x^14
+--R 
+--R
+--R   (1)
+--R        10 10        9 9      2 8 8       3 7 7       4 6 6       5 5 5
+--R       b  x   + 10a b x  + 45a b x  + 120a b x  + 210a b x  + 252a b x
+--R     + 
+--R           6 4 4       7 3 3      8 2 2      9       10
+--R       210a b x  + 120a b x  + 45a b x  + 10a b x + a
+--R  /
+--R      14
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 601
+
+--S 602 of 3330
+r0000:=-1/13*(a+b*x)^11/(a*x^13)+1/78*b*(a+b*x)^11/(a^2*x^12)-_
+     1/858*b^2*(a+b*x)^11/(a^3*x^11)
+--R 
+--R
+--R   (2)
+--R          1   13 13   1  3 10 10   5  4 9 9     5 8 8      6 7 7      7 6 6
+--R       - --- b  x   - - a b  x   - - a b x  - 9a b x  - 20a b x  - 30a b x
+--R         858          3            2
+--R     + 
+--R         63  8 5 5   70  9 4 4      10 3 3   45  11 2 2   5  12       1  13
+--R       - -- a b x  - -- a b x  - 12a  b x  - -- a  b x  - - a  b x - -- a
+--R          2           3                      11           6          13
+--R  /
+--R      3 13
+--R     a x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 602
+
+--S 603 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R             10 10          9 9        2 8 8         3 7 7         4 6 6
+--R       - 286b  x   - 2145a b x  - 7722a b x  - 17160a b x  - 25740a b x
+--R     + 
+--R             5 5 5         6 4 4         7 3 3        8 2 2       9         10
+--R     - 27027a b x  - 20020a b x  - 10296a b x  - 3510a b x  - 715a b x - 66a
+--R  /
+--R         13
+--R     858x
+--R                                         Type: Union(Expression(Integer),...)
+--E 603
+
+--S 604 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R          13
+--R         b
+--R   (4)  -----
+--R            3
+--R        858a
+--R                                                    Type: Expression(Integer)
+--E 604
+
+--S 605 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 605
+
+)clear all
+
+--S 606 of 3330
+t0000:=(a+b*x)^10/x^15
+--R 
+--R
+--R   (1)
+--R        10 10        9 9      2 8 8       3 7 7       4 6 6       5 5 5
+--R       b  x   + 10a b x  + 45a b x  + 120a b x  + 210a b x  + 252a b x
+--R     + 
+--R           6 4 4       7 3 3      8 2 2      9       10
+--R       210a b x  + 120a b x  + 45a b x  + 10a b x + a
+--R  /
+--R      15
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 606
+
+--S 607 of 3330
+r0000:=-1/14*(a+b*x)^11/(a*x^14)+3/182*b*(a+b*x)^11/(a^2*x^13)-_
+     1/364*b^2*(a+b*x)^11/(a^3*x^12)+1/4004*b^3*(a+b*x)^11/(a^4*x^11)
+--R 
+--R
+--R   (2)
+--R         1   14 14   1  4 10 10     5 9 9   15  6 8 8   120  7 7 7   105  8 6 6
+--R       ---- b  x   - - a b  x   - 2a b x  - -- a b x  - --- a b x  - --- a b x
+--R       4004          4                       2           7            4
+--R     + 
+--R            9 5 5      10 4 4   120  11 3 3   15  12 2 2   10  13       1  14
+--R       - 28a b x  - 21a  b x  - --- a  b x  - -- a  b x  - -- a  b x - -- a
+--R                                 11            4           13          14
+--R  /
+--R      4 14
+--R     a x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 607
+
+--S 608 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R              10 10          9 9         2 8 8         3 7 7          4 6 6
+--R       - 1001b  x   - 8008a b x  - 30030a b x  - 68640a b x  - 105105a b x
+--R     + 
+--R                5 5 5         6 4 4         7 3 3         8 2 2        9
+--R       - 112112a b x  - 84084a b x  - 43680a b x  - 15015a b x  - 3080a b x
+--R     + 
+--R             10
+--R       - 286a
+--R  /
+--R          14
+--R     4004x
+--R                                         Type: Union(Expression(Integer),...)
+--E 608
+
+--S 609 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R             14
+--R            b
+--R   (4)  - ------
+--R               4
+--R          4004a
+--R                                                    Type: Expression(Integer)
+--E 609
+
+--S 610 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 610
+
+)clear all
+
+--S 611 of 3330
+t0000:=(a+b*x)^10/x^16
+--R 
+--R
+--R   (1)
+--R        10 10        9 9      2 8 8       3 7 7       4 6 6       5 5 5
+--R       b  x   + 10a b x  + 45a b x  + 120a b x  + 210a b x  + 252a b x
+--R     + 
+--R           6 4 4       7 3 3      8 2 2      9       10
+--R       210a b x  + 120a b x  + 45a b x  + 10a b x + a
+--R  /
+--R      16
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 611
+
+--S 612 of 3330
+r0000:=-1/15*(a+b*x)^11/(a*x^15)+2/105*b*(a+b*x)^11/(a^2*x^14)-_
+     2/455*b^2*(a+b*x)^11/(a^3*x^13)+1/1365*b^3*(a+b*x)^11/(a^4*x^12)-_
+     1/15015*b^4*(a+b*x)^11/(a^5*x^11)
+--R 
+--R
+--R   (2)
+--R           1    15 15   1  5 10 10   5  6 9 9   45  7 8 8      8 7 7   70  9 6 6
+--R       - ----- b  x   - - a b  x   - - a b x  - -- a b x  - 15a b x  - -- a b x
+--R         15015          5            3           7                      3
+--R     + 
+--R         126  10 5 5   210  11 4 4      12 3 3   45  13 2 2   5  14       1  15
+--R       - --- a  b x  - --- a  b x  - 10a  b x  - -- a  b x  - - a  b x - -- a
+--R          5             11                       13           7          15
+--R  /
+--R      5 15
+--R     a x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 612
+
+--S 613 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R              10 10           9 9         2 8 8          3 7 7          4 6 6
+--R       - 3003b  x   - 25025a b x  - 96525a b x  - 225225a b x  - 350350a b x
+--R     + 
+--R                5 5 5          6 4 4          7 3 3         8 2 2         9
+--R       - 378378a b x  - 286650a b x  - 150150a b x  - 51975a b x  - 10725a b x
+--R     + 
+--R              10
+--R       - 1001a
+--R  /
+--R           15
+--R     15015x
+--R                                         Type: Union(Expression(Integer),...)
+--E 613
+
+--S 614 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R           15
+--R          b
+--R   (4)  -------
+--R              5
+--R        15015a
+--R                                                    Type: Expression(Integer)
+--E 614
+
+--S 615 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 615
+
+)clear all
+
+--S 616 of 3330
+t0000:=(a+b*x)^10/x^17
+--R 
+--R
+--R   (1)
+--R        10 10        9 9      2 8 8       3 7 7       4 6 6       5 5 5
+--R       b  x   + 10a b x  + 45a b x  + 120a b x  + 210a b x  + 252a b x
+--R     + 
+--R           6 4 4       7 3 3      8 2 2      9       10
+--R       210a b x  + 120a b x  + 45a b x  + 10a b x + a
+--R  /
+--R      17
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 616
+
+--S 617 of 3330
+r0000:=-1/16*(a+b*x)^11/(a*x^16)+1/48*b*(a+b*x)^11/(a^2*x^15)-_
+     1/168*b^2*(a+b*x)^11/(a^3*x^14)+1/728*b^3*(a+b*x)^11/(a^4*x^13)-_
+     1/4368*b^4*(a+b*x)^11/(a^5*x^12)+1/48048*b^5*(a+b*x)^11/(a^6*x^11)
+--R 
+--R
+--R   (2)
+--R         1    16 16   1  6 10 10   10  7 9 9   45  8 8 8   40  9 7 7      10 6 6
+--R       ----- b  x   - - a b  x   - -- a b x  - -- a b x  - -- a b x  - 21a  b x
+--R       48048          6             7           8           3
+--R     + 
+--R       252  11 5 5   35  12 4 4   120  13 3 3   45  14 2 2   2  15       1  16
+--R     - --- a  b x  - -- a  b x  - --- a  b x  - -- a  b x  - - a  b x - -- a
+--R        11            2            13           14           3          16
+--R  /
+--R      6 16
+--R     a x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 617
+
+--S 618 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R              10 10           9 9          2 8 8          3 7 7           4 6 6
+--R       - 8008b  x   - 68640a b x  - 270270a b x  - 640640a b x  - 1009008a b x
+--R     + 
+--R                 5 5 5          6 4 4          7 3 3          8 2 2         9
+--R       - 1100736a b x  - 840840a b x  - 443520a b x  - 154440a b x  - 32032a b x
+--R     + 
+--R              10
+--R       - 3003a
+--R  /
+--R           16
+--R     48048x
+--R                                         Type: Union(Expression(Integer),...)
+--E 618
+
+--S 619 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R             16
+--R            b
+--R   (4)  - -------
+--R                6
+--R          48048a
+--R                                                    Type: Expression(Integer)
+--E 619
+
+--S 620 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 620
+
+)clear all
+
+--S 621 of 3330
+t0000:=(a+b*x)^10/x^18
+--R 
+--R
+--R   (1)
+--R        10 10        9 9      2 8 8       3 7 7       4 6 6       5 5 5
+--R       b  x   + 10a b x  + 45a b x  + 120a b x  + 210a b x  + 252a b x
+--R     + 
+--R           6 4 4       7 3 3      8 2 2      9       10
+--R       210a b x  + 120a b x  + 45a b x  + 10a b x + a
+--R  /
+--R      18
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 621
+
+--S 622 of 3330
+r0000:=-1/17*a^10/x^17-5/8*a^9*b/x^16-3*a^8*b^2/x^15-60/7*a^7*b^3/x^14-_
+     210/13*a^6*b^4/x^13-21*a^5*b^5/x^12-210/11*a^4*b^6/x^11-_
+     12*a^3*b^7/x^10-5*a^2*b^8/x^9-5/4*a*b^9/x^8-1/7*b^10/x^7
+--R 
+--R
+--R   (2)
+--R         1  10 10   5    9 9     2 8 8      3 7 7   210  4 6 6      5 5 5
+--R       - - b  x   - - a b x  - 5a b x  - 12a b x  - --- a b x  - 21a b x
+--R         7          4                                11
+--R     + 
+--R         210  6 4 4   60  7 3 3     8 2 2   5  9       1  10
+--R       - --- a b x  - -- a b x  - 3a b x  - - a b x - -- a
+--R          13           7                    8         17
+--R  /
+--R      17
+--R     x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 622
+
+--S 623 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R               10 10            9 9          2 8 8           3 7 7
+--R       - 19448b  x   - 170170a b x  - 680680a b x  - 1633632a b x
+--R     + 
+--R                 4 6 6           5 5 5           6 4 4           7 3 3
+--R       - 2598960a b x  - 2858856a b x  - 2199120a b x  - 1166880a b x
+--R     + 
+--R                8 2 2         9           10
+--R       - 408408a b x  - 85085a b x - 8008a
+--R  /
+--R            17
+--R     136136x
+--R                                         Type: Union(Expression(Integer),...)
+--E 623
+
+--S 624 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 624
+
+--S 625 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 625
+
+)clear all
+
+--S 626 of 3330
+t0000:=(a+b*x)^10/x^19
+--R 
+--R
+--R   (1)
+--R        10 10        9 9      2 8 8       3 7 7       4 6 6       5 5 5
+--R       b  x   + 10a b x  + 45a b x  + 120a b x  + 210a b x  + 252a b x
+--R     + 
+--R           6 4 4       7 3 3      8 2 2      9       10
+--R       210a b x  + 120a b x  + 45a b x  + 10a b x + a
+--R  /
+--R      19
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 626
+
+--S 627 of 3330
+r0000:=-1/18*a^10/x^18-10/17*a^9*b/x^17-45/16*a^8*b^2/x^16-8*a^7*b^3/x^15-_
+     15*a^6*b^4/x^14-252/13*a^5*b^5/x^13-35/2*a^4*b^6/x^12-_
+     120/11*a^3*b^7/x^11-9/2*a^2*b^8/x^10-10/9*a*b^9/x^9-1/8*b^10/x^8
+--R 
+--R
+--R   (2)
+--R         1  10 10   10    9 9   9  2 8 8   120  3 7 7   35  4 6 6   252  5 5 5
+--R       - - b  x   - -- a b x  - - a b x  - --- a b x  - -- a b x  - --- a b x
+--R         8           9          2           11           2           13
+--R     + 
+--R            6 4 4     7 3 3   45  8 2 2   10  9       1  10
+--R       - 15a b x  - 8a b x  - -- a b x  - -- a b x - -- a
+--R                              16          17         18
+--R  /
+--R      18
+--R     x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 627
+
+--S 628 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R               10 10            9 9           2 8 8           3 7 7
+--R       - 43758b  x   - 388960a b x  - 1575288a b x  - 3818880a b x
+--R     + 
+--R                 4 6 6           5 5 5           6 4 4           7 3 3
+--R       - 6126120a b x  - 6785856a b x  - 5250960a b x  - 2800512a b x
+--R     + 
+--R                8 2 2          9            10
+--R       - 984555a b x  - 205920a b x - 19448a
+--R  /
+--R            18
+--R     350064x
+--R                                         Type: Union(Expression(Integer),...)
+--E 628
+
+--S 629 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 629
+
+--S 630 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 630
+
+)clear all
+
+--S 631 of 3330
+t0000:=(a+b*x)^10/x^20
+--R 
+--R
+--R   (1)
+--R        10 10        9 9      2 8 8       3 7 7       4 6 6       5 5 5
+--R       b  x   + 10a b x  + 45a b x  + 120a b x  + 210a b x  + 252a b x
+--R     + 
+--R           6 4 4       7 3 3      8 2 2      9       10
+--R       210a b x  + 120a b x  + 45a b x  + 10a b x + a
+--R  /
+--R      20
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 631
+
+--S 632 of 3330
+r0000:=-1/19*a^10/x^19-5/9*a^9*b/x^18-45/17*a^8*b^2/x^17-15/2*a^7*b^3/x^16-_
+     14*a^6*b^4/x^15-18*a^5*b^5/x^14-210/13*a^4*b^6/x^13-_
+     10*a^3*b^7/x^12-45/11*a^2*b^8/x^11-a*b^9/x^10-1/9*b^10/x^9
+--R 
+--R
+--R   (2)
+--R         1  10 10      9 9   45  2 8 8      3 7 7   210  4 6 6      5 5 5
+--R       - - b  x   - a b x  - -- a b x  - 10a b x  - --- a b x  - 18a b x
+--R         9                   11                      13
+--R     + 
+--R            6 4 4   15  7 3 3   45  8 2 2   5  9       1  10
+--R       - 14a b x  - -- a b x  - -- a b x  - - a b x - -- a
+--R                     2          17          9         19
+--R  /
+--R      19
+--R     x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 632
+
+--S 633 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R               10 10            9 9           2 8 8           3 7 7
+--R       - 92378b  x   - 831402a b x  - 3401190a b x  - 8314020a b x
+--R     + 
+--R                  4 6 6            5 5 5            6 4 4           7 3 3
+--R       - 13430340a b x  - 14965236a b x  - 11639628a b x  - 6235515a b x
+--R     + 
+--R                 8 2 2          9            10
+--R       - 2200770a b x  - 461890a b x - 43758a
+--R  /
+--R            19
+--R     831402x
+--R                                         Type: Union(Expression(Integer),...)
+--E 633
+
+--S 634 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 634
+
+--S 635 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 635
+
+)clear all
+
+--S 636 of 3330
+t0000:=c*(a+b*x)
+--R 
+--R
+--R   (1)  b c x + a c
+--R                                                    Type: Polynomial(Integer)
+--E 636
+
+--S 637 of 3330
+r0000:=1/2*c*(a+b*x)^2/b
+--R 
+--R
+--R        1  2   2             1  2
+--R        - b c x  + a b c x + - a c
+--R        2                    2
+--R   (2)  --------------------------
+--R                     b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 637
+
+--S 638 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        1      2
+--R   (3)  - b c x  + a c x
+--R        2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 638
+
+--S 639 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R          1  2
+--R          - a c
+--R          2
+--R   (4)  - -----
+--R            b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 639
+
+--S 640 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 640
+
+)clear all
+
+--S 641 of 3330
+t0000:=(c+d)*(a+b*x)/e
+--R 
+--R
+--R        (b d + b c)x + a d + a c
+--R   (1)  ------------------------
+--R                    e
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 641
+
+--S 642 of 3330
+r0000:=1/2*(c+d)*(a+b*x)^2/(b*e)
+--R 
+--R
+--R         1  2    1  2   2                      1  2    1  2
+--R        (- b d + - b c)x  + (a b d + a b c)x + - a d + - a c
+--R         2       2                             2       2
+--R   (2)  ----------------------------------------------------
+--R                                 b e
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 642
+
+--S 643 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                    2
+--R        (b d + b c)x  + (2a d + 2a c)x
+--R   (3)  ------------------------------
+--R                      2e
+--R                                         Type: Union(Expression(Integer),...)
+--E 643
+
+--S 644 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R           2     2
+--R        - a d - a c
+--R   (4)  -----------
+--R            2b e
+--R                                                    Type: Expression(Integer)
+--E 644
+
+--S 645 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 645
+
+)clear all
+
+--S 646 of 3330
+t0000:=x^m/(a+b*x)
+--R 
+--R
+--R            m
+--R           x
+--R   (1)  -------
+--R        b x + a
+--R                                                    Type: Expression(Integer)
+--E 646
+
+--S 647 of 3330
+--r0000:=x^(1+m)*hypergeometric(1,1+m,2+m,-b*x/a)/(a*(1+m))
+--E 647
+
+--S 648 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           x      m
+--R         ++     %N
+--R   (2)   |   -------- d%N
+--R        ++   %N b + a
+--R                                         Type: Union(Expression(Integer),...)
+--E 648
+
+--S 649 of 3330
+--m0000:=a0000 - r0000
+--E 649
+
+--S 650 of 3330
+--d0000:=D(m0000,x)
+--E 650
+
+)clear all
+
+--S 651 of 3330
+t0000:=x^5/(a+b*x)
+--R 
+--R
+--R            5
+--R           x
+--R   (1)  -------
+--R        b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 651
+
+--S 652 of 3330
+r0000:=a^4*x/b^5-1/2*a^3*x^2/b^4+1/3*a^2*x^3/b^3-1/4*a*x^4/b^2+1/5*x^5/b-_
+     a^5*log(a+b*x)/b^6
+--R 
+--R
+--R             5                  5 5        4 4      2 3 3      3 2 2      4
+--R        - 60a log(b x + a) + 12b x  - 15a b x  + 20a b x  - 30a b x  + 60a b x
+--R   (2)  ----------------------------------------------------------------------
+--R                                            6
+--R                                         60b
+--R                                                    Type: Expression(Integer)
+--E 652
+
+--S 653 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R             5                  5 5        4 4      2 3 3      3 2 2      4
+--R        - 60a log(b x + a) + 12b x  - 15a b x  + 20a b x  - 30a b x  + 60a b x
+--R   (3)  ----------------------------------------------------------------------
+--R                                            6
+--R                                         60b
+--R                                         Type: Union(Expression(Integer),...)
+--E 653
+
+--S 654 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 654
+
+--S 655 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 655
+
+)clear all
+
+--S 656 of 3330
+t0000:=x^4/(a+b*x)
+--R 
+--R
+--R            4
+--R           x
+--R   (1)  -------
+--R        b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 656
+
+--S 657 of 3330
+r0000:=-a^3*x/b^4+1/2*a^2*x^2/b^3-1/3*a*x^3/b^2+1/4*x^4/b+a^4*log(a+b*x)/b^5
+--R 
+--R
+--R           4                 4 4       3 3     2 2 2      3
+--R        12a log(b x + a) + 3b x  - 4a b x  + 6a b x  - 12a b x
+--R   (2)  ------------------------------------------------------
+--R                                    5
+--R                                 12b
+--R                                                    Type: Expression(Integer)
+--E 657
+
+--S 658 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           4                 4 4       3 3     2 2 2      3
+--R        12a log(b x + a) + 3b x  - 4a b x  + 6a b x  - 12a b x
+--R   (3)  ------------------------------------------------------
+--R                                    5
+--R                                 12b
+--R                                         Type: Union(Expression(Integer),...)
+--E 658
+
+--S 659 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 659
+
+--S 660 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 660
+
+)clear all
+
+--S 661 of 3330
+t0000:=x^3/(a+b*x)
+--R 
+--R
+--R            3
+--R           x
+--R   (1)  -------
+--R        b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 661
+
+--S 662 of 3330
+r0000:=a^2*x/b^3-1/2*a*x^2/b^2+1/3*x^3/b-a^3*log(a+b*x)/b^4
+--R 
+--R
+--R            3                 3 3       2 2     2
+--R        - 6a log(b x + a) + 2b x  - 3a b x  + 6a b x
+--R   (2)  --------------------------------------------
+--R                               4
+--R                             6b
+--R                                                    Type: Expression(Integer)
+--E 662
+
+--S 663 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R            3                 3 3       2 2     2
+--R        - 6a log(b x + a) + 2b x  - 3a b x  + 6a b x
+--R   (3)  --------------------------------------------
+--R                               4
+--R                             6b
+--R                                         Type: Union(Expression(Integer),...)
+--E 663
+
+--S 664 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 664
+
+--S 665 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 665
+
+)clear all
+
+--S 666 of 3330
+t0000:=x^2/(a+b*x)
+--R 
+--R
+--R            2
+--R           x
+--R   (1)  -------
+--R        b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 666
+
+--S 667 of 3330
+r0000:=-a*x/b^2+1/2*x^2/b+a^2*log(a+b*x)/b^3
+--R 
+--R
+--R          2                2 2
+--R        2a log(b x + a) + b x  - 2a b x
+--R   (2)  -------------------------------
+--R                        3
+--R                      2b
+--R                                                    Type: Expression(Integer)
+--E 667
+
+--S 668 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R          2                2 2
+--R        2a log(b x + a) + b x  - 2a b x
+--R   (3)  -------------------------------
+--R                        3
+--R                      2b
+--R                                         Type: Union(Expression(Integer),...)
+--E 668
+
+--S 669 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 669
+
+--S 670 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 670
+
+)clear all
+
+--S 671 of 3330
+t0000:=x/(a+b*x)
+--R 
+--R
+--R           x
+--R   (1)  -------
+--R        b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 671
+
+--S 672 of 3330
+r0000:=x/b-a*log(a+b*x)/b^2
+--R 
+--R
+--R        - a log(b x + a) + b x
+--R   (2)  ----------------------
+--R                   2
+--R                  b
+--R                                                    Type: Expression(Integer)
+--E 672
+
+--S 673 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        - a log(b x + a) + b x
+--R   (3)  ----------------------
+--R                   2
+--R                  b
+--R                                         Type: Union(Expression(Integer),...)
+--E 673
+
+--S 674 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 674
+
+--S 675 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 675
+
+)clear all
+
+--S 676 of 3330
+t0000:=1/(a+b*x)
+--R 
+--R
+--R           1
+--R   (1)  -------
+--R        b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 676
+
+--S 677 of 3330
+r0000:=log(a+b*x)/b
+--R 
+--R
+--R        log(b x + a)
+--R   (2)  ------------
+--R              b
+--R                                                    Type: Expression(Integer)
+--E 677
+
+--S 678 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        log(b x + a)
+--R   (3)  ------------
+--R              b
+--R                                         Type: Union(Expression(Integer),...)
+--E 678
+
+--S 679 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 679
+
+--S 680 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 680
+
+)clear all
+
+--S 681 of 3330
+t0000:=1/(x*(a+b*x))
+--R 
+--R
+--R             1
+--R   (1)  ----------
+--R           2
+--R        b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 681
+
+--S 682 of 3330
+r0000:=log(x)/a-log(a+b*x)/a
+--R 
+--R
+--R        - log(b x + a) + log(x)
+--R   (2)  -----------------------
+--R                   a
+--R                                                    Type: Expression(Integer)
+--E 682
+
+--S 683 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        - log(b x + a) + log(x)
+--R   (3)  -----------------------
+--R                   a
+--R                                         Type: Union(Expression(Integer),...)
+--E 683
+
+--S 684 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 684
+
+--S 685 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 685
+
+)clear all
+
+--S 686 of 3330
+t0000:=1/(x^2*(a+b*x))
+--R 
+--R
+--R             1
+--R   (1)  -----------
+--R           3      2
+--R        b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 686
+
+--S 687 of 3330
+r0000:=(-1)/(a*x)-b*log(x)/a^2+b*log(a+b*x)/a^2
+--R 
+--R
+--R        b x log(b x + a) - b x log(x) - a
+--R   (2)  ---------------------------------
+--R                        2
+--R                       a x
+--R                                                    Type: Expression(Integer)
+--E 687
+
+--S 688 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        b x log(b x + a) - b x log(x) - a
+--R   (3)  ---------------------------------
+--R                        2
+--R                       a x
+--R                                         Type: Union(Expression(Integer),...)
+--E 688
+
+--S 689 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 689
+
+--S 690 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 690
+
+)clear all
+
+--S 691 of 3330
+t0000:=1/(x^3*(a+b*x))
+--R 
+--R
+--R             1
+--R   (1)  -----------
+--R           4      3
+--R        b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 691
+
+--S 692 of 3330
+r0000:=(-1/2)/(a*x^2)+b/(a^2*x)+b^2*log(x)/a^3-b^2*log(a+b*x)/a^3
+--R 
+--R
+--R            2 2                 2 2                   2
+--R        - 2b x log(b x + a) + 2b x log(x) + 2a b x - a
+--R   (2)  -----------------------------------------------
+--R                               3 2
+--R                             2a x
+--R                                                    Type: Expression(Integer)
+--E 692
+
+--S 693 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R            2 2                 2 2                   2
+--R        - 2b x log(b x + a) + 2b x log(x) + 2a b x - a
+--R   (3)  -----------------------------------------------
+--R                               3 2
+--R                             2a x
+--R                                         Type: Union(Expression(Integer),...)
+--E 693
+
+--S 694 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 694
+
+--S 695 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 695
+
+)clear all
+
+--S 696 of 3330
+t0000:=1/(x^4*(a+b*x))
+--R 
+--R
+--R             1
+--R   (1)  -----------
+--R           5      4
+--R        b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 696
+
+--S 697 of 3330
+r0000:=(-1/3)/(a*x^3)+1/2*b/(a^2*x^2)-b^2/(a^3*x)-_
+     b^3*log(x)/a^4+b^3*log(a+b*x)/a^4
+--R 
+--R
+--R          3 3                 3 3             2 2     2        3
+--R        6b x log(b x + a) - 6b x log(x) - 6a b x  + 3a b x - 2a
+--R   (2)  --------------------------------------------------------
+--R                                    4 3
+--R                                  6a x
+--R                                                    Type: Expression(Integer)
+--E 697
+
+--S 698 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R          3 3                 3 3             2 2     2        3
+--R        6b x log(b x + a) - 6b x log(x) - 6a b x  + 3a b x - 2a
+--R   (3)  --------------------------------------------------------
+--R                                    4 3
+--R                                  6a x
+--R                                         Type: Union(Expression(Integer),...)
+--E 698
+
+--S 699 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 699
+
+--S 700 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 700
+
+)clear all
+
+--S 701 of 3330
+t0000:=1/(x^5*(a+b*x))
+--R 
+--R
+--R             1
+--R   (1)  -----------
+--R           6      5
+--R        b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 701
+
+--S 702 of 3330
+r0000:=(-1/4)/(a*x^4)+1/3*b/(a^2*x^3)-1/2*b^2/(a^3*x^2)+b^3/(a^4*x)+_
+     b^4*log(x)/a^5-b^4*log(a+b*x)/a^5
+--R 
+--R
+--R   (2)
+--R        4 4                  4 4              3 3     2 2 2     3        4
+--R   - 12b x log(b x + a) + 12b x log(x) + 12a b x  - 6a b x  + 4a b x - 3a
+--R   -----------------------------------------------------------------------
+--R                                       5 4
+--R                                    12a x
+--R                                                    Type: Expression(Integer)
+--E 702
+
+--S 703 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R        4 4                  4 4              3 3     2 2 2     3        4
+--R   - 12b x log(b x + a) + 12b x log(x) + 12a b x  - 6a b x  + 4a b x - 3a
+--R   -----------------------------------------------------------------------
+--R                                       5 4
+--R                                    12a x
+--R                                         Type: Union(Expression(Integer),...)
+--E 703
+
+--S 704 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 704
+
+--S 705 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 705
+
+)clear all
+
+--S 706 of 3330
+t0000:=x^m/(a+b*x)^2
+--R 
+--R
+--R                 m
+--R                x
+--R   (1)  ------------------
+--R         2 2             2
+--R        b x  + 2a b x + a
+--R                                                    Type: Expression(Integer)
+--E 706
+
+--S 707 of 3330
+--r0000:=x^(1+m)/(a*(a+b*x))-m*x^(1+m)*_
+--       hypergeometric(1,1+m,2+m,-b*x/a)/(a^2*(1+m))
+--E 707
+
+--S 708 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           x            m
+--R         ++           %N
+--R   (2)   |   -------------------- d%N
+--R        ++     2 2              2
+--R             %N b  + 2%N a b + a
+--R                                         Type: Union(Expression(Integer),...)
+--E 708
+
+--S 709 of 3330
+--m0000:=a0000 - r0000
+--E 709
+
+--S 710 of 3330
+--d0000:=D(m0000,x)
+--E 710
+
+)clear all
+
+--S 711 of 3330
+t0000:=x^6/(a+b*x)^2
+--R 
+--R
+--R                 6
+--R                x
+--R   (1)  ------------------
+--R         2 2             2
+--R        b x  + 2a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 711
+
+--S 712 of 3330
+r0000:=5*a^4*x/b^6-2*a^3*x^2/b^5+a^2*x^3/b^4-1/2*a*x^4/b^3+1/5*x^5/b^2-_
+     a^6/(b^7*(a+b*x))-6*a^5*log(a+b*x)/b^7
+--R 
+--R
+--R   (2)
+--R             5         6                  6 6       5 5     2 4 4      3 3 3
+--R       (- 60a b x - 60a )log(b x + a) + 2b x  - 3a b x  + 5a b x  - 10a b x
+--R     + 
+--R          4 2 2      5         6
+--R       30a b x  + 50a b x - 10a
+--R  /
+--R        8         7
+--R     10b x + 10a b
+--R                                                    Type: Expression(Integer)
+--E 712
+
+--S 713 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R             5         6                  6 6       5 5     2 4 4      3 3 3
+--R       (- 60a b x - 60a )log(b x + a) + 2b x  - 3a b x  + 5a b x  - 10a b x
+--R     + 
+--R          4 2 2      5         6
+--R       30a b x  + 50a b x - 10a
+--R  /
+--R        8         7
+--R     10b x + 10a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 713
+
+--S 714 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 714
+
+--S 715 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 715
+
+)clear all
+
+--S 716 of 3330
+t0000:=x^5/(a+b*x)^2
+--R 
+--R
+--R                 5
+--R                x
+--R   (1)  ------------------
+--R         2 2             2
+--R        b x  + 2a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 716
+
+--S 717 of 3330
+r0000:=-4*a^3*x/b^5+3/2*a^2*x^2/b^4-2/3*a*x^3/b^3+1/4*x^4/b^2+_
+     a^5/(b^6*(a+b*x))+5*a^4*log(a+b*x)/b^6
+--R 
+--R
+--R   (2)
+--R           4         5                  5 5       4 4      2 3 3      3 2 2
+--R       (60a b x + 60a )log(b x + a) + 3b x  - 5a b x  + 10a b x  - 30a b x
+--R     + 
+--R            4         5
+--R       - 48a b x + 12a
+--R  /
+--R        7         6
+--R     12b x + 12a b
+--R                                                    Type: Expression(Integer)
+--E 717
+
+--S 718 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R           4         5                  5 5       4 4      2 3 3      3 2 2
+--R       (60a b x + 60a )log(b x + a) + 3b x  - 5a b x  + 10a b x  - 30a b x
+--R     + 
+--R            4         5
+--R       - 48a b x + 12a
+--R  /
+--R        7         6
+--R     12b x + 12a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 718
+
+--S 719 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 719
+
+--S 720 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 720
+
+)clear all
+
+--S 721 of 3330
+t0000:=x^4/(a+b*x)^2
+--R 
+--R
+--R                 4
+--R                x
+--R   (1)  ------------------
+--R         2 2             2
+--R        b x  + 2a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 721
+
+--S 722 of 3330
+r0000:=3*a^2*x/b^4-a*x^2/b^3+1/3*x^3/b^2-a^4/(b^5*(a+b*x))-4*a^3*log(a+b*x)/b^5
+--R 
+--R
+--R   (2)
+--R         3         4                 4 4       3 3     2 2 2     3        4
+--R   (- 12a b x - 12a )log(b x + a) + b x  - 2a b x  + 6a b x  + 9a b x - 3a
+--R   ------------------------------------------------------------------------
+--R                                   6        5
+--R                                 3b x + 3a b
+--R                                                    Type: Expression(Integer)
+--E 722
+
+--S 723 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R         3         4                 4 4       3 3     2 2 2     3        4
+--R   (- 12a b x - 12a )log(b x + a) + b x  - 2a b x  + 6a b x  + 9a b x - 3a
+--R   ------------------------------------------------------------------------
+--R                                   6        5
+--R                                 3b x + 3a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 723
+
+--S 724 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 724
+
+--S 725 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 725
+
+)clear all
+
+--S 726 of 3330
+t0000:=x^3/(a+b*x)^2
+--R 
+--R
+--R                 3
+--R                x
+--R   (1)  ------------------
+--R         2 2             2
+--R        b x  + 2a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 726
+
+--S 727 of 3330
+r0000:=-2*a*x/b^3+1/2*x^2/b^2+a^3/(b^4*(a+b*x))+3*a^2*log(a+b*x)/b^4
+--R 
+--R
+--R           2        3                 3 3       2 2     2        3
+--R        (6a b x + 6a )log(b x + a) + b x  - 3a b x  - 4a b x + 2a
+--R   (2)  ----------------------------------------------------------
+--R                                 5        4
+--R                               2b x + 2a b
+--R                                                    Type: Expression(Integer)
+--E 727
+
+--S 728 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           2        3                 3 3       2 2     2        3
+--R        (6a b x + 6a )log(b x + a) + b x  - 3a b x  - 4a b x + 2a
+--R   (3)  ----------------------------------------------------------
+--R                                 5        4
+--R                               2b x + 2a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 728
+
+--S 729 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 729
+
+--S 730 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 730
+
+)clear all
+
+--S 731 of 3330
+t0000:=x^2/(a+b*x)^2
+--R 
+--R
+--R                 2
+--R                x
+--R   (1)  ------------------
+--R         2 2             2
+--R        b x  + 2a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 731
+
+--S 732 of 3330
+r0000:=x/b^2-a^2/(b^3*(a+b*x))-2*a*log(a+b*x)/b^3
+--R 
+--R
+--R                      2                 2 2            2
+--R        (- 2a b x - 2a )log(b x + a) + b x  + a b x - a
+--R   (2)  ------------------------------------------------
+--R                            4       3
+--R                           b x + a b
+--R                                                    Type: Expression(Integer)
+--E 732
+
+--S 733 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                      2                 2 2            2
+--R        (- 2a b x - 2a )log(b x + a) + b x  + a b x - a
+--R   (3)  ------------------------------------------------
+--R                            4       3
+--R                           b x + a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 733
+
+--S 734 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 734
+
+--S 735 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 735
+
+)clear all
+
+--S 736 of 3330
+t0000:=x/(a+b*x)^2
+--R 
+--R
+--R                 x
+--R   (1)  ------------------
+--R         2 2             2
+--R        b x  + 2a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 736
+
+--S 737 of 3330
+r0000:=a/(b^2*(a+b*x))+log(a+b*x)/b^2
+--R 
+--R
+--R        (b x + a)log(b x + a) + a
+--R   (2)  -------------------------
+--R                 3       2
+--R                b x + a b
+--R                                                    Type: Expression(Integer)
+--E 737
+
+--S 738 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        (b x + a)log(b x + a) + a
+--R   (3)  -------------------------
+--R                 3       2
+--R                b x + a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 738
+
+--S 739 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 739
+
+--S 740 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 740
+
+)clear all
+
+--S 741 of 3330
+t0000:=1/(a+b*x)^2
+--R 
+--R
+--R                 1
+--R   (1)  ------------------
+--R         2 2             2
+--R        b x  + 2a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 741
+
+--S 742 of 3330
+r0000:=(-1)/(b*(a+b*x))
+--R 
+--R
+--R              1
+--R   (2)  - ---------
+--R           2
+--R          b x + a b
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 742
+
+--S 743 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R              1
+--R   (3)  - ---------
+--R           2
+--R          b x + a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 743
+
+--S 744 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 744
+
+--S 745 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 745
+
+)clear all
+
+--S 746 of 3330
+t0000:=1/(x*(a+b*x)^2)
+--R 
+--R
+--R                  1
+--R   (1)  --------------------
+--R         2 3         2    2
+--R        b x  + 2a b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 746
+
+--S 747 of 3330
+r0000:=1/(a*(a+b*x))+log(x)/a^2-log(a+b*x)/a^2
+--R 
+--R
+--R        (- b x - a)log(b x + a) + (b x + a)log(x) + a
+--R   (2)  ---------------------------------------------
+--R                           2       3
+--R                          a b x + a
+--R                                                    Type: Expression(Integer)
+--E 747
+
+--S 748 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        (- b x - a)log(b x + a) + (b x + a)log(x) + a
+--R   (3)  ---------------------------------------------
+--R                           2       3
+--R                          a b x + a
+--R                                         Type: Union(Expression(Integer),...)
+--E 748
+
+--S 749 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 749
+
+--S 750 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 750
+
+)clear all
+
+--S 751 of 3330
+t0000:=1/(x^2*(a+b*x)^2)
+--R 
+--R
+--R                  1
+--R   (1)  ---------------------
+--R         2 4         3    2 2
+--R        b x  + 2a b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 751
+
+--S 752 of 3330
+r0000:=(-1)/(a^2*x)-b/(a^2*(a+b*x))-2*b*log(x)/a^3+2*b*log(a+b*x)/a^3
+--R 
+--R
+--R           2 2                              2 2                             2
+--R        (2b x  + 2a b x)log(b x + a) + (- 2b x  - 2a b x)log(x) - 2a b x - a
+--R   (2)  ---------------------------------------------------------------------
+--R                                      3   2    4
+--R                                     a b x  + a x
+--R                                                    Type: Expression(Integer)
+--E 752
+
+--S 753 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           2 2                              2 2                             2
+--R        (2b x  + 2a b x)log(b x + a) + (- 2b x  - 2a b x)log(x) - 2a b x - a
+--R   (3)  ---------------------------------------------------------------------
+--R                                      3   2    4
+--R                                     a b x  + a x
+--R                                         Type: Union(Expression(Integer),...)
+--E 753
+
+--S 754 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 754
+
+--S 755 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 755
+
+)clear all
+
+--S 756 of 3330
+t0000:=1/(x^3*(a+b*x)^2)
+--R 
+--R
+--R                  1
+--R   (1)  ---------------------
+--R         2 5         4    2 3
+--R        b x  + 2a b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 756
+
+--S 757 of 3330
+r0000:=(-1/2)/(a^2*x^2)+2*b/(a^3*x)+b^2/(a^3*(a+b*x))+_
+     3*b^2*log(x)/a^4-3*b^2*log(a+b*x)/a^4
+--R 
+--R
+--R   (2)
+--R            3 3       2 2                   3 3       2 2              2 2
+--R       (- 6b x  - 6a b x )log(b x + a) + (6b x  + 6a b x )log(x) + 6a b x
+--R     + 
+--R         2       3
+--R       3a b x - a
+--R  /
+--R       4   3     5 2
+--R     2a b x  + 2a x
+--R                                                    Type: Expression(Integer)
+--E 757
+
+--S 758 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R            3 3       2 2                   3 3       2 2              2 2
+--R       (- 6b x  - 6a b x )log(b x + a) + (6b x  + 6a b x )log(x) + 6a b x
+--R     + 
+--R         2       3
+--R       3a b x - a
+--R  /
+--R       4   3     5 2
+--R     2a b x  + 2a x
+--R                                         Type: Union(Expression(Integer),...)
+--E 758
+
+--S 759 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 759
+
+--S 760 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 760
+
+)clear all
+
+--S 761 of 3330
+t0000:=1/(x^4*(a+b*x)^2)
+--R 
+--R
+--R                  1
+--R   (1)  ---------------------
+--R         2 6         5    2 4
+--R        b x  + 2a b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 761
+
+--S 762 of 3330
+r0000:=(-1/3)/(a^2*x^3)+b/(a^3*x^2)-3*b^2/(a^4*x)-b^3/(a^4*(a+b*x))-_
+     4*b^3*log(x)/a^5+4*b^3*log(a+b*x)/a^5
+--R 
+--R
+--R   (2)
+--R           4 4        3 3                      4 4        3 3               3 3
+--R       (12b x  + 12a b x )log(b x + a) + (- 12b x  - 12a b x )log(x) - 12a b x
+--R     + 
+--R           2 2 2     3       4
+--R       - 6a b x  + 2a b x - a
+--R  /
+--R       5   4     6 3
+--R     3a b x  + 3a x
+--R                                                    Type: Expression(Integer)
+--E 762
+
+--S 763 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R           4 4        3 3                      4 4        3 3               3 3
+--R       (12b x  + 12a b x )log(b x + a) + (- 12b x  - 12a b x )log(x) - 12a b x
+--R     + 
+--R           2 2 2     3       4
+--R       - 6a b x  + 2a b x - a
+--R  /
+--R       5   4     6 3
+--R     3a b x  + 3a x
+--R                                         Type: Union(Expression(Integer),...)
+--E 763
+
+--S 764 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 764
+
+--S 765 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 765
+
+)clear all
+
+--S 766 of 3330
+t0000:=1/(x^5*(a+b*x)^2)
+--R 
+--R
+--R                  1
+--R   (1)  ---------------------
+--R         2 7         6    2 5
+--R        b x  + 2a b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 766
+
+--S 767 of 3330
+r0000:=(-1/4)/(a^2*x^4)+2/3*b/(a^3*x^3)-3/2*b^2/(a^4*x^2)+4*b^3/(a^5*x)+_
+     b^4/(a^5*(a+b*x))+5*b^4*log(x)/a^6-5*b^4*log(a+b*x)/a^6
+--R 
+--R
+--R   (2)
+--R             5 5        4 4                    5 5        4 4               4 4
+--R       (- 60b x  - 60a b x )log(b x + a) + (60b x  + 60a b x )log(x) + 60a b x
+--R     + 
+--R          2 3 3      3 2 2     4        5
+--R       30a b x  - 10a b x  + 5a b x - 3a
+--R  /
+--R        6   5      7 4
+--R     12a b x  + 12a x
+--R                                                    Type: Expression(Integer)
+--E 767
+
+--S 768 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R             5 5        4 4                    5 5        4 4               4 4
+--R       (- 60b x  - 60a b x )log(b x + a) + (60b x  + 60a b x )log(x) + 60a b x
+--R     + 
+--R          2 3 3      3 2 2     4        5
+--R       30a b x  - 10a b x  + 5a b x - 3a
+--R  /
+--R        6   5      7 4
+--R     12a b x  + 12a x
+--R                                         Type: Union(Expression(Integer),...)
+--E 768
+
+--S 769 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 769
+
+--S 770 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 770
+
+)clear all
+
+--S 771 of 3330
+t0000:=x^m/(a+b*x)^3
+--R 
+--R
+--R                      m
+--R                     x
+--R   (1)  ----------------------------
+--R         3 3       2 2     2       3
+--R        b x  + 3a b x  + 3a b x + a
+--R                                                    Type: Expression(Integer)
+--E 771
+
+--S 772 of 3330
+--r0000:=1/2*x^(1+m)/(a*(a+b*x)^2)+1/2*(1-m)*x^(1+m)/(a^2*(a+b*x))-_
+--       1/2*(1-m)*m*x^(1+m)*hypergeometric(1,1+m,2+m,-b*x/a)/(a^3*(1+m))
+--E 772
+
+--S 773 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           x                 m
+--R         ++                %N
+--R   (2)   |   ------------------------------- d%N
+--R        ++     3 3      2   2        2     3
+--R             %N b  + 3%N a b  + 3%N a b + a
+--R                                         Type: Union(Expression(Integer),...)
+--E 773
+
+--S 774 of 3330
+--m0000:=a0000 - r0000
+--E 774
+
+--S 775 of 3330
+--d0000:=D(m0000,x)
+--E 775
+
+)clear all
+
+--S 776 of 3330
+t0000:=x^7/(a+b*x)^3
+--R 
+--R
+--R                      7
+--R                     x
+--R   (1)  ----------------------------
+--R         3 3       2 2     2       3
+--R        b x  + 3a b x  + 3a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 776
+
+--S 777 of 3330
+r0000:=15*a^4*x/b^7-5*a^3*x^2/b^6+2*a^2*x^3/b^5-3/4*a*x^4/b^4+1/5*x^5/b^3+_
+     1/2*a^7/(b^8*(a+b*x)^2)-7*a^6/(b^8*(a+b*x))-21*a^5*log(a+b*x)/b^8
+--R 
+--R
+--R   (2)
+--R              5 2 2       6          7                  7 7       6 6      2 5 5
+--R       (- 420a b x  - 840a b x - 420a )log(b x + a) + 4b x  - 7a b x  + 14a b x
+--R     + 
+--R            3 4 4       4 3 3       5 2 2       6          7
+--R       - 35a b x  + 140a b x  + 500a b x  + 160a b x - 130a
+--R  /
+--R        10 2        9       2 8
+--R     20b  x  + 40a b x + 20a b
+--R                                                    Type: Expression(Integer)
+--E 777
+
+--S 778 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R              5 2 2       6          7                  7 7       6 6      2 5 5
+--R       (- 420a b x  - 840a b x - 420a )log(b x + a) + 4b x  - 7a b x  + 14a b x
+--R     + 
+--R            3 4 4       4 3 3       5 2 2       6          7
+--R       - 35a b x  + 140a b x  + 500a b x  + 160a b x - 130a
+--R  /
+--R        10 2        9       2 8
+--R     20b  x  + 40a b x + 20a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 778
+
+--S 779 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 779
+
+--S 780 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 780
+
+)clear all
+
+--S 781 of 3330
+t0000:=x^6/(a+b*x)^3
+--R 
+--R
+--R                      6
+--R                     x
+--R   (1)  ----------------------------
+--R         3 3       2 2     2       3
+--R        b x  + 3a b x  + 3a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 781
+
+--S 782 of 3330
+r0000:=-10*a^3*x/b^6+3*a^2*x^2/b^5-a*x^3/b^4+1/4*x^4/b^3-_
+     1/2*a^6/(b^7*(a+b*x)^2)+6*a^5/(b^7*(a+b*x))+15*a^4*log(a+b*x)/b^7
+--R 
+--R
+--R   (2)
+--R           4 2 2       5         6                 6 6       5 5     2 4 4
+--R       (60a b x  + 120a b x + 60a )log(b x + a) + b x  - 2a b x  + 5a b x
+--R     + 
+--R            3 3 3      4 2 2      5         6
+--R       - 20a b x  - 68a b x  - 16a b x + 22a
+--R  /
+--R       9 2       8      2 7
+--R     4b x  + 8a b x + 4a b
+--R                                                    Type: Expression(Integer)
+--E 782
+
+--S 783 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R           4 2 2       5         6                 6 6       5 5     2 4 4
+--R       (60a b x  + 120a b x + 60a )log(b x + a) + b x  - 2a b x  + 5a b x
+--R     + 
+--R            3 3 3      4 2 2      5         6
+--R       - 20a b x  - 68a b x  - 16a b x + 22a
+--R  /
+--R       9 2       8      2 7
+--R     4b x  + 8a b x + 4a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 783
+
+--S 784 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 784
+
+--S 785 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 785
+
+)clear all
+
+--S 786 of 3330
+t0000:=x^5/(a+b*x)^3
+--R 
+--R
+--R                      5
+--R                     x
+--R   (1)  ----------------------------
+--R         3 3       2 2     2       3
+--R        b x  + 3a b x  + 3a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 786
+
+--S 787 of 3330
+r0000:=6*a^2*x/b^5-3/2*a*x^2/b^4+1/3*x^3/b^3+1/2*a^5/(b^6*(a+b*x)^2)-_
+     5*a^4/(b^6*(a+b*x))-10*a^3*log(a+b*x)/b^6
+--R 
+--R
+--R   (2)
+--R             3 2 2       4         5                  5 5       4 4      2 3 3
+--R       (- 60a b x  - 120a b x - 60a )log(b x + a) + 2b x  - 5a b x  + 20a b x
+--R     + 
+--R          3 2 2     4         5
+--R       63a b x  + 6a b x - 27a
+--R  /
+--R       8 2        7      2 6
+--R     6b x  + 12a b x + 6a b
+--R                                                    Type: Expression(Integer)
+--E 787
+
+--S 788 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R             3 2 2       4         5                  5 5       4 4      2 3 3
+--R       (- 60a b x  - 120a b x - 60a )log(b x + a) + 2b x  - 5a b x  + 20a b x
+--R     + 
+--R          3 2 2     4         5
+--R       63a b x  + 6a b x - 27a
+--R  /
+--R       8 2        7      2 6
+--R     6b x  + 12a b x + 6a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 788
+
+--S 789 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 789
+
+--S 790 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 790
+
+)clear all
+
+--S 791 of 3330
+t0000:=x^4/(a+b*x)^3
+--R 
+--R
+--R                      4
+--R                     x
+--R   (1)  ----------------------------
+--R         3 3       2 2     2       3
+--R        b x  + 3a b x  + 3a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 791
+
+--S 792 of 3330
+r0000:=-3*a*x/b^4+1/2*x^2/b^3-1/2*a^4/(b^5*(a+b*x)^2)+4*a^3/(b^5*(a+b*x))+_
+     6*a^2*log(a+b*x)/b^5
+--R 
+--R
+--R   (2)
+--R           2 2 2      3         4                 4 4       3 3      2 2 2
+--R       (12a b x  + 24a b x + 12a )log(b x + a) + b x  - 4a b x  - 11a b x
+--R     + 
+--R         3        4
+--R       2a b x + 7a
+--R  /
+--R       7 2       6      2 5
+--R     2b x  + 4a b x + 2a b
+--R                                                    Type: Expression(Integer)
+--E 792
+
+--S 793 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R           2 2 2      3         4                 4 4       3 3      2 2 2
+--R       (12a b x  + 24a b x + 12a )log(b x + a) + b x  - 4a b x  - 11a b x
+--R     + 
+--R         3        4
+--R       2a b x + 7a
+--R  /
+--R       7 2       6      2 5
+--R     2b x  + 4a b x + 2a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 793
+
+--S 794 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 794
+
+--S 795 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 795
+
+)clear all
+
+--S 796 of 3330
+t0000:=x^3/(a+b*x)^3
+--R 
+--R
+--R                      3
+--R                     x
+--R   (1)  ----------------------------
+--R         3 3       2 2     2       3
+--R        b x  + 3a b x  + 3a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 796
+
+--S 797 of 3330
+r0000:=x/b^3+1/2*a^3/(b^4*(a+b*x)^2)-3*a^2/(b^4*(a+b*x))-3*a*log(a+b*x)/b^4
+--R 
+--R
+--R   (2)
+--R          2 2      2        3                  3 3       2 2     2        3
+--R   (- 6a b x  - 12a b x - 6a )log(b x + a) + 2b x  + 4a b x  - 4a b x - 5a
+--R   ------------------------------------------------------------------------
+--R                              6 2       5      2 4
+--R                            2b x  + 4a b x + 2a b
+--R                                                    Type: Expression(Integer)
+--E 797
+
+--S 798 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R          2 2      2        3                  3 3       2 2     2        3
+--R   (- 6a b x  - 12a b x - 6a )log(b x + a) + 2b x  + 4a b x  - 4a b x - 5a
+--R   ------------------------------------------------------------------------
+--R                              6 2       5      2 4
+--R                            2b x  + 4a b x + 2a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 798
+
+--S 799 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 799
+
+--S 800 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 800
+
+)clear all
+
+--S 801 of 3330
+t0000:=x^2/(a+b*x)^3
+--R 
+--R
+--R                      2
+--R                     x
+--R   (1)  ----------------------------
+--R         3 3       2 2     2       3
+--R        b x  + 3a b x  + 3a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 801
+
+--S 802 of 3330
+r0000:=-1/2*a^2/(b^3*(a+b*x)^2)+2*a/(b^3*(a+b*x))+log(a+b*x)/b^3
+--R 
+--R
+--R           2 2              2                           2
+--R        (2b x  + 4a b x + 2a )log(b x + a) + 4a b x + 3a
+--R   (2)  -------------------------------------------------
+--R                        5 2       4      2 3
+--R                      2b x  + 4a b x + 2a b
+--R                                                    Type: Expression(Integer)
+--E 802
+
+--S 803 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           2 2              2                           2
+--R        (2b x  + 4a b x + 2a )log(b x + a) + 4a b x + 3a
+--R   (3)  -------------------------------------------------
+--R                        5 2       4      2 3
+--R                      2b x  + 4a b x + 2a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 803
+
+--S 804 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 804
+
+--S 805 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 805
+
+)clear all
+
+--S 806 of 3330
+t0000:=x/(a+b*x)^3
+--R 
+--R
+--R                      x
+--R   (1)  ----------------------------
+--R         3 3       2 2     2       3
+--R        b x  + 3a b x  + 3a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 806
+
+--S 807 of 3330
+r0000:=1/2*x^2/(a*(a+b*x)^2)
+--R 
+--R
+--R                1  2
+--R                - x
+--R                2
+--R   (2)  --------------------
+--R           2 2     2       3
+--R        a b x  + 2a b x + a
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 807
+
+--S 808 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R              - 2b x - a
+--R   (3)  ----------------------
+--R          4 2       3      2 2
+--R        2b x  + 4a b x + 2a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 808
+
+--S 809 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R            1
+--R   (4)  - -----
+--R              2
+--R          2a b
+--R                                                    Type: Expression(Integer)
+--E 809
+
+--S 810 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 810
+
+)clear all
+
+--S 811 of 3330
+t0000:=1/(a+b*x)^3
+--R 
+--R
+--R                      1
+--R   (1)  ----------------------------
+--R         3 3       2 2     2       3
+--R        b x  + 3a b x  + 3a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 811
+
+--S 812 of 3330
+r0000:=(-1/2)/(b*(a+b*x)^2)
+--R 
+--R
+--R                   1
+--R                   -
+--R                   2
+--R   (2)  - -------------------
+--R           3 2       2     2
+--R          b x  + 2a b x + a b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 812
+
+--S 813 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                    1
+--R   (3)  - ---------------------
+--R            3 2       2      2
+--R          2b x  + 4a b x + 2a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 813
+
+--S 814 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 814
+
+--S 815 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 815
+
+)clear all
+
+--S 816 of 3330
+t0000:=1/(x*(a+b*x)^3)
+--R 
+--R
+--R                       1
+--R   (1)  ------------------------------
+--R         3 4       2 3     2   2    3
+--R        b x  + 3a b x  + 3a b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 816
+
+--S 817 of 3330
+r0000:=1/2/(a*(a+b*x)^2)+1/(a^2*(a+b*x))+log(x)/a^3-log(a+b*x)/a^3
+--R 
+--R
+--R   (2)
+--R            2 2              2                   2 2              2
+--R       (- 2b x  - 4a b x - 2a )log(b x + a) + (2b x  + 4a b x + 2a )log(x)
+--R     + 
+--R                  2
+--R       2a b x + 3a
+--R  /
+--R       3 2 2     4        5
+--R     2a b x  + 4a b x + 2a
+--R                                                    Type: Expression(Integer)
+--E 817
+
+--S 818 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R            2 2              2                   2 2              2
+--R       (- 2b x  - 4a b x - 2a )log(b x + a) + (2b x  + 4a b x + 2a )log(x)
+--R     + 
+--R                  2
+--R       2a b x + 3a
+--R  /
+--R       3 2 2     4        5
+--R     2a b x  + 4a b x + 2a
+--R                                         Type: Union(Expression(Integer),...)
+--E 818
+
+--S 819 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 819
+
+--S 820 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 820
+
+)clear all
+
+--S 821 of 3330
+t0000:=1/(x^2*(a+b*x)^3)
+--R 
+--R
+--R                       1
+--R   (1)  -------------------------------
+--R         3 5       2 4     2   3    3 2
+--R        b x  + 3a b x  + 3a b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 821
+
+--S 822 of 3330
+r0000:=(-1)/(a^3*x)-1/2*b/(a^2*(a+b*x)^2)-2*b/(a^3*(a+b*x))-_
+     3*b*log(x)/a^4+3*b*log(a+b*x)/a^4
+--R 
+--R
+--R   (2)
+--R          3 3        2 2     2
+--R       (6b x  + 12a b x  + 6a b x)log(b x + a)
+--R     + 
+--R            3 3        2 2     2                 2 2     2        3
+--R       (- 6b x  - 12a b x  - 6a b x)log(x) - 6a b x  - 9a b x - 2a
+--R  /
+--R       4 2 3     5   2     6
+--R     2a b x  + 4a b x  + 2a x
+--R                                                    Type: Expression(Integer)
+--E 822
+
+--S 823 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R          3 3        2 2     2
+--R       (6b x  + 12a b x  + 6a b x)log(b x + a)
+--R     + 
+--R            3 3        2 2     2                 2 2     2        3
+--R       (- 6b x  - 12a b x  - 6a b x)log(x) - 6a b x  - 9a b x - 2a
+--R  /
+--R       4 2 3     5   2     6
+--R     2a b x  + 4a b x  + 2a x
+--R                                         Type: Union(Expression(Integer),...)
+--E 823
+
+--S 824 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 824
+
+--S 825 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 825
+
+)clear all
+
+--S 826 of 3330
+t0000:=1/(x^3*(a+b*x)^3)
+--R 
+--R
+--R                       1
+--R   (1)  -------------------------------
+--R         3 6       2 5     2   4    3 3
+--R        b x  + 3a b x  + 3a b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 826
+
+--S 827 of 3330
+r0000:=(-1/2)/(a^3*x^2)+3*b/(a^4*x)+1/2*b^2/(a^3*(a+b*x)^2)+_
+     3*b^2/(a^4*(a+b*x))+6*b^2*log(x)/a^5-6*b^2*log(a+b*x)/a^5
+--R 
+--R
+--R   (2)
+--R             4 4        3 3      2 2 2
+--R       (- 12b x  - 24a b x  - 12a b x )log(b x + a)
+--R     + 
+--R           4 4        3 3      2 2 2               3 3      2 2 2     3       4
+--R       (12b x  + 24a b x  + 12a b x )log(x) + 12a b x  + 18a b x  + 4a b x - a
+--R  /
+--R       5 2 4     6   3     7 2
+--R     2a b x  + 4a b x  + 2a x
+--R                                                    Type: Expression(Integer)
+--E 827
+
+--S 828 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R             4 4        3 3      2 2 2
+--R       (- 12b x  - 24a b x  - 12a b x )log(b x + a)
+--R     + 
+--R           4 4        3 3      2 2 2               3 3      2 2 2     3       4
+--R       (12b x  + 24a b x  + 12a b x )log(x) + 12a b x  + 18a b x  + 4a b x - a
+--R  /
+--R       5 2 4     6   3     7 2
+--R     2a b x  + 4a b x  + 2a x
+--R                                         Type: Union(Expression(Integer),...)
+--E 828
+
+--S 829 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 829
+
+--S 830 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 830
+
+)clear all
+
+--S 831 of 3330
+t0000:=1/(x^4*(a+b*x)^3)
+--R 
+--R
+--R                       1
+--R   (1)  -------------------------------
+--R         3 7       2 6     2   5    3 4
+--R        b x  + 3a b x  + 3a b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 831
+
+--S 832 of 3330
+r0000:=(-1/3)/(a^3*x^3)+3/2*b/(a^4*x^2)-6*b^2/(a^5*x)-1/2*b^3/(a^4*(a+b*x)^2)-_
+     4*b^3/(a^5*(a+b*x))-10*b^3*log(x)/a^6+10*b^3*log(a+b*x)/a^6
+--R 
+--R
+--R   (2)
+--R           5 5         4 4      2 3 3
+--R       (60b x  + 120a b x  + 60a b x )log(b x + a)
+--R     + 
+--R             5 5         4 4      2 3 3               4 4      2 3 3      3 2 2
+--R       (- 60b x  - 120a b x  - 60a b x )log(x) - 60a b x  - 90a b x  - 20a b x
+--R     + 
+--R         4        5
+--R       5a b x - 2a
+--R  /
+--R       6 2 5      7   4     8 3
+--R     6a b x  + 12a b x  + 6a x
+--R                                                    Type: Expression(Integer)
+--E 832
+
+--S 833 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R           5 5         4 4      2 3 3
+--R       (60b x  + 120a b x  + 60a b x )log(b x + a)
+--R     + 
+--R             5 5         4 4      2 3 3               4 4      2 3 3      3 2 2
+--R       (- 60b x  - 120a b x  - 60a b x )log(x) - 60a b x  - 90a b x  - 20a b x
+--R     + 
+--R         4        5
+--R       5a b x - 2a
+--R  /
+--R       6 2 5      7   4     8 3
+--R     6a b x  + 12a b x  + 6a x
+--R                                         Type: Union(Expression(Integer),...)
+--E 833
+
+--S 834 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 834
+
+--S 835 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 835
+
+)clear all
+
+--S 836 of 3330
+t0000:=1/(x^5*(a+b*x)^3)
+--R 
+--R
+--R                       1
+--R   (1)  -------------------------------
+--R         3 8       2 7     2   6    3 5
+--R        b x  + 3a b x  + 3a b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 836
+
+--S 837 of 3330
+r0000:=(-1/4)/(a^3*x^4)+b/(a^4*x^3)-3*b^2/(a^5*x^2)+10*b^3/(a^6*x)+_
+     1/2*b^4/(a^5*(a+b*x)^2)+5*b^4/(a^6*(a+b*x))+_
+     15*b^4*log(x)/a^7-15*b^4*log(a+b*x)/a^7
+--R 
+--R
+--R   (2)
+--R             6 6         5 5      2 4 4
+--R       (- 60b x  - 120a b x  - 60a b x )log(b x + a)
+--R     + 
+--R           6 6         5 5      2 4 4               5 5      2 4 4      3 3 3
+--R       (60b x  + 120a b x  + 60a b x )log(x) + 60a b x  + 90a b x  + 20a b x
+--R     + 
+--R           4 2 2     5       6
+--R       - 5a b x  + 2a b x - a
+--R  /
+--R       7 2 6     8   5     9 4
+--R     4a b x  + 8a b x  + 4a x
+--R                                                    Type: Expression(Integer)
+--E 837
+
+--S 838 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R             6 6         5 5      2 4 4
+--R       (- 60b x  - 120a b x  - 60a b x )log(b x + a)
+--R     + 
+--R           6 6         5 5      2 4 4               5 5      2 4 4      3 3 3
+--R       (60b x  + 120a b x  + 60a b x )log(x) + 60a b x  + 90a b x  + 20a b x
+--R     + 
+--R           4 2 2     5       6
+--R       - 5a b x  + 2a b x - a
+--R  /
+--R       7 2 6     8   5     9 4
+--R     4a b x  + 8a b x  + 4a x
+--R                                         Type: Union(Expression(Integer),...)
+--E 838
+
+--S 839 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 839
+
+--S 840 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 840
+
+)clear all
+
+--S 841 of 3330
+t0000:=x^8/(a+b*x)^4
+--R 
+--R
+--R                           8
+--R                          x
+--R   (1)  --------------------------------------
+--R         4 4       3 3     2 2 2     3       4
+--R        b x  + 4a b x  + 6a b x  + 4a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 841
+
+--S 842 of 3330
+r0000:=35*a^4*x/b^8-10*a^3*x^2/b^7+10/3*a^2*x^3/b^6-a*x^4/b^5+_
+     1/5*x^5/b^4-1/3*a^8/(b^9*(a+b*x)^3)+4*a^7/(b^9*(a+b*x)^2)-_
+     28*a^6/(b^9*(a+b*x))-56*a^5*log(a+b*x)/b^9
+--R 
+--R
+--R   (2)
+--R              5 3 3        6 2 2        7          8                  8 8
+--R       (- 840a b x  - 2520a b x  - 2520a b x - 840a )log(b x + a) + 3b x
+--R     + 
+--R             7 7      2 6 6      3 5 5       4 4 4        5 3 3        6 2 2
+--R       - 6a b x  + 14a b x  - 42a b x  + 210a b x  + 1175a b x  + 1005a b x
+--R     + 
+--R             7          8
+--R       - 255a b x - 365a
+--R  /
+--R        12 3        11 2      2 10       3 9
+--R     15b  x  + 45a b  x  + 45a b  x + 15a b
+--R                                                    Type: Expression(Integer)
+--E 842
+
+--S 843 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R              5 3 3        6 2 2        7          8                  8 8
+--R       (- 840a b x  - 2520a b x  - 2520a b x - 840a )log(b x + a) + 3b x
+--R     + 
+--R             7 7      2 6 6      3 5 5       4 4 4        5 3 3        6 2 2
+--R       - 6a b x  + 14a b x  - 42a b x  + 210a b x  + 1175a b x  + 1005a b x
+--R     + 
+--R             7          8
+--R       - 255a b x - 365a
+--R  /
+--R        12 3        11 2      2 10       3 9
+--R     15b  x  + 45a b  x  + 45a b  x + 15a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 843
+
+--S 844 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 844
+
+--S 845 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 845
+
+)clear all
+
+--S 846 of 3330
+t0000:=x^7/(a+b*x)^4
+--R 
+--R
+--R                           7
+--R                          x
+--R   (1)  --------------------------------------
+--R         4 4       3 3     2 2 2     3       4
+--R        b x  + 4a b x  + 6a b x  + 4a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 846
+
+--S 847 of 3330
+r0000:=-20*a^3*x/b^7+5*a^2*x^2/b^6-4/3*a*x^3/b^5+1/4*x^4/b^4+_
+     1/3*a^7/(b^8*(a+b*x)^3)-7/2*a^6/(b^8*(a+b*x)^2)+_
+     21*a^5/(b^8*(a+b*x))+35*a^4*log(a+b*x)/b^8
+--R 
+--R
+--R   (2)
+--R            4 3 3        5 2 2        6          7                  7 7
+--R       (420a b x  + 1260a b x  + 1260a b x + 420a )log(b x + a) + 3b x
+--R     + 
+--R           6 6      2 5 5       3 4 4       4 3 3       5 2 2       6          7
+--R     - 7a b x  + 21a b x  - 105a b x  - 556a b x  - 408a b x  + 222a b x + 214a
+--R  /
+--R        11 3        10 2      2 9       3 8
+--R     12b  x  + 36a b  x  + 36a b x + 12a b
+--R                                                    Type: Expression(Integer)
+--E 847
+
+--S 848 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R            4 3 3        5 2 2        6          7                  7 7
+--R       (420a b x  + 1260a b x  + 1260a b x + 420a )log(b x + a) + 3b x
+--R     + 
+--R           6 6      2 5 5       3 4 4       4 3 3       5 2 2       6          7
+--R     - 7a b x  + 21a b x  - 105a b x  - 556a b x  - 408a b x  + 222a b x + 214a
+--R  /
+--R        11 3        10 2      2 9       3 8
+--R     12b  x  + 36a b  x  + 36a b x + 12a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 848
+
+--S 849 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 849
+
+--S 850 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 850
+
+)clear all
+
+--S 851 of 3330
+t0000:=x^6/(a+b*x)^4
+--R 
+--R
+--R                           6
+--R                          x
+--R   (1)  --------------------------------------
+--R         4 4       3 3     2 2 2     3       4
+--R        b x  + 4a b x  + 6a b x  + 4a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 851
+
+--S 852 of 3330
+r0000:=10*a^2*x/b^6-2*a*x^2/b^5+1/3*x^3/b^4-1/3*a^6/(b^7*(a+b*x)^3)+_
+     3*a^5/(b^7*(a+b*x)^2)-15*a^4/(b^7*(a+b*x))-20*a^3*log(a+b*x)/b^7
+--R 
+--R
+--R   (2)
+--R             3 3 3       4 2 2       5         6                 6 6       5 5
+--R       (- 60a b x  - 180a b x  - 180a b x - 60a )log(b x + a) + b x  - 3a b x
+--R     + 
+--R          2 4 4      3 3 3      4 2 2      5         6
+--R       15a b x  + 73a b x  + 39a b x  - 51a b x - 37a
+--R  /
+--R       10 3       9 2     2 8      3 7
+--R     3b  x  + 9a b x  + 9a b x + 3a b
+--R                                                    Type: Expression(Integer)
+--E 852
+
+--S 853 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R             3 3 3       4 2 2       5         6                 6 6       5 5
+--R       (- 60a b x  - 180a b x  - 180a b x - 60a )log(b x + a) + b x  - 3a b x
+--R     + 
+--R          2 4 4      3 3 3      4 2 2      5         6
+--R       15a b x  + 73a b x  + 39a b x  - 51a b x - 37a
+--R  /
+--R       10 3       9 2     2 8      3 7
+--R     3b  x  + 9a b x  + 9a b x + 3a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 853
+
+--S 854 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 854
+
+--S 855 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 855
+
+)clear all
+
+--S 856 of 3330
+t0000:=x^5/(a+b*x)^4
+--R 
+--R
+--R                           5
+--R                          x
+--R   (1)  --------------------------------------
+--R         4 4       3 3     2 2 2     3       4
+--R        b x  + 4a b x  + 6a b x  + 4a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 856
+
+--S 857 of 3330
+r0000:=-4*a*x/b^5+1/2*x^2/b^4+1/3*a^5/(b^6*(a+b*x)^3)-_
+     5/2*a^4/(b^6*(a+b*x)^2)+10*a^3/(b^6*(a+b*x))+10*a^2*log(a+b*x)/b^6
+--R 
+--R
+--R   (2)
+--R           2 3 3       3 2 2       4         5                  5 5        4 4
+--R       (60a b x  + 180a b x  + 180a b x + 60a )log(b x + a) + 3b x  - 15a b x
+--R     + 
+--R            2 3 3     3 2 2      4         5
+--R       - 63a b x  - 9a b x  + 81a b x + 47a
+--R  /
+--R       9 3        8 2      2 7      3 6
+--R     6b x  + 18a b x  + 18a b x + 6a b
+--R                                                    Type: Expression(Integer)
+--E 857
+
+--S 858 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R           2 3 3       3 2 2       4         5                  5 5        4 4
+--R       (60a b x  + 180a b x  + 180a b x + 60a )log(b x + a) + 3b x  - 15a b x
+--R     + 
+--R            2 3 3     3 2 2      4         5
+--R       - 63a b x  - 9a b x  + 81a b x + 47a
+--R  /
+--R       9 3        8 2      2 7      3 6
+--R     6b x  + 18a b x  + 18a b x + 6a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 858
+
+--S 859 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 859
+
+--S 860 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 860
+
+)clear all
+
+--S 861 of 3330
+t0000:=x^4/(a+b*x)^4
+--R 
+--R
+--R                           4
+--R                          x
+--R   (1)  --------------------------------------
+--R         4 4       3 3     2 2 2     3       4
+--R        b x  + 4a b x  + 6a b x  + 4a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 861
+
+--S 862 of 3330
+r0000:=x/b^4-1/3*a^4/(b^5*(a+b*x)^3)+2*a^3/(b^5*(a+b*x)^2)-_
+     6*a^2/(b^5*(a+b*x))-4*a*log(a+b*x)/b^5
+--R 
+--R
+--R   (2)
+--R               3 3      2 2 2      3         4                  4 4       3 3
+--R       (- 12a b x  - 36a b x  - 36a b x - 12a )log(b x + a) + 3b x  + 9a b x
+--R     + 
+--R           2 2 2      3         4
+--R       - 9a b x  - 27a b x - 13a
+--R  /
+--R       8 3       7 2     2 6      3 5
+--R     3b x  + 9a b x  + 9a b x + 3a b
+--R                                                    Type: Expression(Integer)
+--E 862
+
+--S 863 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R               3 3      2 2 2      3         4                  4 4       3 3
+--R       (- 12a b x  - 36a b x  - 36a b x - 12a )log(b x + a) + 3b x  + 9a b x
+--R     + 
+--R           2 2 2      3         4
+--R       - 9a b x  - 27a b x - 13a
+--R  /
+--R       8 3       7 2     2 6      3 5
+--R     3b x  + 9a b x  + 9a b x + 3a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 863
+
+--S 864 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 864
+
+--S 865 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 865
+
+)clear all
+
+--S 866 of 3330
+t0000:=x^3/(a+b*x)^4
+--R 
+--R
+--R                           3
+--R                          x
+--R   (1)  --------------------------------------
+--R         4 4       3 3     2 2 2     3       4
+--R        b x  + 4a b x  + 6a b x  + 4a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 866
+
+--S 867 of 3330
+r0000:=1/3*a^3/(b^4*(a+b*x)^3)-3/2*a^2/(b^4*(a+b*x)^2)+_
+     3*a/(b^4*(a+b*x))+log(a+b*x)/b^4
+--R 
+--R
+--R   (2)
+--R      3 3        2 2      2        3                     2 2      2         3
+--R   (6b x  + 18a b x  + 18a b x + 6a )log(b x + a) + 18a b x  + 27a b x + 11a
+--R   --------------------------------------------------------------------------
+--R                         7 3        6 2      2 5      3 4
+--R                       6b x  + 18a b x  + 18a b x + 6a b
+--R                                                    Type: Expression(Integer)
+--E 867
+
+--S 868 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R      3 3        2 2      2        3                     2 2      2         3
+--R   (6b x  + 18a b x  + 18a b x + 6a )log(b x + a) + 18a b x  + 27a b x + 11a
+--R   --------------------------------------------------------------------------
+--R                         7 3        6 2      2 5      3 4
+--R                       6b x  + 18a b x  + 18a b x + 6a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 868
+
+--S 869 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 869
+
+--S 870 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 870
+
+)clear all
+
+--S 871 of 3330
+t0000:=x^2/(a+b*x)^4
+--R 
+--R
+--R                           2
+--R                          x
+--R   (1)  --------------------------------------
+--R         4 4       3 3     2 2 2     3       4
+--R        b x  + 4a b x  + 6a b x  + 4a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 871
+
+--S 872 of 3330
+r0000:=1/3*x^3/(a*(a+b*x)^3)
+--R 
+--R
+--R                     1  3
+--R                     - x
+--R                     3
+--R   (2)  ------------------------------
+--R           3 3     2 2 2     3       4
+--R        a b x  + 3a b x  + 3a b x + a
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 872
+
+--S 873 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                  2 2             2
+--R              - 3b x  - 3a b x - a
+--R   (3)  --------------------------------
+--R          6 3       5 2     2 4      3 3
+--R        3b x  + 9a b x  + 9a b x + 3a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 873
+
+--S 874 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R            1
+--R   (4)  - -----
+--R              3
+--R          3a b
+--R                                                    Type: Expression(Integer)
+--E 874
+
+--S 875 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 875
+
+)clear all
+
+--S 876 of 3330
+t0000:=x/(a+b*x)^4
+--R 
+--R
+--R                           x
+--R   (1)  --------------------------------------
+--R         4 4       3 3     2 2 2     3       4
+--R        b x  + 4a b x  + 6a b x  + 4a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 876
+
+--S 877 of 3330
+r0000:=1/3*a/(b^2*(a+b*x)^3)+(-1/2)/(b^2*(a+b*x)^2)
+--R 
+--R
+--R                   1       1
+--R                 - - b x - - a
+--R                   2       6
+--R   (2)  ------------------------------
+--R         5 3       4 2     2 3     3 2
+--R        b x  + 3a b x  + 3a b x + a b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 877
+
+--S 878 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                    - 3b x - a
+--R   (3)  ----------------------------------
+--R          5 3        4 2      2 3      3 2
+--R        6b x  + 18a b x  + 18a b x + 6a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 878
+
+--S 879 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 879
+
+--S 880 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 880
+
+)clear all
+
+--S 881 of 3330
+t0000:=1/(a+b*x)^4
+--R 
+--R
+--R                           1
+--R   (1)  --------------------------------------
+--R         4 4       3 3     2 2 2     3       4
+--R        b x  + 4a b x  + 6a b x  + 4a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 881
+
+--S 882 of 3330
+r0000:=(-1/3)/(b*(a+b*x)^3)
+--R 
+--R
+--R                        1
+--R                        -
+--R                        3
+--R   (2)  - -----------------------------
+--R           4 3       3 2     2 2     3
+--R          b x  + 3a b x  + 3a b x + a b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 882
+
+--S 883 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                         1
+--R   (3)  - -------------------------------
+--R            4 3       3 2     2 2      3
+--R          3b x  + 9a b x  + 9a b x + 3a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 883
+
+--S 884 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 884
+
+--S 885 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 885
+
+)clear all
+
+--S 886 of 3330
+t0000:=1/(x*(a+b*x)^4)
+--R 
+--R
+--R                            1
+--R   (1)  ----------------------------------------
+--R         4 5       3 4     2 2 3     3   2    4
+--R        b x  + 4a b x  + 6a b x  + 4a b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 886
+
+--S 887 of 3330
+r0000:=1/3/(a*(a+b*x)^3)+1/2/(a^2*(a+b*x)^2)+1/(a^3*(a+b*x))+log(x)/a^4-_
+     log(a+b*x)/a^4
+--R 
+--R
+--R   (2)
+--R            3 3        2 2      2        3
+--R       (- 6b x  - 18a b x  - 18a b x - 6a )log(b x + a)
+--R     + 
+--R          3 3        2 2      2        3              2 2      2         3
+--R       (6b x  + 18a b x  + 18a b x + 6a )log(x) + 6a b x  + 15a b x + 11a
+--R  /
+--R       4 3 3      5 2 2      6        7
+--R     6a b x  + 18a b x  + 18a b x + 6a
+--R                                                    Type: Expression(Integer)
+--E 887
+
+--S 888 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R            3 3        2 2      2        3
+--R       (- 6b x  - 18a b x  - 18a b x - 6a )log(b x + a)
+--R     + 
+--R          3 3        2 2      2        3              2 2      2         3
+--R       (6b x  + 18a b x  + 18a b x + 6a )log(x) + 6a b x  + 15a b x + 11a
+--R  /
+--R       4 3 3      5 2 2      6        7
+--R     6a b x  + 18a b x  + 18a b x + 6a
+--R                                         Type: Union(Expression(Integer),...)
+--E 888
+
+--S 889 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 889
+
+--S 890 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 890
+
+)clear all
+
+--S 891 of 3330
+t0000:=1/(x^2*(a+b*x)^4)
+--R 
+--R
+--R                            1
+--R   (1)  -----------------------------------------
+--R         4 6       3 5     2 2 4     3   3    4 2
+--R        b x  + 4a b x  + 6a b x  + 4a b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 891
+
+--S 892 of 3330
+r0000:=(-1)/(a^4*x)-1/3*b/(a^2*(a+b*x)^3)-b/(a^3*(a+b*x)^2)-_
+     3*b/(a^4*(a+b*x))-4*b*log(x)/a^5+4*b*log(a+b*x)/a^5
+--R 
+--R
+--R   (2)
+--R           4 4        3 3      2 2 2      3
+--R       (12b x  + 36a b x  + 36a b x  + 12a b x)log(b x + a)
+--R     + 
+--R             4 4        3 3      2 2 2      3                  3 3      2 2 2
+--R       (- 12b x  - 36a b x  - 36a b x  - 12a b x)log(x) - 12a b x  - 30a b x
+--R     + 
+--R            3        4
+--R       - 22a b x - 3a
+--R  /
+--R       5 3 4     6 2 3     7   2     8
+--R     3a b x  + 9a b x  + 9a b x  + 3a x
+--R                                                    Type: Expression(Integer)
+--E 892
+
+--S 893 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R           4 4        3 3      2 2 2      3
+--R       (12b x  + 36a b x  + 36a b x  + 12a b x)log(b x + a)
+--R     + 
+--R             4 4        3 3      2 2 2      3                  3 3      2 2 2
+--R       (- 12b x  - 36a b x  - 36a b x  - 12a b x)log(x) - 12a b x  - 30a b x
+--R     + 
+--R            3        4
+--R       - 22a b x - 3a
+--R  /
+--R       5 3 4     6 2 3     7   2     8
+--R     3a b x  + 9a b x  + 9a b x  + 3a x
+--R                                         Type: Union(Expression(Integer),...)
+--E 893
+
+--S 894 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 894
+
+--S 895 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 895
+
+)clear all
+
+--S 896 of 3330
+t0000:=1/(x^3*(a+b*x)^4)
+--R 
+--R
+--R                            1
+--R   (1)  -----------------------------------------
+--R         4 7       3 6     2 2 5     3   4    4 3
+--R        b x  + 4a b x  + 6a b x  + 4a b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 896
+
+--S 897 of 3330
+r0000:=(-1/2)/(a^4*x^2)+4*b/(a^5*x)+1/3*b^2/(a^3*(a+b*x)^3)+_
+     3/2*b^2/(a^4*(a+b*x)^2)+6*b^2/(a^5*(a+b*x))+_
+     10*b^2*log(x)/a^6-10*b^2*log(a+b*x)/a^6
+--R 
+--R
+--R   (2)
+--R             5 5         4 4       2 3 3      3 2 2
+--R       (- 60b x  - 180a b x  - 180a b x  - 60a b x )log(b x + a)
+--R     + 
+--R           5 5         4 4       2 3 3      3 2 2               4 4       2 3 3
+--R       (60b x  + 180a b x  + 180a b x  + 60a b x )log(x) + 60a b x  + 150a b x
+--R     + 
+--R           3 2 2      4        5
+--R       110a b x  + 15a b x - 3a
+--R  /
+--R       6 3 5      7 2 4      8   3     9 2
+--R     6a b x  + 18a b x  + 18a b x  + 6a x
+--R                                                    Type: Expression(Integer)
+--E 897
+
+--S 898 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R             5 5         4 4       2 3 3      3 2 2
+--R       (- 60b x  - 180a b x  - 180a b x  - 60a b x )log(b x + a)
+--R     + 
+--R           5 5         4 4       2 3 3      3 2 2               4 4       2 3 3
+--R       (60b x  + 180a b x  + 180a b x  + 60a b x )log(x) + 60a b x  + 150a b x
+--R     + 
+--R           3 2 2      4        5
+--R       110a b x  + 15a b x - 3a
+--R  /
+--R       6 3 5      7 2 4      8   3     9 2
+--R     6a b x  + 18a b x  + 18a b x  + 6a x
+--R                                         Type: Union(Expression(Integer),...)
+--E 898
+
+--S 899 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 899
+
+--S 900 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 900
+
+)clear all
+
+--S 901 of 3330
+t0000:=1/(x^4*(a+b*x)^4)
+--R 
+--R
+--R                            1
+--R   (1)  -----------------------------------------
+--R         4 8       3 7     2 2 6     3   5    4 4
+--R        b x  + 4a b x  + 6a b x  + 4a b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 901
+
+--S 902 of 3330
+r0000:=(-1/3)/(a^4*x^3)+2*b/(a^5*x^2)-10*b^2/(a^6*x)-_
+     1/3*b^3/(a^4*(a+b*x)^3)-2*b^3/(a^5*(a+b*x)^2)-_
+     10*b^3/(a^6*(a+b*x))-20*b^3*log(x)/a^7+20*b^3*log(a+b*x)/a^7
+--R 
+--R
+--R   (2)
+--R           6 6         5 5       2 4 4      3 3 3
+--R       (60b x  + 180a b x  + 180a b x  + 60a b x )log(b x + a)
+--R     + 
+--R             6 6         5 5       2 4 4      3 3 3               5 5
+--R       (- 60b x  - 180a b x  - 180a b x  - 60a b x )log(x) - 60a b x
+--R     + 
+--R             2 4 4       3 3 3      4 2 2     5       6
+--R       - 150a b x  - 110a b x  - 15a b x  + 3a b x - a
+--R  /
+--R       7 3 6     8 2 5     9   4     10 3
+--R     3a b x  + 9a b x  + 9a b x  + 3a  x
+--R                                                    Type: Expression(Integer)
+--E 902
+
+--S 903 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R           6 6         5 5       2 4 4      3 3 3
+--R       (60b x  + 180a b x  + 180a b x  + 60a b x )log(b x + a)
+--R     + 
+--R             6 6         5 5       2 4 4      3 3 3               5 5
+--R       (- 60b x  - 180a b x  - 180a b x  - 60a b x )log(x) - 60a b x
+--R     + 
+--R             2 4 4       3 3 3      4 2 2     5       6
+--R       - 150a b x  - 110a b x  - 15a b x  + 3a b x - a
+--R  /
+--R       7 3 6     8 2 5     9   4     10 3
+--R     3a b x  + 9a b x  + 9a b x  + 3a  x
+--R                                         Type: Union(Expression(Integer),...)
+--E 903
+
+--S 904 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 904
+
+--S 905 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 905
+
+)clear all
+
+--S 906 of 3330
+t0000:=1/(x^5*(a+b*x)^4)
+--R 
+--R
+--R                            1
+--R   (1)  -----------------------------------------
+--R         4 9       3 8     2 2 7     3   6    4 5
+--R        b x  + 4a b x  + 6a b x  + 4a b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 906
+
+--S 907 of 3330
+r0000:=(-1/4)/(a^4*x^4)+4/3*b/(a^5*x^3)-5*b^2/(a^6*x^2)+20*b^3/(a^7*x)+_
+     1/3*b^4/(a^5*(a+b*x)^3)+5/2*b^4/(a^6*(a+b*x)^2)+15*b^4/(a^7*(a+b*x))+_
+     35*b^4*log(x)/a^8-35*b^4*log(a+b*x)/a^8
+--R 
+--R
+--R   (2)
+--R              7 7          6 6        2 5 5       3 4 4
+--R       (- 420b x  - 1260a b x  - 1260a b x  - 420a b x )log(b x + a)
+--R     + 
+--R            7 7          6 6        2 5 5       3 4 4                6 6
+--R       (420b x  + 1260a b x  + 1260a b x  + 420a b x )log(x) + 420a b x
+--R     + 
+--R            2 5 5       3 4 4       4 3 3      5 2 2     6        7
+--R       1050a b x  + 770a b x  + 105a b x  - 21a b x  + 7a b x - 3a
+--R  /
+--R        8 3 7      9 2 6      10   5      11 4
+--R     12a b x  + 36a b x  + 36a  b x  + 12a  x
+--R                                                    Type: Expression(Integer)
+--E 907
+
+--S 908 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R              7 7          6 6        2 5 5       3 4 4
+--R       (- 420b x  - 1260a b x  - 1260a b x  - 420a b x )log(b x + a)
+--R     + 
+--R            7 7          6 6        2 5 5       3 4 4                6 6
+--R       (420b x  + 1260a b x  + 1260a b x  + 420a b x )log(x) + 420a b x
+--R     + 
+--R            2 5 5       3 4 4       4 3 3      5 2 2     6        7
+--R       1050a b x  + 770a b x  + 105a b x  - 21a b x  + 7a b x - 3a
+--R  /
+--R        8 3 7      9 2 6      10   5      11 4
+--R     12a b x  + 36a b x  + 36a  b x  + 12a  x
+--R                                         Type: Union(Expression(Integer),...)
+--E 908
+
+--S 909 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 909
+
+--S 910 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 910
+
+)clear all
+
+--S 911 of 3330
+t0000:=x^10/(a+b*x)^7
+--R 
+--R
+--R   (1)
+--R                                       10
+--R                                      x
+--R   ------------------------------------------------------------------------
+--R    7 7       6 6      2 5 5      3 4 4      4 3 3      5 2 2     6       7
+--R   b x  + 7a b x  + 21a b x  + 35a b x  + 35a b x  + 21a b x  + 7a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 911
+
+--S 912 of 3330
+r0000:=-84*a^3*x/b^10+14*a^2*x^2/b^9-7/3*a*x^3/b^8+1/4*x^4/b^7-_
+     1/6*a^10/(b^11*(a+b*x)^6)+2*a^9/(b^11*(a+b*x)^5)-_
+     45/4*a^8/(b^11*(a+b*x)^4)+40*a^7/(b^11*(a+b*x)^3)-_
+     105*a^6/(b^11*(a+b*x)^2)+252*a^5/(b^11*(a+b*x))+210*a^4*log(a+b*x)/b^11
+--R 
+--R
+--R   (2)
+--R                4 6 6         5 5 5         6 4 4         7 3 3         8 2 2
+--R           2520a b x  + 15120a b x  + 37800a b x  + 50400a b x  + 37800a b x
+--R         + 
+--R                 9           10
+--R           15120a b x + 2520a
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         10 10        9 9      2 8 8       3 7 7        4 6 6        5 5 5
+--R       3b  x   - 10a b x  + 45a b x  - 360a b x  - 4043a b x  - 9138a b x
+--R     + 
+--R              6 4 4         7 3 3         8 2 2         9           10
+--R       - 3945a b x  + 11540a b x  + 18105a b x  + 10266a b x + 2131a
+--R  /
+--R          17 6        16 5       2 15 4       3 14 3       4 13 2      5 12
+--R       12b  x  + 72a b  x  + 180a b  x  + 240a b  x  + 180a b  x  + 72a b  x
+--R     + 
+--R          6 11
+--R       12a b
+--R                                                    Type: Expression(Integer)
+--E 912
+
+--S 913 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                4 6 6         5 5 5         6 4 4         7 3 3         8 2 2
+--R           2520a b x  + 15120a b x  + 37800a b x  + 50400a b x  + 37800a b x
+--R         + 
+--R                 9           10
+--R           15120a b x + 2520a
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         10 10        9 9      2 8 8       3 7 7        4 6 6        5 5 5
+--R       3b  x   - 10a b x  + 45a b x  - 360a b x  - 4043a b x  - 9138a b x
+--R     + 
+--R              6 4 4         7 3 3         8 2 2         9           10
+--R       - 3945a b x  + 11540a b x  + 18105a b x  + 10266a b x + 2131a
+--R  /
+--R          17 6        16 5       2 15 4       3 14 3       4 13 2      5 12
+--R       12b  x  + 72a b  x  + 180a b  x  + 240a b  x  + 180a b  x  + 72a b  x
+--R     + 
+--R          6 11
+--R       12a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 913
+
+--S 914 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 914
+
+--S 915 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 915
+
+)clear all
+
+--S 916 of 3330
+t0000:=x^9/(a+b*x)^7
+--R 
+--R
+--R   (1)
+--R                                       9
+--R                                      x
+--R   ------------------------------------------------------------------------
+--R    7 7       6 6      2 5 5      3 4 4      4 3 3      5 2 2     6       7
+--R   b x  + 7a b x  + 21a b x  + 35a b x  + 35a b x  + 21a b x  + 7a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 916
+
+--S 917 of 3330
+r0000:=28*a^2*x/b^9-7/2*a*x^2/b^8+1/3*x^3/b^7+1/6*a^9/(b^10*(a+b*x)^6)-_
+     9/5*a^8/(b^10*(a+b*x)^5)+9*a^7/(b^10*(a+b*x)^4)-_
+     28*a^6/(b^10*(a+b*x)^3)+63*a^5/(b^10*(a+b*x)^2)-_
+     126*a^4/(b^10*(a+b*x))-84*a^3*log(a+b*x)/b^10
+--R 
+--R
+--R   (2)
+--R                  3 6 6         4 5 5         5 4 4         6 3 3         7 2 2
+--R           - 2520a b x  - 15120a b x  - 37800a b x  - 50400a b x  - 37800a b x
+--R         + 
+--R                   8           9
+--R           - 15120a b x - 2520a
+--R      *
+--R         log(b x + a)
+--R     + 
+--R          9 9        8 8       2 7 7        3 6 6        4 5 5        5 4 4
+--R       10b x  - 45a b x  + 360a b x  + 3665a b x  + 6870a b x  - 1725a b x
+--R     + 
+--R               6 3 3         7 2 2         8           9
+--R       - 19100a b x  - 23775a b x  - 12534a b x - 2509a
+--R  /
+--R          16 6         15 5       2 14 4       3 13 3       4 12 2       5 11
+--R       30b  x  + 180a b  x  + 450a b  x  + 600a b  x  + 450a b  x  + 180a b  x
+--R     + 
+--R          6 10
+--R       30a b
+--R                                                    Type: Expression(Integer)
+--E 917
+
+--S 918 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                  3 6 6         4 5 5         5 4 4         6 3 3         7 2 2
+--R           - 2520a b x  - 15120a b x  - 37800a b x  - 50400a b x  - 37800a b x
+--R         + 
+--R                   8           9
+--R           - 15120a b x - 2520a
+--R      *
+--R         log(b x + a)
+--R     + 
+--R          9 9        8 8       2 7 7        3 6 6        4 5 5        5 4 4
+--R       10b x  - 45a b x  + 360a b x  + 3665a b x  + 6870a b x  - 1725a b x
+--R     + 
+--R               6 3 3         7 2 2         8           9
+--R       - 19100a b x  - 23775a b x  - 12534a b x - 2509a
+--R  /
+--R          16 6         15 5       2 14 4       3 13 3       4 12 2       5 11
+--R       30b  x  + 180a b  x  + 450a b  x  + 600a b  x  + 450a b  x  + 180a b  x
+--R     + 
+--R          6 10
+--R       30a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 918
+
+--S 919 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 919
+
+--S 920 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 920
+
+)clear all
+
+--S 921 of 3330
+t0000:=x^8/(a+b*x)^7
+--R 
+--R
+--R   (1)
+--R                                       8
+--R                                      x
+--R   ------------------------------------------------------------------------
+--R    7 7       6 6      2 5 5      3 4 4      4 3 3      5 2 2     6       7
+--R   b x  + 7a b x  + 21a b x  + 35a b x  + 35a b x  + 21a b x  + 7a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 921
+
+--S 922 of 3330
+r0000:=-7*a*x/b^8+1/2*x^2/b^7-1/6*a^8/(b^9*(a+b*x)^6)+_
+     8/5*a^7/(b^9*(a+b*x)^5)-7*a^6/(b^9*(a+b*x)^4)+_
+     56/3*a^5/(b^9*(a+b*x)^3)-35*a^4/(b^9*(a+b*x)^2)+_
+     56*a^3/(b^9*(a+b*x))+28*a^2*log(a+b*x)/b^9
+--R 
+--R
+--R   (2)
+--R               2 6 6        3 5 5         4 4 4         5 3 3         6 2 2
+--R           840a b x  + 5040a b x  + 12600a b x  + 16800a b x  + 12600a b x
+--R         + 
+--R                7          8
+--R           5040a b x + 840a
+--R      *
+--R         log(b x + a)
+--R     + 
+--R          8 8         7 7        2 6 6        3 5 5        4 4 4         5 3 3
+--R       15b x  - 120a b x  - 1035a b x  - 1170a b x  + 3375a b x  + 10100a b x
+--R     + 
+--R             6 2 2        7           8
+--R       10725a b x  + 5298a b x + 1023a
+--R  /
+--R          15 6         14 5       2 13 4       3 12 3       4 11 2       5 10
+--R       30b  x  + 180a b  x  + 450a b  x  + 600a b  x  + 450a b  x  + 180a b  x
+--R     + 
+--R          6 9
+--R       30a b
+--R                                                    Type: Expression(Integer)
+--E 922
+
+--S 923 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R               2 6 6        3 5 5         4 4 4         5 3 3         6 2 2
+--R           840a b x  + 5040a b x  + 12600a b x  + 16800a b x  + 12600a b x
+--R         + 
+--R                7          8
+--R           5040a b x + 840a
+--R      *
+--R         log(b x + a)
+--R     + 
+--R          8 8         7 7        2 6 6        3 5 5        4 4 4         5 3 3
+--R       15b x  - 120a b x  - 1035a b x  - 1170a b x  + 3375a b x  + 10100a b x
+--R     + 
+--R             6 2 2        7           8
+--R       10725a b x  + 5298a b x + 1023a
+--R  /
+--R          15 6         14 5       2 13 4       3 12 3       4 11 2       5 10
+--R       30b  x  + 180a b  x  + 450a b  x  + 600a b  x  + 450a b  x  + 180a b  x
+--R     + 
+--R          6 9
+--R       30a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 923
+
+--S 924 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 924
+
+--S 925 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 925
+
+)clear all
+
+--S 926 of 3330
+t0000:=x^7/(a+b*x)^7
+--R 
+--R
+--R   (1)
+--R                                       7
+--R                                      x
+--R   ------------------------------------------------------------------------
+--R    7 7       6 6      2 5 5      3 4 4      4 3 3      5 2 2     6       7
+--R   b x  + 7a b x  + 21a b x  + 35a b x  + 35a b x  + 21a b x  + 7a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 926
+
+--S 927 of 3330
+r0000:=x/b^7+1/6*a^7/(b^8*(a+b*x)^6)-7/5*a^6/(b^8*(a+b*x)^5)+_
+     21/4*a^5/(b^8*(a+b*x)^4)-35/3*a^4/(b^8*(a+b*x)^3)+_
+     35/2*a^3/(b^8*(a+b*x)^2)-21*a^2/(b^8*(a+b*x))-7*a*log(a+b*x)/b^8
+--R 
+--R
+--R   (2)
+--R                   6 6        2 5 5        3 4 4        4 3 3        5 2 2
+--R           - 420a b x  - 2520a b x  - 6300a b x  - 8400a b x  - 6300a b x
+--R         + 
+--R                  6          7
+--R           - 2520a b x - 420a
+--R      *
+--R         log(b x + a)
+--R     + 
+--R          7 7         6 6       2 5 5        3 4 4        4 3 3        5 2 2
+--R       60b x  + 360a b x  - 360a b x  - 4050a b x  - 8200a b x  - 7725a b x
+--R     + 
+--R              6          7
+--R       - 3594a b x - 669a
+--R  /
+--R          14 6         13 5       2 12 4        3 11 3       4 10 2       5 9
+--R       60b  x  + 360a b  x  + 900a b  x  + 1200a b  x  + 900a b  x  + 360a b x
+--R     + 
+--R          6 8
+--R       60a b
+--R                                                    Type: Expression(Integer)
+--E 927
+
+--S 928 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                   6 6        2 5 5        3 4 4        4 3 3        5 2 2
+--R           - 420a b x  - 2520a b x  - 6300a b x  - 8400a b x  - 6300a b x
+--R         + 
+--R                  6          7
+--R           - 2520a b x - 420a
+--R      *
+--R         log(b x + a)
+--R     + 
+--R          7 7         6 6       2 5 5        3 4 4        4 3 3        5 2 2
+--R       60b x  + 360a b x  - 360a b x  - 4050a b x  - 8200a b x  - 7725a b x
+--R     + 
+--R              6          7
+--R       - 3594a b x - 669a
+--R  /
+--R          14 6         13 5       2 12 4        3 11 3       4 10 2       5 9
+--R       60b  x  + 360a b  x  + 900a b  x  + 1200a b  x  + 900a b  x  + 360a b x
+--R     + 
+--R          6 8
+--R       60a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 928
+
+--S 929 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 929
+
+--S 930 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 930
+
+)clear all
+
+--S 931 of 3330
+t0000:=x^6/(a+b*x)^7
+--R 
+--R
+--R   (1)
+--R                                       6
+--R                                      x
+--R   ------------------------------------------------------------------------
+--R    7 7       6 6      2 5 5      3 4 4      4 3 3      5 2 2     6       7
+--R   b x  + 7a b x  + 21a b x  + 35a b x  + 35a b x  + 21a b x  + 7a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 931
+
+--S 932 of 3330
+r0000:=-1/6*a^6/(b^7*(a+b*x)^6)+6/5*a^5/(b^7*(a+b*x)^5)-_
+     15/4*a^4/(b^7*(a+b*x)^4)+20/3*a^3/(b^7*(a+b*x)^3)-_
+     15/2*a^2/(b^7*(a+b*x)^2)+6*a/(b^7*(a+b*x))+log(a+b*x)/b^7
+--R 
+--R
+--R   (2)
+--R              6 6         5 5       2 4 4        3 3 3       4 2 2       5
+--R           60b x  + 360a b x  + 900a b x  + 1200a b x  + 900a b x  + 360a b x
+--R         + 
+--R              6
+--R           60a
+--R      *
+--R         log(b x + a)
+--R     + 
+--R             5 5        2 4 4        3 3 3        4 2 2       5          6
+--R       360a b x  + 1350a b x  + 2200a b x  + 1875a b x  + 822a b x + 147a
+--R  /
+--R          13 6         12 5       2 11 4        3 10 3       4 9 2       5 8
+--R       60b  x  + 360a b  x  + 900a b  x  + 1200a b  x  + 900a b x  + 360a b x
+--R     + 
+--R          6 7
+--R       60a b
+--R                                                    Type: Expression(Integer)
+--E 932
+
+--S 933 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R              6 6         5 5       2 4 4        3 3 3       4 2 2       5
+--R           60b x  + 360a b x  + 900a b x  + 1200a b x  + 900a b x  + 360a b x
+--R         + 
+--R              6
+--R           60a
+--R      *
+--R         log(b x + a)
+--R     + 
+--R             5 5        2 4 4        3 3 3        4 2 2       5          6
+--R       360a b x  + 1350a b x  + 2200a b x  + 1875a b x  + 822a b x + 147a
+--R  /
+--R          13 6         12 5       2 11 4        3 10 3       4 9 2       5 8
+--R       60b  x  + 360a b  x  + 900a b  x  + 1200a b  x  + 900a b x  + 360a b x
+--R     + 
+--R          6 7
+--R       60a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 933
+
+--S 934 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 934
+
+--S 935 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 935
+
+)clear all
+
+--S 936 of 3330
+t0000:=x^5/(a+b*x)^7
+--R 
+--R
+--R   (1)
+--R                                       5
+--R                                      x
+--R   ------------------------------------------------------------------------
+--R    7 7       6 6      2 5 5      3 4 4      4 3 3      5 2 2     6       7
+--R   b x  + 7a b x  + 21a b x  + 35a b x  + 35a b x  + 21a b x  + 7a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 936
+
+--S 937 of 3330
+r0000:=1/6*x^6/(a*(a+b*x)^6)
+--R 
+--R
+--R                                      1  6
+--R                                      - x
+--R                                      6
+--R   (2)  ---------------------------------------------------------------
+--R           6 6     2 5 5      3 4 4      4 3 3      5 2 2     6       7
+--R        a b x  + 6a b x  + 15a b x  + 20a b x  + 15a b x  + 6a b x + a
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 937
+
+--S 938 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                5 5        4 4      2 3 3      3 2 2     4       5
+--R            - 6b x  - 15a b x  - 20a b x  - 15a b x  - 6a b x - a
+--R   -----------------------------------------------------------------------
+--R     12 6        11 5      2 10 4       3 9 3      4 8 2      5 7      6 6
+--R   6b  x  + 36a b  x  + 90a b  x  + 120a b x  + 90a b x  + 36a b x + 6a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 938
+
+--S 939 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R            1
+--R   (4)  - -----
+--R              6
+--R          6a b
+--R                                                    Type: Expression(Integer)
+--E 939
+
+--S 940 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 940
+
+)clear all
+
+--S 941 of 3330
+t0000:=x^4/(a+b*x)^7
+--R 
+--R
+--R   (1)
+--R                                       4
+--R                                      x
+--R   ------------------------------------------------------------------------
+--R    7 7       6 6      2 5 5      3 4 4      4 3 3      5 2 2     6       7
+--R   b x  + 7a b x  + 21a b x  + 35a b x  + 35a b x  + 21a b x  + 7a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 941
+
+--S 942 of 3330
+r0000:=1/6*x^5/(a*(a+b*x)^6)+1/30*x^5/(a^2*(a+b*x)^5)
+--R 
+--R
+--R                                 1    6   1    5
+--R                                -- b x  + - a x
+--R                                30        5
+--R   (2)  ---------------------------------------------------------------
+--R         2 6 6     3 5 5      4 4 4      5 3 3      6 2 2     7       8
+--R        a b x  + 6a b x  + 15a b x  + 20a b x  + 15a b x  + 6a b x + a
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 942
+
+--S 943 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                        4 4        3 3      2 2 2     3       4
+--R                   - 15b x  - 20a b x  - 15a b x  - 6a b x - a
+--R   ----------------------------------------------------------------------------
+--R      11 6         10 5       2 9 4       3 8 3       4 7 2       5 6       6 5
+--R   30b  x  + 180a b  x  + 450a b x  + 600a b x  + 450a b x  + 180a b x + 30a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 943
+
+--S 944 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R             1
+--R   (4)  - ------
+--R             2 5
+--R          30a b
+--R                                                    Type: Expression(Integer)
+--E 944
+
+--S 945 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 945
+
+)clear all
+
+--S 946 of 3330
+t0000:=x^3/(a+b*x)^7
+--R 
+--R
+--R   (1)
+--R                                       3
+--R                                      x
+--R   ------------------------------------------------------------------------
+--R    7 7       6 6      2 5 5      3 4 4      4 3 3      5 2 2     6       7
+--R   b x  + 7a b x  + 21a b x  + 35a b x  + 35a b x  + 21a b x  + 7a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 946
+
+--S 947 of 3330
+r0000:=1/6*x^4/(a*(a+b*x)^6)+1/15*x^4/(a^2*(a+b*x)^5)+_
+     1/60*x^4/(a^3*(a+b*x)^4),1/6*a^3/(b^4*(a+b*x)^6)-_
+     3/5*a^2/(b^4*(a+b*x)^5)+3/4*a/(b^4*(a+b*x)^4)+(-1/3)/(b^4*(a+b*x)^3)
+--R 
+--R
+--R   (2)
+--R                       1  2 6    1      5   1  2 4
+--R                      -- b x  + -- a b x  + - a x
+--R                      60        10          4
+--R   [---------------------------------------------------------------,
+--R     3 6 6     4 5 5      5 4 4      6 3 3      7 2 2     8       9
+--R    a b x  + 6a b x  + 15a b x  + 20a b x  + 15a b x  + 6a b x + a
+--R                   1  3 3   1    2 2    1  2       1  3
+--R                 - - b x  - - a b x  - -- a b x - -- a
+--R                   3        4          10         60
+--R    ----------------------------------------------------------------]
+--R     10 6       9 5      2 8 4      3 7 3      4 6 2     5 5     6 4
+--R    b  x  + 6a b x  + 15a b x  + 20a b x  + 15a b x  + 6a b x + a b
+--R                         Type: Tuple(Fraction(Polynomial(Fraction(Integer))))
+--E 947
+
+--S 948 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                              3 3        2 2     2       3
+--R                         - 20b x  - 15a b x  - 6a b x - a
+--R   ----------------------------------------------------------------------------
+--R      10 6         9 5       2 8 4        3 7 3       4 6 2       5 5       6 4
+--R   60b  x  + 360a b x  + 900a b x  + 1200a b x  + 900a b x  + 360a b x + 60a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 948
+
+--S 949 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R             1
+--R   (4)  - ------
+--R             3 4
+--R          60a b
+--R                                                    Type: Expression(Integer)
+--E 949
+
+--S 950 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 950
+
+)clear all
+
+--S 951 of 3330
+t0000:=x^2/(a+b*x)^7
+--R 
+--R
+--R   (1)
+--R                                       2
+--R                                      x
+--R   ------------------------------------------------------------------------
+--R    7 7       6 6      2 5 5      3 4 4      4 3 3      5 2 2     6       7
+--R   b x  + 7a b x  + 21a b x  + 35a b x  + 35a b x  + 21a b x  + 7a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 951
+
+--S 952 of 3330
+r0000:=-1/6*a^2/(b^3*(a+b*x)^6)+2/5*a/(b^3*(a+b*x)^5)+(-1/4)/(b^3*(a+b*x)^4)
+--R 
+--R
+--R                            1  2 2    1          1  2
+--R                          - - b x  - -- a b x - -- a
+--R                            4        10         60
+--R   (2)  ---------------------------------------------------------------
+--R         9 6       8 5      2 7 4      3 6 3      4 5 2     5 4     6 3
+--R        b x  + 6a b x  + 15a b x  + 20a b x  + 15a b x  + 6a b x + a b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 952
+
+--S 953 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                                   2 2             2
+--R                              - 15b x  - 6a b x - a
+--R   ---------------------------------------------------------------------------
+--R      9 6         8 5       2 7 4        3 6 3       4 5 2       5 4       6 3
+--R   60b x  + 360a b x  + 900a b x  + 1200a b x  + 900a b x  + 360a b x + 60a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 953
+
+--S 954 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 954
+
+--S 955 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 955
+
+)clear all
+
+--S 956 of 3330
+t0000:=x/(a+b*x)^7
+--R 
+--R
+--R   (1)
+--R                                       x
+--R   ------------------------------------------------------------------------
+--R    7 7       6 6      2 5 5      3 4 4      4 3 3      5 2 2     6       7
+--R   b x  + 7a b x  + 21a b x  + 35a b x  + 35a b x  + 21a b x  + 7a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 956
+
+--S 957 of 3330
+r0000:=1/6*a/(b^2*(a+b*x)^6)+(-1/5)/(b^2*(a+b*x)^5)
+--R 
+--R
+--R                                   1        1
+--R                                 - - b x - -- a
+--R                                   5       30
+--R   (2)  ---------------------------------------------------------------
+--R         8 6       7 5      2 6 4      3 5 3      4 4 2     5 3     6 2
+--R        b x  + 6a b x  + 15a b x  + 20a b x  + 15a b x  + 6a b x + a b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 957
+
+--S 958 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                                   - 6b x - a
+--R   --------------------------------------------------------------------------
+--R      8 6         7 5       2 6 4       3 5 3       4 4 2       5 3       6 2
+--R   30b x  + 180a b x  + 450a b x  + 600a b x  + 450a b x  + 180a b x + 30a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 958
+
+--S 959 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 959
+
+--S 960 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 960
+
+)clear all
+
+--S 961 of 3330
+t0000:=1/(a+b*x)^7
+--R 
+--R
+--R   (1)
+--R                                       1
+--R   ------------------------------------------------------------------------
+--R    7 7       6 6      2 5 5      3 4 4      4 3 3      5 2 2     6       7
+--R   b x  + 7a b x  + 21a b x  + 35a b x  + 35a b x  + 21a b x  + 7a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 961
+
+--S 962 of 3330
+r0000:=(-1/6)/(b*(a+b*x)^6)
+--R 
+--R
+--R                                         1
+--R                                         -
+--R                                         6
+--R   (2)  - --------------------------------------------------------------
+--R           7 6       6 5      2 5 4      3 4 3      4 3 2     5 2     6
+--R          b x  + 6a b x  + 15a b x  + 20a b x  + 15a b x  + 6a b x + a b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 962
+
+--S 963 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                                           1
+--R   (3)  - -------------------------------------------------------------------
+--R            7 6        6 5      2 5 4       3 4 3      4 3 2      5 2      6
+--R          6b x  + 36a b x  + 90a b x  + 120a b x  + 90a b x  + 36a b x + 6a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 963
+
+--S 964 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 964
+
+--S 965 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 965
+
+)clear all
+
+--S 966 of 3330
+t0000:=1/(x*(a+b*x)^7)
+--R 
+--R
+--R   (1)
+--R                                        1
+--R   --------------------------------------------------------------------------
+--R    7 8       6 7      2 5 6      3 4 5      4 3 4      5 2 3     6   2    7
+--R   b x  + 7a b x  + 21a b x  + 35a b x  + 35a b x  + 21a b x  + 7a b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 966
+
+--S 967 of 3330
+r0000:=1/6/(a*(a+b*x)^6)+1/5/(a^2*(a+b*x)^5)+1/4/(a^3*(a+b*x)^4)+_
+     1/3/(a^4*(a+b*x)^3)+1/2/(a^5*(a+b*x)^2)+1/(a^6*(a+b*x))+_
+     log(x)/a^7-log(a+b*x)/a^7
+--R 
+--R
+--R   (2)
+--R                6 6         5 5       2 4 4        3 3 3       4 2 2       5
+--R           - 60b x  - 360a b x  - 900a b x  - 1200a b x  - 900a b x  - 360a b x
+--R         + 
+--R                6
+--R           - 60a
+--R      *
+--R         log(b x + a)
+--R     + 
+--R              6 6         5 5       2 4 4        3 3 3       4 2 2       5
+--R           60b x  + 360a b x  + 900a b x  + 1200a b x  + 900a b x  + 360a b x
+--R         + 
+--R              6
+--R           60a
+--R      *
+--R         log(x)
+--R     + 
+--R            5 5       2 4 4       3 3 3       4 2 2       5          6
+--R       60a b x  + 330a b x  + 740a b x  + 855a b x  + 522a b x + 147a
+--R  /
+--R          7 6 6       8 5 5       9 4 4        10 3 3       11 2 2       12
+--R       60a b x  + 360a b x  + 900a b x  + 1200a  b x  + 900a  b x  + 360a  b x
+--R     + 
+--R          13
+--R       60a
+--R                                                    Type: Expression(Integer)
+--E 967
+
+--S 968 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                6 6         5 5       2 4 4        3 3 3       4 2 2       5
+--R           - 60b x  - 360a b x  - 900a b x  - 1200a b x  - 900a b x  - 360a b x
+--R         + 
+--R                6
+--R           - 60a
+--R      *
+--R         log(b x + a)
+--R     + 
+--R              6 6         5 5       2 4 4        3 3 3       4 2 2       5
+--R           60b x  + 360a b x  + 900a b x  + 1200a b x  + 900a b x  + 360a b x
+--R         + 
+--R              6
+--R           60a
+--R      *
+--R         log(x)
+--R     + 
+--R            5 5       2 4 4       3 3 3       4 2 2       5          6
+--R       60a b x  + 330a b x  + 740a b x  + 855a b x  + 522a b x + 147a
+--R  /
+--R          7 6 6       8 5 5       9 4 4        10 3 3       11 2 2       12
+--R       60a b x  + 360a b x  + 900a b x  + 1200a  b x  + 900a  b x  + 360a  b x
+--R     + 
+--R          13
+--R       60a
+--R                                         Type: Union(Expression(Integer),...)
+--E 968
+
+--S 969 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 969
+
+--S 970 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 970
+
+)clear all
+
+--S 971 of 3330
+t0000:=1/(x^2*(a+b*x)^7)
+--R 
+--R
+--R   (1)
+--R                                        1
+--R   ---------------------------------------------------------------------------
+--R    7 9       6 8      2 5 7      3 4 6      4 3 5      5 2 4     6   3    7 2
+--R   b x  + 7a b x  + 21a b x  + 35a b x  + 35a b x  + 21a b x  + 7a b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 971
+
+--S 972 of 3330
+r0000:=(-1)/(a^7*x)-1/6*b/(a^2*(a+b*x)^6)-2/5*b/(a^3*(a+b*x)^5)-_
+     3/4*b/(a^4*(a+b*x)^4)-4/3*b/(a^5*(a+b*x)^3)-5/2*b/(a^6*(a+b*x)^2)-_
+     6*b/(a^7*(a+b*x))-7*b*log(x)/a^8+7*b*log(a+b*x)/a^8
+--R 
+--R
+--R   (2)
+--R               7 7          6 6        2 5 5        3 4 4        4 3 3
+--R           420b x  + 2520a b x  + 6300a b x  + 8400a b x  + 6300a b x
+--R         + 
+--R                5 2 2       6
+--R           2520a b x  + 420a b x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                 7 7          6 6        2 5 5        3 4 4        4 3 3
+--R           - 420b x  - 2520a b x  - 6300a b x  - 8400a b x  - 6300a b x
+--R         + 
+--R                  5 2 2       6
+--R           - 2520a b x  - 420a b x
+--R      *
+--R         log(x)
+--R     + 
+--R               6 6        2 5 5        3 4 4        4 3 3        5 2 2
+--R       - 420a b x  - 2310a b x  - 5180a b x  - 5985a b x  - 3654a b x
+--R     + 
+--R              6         7
+--R       - 1029a b x - 60a
+--R  /
+--R          8 6 7       9 5 6       10 4 5        11 3 4       12 2 3       13   2
+--R       60a b x  + 360a b x  + 900a  b x  + 1200a  b x  + 900a  b x  + 360a  b x
+--R     + 
+--R          14
+--R       60a  x
+--R                                                    Type: Expression(Integer)
+--E 972
+
+--S 973 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R               7 7          6 6        2 5 5        3 4 4        4 3 3
+--R           420b x  + 2520a b x  + 6300a b x  + 8400a b x  + 6300a b x
+--R         + 
+--R                5 2 2       6
+--R           2520a b x  + 420a b x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                 7 7          6 6        2 5 5        3 4 4        4 3 3
+--R           - 420b x  - 2520a b x  - 6300a b x  - 8400a b x  - 6300a b x
+--R         + 
+--R                  5 2 2       6
+--R           - 2520a b x  - 420a b x
+--R      *
+--R         log(x)
+--R     + 
+--R               6 6        2 5 5        3 4 4        4 3 3        5 2 2
+--R       - 420a b x  - 2310a b x  - 5180a b x  - 5985a b x  - 3654a b x
+--R     + 
+--R              6         7
+--R       - 1029a b x - 60a
+--R  /
+--R          8 6 7       9 5 6       10 4 5        11 3 4       12 2 3       13   2
+--R       60a b x  + 360a b x  + 900a  b x  + 1200a  b x  + 900a  b x  + 360a  b x
+--R     + 
+--R          14
+--R       60a  x
+--R                                         Type: Union(Expression(Integer),...)
+--E 973
+
+--S 974 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 974
+
+--S 975 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 975
+
+)clear all
+
+--S 976 of 3330
+t0000:=1/(x^3*(a+b*x)^7)
+--R 
+--R
+--R   (1)
+--R                                         1
+--R   ----------------------------------------------------------------------------
+--R    7 10       6 9      2 5 8      3 4 7      4 3 6      5 2 5     6   4    7 3
+--R   b x   + 7a b x  + 21a b x  + 35a b x  + 35a b x  + 21a b x  + 7a b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 976
+
+--S 977 of 3330
+r0000:=(-1/2)/(a^7*x^2)+7*b/(a^8*x)+1/6*b^2/(a^3*(a+b*x)^6)+_
+     3/5*b^2/(a^4*(a+b*x)^5)+3/2*b^2/(a^5*(a+b*x)^4)+_
+     10/3*b^2/(a^6*(a+b*x)^3)+15/2*b^2/(a^7*(a+b*x)^2)+_
+     21*b^2/(a^8*(a+b*x))+28*b^2*log(x)/a^9-28*b^2*log(a+b*x)/a^9
+--R 
+--R
+--R   (2)
+--R                 8 8          7 7         2 6 6         3 5 5         4 4 4
+--R           - 840b x  - 5040a b x  - 12600a b x  - 16800a b x  - 12600a b x
+--R         + 
+--R                  5 3 3       6 2 2
+--R           - 5040a b x  - 840a b x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R               8 8          7 7         2 6 6         3 5 5         4 4 4
+--R           840b x  + 5040a b x  + 12600a b x  + 16800a b x  + 12600a b x
+--R         + 
+--R                5 3 3       6 2 2
+--R           5040a b x  + 840a b x
+--R      *
+--R         log(x)
+--R     + 
+--R             7 7        2 6 6         3 5 5         4 4 4        5 3 3
+--R       840a b x  + 4620a b x  + 10360a b x  + 11970a b x  + 7308a b x
+--R     + 
+--R            6 2 2       7         8
+--R       2058a b x  + 120a b x - 15a
+--R  /
+--R          9 6 8       10 5 7       11 4 6       12 3 5       13 2 4       14   3
+--R       30a b x  + 180a  b x  + 450a  b x  + 600a  b x  + 450a  b x  + 180a  b x
+--R     + 
+--R          15 2
+--R       30a  x
+--R                                                    Type: Expression(Integer)
+--E 977
+
+--S 978 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                 8 8          7 7         2 6 6         3 5 5         4 4 4
+--R           - 840b x  - 5040a b x  - 12600a b x  - 16800a b x  - 12600a b x
+--R         + 
+--R                  5 3 3       6 2 2
+--R           - 5040a b x  - 840a b x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R               8 8          7 7         2 6 6         3 5 5         4 4 4
+--R           840b x  + 5040a b x  + 12600a b x  + 16800a b x  + 12600a b x
+--R         + 
+--R                5 3 3       6 2 2
+--R           5040a b x  + 840a b x
+--R      *
+--R         log(x)
+--R     + 
+--R             7 7        2 6 6         3 5 5         4 4 4        5 3 3
+--R       840a b x  + 4620a b x  + 10360a b x  + 11970a b x  + 7308a b x
+--R     + 
+--R            6 2 2       7         8
+--R       2058a b x  + 120a b x - 15a
+--R  /
+--R          9 6 8       10 5 7       11 4 6       12 3 5       13 2 4       14   3
+--R       30a b x  + 180a  b x  + 450a  b x  + 600a  b x  + 450a  b x  + 180a  b x
+--R     + 
+--R          15 2
+--R       30a  x
+--R                                         Type: Union(Expression(Integer),...)
+--E 978
+
+--S 979 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 979
+
+--S 980 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 980
+
+)clear all
+
+--S 981 of 3330
+t0000:=1/(x^4*(a+b*x)^7)
+--R 
+--R
+--R   (1)
+--R                                         1
+--R   -----------------------------------------------------------------------------
+--R    7 11       6 10      2 5 9      3 4 8      4 3 7      5 2 6     6   5    7 4
+--R   b x   + 7a b x   + 21a b x  + 35a b x  + 35a b x  + 21a b x  + 7a b x  + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 981
+
+--S 982 of 3330
+r0000:=(-1/3)/(a^7*x^3)+7/2*b/(a^8*x^2)-28*b^2/(a^9*x)-_
+     1/6*b^3/(a^4*(a+b*x)^6)-4/5*b^3/(a^5*(a+b*x)^5)-_
+     5/2*b^3/(a^6*(a+b*x)^4)-20/3*b^3/(a^7*(a+b*x)^3)-_
+     35/2*b^3/(a^8*(a+b*x)^2)-56*b^3/(a^9*(a+b*x))-_
+     84*b^3*log(x)/a^10+84*b^3*log(a+b*x)/a^10
+--R 
+--R
+--R   (2)
+--R                9 9           8 8         2 7 7         3 6 6         4 5 5
+--R           2520b x  + 15120a b x  + 37800a b x  + 50400a b x  + 37800a b x
+--R         + 
+--R                 5 4 4        6 3 3
+--R           15120a b x  + 2520a b x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                  9 9           8 8         2 7 7         3 6 6         4 5 5
+--R           - 2520b x  - 15120a b x  - 37800a b x  - 50400a b x  - 37800a b x
+--R         + 
+--R                   5 4 4        6 3 3
+--R           - 15120a b x  - 2520a b x
+--R      *
+--R         log(x)
+--R     + 
+--R                8 8         2 7 7         3 6 6         4 5 5         5 4 4
+--R       - 2520a b x  - 13860a b x  - 31080a b x  - 35910a b x  - 21924a b x
+--R     + 
+--R              6 3 3       7 2 2      8         9
+--R       - 6174a b x  - 360a b x  + 45a b x - 10a
+--R  /
+--R          10 6 9       11 5 8       12 4 7       13 3 6       14 2 5
+--R       30a  b x  + 180a  b x  + 450a  b x  + 600a  b x  + 450a  b x
+--R     + 
+--R           15   4      16 3
+--R       180a  b x  + 30a  x
+--R                                                    Type: Expression(Integer)
+--E 982
+
+--S 983 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                9 9           8 8         2 7 7         3 6 6         4 5 5
+--R           2520b x  + 15120a b x  + 37800a b x  + 50400a b x  + 37800a b x
+--R         + 
+--R                 5 4 4        6 3 3
+--R           15120a b x  + 2520a b x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                  9 9           8 8         2 7 7         3 6 6         4 5 5
+--R           - 2520b x  - 15120a b x  - 37800a b x  - 50400a b x  - 37800a b x
+--R         + 
+--R                   5 4 4        6 3 3
+--R           - 15120a b x  - 2520a b x
+--R      *
+--R         log(x)
+--R     + 
+--R                8 8         2 7 7         3 6 6         4 5 5         5 4 4
+--R       - 2520a b x  - 13860a b x  - 31080a b x  - 35910a b x  - 21924a b x
+--R     + 
+--R              6 3 3       7 2 2      8         9
+--R       - 6174a b x  - 360a b x  + 45a b x - 10a
+--R  /
+--R          10 6 9       11 5 8       12 4 7       13 3 6       14 2 5
+--R       30a  b x  + 180a  b x  + 450a  b x  + 600a  b x  + 450a  b x
+--R     + 
+--R           15   4      16 3
+--R       180a  b x  + 30a  x
+--R                                         Type: Union(Expression(Integer),...)
+--E 983
+
+--S 984 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 984
+
+--S 985 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 985
+
+)clear all
+
+--S 986 of 3330
+t0000:=x^12/(a+b*x)^10
+--R 
+--R
+--R   (1)
+--R      12
+--R     x
+--R  /
+--R        10 10        9 9      2 8 8       3 7 7       4 6 6       5 5 5
+--R       b  x   + 10a b x  + 45a b x  + 120a b x  + 210a b x  + 252a b x
+--R     + 
+--R           6 4 4       7 3 3      8 2 2      9       10
+--R       210a b x  + 120a b x  + 45a b x  + 10a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 986
+
+--S 987 of 3330
+r0000:=55*a^2*x/b^12-5*a*x^2/b^11+1/3*x^3/b^10-1/9*a^12/(b^13*(a+b*x)^9)+_
+     3/2*a^11/(b^13*(a+b*x)^8)-66/7*a^10/(b^13*(a+b*x)^7)+_
+     110/3*a^9/(b^13*(a+b*x)^6)-99*a^8/(b^13*(a+b*x)^5)+_
+     198*a^7/(b^13*(a+b*x)^4)-308*a^6/(b^13*(a+b*x)^3)+_
+     396*a^5/(b^13*(a+b*x)^2)-495*a^4/(b^13*(a+b*x))-220*a^3*log(a+b*x)/b^13
+--R 
+--R
+--R   (2)
+--R                   3 9 9          4 8 8          5 7 7           6 6 6
+--R           - 27720a b x  - 249480a b x  - 997920a b x  - 2328480a b x
+--R         + 
+--R                     7 5 5           8 4 4           9 3 3          10 2 2
+--R           - 3492720a b x  - 3492720a b x  - 2328480a b x  - 997920a  b x
+--R         + 
+--R                    11            12
+--R           - 249480a  b x - 27720a
+--R      *
+--R         log(b x + a)
+--R     + 
+--R          12 12         11 11        2 10 10         3 9 9          4 8 8
+--R       42b  x   - 252a b  x   + 2772a b  x   + 43218a b x  + 139482a b x
+--R     + 
+--R             5 7 7          6 6 6           7 5 5           8 4 4
+--R       58968a b x  - 638568a b x  - 1831032a b x  - 2529576a b x
+--R     + 
+--R                 9 3 3           10 2 2          11            12
+--R       - 2074464a b x  - 1031616a  b x  - 289089a  b x - 35201a
+--R  /
+--R           22 9          21 8        2 20 7         3 19 6         4 18 5
+--R       126b  x  + 1134a b  x  + 4536a b  x  + 10584a b  x  + 15876a b  x
+--R     + 
+--R             5 17 4         6 16 3        7 15 2        8 14        9 13
+--R       15876a b  x  + 10584a b  x  + 4536a b  x  + 1134a b  x + 126a b
+--R                                                    Type: Expression(Integer)
+--E 987
+
+--S 988 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                   3 9 9          4 8 8          5 7 7           6 6 6
+--R           - 27720a b x  - 249480a b x  - 997920a b x  - 2328480a b x
+--R         + 
+--R                     7 5 5           8 4 4           9 3 3          10 2 2
+--R           - 3492720a b x  - 3492720a b x  - 2328480a b x  - 997920a  b x
+--R         + 
+--R                    11            12
+--R           - 249480a  b x - 27720a
+--R      *
+--R         log(b x + a)
+--R     + 
+--R          12 12         11 11        2 10 10         3 9 9          4 8 8
+--R       42b  x   - 252a b  x   + 2772a b  x   + 43218a b x  + 139482a b x
+--R     + 
+--R             5 7 7          6 6 6           7 5 5           8 4 4
+--R       58968a b x  - 638568a b x  - 1831032a b x  - 2529576a b x
+--R     + 
+--R                 9 3 3           10 2 2          11            12
+--R       - 2074464a b x  - 1031616a  b x  - 289089a  b x - 35201a
+--R  /
+--R           22 9          21 8        2 20 7         3 19 6         4 18 5
+--R       126b  x  + 1134a b  x  + 4536a b  x  + 10584a b  x  + 15876a b  x
+--R     + 
+--R             5 17 4         6 16 3        7 15 2        8 14        9 13
+--R       15876a b  x  + 10584a b  x  + 4536a b  x  + 1134a b  x + 126a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 988
+
+--S 989 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 989
+
+--S 990 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 990
+
+)clear all
+
+--S 991 of 3330
+t0000:=x^11/(a+b*x)^10
+--R 
+--R
+--R   (1)
+--R      11
+--R     x
+--R  /
+--R        10 10        9 9      2 8 8       3 7 7       4 6 6       5 5 5
+--R       b  x   + 10a b x  + 45a b x  + 120a b x  + 210a b x  + 252a b x
+--R     + 
+--R           6 4 4       7 3 3      8 2 2      9       10
+--R       210a b x  + 120a b x  + 45a b x  + 10a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 991
+
+--S 992 of 3330
+r0000:=-10*a*x/b^11+1/2*x^2/b^10+1/9*a^11/(b^12*(a+b*x)^9)-_
+     11/8*a^10/(b^12*(a+b*x)^8)+55/7*a^9/(b^12*(a+b*x)^7)-_
+     55/2*a^8/(b^12*(a+b*x)^6)+66*a^7/(b^12*(a+b*x)^5)-_
+     231/2*a^6/(b^12*(a+b*x)^4)+154*a^5/(b^12*(a+b*x)^3)-_
+     165*a^4/(b^12*(a+b*x)^2)+165*a^3/(b^12*(a+b*x))+55*a^2*log(a+b*x)/b^12
+--R 
+--R
+--R   (2)
+--R                 2 9 9          3 8 8          4 7 7           5 6 6
+--R           27720a b x  + 249480a b x  + 997920a b x  + 2328480a b x
+--R         + 
+--R                   6 5 5           7 4 4           8 3 3          9 2 2
+--R           3492720a b x  + 3492720a b x  + 2328480a b x  + 997920a b x
+--R         + 
+--R                  10            11
+--R           249480a  b x + 27720a
+--R      *
+--R         log(b x + a)
+--R     + 
+--R           11 11          10 10         2 9 9         3 8 8          4 7 7
+--R       252b  x   - 2772a b  x   - 36288a b x  - 77112a b x  + 190512a b x
+--R     + 
+--R               5 6 6           6 5 5           7 4 4           8 3 3
+--R       1220688a b x  + 2704212a b x  + 3402756a b x  + 2656584a b x
+--R     + 
+--R               9 2 2          10            11
+--R       1281096a b x  + 351459a  b x + 42131a
+--R  /
+--R           21 9          20 8         2 19 7         3 18 6         4 17 5
+--R       504b  x  + 4536a b  x  + 18144a b  x  + 42336a b  x  + 63504a b  x
+--R     + 
+--R             5 16 4         6 15 3         7 14 2        8 13        9 12
+--R       63504a b  x  + 42336a b  x  + 18144a b  x  + 4536a b  x + 504a b
+--R                                                    Type: Expression(Integer)
+--E 992
+
+--S 993 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                 2 9 9          3 8 8          4 7 7           5 6 6
+--R           27720a b x  + 249480a b x  + 997920a b x  + 2328480a b x
+--R         + 
+--R                   6 5 5           7 4 4           8 3 3          9 2 2
+--R           3492720a b x  + 3492720a b x  + 2328480a b x  + 997920a b x
+--R         + 
+--R                  10            11
+--R           249480a  b x + 27720a
+--R      *
+--R         log(b x + a)
+--R     + 
+--R           11 11          10 10         2 9 9         3 8 8          4 7 7
+--R       252b  x   - 2772a b  x   - 36288a b x  - 77112a b x  + 190512a b x
+--R     + 
+--R               5 6 6           6 5 5           7 4 4           8 3 3
+--R       1220688a b x  + 2704212a b x  + 3402756a b x  + 2656584a b x
+--R     + 
+--R               9 2 2          10            11
+--R       1281096a b x  + 351459a  b x + 42131a
+--R  /
+--R           21 9          20 8         2 19 7         3 18 6         4 17 5
+--R       504b  x  + 4536a b  x  + 18144a b  x  + 42336a b  x  + 63504a b  x
+--R     + 
+--R             5 16 4         6 15 3         7 14 2        8 13        9 12
+--R       63504a b  x  + 42336a b  x  + 18144a b  x  + 4536a b  x + 504a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 993
+
+--S 994 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 994
+
+--S 995 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 995
+
+)clear all
+
+--S 996 of 3330
+t0000:=x^10/(a+b*x)^10
+--R 
+--R
+--R   (1)
+--R      10
+--R     x
+--R  /
+--R        10 10        9 9      2 8 8       3 7 7       4 6 6       5 5 5
+--R       b  x   + 10a b x  + 45a b x  + 120a b x  + 210a b x  + 252a b x
+--R     + 
+--R           6 4 4       7 3 3      8 2 2      9       10
+--R       210a b x  + 120a b x  + 45a b x  + 10a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 996
+
+--S 997 of 3330
+r0000:=x/b^10-1/9*a^10/(b^11*(a+b*x)^9)+5/4*a^9/(b^11*(a+b*x)^8)-_
+     45/7*a^8/(b^11*(a+b*x)^7)+20*a^7/(b^11*(a+b*x)^6)-_
+     42*a^6/(b^11*(a+b*x)^5)+63*a^5/(b^11*(a+b*x)^4)-_
+     70*a^4/(b^11*(a+b*x)^3)+60*a^3/(b^11*(a+b*x)^2)-_
+     45*a^2/(b^11*(a+b*x))-10*a*log(a+b*x)/b^11
+--R 
+--R
+--R   (2)
+--R                    9 9         2 8 8         3 7 7          4 6 6
+--R           - 2520a b x  - 22680a b x  - 90720a b x  - 211680a b x
+--R         + 
+--R                    5 5 5          6 4 4          7 3 3         8 2 2
+--R           - 317520a b x  - 317520a b x  - 211680a b x  - 90720a b x
+--R         + 
+--R                   9           10
+--R           - 22680a b x - 2520a
+--R      *
+--R         log(b x + a)
+--R     + 
+--R           10 10          9 9        2 8 8         3 7 7          4 6 6
+--R       252b  x   + 2268a b x  - 2268a b x  - 54432a b x  - 197568a b x
+--R     + 
+--R                5 5 5          6 4 4          7 3 3          8 2 2         9
+--R       - 375732a b x  - 439236a b x  - 328104a b x  - 153576a b x  - 41229a b x
+--R     + 
+--R              10
+--R       - 4861a
+--R  /
+--R           20 9          19 8        2 18 7         3 17 6         4 16 5
+--R       252b  x  + 2268a b  x  + 9072a b  x  + 21168a b  x  + 31752a b  x
+--R     + 
+--R             5 15 4         6 14 3        7 13 2        8 12        9 11
+--R       31752a b  x  + 21168a b  x  + 9072a b  x  + 2268a b  x + 252a b
+--R                                                    Type: Expression(Integer)
+--E 997
+
+--S 998 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                    9 9         2 8 8         3 7 7          4 6 6
+--R           - 2520a b x  - 22680a b x  - 90720a b x  - 211680a b x
+--R         + 
+--R                    5 5 5          6 4 4          7 3 3         8 2 2
+--R           - 317520a b x  - 317520a b x  - 211680a b x  - 90720a b x
+--R         + 
+--R                   9           10
+--R           - 22680a b x - 2520a
+--R      *
+--R         log(b x + a)
+--R     + 
+--R           10 10          9 9        2 8 8         3 7 7          4 6 6
+--R       252b  x   + 2268a b x  - 2268a b x  - 54432a b x  - 197568a b x
+--R     + 
+--R                5 5 5          6 4 4          7 3 3          8 2 2         9
+--R       - 375732a b x  - 439236a b x  - 328104a b x  - 153576a b x  - 41229a b x
+--R     + 
+--R              10
+--R       - 4861a
+--R  /
+--R           20 9          19 8        2 18 7         3 17 6         4 16 5
+--R       252b  x  + 2268a b  x  + 9072a b  x  + 21168a b  x  + 31752a b  x
+--R     + 
+--R             5 15 4         6 14 3        7 13 2        8 12        9 11
+--R       31752a b  x  + 21168a b  x  + 9072a b  x  + 2268a b  x + 252a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 998
+
+--S 999 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 999
+
+--S 1000 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1000
+
+)clear all
+
+--S 1001 of 3330
+t0000:=x^9/(a+b*x)^10
+--R 
+--R
+--R   (1)
+--R      9
+--R     x
+--R  /
+--R        10 10        9 9      2 8 8       3 7 7       4 6 6       5 5 5
+--R       b  x   + 10a b x  + 45a b x  + 120a b x  + 210a b x  + 252a b x
+--R     + 
+--R           6 4 4       7 3 3      8 2 2      9       10
+--R       210a b x  + 120a b x  + 45a b x  + 10a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1001
+
+--S 1002 of 3330
+r0000:=1/9*a^9/(b^10*(a+b*x)^9)-9/8*a^8/(b^10*(a+b*x)^8)+_
+     36/7*a^7/(b^10*(a+b*x)^7)-14*a^6/(b^10*(a+b*x)^6)+_
+     126/5*a^5/(b^10*(a+b*x)^5)-63/2*a^4/(b^10*(a+b*x)^4)+_
+     28*a^3/(b^10*(a+b*x)^3)-18*a^2/(b^10*(a+b*x)^2)+_
+     9*a/(b^10*(a+b*x))+log(a+b*x)/b^10
+--R 
+--R
+--R   (2)
+--R                9 9           8 8         2 7 7          3 6 6          4 5 5
+--R           2520b x  + 22680a b x  + 90720a b x  + 211680a b x  + 317520a b x
+--R         + 
+--R                  5 4 4          6 3 3         7 2 2         8           9
+--R           317520a b x  + 211680a b x  + 90720a b x  + 22680a b x + 2520a
+--R      *
+--R         log(b x + a)
+--R     + 
+--R               8 8          2 7 7          3 6 6          4 5 5          5 4 4
+--R       22680a b x  + 136080a b x  + 388080a b x  + 661500a b x  + 725004a b x
+--R     + 
+--R              6 3 3          7 2 2         8           9
+--R       518616a b x  + 235224a b x  + 61641a b x + 7129a
+--R  /
+--R            19 9           18 8         2 17 7          3 16 6          4 15 5
+--R       2520b  x  + 22680a b  x  + 90720a b  x  + 211680a b  x  + 317520a b  x
+--R     + 
+--R              5 14 4          6 13 3         7 12 2         8 11         9 10
+--R       317520a b  x  + 211680a b  x  + 90720a b  x  + 22680a b  x + 2520a b
+--R                                                    Type: Expression(Integer)
+--E 1002
+
+--S 1003 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                9 9           8 8         2 7 7          3 6 6          4 5 5
+--R           2520b x  + 22680a b x  + 90720a b x  + 211680a b x  + 317520a b x
+--R         + 
+--R                  5 4 4          6 3 3         7 2 2         8           9
+--R           317520a b x  + 211680a b x  + 90720a b x  + 22680a b x + 2520a
+--R      *
+--R         log(b x + a)
+--R     + 
+--R               8 8          2 7 7          3 6 6          4 5 5          5 4 4
+--R       22680a b x  + 136080a b x  + 388080a b x  + 661500a b x  + 725004a b x
+--R     + 
+--R              6 3 3          7 2 2         8           9
+--R       518616a b x  + 235224a b x  + 61641a b x + 7129a
+--R  /
+--R            19 9           18 8         2 17 7          3 16 6          4 15 5
+--R       2520b  x  + 22680a b  x  + 90720a b  x  + 211680a b  x  + 317520a b  x
+--R     + 
+--R              5 14 4          6 13 3         7 12 2         8 11         9 10
+--R       317520a b  x  + 211680a b  x  + 90720a b  x  + 22680a b  x + 2520a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 1003
+
+--S 1004 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1004
+
+--S 1005 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1005
+
+)clear all
+
+--S 1006 of 3330
+t0000:=x^8/(a+b*x)^10
+--R 
+--R
+--R   (1)
+--R      8
+--R     x
+--R  /
+--R        10 10        9 9      2 8 8       3 7 7       4 6 6       5 5 5
+--R       b  x   + 10a b x  + 45a b x  + 120a b x  + 210a b x  + 252a b x
+--R     + 
+--R           6 4 4       7 3 3      8 2 2      9       10
+--R       210a b x  + 120a b x  + 45a b x  + 10a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1006
+
+--S 1007 of 3330
+r0000:=1/9*x^9/(a*(a+b*x)^9)
+--R 
+--R
+--R   (2)
+--R     1  9
+--R     - x
+--R     9
+--R  /
+--R          9 9     2 8 8      3 7 7      4 6 6       5 5 5       6 4 4      7 3 3
+--R       a b x  + 9a b x  + 36a b x  + 84a b x  + 126a b x  + 126a b x  + 84a b x
+--R     + 
+--R          8 2 2     9       10
+--R       36a b x  + 9a b x + a
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 1007
+
+--S 1008 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R           8 8        7 7      2 6 6       3 5 5       4 4 4      5 3 3
+--R       - 9b x  - 36a b x  - 84a b x  - 126a b x  - 126a b x  - 84a b x
+--R     + 
+--R            6 2 2     7       8
+--R       - 36a b x  - 9a b x - a
+--R  /
+--R         18 9        17 8       2 16 7       3 15 6        4 14 5        5 13 4
+--R       9b  x  + 81a b  x  + 324a b  x  + 756a b  x  + 1134a b  x  + 1134a b  x
+--R     + 
+--R           6 12 3       7 11 2      8 10      9 9
+--R       756a b  x  + 324a b  x  + 81a b  x + 9a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 1008
+
+--S 1009 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R            1
+--R   (4)  - -----
+--R              9
+--R          9a b
+--R                                                    Type: Expression(Integer)
+--E 1009
+
+--S 1010 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1010
+
+)clear all
+
+--S 1011 of 3330
+t0000:=x^7/(a+b*x)^10
+--R 
+--R
+--R   (1)
+--R      7
+--R     x
+--R  /
+--R        10 10        9 9      2 8 8       3 7 7       4 6 6       5 5 5
+--R       b  x   + 10a b x  + 45a b x  + 120a b x  + 210a b x  + 252a b x
+--R     + 
+--R           6 4 4       7 3 3      8 2 2      9       10
+--R       210a b x  + 120a b x  + 45a b x  + 10a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1011
+
+--S 1012 of 3330
+r0000:=1/9*x^8/(a*(a+b*x)^9)+1/72*x^8/(a^2*(a+b*x)^8)
+--R 
+--R
+--R   (2)
+--R      1    9   1    8
+--R     -- b x  + - a x
+--R     72        8
+--R  /
+--R        2 9 9     3 8 8      4 7 7      5 6 6       6 5 5       7 4 4      8 3 3
+--R       a b x  + 9a b x  + 36a b x  + 84a b x  + 126a b x  + 126a b x  + 84a b x
+--R     + 
+--R          9 2 2     10       11
+--R       36a b x  + 9a  b x + a
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 1012
+
+--S 1013 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R            7 7        6 6       2 5 5       3 4 4      4 3 3      5 2 2
+--R       - 36b x  - 84a b x  - 126a b x  - 126a b x  - 84a b x  - 36a b x
+--R     + 
+--R           6       7
+--R       - 9a b x - a
+--R  /
+--R          17 9         16 8        2 15 7        3 14 6        4 13 5
+--R       72b  x  + 648a b  x  + 2592a b  x  + 6048a b  x  + 9072a b  x
+--R     + 
+--R            5 12 4        6 11 3        7 10 2       8 9       9 8
+--R       9072a b  x  + 6048a b  x  + 2592a b  x  + 648a b x + 72a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 1013
+
+--S 1014 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R             1
+--R   (4)  - ------
+--R             2 8
+--R          72a b
+--R                                                    Type: Expression(Integer)
+--E 1014
+
+--S 1015 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1015
+
+)clear all
+
+--S 1016 of 3330
+t0000:=x^6/(a+b*x)^10
+--R 
+--R
+--R   (1)
+--R      6
+--R     x
+--R  /
+--R        10 10        9 9      2 8 8       3 7 7       4 6 6       5 5 5
+--R       b  x   + 10a b x  + 45a b x  + 120a b x  + 210a b x  + 252a b x
+--R     + 
+--R           6 4 4       7 3 3      8 2 2      9       10
+--R       210a b x  + 120a b x  + 45a b x  + 10a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1016
+
+--S 1017 of 3330
+r0000:=1/9*x^7/(a*(a+b*x)^9)+1/36*x^7/(a^2*(a+b*x)^8)+1/252*x^7/(a^3*(a+b*x)^7)
+--R 
+--R
+--R   (2)
+--R      1   2 9    1      8   1  2 7
+--R     --- b x  + -- a b x  + - a x
+--R     252        28          7
+--R  /
+--R        3 9 9     4 8 8      5 7 7      6 6 6       7 5 5       8 4 4      9 3 3
+--R       a b x  + 9a b x  + 36a b x  + 84a b x  + 126a b x  + 126a b x  + 84a b x
+--R     + 
+--R          10 2 2     11       12
+--R       36a  b x  + 9a  b x + a
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 1017
+
+--S 1018 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R          6 6         5 5       2 4 4      3 3 3      4 2 2     5       6
+--R     - 84b x  - 126a b x  - 126a b x  - 84a b x  - 36a b x  - 9a b x - a
+--R  /
+--R           16 9          15 8        2 14 7         3 13 6         4 12 5
+--R       252b  x  + 2268a b  x  + 9072a b  x  + 21168a b  x  + 31752a b  x
+--R     + 
+--R             5 11 4         6 10 3        7 9 2        8 8        9 7
+--R       31752a b  x  + 21168a b  x  + 9072a b x  + 2268a b x + 252a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 1018
+
+--S 1019 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R             1
+--R   (4)  - -------
+--R              3 7
+--R          252a b
+--R                                                    Type: Expression(Integer)
+--E 1019
+
+--S 1020 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1020
+
+)clear all
+
+--S 1021 of 3330
+t0000:=x^5/(a+b*x)^10
+--R 
+--R
+--R   (1)
+--R      5
+--R     x
+--R  /
+--R        10 10        9 9      2 8 8       3 7 7       4 6 6       5 5 5
+--R       b  x   + 10a b x  + 45a b x  + 120a b x  + 210a b x  + 252a b x
+--R     + 
+--R           6 4 4       7 3 3      8 2 2      9       10
+--R       210a b x  + 120a b x  + 45a b x  + 10a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1021
+
+--S 1022 of 3330
+r0000:=1/9*x^6/(a*(a+b*x)^9)+1/24*x^6/(a^2*(a+b*x)^8)+_
+     1/84*x^6/(a^3*(a+b*x)^7)+1/504*x^6/(a^4*(a+b*x)^6)
+--R 
+--R
+--R   (2)
+--R      1   3 9    1    2 8    1  2   7   1  3 6
+--R     --- b x  + -- a b x  + -- a b x  + - a x
+--R     504        56          14          6
+--R  /
+--R        4 9 9     5 8 8      6 7 7      7 6 6       8 5 5       9 4 4
+--R       a b x  + 9a b x  + 36a b x  + 84a b x  + 126a b x  + 126a b x
+--R     + 
+--R          10 3 3      11 2 2     12       13
+--R       84a  b x  + 36a  b x  + 9a  b x + a
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 1022
+
+--S 1023 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R           5 5         4 4      2 3 3      3 2 2     4       5
+--R     - 126b x  - 126a b x  - 84a b x  - 36a b x  - 9a b x - a
+--R  /
+--R           15 9          14 8         2 13 7         3 12 6         4 11 5
+--R       504b  x  + 4536a b  x  + 18144a b  x  + 42336a b  x  + 63504a b  x
+--R     + 
+--R             5 10 4         6 9 3         7 8 2        8 7        9 6
+--R       63504a b  x  + 42336a b x  + 18144a b x  + 4536a b x + 504a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 1023
+
+--S 1024 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R             1
+--R   (4)  - -------
+--R              4 6
+--R          504a b
+--R                                                    Type: Expression(Integer)
+--E 1024
+
+--S 1025 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1025
+
+)clear all
+
+--S 1026 of 3330
+t0000:=x^4/(a+b*x)^10
+--R 
+--R
+--R   (1)
+--R      4
+--R     x
+--R  /
+--R        10 10        9 9      2 8 8       3 7 7       4 6 6       5 5 5
+--R       b  x   + 10a b x  + 45a b x  + 120a b x  + 210a b x  + 252a b x
+--R     + 
+--R           6 4 4       7 3 3      8 2 2      9       10
+--R       210a b x  + 120a b x  + 45a b x  + 10a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1026
+
+--S 1027 of 3330
+r0000:=-1/9*a^4/(b^5*(a+b*x)^9)+1/2*a^3/(b^5*(a+b*x)^8)-_
+     6/7*a^2/(b^5*(a+b*x)^7)+2/3*a/(b^5*(a+b*x)^6)+(-1/5)/(b^5*(a+b*x)^5)
+--R 
+--R
+--R   (2)
+--R       1  4 4    2    3 3    2  2 2 2    1  3       1   4
+--R     - - b x  - -- a b x  - -- a b x  - -- a b x - --- a
+--R       5        15          35          70         630
+--R  /
+--R        14 9       13 8      2 12 7      3 11 6       4 10 5       5 9 4
+--R       b  x  + 9a b  x  + 36a b  x  + 84a b  x  + 126a b  x  + 126a b x
+--R     + 
+--R          6 8 3      7 7 2     8 6     9 5
+--R       84a b x  + 36a b x  + 9a b x + a b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 1027
+
+--S 1028 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R           4 4        3 3      2 2 2     3       4
+--R     - 126b x  - 84a b x  - 36a b x  - 9a b x - a
+--R  /
+--R           14 9          13 8         2 12 7         3 11 6         4 10 5
+--R       630b  x  + 5670a b  x  + 22680a b  x  + 52920a b  x  + 79380a b  x
+--R     + 
+--R             5 9 4         6 8 3         7 7 2        8 6        9 5
+--R       79380a b x  + 52920a b x  + 22680a b x  + 5670a b x + 630a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 1028
+
+--S 1029 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1029
+
+--S 1030 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1030
+
+)clear all
+
+--S 1031 of 3330
+t0000:=x^3/(a+b*x)^10
+--R 
+--R
+--R   (1)
+--R      3
+--R     x
+--R  /
+--R        10 10        9 9      2 8 8       3 7 7       4 6 6       5 5 5
+--R       b  x   + 10a b x  + 45a b x  + 120a b x  + 210a b x  + 252a b x
+--R     + 
+--R           6 4 4       7 3 3      8 2 2      9       10
+--R       210a b x  + 120a b x  + 45a b x  + 10a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1031
+
+--S 1032 of 3330
+r0000:=1/9*a^3/(b^4*(a+b*x)^9)-3/8*a^2/(b^4*(a+b*x)^8)+_
+     3/7*a/(b^4*(a+b*x)^7)+(-1/6)/(b^4*(a+b*x)^6)
+--R 
+--R
+--R   (2)
+--R       1  3 3    1    2 2    1  2       1   3
+--R     - - b x  - -- a b x  - -- a b x - --- a
+--R       6        14          56         504
+--R  /
+--R        13 9       12 8      2 11 7      3 10 6       4 9 5       5 8 4
+--R       b  x  + 9a b  x  + 36a b  x  + 84a b  x  + 126a b x  + 126a b x
+--R     + 
+--R          6 7 3      7 6 2     8 5     9 4
+--R       84a b x  + 36a b x  + 9a b x + a b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 1032
+
+--S 1033 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R          3 3        2 2     2       3
+--R     - 84b x  - 36a b x  - 9a b x - a
+--R  /
+--R           13 9          12 8         2 11 7         3 10 6         4 9 5
+--R       504b  x  + 4536a b  x  + 18144a b  x  + 42336a b  x  + 63504a b x
+--R     + 
+--R             5 8 4         6 7 3         7 6 2        8 5        9 4
+--R       63504a b x  + 42336a b x  + 18144a b x  + 4536a b x + 504a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 1033
+
+--S 1034 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1034
+
+--S 1035 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1035
+
+)clear all
+
+--S 1036 of 3330
+t0000:=x^2/(a+b*x)^10
+--R 
+--R
+--R   (1)
+--R      2
+--R     x
+--R  /
+--R        10 10        9 9      2 8 8       3 7 7       4 6 6       5 5 5
+--R       b  x   + 10a b x  + 45a b x  + 120a b x  + 210a b x  + 252a b x
+--R     + 
+--R           6 4 4       7 3 3      8 2 2      9       10
+--R       210a b x  + 120a b x  + 45a b x  + 10a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1036
+
+--S 1037 of 3330
+r0000:=-1/9*a^2/(b^3*(a+b*x)^9)+1/4*a/(b^3*(a+b*x)^8)+(-1/7)/(b^3*(a+b*x)^7)
+--R 
+--R
+--R   (2)
+--R       1  2 2    1          1   2
+--R     - - b x  - -- a b x - --- a
+--R       7        28         252
+--R  /
+--R        12 9       11 8      2 10 7      3 9 6       4 8 5       5 7 4
+--R       b  x  + 9a b  x  + 36a b  x  + 84a b x  + 126a b x  + 126a b x
+--R     + 
+--R          6 6 3      7 5 2     8 4     9 3
+--R       84a b x  + 36a b x  + 9a b x + a b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 1037
+
+--S 1038 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R          2 2             2
+--R     - 36b x  - 9a b x - a
+--R  /
+--R           12 9          11 8        2 10 7         3 9 6         4 8 5
+--R       252b  x  + 2268a b  x  + 9072a b  x  + 21168a b x  + 31752a b x
+--R     + 
+--R             5 7 4         6 6 3        7 5 2        8 4        9 3
+--R       31752a b x  + 21168a b x  + 9072a b x  + 2268a b x + 252a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 1038
+
+--S 1039 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1039
+
+--S 1040 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1040
+
+)clear all
+
+--S 1041 of 3330
+t0000:=x/(a+b*x)^10
+--R 
+--R
+--R   (1)
+--R     x
+--R  /
+--R        10 10        9 9      2 8 8       3 7 7       4 6 6       5 5 5
+--R       b  x   + 10a b x  + 45a b x  + 120a b x  + 210a b x  + 252a b x
+--R     + 
+--R           6 4 4       7 3 3      8 2 2      9       10
+--R       210a b x  + 120a b x  + 45a b x  + 10a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1041
+
+--S 1042 of 3330
+r0000:=1/9*a/(b^2*(a+b*x)^9)+(-1/8)/(b^2*(a+b*x)^8)
+--R 
+--R
+--R   (2)
+--R       1        1
+--R     - - b x - -- a
+--R       8       72
+--R  /
+--R        11 9       10 8      2 9 7      3 8 6       4 7 5       5 6 4      6 5 3
+--R       b  x  + 9a b  x  + 36a b x  + 84a b x  + 126a b x  + 126a b x  + 84a b x
+--R     + 
+--R          7 4 2     8 3     9 2
+--R       36a b x  + 9a b x + a b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 1042
+
+--S 1043 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R     - 9b x - a
+--R  /
+--R          11 9         10 8        2 9 7        3 8 6        4 7 5        5 6 4
+--R       72b  x  + 648a b  x  + 2592a b x  + 6048a b x  + 9072a b x  + 9072a b x
+--R     + 
+--R            6 5 3        7 4 2       8 3       9 2
+--R       6048a b x  + 2592a b x  + 648a b x + 72a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 1043
+
+--S 1044 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1044
+
+--S 1045 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1045
+
+)clear all
+
+--S 1046 of 3330
+t0000:=1/(a+b*x)^10
+--R 
+--R
+--R   (1)
+--R     1
+--R  /
+--R        10 10        9 9      2 8 8       3 7 7       4 6 6       5 5 5
+--R       b  x   + 10a b x  + 45a b x  + 120a b x  + 210a b x  + 252a b x
+--R     + 
+--R           6 4 4       7 3 3      8 2 2      9       10
+--R       210a b x  + 120a b x  + 45a b x  + 10a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1046
+
+--S 1047 of 3330
+r0000:=(-1/9)/(b*(a+b*x)^9)
+--R 
+--R
+--R   (2)
+--R   -
+--R        1
+--R        -
+--R        9
+--R     /
+--R           10 9       9 8      2 8 7      3 7 6       4 6 5       5 5 4
+--R          b  x  + 9a b x  + 36a b x  + 84a b x  + 126a b x  + 126a b x
+--R        + 
+--R             6 4 3      7 3 2     8 2     9
+--R          84a b x  + 36a b x  + 9a b x + a b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 1047
+
+--S 1048 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   -
+--R        1
+--R     /
+--R            10 9        9 8       2 8 7       3 7 6        4 6 5        5 5 4
+--R          9b  x  + 81a b x  + 324a b x  + 756a b x  + 1134a b x  + 1134a b x
+--R        + 
+--R              6 4 3       7 3 2      8 2      9
+--R          756a b x  + 324a b x  + 81a b x + 9a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 1048
+
+--S 1049 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1049
+
+--S 1050 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1050
+
+)clear all
+
+--S 1051 of 3330
+t0000:=1/(x*(a+b*x)^10)
+--R 
+--R
+--R   (1)
+--R     1
+--R  /
+--R        10 11        9 10      2 8 9       3 7 8       4 6 7       5 5 6
+--R       b  x   + 10a b x   + 45a b x  + 120a b x  + 210a b x  + 252a b x
+--R     + 
+--R           6 4 5       7 3 4      8 2 3      9   2    10
+--R       210a b x  + 120a b x  + 45a b x  + 10a b x  + a  x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1051
+
+--S 1052 of 3330
+r0000:=1/9/(a*(a+b*x)^9)+1/8/(a^2*(a+b*x)^8)+1/7/(a^3*(a+b*x)^7)+_
+     1/6/(a^4*(a+b*x)^6)+1/5/(a^5*(a+b*x)^5)+1/4/(a^6*(a+b*x)^4)+_
+     1/3/(a^7*(a+b*x)^3)+1/2/(a^8*(a+b*x)^2)+1/(a^9*(a+b*x))+_
+     log(x)/a^10-log(a+b*x)/a^10
+--R 
+--R
+--R   (2)
+--R                  9 9           8 8         2 7 7          3 6 6          4 5 5
+--R           - 2520b x  - 22680a b x  - 90720a b x  - 211680a b x  - 317520a b x
+--R         + 
+--R                    5 4 4          6 3 3         7 2 2         8           9
+--R           - 317520a b x  - 211680a b x  - 90720a b x  - 22680a b x - 2520a
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                9 9           8 8         2 7 7          3 6 6          4 5 5
+--R           2520b x  + 22680a b x  + 90720a b x  + 211680a b x  + 317520a b x
+--R         + 
+--R                  5 4 4          6 3 3         7 2 2         8           9
+--R           317520a b x  + 211680a b x  + 90720a b x  + 22680a b x + 2520a
+--R      *
+--R         log(x)
+--R     + 
+--R              8 8         2 7 7         3 6 6          4 5 5          5 4 4
+--R       2520a b x  + 21420a b x  + 80220a b x  + 173250a b x  + 236754a b x
+--R     + 
+--R              6 3 3          7 2 2         8           9
+--R       210756a b x  + 120564a b x  + 41481a b x + 7129a
+--R  /
+--R            10 9 9         11 8 8         12 7 7          13 6 6          14 5 5
+--R       2520a  b x  + 22680a  b x  + 90720a  b x  + 211680a  b x  + 317520a  b x
+--R     + 
+--R              15 4 4          16 3 3         17 2 2         18           19
+--R       317520a  b x  + 211680a  b x  + 90720a  b x  + 22680a  b x + 2520a
+--R                                                    Type: Expression(Integer)
+--E 1052
+
+--S 1053 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                  9 9           8 8         2 7 7          3 6 6          4 5 5
+--R           - 2520b x  - 22680a b x  - 90720a b x  - 211680a b x  - 317520a b x
+--R         + 
+--R                    5 4 4          6 3 3         7 2 2         8           9
+--R           - 317520a b x  - 211680a b x  - 90720a b x  - 22680a b x - 2520a
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                9 9           8 8         2 7 7          3 6 6          4 5 5
+--R           2520b x  + 22680a b x  + 90720a b x  + 211680a b x  + 317520a b x
+--R         + 
+--R                  5 4 4          6 3 3         7 2 2         8           9
+--R           317520a b x  + 211680a b x  + 90720a b x  + 22680a b x + 2520a
+--R      *
+--R         log(x)
+--R     + 
+--R              8 8         2 7 7         3 6 6          4 5 5          5 4 4
+--R       2520a b x  + 21420a b x  + 80220a b x  + 173250a b x  + 236754a b x
+--R     + 
+--R              6 3 3          7 2 2         8           9
+--R       210756a b x  + 120564a b x  + 41481a b x + 7129a
+--R  /
+--R            10 9 9         11 8 8         12 7 7          13 6 6          14 5 5
+--R       2520a  b x  + 22680a  b x  + 90720a  b x  + 211680a  b x  + 317520a  b x
+--R     + 
+--R              15 4 4          16 3 3         17 2 2         18           19
+--R       317520a  b x  + 211680a  b x  + 90720a  b x  + 22680a  b x + 2520a
+--R                                         Type: Union(Expression(Integer),...)
+--E 1053
+
+--S 1054 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1054
+
+--S 1055 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1055
+
+)clear all
+
+--S 1056 of 3330
+t0000:=1/(x^2*(a+b*x)^10)
+--R 
+--R
+--R   (1)
+--R     1
+--R  /
+--R        10 12        9 11      2 8 10       3 7 9       4 6 8       5 5 7
+--R       b  x   + 10a b x   + 45a b x   + 120a b x  + 210a b x  + 252a b x
+--R     + 
+--R           6 4 6       7 3 5      8 2 4      9   3    10 2
+--R       210a b x  + 120a b x  + 45a b x  + 10a b x  + a  x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1056
+
+--S 1057 of 3330
+r0000:=(-1)/(a^10*x)-1/9*b/(a^2*(a+b*x)^9)-1/4*b/(a^3*(a+b*x)^8)-_
+     3/7*b/(a^4*(a+b*x)^7)-2/3*b/(a^5*(a+b*x)^6)-b/(a^6*(a+b*x)^5)-_
+     3/2*b/(a^7*(a+b*x)^4)-7/3*b/(a^8*(a+b*x)^3)-4*b/(a^9*(a+b*x)^2)-_
+     9*b/(a^10*(a+b*x))-10*b*log(x)/a^11+10*b*log(a+b*x)/a^11
+--R 
+--R
+--R   (2)
+--R                10 10           9 9         2 8 8          3 7 7          4 6 6
+--R           2520b  x   + 22680a b x  + 90720a b x  + 211680a b x  + 317520a b x
+--R         + 
+--R                  5 5 5          6 4 4         7 3 3         8 2 2        9
+--R           317520a b x  + 211680a b x  + 90720a b x  + 22680a b x  + 2520a b x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                  10 10           9 9         2 8 8          3 7 7
+--R           - 2520b  x   - 22680a b x  - 90720a b x  - 211680a b x
+--R         + 
+--R                    4 6 6          5 5 5          6 4 4         7 3 3
+--R           - 317520a b x  - 317520a b x  - 211680a b x  - 90720a b x
+--R         + 
+--R                   8 2 2        9
+--R           - 22680a b x  - 2520a b x
+--R      *
+--R         log(x)
+--R     + 
+--R                9 9         2 8 8         3 7 7          4 6 6          5 5 5
+--R       - 2520a b x  - 21420a b x  - 80220a b x  - 173250a b x  - 236754a b x
+--R     + 
+--R                6 4 4          7 3 3         8 2 2        9          10
+--R       - 210756a b x  - 120564a b x  - 41481a b x  - 7129a b x - 252a
+--R  /
+--R           11 9 10        12 8 9        13 7 8         14 6 7         15 5 6
+--R       252a  b x   + 2268a  b x  + 9072a  b x  + 21168a  b x  + 31752a  b x
+--R     + 
+--R             16 4 5         17 3 4        18 2 3        19   2       20
+--R       31752a  b x  + 21168a  b x  + 9072a  b x  + 2268a  b x  + 252a  x
+--R                                                    Type: Expression(Integer)
+--E 1057
+
+--S 1058 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                10 10           9 9         2 8 8          3 7 7          4 6 6
+--R           2520b  x   + 22680a b x  + 90720a b x  + 211680a b x  + 317520a b x
+--R         + 
+--R                  5 5 5          6 4 4         7 3 3         8 2 2        9
+--R           317520a b x  + 211680a b x  + 90720a b x  + 22680a b x  + 2520a b x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                  10 10           9 9         2 8 8          3 7 7
+--R           - 2520b  x   - 22680a b x  - 90720a b x  - 211680a b x
+--R         + 
+--R                    4 6 6          5 5 5          6 4 4         7 3 3
+--R           - 317520a b x  - 317520a b x  - 211680a b x  - 90720a b x
+--R         + 
+--R                   8 2 2        9
+--R           - 22680a b x  - 2520a b x
+--R      *
+--R         log(x)
+--R     + 
+--R                9 9         2 8 8         3 7 7          4 6 6          5 5 5
+--R       - 2520a b x  - 21420a b x  - 80220a b x  - 173250a b x  - 236754a b x
+--R     + 
+--R                6 4 4          7 3 3         8 2 2        9          10
+--R       - 210756a b x  - 120564a b x  - 41481a b x  - 7129a b x - 252a
+--R  /
+--R           11 9 10        12 8 9        13 7 8         14 6 7         15 5 6
+--R       252a  b x   + 2268a  b x  + 9072a  b x  + 21168a  b x  + 31752a  b x
+--R     + 
+--R             16 4 5         17 3 4        18 2 3        19   2       20
+--R       31752a  b x  + 21168a  b x  + 9072a  b x  + 2268a  b x  + 252a  x
+--R                                         Type: Union(Expression(Integer),...)
+--E 1058
+
+--S 1059 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1059
+
+--S 1060 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1060
+
+)clear all
+
+--S 1061 of 3330
+t0000:=1/(x^3*(a+b*x)^10)
+--R 
+--R
+--R   (1)
+--R     1
+--R  /
+--R        10 13        9 12      2 8 11       3 7 10       4 6 9       5 5 8
+--R       b  x   + 10a b x   + 45a b x   + 120a b x   + 210a b x  + 252a b x
+--R     + 
+--R           6 4 7       7 3 6      8 2 5      9   4    10 3
+--R       210a b x  + 120a b x  + 45a b x  + 10a b x  + a  x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1061
+
+--S 1062 of 3330
+r0000:=(-1/2)/(a^10*x^2)+10*b/(a^11*x)+1/9*b^2/(a^3*(a+b*x)^9)+_
+     3/8*b^2/(a^4*(a+b*x)^8)+6/7*b^2/(a^5*(a+b*x)^7)+_
+     5/3*b^2/(a^6*(a+b*x)^6)+3*b^2/(a^7*(a+b*x)^5)+_
+     21/4*b^2/(a^8*(a+b*x)^4)+28/3*b^2/(a^9*(a+b*x)^3)+_
+     18*b^2/(a^10*(a+b*x)^2)+45*b^2/(a^11*(a+b*x))+_
+     55*b^2*log(x)/a^12-55*b^2*log(a+b*x)/a^12
+--R 
+--R
+--R   (2)
+--R                   11 11            10 10          2 9 9           3 8 8
+--R           - 27720b  x   - 249480a b  x   - 997920a b x  - 2328480a b x
+--R         + 
+--R                     4 7 7           5 6 6           6 5 5          7 4 4
+--R           - 3492720a b x  - 3492720a b x  - 2328480a b x  - 997920a b x
+--R         + 
+--R                    8 3 3         9 2 2
+--R           - 249480a b x  - 27720a b x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                 11 11            10 10          2 9 9           3 8 8
+--R           27720b  x   + 249480a b  x   + 997920a b x  + 2328480a b x
+--R         + 
+--R                   4 7 7           5 6 6           6 5 5          7 4 4
+--R           3492720a b x  + 3492720a b x  + 2328480a b x  + 997920a b x
+--R         + 
+--R                  8 3 3         9 2 2
+--R           249480a b x  + 27720a b x
+--R      *
+--R         log(x)
+--R     + 
+--R               10 10          2 9 9          3 8 8           4 7 7
+--R       27720a b  x   + 235620a b x  + 882420a b x  + 1905750a b x
+--R     + 
+--R               5 6 6           6 5 5           7 4 4          8 3 3
+--R       2604294a b x  + 2318316a b x  + 1326204a b x  + 456291a b x
+--R     + 
+--R             9 2 2        10          11
+--R       78419a b x  + 2772a  b x - 252a
+--R  /
+--R           12 9 11        13 8 10         14 7 9         15 6 8         16 5 7
+--R       504a  b x   + 4536a  b x   + 18144a  b x  + 42336a  b x  + 63504a  b x
+--R     + 
+--R             17 4 6         18 3 5         19 2 4        20   3       21 2
+--R       63504a  b x  + 42336a  b x  + 18144a  b x  + 4536a  b x  + 504a  x
+--R                                                    Type: Expression(Integer)
+--E 1062
+
+--S 1063 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                   11 11            10 10          2 9 9           3 8 8
+--R           - 27720b  x   - 249480a b  x   - 997920a b x  - 2328480a b x
+--R         + 
+--R                     4 7 7           5 6 6           6 5 5          7 4 4
+--R           - 3492720a b x  - 3492720a b x  - 2328480a b x  - 997920a b x
+--R         + 
+--R                    8 3 3         9 2 2
+--R           - 249480a b x  - 27720a b x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                 11 11            10 10          2 9 9           3 8 8
+--R           27720b  x   + 249480a b  x   + 997920a b x  + 2328480a b x
+--R         + 
+--R                   4 7 7           5 6 6           6 5 5          7 4 4
+--R           3492720a b x  + 3492720a b x  + 2328480a b x  + 997920a b x
+--R         + 
+--R                  8 3 3         9 2 2
+--R           249480a b x  + 27720a b x
+--R      *
+--R         log(x)
+--R     + 
+--R               10 10          2 9 9          3 8 8           4 7 7
+--R       27720a b  x   + 235620a b x  + 882420a b x  + 1905750a b x
+--R     + 
+--R               5 6 6           6 5 5           7 4 4          8 3 3
+--R       2604294a b x  + 2318316a b x  + 1326204a b x  + 456291a b x
+--R     + 
+--R             9 2 2        10          11
+--R       78419a b x  + 2772a  b x - 252a
+--R  /
+--R           12 9 11        13 8 10         14 7 9         15 6 8         16 5 7
+--R       504a  b x   + 4536a  b x   + 18144a  b x  + 42336a  b x  + 63504a  b x
+--R     + 
+--R             17 4 6         18 3 5         19 2 4        20   3       21 2
+--R       63504a  b x  + 42336a  b x  + 18144a  b x  + 4536a  b x  + 504a  x
+--R                                         Type: Union(Expression(Integer),...)
+--E 1063
+
+--S 1064 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1064
+
+--S 1065 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1065
+
+)clear all
+
+--S 1066 of 3330
+t0000:=1/(x^4*(a+b*x)^10)
+--R 
+--R
+--R   (1)
+--R     1
+--R  /
+--R        10 14        9 13      2 8 12       3 7 11       4 6 10       5 5 9
+--R       b  x   + 10a b x   + 45a b x   + 120a b x   + 210a b x   + 252a b x
+--R     + 
+--R           6 4 8       7 3 7      8 2 6      9   5    10 4
+--R       210a b x  + 120a b x  + 45a b x  + 10a b x  + a  x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1066
+
+--S 1067 of 3330
+r0000:=(-1/3)/(a^10*x^3)+5*b/(a^11*x^2)-55*b^2/(a^12*x)-_
+     1/9*b^3/(a^4*(a+b*x)^9)-1/2*b^3/(a^5*(a+b*x)^8)-_
+     10/7*b^3/(a^6*(a+b*x)^7)-10/3*b^3/(a^7*(a+b*x)^6)-_
+     7*b^3/(a^8*(a+b*x)^5)-14*b^3/(a^9*(a+b*x)^4)-_
+     28*b^3/(a^10*(a+b*x)^3)-60*b^3/(a^11*(a+b*x)^2)-_
+     165*b^3/(a^12*(a+b*x))-220*b^3*log(x)/a^13+220*b^3*log(a+b*x)/a^13
+--R 
+--R
+--R   (2)
+--R                 12 12            11 11          2 10 10           3 9 9
+--R           27720b  x   + 249480a b  x   + 997920a b  x   + 2328480a b x
+--R         + 
+--R                   4 8 8           5 7 7           6 6 6          7 5 5
+--R           3492720a b x  + 3492720a b x  + 2328480a b x  + 997920a b x
+--R         + 
+--R                  8 4 4         9 3 3
+--R           249480a b x  + 27720a b x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                   12 12            11 11          2 10 10           3 9 9
+--R           - 27720b  x   - 249480a b  x   - 997920a b  x   - 2328480a b x
+--R         + 
+--R                     4 8 8           5 7 7           6 6 6          7 5 5
+--R           - 3492720a b x  - 3492720a b x  - 2328480a b x  - 997920a b x
+--R         + 
+--R                    8 4 4         9 3 3
+--R           - 249480a b x  - 27720a b x
+--R      *
+--R         log(x)
+--R     + 
+--R                 11 11          2 10 10          3 9 9           4 8 8
+--R       - 27720a b  x   - 235620a b  x   - 882420a b x  - 1905750a b x
+--R     + 
+--R                 5 7 7           6 6 6           7 5 5          8 4 4
+--R       - 2604294a b x  - 2318316a b x  - 1326204a b x  - 456291a b x
+--R     + 
+--R               9 3 3        10 2 2       11         12
+--R       - 78419a b x  - 2772a  b x  + 252a  b x - 42a
+--R  /
+--R           13 9 12        14 8 11        15 7 10         16 6 9         17 5 8
+--R       126a  b x   + 1134a  b x   + 4536a  b x   + 10584a  b x  + 15876a  b x
+--R     + 
+--R             18 4 7         19 3 6        20 2 5        21   4       22 3
+--R       15876a  b x  + 10584a  b x  + 4536a  b x  + 1134a  b x  + 126a  x
+--R                                                    Type: Expression(Integer)
+--E 1067
+
+--S 1068 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                 12 12            11 11          2 10 10           3 9 9
+--R           27720b  x   + 249480a b  x   + 997920a b  x   + 2328480a b x
+--R         + 
+--R                   4 8 8           5 7 7           6 6 6          7 5 5
+--R           3492720a b x  + 3492720a b x  + 2328480a b x  + 997920a b x
+--R         + 
+--R                  8 4 4         9 3 3
+--R           249480a b x  + 27720a b x
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                   12 12            11 11          2 10 10           3 9 9
+--R           - 27720b  x   - 249480a b  x   - 997920a b  x   - 2328480a b x
+--R         + 
+--R                     4 8 8           5 7 7           6 6 6          7 5 5
+--R           - 3492720a b x  - 3492720a b x  - 2328480a b x  - 997920a b x
+--R         + 
+--R                    8 4 4         9 3 3
+--R           - 249480a b x  - 27720a b x
+--R      *
+--R         log(x)
+--R     + 
+--R                 11 11          2 10 10          3 9 9           4 8 8
+--R       - 27720a b  x   - 235620a b  x   - 882420a b x  - 1905750a b x
+--R     + 
+--R                 5 7 7           6 6 6           7 5 5          8 4 4
+--R       - 2604294a b x  - 2318316a b x  - 1326204a b x  - 456291a b x
+--R     + 
+--R               9 3 3        10 2 2       11         12
+--R       - 78419a b x  - 2772a  b x  + 252a  b x - 42a
+--R  /
+--R           13 9 12        14 8 11        15 7 10         16 6 9         17 5 8
+--R       126a  b x   + 1134a  b x   + 4536a  b x   + 10584a  b x  + 15876a  b x
+--R     + 
+--R             18 4 7         19 3 6        20 2 5        21   4       22 3
+--R       15876a  b x  + 10584a  b x  + 4536a  b x  + 1134a  b x  + 126a  x
+--R                                         Type: Union(Expression(Integer),...)
+--E 1068
+
+--S 1069 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1069
+
+--S 1070 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1070
+
+)clear all
+
+--S 1071 of 3330
+t0000:=(a+b*x)^12/x^10
+--R 
+--R
+--R   (1)
+--R        12 12        11 11      2 10 10       3 9 9       4 8 8       5 7 7
+--R       b  x   + 12a b  x   + 66a b  x   + 220a b x  + 495a b x  + 792a b x
+--R     + 
+--R         6 6 6       7 5 5       8 4 4       9 3 3      10 2 2      11       12
+--R     924a b x  + 792a b x  + 495a b x  + 220a b x  + 66a  b x  + 12a  b x + a
+--R  /
+--R      10
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1071
+
+--S 1072 of 3330
+r0000:=-1/9*a^12/x^9-3/2*a^11*b/x^8-66/7*a^10*b^2/x^7-_
+     110/3*a^9*b^3/x^6-99*a^8*b^4/x^5-198*a^7*b^5/x^4-_
+     308*a^6*b^6/x^3-396*a^5*b^7/x^2-495*a^4*b^8/x+66*a^2*b^10*x+_
+     6*a*b^11*x^2+1/3*b^12*x^3+220*a^3*b^9*log(x)
+--R 
+--R
+--R   (2)
+--R             3 9 9            12 12         11 11        2 10 10         4 8 8
+--R       27720a b x log(x) + 42b  x   + 756a b  x   + 8316a b  x   - 62370a b x
+--R     + 
+--R               5 7 7         6 6 6         7 5 5         8 4 4        9 3 3
+--R       - 49896a b x  - 38808a b x  - 24948a b x  - 12474a b x  - 4620a b x
+--R     + 
+--R              10 2 2       11         12
+--R       - 1188a  b x  - 189a  b x - 14a
+--R  /
+--R         9
+--R     126x
+--R                                                    Type: Expression(Integer)
+--E 1072
+
+--S 1073 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R             3 9 9            12 12         11 11        2 10 10         4 8 8
+--R       27720a b x log(x) + 42b  x   + 756a b  x   + 8316a b  x   - 62370a b x
+--R     + 
+--R               5 7 7         6 6 6         7 5 5         8 4 4        9 3 3
+--R       - 49896a b x  - 38808a b x  - 24948a b x  - 12474a b x  - 4620a b x
+--R     + 
+--R              10 2 2       11         12
+--R       - 1188a  b x  - 189a  b x - 14a
+--R  /
+--R         9
+--R     126x
+--R                                         Type: Union(Expression(Integer),...)
+--E 1073
+
+--S 1074 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1074
+
+--S 1075 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1075
+
+)clear all
+
+--S 1076 of 3330
+t0000:=(a+b*x)^11/x^10
+--R 
+--R
+--R   (1)
+--R        11 11        10 10      2 9 9       3 8 8       4 7 7       5 6 6
+--R       b  x   + 11a b  x   + 55a b x  + 165a b x  + 330a b x  + 462a b x
+--R     + 
+--R           6 5 5       7 4 4       8 3 3      9 2 2      10       11
+--R       462a b x  + 330a b x  + 165a b x  + 55a b x  + 11a  b x + a
+--R  /
+--R      10
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1076
+
+--S 1077 of 3330
+r0000:=-1/9*a^11/x^9-11/8*a^10*b/x^8-55/7*a^9*b^2/x^7-55/2*a^8*b^3/x^6-_
+     66*a^7*b^4/x^5-231/2*a^6*b^5/x^4-154*a^5*b^6/x^3-165*a^4*b^7/x^2-_
+     165*a^3*b^8/x+11*a*b^10*x+1/2*b^11*x^2+55*a^2*b^9*log(x)
+--R 
+--R
+--R   (2)
+--R             2 9 9             11 11          10 10         3 8 8         4 7 7
+--R       27720a b x log(x) + 252b  x   + 5544a b  x   - 83160a b x  - 83160a b x
+--R     + 
+--R               5 6 6         6 5 5         7 4 4         8 3 3        9 2 2
+--R       - 77616a b x  - 58212a b x  - 33264a b x  - 13860a b x  - 3960a b x
+--R     + 
+--R             10         11
+--R       - 693a  b x - 56a
+--R  /
+--R         9
+--R     504x
+--R                                                    Type: Expression(Integer)
+--E 1077
+
+--S 1078 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R             2 9 9             11 11          10 10         3 8 8         4 7 7
+--R       27720a b x log(x) + 252b  x   + 5544a b  x   - 83160a b x  - 83160a b x
+--R     + 
+--R               5 6 6         6 5 5         7 4 4         8 3 3        9 2 2
+--R       - 77616a b x  - 58212a b x  - 33264a b x  - 13860a b x  - 3960a b x
+--R     + 
+--R             10         11
+--R       - 693a  b x - 56a
+--R  /
+--R         9
+--R     504x
+--R                                         Type: Union(Expression(Integer),...)
+--E 1078
+
+--S 1079 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1079
+
+--S 1080 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1080
+
+)clear all
+
+--S 1081 of 3330
+t0000:=(a+b*x)^10/x^10
+--R 
+--R
+--R   (1)
+--R        10 10        9 9      2 8 8       3 7 7       4 6 6       5 5 5
+--R       b  x   + 10a b x  + 45a b x  + 120a b x  + 210a b x  + 252a b x
+--R     + 
+--R           6 4 4       7 3 3      8 2 2      9       10
+--R       210a b x  + 120a b x  + 45a b x  + 10a b x + a
+--R  /
+--R      10
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1081
+
+--S 1082 of 3330
+r0000:=-1/9*a^10/x^9-5/4*a^9*b/x^8-45/7*a^8*b^2/x^7-20*a^7*b^3/x^6-_
+     42*a^6*b^4/x^5-63*a^5*b^5/x^4-70*a^4*b^6/x^3-60*a^3*b^7/x^2-_
+     45*a^2*b^8/x+b^10*x+10*a*b^9*log(x)
+--R 
+--R
+--R   (2)
+--R              9 9             10 10         2 8 8         3 7 7         4 6 6
+--R       2520a b x log(x) + 252b  x   - 11340a b x  - 15120a b x  - 17640a b x
+--R     + 
+--R               5 5 5         6 4 4        7 3 3        8 2 2       9         10
+--R       - 15876a b x  - 10584a b x  - 5040a b x  - 1620a b x  - 315a b x - 28a
+--R  /
+--R         9
+--R     252x
+--R                                                    Type: Expression(Integer)
+--E 1082
+
+--S 1083 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R              9 9             10 10         2 8 8         3 7 7         4 6 6
+--R       2520a b x log(x) + 252b  x   - 11340a b x  - 15120a b x  - 17640a b x
+--R     + 
+--R               5 5 5         6 4 4        7 3 3        8 2 2       9         10
+--R       - 15876a b x  - 10584a b x  - 5040a b x  - 1620a b x  - 315a b x - 28a
+--R  /
+--R         9
+--R     252x
+--R                                         Type: Union(Expression(Integer),...)
+--E 1083
+
+--S 1084 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1084
+
+--S 1085 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1085
+
+)clear all
+
+--S 1086 of 3330
+t0000:=(a+b*x)^9/x^10
+--R 
+--R
+--R   (1)
+--R        9 9       8 8      2 7 7      3 6 6       4 5 5       5 4 4      6 3 3
+--R       b x  + 9a b x  + 36a b x  + 84a b x  + 126a b x  + 126a b x  + 84a b x
+--R     + 
+--R          7 2 2     8       9
+--R       36a b x  + 9a b x + a
+--R  /
+--R      10
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1086
+
+--S 1087 of 3330
+r0000:=-1/9*a^9/x^9-9/8*a^8*b/x^8-36/7*a^7*b^2/x^7-14*a^6*b^3/x^6-_
+     126/5*a^5*b^4/x^5-63/2*a^4*b^5/x^4-28*a^3*b^6/x^3-_
+     18*a^2*b^7/x^2-9*a*b^8/x+b^9*log(x)
+--R 
+--R
+--R   (2)
+--R            9 9                 8 8         2 7 7         3 6 6         4 5 5
+--R       2520b x log(x) - 22680a b x  - 45360a b x  - 70560a b x  - 79380a b x
+--R     + 
+--R               5 4 4         6 3 3         7 2 2        8          9
+--R       - 63504a b x  - 35280a b x  - 12960a b x  - 2835a b x - 280a
+--R  /
+--R          9
+--R     2520x
+--R                                                    Type: Expression(Integer)
+--E 1087
+
+--S 1088 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R            9 9                 8 8         2 7 7         3 6 6         4 5 5
+--R       2520b x log(x) - 22680a b x  - 45360a b x  - 70560a b x  - 79380a b x
+--R     + 
+--R               5 4 4         6 3 3         7 2 2        8          9
+--R       - 63504a b x  - 35280a b x  - 12960a b x  - 2835a b x - 280a
+--R  /
+--R          9
+--R     2520x
+--R                                         Type: Union(Expression(Integer),...)
+--E 1088
+
+--S 1089 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1089
+
+--S 1090 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1090
+
+)clear all
+
+--S 1091 of 3330
+t0000:=(a+b*x)^8/x^10
+--R 
+--R
+--R   (1)
+--R        8 8       7 7      2 6 6      3 5 5      4 4 4      5 3 3      6 2 2
+--R       b x  + 8a b x  + 28a b x  + 56a b x  + 70a b x  + 56a b x  + 28a b x
+--R     + 
+--R         7       8
+--R       8a b x + a
+--R  /
+--R      10
+--R     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1091
+
+--S 1092 of 3330
+r0000:=-1/9*(a+b*x)^9/(a*x^9)
+--R 
+--R
+--R   (2)
+--R         1  9 9      8 8     2 7 7   28  3 6 6      4 5 5      5 4 4   28  6 3 3
+--R       - - b x  - a b x  - 4a b x  - -- a b x  - 14a b x  - 14a b x  - -- a b x
+--R         9                            3                                 3
+--R     + 
+--R           7 2 2    8      1  9
+--R       - 4a b x  - a b x - - a
+--R                           9
+--R  /
+--R        9
+--R     a x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 1092
+
+--S 1093 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R           8 8        7 7      2 6 6       3 5 5       4 4 4      5 3 3
+--R       - 9b x  - 36a b x  - 84a b x  - 126a b x  - 126a b x  - 84a b x
+--R     + 
+--R            6 2 2     7       8
+--R       - 36a b x  - 9a b x - a
+--R  /
+--R       9
+--R     9x
+--R                                         Type: Union(Expression(Integer),...)
+--E 1093
+
+--S 1094 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R         9
+--R        b
+--R   (4)  --
+--R        9a
+--R                                                    Type: Expression(Integer)
+--E 1094
+
+--S 1095 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1095
+
+)clear all
+
+--S 1096 of 3330
+t0000:=(a+b*x)^7/x^10
+--R 
+--R
+--R   (1)
+--R    7 7       6 6      2 5 5      3 4 4      4 3 3      5 2 2     6       7
+--R   b x  + 7a b x  + 21a b x  + 35a b x  + 35a b x  + 21a b x  + 7a b x + a
+--R   ------------------------------------------------------------------------
+--R                                       10
+--R                                      x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1096
+
+--S 1097 of 3330
+r0000:=-1/9*(a+b*x)^8/(a*x^9)+1/72*b*(a+b*x)^8/(a^2*x^8)
+--R 
+--R
+--R   (2)
+--R        1  9 9   1  2 7 7   7  3 6 6   21  4 5 5     5 4 4   35  6 3 3     7 2 2
+--R       -- b x  - - a b x  - - a b x  - -- a b x  - 7a b x  - -- a b x  - 3a b x
+--R       72        2          3           4                     6
+--R     + 
+--R         7  8      1  9
+--R       - - a b x - - a
+--R         8         9
+--R  /
+--R      2 9
+--R     a x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 1097
+
+--S 1098 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R            7 7         6 6       2 5 5       3 4 4       4 3 3       5 2 2
+--R       - 36b x  - 168a b x  - 378a b x  - 504a b x  - 420a b x  - 216a b x
+--R     + 
+--R            6        7
+--R       - 63a b x - 8a
+--R  /
+--R        9
+--R     72x
+--R                                         Type: Union(Expression(Integer),...)
+--E 1098
+
+--S 1099 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R            9
+--R           b
+--R   (4)  - ----
+--R             2
+--R          72a
+--R                                                    Type: Expression(Integer)
+--E 1099
+
+--S 1100 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1100
+
+)clear all
+
+--S 1101 of 3330
+t0000:=(a+b*x)^6/x^10
+--R 
+--R
+--R         6 6       5 5      2 4 4      3 3 3      4 2 2     5       6
+--R        b x  + 6a b x  + 15a b x  + 20a b x  + 15a b x  + 6a b x + a
+--R   (1)  -------------------------------------------------------------
+--R                                      10
+--R                                     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1101
+
+--S 1102 of 3330
+r0000:=-1/9*(a+b*x)^7/(a*x^9)+1/36*b*(a+b*x)^7/(a^2*x^8)-_
+     1/252*b^2*(a+b*x)^7/(a^3*x^7)
+--R 
+--R
+--R   (2)
+--R          1   9 9   1  3 6 6   3  4 5 5     5 4 4   10  6 3 3   15  7 2 2
+--R       - --- b x  - - a b x  - - a b x  - 3a b x  - -- a b x  - -- a b x
+--R         252        3          2                     3           7
+--R     + 
+--R         3  8      1  9
+--R       - - a b x - - a
+--R         4         9
+--R  /
+--R      3 9
+--R     a x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 1102
+
+--S 1103 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R        6 6         5 5       2 4 4       3 3 3       4 2 2       5         6
+--R   - 84b x  - 378a b x  - 756a b x  - 840a b x  - 540a b x  - 189a b x - 28a
+--R   --------------------------------------------------------------------------
+--R                                          9
+--R                                      252x
+--R                                         Type: Union(Expression(Integer),...)
+--E 1103
+
+--S 1104 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R           9
+--R          b
+--R   (4)  -----
+--R            3
+--R        252a
+--R                                                    Type: Expression(Integer)
+--E 1104
+
+--S 1105 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1105
+
+)clear all
+
+--S 1106 of 3330
+t0000:=(a+b*x)^5/x^10
+--R 
+--R
+--R         5 5       4 4      2 3 3      3 2 2     4       5
+--R        b x  + 5a b x  + 10a b x  + 10a b x  + 5a b x + a
+--R   (1)  --------------------------------------------------
+--R                                 10
+--R                                x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1106
+
+--S 1107 of 3330
+r0000:=-1/9*a^5/x^9-5/8*a^4*b/x^8-10/7*a^3*b^2/x^7-5/3*a^2*b^3/x^6-_
+     a*b^4/x^5-1/4*b^5/x^4
+--R 
+--R
+--R          1  5 5      4 4   5  2 3 3   10  3 2 2   5  4      1  5
+--R        - - b x  - a b x  - - a b x  - -- a b x  - - a b x - - a
+--R          4                 3           7          8         9
+--R   (2)  ---------------------------------------------------------
+--R                                     9
+--R                                    x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 1107
+
+--S 1108 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R              5 5         4 4       2 3 3       3 2 2       4         5
+--R        - 126b x  - 504a b x  - 840a b x  - 720a b x  - 315a b x - 56a
+--R   (3)  ---------------------------------------------------------------
+--R                                         9
+--R                                     504x
+--R                                         Type: Union(Expression(Integer),...)
+--E 1108
+
+--S 1109 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1109
+
+--S 1110 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1110
+
+)clear all
+
+--S 1111 of 3330
+t0000:=(a+b*x)^4/x^10
+--R 
+--R
+--R         4 4       3 3     2 2 2     3       4
+--R        b x  + 4a b x  + 6a b x  + 4a b x + a
+--R   (1)  --------------------------------------
+--R                           10
+--R                          x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1111
+
+--S 1112 of 3330
+r0000:=-1/9*a^4/x^9-1/2*a^3*b/x^8-6/7*a^2*b^2/x^7-2/3*a*b^3/x^6-1/5*b^4/x^5
+--R 
+--R
+--R          1  4 4   2    3 3   6  2 2 2   1  3      1  4
+--R        - - b x  - - a b x  - - a b x  - - a b x - - a
+--R          5        3          7          2         9
+--R   (2)  -----------------------------------------------
+--R                                9
+--R                               x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 1112
+
+--S 1113 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R              4 4         3 3       2 2 2       3         4
+--R        - 126b x  - 420a b x  - 540a b x  - 315a b x - 70a
+--R   (3)  ---------------------------------------------------
+--R                                   9
+--R                               630x
+--R                                         Type: Union(Expression(Integer),...)
+--E 1113
+
+--S 1114 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1114
+
+--S 1115 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1115
+
+)clear all
+
+--S 1116 of 3330
+t0000:=(a+b*x)^3/x^10
+--R 
+--R
+--R         3 3       2 2     2       3
+--R        b x  + 3a b x  + 3a b x + a
+--R   (1)  ----------------------------
+--R                      10
+--R                     x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1116
+
+--S 1117 of 3330
+r0000:=-1/9*a^3/x^9-3/8*a^2*b/x^8-3/7*a*b^2/x^7-1/6*b^3/x^6
+--R 
+--R
+--R          1  3 3   3    2 2   3  2      1  3
+--R        - - b x  - - a b x  - - a b x - - a
+--R          6        7          8         9
+--R   (2)  ------------------------------------
+--R                          9
+--R                         x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 1117
+
+--S 1118 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R             3 3         2 2       2         3
+--R        - 84b x  - 216a b x  - 189a b x - 56a
+--R   (3)  --------------------------------------
+--R                             9
+--R                         504x
+--R                                         Type: Union(Expression(Integer),...)
+--E 1118
+
+--S 1119 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1119
+
+--S 1120 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1120
+
+)clear all
+
+--S 1121 of 3330
+t0000:=(a+b*x)^2/x^10
+--R 
+--R
+--R         2 2             2
+--R        b x  + 2a b x + a
+--R   (1)  ------------------
+--R                 10
+--R                x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1121
+
+--S 1122 of 3330
+r0000:=-1/9*a^2/x^9-1/4*a*b/x^8-1/7*b^2/x^7
+--R 
+--R
+--R          1  2 2   1         1  2
+--R        - - b x  - - a b x - - a
+--R          7        4         9
+--R   (2)  -------------------------
+--R                     9
+--R                    x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 1122
+
+--S 1123 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R             2 2                2
+--R        - 36b x  - 63a b x - 28a
+--R   (3)  -------------------------
+--R                      9
+--R                  252x
+--R                                         Type: Union(Expression(Integer),...)
+--E 1123
+
+--S 1124 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1124
+
+--S 1125 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1125
+
+)clear all
+
+--S 1126 of 3330
+t0000:=(a+b*x)/x^10
+--R 
+--R
+--R        b x + a
+--R   (1)  -------
+--R           10
+--R          x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1126
+
+--S 1127 of 3330
+r0000:=-1/9*a/x^9-1/8*b/x^8
+--R 
+--R
+--R          1       1
+--R        - - b x - - a
+--R          8       9
+--R   (2)  -------------
+--R               9
+--R              x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 1127
+
+--S 1128 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        - 9b x - 8a
+--R   (3)  -----------
+--R               9
+--R            72x
+--R                                         Type: Union(Expression(Integer),...)
+--E 1128
+
+--S 1129 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1129
+
+--S 1130 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1130
+
+)clear all
+
+--S 1131 of 3330
+t0000:=1/x^10
+--R 
+--R
+--R         1
+--R   (1)  ---
+--R         10
+--R        x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1131
+
+--S 1132 of 3330
+r0000:=(-1/9)/x^9
+--R 
+--R
+--R           1
+--R           -
+--R           9
+--R   (2)  - ---
+--R            9
+--R           x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 1132
+
+--S 1133 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           1
+--R   (3)  - ---
+--R            9
+--R          9x
+--R                                         Type: Union(Expression(Integer),...)
+--E 1133
+
+--S 1134 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1134
+
+--S 1135 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1135
+
+)clear all
+
+--S 1136 of 3330
+t0000:=1/(x^10*(a+b*x))
+--R 
+--R
+--R              1
+--R   (1)  -------------
+--R           11      10
+--R        b x   + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1136
+
+--S 1137 of 3330
+r0000:=(-1/9)/(a*x^9)+1/8*b/(a^2*x^8)-1/7*b^2/(a^3*x^7)+1/6*b^3/(a^4*x^6)-_
+     1/5*b^4/(a^5*x^5)+1/4*b^5/(a^6*x^4)-1/3*b^6/(a^7*x^3)+_
+     1/2*b^7/(a^8*x^2)-b^8/(a^9*x)-b^9*log(x)/a^10+b^9*log(a+b*x)/a^10
+--R 
+--R
+--R   (2)
+--R            9 9                    9 9                8 8        2 7 7
+--R       2520b x log(b x + a) - 2520b x log(x) - 2520a b x  + 1260a b x
+--R     + 
+--R             3 6 6       4 5 5       5 4 4       6 3 3       7 2 2       8
+--R       - 840a b x  + 630a b x  - 504a b x  + 420a b x  - 360a b x  + 315a b x
+--R     + 
+--R             9
+--R       - 280a
+--R  /
+--R          10 9
+--R     2520a  x
+--R                                                    Type: Expression(Integer)
+--E 1137
+
+--S 1138 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R            9 9                    9 9                8 8        2 7 7
+--R       2520b x log(b x + a) - 2520b x log(x) - 2520a b x  + 1260a b x
+--R     + 
+--R             3 6 6       4 5 5       5 4 4       6 3 3       7 2 2       8
+--R       - 840a b x  + 630a b x  - 504a b x  + 420a b x  - 360a b x  + 315a b x
+--R     + 
+--R             9
+--R       - 280a
+--R  /
+--R          10 9
+--R     2520a  x
+--R                                         Type: Union(Expression(Integer),...)
+--E 1138
+
+--S 1139 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1139
+
+--S 1140 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1140
+
+)clear all
+
+--S 1141 of 3330
+t0000:=1/(x^10*(a+b*x)^2)
+--R 
+--R
+--R                    1
+--R   (1)  ------------------------
+--R         2 12         11    2 10
+--R        b x   + 2a b x   + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1141
+
+--S 1142 of 3330
+r0000:=(-1/9)/(a^2*x^9)+1/4*b/(a^3*x^8)-3/7*b^2/(a^4*x^7)+_
+     2/3*b^3/(a^5*x^6)-b^4/(a^6*x^5)+3/2*b^5/(a^7*x^4)-_
+     7/3*b^6/(a^8*x^3)+4*b^7/(a^9*x^2)-9*b^8/(a^10*x)-_
+     b^9/(a^10*(a+b*x))-10*b^9*log(x)/a^11+10*b^9*log(a+b*x)/a^11
+--R 
+--R
+--R   (2)
+--R             10 10          9 9                        10 10          9 9
+--R       (2520b  x   + 2520a b x )log(b x + a) + (- 2520b  x   - 2520a b x )log(x)
+--R     + 
+--R                9 9        2 8 8       3 7 7       4 6 6       5 5 5      6 4 4
+--R       - 2520a b x  - 1260a b x  + 420a b x  - 210a b x  + 126a b x  - 84a b x
+--R     + 
+--R          7 3 3      8 2 2      9         10
+--R       60a b x  - 45a b x  + 35a b x - 28a
+--R  /
+--R         11   10       12 9
+--R     252a  b x   + 252a  x
+--R                                                    Type: Expression(Integer)
+--E 1142
+
+--S 1143 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R             10 10          9 9                        10 10          9 9
+--R       (2520b  x   + 2520a b x )log(b x + a) + (- 2520b  x   - 2520a b x )log(x)
+--R     + 
+--R                9 9        2 8 8       3 7 7       4 6 6       5 5 5      6 4 4
+--R       - 2520a b x  - 1260a b x  + 420a b x  - 210a b x  + 126a b x  - 84a b x
+--R     + 
+--R          7 3 3      8 2 2      9         10
+--R       60a b x  - 45a b x  + 35a b x - 28a
+--R  /
+--R         11   10       12 9
+--R     252a  b x   + 252a  x
+--R                                         Type: Union(Expression(Integer),...)
+--E 1143
+
+--S 1144 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1144
+
+--S 1145 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1145
+
+)clear all
+
+--S 1146 of 3330
+t0000:=1/(x^10*(a+b*x)^3)
+--R 
+--R
+--R                         1
+--R   (1)  -----------------------------------
+--R         3 13       2 12     2   11    3 10
+--R        b x   + 3a b x   + 3a b x   + a x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1146
+
+--S 1147 of 3330
+r0000:=(-1/9)/(a^3*x^9)+3/8*b/(a^4*x^8)-6/7*b^2/(a^5*x^7)+_
+    5/3*b^3/(a^6*x^6)-3*b^4/(a^7*x^5)+21/4*b^5/(a^8*x^4)-_
+    28/3*b^6/(a^9*x^3)+18*b^7/(a^10*x^2)-45*b^8/(a^11*x)-_
+    1/2*b^9/(a^10*(a+b*x)^2)-10*b^9/(a^11*(a+b*x))-_
+    55*b^9*log(x)/a^12+55*b^9*log(a+b*x)/a^12
+--R 
+--R
+--R   (2)
+--R              11 11           10 10         2 9 9
+--R       (27720b  x   + 55440a b  x   + 27720a b x )log(b x + a)
+--R     + 
+--R                11 11           10 10         2 9 9                  10 10
+--R       (- 27720b  x   - 55440a b  x   - 27720a b x )log(x) - 27720a b  x
+--R     + 
+--R               2 9 9        3 8 8        4 7 7       5 6 6       6 5 5
+--R       - 41580a b x  - 9240a b x  + 2310a b x  - 924a b x  + 462a b x
+--R     + 
+--R             7 4 4       8 3 3       9 2 2      10         11
+--R       - 264a b x  + 165a b x  - 110a b x  + 77a  b x - 56a
+--R  /
+--R         12 2 11        13   10       14 9
+--R     504a  b x   + 1008a  b x   + 504a  x
+--R                                                    Type: Expression(Integer)
+--E 1147
+
+--S 1148 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R              11 11           10 10         2 9 9
+--R       (27720b  x   + 55440a b  x   + 27720a b x )log(b x + a)
+--R     + 
+--R                11 11           10 10         2 9 9                  10 10
+--R       (- 27720b  x   - 55440a b  x   - 27720a b x )log(x) - 27720a b  x
+--R     + 
+--R               2 9 9        3 8 8        4 7 7       5 6 6       6 5 5
+--R       - 41580a b x  - 9240a b x  + 2310a b x  - 924a b x  + 462a b x
+--R     + 
+--R             7 4 4       8 3 3       9 2 2      10         11
+--R       - 264a b x  + 165a b x  - 110a b x  + 77a  b x - 56a
+--R  /
+--R         12 2 11        13   10       14 9
+--R     504a  b x   + 1008a  b x   + 504a  x
+--R                                         Type: Union(Expression(Integer),...)
+--E 1148
+
+--S 1149 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1149
+
+--S 1150 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1150
+
+)clear all
+
+--S 1151 of 3330
+t0000:=1/(x*(2+3*x))
+--R 
+--R
+--R            1
+--R   (1)  --------
+--R          2
+--R        3x  + 2x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1151
+
+--S 1152 of 3330
+r0000:=1/2*log(x)-1/2*log(2+3*x)
+--R 
+--R
+--R        - log(3x + 2) + log(x)
+--R   (2)  ----------------------
+--R                   2
+--R                                                    Type: Expression(Integer)
+--E 1152
+
+--S 1153 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        - log(3x + 2) + log(x)
+--R   (3)  ----------------------
+--R                   2
+--R                                         Type: Union(Expression(Integer),...)
+--E 1153
+
+--S 1154 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1154
+
+--S 1155 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1155
+
+)clear all
+
+--S 1156 of 3330
+t0000:=1/(x*(4+6*x))
+--R 
+--R
+--R            1
+--R   (1)  --------
+--R          2
+--R        6x  + 4x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1156
+
+--S 1157 of 3330
+r0000:=1/4*log(x)-1/4*log(2+3*x)
+--R 
+--R
+--R        - log(3x + 2) + log(x)
+--R   (2)  ----------------------
+--R                   4
+--R                                                    Type: Expression(Integer)
+--E 1157
+
+--S 1158 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        - log(3x + 2) + log(x)
+--R   (3)  ----------------------
+--R                   4
+--R                                         Type: Union(Expression(Integer),...)
+--E 1158
+
+--S 1159 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1159
+
+--S 1160 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1160
+
+)clear all
+
+--S 1161 of 3330
+t0000:=1/(x^2*(4+6*x))
+--R 
+--R
+--R            1
+--R   (1)  ---------
+--R          3     2
+--R        6x  + 4x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1161
+
+--S 1162 of 3330
+r0000:=(-1/4)/x-3/8*log(x)+3/8*log(2+3*x)
+--R 
+--R
+--R        3x log(3x + 2) - 3x log(x) - 2
+--R   (2)  ------------------------------
+--R                      8x
+--R                                                    Type: Expression(Integer)
+--E 1162
+
+--S 1163 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        3x log(3x + 2) - 3x log(x) - 2
+--R   (3)  ------------------------------
+--R                      8x
+--R                                         Type: Union(Expression(Integer),...)
+--E 1163
+
+--S 1164 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1164
+
+--S 1165 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1165
+
+)clear all
+
+--S 1166 of 3330
+t0000:=1/(x^3*(4+6*x))
+--R 
+--R
+--R            1
+--R   (1)  ---------
+--R          4     3
+--R        6x  + 4x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1166
+
+--S 1167 of 3330
+r0000:=(-1/8)/x^2+3/8/x+9/16*log(x)-9/16*log(2+3*x)
+--R 
+--R
+--R            2                2
+--R        - 9x log(3x + 2) + 9x log(x) + 6x - 2
+--R   (2)  -------------------------------------
+--R                            2
+--R                         16x
+--R                                                    Type: Expression(Integer)
+--E 1167
+
+--S 1168 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R            2                2
+--R        - 9x log(3x + 2) + 9x log(x) + 6x - 2
+--R   (3)  -------------------------------------
+--R                            2
+--R                         16x
+--R                                         Type: Union(Expression(Integer),...)
+--E 1168
+
+--S 1169 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1169
+
+--S 1170 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1170
+
+)clear all
+
+--S 1171 of 3330
+t0000:=1/(x^4*(4+6*x))
+--R 
+--R
+--R            1
+--R   (1)  ---------
+--R          5     4
+--R        6x  + 4x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1171
+
+--S 1172 of 3330
+r0000:=(-1/12)/x^3+3/16/x^2+(-9/16)/x-27/32*log(x)+27/32*log(2+3*x)
+--R 
+--R
+--R           3                 3            2
+--R        81x log(3x + 2) - 81x log(x) - 54x  + 18x - 8
+--R   (2)  ---------------------------------------------
+--R                                3
+--R                             96x
+--R                                                    Type: Expression(Integer)
+--E 1172
+
+--S 1173 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           3                 3            2
+--R        81x log(3x + 2) - 81x log(x) - 54x  + 18x - 8
+--R   (3)  ---------------------------------------------
+--R                                3
+--R                             96x
+--R                                         Type: Union(Expression(Integer),...)
+--E 1173
+
+--S 1174 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1174
+
+--S 1175 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1175
+
+)clear all
+
+--S 1176 of 3330
+t0000:=1/(x^5*(4+6*x))
+--R 
+--R
+--R            1
+--R   (1)  ---------
+--R          6     5
+--R        6x  + 4x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1176
+
+--S 1177 of 3330
+r0000:=(-1/16)/x^4+1/8/x^3+(-9/32)/x^2+27/32/x+81/64*log(x)-81/64*log(2+3*x)
+--R 
+--R
+--R             4                 4            3      2
+--R        - 81x log(3x + 2) + 81x log(x) + 54x  - 18x  + 8x - 4
+--R   (2)  -----------------------------------------------------
+--R                                    4
+--R                                 64x
+--R                                                    Type: Expression(Integer)
+--E 1177
+
+--S 1178 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R             4                 4            3      2
+--R        - 81x log(3x + 2) + 81x log(x) + 54x  - 18x  + 8x - 4
+--R   (3)  -----------------------------------------------------
+--R                                    4
+--R                                 64x
+--R                                         Type: Union(Expression(Integer),...)
+--E 1178
+
+--S 1179 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1179
+
+--S 1180 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1180
+
+)clear all
+
+--S 1181 of 3330
+t0000:=1/(x*(4+6*x)^2)
+--R 
+--R
+--R                1
+--R   (1)  -----------------
+--R           3      2
+--R        36x  + 48x  + 16x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1181
+
+--S 1182 of 3330
+r0000:=1/8/(2+3*x)+1/16*log(x)-1/16*log(2+3*x)
+--R 
+--R
+--R        (- 3x - 2)log(3x + 2) + (3x + 2)log(x) + 2
+--R   (2)  ------------------------------------------
+--R                         48x + 32
+--R                                                    Type: Expression(Integer)
+--E 1182
+
+--S 1183 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        (- 3x - 2)log(3x + 2) + (3x + 2)log(x) + 2
+--R   (3)  ------------------------------------------
+--R                         48x + 32
+--R                                         Type: Union(Expression(Integer),...)
+--E 1183
+
+--S 1184 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1184
+
+--S 1185 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1185
+
+)clear all
+
+--S 1186 of 3330
+t0000:=1/(x^2*(4+6*x)^2)
+--R 
+--R
+--R                 1
+--R   (1)  ------------------
+--R           4      3      2
+--R        36x  + 48x  + 16x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1186
+
+--S 1187 of 3330
+r0000:=(-1/16)/x+(-3/16)/(2+3*x)-3/16*log(x)+3/16*log(2+3*x)
+--R 
+--R
+--R           2                         2
+--R        (9x  + 6x)log(3x + 2) + (- 9x  - 6x)log(x) - 6x - 2
+--R   (2)  ---------------------------------------------------
+--R                                2
+--R                             48x  + 32x
+--R                                                    Type: Expression(Integer)
+--E 1187
+
+--S 1188 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           2                         2
+--R        (9x  + 6x)log(3x + 2) + (- 9x  - 6x)log(x) - 6x - 2
+--R   (3)  ---------------------------------------------------
+--R                                2
+--R                             48x  + 32x
+--R                                         Type: Union(Expression(Integer),...)
+--E 1188
+
+--S 1189 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1189
+
+--S 1190 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1190
+
+)clear all
+
+--S 1191 of 3330
+t0000:=1/(x^3*(4+6*x)^2)
+--R 
+--R
+--R                 1
+--R   (1)  ------------------
+--R           5      4      3
+--R        36x  + 48x  + 16x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1191
+
+--S 1192 of 3330
+r0000:=(-1/32)/x^2+3/16/x+9/32/(2+3*x)+27/64*log(x)-27/64*log(2+3*x)
+--R 
+--R
+--R              3      2                   3      2             2
+--R        (- 81x  - 54x )log(3x + 2) + (81x  + 54x )log(x) + 54x  + 18x - 4
+--R   (2)  -----------------------------------------------------------------
+--R                                      3       2
+--R                                  192x  + 128x
+--R                                                    Type: Expression(Integer)
+--E 1192
+
+--S 1193 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R              3      2                   3      2             2
+--R        (- 81x  - 54x )log(3x + 2) + (81x  + 54x )log(x) + 54x  + 18x - 4
+--R   (3)  -----------------------------------------------------------------
+--R                                      3       2
+--R                                  192x  + 128x
+--R                                         Type: Union(Expression(Integer),...)
+--E 1193
+
+--S 1194 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1194
+
+--S 1195 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1195
+
+)clear all
+
+--S 1196 of 3330
+t0000:=1/(x^4*(4+6*x)^2)
+--R 
+--R
+--R                 1
+--R   (1)  ------------------
+--R           6      5      4
+--R        36x  + 48x  + 16x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1196
+
+--S 1197 of 3330
+r0000:=(-1/48)/x^3+3/32/x^2+(-27/64)/x+(-27/64)/(2+3*x)-_
+     27/32*log(x)+27/32*log(2+3*x)
+--R 
+--R
+--R   (2)
+--R        4       3                      4       3              3      2
+--R   (243x  + 162x )log(3x + 2) + (- 243x  - 162x )log(x) - 162x  - 54x  + 12x - 4
+--R   -----------------------------------------------------------------------------
+--R                                       4       3
+--R                                   288x  + 192x
+--R                                                    Type: Expression(Integer)
+--E 1197
+
+--S 1198 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R        4       3                      4       3              3      2
+--R   (243x  + 162x )log(3x + 2) + (- 243x  - 162x )log(x) - 162x  - 54x  + 12x - 4
+--R   -----------------------------------------------------------------------------
+--R                                       4       3
+--R                                   288x  + 192x
+--R                                         Type: Union(Expression(Integer),...)
+--E 1198
+
+--S 1199 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1199
+
+--S 1200 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1200
+
+)clear all
+
+--S 1201 of 3330
+t0000:=1/(x^5*(4+6*x)^2)
+--R 
+--R
+--R                 1
+--R   (1)  ------------------
+--R           7      6      5
+--R        36x  + 48x  + 16x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1201
+
+--S 1202 of 3330
+r0000:=(-1/64)/x^4+1/16/x^3+(-27/128)/x^2+27/32/x+_
+     81/128/(2+3*x)+405/256*log(x)-405/256*log(2+3*x)
+--R 
+--R
+--R   (2)
+--R               5       4                     5       4              4       3
+--R       (- 1215x  - 810x )log(3x + 2) + (1215x  + 810x )log(x) + 810x  + 270x
+--R     + 
+--R            2
+--R       - 60x  + 20x - 8
+--R  /
+--R         5       4
+--R     768x  + 512x
+--R                                                    Type: Expression(Integer)
+--E 1202
+
+--S 1203 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R               5       4                     5       4              4       3
+--R       (- 1215x  - 810x )log(3x + 2) + (1215x  + 810x )log(x) + 810x  + 270x
+--R     + 
+--R            2
+--R       - 60x  + 20x - 8
+--R  /
+--R         5       4
+--R     768x  + 512x
+--R                                         Type: Union(Expression(Integer),...)
+--E 1203
+
+--S 1204 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1204
+
+--S 1205 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1205
+
+)clear all
+
+--S 1206 of 3330
+t0000:=1/(x*(4+6*x)^3)
+--R 
+--R
+--R                     1
+--R   (1)  ---------------------------
+--R            4       3       2
+--R        216x  + 432x  + 288x  + 64x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1206
+
+--S 1207 of 3330
+r0000:=1/32/(2+3*x)^2+1/32/(2+3*x)+1/64*log(x)-1/64*log(2+3*x)
+--R 
+--R
+--R             2                            2
+--R        (- 9x  - 12x - 4)log(3x + 2) + (9x  + 12x + 4)log(x) + 6x + 6
+--R   (2)  -------------------------------------------------------------
+--R                                  2
+--R                              576x  + 768x + 256
+--R                                                    Type: Expression(Integer)
+--E 1207
+
+--S 1208 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R             2                            2
+--R        (- 9x  - 12x - 4)log(3x + 2) + (9x  + 12x + 4)log(x) + 6x + 6
+--R   (3)  -------------------------------------------------------------
+--R                                  2
+--R                              576x  + 768x + 256
+--R                                         Type: Union(Expression(Integer),...)
+--E 1208
+
+--S 1209 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1209
+
+--S 1210 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1210
+
+)clear all
+
+--S 1211 of 3330
+t0000:=1/(x^2*(4+6*x)^3)
+--R 
+--R
+--R                      1
+--R   (1)  ----------------------------
+--R            5       4       3      2
+--R        216x  + 432x  + 288x  + 64x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1211
+
+--S 1212 of 3330
+r0000:=(-1/64)/x+(-3/64)/(2+3*x)^2+(-3/32)/(2+3*x)-_
+     9/128*log(x)+9/128*log(2+3*x)
+--R 
+--R
+--R   (2)
+--R           3       2                           3       2                   2
+--R       (81x  + 108x  + 36x)log(3x + 2) + (- 81x  - 108x  - 36x)log(x) - 54x
+--R     + 
+--R       - 54x - 8
+--R  /
+--R          3        2
+--R     1152x  + 1536x  + 512x
+--R                                                    Type: Expression(Integer)
+--E 1212
+
+--S 1213 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R           3       2                           3       2                   2
+--R       (81x  + 108x  + 36x)log(3x + 2) + (- 81x  - 108x  - 36x)log(x) - 54x
+--R     + 
+--R       - 54x - 8
+--R  /
+--R          3        2
+--R     1152x  + 1536x  + 512x
+--R                                         Type: Union(Expression(Integer),...)
+--E 1213
+
+--S 1214 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1214
+
+--S 1215 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1215
+
+)clear all
+
+--S 1216 of 3330
+t0000:=1/(x^3*(4+6*x)^3)
+--R 
+--R
+--R                      1
+--R   (1)  ----------------------------
+--R            6       5       4      3
+--R        216x  + 432x  + 288x  + 64x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1216
+
+--S 1217 of 3330
+r0000:=(-1/128)/x^2+9/128/x+9/128/(2+3*x)^2+27/128/(2+3*x)+_
+     27/128*log(x)-27/128*log(2+3*x)
+--R 
+--R
+--R   (2)
+--R              4       3       2                    4       3       2
+--R       (- 243x  - 324x  - 108x )log(3x + 2) + (243x  + 324x  + 108x )log(x)
+--R     + 
+--R           3       2
+--R       162x  + 162x  + 24x - 4
+--R  /
+--R          4        3       2
+--R     1152x  + 1536x  + 512x
+--R                                                    Type: Expression(Integer)
+--E 1217
+
+--S 1218 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R              4       3       2                    4       3       2
+--R       (- 243x  - 324x  - 108x )log(3x + 2) + (243x  + 324x  + 108x )log(x)
+--R     + 
+--R           3       2
+--R       162x  + 162x  + 24x - 4
+--R  /
+--R          4        3       2
+--R     1152x  + 1536x  + 512x
+--R                                         Type: Union(Expression(Integer),...)
+--E 1218
+
+--S 1219 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1219
+
+--S 1220 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1220
+
+)clear all
+
+--S 1221 of 3330
+t0000:=1/(x^4*(4+6*x)^3)
+--R 
+--R
+--R                      1
+--R   (1)  ----------------------------
+--R            7       6       5      4
+--R        216x  + 432x  + 288x  + 64x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1221
+
+--S 1222 of 3330
+r0000:=(-1/192)/x^3+9/256/x^2+(-27/128)/x+(-27/256)/(2+3*x)^2+_
+     (-27/64)/(2+3*x)-135/256*log(x)+135/256*log(2+3*x)
+--R 
+--R
+--R   (2)
+--R             5        4        3
+--R       (3645x  + 4860x  + 1620x )log(3x + 2)
+--R     + 
+--R               5        4        3               4        3       2
+--R       (- 3645x  - 4860x  - 1620x )log(x) - 2430x  - 2430x  - 360x  + 60x - 16
+--R  /
+--R          5        4        3
+--R     6912x  + 9216x  + 3072x
+--R                                                    Type: Expression(Integer)
+--E 1222
+
+--S 1223 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R             5        4        3
+--R       (3645x  + 4860x  + 1620x )log(3x + 2)
+--R     + 
+--R               5        4        3               4        3       2
+--R       (- 3645x  - 4860x  - 1620x )log(x) - 2430x  - 2430x  - 360x  + 60x - 16
+--R  /
+--R          5        4        3
+--R     6912x  + 9216x  + 3072x
+--R                                         Type: Union(Expression(Integer),...)
+--E 1223
+
+--S 1224 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1224
+
+--S 1225 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1225
+
+)clear all
+
+--S 1226 of 3330
+t0000:=1/(x^5*(4+6*x)^3)
+--R 
+--R
+--R                      1
+--R   (1)  ----------------------------
+--R            8       7       6      5
+--R        216x  + 432x  + 288x  + 64x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1226
+
+--S 1227 of 3330
+r0000:=(-1/256)/x^4+3/128/x^3+(-27/256)/x^2+135/256/x+81/512/(2+3*x)^2+_
+     405/512/(2+3*x)+1215/1024*log(x)-1215/1024*log(2+3*x)
+--R 
+--R
+--R   (2)
+--R                6         5        4
+--R       (- 10935x  - 14580x  - 4860x )log(3x + 2)
+--R     + 
+--R              6         5        4               5        4        3       2
+--R       (10935x  + 14580x  + 4860x )log(x) + 7290x  + 7290x  + 1080x  - 180x
+--R     + 
+--R       48x - 16
+--R  /
+--R          6         5        4
+--R     9216x  + 12288x  + 4096x
+--R                                                    Type: Expression(Integer)
+--E 1227
+
+--S 1228 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                6         5        4
+--R       (- 10935x  - 14580x  - 4860x )log(3x + 2)
+--R     + 
+--R              6         5        4               5        4        3       2
+--R       (10935x  + 14580x  + 4860x )log(x) + 7290x  + 7290x  + 1080x  - 180x
+--R     + 
+--R       48x - 16
+--R  /
+--R          6         5        4
+--R     9216x  + 12288x  + 4096x
+--R                                         Type: Union(Expression(Integer),...)
+--E 1228
+
+--S 1229 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1229
+
+--S 1230 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1230
+
+--R
+--R
+)clear all
+
+--S 1231 of 3330
+t0000:=1/(2+2*x)
+--R 
+--R
+--R           1
+--R   (1)  ------
+--R        2x + 2
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1231
+
+--S 1232 of 3330
+r0000:=1/2*log(1+x)
+--R 
+--R
+--R        log(x + 1)
+--R   (2)  ----------
+--R             2
+--R                                                    Type: Expression(Integer)
+--E 1232
+
+--S 1233 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        log(x + 1)
+--R   (3)  ----------
+--R             2
+--R                                         Type: Union(Expression(Integer),...)
+--E 1233
+
+--S 1234 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1234
+
+--S 1235 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1235
+
+)clear all
+
+--S 1236 of 3330
+t0000:=1/(4-6*x)
+--R 
+--R
+--R             1
+--R   (1)  - ------
+--R          6x - 4
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1236
+
+--S 1237 of 3330
+r0000:=-1/6*log(2-3*x)
+--R 
+--R
+--R          log(- 3x + 2)
+--R   (2)  - -------------
+--R                6
+--R                                                    Type: Expression(Integer)
+--E 1237
+
+--S 1238 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R          log(3x - 2)
+--R   (3)  - -----------
+--R               6
+--R                                         Type: Union(Expression(Integer),...)
+--E 1238
+
+--S 1239 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R        - log(3x - 2) + log(- 3x + 2)
+--R   (4)  -----------------------------
+--R                      6
+--R                                                    Type: Expression(Integer)
+--E 1239
+
+--S 1240 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1240
+
+)clear all
+
+--S 1241 of 3330
+t0000:=1/(a+x*sqrt(a))
+--R 
+--R
+--R            1
+--R   (1)  ---------
+--R          +-+
+--R        x\|a  + a
+--R                                                    Type: Expression(Integer)
+--E 1241
+
+--S 1242 of 3330
+r0000:=log(x+sqrt(a))/sqrt(a)
+--R 
+--R
+--R             +-+
+--R        log(\|a  + x)
+--R   (2)  -------------
+--R              +-+
+--R             \|a
+--R                                                    Type: Expression(Integer)
+--E 1242
+
+--S 1243 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R              +-+
+--R        log(x\|a  + a)
+--R   (3)  --------------
+--R              +-+
+--R             \|a
+--R                                         Type: Union(Expression(Integer),...)
+--E 1243
+
+--S 1244 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R              +-+             +-+
+--R        log(x\|a  + a) - log(\|a  + x)
+--R   (4)  ------------------------------
+--R                      +-+
+--R                     \|a
+--R                                                    Type: Expression(Integer)
+--E 1244
+
+--S 1245 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1245
+
+)clear all
+
+--S 1246 of 3330
+t0000:=1/(a+x*sqrt(-a))
+--R 
+--R
+--R             1
+--R   (1)  -----------
+--R          +---+
+--R        x\|- a  + a
+--R                                                    Type: Expression(Integer)
+--E 1246
+
+--S 1247 of 3330
+r0000:=log(-x+sqrt(-a))/sqrt(-a)
+--R 
+--R
+--R             +---+
+--R        log(\|- a  - x)
+--R   (2)  ---------------
+--R              +---+
+--R             \|- a
+--R                                                    Type: Expression(Integer)
+--E 1247
+
+--S 1248 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R              +---+
+--R        log(x\|- a  + a)
+--R   (3)  ----------------
+--R              +---+
+--R             \|- a
+--R                                         Type: Union(Expression(Integer),...)
+--E 1248
+
+--S 1249 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R              +---+             +---+
+--R        log(x\|- a  + a) - log(\|- a  - x)
+--R   (4)  ----------------------------------
+--R                       +---+
+--R                      \|- a
+--R                                                    Type: Expression(Integer)
+--E 1249
+
+--S 1250 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1250
+
+)clear all
+
+--S 1251 of 3330
+t0000:=1/(a^2+x*sqrt(-a))
+--R 
+--R
+--R              1
+--R   (1)  ------------
+--R          +---+    2
+--R        x\|- a  + a
+--R                                                    Type: Expression(Integer)
+--E 1251
+
+--S 1252 of 3330
+r0000:=log((-a)^(3/2)+x)/sqrt(-a)
+--R 
+--R
+--R                +---+
+--R        log(- a\|- a  + x)
+--R   (2)  ------------------
+--R               +---+
+--R              \|- a
+--R                                                    Type: Expression(Integer)
+--E 1252
+
+--S 1253 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R              +---+    2
+--R        log(x\|- a  + a )
+--R   (3)  -----------------
+--R               +---+
+--R              \|- a
+--R                                         Type: Union(Expression(Integer),...)
+--E 1253
+
+--S 1254 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R              +---+    2            +---+
+--R        log(x\|- a  + a ) - log(- a\|- a  + x)
+--R   (4)  --------------------------------------
+--R                         +---+
+--R                        \|- a
+--R                                                    Type: Expression(Integer)
+--E 1254
+
+--S 1255 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1255
+
+)clear all
+
+--S 1256 of 3330
+t0000:=1/(a^3+x*sqrt(-a))
+--R 
+--R
+--R              1
+--R   (1)  ------------
+--R          +---+    3
+--R        x\|- a  + a
+--R                                                    Type: Expression(Integer)
+--E 1256
+
+--S 1257 of 3330
+r0000:=log((-a)^(5/2)-x)/sqrt(-a)
+--R 
+--R
+--R             2 +---+
+--R        log(a \|- a  - x)
+--R   (2)  -----------------
+--R               +---+
+--R              \|- a
+--R                                                    Type: Expression(Integer)
+--E 1257
+
+--S 1258 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R              +---+    3
+--R        log(x\|- a  + a )
+--R   (3)  -----------------
+--R               +---+
+--R              \|- a
+--R                                         Type: Union(Expression(Integer),...)
+--E 1258
+
+--S 1259 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R              +---+    3         2 +---+
+--R        log(x\|- a  + a ) - log(a \|- a  - x)
+--R   (4)  -------------------------------------
+--R                         +---+
+--R                        \|- a
+--R                                                    Type: Expression(Integer)
+--E 1259
+
+--S 1260 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1260
+
+)clear all
+
+--S 1261 of 3330
+t0000:=1/(1/a+x*sqrt(-a))
+--R 
+--R
+--R              a
+--R   (1)  -------------
+--R            +---+
+--R        a x\|- a  + 1
+--R                                                    Type: Expression(Integer)
+--E 1261
+
+--S 1262 of 3330
+r0000:=log(1-(-a)^(3/2)*x)/sqrt(-a)
+--R 
+--R
+--R                +---+
+--R        log(a x\|- a  + 1)
+--R   (2)  ------------------
+--R               +---+
+--R              \|- a
+--R                                                    Type: Expression(Integer)
+--E 1262
+
+--S 1263 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                +---+
+--R        log(a x\|- a  + 1)
+--R   (3)  ------------------
+--R               +---+
+--R              \|- a
+--R                                         Type: Union(Expression(Integer),...)
+--E 1263
+
+--S 1264 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1264
+
+--S 1265 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1265
+
+)clear all
+
+--S 1266 of 3330
+t0000:=1/(1/a^2+x*sqrt(-a))
+--R 
+--R
+--R               2
+--R              a
+--R   (1)  -------------
+--R         2  +---+
+--R        a x\|- a  + 1
+--R                                                    Type: Expression(Integer)
+--E 1266
+
+--S 1267 of 3330
+r0000:=log(1+(-a)^(5/2)*x)/sqrt(-a)
+--R 
+--R
+--R             2  +---+
+--R        log(a x\|- a  + 1)
+--R   (2)  ------------------
+--R               +---+
+--R              \|- a
+--R                                                    Type: Expression(Integer)
+--E 1267
+
+--S 1268 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R             2  +---+
+--R        log(a x\|- a  + 1)
+--R   (3)  ------------------
+--R               +---+
+--R              \|- a
+--R                                         Type: Union(Expression(Integer),...)
+--E 1268
+
+--S 1269 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1269
+
+--S 1270 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1270
+
+)clear all
+
+--S 1271 of 3330
+t0000:=1/(x*(1+b*x))
+--R 
+--R
+--R            1
+--R   (1)  --------
+--R           2
+--R        b x  + x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1271
+
+--S 1272 of 3330
+r0000:=log(x)-log(1+b*x)
+--R 
+--R
+--R   (2)  - log(b x + 1) + log(x)
+--R                                                    Type: Expression(Integer)
+--E 1272
+
+--S 1273 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)  - log(b x + 1) + log(x)
+--R                                         Type: Union(Expression(Integer),...)
+--E 1273
+
+--S 1274 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1274
+
+--S 1275 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1275
+
+)clear all
+
+--S 1276 of 3330
+t0000:=1/(x*(-1+b*x))
+--R 
+--R
+--R            1
+--R   (1)  --------
+--R           2
+--R        b x  - x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1276
+
+--S 1277 of 3330
+r0000:=-log(x)+log(1-b*x)
+--R 
+--R
+--R   (2)  - log(x) + log(- b x + 1)
+--R                                                    Type: Expression(Integer)
+--E 1277
+
+--S 1278 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)  log(b x - 1) - log(x)
+--R                                         Type: Union(Expression(Integer),...)
+--E 1278
+
+--S 1279 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  log(b x - 1) - log(- b x + 1)
+--R                                                    Type: Expression(Integer)
+--E 1279
+
+--S 1280 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1280
+
+)clear all
+
+--S 1281 of 3330
+t0000:=1/(x^2*(1+b*x))
+--R 
+--R
+--R            1
+--R   (1)  ---------
+--R           3    2
+--R        b x  + x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1281
+
+--S 1282 of 3330
+r0000:=(-1)/x-b*log(x)+b*log(1+b*x)
+--R 
+--R
+--R        b x log(b x + 1) - b x log(x) - 1
+--R   (2)  ---------------------------------
+--R                        x
+--R                                                    Type: Expression(Integer)
+--E 1282
+
+--S 1283 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        b x log(b x + 1) - b x log(x) - 1
+--R   (3)  ---------------------------------
+--R                        x
+--R                                         Type: Union(Expression(Integer),...)
+--E 1283
+
+--S 1284 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1284
+
+--S 1285 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1285
+
+)clear all
+
+--S 1286 of 3330
+t0000:=1/(x^2*(-1+b*x))
+--R 
+--R
+--R            1
+--R   (1)  ---------
+--R           3    2
+--R        b x  - x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1286
+
+--S 1287 of 3330
+r0000:=1/x-b*log(x)+b*log(1-b*x)
+--R 
+--R
+--R        - b x log(x) + b x log(- b x + 1) + 1
+--R   (2)  -------------------------------------
+--R                          x
+--R                                                    Type: Expression(Integer)
+--E 1287
+
+--S 1288 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        b x log(b x - 1) - b x log(x) + 1
+--R   (3)  ---------------------------------
+--R                        x
+--R                                         Type: Union(Expression(Integer),...)
+--E 1288
+
+--S 1289 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  b log(b x - 1) - b log(- b x + 1)
+--R                                                    Type: Expression(Integer)
+--E 1289
+
+--S 1290 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1290
+
+)clear all
+
+--S 1291 of 3330
+t0000:=b/x+1/(x^2*(1+b*x))
+--R 
+--R
+--R         2 2
+--R        b x  + b x + 1
+--R   (1)  --------------
+--R              3    2
+--R           b x  + x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1291
+
+--S 1292 of 3330
+r0000:=(-1)/x+b*log(1+b*x)
+--R 
+--R
+--R        b x log(b x + 1) - 1
+--R   (2)  --------------------
+--R                  x
+--R                                                    Type: Expression(Integer)
+--E 1292
+
+--S 1293 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        b x log(b x + 1) - 1
+--R   (3)  --------------------
+--R                  x
+--R                                         Type: Union(Expression(Integer),...)
+--E 1293
+
+--S 1294 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1294
+
+--S 1295 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1295
+
+)clear all
+
+--S 1296 of 3330
+t0000:=x^m*sqrt(a+b*x)
+--R 
+--R
+--R         m +-------+
+--R   (1)  x \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1296
+
+--S 1297 of 3330
+--r0000:=2*x^(1+m)*sqrt(a+b*x)/(3+2*m)+2*a*x^m*_
+--       hypergeometric(1/2,-m,3/2,(a+b*x)/a)*sqrt(a+b*x)/_
+--                      (b*(3+2*m)*(-b*x/a)^m)
+--E 1297
+
+--S 1298 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           x
+--R         ++    m +--------+
+--R   (2)   |   %N \|%N b + a d%N
+--R        ++
+--R                                         Type: Union(Expression(Integer),...)
+--E 1298
+
+--S 1299 of 3330
+--m0000:=a0000 - r0000
+--E 1299
+
+--S 1300 of 3330
+--d0000:=D(m0000,x)
+--E 1300
+
+)clear all
+
+--S 1301 of 3330
+t0000:=x^3*sqrt(a+b*x)
+--R 
+--R
+--R         3 +-------+
+--R   (1)  x \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1301
+
+--S 1302 of 3330
+r0000:=-2/3*a^3*(a+b*x)^(3/2)/b^4+6/5*a^2*(a+b*x)^(5/2)/b^4-_
+     6/7*a*(a+b*x)^(7/2)/b^4+2/9*(a+b*x)^(9/2)/b^4
+--R 
+--R
+--R            4 4        3 3      2 2 2      3         4  +-------+
+--R        (70b x  + 10a b x  - 12a b x  + 16a b x - 32a )\|b x + a
+--R   (2)  ---------------------------------------------------------
+--R                                      4
+--R                                  315b
+--R                                                    Type: Expression(Integer)
+--E 1302
+
+--S 1303 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R            4 4        3 3      2 2 2      3         4  +-------+
+--R        (70b x  + 10a b x  - 12a b x  + 16a b x - 32a )\|b x + a
+--R   (3)  ---------------------------------------------------------
+--R                                      4
+--R                                  315b
+--R                                         Type: Union(Expression(Integer),...)
+--E 1303
+
+--S 1304 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1304
+
+--S 1305 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1305
+
+)clear all
+
+--S 1306 of 3330
+t0000:=x^2*sqrt(a+b*x)
+--R 
+--R
+--R         2 +-------+
+--R   (1)  x \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1306
+
+--S 1307 of 3330
+r0000:=2/3*a^2*(a+b*x)^(3/2)/b^3-4/5*a*(a+b*x)^(5/2)/b^3+2/7*(a+b*x)^(7/2)/b^3
+--R 
+--R
+--R            3 3       2 2     2         3  +-------+
+--R        (30b x  + 6a b x  - 8a b x + 16a )\|b x + a
+--R   (2)  --------------------------------------------
+--R                                3
+--R                            105b
+--R                                                    Type: Expression(Integer)
+--E 1307
+
+--S 1308 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R            3 3       2 2     2         3  +-------+
+--R        (30b x  + 6a b x  - 8a b x + 16a )\|b x + a
+--R   (3)  --------------------------------------------
+--R                                3
+--R                            105b
+--R                                         Type: Union(Expression(Integer),...)
+--E 1308
+
+--S 1309 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1309
+
+--S 1310 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1310
+
+)clear all
+
+--S 1311 of 3330
+t0000:=x*sqrt(a+b*x)
+--R 
+--R
+--R          +-------+
+--R   (1)  x\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1311
+
+--S 1312 of 3330
+r0000:=-2/3*a*(a+b*x)^(3/2)/b^2+2/5*(a+b*x)^(5/2)/b^2
+--R 
+--R
+--R           2 2              2  +-------+
+--R        (6b x  + 2a b x - 4a )\|b x + a
+--R   (2)  --------------------------------
+--R                         2
+--R                      15b
+--R                                                    Type: Expression(Integer)
+--E 1312
+
+--S 1313 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           2 2              2  +-------+
+--R        (6b x  + 2a b x - 4a )\|b x + a
+--R   (3)  --------------------------------
+--R                         2
+--R                      15b
+--R                                         Type: Union(Expression(Integer),...)
+--E 1313
+
+--S 1314 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1314
+
+--S 1315 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1315
+
+)clear all
+
+--S 1316 of 3330
+t0000:=sqrt(a+b*x)
+--R 
+--R
+--R         +-------+
+--R   (1)  \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1316
+
+--S 1317 of 3330
+r0000:=2/3*(a+b*x)^(3/2)/b
+--R 
+--R
+--R                    +-------+
+--R        (2b x + 2a)\|b x + a
+--R   (2)  ---------------------
+--R                  3b
+--R                                                    Type: Expression(Integer)
+--E 1317
+
+--S 1318 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                    +-------+
+--R        (2b x + 2a)\|b x + a
+--R   (3)  ---------------------
+--R                  3b
+--R                                         Type: Union(Expression(Integer),...)
+--E 1318
+
+--S 1319 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1319
+
+--S 1320 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1320
+
+)clear all
+
+--S 1321 of 3330
+t0000:=sqrt(a+b*x)/x
+--R 
+--R
+--R         +-------+
+--R        \|b x + a
+--R   (1)  ----------
+--R             x
+--R                                                    Type: Expression(Integer)
+--E 1321
+
+--S 1322 of 3330
+r0000:=-2*atanh(sqrt(a+b*x)/sqrt(a))*sqrt(a)+2*sqrt(a+b*x)
+--R 
+--R
+--R                      +-------+
+--R            +-+      \|b x + a       +-------+
+--R   (2)  - 2\|a atanh(----------) + 2\|b x + a
+--R                         +-+
+--R                        \|a
+--R                                                    Type: Expression(Integer)
+--E 1322
+
+--S 1323 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                +-+ +-------+
+--R     +-+    - 2\|a \|b x + a  + b x + 2a      +-------+
+--R   [\|a log(----------------------------) + 2\|b x + a ,
+--R                          x
+--R                   +-------+
+--R        +---+     \|b x + a       +-------+
+--R    - 2\|- a atan(----------) + 2\|b x + a ]
+--R                     +---+
+--R                    \|- a
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1323
+
+--S 1324 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                    +-+ +-------+                           +-------+
+--R         +-+    - 2\|a \|b x + a  + b x + 2a      +-+      \|b x + a
+--R   (4)  \|a log(----------------------------) + 2\|a atanh(----------)
+--R                              x                                +-+
+--R                                                              \|a
+--R                                                    Type: Expression(Integer)
+--E 1324
+
+--S 1325 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1325
+
+--S 1326 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                    +-------+                 +-------+
+--R          +-+      \|b x + a       +---+     \|b x + a
+--R   (6)  2\|a atanh(----------) - 2\|- a atan(----------)
+--R                       +-+                      +---+
+--R                      \|a                      \|- a
+--R                                                    Type: Expression(Integer)
+--E 1326
+
+--S 1327 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1327
+
+)clear all
+
+--S 1328 of 3330
+t0000:=sqrt(a+b*x)/x^2
+--R 
+--R
+--R         +-------+
+--R        \|b x + a
+--R   (1)  ----------
+--R             2
+--R            x
+--R                                                    Type: Expression(Integer)
+--E 1328
+
+--S 1329 of 3330
+r0000:=-b*atanh(sqrt(a+b*x)/sqrt(a))/sqrt(a)-sqrt(a+b*x)/x
+--R 
+--R
+--R                     +-------+
+--R                    \|b x + a      +-+ +-------+
+--R        - b x atanh(----------) - \|a \|b x + a
+--R                        +-+
+--R                       \|a
+--R   (2)  ----------------------------------------
+--R                            +-+
+--R                          x\|a
+--R                                                    Type: Expression(Integer)
+--E 1329
+
+--S 1330 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                 +-------+              +-+
+--R            - 2a\|b x + a  + (b x + 2a)\|a       +-+ +-------+
+--R    b x log(-------------------------------) - 2\|a \|b x + a
+--R                           x
+--R   [----------------------------------------------------------,
+--R                                 +-+
+--R                              2x\|a
+--R                +---+ +-------+
+--R               \|- a \|b x + a      +---+ +-------+
+--R    - b x atan(----------------) - \|- a \|b x + a
+--R                       a
+--R    -----------------------------------------------]
+--R                          +---+
+--R                        x\|- a
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1330
+
+--S 1331 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                   +-------+              +-+              +-------+
+--R              - 2a\|b x + a  + (b x + 2a)\|a              \|b x + a
+--R        b log(-------------------------------) + 2b atanh(----------)
+--R                             x                                +-+
+--R                                                             \|a
+--R   (4)  -------------------------------------------------------------
+--R                                      +-+
+--R                                    2\|a
+--R                                                    Type: Expression(Integer)
+--E 1331
+
+--S 1332 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1332
+
+--S 1333 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                      +-------+               +---+ +-------+
+--R          +---+      \|b x + a       +-+     \|- a \|b x + a
+--R        b\|- a atanh(----------) - b\|a atan(----------------)
+--R                         +-+                         a
+--R                        \|a
+--R   (6)  ------------------------------------------------------
+--R                               +---+ +-+
+--R                              \|- a \|a
+--R                                                    Type: Expression(Integer)
+--E 1333
+
+--S 1334 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1334
+
+)clear all
+
+--S 1335 of 3330
+t0000:=sqrt(a+b*x)/x^3
+--R 
+--R
+--R         +-------+
+--R        \|b x + a
+--R   (1)  ----------
+--R             3
+--R            x
+--R                                                    Type: Expression(Integer)
+--E 1335
+
+--S 1336 of 3330
+r0000:=1/4*b^2*atanh(sqrt(a+b*x)/sqrt(a))/a^(3/2)-_
+     1/2*sqrt(a+b*x)/x^2-1/4*b*sqrt(a+b*x)/(a*x)
+--R 
+--R
+--R                   +-------+
+--R         2 2      \|b x + a                  +-+ +-------+
+--R        b x atanh(----------) + (- b x - 2a)\|a \|b x + a
+--R                      +-+
+--R                     \|a
+--R   (2)  --------------------------------------------------
+--R                                 2 +-+
+--R                             4a x \|a
+--R                                                    Type: Expression(Integer)
+--E 1336
+
+--S 1337 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R               +-------+              +-+
+--R     2 2    2a\|b x + a  + (b x + 2a)\|a                   +-+ +-------+
+--R    b x log(-----------------------------) + (- 2b x - 4a)\|a \|b x + a
+--R                          x
+--R   [--------------------------------------------------------------------,
+--R                                      2 +-+
+--R                                  8a x \|a
+--R              +---+ +-------+
+--R     2 2     \|- a \|b x + a                  +---+ +-------+
+--R    b x atan(----------------) + (- b x - 2a)\|- a \|b x + a
+--R                     a
+--R    ---------------------------------------------------------]
+--R                               2 +---+
+--R                           4a x \|- a
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1337
+
+--S 1338 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                 +-------+              +-+              +-------+
+--R         2    2a\|b x + a  + (b x + 2a)\|a       2      \|b x + a
+--R        b log(-----------------------------) - 2b atanh(----------)
+--R                            x                               +-+
+--R                                                           \|a
+--R   (4)  -----------------------------------------------------------
+--R                                      +-+
+--R                                   8a\|a
+--R                                                    Type: Expression(Integer)
+--E 1338
+
+--S 1339 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1339
+
+--S 1340 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                         +-------+                +---+ +-------+
+--R           2 +---+      \|b x + a      2 +-+     \|- a \|b x + a
+--R        - b \|- a atanh(----------) + b \|a atan(----------------)
+--R                            +-+                          a
+--R                           \|a
+--R   (6)  ----------------------------------------------------------
+--R                                  +---+ +-+
+--R                               4a\|- a \|a
+--R                                                    Type: Expression(Integer)
+--E 1340
+
+--S 1341 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1341
+
+)clear all
+
+--S 1342 of 3330
+t0000:=sqrt(a+b*x)/x^4
+--R 
+--R
+--R         +-------+
+--R        \|b x + a
+--R   (1)  ----------
+--R             4
+--R            x
+--R                                                    Type: Expression(Integer)
+--E 1342
+
+--S 1343 of 3330
+r0000:=-1/8*b^3*atanh(sqrt(a+b*x)/sqrt(a))/a^(5/2)-1/3*sqrt(a+b*x)/x^3-_
+     1/12*b*sqrt(a+b*x)/(a*x^2)+1/8*b^2*sqrt(a+b*x)/(a^2*x)
+--R 
+--R
+--R                      +-------+
+--R            3 3      \|b x + a        2 2              2  +-+ +-------+
+--R        - 3b x atanh(----------) + (3b x  - 2a b x - 8a )\|a \|b x + a
+--R                         +-+
+--R                        \|a
+--R   (2)  ---------------------------------------------------------------
+--R                                      2 3 +-+
+--R                                   24a x \|a
+--R                                                    Type: Expression(Integer)
+--E 1343
+
+--S 1344 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                       +-------+              +-+
+--R           3 3    - 2a\|b x + a  + (b x + 2a)\|a
+--R         3b x log(-------------------------------)
+--R                                 x
+--R       + 
+--R            2 2               2  +-+ +-------+
+--R         (6b x  - 4a b x - 16a )\|a \|b x + a
+--R    /
+--R          2 3 +-+
+--R       48a x \|a
+--R     ,
+--R                 +---+ +-------+
+--R        3 3     \|- a \|b x + a        2 2              2  +---+ +-------+
+--R    - 3b x atan(----------------) + (3b x  - 2a b x - 8a )\|- a \|b x + a
+--R                        a
+--R    ----------------------------------------------------------------------]
+--R                                    2 3 +---+
+--R                                 24a x \|- a
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1344
+
+--S 1345 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                   +-------+              +-+              +-------+
+--R         3    - 2a\|b x + a  + (b x + 2a)\|a       3      \|b x + a
+--R        b log(-------------------------------) + 2b atanh(----------)
+--R                             x                                +-+
+--R                                                             \|a
+--R   (4)  -------------------------------------------------------------
+--R                                      2 +-+
+--R                                   16a \|a
+--R                                                    Type: Expression(Integer)
+--E 1345
+
+--S 1346 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1346
+
+--S 1347 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                       +-------+                +---+ +-------+
+--R         3 +---+      \|b x + a      3 +-+     \|- a \|b x + a
+--R        b \|- a atanh(----------) - b \|a atan(----------------)
+--R                          +-+                          a
+--R                         \|a
+--R   (6)  --------------------------------------------------------
+--R                                2 +---+ +-+
+--R                              8a \|- a \|a
+--R                                                    Type: Expression(Integer)
+--E 1347
+
+--S 1348 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1348
+
+)clear all
+
+--S 1349 of 3330
+t0000:=x^m*(a+b*x)^(3/2)
+--R 
+--R
+--R                  m +-------+
+--R   (1)  (b x + a)x \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1349
+
+--S 1350 of 3330
+--r0000:=2*x^(1+m)*(a+b*x)^(3/2)/(5+2*m)+_
+--       6*a*x^(1+m)*sqrt(a+b*x)/(15+16*m+4*m^2)+_
+--       6*a^2*x^m*hypergeometric(1/2,-m,3/2,(a+b*x)/a)*sqrt(a+b*x)/_
+--       (b*(15+16*m+4*m^2)*(-b*x/a)^m)
+--E 1350
+
+--S 1351 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           x
+--R         ++              m +--------+
+--R   (2)   |   (%N b + a)%N \|%N b + a d%N
+--R        ++
+--R                                         Type: Union(Expression(Integer),...)
+--E 1351
+
+--S 1352 of 3330
+--m0000:=a0000 - r0000
+--E 1352
+
+--S 1353 of 3330
+--d0000:=D(m0000,x)
+--E 1353
+
+)clear all
+
+--S 1354 of 3330
+t0000:=x^3*(a+b*x)^(3/2)
+--R 
+--R
+--R            4      3  +-------+
+--R   (1)  (b x  + a x )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1354
+
+--S 1355 of 3330
+r0000:=-2/5*a^3*(a+b*x)^(5/2)/b^4+6/7*a^2*(a+b*x)^(7/2)/b^4-_
+     2/3*a*(a+b*x)^(9/2)/b^4+2/11*(a+b*x)^(11/2)/b^4
+--R 
+--R
+--R             5 5         4 4      2 3 3      3 2 2      4         5  +-------+
+--R        (210b x  + 280a b x  + 10a b x  - 12a b x  + 16a b x - 32a )\|b x + a
+--R   (2)  ----------------------------------------------------------------------
+--R                                             4
+--R                                        1155b
+--R                                                    Type: Expression(Integer)
+--E 1355
+
+--S 1356 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R             5 5         4 4      2 3 3      3 2 2      4         5  +-------+
+--R        (210b x  + 280a b x  + 10a b x  - 12a b x  + 16a b x - 32a )\|b x + a
+--R   (3)  ----------------------------------------------------------------------
+--R                                             4
+--R                                        1155b
+--R                                         Type: Union(Expression(Integer),...)
+--E 1356
+
+--S 1357 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1357
+
+--S 1358 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1358
+
+)clear all
+
+--S 1359 of 3330
+t0000:=x^2*(a+b*x)^(3/2)
+--R 
+--R
+--R            3      2  +-------+
+--R   (1)  (b x  + a x )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1359
+
+--S 1360 of 3330
+r0000:=2/5*a^2*(a+b*x)^(5/2)/b^3-4/7*a*(a+b*x)^(7/2)/b^3+2/9*(a+b*x)^(9/2)/b^3
+--R 
+--R
+--R            4 4         3 3     2 2 2     3         4  +-------+
+--R        (70b x  + 100a b x  + 6a b x  - 8a b x + 16a )\|b x + a
+--R   (2)  --------------------------------------------------------
+--R                                      3
+--R                                  315b
+--R                                                    Type: Expression(Integer)
+--E 1360
+
+--S 1361 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R            4 4         3 3     2 2 2     3         4  +-------+
+--R        (70b x  + 100a b x  + 6a b x  - 8a b x + 16a )\|b x + a
+--R   (3)  --------------------------------------------------------
+--R                                      3
+--R                                  315b
+--R                                         Type: Union(Expression(Integer),...)
+--E 1361
+
+--S 1362 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1362
+
+--S 1363 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1363
+
+)clear all
+
+--S 1364 of 3330
+t0000:=x*(a+b*x)^(3/2)
+--R 
+--R
+--R            2        +-------+
+--R   (1)  (b x  + a x)\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1364
+
+--S 1365 of 3330
+r0000:=-2/5*a*(a+b*x)^(5/2)/b^2+2/7*(a+b*x)^(7/2)/b^2
+--R 
+--R
+--R            3 3        2 2     2        3  +-------+
+--R        (10b x  + 16a b x  + 2a b x - 4a )\|b x + a
+--R   (2)  --------------------------------------------
+--R                               2
+--R                            35b
+--R                                                    Type: Expression(Integer)
+--E 1365
+
+--S 1366 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R            3 3        2 2     2        3  +-------+
+--R        (10b x  + 16a b x  + 2a b x - 4a )\|b x + a
+--R   (3)  --------------------------------------------
+--R                               2
+--R                            35b
+--R                                         Type: Union(Expression(Integer),...)
+--E 1366
+
+--S 1367 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1367
+
+--S 1368 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1368
+
+)clear all
+
+--S 1369 of 3330
+t0000:=(a+b*x)^(3/2)
+--R 
+--R
+--R                  +-------+
+--R   (1)  (b x + a)\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1369
+
+--S 1370 of 3330
+r0000:=2/5*(a+b*x)^(5/2)/b
+--R 
+--R
+--R           2 2              2  +-------+
+--R        (2b x  + 4a b x + 2a )\|b x + a
+--R   (2)  --------------------------------
+--R                       5b
+--R                                                    Type: Expression(Integer)
+--E 1370
+
+--S 1371 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           2 2              2  +-------+
+--R        (2b x  + 4a b x + 2a )\|b x + a
+--R   (3)  --------------------------------
+--R                       5b
+--R                                         Type: Union(Expression(Integer),...)
+--E 1371
+
+--S 1372 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1372
+
+--S 1373 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1373
+
+)clear all
+
+--S 1374 of 3330
+t0000:=(a+b*x)^(3/2)/x
+--R 
+--R
+--R                  +-------+
+--R        (b x + a)\|b x + a
+--R   (1)  -------------------
+--R                 x
+--R                                                    Type: Expression(Integer)
+--E 1374
+
+--S 1375 of 3330
+r0000:=2/3*(a+b*x)^(3/2)-2*a^(3/2)*atanh(sqrt(a+b*x)/sqrt(a))+2*a*sqrt(a+b*x)
+--R 
+--R
+--R                       +-------+
+--R             +-+      \|b x + a                 +-------+
+--R        - 6a\|a atanh(----------) + (2b x + 8a)\|b x + a
+--R                          +-+
+--R                         \|a
+--R   (2)  -------------------------------------------------
+--R                                3
+--R                                                    Type: Expression(Integer)
+--E 1375
+
+--S 1376 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                  +-+ +-------+
+--R       +-+    - 2\|a \|b x + a  + b x + 2a                +-------+
+--R    3a\|a log(----------------------------) + (2b x + 8a)\|b x + a
+--R                            x
+--R   [---------------------------------------------------------------,
+--R                                   3
+--R                    +-------+
+--R         +---+     \|b x + a                 +-------+
+--R    - 6a\|- a atan(----------) + (2b x + 8a)\|b x + a
+--R                      +---+
+--R                     \|- a
+--R    --------------------------------------------------]
+--R                             3
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1376
+
+--S 1377 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                     +-+ +-------+                            +-------+
+--R          +-+    - 2\|a \|b x + a  + b x + 2a       +-+      \|b x + a
+--R   (4)  a\|a log(----------------------------) + 2a\|a atanh(----------)
+--R                               x                                 +-+
+--R                                                                \|a
+--R                                                    Type: Expression(Integer)
+--E 1377
+
+--S 1378 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1378
+
+--S 1379 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                     +-------+                  +-------+
+--R           +-+      \|b x + a        +---+     \|b x + a
+--R   (6)  2a\|a atanh(----------) - 2a\|- a atan(----------)
+--R                        +-+                       +---+
+--R                       \|a                       \|- a
+--R                                                    Type: Expression(Integer)
+--E 1379
+
+--S 1380 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1380
+
+)clear all
+
+--S 1381 of 3330
+t0000:=(a+b*x)^(3/2)/x^2
+--R 
+--R
+--R                  +-------+
+--R        (b x + a)\|b x + a
+--R   (1)  -------------------
+--R                  2
+--R                 x
+--R                                                    Type: Expression(Integer)
+--E 1381
+
+--S 1382 of 3330
+r0000:=-(a+b*x)^(3/2)/x-3*b*atanh(sqrt(a+b*x)/sqrt(a))*sqrt(a)+3*b*sqrt(a+b*x)
+--R 
+--R
+--R                         +-------+
+--R               +-+      \|b x + a                +-------+
+--R        - 3b x\|a atanh(----------) + (2b x - a)\|b x + a
+--R                            +-+
+--R                           \|a
+--R   (2)  --------------------------------------------------
+--R                                 x
+--R                                                    Type: Expression(Integer)
+--E 1382
+
+--S 1383 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                    +-+ +-------+
+--R         +-+    - 2\|a \|b x + a  + b x + 2a                +-------+
+--R    3b x\|a log(----------------------------) + (4b x - 2a)\|b x + a
+--R                              x
+--R   [-----------------------------------------------------------------,
+--R                                    2x
+--R                      +-------+
+--R           +---+     \|b x + a                +-------+
+--R    - 3b x\|- a atan(----------) + (2b x - a)\|b x + a
+--R                        +---+
+--R                       \|- a
+--R    ---------------------------------------------------]
+--R                             x
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1383
+
+--S 1384 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                      +-+ +-------+                            +-------+
+--R           +-+    - 2\|a \|b x + a  + b x + 2a       +-+      \|b x + a
+--R        3b\|a log(----------------------------) + 6b\|a atanh(----------)
+--R                                x                                 +-+
+--R                                                                 \|a
+--R   (4)  -----------------------------------------------------------------
+--R                                        2
+--R                                                    Type: Expression(Integer)
+--E 1384
+
+--S 1385 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1385
+
+--S 1386 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                     +-------+                  +-------+
+--R           +-+      \|b x + a        +---+     \|b x + a
+--R   (6)  3b\|a atanh(----------) - 3b\|- a atan(----------)
+--R                        +-+                       +---+
+--R                       \|a                       \|- a
+--R                                                    Type: Expression(Integer)
+--E 1386
+
+--S 1387 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1387
+
+)clear all
+
+--S 1388 of 3330
+t0000:=(a+b*x)^(3/2)/x^3
+--R 
+--R
+--R                  +-------+
+--R        (b x + a)\|b x + a
+--R   (1)  -------------------
+--R                  3
+--R                 x
+--R                                                    Type: Expression(Integer)
+--E 1388
+
+--S 1389 of 3330
+r0000:=-1/2*(a+b*x)^(3/2)/x^2-3/4*b^2*atanh(sqrt(a+b*x)/sqrt(a))/sqrt(a)-_
+     3/4*b*sqrt(a+b*x)/x
+--R 
+--R
+--R                      +-------+
+--R            2 2      \|b x + a                   +-+ +-------+
+--R        - 3b x atanh(----------) + (- 5b x - 2a)\|a \|b x + a
+--R                         +-+
+--R                        \|a
+--R   (2)  ------------------------------------------------------
+--R                                  2 +-+
+--R                                4x \|a
+--R                                                    Type: Expression(Integer)
+--E 1389
+
+--S 1390 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                  +-------+              +-+
+--R      2 2    - 2a\|b x + a  + (b x + 2a)\|a                    +-+ +-------+
+--R    3b x log(-------------------------------) + (- 10b x - 4a)\|a \|b x + a
+--R                            x
+--R   [------------------------------------------------------------------------,
+--R                                       2 +-+
+--R                                     8x \|a
+--R                 +---+ +-------+
+--R        2 2     \|- a \|b x + a                   +---+ +-------+
+--R    - 3b x atan(----------------) + (- 5b x - 2a)\|- a \|b x + a
+--R                        a
+--R    -------------------------------------------------------------]
+--R                                2 +---+
+--R                              4x \|- a
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1390
+
+--S 1391 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                    +-------+              +-+              +-------+
+--R          2    - 2a\|b x + a  + (b x + 2a)\|a       2      \|b x + a
+--R        3b log(-------------------------------) + 6b atanh(----------)
+--R                              x                                +-+
+--R                                                              \|a
+--R   (4)  --------------------------------------------------------------
+--R                                       +-+
+--R                                     8\|a
+--R                                                    Type: Expression(Integer)
+--E 1391
+
+--S 1392 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1392
+
+--S 1393 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                        +-------+                 +---+ +-------+
+--R          2 +---+      \|b x + a       2 +-+     \|- a \|b x + a
+--R        3b \|- a atanh(----------) - 3b \|a atan(----------------)
+--R                           +-+                           a
+--R                          \|a
+--R   (6)  ----------------------------------------------------------
+--R                                  +---+ +-+
+--R                                4\|- a \|a
+--R                                                    Type: Expression(Integer)
+--E 1393
+
+--S 1394 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1394
+
+)clear all
+
+--S 1395 of 3330
+t0000:=(a+b*x)^(3/2)/x^4
+--R 
+--R
+--R                  +-------+
+--R        (b x + a)\|b x + a
+--R   (1)  -------------------
+--R                  4
+--R                 x
+--R                                                    Type: Expression(Integer)
+--E 1395
+
+--S 1396 of 3330
+r0000:=-1/3*(a+b*x)^(3/2)/x^3+1/8*b^3*atanh(sqrt(a+b*x)/sqrt(a))/a^(3/2)-_
+     1/4*b*sqrt(a+b*x)/x^2-1/8*b^2*sqrt(a+b*x)/(a*x)
+--R 
+--R
+--R                    +-------+
+--R          3 3      \|b x + a          2 2               2  +-+ +-------+
+--R        3b x atanh(----------) + (- 3b x  - 14a b x - 8a )\|a \|b x + a
+--R                       +-+
+--R                      \|a
+--R   (2)  ----------------------------------------------------------------
+--R                                        3 +-+
+--R                                   24a x \|a
+--R                                                    Type: Expression(Integer)
+--E 1396
+
+--S 1397 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                     +-------+              +-+
+--R           3 3    2a\|b x + a  + (b x + 2a)\|a
+--R         3b x log(-----------------------------)
+--R                                x
+--R       + 
+--R              2 2                2  +-+ +-------+
+--R         (- 6b x  - 28a b x - 16a )\|a \|b x + a
+--R    /
+--R            3 +-+
+--R       48a x \|a
+--R     ,
+--R               +---+ +-------+
+--R      3 3     \|- a \|b x + a          2 2               2  +---+ +-------+
+--R    3b x atan(----------------) + (- 3b x  - 14a b x - 8a )\|- a \|b x + a
+--R                      a
+--R    -----------------------------------------------------------------------]
+--R                                       3 +---+
+--R                                  24a x \|- a
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1397
+
+--S 1398 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                 +-------+              +-+              +-------+
+--R         3    2a\|b x + a  + (b x + 2a)\|a       3      \|b x + a
+--R        b log(-----------------------------) - 2b atanh(----------)
+--R                            x                               +-+
+--R                                                           \|a
+--R   (4)  -----------------------------------------------------------
+--R                                      +-+
+--R                                  16a\|a
+--R                                                    Type: Expression(Integer)
+--E 1398
+
+--S 1399 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1399
+
+--S 1400 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                         +-------+                +---+ +-------+
+--R           3 +---+      \|b x + a      3 +-+     \|- a \|b x + a
+--R        - b \|- a atanh(----------) + b \|a atan(----------------)
+--R                            +-+                          a
+--R                           \|a
+--R   (6)  ----------------------------------------------------------
+--R                                  +---+ +-+
+--R                               8a\|- a \|a
+--R                                                    Type: Expression(Integer)
+--E 1400
+
+--S 1401 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1401
+
+)clear all
+
+--S 1402 of 3330
+t0000:=x^m*(a+b*x)^(5/2)
+--R 
+--R
+--R          2 2             2  m +-------+
+--R   (1)  (b x  + 2a b x + a )x \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1402
+
+--S 1403 of 3330
+--r0000:=10*a*x^(1+m)*(a+b*x)^(3/2)/(35+24*m+4*m^2)+_
+--       2*x^(1+m)*(a+b*x)^(5/2)/(7+2*m)+_
+--       30*a^2*x^(1+m)*sqrt(a+b*x)/((7+2*m)*(15+16*m+4*m^2))+_
+--       30*a^3*x^m*hypergeometric(1/2,-m,3/2,(a+b*x)/a)*_
+--       sqrt(a+b*x)/(b*(7+2*m)*(15+16*m+4*m^2)*(-b*x/a)^m)
+--E 1403
+
+--S 1404 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           x
+--R         ++     2 2              2   m +--------+
+--R   (2)   |   (%N b  + 2%N a b + a )%N \|%N b + a d%N
+--R        ++
+--R                                         Type: Union(Expression(Integer),...)
+--E 1404
+
+--S 1405 of 3330
+--m0000:=a0000 - r0000
+--E 1405
+
+--S 1406 of 3330
+--d0000:=D(m0000,x)
+--E 1406
+
+)clear all
+
+--S 1407 of 3330
+t0000:=x^3*(a+b*x)^(5/2)
+--R 
+--R
+--R          2 5         4    2 3  +-------+
+--R   (1)  (b x  + 2a b x  + a x )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1407
+
+--S 1408 of 3330
+r0000:=-2/7*a^3*(a+b*x)^(7/2)/b^4+2/3*a^2*(a+b*x)^(9/2)/b^4-_
+     6/11*a*(a+b*x)^(11/2)/b^4+2/13*(a+b*x)^(13/2)/b^4
+--R 
+--R
+--R   (2)
+--R            6 6          5 5       2 4 4      3 3 3      4 2 2      5         6
+--R       (462b x  + 1134a b x  + 742a b x  + 10a b x  - 12a b x  + 16a b x - 32a )
+--R    *
+--R        +-------+
+--R       \|b x + a
+--R  /
+--R          4
+--R     3003b
+--R                                                    Type: Expression(Integer)
+--E 1408
+
+--S 1409 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R            6 6          5 5       2 4 4      3 3 3      4 2 2      5         6
+--R       (462b x  + 1134a b x  + 742a b x  + 10a b x  - 12a b x  + 16a b x - 32a )
+--R    *
+--R        +-------+
+--R       \|b x + a
+--R  /
+--R          4
+--R     3003b
+--R                                         Type: Union(Expression(Integer),...)
+--E 1409
+
+--S 1410 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1410
+
+--S 1411 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1411
+
+)clear all
+
+--S 1412 of 3330
+t0000:=x^2*(a+b*x)^(5/2)
+--R 
+--R
+--R          2 4         3    2 2  +-------+
+--R   (1)  (b x  + 2a b x  + a x )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1412
+
+--S 1413 of 3330
+r0000:=2/7*a^2*(a+b*x)^(7/2)/b^3-4/9*a*(a+b*x)^(9/2)/b^3+_
+     2/11*(a+b*x)^(11/2)/b^3
+--R 
+--R
+--R             5 5         4 4       2 3 3     3 2 2     4         5  +-------+
+--R        (126b x  + 322a b x  + 226a b x  + 6a b x  - 8a b x + 16a )\|b x + a
+--R   (2)  ---------------------------------------------------------------------
+--R                                            3
+--R                                        693b
+--R                                                    Type: Expression(Integer)
+--E 1413
+
+--S 1414 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R             5 5         4 4       2 3 3     3 2 2     4         5  +-------+
+--R        (126b x  + 322a b x  + 226a b x  + 6a b x  - 8a b x + 16a )\|b x + a
+--R   (3)  ---------------------------------------------------------------------
+--R                                            3
+--R                                        693b
+--R                                         Type: Union(Expression(Integer),...)
+--E 1414
+
+--S 1415 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1415
+
+--S 1416 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1416
+
+)clear all
+
+--S 1417 of 3330
+t0000:=x*(a+b*x)^(5/2)
+--R 
+--R
+--R          2 3         2    2   +-------+
+--R   (1)  (b x  + 2a b x  + a x)\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1417
+
+--S 1418 of 3330
+r0000:=-2/7*a*(a+b*x)^(7/2)/b^2+2/9*(a+b*x)^(9/2)/b^2
+--R 
+--R
+--R            4 4        3 3      2 2 2     3        4  +-------+
+--R        (14b x  + 38a b x  + 30a b x  + 2a b x - 4a )\|b x + a
+--R   (2)  -------------------------------------------------------
+--R                                     2
+--R                                  63b
+--R                                                    Type: Expression(Integer)
+--E 1418
+
+--S 1419 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R            4 4        3 3      2 2 2     3        4  +-------+
+--R        (14b x  + 38a b x  + 30a b x  + 2a b x - 4a )\|b x + a
+--R   (3)  -------------------------------------------------------
+--R                                     2
+--R                                  63b
+--R                                         Type: Union(Expression(Integer),...)
+--E 1419
+
+--S 1420 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1420
+
+--S 1421 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1421
+
+)clear all
+
+--S 1422 of 3330
+t0000:=(a+b*x)^(5/2)
+--R 
+--R
+--R          2 2             2  +-------+
+--R   (1)  (b x  + 2a b x + a )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1422
+
+--S 1423 of 3330
+r0000:=2/7*(a+b*x)^(7/2)/b
+--R 
+--R
+--R           3 3       2 2     2        3  +-------+
+--R        (2b x  + 6a b x  + 6a b x + 2a )\|b x + a
+--R   (2)  ------------------------------------------
+--R                            7b
+--R                                                    Type: Expression(Integer)
+--E 1423
+
+--S 1424 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           3 3       2 2     2        3  +-------+
+--R        (2b x  + 6a b x  + 6a b x + 2a )\|b x + a
+--R   (3)  ------------------------------------------
+--R                            7b
+--R                                         Type: Union(Expression(Integer),...)
+--E 1424
+
+--S 1425 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1425
+
+--S 1426 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1426
+
+)clear all
+
+--S 1427 of 3330
+t0000:=(a+b*x)^(5/2)/x
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (b x  + 2a b x + a )\|b x + a
+--R   (1)  ------------------------------
+--R                       x
+--R                                                    Type: Expression(Integer)
+--E 1427
+
+--S 1428 of 3330
+r0000:=2/3*a*(a+b*x)^(3/2)+2/5*(a+b*x)^(5/2)-_
+     2*a^(5/2)*atanh(sqrt(a+b*x)/sqrt(a))+2*a^2*sqrt(a+b*x)
+--R 
+--R
+--R                         +-------+
+--R             2 +-+      \|b x + a        2 2                2  +-------+
+--R        - 30a \|a atanh(----------) + (6b x  + 22a b x + 46a )\|b x + a
+--R                            +-+
+--R                           \|a
+--R   (2)  ----------------------------------------------------------------
+--R                                       15
+--R                                                    Type: Expression(Integer)
+--E 1428
+
+--S 1429 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                         +-+ +-------+
+--R            2 +-+    - 2\|a \|b x + a  + b x + 2a
+--R         15a \|a log(----------------------------)
+--R                                   x
+--R       + 
+--R            2 2                2  +-------+
+--R         (6b x  + 22a b x + 46a )\|b x + a
+--R    /
+--R       15
+--R     ,
+--R                      +-------+
+--R         2 +---+     \|b x + a        2 2                2  +-------+
+--R    - 30a \|- a atan(----------) + (6b x  + 22a b x + 46a )\|b x + a
+--R                        +---+
+--R                       \|- a
+--R    -----------------------------------------------------------------]
+--R                                    15
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1429
+
+--S 1430 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                      +-+ +-------+                             +-------+
+--R         2 +-+    - 2\|a \|b x + a  + b x + 2a      2 +-+      \|b x + a
+--R   (4)  a \|a log(----------------------------) + 2a \|a atanh(----------)
+--R                                x                                  +-+
+--R                                                                  \|a
+--R                                                    Type: Expression(Integer)
+--E 1430
+
+--S 1431 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1431
+
+--S 1432 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                      +-------+                   +-------+
+--R          2 +-+      \|b x + a       2 +---+     \|b x + a
+--R   (6)  2a \|a atanh(----------) - 2a \|- a atan(----------)
+--R                         +-+                        +---+
+--R                        \|a                        \|- a
+--R                                                    Type: Expression(Integer)
+--E 1432
+
+--S 1433 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1433
+
+)clear all
+
+--S 1434 of 3330
+t0000:=(a+b*x)^(5/2)/x^2
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (b x  + 2a b x + a )\|b x + a
+--R   (1)  ------------------------------
+--R                       2
+--R                      x
+--R                                                    Type: Expression(Integer)
+--E 1434
+
+--S 1435 of 3330
+r0000:=5/3*b*(a+b*x)^(3/2)-(a+b*x)^(5/2)/x-_
+     5*a^(3/2)*b*atanh(sqrt(a+b*x)/sqrt(a))+5*a*b*sqrt(a+b*x)
+--R 
+--R
+--R                            +-------+
+--R                  +-+      \|b x + a        2 2               2  +-------+
+--R        - 15a b x\|a atanh(----------) + (2b x  + 14a b x - 3a )\|b x + a
+--R                               +-+
+--R                              \|a
+--R   (2)  ------------------------------------------------------------------
+--R                                        3x
+--R                                                    Type: Expression(Integer)
+--E 1435
+
+--S 1436 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                            +-+ +-------+
+--R                 +-+    - 2\|a \|b x + a  + b x + 2a
+--R         15a b x\|a log(----------------------------)
+--R                                      x
+--R       + 
+--R            2 2               2  +-------+
+--R         (4b x  + 28a b x - 6a )\|b x + a
+--R    /
+--R       6x
+--R     ,
+--R                         +-------+
+--R              +---+     \|b x + a        2 2               2  +-------+
+--R    - 15a b x\|- a atan(----------) + (2b x  + 14a b x - 3a )\|b x + a
+--R                           +---+
+--R                          \|- a
+--R    -------------------------------------------------------------------]
+--R                                     3x
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1436
+
+--S 1437 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                        +-+ +-------+                               +-------+
+--R             +-+    - 2\|a \|b x + a  + b x + 2a          +-+      \|b x + a
+--R        5a b\|a log(----------------------------) + 10a b\|a atanh(----------)
+--R                                  x                                    +-+
+--R                                                                      \|a
+--R   (4)  ----------------------------------------------------------------------
+--R                                           2
+--R                                                    Type: Expression(Integer)
+--E 1437
+
+--S 1438 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1438
+
+--S 1439 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                       +-------+                    +-------+
+--R             +-+      \|b x + a          +---+     \|b x + a
+--R   (6)  5a b\|a atanh(----------) - 5a b\|- a atan(----------)
+--R                          +-+                         +---+
+--R                         \|a                         \|- a
+--R                                                    Type: Expression(Integer)
+--E 1439
+
+--S 1440 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1440
+
+)clear all
+
+--S 1441 of 3330
+t0000:=(a+b*x)^(5/2)/x^3
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (b x  + 2a b x + a )\|b x + a
+--R   (1)  ------------------------------
+--R                       3
+--R                      x
+--R                                                    Type: Expression(Integer)
+--E 1441
+
+--S 1442 of 3330
+r0000:=-5/4*b*(a+b*x)^(3/2)/x-1/2*(a+b*x)^(5/2)/x^2-_
+     15/4*b^2*atanh(sqrt(a+b*x)/sqrt(a))*sqrt(a)+15/4*b^2*sqrt(a+b*x)
+--R 
+--R
+--R                           +-------+
+--R             2 2 +-+      \|b x + a        2 2              2  +-------+
+--R        - 15b x \|a atanh(----------) + (8b x  - 9a b x - 2a )\|b x + a
+--R                              +-+
+--R                             \|a
+--R   (2)  ----------------------------------------------------------------
+--R                                         2
+--R                                       4x
+--R                                                    Type: Expression(Integer)
+--E 1442
+
+--S 1443 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                           +-+ +-------+
+--R            2 2 +-+    - 2\|a \|b x + a  + b x + 2a
+--R         15b x \|a log(----------------------------)
+--R                                     x
+--R       + 
+--R             2 2               2  +-------+
+--R         (16b x  - 18a b x - 4a )\|b x + a
+--R    /
+--R         2
+--R       8x
+--R     ,
+--R                        +-------+
+--R         2 2 +---+     \|b x + a        2 2              2  +-------+
+--R    - 15b x \|- a atan(----------) + (8b x  - 9a b x - 2a )\|b x + a
+--R                          +---+
+--R                         \|- a
+--R    -----------------------------------------------------------------]
+--R                                     2
+--R                                   4x
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1443
+
+--S 1444 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                        +-+ +-------+                              +-------+
+--R           2 +-+    - 2\|a \|b x + a  + b x + 2a       2 +-+      \|b x + a
+--R        15b \|a log(----------------------------) + 30b \|a atanh(----------)
+--R                                  x                                   +-+
+--R                                                                     \|a
+--R   (4)  ---------------------------------------------------------------------
+--R                                          8
+--R                                                    Type: Expression(Integer)
+--E 1444
+
+--S 1445 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1445
+
+--S 1446 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                       +-------+                    +-------+
+--R           2 +-+      \|b x + a        2 +---+     \|b x + a
+--R        15b \|a atanh(----------) - 15b \|- a atan(----------)
+--R                          +-+                         +---+
+--R                         \|a                         \|- a
+--R   (6)  ------------------------------------------------------
+--R                                   4
+--R                                                    Type: Expression(Integer)
+--E 1446
+
+--S 1447 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1447
+
+)clear all
+
+--S 1448 of 3330
+t0000:=(a+b*x)^(5/2)/x^4
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (b x  + 2a b x + a )\|b x + a
+--R   (1)  ------------------------------
+--R                       4
+--R                      x
+--R                                                    Type: Expression(Integer)
+--E 1448
+
+--S 1449 of 3330
+r0000:=-5/12*b*(a+b*x)^(3/2)/x^2-1/3*(a+b*x)^(5/2)/x^3-_
+     5/8*b^3*atanh(sqrt(a+b*x)/sqrt(a))/sqrt(a)-5/8*b^2*sqrt(a+b*x)/x
+--R 
+--R
+--R                       +-------+
+--R             3 3      \|b x + a           2 2               2  +-+ +-------+
+--R        - 15b x atanh(----------) + (- 33b x  - 26a b x - 8a )\|a \|b x + a
+--R                          +-+
+--R                         \|a
+--R   (2)  --------------------------------------------------------------------
+--R                                         3 +-+
+--R                                      24x \|a
+--R                                                    Type: Expression(Integer)
+--E 1449
+
+--S 1450 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                        +-------+              +-+
+--R            3 3    - 2a\|b x + a  + (b x + 2a)\|a
+--R         15b x log(-------------------------------)
+--R                                  x
+--R       + 
+--R               2 2                2  +-+ +-------+
+--R         (- 66b x  - 52a b x - 16a )\|a \|b x + a
+--R    /
+--R          3 +-+
+--R       48x \|a
+--R     ,
+--R                  +---+ +-------+
+--R         3 3     \|- a \|b x + a           2 2               2  +---+ +-------+
+--R    - 15b x atan(----------------) + (- 33b x  - 26a b x - 8a )\|- a \|b x + a
+--R                         a
+--R    ---------------------------------------------------------------------------]
+--R                                        3 +---+
+--R                                     24x \|- a
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1450
+
+--S 1451 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                    +-------+              +-+               +-------+
+--R          3    - 2a\|b x + a  + (b x + 2a)\|a        3      \|b x + a
+--R        5b log(-------------------------------) + 10b atanh(----------)
+--R                              x                                 +-+
+--R                                                               \|a
+--R   (4)  ---------------------------------------------------------------
+--R                                        +-+
+--R                                     16\|a
+--R                                                    Type: Expression(Integer)
+--E 1451
+
+--S 1452 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1452
+
+--S 1453 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                        +-------+                 +---+ +-------+
+--R          3 +---+      \|b x + a       3 +-+     \|- a \|b x + a
+--R        5b \|- a atanh(----------) - 5b \|a atan(----------------)
+--R                           +-+                           a
+--R                          \|a
+--R   (6)  ----------------------------------------------------------
+--R                                  +---+ +-+
+--R                                8\|- a \|a
+--R                                                    Type: Expression(Integer)
+--E 1453
+
+--S 1454 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1454
+
+)clear all
+
+--S 1455 of 3330
+t0000:=(a+b*x)^(5/2)/x^5
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (b x  + 2a b x + a )\|b x + a
+--R   (1)  ------------------------------
+--R                       5
+--R                      x
+--R                                                    Type: Expression(Integer)
+--E 1455
+
+--S 1456 of 3330
+r0000:=-5/24*b*(a+b*x)^(3/2)/x^3-1/4*(a+b*x)^(5/2)/x^4+_
+     5/64*b^4*atanh(sqrt(a+b*x)/sqrt(a))/a^(3/2)-5/32*b^2*sqrt(a+b*x)/x^2-_
+     5/64*b^3*sqrt(a+b*x)/(a*x)
+--R 
+--R
+--R   (2)
+--R                    +-------+
+--R          4 4      \|b x + a
+--R       15b x atanh(----------)
+--R                       +-+
+--R                      \|a
+--R     + 
+--R             3 3         2 2       2         3  +-+ +-------+
+--R       (- 15b x  - 118a b x  - 136a b x - 48a )\|a \|b x + a
+--R  /
+--R           4 +-+
+--R     192a x \|a
+--R                                                    Type: Expression(Integer)
+--E 1456
+
+--S 1457 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                      +-------+              +-+
+--R            4 4    2a\|b x + a  + (b x + 2a)\|a
+--R         15b x log(-----------------------------)
+--R                                 x
+--R       + 
+--R               3 3         2 2       2         3  +-+ +-------+
+--R         (- 30b x  - 236a b x  - 272a b x - 96a )\|a \|b x + a
+--R    /
+--R             4 +-+
+--R       384a x \|a
+--R     ,
+--R
+--R                     +---+ +-------+
+--R            4 4     \|- a \|b x + a
+--R         15b x atan(----------------)
+--R                            a
+--R       + 
+--R               3 3         2 2       2         3  +---+ +-------+
+--R         (- 15b x  - 118a b x  - 136a b x - 48a )\|- a \|b x + a
+--R    /
+--R             4 +---+
+--R       192a x \|- a
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1457
+
+--S 1458 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                  +-------+              +-+               +-------+
+--R          4    2a\|b x + a  + (b x + 2a)\|a        4      \|b x + a
+--R        5b log(-----------------------------) - 10b atanh(----------)
+--R                             x                                +-+
+--R                                                             \|a
+--R   (4)  -------------------------------------------------------------
+--R                                        +-+
+--R                                   128a\|a
+--R                                                    Type: Expression(Integer)
+--E 1458
+
+--S 1459 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1459
+
+--S 1460 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                          +-------+                 +---+ +-------+
+--R            4 +---+      \|b x + a       4 +-+     \|- a \|b x + a
+--R        - 5b \|- a atanh(----------) + 5b \|a atan(----------------)
+--R                             +-+                           a
+--R                            \|a
+--R   (6)  ------------------------------------------------------------
+--R                                    +---+ +-+
+--R                                64a\|- a \|a
+--R                                                    Type: Expression(Integer)
+--E 1460
+
+--S 1461 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1461
+
+)clear all
+
+--S 1462 of 3330
+t0000:=x^7*(a+b*x)^(9/2)
+--R 
+--R
+--R          4 11       3 10     2 2 9     3   8    4 7  +-------+
+--R   (1)  (b x   + 4a b x   + 6a b x  + 4a b x  + a x )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1462
+
+--S 1463 of 3330
+r0000:=-2/11*a^7*(a+b*x)^(11/2)/b^8+14/13*a^6*(a+b*x)^(13/2)/b^8-_
+     14/5*a^5*(a+b*x)^(15/2)/b^8+70/17*a^4*(a+b*x)^(17/2)/b^8-_
+     70/19*a^3*(a+b*x)^(19/2)/b^8+2*a^2*(a+b*x)^(21/2)/b^8-_
+     14/23*a*(a+b*x)^(23/2)/b^8+2/25*(a+b*x)^(25/2)/b^8
+--R 
+--R
+--R   (2)
+--R                 12 12             11 11            2 10 10            3 9 9
+--R         2124694b  x   + 9330178a b  x   + 15519504a b  x   + 11620180a b x
+--R       + 
+--R                 4 8 8       5 7 7       6 6 6        7 5 5        8 4 4
+--R         3319030a b x  + 858a b x  - 924a b x  + 1008a b x  - 1120a b x
+--R       + 
+--R              9 3 3        10 2 2        11           12
+--R         1280a b x  - 1536a  b x  + 2048a  b x - 4096a
+--R    *
+--R        +-------+
+--R       \|b x + a
+--R  /
+--R              8
+--R     26558675b
+--R                                                    Type: Expression(Integer)
+--E 1463
+
+--S 1464 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                 12 12             11 11            2 10 10            3 9 9
+--R         2124694b  x   + 9330178a b  x   + 15519504a b  x   + 11620180a b x
+--R       + 
+--R                 4 8 8       5 7 7       6 6 6        7 5 5        8 4 4
+--R         3319030a b x  + 858a b x  - 924a b x  + 1008a b x  - 1120a b x
+--R       + 
+--R              9 3 3        10 2 2        11           12
+--R         1280a b x  - 1536a  b x  + 2048a  b x - 4096a
+--R    *
+--R        +-------+
+--R       \|b x + a
+--R  /
+--R              8
+--R     26558675b
+--R                                         Type: Union(Expression(Integer),...)
+--E 1464
+
+--S 1465 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1465
+
+--S 1466 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1466
+
+)clear all
+
+--S 1467 of 3330
+t0000:=x^6*(a+b*x)^(9/2)
+--R 
+--R
+--R          4 10       3 9     2 2 8     3   7    4 6  +-------+
+--R   (1)  (b x   + 4a b x  + 6a b x  + 4a b x  + a x )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1467
+
+--S 1468 of 3330
+r0000:=2/11*a^6*(a+b*x)^(11/2)/b^7-12/13*a^5*(a+b*x)^(13/2)/b^7+_
+     2*a^4*(a+b*x)^(15/2)/b^7-40/17*a^3*(a+b*x)^(17/2)/b^7+_
+     30/19*a^2*(a+b*x)^(19/2)/b^7-4/7*a*(a+b*x)^(21/2)/b^7+_
+     2/23*(a+b*x)^(23/2)/b^7
+--R 
+--R
+--R   (2)
+--R                11 11             10 10           2 9 9           3 8 8
+--R         646646b  x   + 2863718a b  x   + 4813380a b x  + 3652220a b x
+--R       + 
+--R                 4 7 7       5 6 6       6 5 5       7 4 4       8 3 3
+--R         1061918a b x  + 462a b x  - 504a b x  + 560a b x  - 640a b x
+--R       + 
+--R             9 2 2        10           11
+--R         768a b x  - 1024a  b x + 2048a
+--R    *
+--R        +-------+
+--R       \|b x + a
+--R  /
+--R             7
+--R     7436429b
+--R                                                    Type: Expression(Integer)
+--E 1468
+
+--S 1469 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                11 11             10 10           2 9 9           3 8 8
+--R         646646b  x   + 2863718a b  x   + 4813380a b x  + 3652220a b x
+--R       + 
+--R                 4 7 7       5 6 6       6 5 5       7 4 4       8 3 3
+--R         1061918a b x  + 462a b x  - 504a b x  + 560a b x  - 640a b x
+--R       + 
+--R             9 2 2        10           11
+--R         768a b x  - 1024a  b x + 2048a
+--R    *
+--R        +-------+
+--R       \|b x + a
+--R  /
+--R             7
+--R     7436429b
+--R                                         Type: Union(Expression(Integer),...)
+--E 1469
+
+--S 1470 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1470
+
+--S 1471 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1471
+
+)clear all
+
+--S 1472 of 3330
+t0000:=x^5*(a+b*x)^(9/2)
+--R 
+--R
+--R          4 9       3 8     2 2 7     3   6    4 5  +-------+
+--R   (1)  (b x  + 4a b x  + 6a b x  + 4a b x  + a x )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1472
+
+--S 1473 of 3330
+r0000:=-2/11*a^5*(a+b*x)^(11/2)/b^6+10/13*a^4*(a+b*x)^(13/2)/b^6-_
+     4/3*a^3*(a+b*x)^(15/2)/b^6+20/17*a^2*(a+b*x)^(17/2)/b^6-_
+     10/19*a*(a+b*x)^(19/2)/b^6+2/21*(a+b*x)^(21/2)/b^6
+--R 
+--R
+--R   (2)
+--R               10 10            9 9          2 8 8          3 7 7          4 6 6
+--R         92378b  x   + 413270a b x  + 703560a b x  + 542828a b x  + 161546a b x
+--R       + 
+--R             5 5 5       6 4 4       7 3 3       8 2 2       9          10
+--R         126a b x  - 140a b x  + 160a b x  - 192a b x  + 256a b x - 512a
+--R    *
+--R        +-------+
+--R       \|b x + a
+--R  /
+--R            6
+--R     969969b
+--R                                                    Type: Expression(Integer)
+--E 1473
+
+--S 1474 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R               10 10            9 9          2 8 8          3 7 7          4 6 6
+--R         92378b  x   + 413270a b x  + 703560a b x  + 542828a b x  + 161546a b x
+--R       + 
+--R             5 5 5       6 4 4       7 3 3       8 2 2       9          10
+--R         126a b x  - 140a b x  + 160a b x  - 192a b x  + 256a b x - 512a
+--R    *
+--R        +-------+
+--R       \|b x + a
+--R  /
+--R            6
+--R     969969b
+--R                                         Type: Union(Expression(Integer),...)
+--E 1474
+
+--S 1475 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1475
+
+--S 1476 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1476
+
+)clear all
+
+--S 1477 of 3330
+t0000:=x^4*(a+b*x)^(9/2)
+--R 
+--R
+--R          4 8       3 7     2 2 6     3   5    4 4  +-------+
+--R   (1)  (b x  + 4a b x  + 6a b x  + 4a b x  + a x )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1477
+
+--S 1478 of 3330
+r0000:=2/11*a^4*(a+b*x)^(11/2)/b^5-8/13*a^3*(a+b*x)^(13/2)/b^5+_
+     4/5*a^2*(a+b*x)^(15/2)/b^5-8/17*a*(a+b*x)^(17/2)/b^5+_
+     2/19*(a+b*x)^(19/2)/b^5
+--R 
+--R
+--R   (2)
+--R               9 9            8 8          2 7 7          3 6 6         4 5 5
+--R         24310b x  + 110110a b x  + 190476a b x  + 150172a b x  + 46126a b x
+--R       + 
+--R            5 4 4      6 3 3      7 2 2       8          9
+--R         70a b x  - 80a b x  + 96a b x  - 128a b x + 256a
+--R    *
+--R        +-------+
+--R       \|b x + a
+--R  /
+--R            5
+--R     230945b
+--R                                                    Type: Expression(Integer)
+--E 1478
+
+--S 1479 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R               9 9            8 8          2 7 7          3 6 6         4 5 5
+--R         24310b x  + 110110a b x  + 190476a b x  + 150172a b x  + 46126a b x
+--R       + 
+--R            5 4 4      6 3 3      7 2 2       8          9
+--R         70a b x  - 80a b x  + 96a b x  - 128a b x + 256a
+--R    *
+--R        +-------+
+--R       \|b x + a
+--R  /
+--R            5
+--R     230945b
+--R                                         Type: Union(Expression(Integer),...)
+--E 1479
+
+--S 1480 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1480
+
+--S 1481 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1481
+
+)clear all
+
+--S 1482 of 3330
+t0000:=x^3*(a+b*x)^(9/2)
+--R 
+--R
+--R          4 7       3 6     2 2 5     3   4    4 3  +-------+
+--R   (1)  (b x  + 4a b x  + 6a b x  + 4a b x  + a x )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1482
+
+--S 1483 of 3330
+r0000:=-2/11*a^3*(a+b*x)^(11/2)/b^4+6/13*a^2*(a+b*x)^(13/2)/b^4-_
+     2/5*a*(a+b*x)^(15/2)/b^4+2/17*(a+b*x)^(17/2)/b^4
+--R 
+--R
+--R   (2)
+--R              8 8          7 7         2 6 6        3 5 5        4 4 4
+--R         1430b x  + 6578a b x  + 11616a b x  + 9428a b x  + 3030a b x
+--R       + 
+--R            5 3 3      6 2 2      7         8
+--R         10a b x  - 12a b x  + 16a b x - 32a
+--R    *
+--R        +-------+
+--R       \|b x + a
+--R  /
+--R           4
+--R     12155b
+--R                                                    Type: Expression(Integer)
+--E 1483
+
+--S 1484 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R              8 8          7 7         2 6 6        3 5 5        4 4 4
+--R         1430b x  + 6578a b x  + 11616a b x  + 9428a b x  + 3030a b x
+--R       + 
+--R            5 3 3      6 2 2      7         8
+--R         10a b x  - 12a b x  + 16a b x - 32a
+--R    *
+--R        +-------+
+--R       \|b x + a
+--R  /
+--R           4
+--R     12155b
+--R                                         Type: Union(Expression(Integer),...)
+--E 1484
+
+--S 1485 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1485
+
+--S 1486 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1486
+
+)clear all
+
+--S 1487 of 3330
+t0000:=x^2*(a+b*x)^(9/2)
+--R 
+--R
+--R          4 6       3 5     2 2 4     3   3    4 2  +-------+
+--R   (1)  (b x  + 4a b x  + 6a b x  + 4a b x  + a x )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1487
+
+--S 1488 of 3330
+r0000:=2/11*a^2*(a+b*x)^(11/2)/b^3-4/13*a*(a+b*x)^(13/2)/b^3+_
+     2/15*(a+b*x)^(15/2)/b^3
+--R 
+--R
+--R   (2)
+--R             7 7          6 6        2 5 5        3 4 4       4 3 3     5 2 2
+--R         286b x  + 1342a b x  + 2436a b x  + 2060a b x  + 710a b x  + 6a b x
+--R       + 
+--R             6         7
+--R         - 8a b x + 16a
+--R    *
+--R        +-------+
+--R       \|b x + a
+--R  /
+--R          3
+--R     2145b
+--R                                                    Type: Expression(Integer)
+--E 1488
+
+--S 1489 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R             7 7          6 6        2 5 5        3 4 4       4 3 3     5 2 2
+--R         286b x  + 1342a b x  + 2436a b x  + 2060a b x  + 710a b x  + 6a b x
+--R       + 
+--R             6         7
+--R         - 8a b x + 16a
+--R    *
+--R        +-------+
+--R       \|b x + a
+--R  /
+--R          3
+--R     2145b
+--R                                         Type: Union(Expression(Integer),...)
+--E 1489
+
+--S 1490 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1490
+
+--S 1491 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1491
+
+)clear all
+
+--S 1492 of 3330
+t0000:=x*(a+b*x)^(9/2)
+--R 
+--R
+--R          4 5       3 4     2 2 3     3   2    4   +-------+
+--R   (1)  (b x  + 4a b x  + 6a b x  + 4a b x  + a x)\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1492
+
+--S 1493 of 3330
+r0000:=-2/11*a*(a+b*x)^(11/2)/b^2+2/13*(a+b*x)^(13/2)/b^2
+--R 
+--R
+--R   (2)
+--R           6 6         5 5       2 4 4       3 3 3      4 2 2     5        6
+--R       (22b x  + 106a b x  + 200a b x  + 180a b x  + 70a b x  + 2a b x - 4a )
+--R    *
+--R        +-------+
+--R       \|b x + a
+--R  /
+--R         2
+--R     143b
+--R                                                    Type: Expression(Integer)
+--E 1493
+
+--S 1494 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R           6 6         5 5       2 4 4       3 3 3      4 2 2     5        6
+--R       (22b x  + 106a b x  + 200a b x  + 180a b x  + 70a b x  + 2a b x - 4a )
+--R    *
+--R        +-------+
+--R       \|b x + a
+--R  /
+--R         2
+--R     143b
+--R                                         Type: Union(Expression(Integer),...)
+--E 1494
+
+--S 1495 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1495
+
+--S 1496 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1496
+
+)clear all
+
+--S 1497 of 3330
+t0000:=(a+b*x)^(9/2)
+--R 
+--R
+--R          4 4       3 3     2 2 2     3       4  +-------+
+--R   (1)  (b x  + 4a b x  + 6a b x  + 4a b x + a )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1497
+
+--S 1498 of 3330
+r0000:=2/11*(a+b*x)^(11/2)/b
+--R 
+--R
+--R           5 5        4 4      2 3 3      3 2 2      4        5  +-------+
+--R        (2b x  + 10a b x  + 20a b x  + 20a b x  + 10a b x + 2a )\|b x + a
+--R   (2)  ------------------------------------------------------------------
+--R                                        11b
+--R                                                    Type: Expression(Integer)
+--E 1498
+
+--S 1499 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           5 5        4 4      2 3 3      3 2 2      4        5  +-------+
+--R        (2b x  + 10a b x  + 20a b x  + 20a b x  + 10a b x + 2a )\|b x + a
+--R   (3)  ------------------------------------------------------------------
+--R                                        11b
+--R                                         Type: Union(Expression(Integer),...)
+--E 1499
+
+--S 1500 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1500
+
+--S 1501 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1501
+
+)clear all
+
+--S 1502 of 3330
+t0000:=(a+b*x)^(9/2)/x
+--R 
+--R
+--R          4 4       3 3     2 2 2     3       4  +-------+
+--R        (b x  + 4a b x  + 6a b x  + 4a b x + a )\|b x + a
+--R   (1)  --------------------------------------------------
+--R                                 x
+--R                                                    Type: Expression(Integer)
+--E 1502
+
+--S 1503 of 3330
+r0000:=2/3*a^3*(a+b*x)^(3/2)+2/5*a^2*(a+b*x)^(5/2)+2/7*a*(a+b*x)^(7/2)+_
+     2/9*(a+b*x)^(9/2)-2*a^(9/2)*atanh(sqrt(a+b*x)/sqrt(a))+2*a^4*sqrt(a+b*x)
+--R 
+--R
+--R   (2)
+--R                         +-------+
+--R             4 +-+      \|b x + a
+--R       - 630a \|a atanh(----------)
+--R                            +-+
+--R                           \|a
+--R     + 
+--R           4 4         3 3       2 2 2        3           4  +-------+
+--R       (70b x  + 370a b x  + 816a b x  + 1012a b x + 1126a )\|b x + a
+--R  /
+--R     315
+--R                                                    Type: Expression(Integer)
+--E 1503
+
+--S 1504 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                          +-+ +-------+
+--R             4 +-+    - 2\|a \|b x + a  + b x + 2a
+--R         315a \|a log(----------------------------)
+--R                                    x
+--R       + 
+--R             4 4         3 3       2 2 2        3           4  +-------+
+--R         (70b x  + 370a b x  + 816a b x  + 1012a b x + 1126a )\|b x + a
+--R    /
+--R       315
+--R     ,
+--R
+--R                            +-------+
+--R               4 +---+     \|b x + a
+--R         - 630a \|- a atan(----------)
+--R                              +---+
+--R                             \|- a
+--R       + 
+--R             4 4         3 3       2 2 2        3           4  +-------+
+--R         (70b x  + 370a b x  + 816a b x  + 1012a b x + 1126a )\|b x + a
+--R    /
+--R       315
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1504
+
+--S 1505 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                      +-+ +-------+                             +-------+
+--R         4 +-+    - 2\|a \|b x + a  + b x + 2a      4 +-+      \|b x + a
+--R   (4)  a \|a log(----------------------------) + 2a \|a atanh(----------)
+--R                                x                                  +-+
+--R                                                                  \|a
+--R                                                    Type: Expression(Integer)
+--E 1505
+
+--S 1506 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1506
+
+--S 1507 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                      +-------+                   +-------+
+--R          4 +-+      \|b x + a       4 +---+     \|b x + a
+--R   (6)  2a \|a atanh(----------) - 2a \|- a atan(----------)
+--R                         +-+                        +---+
+--R                        \|a                        \|- a
+--R                                                    Type: Expression(Integer)
+--E 1507
+
+--S 1508 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1508
+
+)clear all
+
+--S 1509 of 3330
+t0000:=(a+b*x)^(9/2)/x^2
+--R 
+--R
+--R          4 4       3 3     2 2 2     3       4  +-------+
+--R        (b x  + 4a b x  + 6a b x  + 4a b x + a )\|b x + a
+--R   (1)  --------------------------------------------------
+--R                                 2
+--R                                x
+--R                                                    Type: Expression(Integer)
+--E 1509
+
+--S 1510 of 3330
+r0000:=3*a^2*b*(a+b*x)^(3/2)+9/5*a*b*(a+b*x)^(5/2)+9/7*b*(a+b*x)^(7/2)-_
+     (a+b*x)^(9/2)/x-9*a^(7/2)*b*atanh(sqrt(a+b*x)/sqrt(a))+_
+     9*a^3*b*sqrt(a+b*x)
+--R 
+--R
+--R   (2)
+--R                            +-------+
+--R             3    +-+      \|b x + a
+--R       - 315a b x\|a atanh(----------)
+--R                               +-+
+--R                              \|a
+--R     + 
+--R           4 4        3 3       2 2 2       3         4  +-------+
+--R       (10b x  + 58a b x  + 156a b x  + 388a b x - 35a )\|b x + a
+--R  /
+--R     35x
+--R                                                    Type: Expression(Integer)
+--E 1510
+
+--S 1511 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                             +-+ +-------+
+--R             3    +-+    - 2\|a \|b x + a  + b x + 2a
+--R         315a b x\|a log(----------------------------)
+--R                                       x
+--R       + 
+--R             4 4         3 3       2 2 2       3         4  +-------+
+--R         (20b x  + 116a b x  + 312a b x  + 776a b x - 70a )\|b x + a
+--R    /
+--R       70x
+--R     ,
+--R
+--R                               +-------+
+--R               3    +---+     \|b x + a
+--R         - 315a b x\|- a atan(----------)
+--R                                 +---+
+--R                                \|- a
+--R       + 
+--R             4 4        3 3       2 2 2       3         4  +-------+
+--R         (10b x  + 58a b x  + 156a b x  + 388a b x - 35a )\|b x + a
+--R    /
+--R       35x
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1511
+
+--S 1512 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                        +-+ +-------+                               +-------+
+--R          3  +-+    - 2\|a \|b x + a  + b x + 2a       3  +-+      \|b x + a
+--R        9a b\|a log(----------------------------) + 18a b\|a atanh(----------)
+--R                                  x                                    +-+
+--R                                                                      \|a
+--R   (4)  ----------------------------------------------------------------------
+--R                                           2
+--R                                                    Type: Expression(Integer)
+--E 1512
+
+--S 1513 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1513
+
+--S 1514 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                       +-------+                    +-------+
+--R          3  +-+      \|b x + a       3  +---+     \|b x + a
+--R   (6)  9a b\|a atanh(----------) - 9a b\|- a atan(----------)
+--R                          +-+                         +---+
+--R                         \|a                         \|- a
+--R                                                    Type: Expression(Integer)
+--E 1514
+
+--S 1515 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1515
+
+)clear all
+
+--S 1516 of 3330
+t0000:=(a+b*x)^(9/2)/x^3
+--R 
+--R
+--R          4 4       3 3     2 2 2     3       4  +-------+
+--R        (b x  + 4a b x  + 6a b x  + 4a b x + a )\|b x + a
+--R   (1)  --------------------------------------------------
+--R                                 3
+--R                                x
+--R                                                    Type: Expression(Integer)
+--E 1516
+
+--S 1517 of 3330
+r0000:=21/4*a*b^2*(a+b*x)^(3/2)+63/20*b^2*(a+b*x)^(5/2)-_
+     9/4*b*(a+b*x)^(7/2)/x-1/2*(a+b*x)^(9/2)/x^2-_
+     63/4*a^(5/2)*b^2*atanh(sqrt(a+b*x)/sqrt(a))+63/4*a^2*b^2*sqrt(a+b*x)
+--R 
+--R
+--R   (2)
+--R                             +-------+
+--R             2 2 2 +-+      \|b x + a
+--R       - 315a b x \|a atanh(----------)
+--R                                +-+
+--R                               \|a
+--R     + 
+--R          4 4        3 3       2 2 2      3         4  +-------+
+--R       (8b x  + 56a b x  + 288a b x  - 85a b x - 10a )\|b x + a
+--R  /
+--R        2
+--R     20x
+--R                                                    Type: Expression(Integer)
+--E 1517
+
+--S 1518 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                              +-+ +-------+
+--R             2 2 2 +-+    - 2\|a \|b x + a  + b x + 2a
+--R         315a b x \|a log(----------------------------)
+--R                                        x
+--R       + 
+--R             4 4         3 3       2 2 2       3         4  +-------+
+--R         (16b x  + 112a b x  + 576a b x  - 170a b x - 20a )\|b x + a
+--R    /
+--R          2
+--R       40x
+--R     ,
+--R
+--R                                +-------+
+--R               2 2 2 +---+     \|b x + a
+--R         - 315a b x \|- a atan(----------)
+--R                                  +---+
+--R                                 \|- a
+--R       + 
+--R            4 4        3 3       2 2 2      3         4  +-------+
+--R         (8b x  + 56a b x  + 288a b x  - 85a b x - 10a )\|b x + a
+--R    /
+--R          2
+--R       20x
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1518
+
+--S 1519 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R   (4)
+--R                     +-+ +-------+                                 +-------+
+--R      2 2 +-+    - 2\|a \|b x + a  + b x + 2a        2 2 +-+      \|b x + a
+--R   63a b \|a log(----------------------------) + 126a b \|a atanh(----------)
+--R                               x                                      +-+
+--R                                                                     \|a
+--R   --------------------------------------------------------------------------
+--R                                        8
+--R                                                    Type: Expression(Integer)
+--E 1519
+
+--S 1520 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1520
+
+--S 1521 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                         +-------+                      +-------+
+--R           2 2 +-+      \|b x + a        2 2 +---+     \|b x + a
+--R        63a b \|a atanh(----------) - 63a b \|- a atan(----------)
+--R                            +-+                           +---+
+--R                           \|a                           \|- a
+--R   (6)  ----------------------------------------------------------
+--R                                     4
+--R                                                    Type: Expression(Integer)
+--E 1521
+
+--S 1522 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1522
+
+)clear all
+
+--S 1523 of 3330
+t0000:=(a+b*x)^(9/2)/x^4
+--R 
+--R
+--R          4 4       3 3     2 2 2     3       4  +-------+
+--R        (b x  + 4a b x  + 6a b x  + 4a b x + a )\|b x + a
+--R   (1)  --------------------------------------------------
+--R                                 4
+--R                                x
+--R                                                    Type: Expression(Integer)
+--E 1523
+
+--S 1524 of 3330
+r0000:=35/8*b^3*(a+b*x)^(3/2)-21/8*b^2*(a+b*x)^(5/2)/x-_
+     3/4*b*(a+b*x)^(7/2)/x^2-1/3*(a+b*x)^(9/2)/x^3-_
+     105/8*a^(3/2)*b^3*atanh(sqrt(a+b*x)/sqrt(a))+105/8*a*b^3*sqrt(a+b*x)
+--R 
+--R
+--R   (2)
+--R                             +-------+
+--R               3 3 +-+      \|b x + a
+--R       - 315a b x \|a atanh(----------)
+--R                                +-+
+--R                               \|a
+--R     + 
+--R           4 4         3 3       2 2 2      3        4  +-------+
+--R       (16b x  + 208a b x  - 165a b x  - 50a b x - 8a )\|b x + a
+--R  /
+--R        3
+--R     24x
+--R                                                    Type: Expression(Integer)
+--E 1524
+
+--S 1525 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                              +-+ +-------+
+--R               3 3 +-+    - 2\|a \|b x + a  + b x + 2a
+--R         315a b x \|a log(----------------------------)
+--R                                        x
+--R       + 
+--R             4 4         3 3       2 2 2       3         4  +-------+
+--R         (32b x  + 416a b x  - 330a b x  - 100a b x - 16a )\|b x + a
+--R    /
+--R          3
+--R       48x
+--R     ,
+--R
+--R                                +-------+
+--R                 3 3 +---+     \|b x + a
+--R         - 315a b x \|- a atan(----------)
+--R                                  +---+
+--R                                 \|- a
+--R       + 
+--R             4 4         3 3       2 2 2      3        4  +-------+
+--R         (16b x  + 208a b x  - 165a b x  - 50a b x - 8a )\|b x + a
+--R    /
+--R          3
+--R       24x
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1525
+
+--S 1526 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R   (4)
+--R                      +-+ +-------+                                 +-------+
+--R         3 +-+    - 2\|a \|b x + a  + b x + 2a          3 +-+      \|b x + a
+--R   105a b \|a log(----------------------------) + 210a b \|a atanh(----------)
+--R                                x                                      +-+
+--R                                                                      \|a
+--R   ---------------------------------------------------------------------------
+--R                                        16
+--R                                                    Type: Expression(Integer)
+--E 1526
+
+--S 1527 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1527
+
+--S 1528 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                          +-------+                       +-------+
+--R              3 +-+      \|b x + a           3 +---+     \|b x + a
+--R        105a b \|a atanh(----------) - 105a b \|- a atan(----------)
+--R                             +-+                            +---+
+--R                            \|a                            \|- a
+--R   (6)  ------------------------------------------------------------
+--R                                      8
+--R                                                    Type: Expression(Integer)
+--E 1528
+
+--S 1529 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1529
+
+)clear all
+
+--S 1530 of 3330
+t0000:=(a+b*x)^(9/2)/x^5
+--R 
+--R
+--R          4 4       3 3     2 2 2     3       4  +-------+
+--R        (b x  + 4a b x  + 6a b x  + 4a b x + a )\|b x + a
+--R   (1)  --------------------------------------------------
+--R                                 5
+--R                                x
+--R                                                    Type: Expression(Integer)
+--E 1530
+
+--S 1531 of 3330
+r0000:=-105/64*b^3*(a+b*x)^(3/2)/x-21/32*b^2*(a+b*x)^(5/2)/x^2-_
+     3/8*b*(a+b*x)^(7/2)/x^3-1/4*(a+b*x)^(9/2)/x^4-_
+     315/64*b^4*atanh(sqrt(a+b*x)/sqrt(a))*sqrt(a)+315/64*b^4*sqrt(a+b*x)
+--R 
+--R
+--R   (2)
+--R                           +-------+
+--R             4 4 +-+      \|b x + a
+--R       - 315b x \|a atanh(----------)
+--R                              +-+
+--R                             \|a
+--R     + 
+--R            4 4         3 3       2 2 2      3         4  +-------+
+--R       (128b x  - 325a b x  - 210a b x  - 88a b x - 16a )\|b x + a
+--R  /
+--R        4
+--R     64x
+--R                                                    Type: Expression(Integer)
+--E 1531
+
+--S 1532 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                            +-+ +-------+
+--R             4 4 +-+    - 2\|a \|b x + a  + b x + 2a
+--R         315b x \|a log(----------------------------)
+--R                                      x
+--R       + 
+--R              4 4         3 3       2 2 2       3         4  +-------+
+--R         (256b x  - 650a b x  - 420a b x  - 176a b x - 32a )\|b x + a
+--R    /
+--R           4
+--R       128x
+--R     ,
+--R
+--R                              +-------+
+--R               4 4 +---+     \|b x + a
+--R         - 315b x \|- a atan(----------)
+--R                                +---+
+--R                               \|- a
+--R       + 
+--R              4 4         3 3       2 2 2      3         4  +-------+
+--R         (128b x  - 325a b x  - 210a b x  - 88a b x - 16a )\|b x + a
+--R    /
+--R          4
+--R       64x
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1532
+
+--S 1533 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R   (4)
+--R                    +-+ +-------+                               +-------+
+--R       4 +-+    - 2\|a \|b x + a  + b x + 2a        4 +-+      \|b x + a
+--R   315b \|a log(----------------------------) + 630b \|a atanh(----------)
+--R                              x                                    +-+
+--R                                                                  \|a
+--R   -----------------------------------------------------------------------
+--R                                     128
+--R                                                    Type: Expression(Integer)
+--E 1533
+
+--S 1534 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1534
+
+--S 1535 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                        +-------+                     +-------+
+--R            4 +-+      \|b x + a         4 +---+     \|b x + a
+--R        315b \|a atanh(----------) - 315b \|- a atan(----------)
+--R                           +-+                          +---+
+--R                          \|a                          \|- a
+--R   (6)  --------------------------------------------------------
+--R                                   64
+--R                                                    Type: Expression(Integer)
+--E 1535
+
+--S 1536 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1536
+
+)clear all
+
+--S 1537 of 3330
+t0000:=(a+b*x)^(9/2)/x^6
+--R 
+--R
+--R          4 4       3 3     2 2 2     3       4  +-------+
+--R        (b x  + 4a b x  + 6a b x  + 4a b x + a )\|b x + a
+--R   (1)  --------------------------------------------------
+--R                                 6
+--R                                x
+--R                                                    Type: Expression(Integer)
+--E 1537
+
+--S 1538 of 3330
+r0000:=-21/64*b^3*(a+b*x)^(3/2)/x^2-21/80*b^2*(a+b*x)^(5/2)/x^3-_
+     9/40*b*(a+b*x)^(7/2)/x^4-1/5*(a+b*x)^(9/2)/x^5-_
+     63/128*b^5*atanh(sqrt(a+b*x)/sqrt(a))/sqrt(a)-63/128*b^4*sqrt(a+b*x)/x
+--R 
+--R
+--R   (2)
+--R                       +-------+
+--R             5 5      \|b x + a
+--R       - 315b x atanh(----------)
+--R                          +-+
+--R                         \|a
+--R     + 
+--R              4 4          3 3        2 2 2       3          4  +-+ +-------+
+--R       (- 965b x  - 1490a b x  - 1368a b x  - 656a b x - 128a )\|a \|b x + a
+--R  /
+--R         5 +-+
+--R     640x \|a
+--R                                                    Type: Expression(Integer)
+--E 1538
+
+--S 1539 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                         +-------+              +-+
+--R             5 5    - 2a\|b x + a  + (b x + 2a)\|a
+--R         315b x log(-------------------------------)
+--R                                   x
+--R       + 
+--R               4 4          3 3        2 2 2        3          4  +-+ +-------+
+--R       (- 1930b x  - 2980a b x  - 2736a b x  - 1312a b x - 256a )\|a \|b x + a
+--R    /
+--R            5 +-+
+--R       1280x \|a
+--R     ,
+--R
+--R                        +---+ +-------+
+--R               5 5     \|- a \|b x + a
+--R         - 315b x atan(----------------)
+--R                               a
+--R       + 
+--R              4 4          3 3        2 2 2       3          4  +---+ +-------+
+--R       (- 965b x  - 1490a b x  - 1368a b x  - 656a b x - 128a )\|- a \|b x + a
+--R    /
+--R           5 +---+
+--R       640x \|- a
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1539
+
+--S 1540 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                     +-------+              +-+                +-------+
+--R           5    - 2a\|b x + a  + (b x + 2a)\|a         5      \|b x + a
+--R        63b log(-------------------------------) + 126b atanh(----------)
+--R                               x                                  +-+
+--R                                                                 \|a
+--R   (4)  -----------------------------------------------------------------
+--R                                         +-+
+--R                                     256\|a
+--R                                                    Type: Expression(Integer)
+--E 1540
+
+--S 1541 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1541
+
+--S 1542 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                         +-------+                  +---+ +-------+
+--R           5 +---+      \|b x + a        5 +-+     \|- a \|b x + a
+--R        63b \|- a atanh(----------) - 63b \|a atan(----------------)
+--R                            +-+                            a
+--R                           \|a
+--R   (6)  ------------------------------------------------------------
+--R                                    +---+ +-+
+--R                                128\|- a \|a
+--R                                                    Type: Expression(Integer)
+--E 1542
+
+--S 1543 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1543
+
+)clear all
+
+--S 1544 of 3330
+t0000:=(a+b*x)^(9/2)/x^7
+--R 
+--R
+--R          4 4       3 3     2 2 2     3       4  +-------+
+--R        (b x  + 4a b x  + 6a b x  + 4a b x + a )\|b x + a
+--R   (1)  --------------------------------------------------
+--R                                 7
+--R                                x
+--R                                                    Type: Expression(Integer)
+--E 1544
+
+--S 1545 of 3330
+r0000:=-7/64*b^3*(a+b*x)^(3/2)/x^3-21/160*b^2*(a+b*x)^(5/2)/x^4-_
+     3/20*b*(a+b*x)^(7/2)/x^5-1/6*(a+b*x)^(9/2)/x^6+_
+     21/512*b^6*atanh(sqrt(a+b*x)/sqrt(a))/a^(3/2)-_
+     21/256*b^4*sqrt(a+b*x)/x^2-21/512*b^5*sqrt(a+b*x)/(a*x)
+--R 
+--R
+--R   (2)
+--R                     +-------+
+--R           6 6      \|b x + a
+--R       315b x atanh(----------)
+--R                        +-+
+--R                       \|a
+--R     + 
+--R                   5 5          4 4         2 3 3         3 2 2        4
+--R             - 315b x  - 4910a b x  - 11432a b x  - 12144a b x  - 6272a b x
+--R           + 
+--R                    5
+--R             - 1280a
+--R      *
+--R          +-+ +-------+
+--R         \|a \|b x + a
+--R  /
+--R            6 +-+
+--R     7680a x \|a
+--R                                                    Type: Expression(Integer)
+--E 1545
+
+--S 1546 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                       +-------+              +-+
+--R             6 6    2a\|b x + a  + (b x + 2a)\|a
+--R         315b x log(-----------------------------)
+--R                                  x
+--R       + 
+--R                   5 5          4 4         2 3 3         3 2 2         4
+--R             - 630b x  - 9820a b x  - 22864a b x  - 24288a b x  - 12544a b x
+--R           + 
+--R                    5
+--R             - 2560a
+--R        *
+--R            +-+ +-------+
+--R           \|a \|b x + a
+--R    /
+--R               6 +-+
+--R       15360a x \|a
+--R     ,
+--R
+--R                      +---+ +-------+
+--R             6 6     \|- a \|b x + a
+--R         315b x atan(----------------)
+--R                             a
+--R       + 
+--R                   5 5          4 4         2 3 3         3 2 2        4
+--R             - 315b x  - 4910a b x  - 11432a b x  - 12144a b x  - 6272a b x
+--R           + 
+--R                    5
+--R             - 1280a
+--R        *
+--R            +---+ +-------+
+--R           \|- a \|b x + a
+--R    /
+--R              6 +---+
+--R       7680a x \|- a
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1546
+
+--S 1547 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                   +-------+              +-+               +-------+
+--R           6    2a\|b x + a  + (b x + 2a)\|a        6      \|b x + a
+--R        21b log(-----------------------------) - 42b atanh(----------)
+--R                              x                                +-+
+--R                                                              \|a
+--R   (4)  --------------------------------------------------------------
+--R                                         +-+
+--R                                   1024a\|a
+--R                                                    Type: Expression(Integer)
+--E 1547
+
+--S 1548 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1548
+
+--S 1549 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                           +-------+                  +---+ +-------+
+--R             6 +---+      \|b x + a        6 +-+     \|- a \|b x + a
+--R        - 21b \|- a atanh(----------) + 21b \|a atan(----------------)
+--R                              +-+                            a
+--R                             \|a
+--R   (6)  --------------------------------------------------------------
+--R                                     +---+ +-+
+--R                                512a\|- a \|a
+--R                                                    Type: Expression(Integer)
+--E 1549
+
+--S 1550 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1550
+
+)clear all
+
+--S 1551 of 3330
+t0000:=(a+b*x)^(9/2)/x^8
+--R 
+--R
+--R          4 4       3 3     2 2 2     3       4  +-------+
+--R        (b x  + 4a b x  + 6a b x  + 4a b x + a )\|b x + a
+--R   (1)  --------------------------------------------------
+--R                                 8
+--R                                x
+--R                                                    Type: Expression(Integer)
+--E 1551
+
+--S 1552 of 3330
+r0000:=-3/64*b^3*(a+b*x)^(3/2)/x^4-3/40*b^2*(a+b*x)^(5/2)/x^5-_
+     3/28*b*(a+b*x)^(7/2)/x^6-1/7*(a+b*x)^(9/2)/x^7-_
+     9/1024*b^7*atanh(sqrt(a+b*x)/sqrt(a))/a^(5/2)-_
+     3/128*b^4*sqrt(a+b*x)/x^3-3/512*b^5*sqrt(a+b*x)/(a*x^2)+_
+     9/1024*b^6*sqrt(a+b*x)/(a^2*x)
+--R 
+--R
+--R   (2)
+--R                       +-------+
+--R             7 7      \|b x + a
+--R       - 315b x atanh(----------)
+--R                          +-+
+--R                         \|a
+--R     + 
+--R               6 6         5 5         2 4 4         3 3 3         4 2 2
+--R           315b x  - 210a b x  - 14168a b x  - 39056a b x  - 44928a b x
+--R         + 
+--R                   5           6
+--R           - 24320a b x - 5120a
+--R      *
+--R          +-+ +-------+
+--R         \|a \|b x + a
+--R  /
+--R           2 7 +-+
+--R     35840a x \|a
+--R                                                    Type: Expression(Integer)
+--E 1552
+
+--S 1553 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                         +-------+              +-+
+--R             7 7    - 2a\|b x + a  + (b x + 2a)\|a
+--R         315b x log(-------------------------------)
+--R                                   x
+--R       + 
+--R                 6 6         5 5         2 4 4         3 3 3         4 2 2
+--R             630b x  - 420a b x  - 28336a b x  - 78112a b x  - 89856a b x
+--R           + 
+--R                     5            6
+--R             - 48640a b x - 10240a
+--R        *
+--R            +-+ +-------+
+--R           \|a \|b x + a
+--R    /
+--R             2 7 +-+
+--R       71680a x \|a
+--R     ,
+--R
+--R                        +---+ +-------+
+--R               7 7     \|- a \|b x + a
+--R         - 315b x atan(----------------)
+--R                               a
+--R       + 
+--R                 6 6         5 5         2 4 4         3 3 3         4 2 2
+--R             315b x  - 210a b x  - 14168a b x  - 39056a b x  - 44928a b x
+--R           + 
+--R                     5           6
+--R             - 24320a b x - 5120a
+--R        *
+--R            +---+ +-------+
+--R           \|- a \|b x + a
+--R    /
+--R             2 7 +---+
+--R       35840a x \|- a
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1553
+
+--S 1554 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                    +-------+              +-+               +-------+
+--R          7    - 2a\|b x + a  + (b x + 2a)\|a        7      \|b x + a
+--R        9b log(-------------------------------) + 18b atanh(----------)
+--R                              x                                 +-+
+--R                                                               \|a
+--R   (4)  ---------------------------------------------------------------
+--R                                        2 +-+
+--R                                   2048a \|a
+--R                                                    Type: Expression(Integer)
+--E 1554
+
+--S 1555 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1555
+
+--S 1556 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                        +-------+                 +---+ +-------+
+--R          7 +---+      \|b x + a       7 +-+     \|- a \|b x + a
+--R        9b \|- a atanh(----------) - 9b \|a atan(----------------)
+--R                           +-+                           a
+--R                          \|a
+--R   (6)  ----------------------------------------------------------
+--R                                  2 +---+ +-+
+--R                             1024a \|- a \|a
+--R                                                    Type: Expression(Integer)
+--E 1556
+
+--S 1557 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1557
+
+)clear all
+
+--S 1558 of 3330
+t0000:=sqrt(-a+b*x)/x
+--R 
+--R
+--R         +-------+
+--R        \|b x - a
+--R   (1)  ----------
+--R             x
+--R                                                    Type: Expression(Integer)
+--E 1558
+
+--S 1559 of 3330
+r0000:=-2*atan(sqrt(-a+b*x)/sqrt(a))*sqrt(a)+2*sqrt(-a+b*x)
+--R 
+--R
+--R                     +-------+
+--R            +-+     \|b x - a       +-------+
+--R   (2)  - 2\|a atan(----------) + 2\|b x - a
+--R                        +-+
+--R                       \|a
+--R                                                    Type: Expression(Integer)
+--E 1559
+
+--S 1560 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                  +---+ +-------+
+--R     +---+    - 2\|- a \|b x - a  + b x - 2a      +-------+
+--R   [\|- a log(------------------------------) + 2\|b x - a ,
+--R                             x
+--R                 +-------+
+--R        +-+     \|b x - a       +-------+
+--R    - 2\|a atan(----------) + 2\|b x - a ]
+--R                    +-+
+--R                   \|a
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1560
+
+--S 1561 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                      +---+ +-------+                          +-------+
+--R         +---+    - 2\|- a \|b x - a  + b x - 2a      +-+     \|b x - a
+--R   (4)  \|- a log(------------------------------) + 2\|a atan(----------)
+--R                                 x                                +-+
+--R                                                                 \|a
+--R                                                    Type: Expression(Integer)
+--E 1561
+
+--S 1562 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1562
+
+--S 1563 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R   (6)  0
+--R                                                    Type: Expression(Integer)
+--E 1563
+
+--S 1564 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1564
+
+)clear all
+
+--S 1565 of 3330
+t0000:=sqrt(-a+b*x)/x^2
+--R 
+--R
+--R         +-------+
+--R        \|b x - a
+--R   (1)  ----------
+--R             2
+--R            x
+--R                                                    Type: Expression(Integer)
+--E 1565
+
+--S 1566 of 3330
+r0000:=b*atan(sqrt(-a+b*x)/sqrt(a))/sqrt(a)-sqrt(-a+b*x)/x
+--R 
+--R
+--R                  +-------+
+--R                 \|b x - a      +-+ +-------+
+--R        b x atan(----------) - \|a \|b x - a
+--R                     +-+
+--R                    \|a
+--R   (2)  -------------------------------------
+--R                          +-+
+--R                        x\|a
+--R                                                    Type: Expression(Integer)
+--E 1566
+
+--S 1567 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R               +-------+              +---+
+--R            2a\|b x - a  + (b x - 2a)\|- a       +---+ +-------+
+--R    b x log(-------------------------------) - 2\|- a \|b x - a
+--R                           x
+--R   [------------------------------------------------------------,
+--R                                 +---+
+--R                              2x\|- a
+--R              +-+ +-------+
+--R             \|a \|b x - a      +-+ +-------+
+--R    b x atan(--------------) - \|a \|b x - a
+--R                    a
+--R    -----------------------------------------]
+--R                        +-+
+--R                      x\|a
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1567
+
+--S 1568 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                    +-------+              +---+                  +-------+
+--R          +-+    2a\|b x - a  + (b x - 2a)\|- a        +---+     \|b x - a
+--R        b\|a log(-------------------------------) - 2b\|- a atan(----------)
+--R                                x                                    +-+
+--R                                                                    \|a
+--R   (4)  --------------------------------------------------------------------
+--R                                       +---+ +-+
+--R                                     2\|- a \|a
+--R                                                    Type: Expression(Integer)
+--E 1568
+
+--S 1569 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1569
+
+--S 1570 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                +-+ +-------+            +-------+
+--R               \|a \|b x - a            \|b x - a
+--R        b atan(--------------) - b atan(----------)
+--R                      a                     +-+
+--R                                           \|a
+--R   (6)  -------------------------------------------
+--R                             +-+
+--R                            \|a
+--R                                                    Type: Expression(Integer)
+--E 1570
+
+--S 1571 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1571
+
+)clear all
+
+--S 1572 of 3330
+t0000:=sqrt(-a+b*x)/x^3
+--R 
+--R
+--R         +-------+
+--R        \|b x - a
+--R   (1)  ----------
+--R             3
+--R            x
+--R                                                    Type: Expression(Integer)
+--E 1572
+
+--S 1573 of 3330
+r0000:=1/4*b^2*atan(sqrt(-a+b*x)/sqrt(a))/a^(3/2)-_
+     1/2*sqrt(-a+b*x)/x^2+1/4*b*sqrt(-a+b*x)/(a*x)
+--R 
+--R
+--R                  +-------+
+--R         2 2     \|b x - a                +-+ +-------+
+--R        b x atan(----------) + (b x - 2a)\|a \|b x - a
+--R                     +-+
+--R                    \|a
+--R   (2)  -----------------------------------------------
+--R                               2 +-+
+--R                           4a x \|a
+--R                                                    Type: Expression(Integer)
+--E 1573
+
+--S 1574 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R               +-------+              +---+
+--R     2 2    2a\|b x - a  + (b x - 2a)\|- a                 +---+ +-------+
+--R    b x log(-------------------------------) + (2b x - 4a)\|- a \|b x - a
+--R                           x
+--R   [----------------------------------------------------------------------,
+--R                                      2 +---+
+--R                                  8a x \|- a
+--R              +-+ +-------+
+--R     2 2     \|a \|b x - a                +-+ +-------+
+--R    b x atan(--------------) + (b x - 2a)\|a \|b x - a
+--R                    a
+--R    ---------------------------------------------------]
+--R                             2 +-+
+--R                         4a x \|a
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1574
+
+--S 1575 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                     +-------+              +---+                   +-------+
+--R         2 +-+    2a\|b x - a  + (b x - 2a)\|- a       2 +---+     \|b x - a
+--R        b \|a log(-------------------------------) - 2b \|- a atan(----------)
+--R                                 x                                     +-+
+--R                                                                      \|a
+--R   (4)  ----------------------------------------------------------------------
+--R                                        +---+ +-+
+--R                                     8a\|- a \|a
+--R                                                    Type: Expression(Integer)
+--E 1575
+
+--S 1576 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1576
+
+--S 1577 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                +-+ +-------+            +-------+
+--R         2     \|a \|b x - a      2     \|b x - a
+--R        b atan(--------------) - b atan(----------)
+--R                      a                     +-+
+--R                                           \|a
+--R   (6)  -------------------------------------------
+--R                              +-+
+--R                           4a\|a
+--R                                                    Type: Expression(Integer)
+--E 1577
+
+--S 1578 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1578
+
+)clear all
+
+--S 1579 of 3330
+t0000:=(-a+b*x)^(3/2)/x
+--R 
+--R
+--R                  +-------+
+--R        (b x - a)\|b x - a
+--R   (1)  -------------------
+--R                 x
+--R                                                    Type: Expression(Integer)
+--E 1579
+
+--S 1580 of 3330
+r0000:=2/3*(-a+b*x)^(3/2)+2*a^(3/2)*atan(sqrt(-a+b*x)/sqrt(a))-2*a*sqrt(-a+b*x)
+--R 
+--R
+--R                    +-------+
+--R           +-+     \|b x - a                 +-------+
+--R        6a\|a atan(----------) + (2b x - 8a)\|b x - a
+--R                       +-+
+--R                      \|a
+--R   (2)  ----------------------------------------------
+--R                               3
+--R                                                    Type: Expression(Integer)
+--E 1580
+
+--S 1581 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                  +---+ +-------+
+--R       +---+    2\|- a \|b x - a  + b x - 2a                +-------+
+--R    3a\|- a log(----------------------------) + (2b x - 8a)\|b x - a
+--R                              x
+--R   [-----------------------------------------------------------------,
+--R                                    3
+--R                +-------+
+--R       +-+     \|b x - a                 +-------+
+--R    6a\|a atan(----------) + (2b x - 8a)\|b x - a
+--R                   +-+
+--R                  \|a
+--R    ----------------------------------------------]
+--R                           3
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1581
+
+--S 1582 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                     +---+ +-------+                           +-------+
+--R          +---+    2\|- a \|b x - a  + b x - 2a       +-+     \|b x - a
+--R   (4)  a\|- a log(----------------------------) - 2a\|a atan(----------)
+--R                                 x                                +-+
+--R                                                                 \|a
+--R                                                    Type: Expression(Integer)
+--E 1582
+
+--S 1583 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1583
+
+--S 1584 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R   (6)  0
+--R                                                    Type: Expression(Integer)
+--E 1584
+
+--S 1585 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1585
+
+)clear all
+
+--S 1586 of 3330
+t0000:=(-a+b*x)^(3/2)/x^2
+--R 
+--R
+--R                  +-------+
+--R        (b x - a)\|b x - a
+--R   (1)  -------------------
+--R                  2
+--R                 x
+--R                                                    Type: Expression(Integer)
+--E 1586
+
+--S 1587 of 3330
+r0000:=-(-a+b*x)^(3/2)/x-3*b*atan(sqrt(-a+b*x)/sqrt(a))*sqrt(a)+_
+     3*b*sqrt(-a+b*x)
+--R 
+--R
+--R                        +-------+
+--R               +-+     \|b x - a                +-------+
+--R        - 3b x\|a atan(----------) + (2b x + a)\|b x - a
+--R                           +-+
+--R                          \|a
+--R   (2)  -------------------------------------------------
+--R                                x
+--R                                                    Type: Expression(Integer)
+--E 1587
+
+--S 1588 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                      +---+ +-------+
+--R         +---+    - 2\|- a \|b x - a  + b x - 2a                +-------+
+--R    3b x\|- a log(------------------------------) + (4b x + 2a)\|b x - a
+--R                                 x
+--R   [---------------------------------------------------------------------,
+--R                                      2x
+--R                    +-------+
+--R           +-+     \|b x - a                +-------+
+--R    - 3b x\|a atan(----------) + (2b x + a)\|b x - a
+--R                       +-+
+--R                      \|a
+--R    -------------------------------------------------]
+--R                            x
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1588
+
+--S 1589 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                        +---+ +-------+                           +-------+
+--R           +---+    - 2\|- a \|b x - a  + b x - 2a       +-+     \|b x - a
+--R        3b\|- a log(------------------------------) + 6b\|a atan(----------)
+--R                                   x                                 +-+
+--R                                                                    \|a
+--R   (4)  --------------------------------------------------------------------
+--R                                          2
+--R                                                    Type: Expression(Integer)
+--E 1589
+
+--S 1590 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1590
+
+--S 1591 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R   (6)  0
+--R                                                    Type: Expression(Integer)
+--E 1591
+
+--S 1592 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1592
+
+)clear all
+
+--S 1593 of 3330
+t0000:=(-a+b*x)^(3/2)/x^3
+--R 
+--R
+--R                  +-------+
+--R        (b x - a)\|b x - a
+--R   (1)  -------------------
+--R                  3
+--R                 x
+--R                                                    Type: Expression(Integer)
+--E 1593
+
+--S 1594 of 3330
+r0000:=-1/2*(-a+b*x)^(3/2)/x^2+3/4*b^2*atan(sqrt(-a+b*x)/sqrt(a))/sqrt(a)-_
+     3/4*b*sqrt(-a+b*x)/x
+--R 
+--R
+--R                   +-------+
+--R          2 2     \|b x - a                   +-+ +-------+
+--R        3b x atan(----------) + (- 5b x + 2a)\|a \|b x - a
+--R                      +-+
+--R                     \|a
+--R   (2)  ---------------------------------------------------
+--R                                2 +-+
+--R                              4x \|a
+--R                                                    Type: Expression(Integer)
+--E 1594
+
+--S 1595 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                +-------+              +---+
+--R      2 2    2a\|b x - a  + (b x - 2a)\|- a                    +---+ +-------+
+--R    3b x log(-------------------------------) + (- 10b x + 4a)\|- a \|b x - a
+--R                            x
+--R   [--------------------------------------------------------------------------,
+--R                                       2 +---+
+--R                                     8x \|- a
+--R               +-+ +-------+
+--R      2 2     \|a \|b x - a                   +-+ +-------+
+--R    3b x atan(--------------) + (- 5b x + 2a)\|a \|b x - a
+--R                     a
+--R    -------------------------------------------------------]
+--R                              2 +-+
+--R                            4x \|a
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1595
+
+--S 1596 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R   (4)
+--R                 +-------+              +---+                   +-------+
+--R     2 +-+    2a\|b x - a  + (b x - 2a)\|- a       2 +---+     \|b x - a
+--R   3b \|a log(-------------------------------) - 6b \|- a atan(----------)
+--R                             x                                     +-+
+--R                                                                  \|a
+--R   -----------------------------------------------------------------------
+--R                                   +---+ +-+
+--R                                 8\|- a \|a
+--R                                                    Type: Expression(Integer)
+--E 1596
+
+--S 1597 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1597
+
+--S 1598 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                 +-+ +-------+             +-------+
+--R          2     \|a \|b x - a       2     \|b x - a
+--R        3b atan(--------------) - 3b atan(----------)
+--R                       a                      +-+
+--R                                             \|a
+--R   (6)  ---------------------------------------------
+--R                              +-+
+--R                            4\|a
+--R                                                    Type: Expression(Integer)
+--E 1598
+
+--S 1599 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1599
+
+)clear all
+
+--S 1600 of 3330
+t0000:=(-a+b*x)^(5/2)/x
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (b x  - 2a b x + a )\|b x - a
+--R   (1)  ------------------------------
+--R                       x
+--R                                                    Type: Expression(Integer)
+--E 1600
+
+--S 1601 of 3330
+r0000:=-2/3*a*(-a+b*x)^(3/2)+2/5*(-a+b*x)^(5/2)-_
+     2*a^(5/2)*atan(sqrt(-a+b*x)/sqrt(a))+2*a^2*sqrt(-a+b*x)
+--R 
+--R
+--R                        +-------+
+--R             2 +-+     \|b x - a        2 2                2  +-------+
+--R        - 30a \|a atan(----------) + (6b x  - 22a b x + 46a )\|b x - a
+--R                           +-+
+--R                          \|a
+--R   (2)  ---------------------------------------------------------------
+--R                                       15
+--R                                                    Type: Expression(Integer)
+--E 1601
+
+--S 1602 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                           +---+ +-------+
+--R            2 +---+    - 2\|- a \|b x - a  + b x - 2a
+--R         15a \|- a log(------------------------------)
+--R                                      x
+--R       + 
+--R            2 2                2  +-------+
+--R         (6b x  - 22a b x + 46a )\|b x - a
+--R    /
+--R       15
+--R     ,
+--R                    +-------+
+--R         2 +-+     \|b x - a        2 2                2  +-------+
+--R    - 30a \|a atan(----------) + (6b x  - 22a b x + 46a )\|b x - a
+--R                       +-+
+--R                      \|a
+--R    ---------------------------------------------------------------]
+--R                                   15
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1602
+
+--S 1603 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                        +---+ +-------+                            +-------+
+--R         2 +---+    - 2\|- a \|b x - a  + b x - 2a      2 +-+     \|b x - a
+--R   (4)  a \|- a log(------------------------------) + 2a \|a atan(----------)
+--R                                   x                                  +-+
+--R                                                                     \|a
+--R                                                    Type: Expression(Integer)
+--E 1603
+
+--S 1604 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1604
+
+--S 1605 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R   (6)  0
+--R                                                    Type: Expression(Integer)
+--E 1605
+
+--S 1606 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1606
+
+)clear all
+
+--S 1607 of 3330
+t0000:=(-a+b*x)^(5/2)/x^2
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (b x  - 2a b x + a )\|b x - a
+--R   (1)  ------------------------------
+--R                       2
+--R                      x
+--R                                                    Type: Expression(Integer)
+--E 1607
+
+--S 1608 of 3330
+r0000:=5/3*b*(-a+b*x)^(3/2)-(-a+b*x)^(5/2)/x+_
+     5*a^(3/2)*b*atan(sqrt(-a+b*x)/sqrt(a))-5*a*b*sqrt(-a+b*x)
+--R 
+--R
+--R                         +-------+
+--R                +-+     \|b x - a        2 2               2  +-------+
+--R        15a b x\|a atan(----------) + (2b x  - 14a b x - 3a )\|b x - a
+--R                            +-+
+--R                           \|a
+--R   (2)  ---------------------------------------------------------------
+--R                                       3x
+--R                                                    Type: Expression(Integer)
+--E 1608
+
+--S 1609 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                            +---+ +-------+
+--R                 +---+    2\|- a \|b x - a  + b x - 2a
+--R         15a b x\|- a log(----------------------------)
+--R                                        x
+--R       + 
+--R            2 2               2  +-------+
+--R         (4b x  - 28a b x - 6a )\|b x - a
+--R    /
+--R       6x
+--R     ,
+--R                     +-------+
+--R            +-+     \|b x - a        2 2               2  +-------+
+--R    15a b x\|a atan(----------) + (2b x  - 14a b x - 3a )\|b x - a
+--R                        +-+
+--R                       \|a
+--R    ---------------------------------------------------------------]
+--R                                   3x
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1609
+
+--S 1610 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R   (4)
+--R                   +---+ +-------+                              +-------+
+--R        +---+    2\|- a \|b x - a  + b x - 2a          +-+     \|b x - a
+--R   5a b\|- a log(----------------------------) - 10a b\|a atan(----------)
+--R                               x                                   +-+
+--R                                                                  \|a
+--R   -----------------------------------------------------------------------
+--R                                      2
+--R                                                    Type: Expression(Integer)
+--E 1610
+
+--S 1611 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1611
+
+--S 1612 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R   (6)  0
+--R                                                    Type: Expression(Integer)
+--E 1612
+
+--S 1613 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1613
+
+)clear all
+
+--S 1614 of 3330
+t0000:=(-a+b*x)^(5/2)/x^3
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (b x  - 2a b x + a )\|b x - a
+--R   (1)  ------------------------------
+--R                       3
+--R                      x
+--R                                                    Type: Expression(Integer)
+--E 1614
+
+--S 1615 of 3330
+r0000:=-5/4*b*(-a+b*x)^(3/2)/x-1/2*(-a+b*x)^(5/2)/x^2-_
+     15/4*b^2*atan(sqrt(-a+b*x)/sqrt(a))*sqrt(a)+15/4*b^2*sqrt(-a+b*x)
+--R 
+--R
+--R                          +-------+
+--R             2 2 +-+     \|b x - a        2 2              2  +-------+
+--R        - 15b x \|a atan(----------) + (8b x  + 9a b x - 2a )\|b x - a
+--R                             +-+
+--R                            \|a
+--R   (2)  ---------------------------------------------------------------
+--R                                        2
+--R                                      4x
+--R                                                    Type: Expression(Integer)
+--E 1615
+
+--S 1616 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                             +---+ +-------+
+--R            2 2 +---+    - 2\|- a \|b x - a  + b x - 2a
+--R         15b x \|- a log(------------------------------)
+--R                                        x
+--R       + 
+--R             2 2               2  +-------+
+--R         (16b x  + 18a b x - 4a )\|b x - a
+--R    /
+--R         2
+--R       8x
+--R     ,
+--R                      +-------+
+--R         2 2 +-+     \|b x - a        2 2              2  +-------+
+--R    - 15b x \|a atan(----------) + (8b x  + 9a b x - 2a )\|b x - a
+--R                         +-+
+--R                        \|a
+--R    ---------------------------------------------------------------]
+--R                                    2
+--R                                  4x
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1616
+
+--S 1617 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R   (4)
+--R                     +---+ +-------+                             +-------+
+--R      2 +---+    - 2\|- a \|b x - a  + b x - 2a       2 +-+     \|b x - a
+--R   15b \|- a log(------------------------------) + 30b \|a atan(----------)
+--R                                x                                   +-+
+--R                                                                   \|a
+--R   ------------------------------------------------------------------------
+--R                                       8
+--R                                                    Type: Expression(Integer)
+--E 1617
+
+--S 1618 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1618
+
+--S 1619 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R   (6)  0
+--R                                                    Type: Expression(Integer)
+--E 1619
+
+--S 1620 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1620
+
+)clear all
+
+--S 1621 of 3330
+t0000:=x^m/sqrt(a+b*x)
+--R 
+--R
+--R             m
+--R            x
+--R   (1)  ----------
+--R         +-------+
+--R        \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1621
+
+--S 1622 of 3330
+--r0000:=2*x^m*hypergeometric(1/2,-m,3/2,(a+b*x)/a)*sqrt(a+b*x)/(b*(-b*x/a)^m)
+--E 1622
+
+--S 1623 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           x       m
+--R         ++      %N
+--R   (2)   |   ----------- d%N
+--R        ++    +--------+
+--R             \|%N b + a
+--R                                         Type: Union(Expression(Integer),...)
+--E 1623
+
+--S 1624 of 3330
+--m0000:=a0000 - r0000
+--E 1624
+
+--S 1625 of 3330
+--d0000:=D(m0000,x)
+--E 1625
+
+)clear all
+
+--S 1626 of 3330
+t0000:=x^4/sqrt(a+b*x)
+--R 
+--R
+--R             4
+--R            x
+--R   (1)  ----------
+--R         +-------+
+--R        \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1626
+
+--S 1627 of 3330
+r0000:=-8/3*a^3*(a+b*x)^(3/2)/b^5+12/5*a^2*(a+b*x)^(5/2)/b^5-_
+     8/7*a*(a+b*x)^(7/2)/b^5+2/9*(a+b*x)^(9/2)/b^5+2*a^4*sqrt(a+b*x)/b^5
+--R 
+--R
+--R            4 4        3 3      2 2 2       3          4  +-------+
+--R        (70b x  - 80a b x  + 96a b x  - 128a b x + 256a )\|b x + a
+--R   (2)  -----------------------------------------------------------
+--R                                       5
+--R                                   315b
+--R                                                    Type: Expression(Integer)
+--E 1627
+
+--S 1628 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R            4 4        3 3      2 2 2       3          4  +-------+
+--R        (70b x  - 80a b x  + 96a b x  - 128a b x + 256a )\|b x + a
+--R   (3)  -----------------------------------------------------------
+--R                                       5
+--R                                   315b
+--R                                         Type: Union(Expression(Integer),...)
+--E 1628
+
+--S 1629 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1629
+
+--S 1630 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1630
+
+)clear all
+
+--S 1631 of 3330
+t0000:=x^3/sqrt(a+b*x)
+--R 
+--R
+--R             3
+--R            x
+--R   (1)  ----------
+--R         +-------+
+--R        \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1631
+
+--S 1632 of 3330
+r0000:=2*a^2*(a+b*x)^(3/2)/b^4-6/5*a*(a+b*x)^(5/2)/b^4+_
+     2/7*(a+b*x)^(7/2)/b^4-2*a^3*sqrt(a+b*x)/b^4
+--R 
+--R
+--R            3 3        2 2      2         3  +-------+
+--R        (10b x  - 12a b x  + 16a b x - 32a )\|b x + a
+--R   (2)  ----------------------------------------------
+--R                                4
+--R                             35b
+--R                                                    Type: Expression(Integer)
+--E 1632
+
+--S 1633 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R            3 3        2 2      2         3  +-------+
+--R        (10b x  - 12a b x  + 16a b x - 32a )\|b x + a
+--R   (3)  ----------------------------------------------
+--R                                4
+--R                             35b
+--R                                         Type: Union(Expression(Integer),...)
+--E 1633
+
+--S 1634 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1634
+
+--S 1635 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1635
+
+)clear all
+
+--S 1636 of 3330
+t0000:=x^2/sqrt(a+b*x)
+--R 
+--R
+--R             2
+--R            x
+--R   (1)  ----------
+--R         +-------+
+--R        \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1636
+
+--S 1637 of 3330
+r0000:=-4/3*a*(a+b*x)^(3/2)/b^3+2/5*(a+b*x)^(5/2)/b^3+2*a^2*sqrt(a+b*x)/b^3
+--R 
+--R
+--R           2 2               2  +-------+
+--R        (6b x  - 8a b x + 16a )\|b x + a
+--R   (2)  ---------------------------------
+--R                          3
+--R                       15b
+--R                                                    Type: Expression(Integer)
+--E 1637
+
+--S 1638 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           2 2               2  +-------+
+--R        (6b x  - 8a b x + 16a )\|b x + a
+--R   (3)  ---------------------------------
+--R                          3
+--R                       15b
+--R                                         Type: Union(Expression(Integer),...)
+--E 1638
+
+--S 1639 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1639
+
+--S 1640 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1640
+
+)clear all
+
+--S 1641 of 3330
+t0000:=x/sqrt(a+b*x)
+--R 
+--R
+--R             x
+--R   (1)  ----------
+--R         +-------+
+--R        \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1641
+
+--S 1642 of 3330
+r0000:=2/3*(a+b*x)^(3/2)/b^2-2*a*sqrt(a+b*x)/b^2
+--R 
+--R
+--R                    +-------+
+--R        (2b x - 4a)\|b x + a
+--R   (2)  ---------------------
+--R                   2
+--R                 3b
+--R                                                    Type: Expression(Integer)
+--E 1642
+
+--S 1643 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                    +-------+
+--R        (2b x - 4a)\|b x + a
+--R   (3)  ---------------------
+--R                   2
+--R                 3b
+--R                                         Type: Union(Expression(Integer),...)
+--E 1643
+
+--S 1644 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1644
+
+--S 1645 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1645
+
+)clear all
+
+--S 1646 of 3330
+t0000:=1/sqrt(a+b*x)
+--R 
+--R
+--R             1
+--R   (1)  ----------
+--R         +-------+
+--R        \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1646
+
+--S 1647 of 3330
+r0000:=2*sqrt(a+b*x)/b
+--R 
+--R
+--R          +-------+
+--R        2\|b x + a
+--R   (2)  -----------
+--R             b
+--R                                                    Type: Expression(Integer)
+--E 1647
+
+--S 1648 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R          +-------+
+--R        2\|b x + a
+--R   (3)  -----------
+--R             b
+--R                                         Type: Union(Expression(Integer),...)
+--E 1648
+
+--S 1649 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1649
+
+--S 1650 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1650
+
+)clear all
+
+--S 1651 of 3330
+t0000:=1/(x*sqrt(a+b*x))
+--R 
+--R
+--R             1
+--R   (1)  -----------
+--R          +-------+
+--R        x\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1651
+
+--S 1652 of 3330
+r0000:=-2*atanh(sqrt(a+b*x)/sqrt(a))/sqrt(a)
+--R 
+--R
+--R                  +-------+
+--R                 \|b x + a
+--R          2atanh(----------)
+--R                     +-+
+--R                    \|a
+--R   (2)  - ------------------
+--R                  +-+
+--R                 \|a
+--R                                                    Type: Expression(Integer)
+--E 1652
+
+--S 1653 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                  +-------+              +-+           +---+ +-------+
+--R             - 2a\|b x + a  + (b x + 2a)\|a           \|- a \|b x + a
+--R         log(-------------------------------)   2atan(----------------)
+--R                            x                                 a
+--R   (3)  [------------------------------------,- -----------------------]
+--R                          +-+                             +---+
+--R                         \|a                             \|- a
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1653
+
+--S 1654 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                 +-------+              +-+            +-------+
+--R            - 2a\|b x + a  + (b x + 2a)\|a            \|b x + a
+--R        log(-------------------------------) + 2atanh(----------)
+--R                           x                              +-+
+--R                                                         \|a
+--R   (4)  ---------------------------------------------------------
+--R                                    +-+
+--R                                   \|a
+--R                                                    Type: Expression(Integer)
+--E 1654
+
+--S 1655 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1655
+
+--S 1656 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                      +-------+               +---+ +-------+
+--R          +---+      \|b x + a       +-+     \|- a \|b x + a
+--R        2\|- a atanh(----------) - 2\|a atan(----------------)
+--R                         +-+                         a
+--R                        \|a
+--R   (6)  ------------------------------------------------------
+--R                               +---+ +-+
+--R                              \|- a \|a
+--R                                                    Type: Expression(Integer)
+--E 1656
+
+--S 1657 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1657
+
+)clear all
+
+--S 1658 of 3330
+t0000:=1/(x^2*sqrt(a+b*x))
+--R 
+--R
+--R              1
+--R   (1)  ------------
+--R         2 +-------+
+--R        x \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1658
+
+--S 1659 of 3330
+r0000:=b*atanh(sqrt(a+b*x)/sqrt(a))/a^(3/2)-sqrt(a+b*x)/(a*x)
+--R 
+--R
+--R                   +-------+
+--R                  \|b x + a      +-+ +-------+
+--R        b x atanh(----------) - \|a \|b x + a
+--R                      +-+
+--R                     \|a
+--R   (2)  --------------------------------------
+--R                            +-+
+--R                        a x\|a
+--R                                                    Type: Expression(Integer)
+--E 1659
+
+--S 1660 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R               +-------+              +-+
+--R            2a\|b x + a  + (b x + 2a)\|a       +-+ +-------+
+--R    b x log(-----------------------------) - 2\|a \|b x + a
+--R                          x
+--R   [--------------------------------------------------------,
+--R                                 +-+
+--R                            2a x\|a
+--R              +---+ +-------+
+--R             \|- a \|b x + a      +---+ +-------+
+--R    b x atan(----------------) - \|- a \|b x + a
+--R                     a
+--R    ---------------------------------------------]
+--R                          +---+
+--R                      a x\|- a
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1660
+
+--S 1661 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                 +-------+              +-+              +-------+
+--R              2a\|b x + a  + (b x + 2a)\|a              \|b x + a
+--R        b log(-----------------------------) - 2b atanh(----------)
+--R                            x                               +-+
+--R                                                           \|a
+--R   (4)  -----------------------------------------------------------
+--R                                      +-+
+--R                                   2a\|a
+--R                                                    Type: Expression(Integer)
+--E 1661
+
+--S 1662 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1662
+
+--S 1663 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                        +-------+               +---+ +-------+
+--R            +---+      \|b x + a       +-+     \|- a \|b x + a
+--R        - b\|- a atanh(----------) + b\|a atan(----------------)
+--R                           +-+                         a
+--R                          \|a
+--R   (6)  --------------------------------------------------------
+--R                                 +---+ +-+
+--R                               a\|- a \|a
+--R                                                    Type: Expression(Integer)
+--E 1663
+
+--S 1664 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1664
+
+)clear all
+
+--S 1665 of 3330
+t0000:=1/(x^3*sqrt(a+b*x))
+--R 
+--R
+--R              1
+--R   (1)  ------------
+--R         3 +-------+
+--R        x \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1665
+
+--S 1666 of 3330
+r0000:=-3/4*b^2*atanh(sqrt(a+b*x)/sqrt(a))/a^(5/2)-_
+     1/2*sqrt(a+b*x)/(a*x^2)+3/4*b*sqrt(a+b*x)/(a^2*x)
+--R 
+--R
+--R                      +-------+
+--R            2 2      \|b x + a                 +-+ +-------+
+--R        - 3b x atanh(----------) + (3b x - 2a)\|a \|b x + a
+--R                         +-+
+--R                        \|a
+--R   (2)  ----------------------------------------------------
+--R                                2 2 +-+
+--R                              4a x \|a
+--R                                                    Type: Expression(Integer)
+--E 1666
+
+--S 1667 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                  +-------+              +-+
+--R      2 2    - 2a\|b x + a  + (b x + 2a)\|a                 +-+ +-------+
+--R    3b x log(-------------------------------) + (6b x - 4a)\|a \|b x + a
+--R                            x
+--R   [---------------------------------------------------------------------,
+--R                                    2 2 +-+
+--R                                  8a x \|a
+--R                 +---+ +-------+
+--R        2 2     \|- a \|b x + a                 +---+ +-------+
+--R    - 3b x atan(----------------) + (3b x - 2a)\|- a \|b x + a
+--R                        a
+--R    -----------------------------------------------------------]
+--R                              2 2 +---+
+--R                            4a x \|- a
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1667
+
+--S 1668 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                    +-------+              +-+              +-------+
+--R          2    - 2a\|b x + a  + (b x + 2a)\|a       2      \|b x + a
+--R        3b log(-------------------------------) + 6b atanh(----------)
+--R                              x                                +-+
+--R                                                              \|a
+--R   (4)  --------------------------------------------------------------
+--R                                      2 +-+
+--R                                    8a \|a
+--R                                                    Type: Expression(Integer)
+--E 1668
+
+--S 1669 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1669
+
+--S 1670 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                        +-------+                 +---+ +-------+
+--R          2 +---+      \|b x + a       2 +-+     \|- a \|b x + a
+--R        3b \|- a atanh(----------) - 3b \|a atan(----------------)
+--R                           +-+                           a
+--R                          \|a
+--R   (6)  ----------------------------------------------------------
+--R                                 2 +---+ +-+
+--R                               4a \|- a \|a
+--R                                                    Type: Expression(Integer)
+--E 1670
+
+--S 1671 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1671
+
+)clear all
+
+--S 1672 of 3330
+t0000:=1/(x^4*sqrt(a+b*x))
+--R 
+--R
+--R              1
+--R   (1)  ------------
+--R         4 +-------+
+--R        x \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1672
+
+--S 1673 of 3330
+r0000:=5/8*b^3*atanh(sqrt(a+b*x)/sqrt(a))/a^(7/2)-_
+     1/3*sqrt(a+b*x)/(a*x^3)+5/12*b*sqrt(a+b*x)/(a^2*x^2)-_
+     5/8*b^2*sqrt(a+b*x)/(a^3*x)
+--R 
+--R
+--R                     +-------+
+--R           3 3      \|b x + a           2 2               2  +-+ +-------+
+--R        15b x atanh(----------) + (- 15b x  + 10a b x - 8a )\|a \|b x + a
+--R                        +-+
+--R                       \|a
+--R   (2)  ------------------------------------------------------------------
+--R                                       3 3 +-+
+--R                                    24a x \|a
+--R                                                    Type: Expression(Integer)
+--E 1673
+
+--S 1674 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                      +-------+              +-+
+--R            3 3    2a\|b x + a  + (b x + 2a)\|a
+--R         15b x log(-----------------------------)
+--R                                 x
+--R       + 
+--R               2 2                2  +-+ +-------+
+--R         (- 30b x  + 20a b x - 16a )\|a \|b x + a
+--R    /
+--R          3 3 +-+
+--R       48a x \|a
+--R     ,
+--R                +---+ +-------+
+--R       3 3     \|- a \|b x + a           2 2               2  +---+ +-------+
+--R    15b x atan(----------------) + (- 15b x  + 10a b x - 8a )\|- a \|b x + a
+--R                       a
+--R    -------------------------------------------------------------------------]
+--R                                      3 3 +---+
+--R                                   24a x \|- a
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1674
+
+--S 1675 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                  +-------+              +-+               +-------+
+--R          3    2a\|b x + a  + (b x + 2a)\|a        3      \|b x + a
+--R        5b log(-----------------------------) - 10b atanh(----------)
+--R                             x                                +-+
+--R                                                             \|a
+--R   (4)  -------------------------------------------------------------
+--R                                      3 +-+
+--R                                   16a \|a
+--R                                                    Type: Expression(Integer)
+--E 1675
+
+--S 1676 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1676
+
+--S 1677 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                          +-------+                 +---+ +-------+
+--R            3 +---+      \|b x + a       3 +-+     \|- a \|b x + a
+--R        - 5b \|- a atanh(----------) + 5b \|a atan(----------------)
+--R                             +-+                           a
+--R                            \|a
+--R   (6)  ------------------------------------------------------------
+--R                                  3 +---+ +-+
+--R                                8a \|- a \|a
+--R                                                    Type: Expression(Integer)
+--E 1677
+
+--S 1678 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1678
+
+)clear all
+
+--S 1679 of 3330
+t0000:=x^m/(a+b*x)^(3/2)
+--R 
+--R
+--R                  m
+--R                 x
+--R   (1)  -------------------
+--R                  +-------+
+--R        (b x + a)\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1679
+
+--S 1680 of 3330
+--r0000:=2*x^(1+m)/(a*sqrt(a+b*x))-2*(1+2*m)*x^m*_
+--       hypergeometric(1/2,-m,3/2,(a+b*x)/a)*sqrt(a+b*x)/(a*b*(-b*x/a)^m)
+--E 1680
+
+--S 1681 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           x            m
+--R         ++           %N
+--R   (2)   |   --------------------- d%N
+--R        ++              +--------+
+--R             (%N b + a)\|%N b + a
+--R                                         Type: Union(Expression(Integer),...)
+--E 1681
+
+--S 1682 of 3330
+--m0000:=a0000 - r0000
+--E 1682
+
+--S 1683 of 3330
+--d0000:=D(m0000,x)
+--E 1683
+
+)clear all
+
+--S 1684 of 3330
+t0000:=x^4/(a+b*x)^(3/2)
+--R 
+--R
+--R                  4
+--R                 x
+--R   (1)  -------------------
+--R                  +-------+
+--R        (b x + a)\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1684
+
+--S 1685 of 3330
+r0000:=4*a^2*(a+b*x)^(3/2)/b^5-8/5*a*(a+b*x)^(5/2)/b^5+_
+     2/7*(a+b*x)^(7/2)/b^5-2*a^4/(b^5*sqrt(a+b*x))-8*a^3*sqrt(a+b*x)/b^5
+--R 
+--R
+--R           4 4        3 3      2 2 2       3          4
+--R        10b x  - 16a b x  + 32a b x  - 128a b x - 256a
+--R   (2)  -----------------------------------------------
+--R                            5 +-------+
+--R                         35b \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1685
+
+--S 1686 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           4 4        3 3      2 2 2       3          4
+--R        10b x  - 16a b x  + 32a b x  - 128a b x - 256a
+--R   (3)  -----------------------------------------------
+--R                            5 +-------+
+--R                         35b \|b x + a
+--R                                         Type: Union(Expression(Integer),...)
+--E 1686
+
+--S 1687 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1687
+
+--S 1688 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1688
+
+)clear all
+
+--S 1689 of 3330
+t0000:=x^3/(a+b*x)^(3/2)
+--R 
+--R
+--R                  3
+--R                 x
+--R   (1)  -------------------
+--R                  +-------+
+--R        (b x + a)\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1689
+
+--S 1690 of 3330
+r0000:=-2*a*(a+b*x)^(3/2)/b^4+2/5*(a+b*x)^(5/2)/b^4+_
+     2*a^3/(b^4*sqrt(a+b*x))+6*a^2*sqrt(a+b*x)/b^4
+--R 
+--R
+--R          3 3       2 2      2         3
+--R        2b x  - 4a b x  + 16a b x + 32a
+--R   (2)  --------------------------------
+--R                    4 +-------+
+--R                  5b \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1690
+
+--S 1691 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R          3 3       2 2      2         3
+--R        2b x  - 4a b x  + 16a b x + 32a
+--R   (3)  --------------------------------
+--R                    4 +-------+
+--R                  5b \|b x + a
+--R                                         Type: Union(Expression(Integer),...)
+--E 1691
+
+--S 1692 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1692
+
+--S 1693 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1693
+
+)clear all
+
+--S 1694 of 3330
+t0000:=x^2/(a+b*x)^(3/2)
+--R 
+--R
+--R                  2
+--R                 x
+--R   (1)  -------------------
+--R                  +-------+
+--R        (b x + a)\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1694
+
+--S 1695 of 3330
+r0000:=2/3*(a+b*x)^(3/2)/b^3-2*a^2/(b^3*sqrt(a+b*x))-4*a*sqrt(a+b*x)/b^3
+--R 
+--R
+--R          2 2               2
+--R        2b x  - 8a b x - 16a
+--R   (2)  ---------------------
+--R              3 +-------+
+--R            3b \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1695
+
+--S 1696 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R          2 2               2
+--R        2b x  - 8a b x - 16a
+--R   (3)  ---------------------
+--R              3 +-------+
+--R            3b \|b x + a
+--R                                         Type: Union(Expression(Integer),...)
+--E 1696
+
+--S 1697 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1697
+
+--S 1698 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1698
+
+)clear all
+
+--S 1699 of 3330
+t0000:=x/(a+b*x)^(3/2)
+--R 
+--R
+--R                 x
+--R   (1)  -------------------
+--R                  +-------+
+--R        (b x + a)\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1699
+
+--S 1700 of 3330
+r0000:=2*a/(b^2*sqrt(a+b*x))+2*sqrt(a+b*x)/b^2
+--R 
+--R
+--R          2b x + 4a
+--R   (2)  ------------
+--R         2 +-------+
+--R        b \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1700
+
+--S 1701 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R          2b x + 4a
+--R   (3)  ------------
+--R         2 +-------+
+--R        b \|b x + a
+--R                                         Type: Union(Expression(Integer),...)
+--E 1701
+
+--S 1702 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1702
+
+--S 1703 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1703
+
+)clear all
+
+--S 1704 of 3330
+t0000:=1/(a+b*x)^(3/2)
+--R 
+--R
+--R                 1
+--R   (1)  -------------------
+--R                  +-------+
+--R        (b x + a)\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1704
+
+--S 1705 of 3330
+r0000:=(-2)/(b*sqrt(a+b*x))
+--R 
+--R
+--R               2
+--R   (2)  - -----------
+--R            +-------+
+--R          b\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1705
+
+--S 1706 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R               2
+--R   (3)  - -----------
+--R            +-------+
+--R          b\|b x + a
+--R                                         Type: Union(Expression(Integer),...)
+--E 1706
+
+--S 1707 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1707
+
+--S 1708 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1708
+
+)clear all
+
+--S 1709 of 3330
+t0000:=1/(x*(a+b*x)^(3/2))
+--R 
+--R
+--R                   1
+--R   (1)  ----------------------
+--R            2        +-------+
+--R        (b x  + a x)\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1709
+
+--S 1710 of 3330
+r0000:=-2*atanh(sqrt(a+b*x)/sqrt(a))/a^(3/2)+2/(a*sqrt(a+b*x))
+--R 
+--R
+--R                            +-------+
+--R            +-------+      \|b x + a       +-+
+--R        - 2\|b x + a atanh(----------) + 2\|a
+--R                               +-+
+--R                              \|a
+--R   (2)  --------------------------------------
+--R                      +-+ +-------+
+--R                    a\|a \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1710
+
+--S 1711 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                       +-------+              +-+
+--R     +-------+    - 2a\|b x + a  + (b x + 2a)\|a       +-+
+--R    \|b x + a log(-------------------------------) + 2\|a
+--R                                 x
+--R   [------------------------------------------------------,
+--R                          +-+ +-------+
+--R                        a\|a \|b x + a
+--R                       +---+ +-------+
+--R        +-------+     \|- a \|b x + a       +---+
+--R    - 2\|b x + a atan(----------------) + 2\|- a
+--R                              a
+--R    ---------------------------------------------]
+--R                    +---+ +-------+
+--R                  a\|- a \|b x + a
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1711
+
+--S 1712 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                 +-------+              +-+            +-------+
+--R            - 2a\|b x + a  + (b x + 2a)\|a            \|b x + a
+--R        log(-------------------------------) + 2atanh(----------)
+--R                           x                              +-+
+--R                                                         \|a
+--R   (4)  ---------------------------------------------------------
+--R                                    +-+
+--R                                  a\|a
+--R                                                    Type: Expression(Integer)
+--E 1712
+
+--S 1713 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1713
+
+--S 1714 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                      +-------+               +---+ +-------+
+--R          +---+      \|b x + a       +-+     \|- a \|b x + a
+--R        2\|- a atanh(----------) - 2\|a atan(----------------)
+--R                         +-+                         a
+--R                        \|a
+--R   (6)  ------------------------------------------------------
+--R                                +---+ +-+
+--R                              a\|- a \|a
+--R                                                    Type: Expression(Integer)
+--E 1714
+
+--S 1715 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1715
+
+)clear all
+
+--S 1716 of 3330
+t0000:=1/(x^2*(a+b*x)^(3/2))
+--R 
+--R
+--R                   1
+--R   (1)  -----------------------
+--R            3      2  +-------+
+--R        (b x  + a x )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1716
+
+--S 1717 of 3330
+r0000:=3*b*atanh(sqrt(a+b*x)/sqrt(a))/a^(5/2)+2/(a*x*sqrt(a+b*x))-_
+     3*sqrt(a+b*x)/(a^2*x)
+--R 
+--R
+--R                             +-------+
+--R             +-------+      \|b x + a                  +-+
+--R        3b x\|b x + a atanh(----------) + (- 3b x - a)\|a
+--R                                +-+
+--R                               \|a
+--R   (2)  --------------------------------------------------
+--R                          2  +-+ +-------+
+--R                         a x\|a \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1717
+
+--S 1718 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                         +-------+              +-+
+--R         +-------+    2a\|b x + a  + (b x + 2a)\|a                   +-+
+--R    3b x\|b x + a log(-----------------------------) + (- 6b x - 2a)\|a
+--R                                    x
+--R   [--------------------------------------------------------------------,
+--R                               2  +-+ +-------+
+--R                             2a x\|a \|b x + a
+--R                        +---+ +-------+
+--R         +-------+     \|- a \|b x + a                  +---+
+--R    3b x\|b x + a atan(----------------) + (- 3b x - a)\|- a
+--R                               a
+--R    ---------------------------------------------------------]
+--R                        2  +---+ +-------+
+--R                       a x\|- a \|b x + a
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1718
+
+--S 1719 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                  +-------+              +-+              +-------+
+--R               2a\|b x + a  + (b x + 2a)\|a              \|b x + a
+--R        3b log(-----------------------------) - 6b atanh(----------)
+--R                             x                               +-+
+--R                                                            \|a
+--R   (4)  ------------------------------------------------------------
+--R                                     2 +-+
+--R                                   2a \|a
+--R                                                    Type: Expression(Integer)
+--E 1719
+
+--S 1720 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1720
+
+--S 1721 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                         +-------+                +---+ +-------+
+--R             +---+      \|b x + a        +-+     \|- a \|b x + a
+--R        - 3b\|- a atanh(----------) + 3b\|a atan(----------------)
+--R                            +-+                          a
+--R                           \|a
+--R   (6)  ----------------------------------------------------------
+--R                                2 +---+ +-+
+--R                               a \|- a \|a
+--R                                                    Type: Expression(Integer)
+--E 1721
+
+--S 1722 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1722
+
+)clear all
+
+--S 1723 of 3330
+t0000:=1/(x^3*(a+b*x)^(3/2))
+--R 
+--R
+--R                   1
+--R   (1)  -----------------------
+--R            4      3  +-------+
+--R        (b x  + a x )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1723
+
+--S 1724 of 3330
+r0000:=-15/4*b^2*atanh(sqrt(a+b*x)/sqrt(a))/a^(7/2)+2/(a*x^2*sqrt(a+b*x))-_
+     5/2*sqrt(a+b*x)/(a^2*x^2)+15/4*b*sqrt(a+b*x)/(a^3*x)
+--R 
+--R
+--R                                 +-------+
+--R             2 2 +-------+      \|b x + a         2 2              2  +-+
+--R        - 15b x \|b x + a atanh(----------) + (15b x  + 5a b x - 2a )\|a
+--R                                    +-+
+--R                                   \|a
+--R   (2)  -----------------------------------------------------------------
+--R                                 3 2 +-+ +-------+
+--R                               4a x \|a \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1724
+
+--S 1725 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                                  +-------+              +-+
+--R            2 2 +-------+    - 2a\|b x + a  + (b x + 2a)\|a
+--R         15b x \|b x + a log(-------------------------------)
+--R                                            x
+--R       + 
+--R             2 2               2  +-+
+--R         (30b x  + 10a b x - 4a )\|a
+--R    /
+--R         3 2 +-+ +-------+
+--R       8a x \|a \|b x + a
+--R     ,
+--R                            +---+ +-------+
+--R         2 2 +-------+     \|- a \|b x + a         2 2              2  +---+
+--R    - 15b x \|b x + a atan(----------------) + (15b x  + 5a b x - 2a )\|- a
+--R                                   a
+--R    ------------------------------------------------------------------------]
+--R                                3 2 +---+ +-------+
+--R                              4a x \|- a \|b x + a
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1725
+
+--S 1726 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                     +-------+              +-+               +-------+
+--R           2    - 2a\|b x + a  + (b x + 2a)\|a        2      \|b x + a
+--R        15b log(-------------------------------) + 30b atanh(----------)
+--R                               x                                 +-+
+--R                                                                \|a
+--R   (4)  ----------------------------------------------------------------
+--R                                       3 +-+
+--R                                     8a \|a
+--R                                                    Type: Expression(Integer)
+--E 1726
+
+--S 1727 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1727
+
+--S 1728 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                         +-------+                  +---+ +-------+
+--R           2 +---+      \|b x + a        2 +-+     \|- a \|b x + a
+--R        15b \|- a atanh(----------) - 15b \|a atan(----------------)
+--R                            +-+                            a
+--R                           \|a
+--R   (6)  ------------------------------------------------------------
+--R                                  3 +---+ +-+
+--R                                4a \|- a \|a
+--R                                                    Type: Expression(Integer)
+--E 1728
+
+--S 1729 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1729
+
+)clear all
+
+--S 1730 of 3330
+t0000:=x^m/(a+b*x)^(5/2)
+--R 
+--R
+--R                       m
+--R                      x
+--R   (1)  ------------------------------
+--R          2 2             2  +-------+
+--R        (b x  + 2a b x + a )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1730
+
+--S 1731 of 3330
+--r0000:=2/3*x^(1+m)/(a*(a+b*x)^(3/2))+2/3*(1-2*m)*x^(1+m)/(a^2*sqrt(a+b*x))-_
+--       2/3*(1-2*m)*(1+2*m)*x^m*_
+--       hypergeometric(1/2,-m,3/2,(a+b*x)/a)*sqrt(a+b*x)/(a^2*b*(-b*x/a)^m)
+--E 1731
+
+--S 1732 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           x                  m
+--R         ++                 %N
+--R   (2)   |   --------------------------------- d%N
+--R        ++      2 2              2  +--------+
+--R             (%N b  + 2%N a b + a )\|%N b + a
+--R                                         Type: Union(Expression(Integer),...)
+--E 1732
+
+--S 1733 of 3330
+--m0000:=a0000 - r0000
+--E 1733
+
+--S 1734 of 3330
+--d0000:=D(m0000,x)
+--E 1734
+
+)clear all
+
+--S 1735 of 3330
+--t0000:=x^4/(a+b*x)^(5/2)
+--E 1735
+
+--S 1736 of 3330
+r0000:=-2/3*a^4/(b^5*(a+b*x)^(3/2))-8/3*a*(a+b*x)^(3/2)/b^5+_
+     2/5*(a+b*x)^(5/2)/b^5+8*a^3/(b^5*sqrt(a+b*x))+12*a^2*sqrt(a+b*x)/b^5
+--R 
+--R
+--R          4 4        3 3      2 2 2       3          4
+--R        6b x  - 16a b x  + 96a b x  + 384a b x + 256a
+--R   (1)  ----------------------------------------------
+--R                      6         5  +-------+
+--R                  (15b x + 15a b )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1736
+
+--S 1737 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (2)  t0000 x
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 1737
+
+--S 1738 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (3)
+--R           6       2        5         +-------+     4 4        3 3      2 2 2
+--R       (15b t0000 x  + 15a b t0000 x)\|b x + a  - 6b x  + 16a b x  - 96a b x
+--R     + 
+--R             3          4
+--R       - 384a b x - 256a
+--R  /
+--R         6         5  +-------+
+--R     (15b x + 15a b )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1738
+
+--S 1739 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R          2       2                   2       +-------+    4
+--R        (b t0000 x  + 2a b t0000 x + a t0000)\|b x + a  - x
+--R   (4)  ----------------------------------------------------
+--R                     2 2             2  +-------+
+--R                   (b x  + 2a b x + a )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1739
+
+)clear all
+
+--S 1740 of 3330
+t0000:=x^3/(a+b*x)^(5/2)
+--R 
+--R
+--R                       3
+--R                      x
+--R   (1)  ------------------------------
+--R          2 2             2  +-------+
+--R        (b x  + 2a b x + a )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1740
+
+--S 1741 of 3330
+r0000:=2/3*a^3/(b^4*(a+b*x)^(3/2))+2/3*(a+b*x)^(3/2)/b^4-_
+     6*a^2/(b^4*sqrt(a+b*x))-6*a*sqrt(a+b*x)/b^4
+--R 
+--R
+--R          3 3        2 2      2         3
+--R        2b x  - 12a b x  - 48a b x - 32a
+--R   (2)  ---------------------------------
+--R                5        4  +-------+
+--R             (3b x + 3a b )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1741
+
+--S 1742 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R          3 3        2 2      2         3
+--R        2b x  - 12a b x  - 48a b x - 32a
+--R   (3)  ---------------------------------
+--R                5        4  +-------+
+--R             (3b x + 3a b )\|b x + a
+--R                                         Type: Union(Expression(Integer),...)
+--E 1742
+
+--S 1743 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1743
+
+--S 1744 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1744
+
+)clear all
+
+--S 1745 of 3330
+t0000:=x^2/(a+b*x)^(5/2)
+--R 
+--R
+--R                       2
+--R                      x
+--R   (1)  ------------------------------
+--R          2 2             2  +-------+
+--R        (b x  + 2a b x + a )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1745
+
+--S 1746 of 3330
+r0000:=-2/3*a^2/(b^3*(a+b*x)^(3/2))+4*a/(b^3*sqrt(a+b*x))+2*sqrt(a+b*x)/b^3
+--R 
+--R
+--R           2 2                2
+--R         6b x  + 24a b x + 16a
+--R   (2)  ------------------------
+--R           4        3  +-------+
+--R        (3b x + 3a b )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1746
+
+--S 1747 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           2 2                2
+--R         6b x  + 24a b x + 16a
+--R   (3)  ------------------------
+--R           4        3  +-------+
+--R        (3b x + 3a b )\|b x + a
+--R                                         Type: Union(Expression(Integer),...)
+--E 1747
+
+--S 1748 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1748
+
+--S 1749 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1749
+
+)clear all
+
+--S 1750 of 3330
+t0000:=x/(a+b*x)^(5/2)
+--R 
+--R
+--R                       x
+--R   (1)  ------------------------------
+--R          2 2             2  +-------+
+--R        (b x  + 2a b x + a )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1750
+
+--S 1751 of 3330
+r0000:=2/3*a/(b^2*(a+b*x)^(3/2))+(-2)/(b^2*sqrt(a+b*x))
+--R 
+--R
+--R               - 6b x - 4a
+--R   (2)  ------------------------
+--R           3        2  +-------+
+--R        (3b x + 3a b )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1751
+
+--S 1752 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R               - 6b x - 4a
+--R   (3)  ------------------------
+--R           3        2  +-------+
+--R        (3b x + 3a b )\|b x + a
+--R                                         Type: Union(Expression(Integer),...)
+--E 1752
+
+--S 1753 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1753
+
+--S 1754 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1754
+
+)clear all
+
+--S 1755 of 3330
+t0000:=1/(a+b*x)^(5/2)
+--R 
+--R
+--R                       1
+--R   (1)  ------------------------------
+--R          2 2             2  +-------+
+--R        (b x  + 2a b x + a )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1755
+
+--S 1756 of 3330
+r0000:=(-2/3)/(b*(a+b*x)^(3/2))
+--R 
+--R
+--R                     2
+--R   (2)  - -----------------------
+--R             2          +-------+
+--R          (3b x + 3a b)\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1756
+
+--S 1757 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                     2
+--R   (3)  - -----------------------
+--R             2          +-------+
+--R          (3b x + 3a b)\|b x + a
+--R                                         Type: Union(Expression(Integer),...)
+--E 1757
+
+--S 1758 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1758
+
+--S 1759 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1759
+
+)clear all
+
+--S 1760 of 3330
+t0000:=1/(x*(a+b*x)^(5/2))
+--R 
+--R
+--R                        1
+--R   (1)  --------------------------------
+--R          2 3         2    2   +-------+
+--R        (b x  + 2a b x  + a x)\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1760
+
+--S 1761 of 3330
+r0000:=2/3/(a*(a+b*x)^(3/2))-2*atanh(sqrt(a+b*x)/sqrt(a))/a^(5/2)+_
+     2/(a^2*sqrt(a+b*x))
+--R 
+--R
+--R                                      +-------+
+--R                      +-------+      \|b x + a                 +-+
+--R        (- 6b x - 6a)\|b x + a atanh(----------) + (6b x + 8a)\|a
+--R                                         +-+
+--R                                        \|a
+--R   (2)  ----------------------------------------------------------
+--R                          2        3  +-+ +-------+
+--R                       (3a b x + 3a )\|a \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1761
+
+--S 1762 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                                  +-------+              +-+
+--R                +-------+    - 2a\|b x + a  + (b x + 2a)\|a                 +-+
+--R    (3b x + 3a)\|b x + a log(-------------------------------) + (6b x + 8a)\|a
+--R                                            x
+--R   [---------------------------------------------------------------------------,
+--R                               2        3  +-+ +-------+
+--R                            (3a b x + 3a )\|a \|b x + a
+--R                                 +---+ +-------+
+--R                  +-------+     \|- a \|b x + a                 +---+
+--R    (- 6b x - 6a)\|b x + a atan(----------------) + (6b x + 8a)\|- a
+--R                                        a
+--R    -----------------------------------------------------------------]
+--R                         2        3  +---+ +-------+
+--R                      (3a b x + 3a )\|- a \|b x + a
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1762
+
+--S 1763 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                 +-------+              +-+            +-------+
+--R            - 2a\|b x + a  + (b x + 2a)\|a            \|b x + a
+--R        log(-------------------------------) + 2atanh(----------)
+--R                           x                              +-+
+--R                                                         \|a
+--R   (4)  ---------------------------------------------------------
+--R                                   2 +-+
+--R                                  a \|a
+--R                                                    Type: Expression(Integer)
+--E 1763
+
+--S 1764 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1764
+
+--S 1765 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                      +-------+               +---+ +-------+
+--R          +---+      \|b x + a       +-+     \|- a \|b x + a
+--R        2\|- a atanh(----------) - 2\|a atan(----------------)
+--R                         +-+                         a
+--R                        \|a
+--R   (6)  ------------------------------------------------------
+--R                              2 +---+ +-+
+--R                             a \|- a \|a
+--R                                                    Type: Expression(Integer)
+--E 1765
+
+--S 1766 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1766
+
+)clear all
+
+--S 1767 of 3330
+t0000:=1/(x^2*(a+b*x)^(5/2))
+--R 
+--R
+--R                        1
+--R   (1)  ---------------------------------
+--R          2 4         3    2 2  +-------+
+--R        (b x  + 2a b x  + a x )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1767
+
+--S 1768 of 3330
+r0000:=2/3/(a*x*(a+b*x)^(3/2))+5*b*atanh(sqrt(a+b*x)/sqrt(a))/a^(7/2)+_
+     10/3/(a^2*x*sqrt(a+b*x))-5*sqrt(a+b*x)/(a^3*x)
+--R 
+--R
+--R   (2)
+--R                                          +-------+
+--R           2 2            +-------+      \|b x + a
+--R       (15b x  + 15a b x)\|b x + a atanh(----------)
+--R                                             +-+
+--R                                            \|a
+--R     + 
+--R             2 2               2  +-+
+--R       (- 15b x  - 20a b x - 3a )\|a
+--R  /
+--R        3   2     4   +-+ +-------+
+--R     (3a b x  + 3a x)\|a \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1768
+
+--S 1769 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                                            +-------+              +-+
+--R             2 2            +-------+    2a\|b x + a  + (b x + 2a)\|a
+--R         (15b x  + 15a b x)\|b x + a log(-----------------------------)
+--R                                                       x
+--R       + 
+--R               2 2               2  +-+
+--R         (- 30b x  - 40a b x - 6a )\|a
+--R    /
+--R          3   2     4   +-+ +-------+
+--R       (6a b x  + 6a x)\|a \|b x + a
+--R     ,
+--R
+--R                                           +---+ +-------+
+--R             2 2            +-------+     \|- a \|b x + a
+--R         (15b x  + 15a b x)\|b x + a atan(----------------)
+--R                                                  a
+--R       + 
+--R               2 2               2  +---+
+--R         (- 15b x  - 20a b x - 3a )\|- a
+--R    /
+--R          3   2     4   +---+ +-------+
+--R       (3a b x  + 3a x)\|- a \|b x + a
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1769
+
+--S 1770 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                  +-------+              +-+               +-------+
+--R               2a\|b x + a  + (b x + 2a)\|a               \|b x + a
+--R        5b log(-----------------------------) - 10b atanh(----------)
+--R                             x                                +-+
+--R                                                             \|a
+--R   (4)  -------------------------------------------------------------
+--R                                     3 +-+
+--R                                   2a \|a
+--R                                                    Type: Expression(Integer)
+--E 1770
+
+--S 1771 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1771
+
+--S 1772 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                         +-------+                +---+ +-------+
+--R             +---+      \|b x + a        +-+     \|- a \|b x + a
+--R        - 5b\|- a atanh(----------) + 5b\|a atan(----------------)
+--R                            +-+                          a
+--R                           \|a
+--R   (6)  ----------------------------------------------------------
+--R                                3 +---+ +-+
+--R                               a \|- a \|a
+--R                                                    Type: Expression(Integer)
+--E 1772
+
+--S 1773 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1773
+
+)clear all
+
+--S 1774 of 3330
+t0000:=1/(x^3*(a+b*x)^(5/2))
+--R 
+--R
+--R                        1
+--R   (1)  ---------------------------------
+--R          2 5         4    2 3  +-------+
+--R        (b x  + 2a b x  + a x )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1774
+
+--S 1775 of 3330
+r0000:=2/3/(a*x^2*(a+b*x)^(3/2))-_
+     35/4*b^2*atanh(sqrt(a+b*x)/sqrt(a))/a^(9/2)+_
+     14/3/(a^2*x^2*sqrt(a+b*x))-35/6*sqrt(a+b*x)/(a^3*x^2)+_
+     35/4*b*sqrt(a+b*x)/(a^4*x)
+--R 
+--R
+--R   (2)
+--R                                               +-------+
+--R              3 3         2 2  +-------+      \|b x + a
+--R       (- 105b x  - 105a b x )\|b x + a atanh(----------)
+--R                                                  +-+
+--R                                                 \|a
+--R     + 
+--R            3 3         2 2      2        3  +-+
+--R       (105b x  + 140a b x  + 21a b x - 6a )\|a
+--R  /
+--R         4   3      5 2  +-+ +-------+
+--R     (12a b x  + 12a x )\|a \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1775
+
+--S 1776 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                                                 +-------+              +-+
+--R              3 3         2 2  +-------+    - 2a\|b x + a  + (b x + 2a)\|a
+--R         (105b x  + 105a b x )\|b x + a log(-------------------------------)
+--R                                                           x
+--R       + 
+--R              3 3         2 2      2         3  +-+
+--R         (210b x  + 280a b x  + 42a b x - 12a )\|a
+--R    /
+--R           4   3      5 2  +-+ +-------+
+--R       (24a b x  + 24a x )\|a \|b x + a
+--R     ,
+--R
+--R                                                +---+ +-------+
+--R                3 3         2 2  +-------+     \|- a \|b x + a
+--R         (- 105b x  - 105a b x )\|b x + a atan(----------------)
+--R                                                       a
+--R       + 
+--R              3 3         2 2      2        3  +---+
+--R         (105b x  + 140a b x  + 21a b x - 6a )\|- a
+--R    /
+--R           4   3      5 2  +---+ +-------+
+--R       (12a b x  + 12a x )\|- a \|b x + a
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1776
+
+--S 1777 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                     +-------+              +-+               +-------+
+--R           2    - 2a\|b x + a  + (b x + 2a)\|a        2      \|b x + a
+--R        35b log(-------------------------------) + 70b atanh(----------)
+--R                               x                                 +-+
+--R                                                                \|a
+--R   (4)  ----------------------------------------------------------------
+--R                                       4 +-+
+--R                                     8a \|a
+--R                                                    Type: Expression(Integer)
+--E 1777
+
+--S 1778 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1778
+
+--S 1779 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                         +-------+                  +---+ +-------+
+--R           2 +---+      \|b x + a        2 +-+     \|- a \|b x + a
+--R        35b \|- a atanh(----------) - 35b \|a atan(----------------)
+--R                            +-+                            a
+--R                           \|a
+--R   (6)  ------------------------------------------------------------
+--R                                  4 +---+ +-+
+--R                                4a \|- a \|a
+--R                                                    Type: Expression(Integer)
+--E 1779
+
+--S 1780 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1780
+
+)clear all
+
+--S 1781 of 3330
+t0000:=1/(x*sqrt(-a+b*x))
+--R 
+--R
+--R             1
+--R   (1)  -----------
+--R          +-------+
+--R        x\|b x - a
+--R                                                    Type: Expression(Integer)
+--E 1781
+
+--S 1782 of 3330
+r0000:=2*atan(sqrt(-a+b*x)/sqrt(a))/sqrt(a)
+--R 
+--R
+--R               +-------+
+--R              \|b x - a
+--R        2atan(----------)
+--R                  +-+
+--R                 \|a
+--R   (2)  -----------------
+--R                +-+
+--R               \|a
+--R                                                    Type: Expression(Integer)
+--E 1782
+
+--S 1783 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                +-------+              +---+         +-+ +-------+
+--R             2a\|b x - a  + (b x - 2a)\|- a         \|a \|b x - a
+--R         log(-------------------------------) 2atan(--------------)
+--R                            x                              a
+--R   (3)  [------------------------------------,---------------------]
+--R                         +---+                          +-+
+--R                        \|- a                          \|a
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1783
+
+--S 1784 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                   +-------+              +---+                 +-------+
+--R         +-+    2a\|b x - a  + (b x - 2a)\|- a       +---+     \|b x - a
+--R        \|a log(-------------------------------) - 2\|- a atan(----------)
+--R                               x                                   +-+
+--R                                                                  \|a
+--R   (4)  ------------------------------------------------------------------
+--R                                     +---+ +-+
+--R                                    \|- a \|a
+--R                                                    Type: Expression(Integer)
+--E 1784
+
+--S 1785 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1785
+
+--S 1786 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R               +-+ +-------+           +-------+
+--R              \|a \|b x - a           \|b x - a
+--R        2atan(--------------) - 2atan(----------)
+--R                     a                    +-+
+--R                                         \|a
+--R   (6)  -----------------------------------------
+--R                            +-+
+--R                           \|a
+--R                                                    Type: Expression(Integer)
+--E 1786
+
+--S 1787 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1787
+
+)clear all
+
+--S 1788 of 3330
+t0000:=1/(x^2*sqrt(-a+b*x))
+--R 
+--R
+--R              1
+--R   (1)  ------------
+--R         2 +-------+
+--R        x \|b x - a
+--R                                                    Type: Expression(Integer)
+--E 1788
+
+--S 1789 of 3330
+r0000:=b*atan(sqrt(-a+b*x)/sqrt(a))/a^(3/2)+sqrt(-a+b*x)/(a*x)
+--R 
+--R
+--R                  +-------+
+--R                 \|b x - a      +-+ +-------+
+--R        b x atan(----------) + \|a \|b x - a
+--R                     +-+
+--R                    \|a
+--R   (2)  -------------------------------------
+--R                           +-+
+--R                       a x\|a
+--R                                                    Type: Expression(Integer)
+--E 1789
+
+--S 1790 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R               +-------+              +---+
+--R            2a\|b x - a  + (b x - 2a)\|- a       +---+ +-------+
+--R    b x log(-------------------------------) + 2\|- a \|b x - a
+--R                           x
+--R   [------------------------------------------------------------,
+--R                                  +---+
+--R                             2a x\|- a
+--R              +-+ +-------+
+--R             \|a \|b x - a      +-+ +-------+
+--R    b x atan(--------------) + \|a \|b x - a
+--R                    a
+--R    -----------------------------------------]
+--R                         +-+
+--R                     a x\|a
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1790
+
+--S 1791 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                    +-------+              +---+                  +-------+
+--R          +-+    2a\|b x - a  + (b x - 2a)\|- a        +---+     \|b x - a
+--R        b\|a log(-------------------------------) - 2b\|- a atan(----------)
+--R                                x                                    +-+
+--R                                                                    \|a
+--R   (4)  --------------------------------------------------------------------
+--R                                       +---+ +-+
+--R                                    2a\|- a \|a
+--R                                                    Type: Expression(Integer)
+--E 1791
+
+--S 1792 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1792
+
+--S 1793 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                +-+ +-------+            +-------+
+--R               \|a \|b x - a            \|b x - a
+--R        b atan(--------------) - b atan(----------)
+--R                      a                     +-+
+--R                                           \|a
+--R   (6)  -------------------------------------------
+--R                             +-+
+--R                           a\|a
+--R                                                    Type: Expression(Integer)
+--E 1793
+
+--S 1794 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1794
+
+)clear all
+
+--S 1795 of 3330
+t0000:=1/(x^3*sqrt(-a+b*x))
+--R 
+--R
+--R              1
+--R   (1)  ------------
+--R         3 +-------+
+--R        x \|b x - a
+--R                                                    Type: Expression(Integer)
+--E 1795
+
+--S 1796 of 3330
+r0000:=3/4*b^2*atan(sqrt(-a+b*x)/sqrt(a))/a^(5/2)+_
+     1/2*sqrt(-a+b*x)/(a*x^2)+3/4*b*sqrt(-a+b*x)/(a^2*x)
+--R 
+--R
+--R                   +-------+
+--R          2 2     \|b x - a                 +-+ +-------+
+--R        3b x atan(----------) + (3b x + 2a)\|a \|b x - a
+--R                      +-+
+--R                     \|a
+--R   (2)  -------------------------------------------------
+--R                              2 2 +-+
+--R                            4a x \|a
+--R                                                    Type: Expression(Integer)
+--E 1796
+
+--S 1797 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                +-------+              +---+
+--R      2 2    2a\|b x - a  + (b x - 2a)\|- a                 +---+ +-------+
+--R    3b x log(-------------------------------) + (6b x + 4a)\|- a \|b x - a
+--R                            x
+--R   [-----------------------------------------------------------------------,
+--R                                    2 2 +---+
+--R                                  8a x \|- a
+--R               +-+ +-------+
+--R      2 2     \|a \|b x - a                 +-+ +-------+
+--R    3b x atan(--------------) + (3b x + 2a)\|a \|b x - a
+--R                     a
+--R    -----------------------------------------------------]
+--R                            2 2 +-+
+--R                          4a x \|a
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1797
+
+--S 1798 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R   (4)
+--R                 +-------+              +---+                   +-------+
+--R     2 +-+    2a\|b x - a  + (b x - 2a)\|- a       2 +---+     \|b x - a
+--R   3b \|a log(-------------------------------) - 6b \|- a atan(----------)
+--R                             x                                     +-+
+--R                                                                  \|a
+--R   -----------------------------------------------------------------------
+--R                                  2 +---+ +-+
+--R                                8a \|- a \|a
+--R                                                    Type: Expression(Integer)
+--E 1798
+
+--S 1799 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1799
+
+--S 1800 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                 +-+ +-------+             +-------+
+--R          2     \|a \|b x - a       2     \|b x - a
+--R        3b atan(--------------) - 3b atan(----------)
+--R                       a                      +-+
+--R                                             \|a
+--R   (6)  ---------------------------------------------
+--R                             2 +-+
+--R                           4a \|a
+--R                                                    Type: Expression(Integer)
+--E 1800
+
+--S 1801 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1801
+
+)clear all
+
+--S 1802 of 3330
+t0000:=1/(x*(-a+b*x)^(3/2))
+--R 
+--R
+--R                   1
+--R   (1)  ----------------------
+--R            2        +-------+
+--R        (b x  - a x)\|b x - a
+--R                                                    Type: Expression(Integer)
+--E 1802
+
+--S 1803 of 3330
+r0000:=-2*atan(sqrt(-a+b*x)/sqrt(a))/a^(3/2)+(-2)/(a*sqrt(-a+b*x))
+--R 
+--R
+--R                           +-------+
+--R            +-------+     \|b x - a       +-+
+--R        - 2\|b x - a atan(----------) - 2\|a
+--R                              +-+
+--R                             \|a
+--R   (2)  -------------------------------------
+--R                     +-+ +-------+
+--R                   a\|a \|b x - a
+--R                                                    Type: Expression(Integer)
+--E 1803
+
+--S 1804 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                       +-------+              +---+
+--R     +-------+    - 2a\|b x - a  + (b x - 2a)\|- a       +---+
+--R    \|b x - a log(---------------------------------) - 2\|- a
+--R                                  x
+--R   [----------------------------------------------------------,
+--R                           +---+ +-------+
+--R                         a\|- a \|b x - a
+--R                       +-+ +-------+
+--R        +-------+     \|a \|b x - a       +-+
+--R    - 2\|b x - a atan(--------------) - 2\|a
+--R                             a
+--R    -----------------------------------------]
+--R                   +-+ +-------+
+--R                 a\|a \|b x - a
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1804
+
+--S 1805 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                     +-------+              +---+                 +-------+
+--R         +-+    - 2a\|b x - a  + (b x - 2a)\|- a       +---+     \|b x - a
+--R        \|a log(---------------------------------) + 2\|- a atan(----------)
+--R                                x                                    +-+
+--R                                                                    \|a
+--R   (4)  --------------------------------------------------------------------
+--R                                       +---+ +-+
+--R                                     a\|- a \|a
+--R                                                    Type: Expression(Integer)
+--E 1805
+
+--S 1806 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1806
+
+--S 1807 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                 +-+ +-------+           +-------+
+--R                \|a \|b x - a           \|b x - a
+--R        - 2atan(--------------) + 2atan(----------)
+--R                       a                    +-+
+--R                                           \|a
+--R   (6)  -------------------------------------------
+--R                             +-+
+--R                           a\|a
+--R                                                    Type: Expression(Integer)
+--E 1807
+
+--S 1808 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1808
+
+)clear all
+
+--S 1809 of 3330
+t0000:=1/(x^2*(-a+b*x)^(3/2))
+--R 
+--R
+--R                   1
+--R   (1)  -----------------------
+--R            3      2  +-------+
+--R        (b x  - a x )\|b x - a
+--R                                                    Type: Expression(Integer)
+--E 1809
+
+--S 1810 of 3330
+r0000:=-3*b*atan(sqrt(-a+b*x)/sqrt(a))/a^(5/2)+(-2)/(a*x*sqrt(-a+b*x))-_
+     3*sqrt(-a+b*x)/(a^2*x)
+--R 
+--R
+--R                              +-------+
+--R               +-------+     \|b x - a                  +-+
+--R        - 3b x\|b x - a atan(----------) + (- 3b x + a)\|a
+--R                                 +-+
+--R                                \|a
+--R   (2)  ---------------------------------------------------
+--R                          2  +-+ +-------+
+--R                         a x\|a \|b x - a
+--R                                                    Type: Expression(Integer)
+--E 1810
+
+--S 1811 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                           +-------+              +---+
+--R         +-------+    - 2a\|b x - a  + (b x - 2a)\|- a                   +---+
+--R    3b x\|b x - a log(---------------------------------) + (- 6b x + 2a)\|- a
+--R                                      x
+--R   [--------------------------------------------------------------------------,
+--R                                 2  +---+ +-------+
+--R                               2a x\|- a \|b x - a
+--R                          +-+ +-------+
+--R           +-------+     \|a \|b x - a                  +-+
+--R    - 3b x\|b x - a atan(--------------) + (- 3b x + a)\|a
+--R                                a
+--R    -------------------------------------------------------]
+--R                        2  +-+ +-------+
+--R                       a x\|a \|b x - a
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1811
+
+--S 1812 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R   (4)
+--R                  +-------+              +---+                  +-------+
+--R      +-+    - 2a\|b x - a  + (b x - 2a)\|- a        +---+     \|b x - a
+--R   3b\|a log(---------------------------------) + 6b\|- a atan(----------)
+--R                             x                                     +-+
+--R                                                                  \|a
+--R   -----------------------------------------------------------------------
+--R                                  2 +---+ +-+
+--R                                2a \|- a \|a
+--R                                                    Type: Expression(Integer)
+--E 1812
+
+--S 1813 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1813
+
+--S 1814 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                   +-+ +-------+             +-------+
+--R                  \|a \|b x - a             \|b x - a
+--R        - 3b atan(--------------) + 3b atan(----------)
+--R                         a                      +-+
+--R                                               \|a
+--R   (6)  -----------------------------------------------
+--R                              2 +-+
+--R                             a \|a
+--R                                                    Type: Expression(Integer)
+--E 1814
+
+--S 1815 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1815
+
+)clear all
+
+--S 1816 of 3330
+t0000:=1/(x^3*(-a+b*x)^(3/2))
+--R 
+--R
+--R                   1
+--R   (1)  -----------------------
+--R            4      3  +-------+
+--R        (b x  - a x )\|b x - a
+--R                                                    Type: Expression(Integer)
+--E 1816
+
+--S 1817 of 3330
+r0000:=-15/4*b^2*atan(sqrt(-a+b*x)/sqrt(a))/a^(7/2)+_
+     (-2)/(a*x^2*sqrt(-a+b*x))-5/2*sqrt(-a+b*x)/(a^2*x^2)-_
+     15/4*b*sqrt(-a+b*x)/(a^3*x)
+--R 
+--R
+--R                                +-------+
+--R             2 2 +-------+     \|b x - a           2 2              2  +-+
+--R        - 15b x \|b x - a atan(----------) + (- 15b x  + 5a b x + 2a )\|a
+--R                                   +-+
+--R                                  \|a
+--R   (2)  ------------------------------------------------------------------
+--R                                  3 2 +-+ +-------+
+--R                                4a x \|a \|b x - a
+--R                                                    Type: Expression(Integer)
+--E 1817
+
+--S 1818 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                                  +-------+              +---+
+--R            2 2 +-------+    - 2a\|b x - a  + (b x - 2a)\|- a
+--R         15b x \|b x - a log(---------------------------------)
+--R                                             x
+--R       + 
+--R               2 2               2  +---+
+--R         (- 30b x  + 10a b x + 4a )\|- a
+--R    /
+--R         3 2 +---+ +-------+
+--R       8a x \|- a \|b x - a
+--R     ,
+--R                            +-+ +-------+
+--R         2 2 +-------+     \|a \|b x - a           2 2              2  +-+
+--R    - 15b x \|b x - a atan(--------------) + (- 15b x  + 5a b x + 2a )\|a
+--R                                  a
+--R    ----------------------------------------------------------------------]
+--R                                3 2 +-+ +-------+
+--R                              4a x \|a \|b x - a
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1818
+
+--S 1819 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R   (4)
+--R                    +-------+              +---+                    +-------+
+--R      2 +-+    - 2a\|b x - a  + (b x - 2a)\|- a        2 +---+     \|b x - a
+--R   15b \|a log(---------------------------------) + 30b \|- a atan(----------)
+--R                               x                                       +-+
+--R                                                                      \|a
+--R   ---------------------------------------------------------------------------
+--R                                    3 +---+ +-+
+--R                                  8a \|- a \|a
+--R                                                    Type: Expression(Integer)
+--E 1819
+
+--S 1820 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1820
+
+--S 1821 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                    +-+ +-------+              +-------+
+--R             2     \|a \|b x - a        2     \|b x - a
+--R        - 15b atan(--------------) + 15b atan(----------)
+--R                          a                       +-+
+--R                                                 \|a
+--R   (6)  -------------------------------------------------
+--R                               3 +-+
+--R                             4a \|a
+--R                                                    Type: Expression(Integer)
+--E 1821
+
+--S 1822 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1822
+
+)clear all
+
+--S 1823 of 3330
+t0000:=1/(x*(-a+b*x)^(5/2))
+--R 
+--R
+--R                        1
+--R   (1)  --------------------------------
+--R          2 3         2    2   +-------+
+--R        (b x  - 2a b x  + a x)\|b x - a
+--R                                                    Type: Expression(Integer)
+--E 1823
+
+--S 1824 of 3330
+r0000:=(-2/3)/(a*(-a+b*x)^(3/2))+2*atan(sqrt(-a+b*x)/sqrt(a))/a^(5/2)+_
+     2/(a^2*sqrt(-a+b*x))
+--R 
+--R
+--R                                   +-------+
+--R                    +-------+     \|b x - a                 +-+
+--R        (6b x - 6a)\|b x - a atan(----------) + (6b x - 8a)\|a
+--R                                      +-+
+--R                                     \|a
+--R   (2)  -------------------------------------------------------
+--R                         2        3  +-+ +-------+
+--R                      (3a b x - 3a )\|a \|b x - a
+--R                                                    Type: Expression(Integer)
+--E 1824
+
+--S 1825 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                                     +-------+              +---+
+--R                     +-------+    2a\|b x - a  + (b x - 2a)\|- a
+--R         (3b x - 3a)\|b x - a log(-------------------------------)
+--R                                                 x
+--R       + 
+--R                     +---+
+--R         (6b x - 8a)\|- a
+--R    /
+--R          2        3  +---+ +-------+
+--R       (3a b x - 3a )\|- a \|b x - a
+--R     ,
+--R                               +-+ +-------+
+--R                +-------+     \|a \|b x - a                 +-+
+--R    (6b x - 6a)\|b x - a atan(--------------) + (6b x - 8a)\|a
+--R                                     a
+--R    -----------------------------------------------------------]
+--R                       2        3  +-+ +-------+
+--R                    (3a b x - 3a )\|a \|b x - a
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1825
+
+--S 1826 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                   +-------+              +---+                 +-------+
+--R         +-+    2a\|b x - a  + (b x - 2a)\|- a       +---+     \|b x - a
+--R        \|a log(-------------------------------) - 2\|- a atan(----------)
+--R                               x                                   +-+
+--R                                                                  \|a
+--R   (4)  ------------------------------------------------------------------
+--R                                    2 +---+ +-+
+--R                                   a \|- a \|a
+--R                                                    Type: Expression(Integer)
+--E 1826
+
+--S 1827 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1827
+
+--S 1828 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R               +-+ +-------+           +-------+
+--R              \|a \|b x - a           \|b x - a
+--R        2atan(--------------) - 2atan(----------)
+--R                     a                    +-+
+--R                                         \|a
+--R   (6)  -----------------------------------------
+--R                           2 +-+
+--R                          a \|a
+--R                                                    Type: Expression(Integer)
+--E 1828
+
+--S 1829 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1829
+
+)clear all
+
+--S 1830 of 3330
+t0000:=1/(x^2*(-a+b*x)^(5/2))
+--R 
+--R
+--R                        1
+--R   (1)  ---------------------------------
+--R          2 4         3    2 2  +-------+
+--R        (b x  - 2a b x  + a x )\|b x - a
+--R                                                    Type: Expression(Integer)
+--E 1830
+
+--S 1831 of 3330
+r0000:=(-2/3)/(a*x*(-a+b*x)^(3/2))+5*b*atan(sqrt(-a+b*x)/sqrt(a))/a^(7/2)+_
+     10/3/(a^2*x*sqrt(-a+b*x))+5*sqrt(-a+b*x)/(a^3*x)
+--R 
+--R
+--R   (2)
+--R                                     +-------+
+--R       2 2            +-------+     \|b x - a         2 2               2  +-+
+--R   (15b x  - 15a b x)\|b x - a atan(----------) + (15b x  - 20a b x + 3a )\|a
+--R                                        +-+
+--R                                       \|a
+--R   ---------------------------------------------------------------------------
+--R                             3   2     4   +-+ +-------+
+--R                          (3a b x  - 3a x)\|a \|b x - a
+--R                                                    Type: Expression(Integer)
+--E 1831
+
+--S 1832 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                                            +-------+              +---+
+--R             2 2            +-------+    2a\|b x - a  + (b x - 2a)\|- a
+--R         (15b x  - 15a b x)\|b x - a log(-------------------------------)
+--R                                                        x
+--R       + 
+--R             2 2               2  +---+
+--R         (30b x  - 40a b x + 6a )\|- a
+--R    /
+--R          3   2     4   +---+ +-------+
+--R       (6a b x  - 6a x)\|- a \|b x - a
+--R     ,
+--R
+--R                                           +-+ +-------+
+--R             2 2            +-------+     \|a \|b x - a
+--R         (15b x  - 15a b x)\|b x - a atan(--------------)
+--R                                                 a
+--R       + 
+--R             2 2               2  +-+
+--R         (15b x  - 20a b x + 3a )\|a
+--R    /
+--R          3   2     4   +-+ +-------+
+--R       (3a b x  - 3a x)\|a \|b x - a
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1832
+
+--S 1833 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                     +-------+              +---+                   +-------+
+--R           +-+    2a\|b x - a  + (b x - 2a)\|- a         +---+     \|b x - a
+--R        5b\|a log(-------------------------------) - 10b\|- a atan(----------)
+--R                                 x                                     +-+
+--R                                                                      \|a
+--R   (4)  ----------------------------------------------------------------------
+--R                                       3 +---+ +-+
+--R                                     2a \|- a \|a
+--R                                                    Type: Expression(Integer)
+--E 1833
+
+--S 1834 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1834
+
+--S 1835 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                 +-+ +-------+             +-------+
+--R                \|a \|b x - a             \|b x - a
+--R        5b atan(--------------) - 5b atan(----------)
+--R                       a                      +-+
+--R                                             \|a
+--R   (6)  ---------------------------------------------
+--R                             3 +-+
+--R                            a \|a
+--R                                                    Type: Expression(Integer)
+--E 1835
+
+--S 1836 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1836
+
+)clear all
+
+--S 1837 of 3330
+t0000:=1/(x^3*(-a+b*x)^(5/2))
+--R 
+--R
+--R                        1
+--R   (1)  ---------------------------------
+--R          2 5         4    2 3  +-------+
+--R        (b x  - 2a b x  + a x )\|b x - a
+--R                                                    Type: Expression(Integer)
+--E 1837
+
+--S 1838 of 3330
+r0000:=(-2/3)/(a*x^2*(-a+b*x)^(3/2))+_
+     35/4*b^2*atan(sqrt(-a+b*x)/sqrt(a))/a^(9/2)+_
+     14/3/(a^2*x^2*sqrt(-a+b*x))+35/6*sqrt(-a+b*x)/(a^3*x^2)+_
+     35/4*b*sqrt(-a+b*x)/(a^4*x)
+--R 
+--R
+--R   (2)
+--R                                            +-------+
+--R            3 3         2 2  +-------+     \|b x - a
+--R       (105b x  - 105a b x )\|b x - a atan(----------)
+--R                                               +-+
+--R                                              \|a
+--R     + 
+--R            3 3         2 2      2        3  +-+
+--R       (105b x  - 140a b x  + 21a b x + 6a )\|a
+--R  /
+--R         4   3      5 2  +-+ +-------+
+--R     (12a b x  - 12a x )\|a \|b x - a
+--R                                                    Type: Expression(Integer)
+--E 1838
+
+--S 1839 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                                               +-------+              +---+
+--R              3 3         2 2  +-------+    2a\|b x - a  + (b x - 2a)\|- a
+--R         (105b x  - 105a b x )\|b x - a log(-------------------------------)
+--R                                                           x
+--R       + 
+--R              3 3         2 2      2         3  +---+
+--R         (210b x  - 280a b x  + 42a b x + 12a )\|- a
+--R    /
+--R           4   3      5 2  +---+ +-------+
+--R       (24a b x  - 24a x )\|- a \|b x - a
+--R     ,
+--R
+--R                                              +-+ +-------+
+--R              3 3         2 2  +-------+     \|a \|b x - a
+--R         (105b x  - 105a b x )\|b x - a atan(--------------)
+--R                                                    a
+--R       + 
+--R              3 3         2 2      2        3  +-+
+--R         (105b x  - 140a b x  + 21a b x + 6a )\|a
+--R    /
+--R           4   3      5 2  +-+ +-------+
+--R       (12a b x  - 12a x )\|a \|b x - a
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1839
+
+--S 1840 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R   (4)
+--R                  +-------+              +---+                    +-------+
+--R      2 +-+    2a\|b x - a  + (b x - 2a)\|- a        2 +---+     \|b x - a
+--R   35b \|a log(-------------------------------) - 70b \|- a atan(----------)
+--R                              x                                      +-+
+--R                                                                    \|a
+--R   -------------------------------------------------------------------------
+--R                                   4 +---+ +-+
+--R                                 8a \|- a \|a
+--R                                                    Type: Expression(Integer)
+--E 1840
+
+--S 1841 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1841
+
+--S 1842 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                  +-+ +-------+              +-------+
+--R           2     \|a \|b x - a        2     \|b x - a
+--R        35b atan(--------------) - 35b atan(----------)
+--R                        a                       +-+
+--R                                               \|a
+--R   (6)  -----------------------------------------------
+--R                              4 +-+
+--R                            4a \|a
+--R                                                    Type: Expression(Integer)
+--E 1842
+
+--S 1843 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1843
+
+)clear all
+
+--S 1844 of 3330
+t0000:=x^(3+m)/sqrt(a+b*x)
+--R 
+--R
+--R           m + 3
+--R          x
+--R   (1)  ----------
+--R         +-------+
+--R        \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1844
+
+--S 1845 of 3330
+--r0000:=8*a^2*(2+m)*(3+m)*x^(1+m)*sqrt(a+b*x)/(b^3*(3+2*m)*(5+2*m)*(7+2*m))-_
+--       4*a*(3+m)*x^(2+m)*sqrt(a+b*x)/(b^2*(5+2*m)*(7+2*m))+_
+--       2*x^(3+m)*sqrt(a+b*x)/(b*(7+2*m))-16*a^3*(1+m)*(2+m)*(3+m)*x^m*_
+--       hypergeometric(1/2,-m,3/2,(a+b*x)/a)*sqrt(a+b*x)/_
+--       (b^4*(3+2*m)*(5+2*m)*(7+2*m)*(-b*x/a)^m)
+--E 1845
+
+--S 1846 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           x     m + 3
+--R         ++    %N
+--R   (2)   |   ----------- d%N
+--R        ++    +--------+
+--R             \|%N b + a
+--R                                         Type: Union(Expression(Integer),...)
+--E 1846
+
+--S 1847 of 3330
+--m0000:=a0000 - r0000
+--E 1847
+
+--S 1848 of 3330
+--d0000:=D(m0000,x)
+--E 1848
+
+)clear all
+
+--S 1849 of 3330
+t0000:=x^(2+m)/sqrt(a+b*x)
+--R 
+--R
+--R           m + 2
+--R          x
+--R   (1)  ----------
+--R         +-------+
+--R        \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1849
+
+--S 1850 of 3330
+--r0000:=-4*a*(2+m)*x^(1+m)*sqrt(a+b*x)/(b^2*(3+2*m)*(5+2*m))+_
+--       2*x^(2+m)*sqrt(a+b*x)/(b*(5+2*m))+8*a^2*(1+m)*(2+m)*x^m*_
+--       hypergeometric(1/2,-m,3/2,(a+b*x)/a)*sqrt(a+b*x)/_
+--       (b^3*(3+2*m)*(5+2*m)*(-b*x/a)^m)
+--E 1850
+
+--S 1851 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           x     m + 2
+--R         ++    %N
+--R   (2)   |   ----------- d%N
+--R        ++    +--------+
+--R             \|%N b + a
+--R                                         Type: Union(Expression(Integer),...)
+--E 1851
+
+--S 1852 of 3330
+--m0000:=a0000 - r0000
+--E 1852
+
+--S 1853 of 3330
+--d0000:=D(m0000,x)
+--E 1853
+
+)clear all
+
+--S 1854 of 3330
+t0000:=x^(1+m)/sqrt(a+b*x)
+--R 
+--R
+--R           m + 1
+--R          x
+--R   (1)  ----------
+--R         +-------+
+--R        \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1854
+
+--S 1855 of 3330
+--r0000:=2*x^(1+m)*sqrt(a+b*x)/(b*(3+2*m))-4*a*(1+m)*x^m*_
+--       hypergeometric(1/2,-m,3/2,(a+b*x)/a)*sqrt(a+b*x)/_
+--       (b^2*(3+2*m)*(-b*x/a)^m)
+--E 1855
+
+--S 1856 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           x     m + 1
+--R         ++    %N
+--R   (2)   |   ----------- d%N
+--R        ++    +--------+
+--R             \|%N b + a
+--R                                         Type: Union(Expression(Integer),...)
+--E 1856
+
+--S 1857 of 3330
+--m0000:=a0000 - r0000
+--E 1857
+
+--S 1858 of 3330
+--d0000:=D(m0000,x)
+--E 1858
+
+)clear all
+
+--S 1859 of 3330
+t0000:=x^m/sqrt(a+b*x)
+--R 
+--R
+--R             m
+--R            x
+--R   (1)  ----------
+--R         +-------+
+--R        \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1859
+
+--S 1860 of 3330
+--r0000:=2*x^m*hypergeometric(1/2,-m,3/2,(a+b*x)/a)*sqrt(a+b*x)/(b*(-b*x/a)^m)
+--E 1860
+
+--S 1861 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           x       m
+--R         ++      %N
+--R   (2)   |   ----------- d%N
+--R        ++    +--------+
+--R             \|%N b + a
+--R                                         Type: Union(Expression(Integer),...)
+--E 1861
+
+--S 1862 of 3330
+--m0000:=a0000 - r0000
+--E 1862
+
+--S 1863 of 3330
+--d0000:=D(m0000,x)
+--E 1863
+
+)clear all
+
+--S 1864 of 3330
+t0000:=x^(-1+m)/sqrt(a+b*x)
+--R 
+--R
+--R           m - 1
+--R          x
+--R   (1)  ----------
+--R         +-------+
+--R        \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1864
+
+--S 1865 of 3330
+--r0000:=x^m*sqrt(a+b*x)/(a*m)-(1+2*m)*x^m*_
+--       hypergeometric(1/2,-m,3/2,(a+b*x)/a)*sqrt(a+b*x)/(a*m*(-b*x/a)^m)
+--E 1865
+
+--S 1866 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           x     m - 1
+--R         ++    %N
+--R   (2)   |   ----------- d%N
+--R        ++    +--------+
+--R             \|%N b + a
+--R                                         Type: Union(Expression(Integer),...)
+--E 1866
+
+--S 1867 of 3330
+--m0000:=a0000 - r0000
+--E 1867
+
+--S 1868 of 3330
+--d0000:=D(m0000,x)
+--E 1868
+
+)clear all
+
+--S 1869 of 3330
+t0000:=x^(-2+m)/sqrt(a+b*x)
+--R 
+--R
+--R           m - 2
+--R          x
+--R   (1)  ----------
+--R         +-------+
+--R        \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1869
+
+--S 1870 of 3330
+--r0000:=-x^(-1+m)*sqrt(a+b*x)/(a*(1-m))-1/2*b*(1-2*m)*x^m*_
+--       sqrt(a+b*x)/(a^2*(1-m)*m)+1/2*b*(1-2*m)*(1+2*m)*x^m*_
+--       hypergeometric(1/2,-m,3/2,(a+b*x)/a)*sqrt(a+b*x)/_
+--       (a^2*(1-m)*m*(-b*x/a)^m)
+--E 1870
+
+--S 1871 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           x     m - 2
+--R         ++    %N
+--R   (2)   |   ----------- d%N
+--R        ++    +--------+
+--R             \|%N b + a
+--R                                         Type: Union(Expression(Integer),...)
+--E 1871
+
+--S 1872 of 3330
+--m0000:=a0000 - r0000
+--E 1872
+
+--S 1873 of 3330
+--d0000:=D(m0000,x)
+--E 1873
+
+)clear all
+
+--S 1874 of 3330
+t0000:=x^(-3+m)/sqrt(a+b*x)
+--R 
+--R
+--R           m - 3
+--R          x
+--R   (1)  ----------
+--R         +-------+
+--R        \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1874
+
+--S 1875 of 3330
+--r0000:=-x^(-2+m)*sqrt(a+b*x)/(a*(2-m))+1/2*b*(3-2*m)*x^(-1+m)*_
+--       sqrt(a+b*x)/(a^2*(1-m)*(2-m))+1/4*b^2*(1-2*m)*(3-2*m)*x^m*_
+--       sqrt(a+b*x)/(a^3*(1-m)*(2-m)*m)-1/4*b^2*(1-2*m)*(3-2*m)*(1+2*m)*x^m*_
+--       hypergeometric(1/2,-m,3/2,(a+b*x)/a)*sqrt(a+b*x)/_
+--       (a^3*(1-m)*(2-m)*m*(-b*x/a)^m)
+--E 1875
+
+--S 1876 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           x     m - 3
+--R         ++    %N
+--R   (2)   |   ----------- d%N
+--R        ++    +--------+
+--R             \|%N b + a
+--R                                         Type: Union(Expression(Integer),...)
+--E 1876
+
+--S 1877 of 3330
+--m0000:=a0000 - r0000
+--E 1877
+
+--S 1878 of 3330
+--d0000:=D(m0000,x)
+--E 1878
+
+)clear all
+
+--S 1879 of 3330
+t0000:=1/2*x^(-1+m)*(2*a*m+b*(-1+2*m)*x)/(a+b*x)^(3/2)
+--R 
+--R
+--R                             m - 1
+--R        ((2b m - b)x + 2a m)x
+--R   (1)  --------------------------
+--R                       +-------+
+--R           (2b x + 2a)\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1879
+
+--S 1880 of 3330
+r0000:=x^m/sqrt(a+b*x)
+--R 
+--R
+--R             m
+--R            x
+--R   (2)  ----------
+--R         +-------+
+--R        \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1880
+
+--S 1881 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R            (m - 1)log(x)
+--R        x %e
+--R   (3)  -----------------
+--R             +-------+
+--R            \|b x + a
+--R                                         Type: Union(Expression(Integer),...)
+--E 1881
+
+--S 1882 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R            (m - 1)log(x)    m
+--R        x %e              - x
+--R   (4)  ----------------------
+--R               +-------+
+--R              \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1882
+
+--S 1883 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R                              (m - 1)log(x)      m                     m - 1
+--R        ((2b m - b)x + 2a m)%e              + b x  + (- 2b m x - 2a m)x
+--R   (5)  --------------------------------------------------------------------
+--R                                            +-------+
+--R                                (2b x + 2a)\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1883
+
+)clear all
+
+--S 1884 of 3330
+t0000:=-1/2*b*x^m/(a+b*x)^(3/2)+m*x^(-1+m)/sqrt(a+b*x)
+--R 
+--R
+--R             m                   m - 1
+--R        - b x  + (2b m x + 2a m)x
+--R   (1)  ------------------------------
+--R                         +-------+
+--R             (2b x + 2a)\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1884
+
+--S 1885 of 3330
+r0000:=x^m/sqrt(a+b*x),-b*x^(1+m)/(a*sqrt(a+b*x))+x^m*sqrt(a+b*x)/a
+--R 
+--R
+--R              m          m + 1             m
+--R             x      - b x      + (b x + a)x
+--R   (2)  [----------,------------------------]
+--R          +-------+          +-------+
+--R         \|b x + a         a\|b x + a
+--R                                             Type: Tuple(Expression(Integer))
+--E 1885
+
+--S 1886 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R            (m - 1)log(x)
+--R        x %e
+--R   (3)  -----------------
+--R             +-------+
+--R            \|b x + a
+--R                                         Type: Union(Expression(Integer),...)
+--E 1886
+
+--S 1887 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R            (m - 1)log(x)    m
+--R        x %e              - x
+--R   (4)  ----------------------
+--R               +-------+
+--R              \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1887
+
+--S 1888 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R                              (m - 1)log(x)      m                     m - 1
+--R        ((2b m - b)x + 2a m)%e              + b x  + (- 2b m x - 2a m)x
+--R   (5)  --------------------------------------------------------------------
+--R                                            +-------+
+--R                                (2b x + 2a)\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1888
+
+)clear all
+
+--S 1889 of 3330
+t0000:=x^(1/2*(1-n)+1/2*(-3+n))/sqrt(a+b*x)
+--R 
+--R
+--R             1
+--R   (1)  -----------
+--R          +-------+
+--R        x\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1889
+
+--S 1890 of 3330
+r0000:=-2*atanh(sqrt(a+b*x)/sqrt(a))/sqrt(a)
+--R 
+--R
+--R                  +-------+
+--R                 \|b x + a
+--R          2atanh(----------)
+--R                     +-+
+--R                    \|a
+--R   (2)  - ------------------
+--R                  +-+
+--R                 \|a
+--R                                                    Type: Expression(Integer)
+--E 1890
+
+--S 1891 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                  +-------+              +-+           +---+ +-------+
+--R             - 2a\|b x + a  + (b x + 2a)\|a           \|- a \|b x + a
+--R         log(-------------------------------)   2atan(----------------)
+--R                            x                                 a
+--R   (3)  [------------------------------------,- -----------------------]
+--R                          +-+                             +---+
+--R                         \|a                             \|- a
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1891
+
+--S 1892 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                 +-------+              +-+            +-------+
+--R            - 2a\|b x + a  + (b x + 2a)\|a            \|b x + a
+--R        log(-------------------------------) + 2atanh(----------)
+--R                           x                              +-+
+--R                                                         \|a
+--R   (4)  ---------------------------------------------------------
+--R                                    +-+
+--R                                   \|a
+--R                                                    Type: Expression(Integer)
+--E 1892
+
+--S 1893 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1893
+
+--S 1894 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                      +-------+               +---+ +-------+
+--R          +---+      \|b x + a       +-+     \|- a \|b x + a
+--R        2\|- a atanh(----------) - 2\|a atan(----------------)
+--R                         +-+                         a
+--R                        \|a
+--R   (6)  ------------------------------------------------------
+--R                               +---+ +-+
+--R                              \|- a \|a
+--R                                                    Type: Expression(Integer)
+--E 1894
+
+--S 1895 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1895
+
+)clear all
+
+--S 1896 of 3330
+t0000:=x^3*(a+b*x)^(1/3)
+--R 
+--R
+--R         3 3+-------+
+--R   (1)  x  \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1896
+
+--S 1897 of 3330
+r0000:=-3/4*a^3*(a+b*x)^(4/3)/b^4+9/7*a^2*(a+b*x)^(7/3)/b^4-_
+     9/10*a*(a+b*x)^(10/3)/b^4+3/13*(a+b*x)^(13/3)/b^4
+--R 
+--R
+--R             4 4        3 3      2 2 2      3          4 3+-------+
+--R        (420b x  + 42a b x  - 54a b x  + 81a b x - 243a )\|b x + a
+--R   (2)  -----------------------------------------------------------
+--R                                        4
+--R                                   1820b
+--R                                                    Type: Expression(Integer)
+--E 1897
+
+--S 1898 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R             4 4        3 3      2 2 2      3          4 3+-------+
+--R        (420b x  + 42a b x  - 54a b x  + 81a b x - 243a )\|b x + a
+--R   (3)  -----------------------------------------------------------
+--R                                        4
+--R                                   1820b
+--R                                         Type: Union(Expression(Integer),...)
+--E 1898
+
+--S 1899 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1899
+
+--S 1900 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1900
+
+)clear all
+
+--S 1901 of 3330
+t0000:=x^2*(a+b*x)^(1/3)
+--R 
+--R
+--R         2 3+-------+
+--R   (1)  x  \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1901
+
+--S 1902 of 3330
+r0000:=3/4*a^2*(a+b*x)^(4/3)/b^3-6/7*a*(a+b*x)^(7/3)/b^3+_
+     3/10*(a+b*x)^(10/3)/b^3
+--R 
+--R
+--R            3 3       2 2     2         3 3+-------+
+--R        (42b x  + 6a b x  - 9a b x + 27a )\|b x + a
+--R   (2)  --------------------------------------------
+--R                                3
+--R                            140b
+--R                                                    Type: Expression(Integer)
+--E 1902
+
+--S 1903 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R            3 3       2 2     2         3 3+-------+
+--R        (42b x  + 6a b x  - 9a b x + 27a )\|b x + a
+--R   (3)  --------------------------------------------
+--R                                3
+--R                            140b
+--R                                         Type: Union(Expression(Integer),...)
+--E 1903
+
+--S 1904 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1904
+
+--S 1905 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1905
+
+)clear all
+
+--S 1906 of 3330
+t0000:=x*(a+b*x)^(1/3)
+--R 
+--R
+--R         3+-------+
+--R   (1)  x\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1906
+
+--S 1907 of 3330
+r0000:=-3/4*a*(a+b*x)^(4/3)/b^2+3/7*(a+b*x)^(7/3)/b^2
+--R 
+--R
+--R            2 2              2 3+-------+
+--R        (12b x  + 3a b x - 9a )\|b x + a
+--R   (2)  ---------------------------------
+--R                          2
+--R                       28b
+--R                                                    Type: Expression(Integer)
+--E 1907
+
+--S 1908 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R            2 2              2 3+-------+
+--R        (12b x  + 3a b x - 9a )\|b x + a
+--R   (3)  ---------------------------------
+--R                          2
+--R                       28b
+--R                                         Type: Union(Expression(Integer),...)
+--E 1908
+
+--S 1909 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1909
+
+--S 1910 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1910
+
+)clear all
+
+--S 1911 of 3330
+t0000:=(a+b*x)^(1/3)
+--R 
+--R
+--R        3+-------+
+--R   (1)  \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1911
+
+--S 1912 of 3330
+r0000:=3/4*(a+b*x)^(4/3)/b
+--R 
+--R
+--R                   3+-------+
+--R        (3b x + 3a)\|b x + a
+--R   (2)  ---------------------
+--R                  4b
+--R                                                    Type: Expression(Integer)
+--E 1912
+
+--S 1913 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                   3+-------+
+--R        (3b x + 3a)\|b x + a
+--R   (3)  ---------------------
+--R                  4b
+--R                                         Type: Union(Expression(Integer),...)
+--E 1913
+
+--S 1914 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1914
+
+--S 1915 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1915
+
+)clear all
+
+--S 1916 of 3330
+t0000:=(a+b*x)^(1/3)/x
+--R 
+--R
+--R        3+-------+
+--R        \|b x + a
+--R   (1)  ----------
+--R             x
+--R                                                    Type: Expression(Integer)
+--E 1916
+
+--S 1917 of 3330
+r0000:=3*(a+b*x)^(1/3)+a^(1/3)*log(a^(1/3)-(a+b*x)^(1/3))-_
+     1/2*a^(1/3)*log(a^(2/3)+a^(1/3)*(a+b*x)^(1/3)+(a+b*x)^(2/3))-_
+     a^(1/3)*atan((a^(1/3)+2*(a+b*x)^(1/3))/(a^(1/3)*sqrt(3)))*sqrt(3)
+--R 
+--R
+--R   (2)
+--R         3+-+    3+-------+2   3+-+3+-------+   3+-+2
+--R       - \|a log(\|b x + a   + \|a \|b x + a  + \|a  )
+--R     + 
+--R                                                      3+-------+   3+-+
+--R        3+-+      3+-------+   3+-+      +-+3+-+     2\|b x + a  + \|a
+--R       2\|a log(- \|b x + a  + \|a ) - 2\|3 \|a atan(------------------)
+--R                                                           +-+3+-+
+--R                                                          \|3 \|a
+--R     + 
+--R        3+-------+
+--R       6\|b x + a
+--R  /
+--R     2
+--R                                                    Type: Expression(Integer)
+--E 1917
+
+--S 1918 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R         3+-+    3+-------+2   3+-+3+-------+   3+-+2
+--R       - \|a log(\|b x + a   + \|a \|b x + a  + \|a  )
+--R     + 
+--R                                                    3+-------+   3+-+
+--R        3+-+    3+-------+   3+-+      +-+3+-+     2\|b x + a  + \|a
+--R       2\|a log(\|b x + a  - \|a ) - 2\|3 \|a atan(------------------)
+--R                                                         +-+3+-+
+--R                                                        \|3 \|a
+--R     + 
+--R        3+-------+
+--R       6\|b x + a
+--R  /
+--R     2
+--R                                         Type: Union(Expression(Integer),...)
+--E 1918
+
+--S 1919 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R        3+-+    3+-------+   3+-+    3+-+      3+-------+   3+-+
+--R   (4)  \|a log(\|b x + a  - \|a ) - \|a log(- \|b x + a  + \|a )
+--R                                                    Type: Expression(Integer)
+--E 1919
+
+--S 1920 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1920
+
+)clear all
+
+--S 1921 of 3330
+t0000:=(a+b*x)^(1/3)/x^2
+--R 
+--R
+--R        3+-------+
+--R        \|b x + a
+--R   (1)  ----------
+--R             2
+--R            x
+--R                                                    Type: Expression(Integer)
+--E 1921
+
+--S 1922 of 3330
+r0000:=-(a+b*x)^(1/3)/x+1/3*b*log(a^(1/3)-(a+b*x)^(1/3))/a^(2/3)-_
+     1/6*b*log(a^(2/3)+a^(1/3)*(a+b*x)^(1/3)+(a+b*x)^(2/3))/a^(2/3)-_
+     b*atan((a^(1/3)+2*(a+b*x)^(1/3))/(a^(1/3)*sqrt(3)))/(a^(2/3)*sqrt(3))
+--R 
+--R
+--R   (2)
+--R             +-+    3+-------+2   3+-+3+-------+   3+-+2
+--R       - b x\|3 log(\|b x + a   + \|a \|b x + a  + \|a  )
+--R     + 
+--R                                                     3+-------+   3+-+
+--R            +-+      3+-------+   3+-+              2\|b x + a  + \|a
+--R       2b x\|3 log(- \|b x + a  + \|a ) - 6b x atan(------------------)
+--R                                                          +-+3+-+
+--R                                                         \|3 \|a
+--R     + 
+--R           +-+3+-+2 3+-------+
+--R       - 6\|3 \|a   \|b x + a
+--R  /
+--R        +-+3+-+2
+--R     6x\|3 \|a
+--R                                                    Type: Expression(Integer)
+--E 1922
+
+--S 1923 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                     +--+2                +--+
+--R             +-+    3| 2   3+-------+2   3| 2 3+-------+    2
+--R       - b x\|3 log(\|a    \|b x + a  + a\|a  \|b x + a  + a )
+--R     + 
+--R                    +--+
+--R            +-+    3| 2 3+-------+
+--R       2b x\|3 log(\|a  \|b x + a  - a)
+--R     + 
+--R                         +--+
+--R                     +-+3| 2 3+-------+     +-+          +--+
+--R                   2\|3 \|a  \|b x + a  + a\|3       +-+3| 2 3+-------+
+--R       - 6b x atan(----------------------------) - 6\|3 \|a  \|b x + a
+--R                                3a
+--R  /
+--R            +--+
+--R        +-+3| 2
+--R     6x\|3 \|a
+--R                                         Type: Union(Expression(Integer),...)
+--E 1923
+
+--S 1924 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R                        +--+2                +--+
+--R           +-+3+-+2    3| 2   3+-------+2   3| 2 3+-------+    2
+--R       - b\|3 \|a  log(\|a    \|b x + a  + a\|a  \|b x + a  + a )
+--R     + 
+--R             +--+
+--R         +-+3| 2     3+-------+2   3+-+3+-------+   3+-+2
+--R       b\|3 \|a  log(\|b x + a   + \|a \|b x + a  + \|a  )
+--R     + 
+--R                       +--+                         +--+
+--R          +-+3+-+2    3| 2 3+-------+           +-+3| 2       3+-------+   3+-+
+--R       2b\|3 \|a  log(\|a  \|b x + a  - a) - 2b\|3 \|a  log(- \|b x + a  + \|a )
+--R     + 
+--R                            +--+
+--R                        +-+3| 2 3+-------+     +-+
+--R            3+-+2     2\|3 \|a  \|b x + a  + a\|3
+--R       - 6b \|a  atan(----------------------------)
+--R                                   3a
+--R     + 
+--R          +--+      3+-------+   3+-+
+--R         3| 2      2\|b x + a  + \|a
+--R       6b\|a  atan(------------------)
+--R                         +-+3+-+
+--R                        \|3 \|a
+--R  /
+--R                 +--+
+--R       +-+3+-+2 3| 2
+--R     6\|3 \|a   \|a
+--R                                                    Type: Expression(Integer)
+--E 1924
+
+--S 1925 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1925
+
+)clear all
+
+--S 1926 of 3330
+t0000:=(a+b*x)^(1/3)/x^3
+--R 
+--R
+--R        3+-------+
+--R        \|b x + a
+--R   (1)  ----------
+--R             3
+--R            x
+--R                                                    Type: Expression(Integer)
+--E 1926
+
+--S 1927 of 3330
+r0000:=-1/2*(a+b*x)^(1/3)/x^2-1/6*b*(a+b*x)^(1/3)/(a*x)-_
+     1/9*b^2*log(a^(1/3)-(a+b*x)^(1/3))/a^(5/3)+_
+     1/18*b^2*log(a^(2/3)+a^(1/3)*(a+b*x)^(1/3)+_
+     (a+b*x)^(2/3))/a^(5/3)+1/3*b^2*_
+     atan((a^(1/3)+2*(a+b*x)^(1/3))/(a^(1/3)*sqrt(3)))/(a^(5/3)*sqrt(3))
+--R 
+--R
+--R   (2)
+--R        2 2 +-+    3+-------+2   3+-+3+-------+   3+-+2
+--R       b x \|3 log(\|b x + a   + \|a \|b x + a  + \|a  )
+--R     + 
+--R                                                        3+-------+   3+-+
+--R           2 2 +-+      3+-------+   3+-+      2 2     2\|b x + a  + \|a
+--R       - 2b x \|3 log(- \|b x + a  + \|a ) + 6b x atan(------------------)
+--R                                                             +-+3+-+
+--R                                                            \|3 \|a
+--R     + 
+--R                     +-+3+-+2 3+-------+
+--R       (- 3b x - 9a)\|3 \|a   \|b x + a
+--R  /
+--R          2 +-+3+-+2
+--R     18a x \|3 \|a
+--R                                                    Type: Expression(Integer)
+--E 1927
+
+--S 1928 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                      +----+2                +----+
+--R          2 2 +-+    3|   2   3+-------+2   3|   2 3+-------+    2
+--R       - b x \|3 log(\|- a    \|b x + a  - a\|- a  \|b x + a  + a )
+--R     + 
+--R                     +----+
+--R         2 2 +-+    3|   2 3+-------+
+--R       2b x \|3 log(\|- a  \|b x + a  + a)
+--R     + 
+--R                       +----+
+--R                   +-+3|   2 3+-------+     +-+
+--R         2 2     2\|3 \|- a  \|b x + a  - a\|3
+--R       6b x atan(------------------------------)
+--R                               3a
+--R     + 
+--R                         +----+
+--R                     +-+3|   2 3+-------+
+--R       (- 3b x - 9a)\|3 \|- a  \|b x + a
+--R  /
+--R                +----+
+--R          2 +-+3|   2
+--R     18a x \|3 \|- a
+--R                                         Type: Union(Expression(Integer),...)
+--E 1928
+
+--S 1929 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R                         +----+2                +----+
+--R          2 +-+3+-+2    3|   2   3+-------+2   3|   2 3+-------+    2
+--R       - b \|3 \|a  log(\|- a    \|b x + a  - a\|- a  \|b x + a  + a )
+--R     + 
+--R                +----+
+--R          2 +-+3|   2     3+-------+2   3+-+3+-------+   3+-+2
+--R       - b \|3 \|- a  log(\|b x + a   + \|a \|b x + a  + \|a  )
+--R     + 
+--R                        +----+
+--R         2 +-+3+-+2    3|   2 3+-------+
+--R       2b \|3 \|a  log(\|- a  \|b x + a  + a)
+--R     + 
+--R               +----+
+--R         2 +-+3|   2       3+-------+   3+-+
+--R       2b \|3 \|- a  log(- \|b x + a  + \|a )
+--R     + 
+--R                           +----+
+--R                       +-+3|   2 3+-------+     +-+
+--R         2 3+-+2     2\|3 \|- a  \|b x + a  - a\|3
+--R       6b  \|a  atan(------------------------------)
+--R                                   3a
+--R     + 
+--R              +----+      3+-------+   3+-+
+--R           2 3|   2      2\|b x + a  + \|a
+--R       - 6b  \|- a  atan(------------------)
+--R                               +-+3+-+
+--R                              \|3 \|a
+--R  /
+--R             +----+
+--R         +-+3|   2 3+-+2
+--R     18a\|3 \|- a  \|a
+--R                                                    Type: Expression(Integer)
+--E 1929
+
+--S 1930 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1930
+
+)clear all
+
+--S 1931 of 3330
+t0000:=x^3*(a+b*x)^(2/3)
+--R 
+--R
+--R         3 3+-------+2
+--R   (1)  x  \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1931
+
+--S 1932 of 3330
+r0000:=-3/5*a^3*(a+b*x)^(5/3)/b^4+9/8*a^2*(a+b*x)^(8/3)/b^4-_
+     9/11*a*(a+b*x)^(11/3)/b^4+3/14*(a+b*x)^(14/3)/b^4
+--R 
+--R
+--R             4 4         3 3       2 2 2       3          4 3+-------+2
+--R        (660b x  + 120a b x  - 135a b x  + 162a b x - 243a )\|b x + a
+--R   (2)  ---------------------------------------------------------------
+--R                                          4
+--R                                     3080b
+--R                                                    Type: Expression(Integer)
+--E 1932
+
+--S 1933 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R             4 4         3 3       2 2 2       3          4 3+-------+2
+--R        (660b x  + 120a b x  - 135a b x  + 162a b x - 243a )\|b x + a
+--R   (3)  ---------------------------------------------------------------
+--R                                          4
+--R                                     3080b
+--R                                         Type: Union(Expression(Integer),...)
+--E 1933
+
+--S 1934 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1934
+
+--S 1935 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1935
+
+)clear all
+
+--S 1936 of 3330
+t0000:=x^2*(a+b*x)^(2/3)
+--R 
+--R
+--R         2 3+-------+2
+--R   (1)  x  \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1936
+
+--S 1937 of 3330
+r0000:=3/5*a^2*(a+b*x)^(5/3)/b^3-3/4*a*(a+b*x)^(8/3)/b^3+_
+     3/11*(a+b*x)^(11/3)/b^3
+--R 
+--R
+--R            3 3        2 2      2         3 3+-------+2
+--R        (60b x  + 15a b x  - 18a b x + 27a )\|b x + a
+--R   (2)  -----------------------------------------------
+--R                                 3
+--R                             220b
+--R                                                    Type: Expression(Integer)
+--E 1937
+
+--S 1938 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R            3 3        2 2      2         3 3+-------+2
+--R        (60b x  + 15a b x  - 18a b x + 27a )\|b x + a
+--R   (3)  -----------------------------------------------
+--R                                 3
+--R                             220b
+--R                                         Type: Union(Expression(Integer),...)
+--E 1938
+
+--S 1939 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1939
+
+--S 1940 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1940
+
+)clear all
+
+--S 1941 of 3330
+t0000:=x*(a+b*x)^(2/3)
+--R 
+--R
+--R          3+-------+2
+--R   (1)  x \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1941
+
+--S 1942 of 3330
+r0000:=-3/5*a*(a+b*x)^(5/3)/b^2+3/8*(a+b*x)^(8/3)/b^2
+--R 
+--R
+--R            2 2              2 3+-------+2
+--R        (15b x  + 6a b x - 9a )\|b x + a
+--R   (2)  ----------------------------------
+--R                          2
+--R                       40b
+--R                                                    Type: Expression(Integer)
+--E 1942
+
+--S 1943 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R            2 2              2 3+-------+2
+--R        (15b x  + 6a b x - 9a )\|b x + a
+--R   (3)  ----------------------------------
+--R                          2
+--R                       40b
+--R                                         Type: Union(Expression(Integer),...)
+--E 1943
+
+--S 1944 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1944
+
+--S 1945 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1945
+
+)clear all
+
+--S 1946 of 3330
+t0000:=(a+b*x)^(2/3)
+--R 
+--R
+--R        3+-------+2
+--R   (1)  \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1946
+
+--S 1947 of 3330
+r0000:=3/5*(a+b*x)^(5/3)/b
+--R 
+--R
+--R                   3+-------+2
+--R        (3b x + 3a)\|b x + a
+--R   (2)  ----------------------
+--R                  5b
+--R                                                    Type: Expression(Integer)
+--E 1947
+
+--S 1948 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                   3+-------+2
+--R        (3b x + 3a)\|b x + a
+--R   (3)  ----------------------
+--R                  5b
+--R                                         Type: Union(Expression(Integer),...)
+--E 1948
+
+--S 1949 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1949
+
+--S 1950 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1950
+
+)clear all
+
+--S 1951 of 3330
+t0000:=(a+b*x)^(2/3)/x
+--R 
+--R
+--R        3+-------+2
+--R        \|b x + a
+--R   (1)  -----------
+--R             x
+--R                                                    Type: Expression(Integer)
+--E 1951
+
+--S 1952 of 3330
+r0000:=3/2*(a+b*x)^(2/3)+a^(2/3)*log(a^(1/3)-(a+b*x)^(1/3))-_
+     1/2*a^(2/3)*log(a^(2/3)+a^(1/3)*(a+b*x)^(1/3)+(a+b*x)^(2/3))+_
+     a^(2/3)*atan((a^(1/3)+2*(a+b*x)^(1/3))/(a^(1/3)*sqrt(3)))*sqrt(3)
+--R 
+--R
+--R   (2)
+--R         3+-+2    3+-------+2   3+-+3+-------+   3+-+2
+--R       - \|a  log(\|b x + a   + \|a \|b x + a  + \|a  )
+--R     + 
+--R                                                        3+-------+   3+-+
+--R        3+-+2      3+-------+   3+-+      +-+3+-+2     2\|b x + a  + \|a
+--R       2\|a  log(- \|b x + a  + \|a ) + 2\|3 \|a  atan(------------------)
+--R                                                             +-+3+-+
+--R                                                            \|3 \|a
+--R     + 
+--R        3+-------+2
+--R       3\|b x + a
+--R  /
+--R     2
+--R                                                    Type: Expression(Integer)
+--E 1952
+
+--S 1953 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R          +--+                     +--+2               +--+
+--R         3| 2       3+-------+2   3| 2   3+-------+   3| 2
+--R       - \|a  log(a \|b x + a   + \|a    \|b x + a + a\|a  )
+--R     + 
+--R                                                                        +--+2
+--R         +--+                   +--+2          +--+       3+-------+   3| 2
+--R        3| 2      3+-------+   3| 2        +-+3| 2      2a\|b x + a  + \|a
+--R       2\|a  log(a\|b x + a  - \|a   ) + 2\|3 \|a  atan(---------------------)
+--R                                                                   +--+2
+--R                                                               +-+3| 2
+--R                                                              \|3 \|a
+--R     + 
+--R        3+-------+2
+--R       3\|b x + a
+--R  /
+--R     2
+--R                                         Type: Union(Expression(Integer),...)
+--E 1953
+
+--S 1954 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R          +--+                     +--+2               +--+
+--R         3| 2       3+-------+2   3| 2   3+-------+   3| 2
+--R       - \|a  log(a \|b x + a   + \|a    \|b x + a + a\|a  )
+--R     + 
+--R       3+-+2    3+-------+2   3+-+3+-------+   3+-+2
+--R       \|a  log(\|b x + a   + \|a \|b x + a  + \|a  )
+--R     + 
+--R         +--+                   +--+2
+--R        3| 2      3+-------+   3| 2       3+-+2      3+-------+   3+-+
+--R       2\|a  log(a\|b x + a  - \|a   ) - 2\|a  log(- \|b x + a  + \|a )
+--R     + 
+--R                         3+-------+   3+-+
+--R           +-+3+-+2     2\|b x + a  + \|a
+--R       - 2\|3 \|a  atan(------------------)
+--R                              +-+3+-+
+--R                             \|3 \|a
+--R     + 
+--R                                      +--+2
+--R             +--+       3+-------+   3| 2
+--R         +-+3| 2      2a\|b x + a  + \|a
+--R       2\|3 \|a  atan(---------------------)
+--R                                 +--+2
+--R                             +-+3| 2
+--R                            \|3 \|a
+--R  /
+--R     2
+--R                                                    Type: Expression(Integer)
+--E 1954
+
+--S 1955 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1955
+
+)clear all
+
+--S 1956 of 3330
+t0000:=(a+b*x)^(2/3)/x^2
+--R 
+--R
+--R        3+-------+2
+--R        \|b x + a
+--R   (1)  -----------
+--R              2
+--R             x
+--R                                                    Type: Expression(Integer)
+--E 1956
+
+--S 1957 of 3330
+r0000:=-(a+b*x)^(2/3)/x+2/3*b*log(a^(1/3)-(a+b*x)^(1/3))/a^(1/3)-_
+     1/3*b*log(a^(2/3)+a^(1/3)*(a+b*x)^(1/3)+(a+b*x)^(2/3))/a^(1/3)+_
+     2*b*atan((a^(1/3)+2*(a+b*x)^(1/3))/(a^(1/3)*sqrt(3)))/(a^(1/3)*sqrt(3))
+--R 
+--R
+--R   (2)
+--R             +-+    3+-------+2   3+-+3+-------+   3+-+2
+--R       - b x\|3 log(\|b x + a   + \|a \|b x + a  + \|a  )
+--R     + 
+--R                                                     3+-------+   3+-+
+--R            +-+      3+-------+   3+-+              2\|b x + a  + \|a
+--R       2b x\|3 log(- \|b x + a  + \|a ) + 6b x atan(------------------)
+--R                                                          +-+3+-+
+--R                                                         \|3 \|a
+--R     + 
+--R           +-+3+-+3+-------+2
+--R       - 3\|3 \|a \|b x + a
+--R  /
+--R        +-+3+-+
+--R     3x\|3 \|a
+--R                                                    Type: Expression(Integer)
+--E 1957
+
+--S 1958 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R             +-+    3+-+3+-------+2   3+-+2 3+-------+
+--R       - b x\|3 log(\|a \|b x + a   + \|a   \|b x + a + a)
+--R     + 
+--R            +-+    3+-+2 3+-------+
+--R       2b x\|3 log(\|a   \|b x + a - a)
+--R     + 
+--R                   +-+3+-+2 3+-------+    +-+
+--R                 2\|3 \|a   \|b x + a + a\|3       +-+3+-+3+-------+2
+--R       6b x atan(----------------------------) - 3\|3 \|a \|b x + a
+--R                              3a
+--R  /
+--R        +-+3+-+
+--R     3x\|3 \|a
+--R                                         Type: Union(Expression(Integer),...)
+--E 1958
+
+--S 1959 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R           +-+    3+-+3+-------+2   3+-+2 3+-------+
+--R       - b\|3 log(\|a \|b x + a   + \|a   \|b x + a + a)
+--R     + 
+--R         +-+    3+-------+2   3+-+3+-------+   3+-+2
+--R       b\|3 log(\|b x + a   + \|a \|b x + a  + \|a  )
+--R     + 
+--R          +-+    3+-+2 3+-------+          +-+      3+-------+   3+-+
+--R       2b\|3 log(\|a   \|b x + a - a) - 2b\|3 log(- \|b x + a  + \|a )
+--R     + 
+--R                 +-+3+-+2 3+-------+    +-+             3+-------+   3+-+
+--R               2\|3 \|a   \|b x + a + a\|3             2\|b x + a  + \|a
+--R       6b atan(----------------------------) - 6b atan(------------------)
+--R                            3a                               +-+3+-+
+--R                                                            \|3 \|a
+--R  /
+--R       +-+3+-+
+--R     3\|3 \|a
+--R                                                    Type: Expression(Integer)
+--E 1959
+
+--S 1960 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1960
+
+)clear all
+
+--S 1961 of 3330
+t0000:=(a+b*x)^(2/3)/x^3
+--R 
+--R
+--R        3+-------+2
+--R        \|b x + a
+--R   (1)  -----------
+--R              3
+--R             x
+--R                                                    Type: Expression(Integer)
+--E 1961
+
+--S 1962 of 3330
+r0000:=-1/2*(a+b*x)^(2/3)/x^2-1/3*b*(a+b*x)^(2/3)/(a*x)-_
+     1/9*b^2*log(a^(1/3)-(a+b*x)^(1/3))/a^(4/3)+1/18*b^2*log(a^(2/3)+_
+     a^(1/3)*(a+b*x)^(1/3)+(a+b*x)^(2/3))/a^(4/3)-_
+     1/3*b^2*atan((a^(1/3)+2*(a+b*x)^(1/3))/_
+     (a^(1/3)*sqrt(3)))/(a^(4/3)*sqrt(3))
+--R 
+--R
+--R   (2)
+--R        2 2 +-+    3+-------+2   3+-+3+-------+   3+-+2
+--R       b x \|3 log(\|b x + a   + \|a \|b x + a  + \|a  )
+--R     + 
+--R                                                        3+-------+   3+-+
+--R           2 2 +-+      3+-------+   3+-+      2 2     2\|b x + a  + \|a
+--R       - 2b x \|3 log(- \|b x + a  + \|a ) - 6b x atan(------------------)
+--R                                                             +-+3+-+
+--R                                                            \|3 \|a
+--R     + 
+--R                     +-+3+-+3+-------+2
+--R       (- 6b x - 9a)\|3 \|a \|b x + a
+--R  /
+--R          2 +-+3+-+
+--R     18a x \|3 \|a
+--R                                                    Type: Expression(Integer)
+--E 1962
+
+--S 1963 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R          2 2 +-+    3+---+3+-------+2   3+---+2 3+-------+
+--R       - b x \|3 log(\|- a \|b x + a   - \|- a   \|b x + a - a)
+--R     + 
+--R         2 2 +-+    3+---+2 3+-------+
+--R       2b x \|3 log(\|- a   \|b x + a - a)
+--R     + 
+--R                   +-+3+---+2 3+-------+    +-+
+--R         2 2     2\|3 \|- a   \|b x + a + a\|3
+--R       6b x atan(------------------------------)
+--R                               3a
+--R     + 
+--R                     +-+3+---+3+-------+2
+--R       (- 6b x - 9a)\|3 \|- a \|b x + a
+--R  /
+--R          2 +-+3+---+
+--R     18a x \|3 \|- a
+--R                                         Type: Union(Expression(Integer),...)
+--E 1963
+
+--S 1964 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R          2 +-+3+-+    3+---+3+-------+2   3+---+2 3+-------+
+--R       - b \|3 \|a log(\|- a \|b x + a   - \|- a   \|b x + a - a)
+--R     + 
+--R          2 +-+3+---+    3+-------+2   3+-+3+-------+   3+-+2
+--R       - b \|3 \|- a log(\|b x + a   + \|a \|b x + a  + \|a  )
+--R     + 
+--R         2 +-+3+-+    3+---+2 3+-------+
+--R       2b \|3 \|a log(\|- a   \|b x + a - a)
+--R     + 
+--R         2 +-+3+---+      3+-------+   3+-+
+--R       2b \|3 \|- a log(- \|b x + a  + \|a )
+--R     + 
+--R                      +-+3+---+2 3+-------+    +-+
+--R         2 3+-+     2\|3 \|- a   \|b x + a + a\|3
+--R       6b  \|a atan(------------------------------)
+--R                                  3a
+--R     + 
+--R                       3+-------+   3+-+
+--R         2 3+---+     2\|b x + a  + \|a
+--R       6b  \|- a atan(------------------)
+--R                            +-+3+-+
+--R                           \|3 \|a
+--R  /
+--R         +-+3+---+3+-+
+--R     18a\|3 \|- a \|a
+--R                                                    Type: Expression(Integer)
+--E 1964
+
+--S 1965 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1965
+
+)clear all
+
+--S 1966 of 3330
+t0000:=x^3*(a+b*x)^(4/3)
+--R 
+--R
+--R            4      3 3+-------+
+--R   (1)  (b x  + a x )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1966
+
+--S 1967 of 3330
+r0000:=-3/7*a^3*(a+b*x)^(7/3)/b^4+9/10*a^2*(a+b*x)^(10/3)/b^4-_
+     9/13*a*(a+b*x)^(13/3)/b^4+3/16*(a+b*x)^(16/3)/b^4
+--R 
+--R
+--R   (2)
+--R         5 5          4 4      2 3 3      3 2 2      4          5 3+-------+
+--R   (1365b x  + 1785a b x  + 42a b x  - 54a b x  + 81a b x - 243a )\|b x + a
+--R   -------------------------------------------------------------------------
+--R                                          4
+--R                                     7280b
+--R                                                    Type: Expression(Integer)
+--E 1967
+
+--S 1968 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R         5 5          4 4      2 3 3      3 2 2      4          5 3+-------+
+--R   (1365b x  + 1785a b x  + 42a b x  - 54a b x  + 81a b x - 243a )\|b x + a
+--R   -------------------------------------------------------------------------
+--R                                          4
+--R                                     7280b
+--R                                         Type: Union(Expression(Integer),...)
+--E 1968
+
+--S 1969 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1969
+
+--S 1970 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1970
+
+)clear all
+
+--S 1971 of 3330
+t0000:=x^2*(a+b*x)^(4/3)
+--R 
+--R
+--R            3      2 3+-------+
+--R   (1)  (b x  + a x )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1971
+
+--S 1972 of 3330
+r0000:=3/7*a^2*(a+b*x)^(7/3)/b^3-3/5*a*(a+b*x)^(10/3)/b^3+_
+     3/13*(a+b*x)^(13/3)/b^3
+--R 
+--R
+--R             4 4         3 3     2 2 2     3         4 3+-------+
+--R        (105b x  + 147a b x  + 6a b x  - 9a b x + 27a )\|b x + a
+--R   (2)  ---------------------------------------------------------
+--R                                      3
+--R                                  455b
+--R                                                    Type: Expression(Integer)
+--E 1972
+
+--S 1973 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R             4 4         3 3     2 2 2     3         4 3+-------+
+--R        (105b x  + 147a b x  + 6a b x  - 9a b x + 27a )\|b x + a
+--R   (3)  ---------------------------------------------------------
+--R                                      3
+--R                                  455b
+--R                                         Type: Union(Expression(Integer),...)
+--E 1973
+
+--S 1974 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1974
+
+--S 1975 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1975
+
+)clear all
+
+--S 1976 of 3330
+t0000:=x*(a+b*x)^(4/3)
+--R 
+--R
+--R            2       3+-------+
+--R   (1)  (b x  + a x)\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1976
+
+--S 1977 of 3330
+r0000:=-3/7*a*(a+b*x)^(7/3)/b^2+3/10*(a+b*x)^(10/3)/b^2
+--R 
+--R
+--R            3 3        2 2     2        3 3+-------+
+--R        (21b x  + 33a b x  + 3a b x - 9a )\|b x + a
+--R   (2)  --------------------------------------------
+--R                               2
+--R                            70b
+--R                                                    Type: Expression(Integer)
+--E 1977
+
+--S 1978 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R            3 3        2 2     2        3 3+-------+
+--R        (21b x  + 33a b x  + 3a b x - 9a )\|b x + a
+--R   (3)  --------------------------------------------
+--R                               2
+--R                            70b
+--R                                         Type: Union(Expression(Integer),...)
+--E 1978
+
+--S 1979 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1979
+
+--S 1980 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1980
+
+)clear all
+
+--S 1981 of 3330
+t0000:=(a+b*x)^(4/3)
+--R 
+--R
+--R                 3+-------+
+--R   (1)  (b x + a)\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1981
+
+--S 1982 of 3330
+r0000:=3/7*(a+b*x)^(7/3)/b
+--R 
+--R
+--R           2 2              2 3+-------+
+--R        (3b x  + 6a b x + 3a )\|b x + a
+--R   (2)  --------------------------------
+--R                       7b
+--R                                                    Type: Expression(Integer)
+--E 1982
+
+--S 1983 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           2 2              2 3+-------+
+--R        (3b x  + 6a b x + 3a )\|b x + a
+--R   (3)  --------------------------------
+--R                       7b
+--R                                         Type: Union(Expression(Integer),...)
+--E 1983
+
+--S 1984 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1984
+
+--S 1985 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1985
+
+)clear all
+
+--S 1986 of 3330
+t0000:=(a+b*x)^(4/3)/x
+--R 
+--R
+--R                 3+-------+
+--R        (b x + a)\|b x + a
+--R   (1)  -------------------
+--R                 x
+--R                                                    Type: Expression(Integer)
+--E 1986
+
+--S 1987 of 3330
+r0000:=3*a*(a+b*x)^(1/3)+3/4*(a+b*x)^(4/3)+a^(4/3)*log(a^(1/3)-_
+     (a+b*x)^(1/3))-1/2*a^(4/3)*log(a^(2/3)+a^(1/3)*(a+b*x)^(1/3)+_
+     (a+b*x)^(2/3))-a^(4/3)*atan((a^(1/3)+_
+     2*(a+b*x)^(1/3))/(a^(1/3)*sqrt(3)))*sqrt(3)
+--R 
+--R
+--R   (2)
+--R           3+-+    3+-------+2   3+-+3+-------+   3+-+2
+--R       - 2a\|a log(\|b x + a   + \|a \|b x + a  + \|a  )
+--R     + 
+--R                                                        3+-------+   3+-+
+--R         3+-+      3+-------+   3+-+       +-+3+-+     2\|b x + a  + \|a
+--R       4a\|a log(- \|b x + a  + \|a ) - 4a\|3 \|a atan(------------------)
+--R                                                             +-+3+-+
+--R                                                            \|3 \|a
+--R     + 
+--R                   3+-------+
+--R       (3b x + 15a)\|b x + a
+--R  /
+--R     4
+--R                                                    Type: Expression(Integer)
+--E 1987
+
+--S 1988 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R           3+-+    3+-------+2   3+-+3+-------+   3+-+2
+--R       - 2a\|a log(\|b x + a   + \|a \|b x + a  + \|a  )
+--R     + 
+--R                                                      3+-------+   3+-+
+--R         3+-+    3+-------+   3+-+       +-+3+-+     2\|b x + a  + \|a
+--R       4a\|a log(\|b x + a  - \|a ) - 4a\|3 \|a atan(------------------)
+--R                                                           +-+3+-+
+--R                                                          \|3 \|a
+--R     + 
+--R                   3+-------+
+--R       (3b x + 15a)\|b x + a
+--R  /
+--R     4
+--R                                         Type: Union(Expression(Integer),...)
+--E 1988
+
+--S 1989 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R         3+-+    3+-------+   3+-+     3+-+      3+-------+   3+-+
+--R   (4)  a\|a log(\|b x + a  - \|a ) - a\|a log(- \|b x + a  + \|a )
+--R                                                    Type: Expression(Integer)
+--E 1989
+
+--S 1990 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1990
+
+)clear all
+
+--S 1991 of 3330
+t0000:=(a+b*x)^(4/3)/x^2
+--R 
+--R
+--R                 3+-------+
+--R        (b x + a)\|b x + a
+--R   (1)  -------------------
+--R                  2
+--R                 x
+--R                                                    Type: Expression(Integer)
+--E 1991
+
+--S 1992 of 3330
+r0000:=4*b*(a+b*x)^(1/3)-(a+b*x)^(4/3)/x+4/3*a^(1/3)*b*log(a^(1/3)-_
+     (a+b*x)^(1/3))-2/3*a^(1/3)*b*log(a^(2/3)+a^(1/3)*(a+b*x)^(1/3)+_
+     (a+b*x)^(2/3))-4*a^(1/3)*b*atan((a^(1/3)+_
+     2*(a+b*x)^(1/3))/(a^(1/3)*sqrt(3)))/sqrt(3)
+--R 
+--R
+--R   (2)
+--R              +-+3+-+    3+-------+2   3+-+3+-------+   3+-+2
+--R       - 2b x\|3 \|a log(\|b x + a   + \|a \|b x + a  + \|a  )
+--R     + 
+--R                                                             3+-------+   3+-+
+--R            +-+3+-+      3+-------+   3+-+         3+-+     2\|b x + a  + \|a
+--R       4b x\|3 \|a log(- \|b x + a  + \|a ) - 12b x\|a atan(------------------)
+--R                                                                  +-+3+-+
+--R                                                                 \|3 \|a
+--R     + 
+--R                   +-+3+-------+
+--R       (9b x - 3a)\|3 \|b x + a
+--R  /
+--R        +-+
+--R     3x\|3
+--R                                                    Type: Expression(Integer)
+--E 1992
+
+--S 1993 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R              +-+3+-+    3+-------+2   3+-+3+-------+   3+-+2
+--R       - 2b x\|3 \|a log(\|b x + a   + \|a \|b x + a  + \|a  )
+--R     + 
+--R            +-+3+-+    3+-------+   3+-+
+--R       4b x\|3 \|a log(\|b x + a  - \|a )
+--R     + 
+--R                         +-+3+-------+    +-+3+-+
+--R              3+-+     2\|3 \|b x + a  + \|3 \|a                 +-+3+-------+
+--R       - 12b x\|a atan(--------------------------) + (9b x - 3a)\|3 \|b x + a
+--R                                   3+-+
+--R                                  3\|a
+--R  /
+--R        +-+
+--R     3x\|3
+--R                                         Type: Union(Expression(Integer),...)
+--E 1993
+
+--S 1994 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R          +-+3+-+    3+-------+   3+-+       +-+3+-+      3+-------+   3+-+
+--R       4b\|3 \|a log(\|b x + a  - \|a ) - 4b\|3 \|a log(- \|b x + a  + \|a )
+--R     + 
+--R                     +-+3+-------+    +-+3+-+                 3+-------+   3+-+
+--R          3+-+     2\|3 \|b x + a  + \|3 \|a        3+-+     2\|b x + a  + \|a
+--R     - 12b\|a atan(--------------------------) + 12b\|a atan(------------------)
+--R                               3+-+                                +-+3+-+
+--R                              3\|a                                \|3 \|a
+--R  /
+--R       +-+
+--R     3\|3
+--R                                                    Type: Expression(Integer)
+--E 1994
+
+--S 1995 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1995
+
+)clear all
+
+--S 1996 of 3330
+t0000:=(a+b*x)^(4/3)/x^3
+--R 
+--R
+--R                 3+-------+
+--R        (b x + a)\|b x + a
+--R   (1)  -------------------
+--R                  3
+--R                 x
+--R                                                    Type: Expression(Integer)
+--E 1996
+
+--S 1997 of 3330
+r0000:=-2/3*b*(a+b*x)^(1/3)/x-1/2*(a+b*x)^(4/3)/x^2+2/9*b^2*log(a^(1/3)-_
+     (a+b*x)^(1/3))/a^(2/3)-1/9*b^2*log(a^(2/3)+a^(1/3)*(a+b*x)^(1/3)+_
+     (a+b*x)^(2/3))/a^(2/3)-2/3*b^2*atan((a^(1/3)+_
+     2*(a+b*x)^(1/3))/(a^(1/3)*sqrt(3)))/(a^(2/3)*sqrt(3))
+--R 
+--R
+--R   (2)
+--R           2 2 +-+    3+-------+2   3+-+3+-------+   3+-+2
+--R       - 2b x \|3 log(\|b x + a   + \|a \|b x + a  + \|a  )
+--R     + 
+--R                                                       3+-------+   3+-+
+--R         2 2 +-+      3+-------+   3+-+       2 2     2\|b x + a  + \|a
+--R       4b x \|3 log(- \|b x + a  + \|a ) - 12b x atan(------------------)
+--R                                                            +-+3+-+
+--R                                                           \|3 \|a
+--R     + 
+--R                      +-+3+-+2 3+-------+
+--R       (- 21b x - 9a)\|3 \|a   \|b x + a
+--R  /
+--R        2 +-+3+-+2
+--R     18x \|3 \|a
+--R                                                    Type: Expression(Integer)
+--E 1997
+
+--S 1998 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                       +--+2                +--+
+--R           2 2 +-+    3| 2   3+-------+2   3| 2 3+-------+    2
+--R       - 2b x \|3 log(\|a    \|b x + a  + a\|a  \|b x + a  + a )
+--R     + 
+--R                     +--+
+--R         2 2 +-+    3| 2 3+-------+
+--R       4b x \|3 log(\|a  \|b x + a  - a)
+--R     + 
+--R                          +--+
+--R                      +-+3| 2 3+-------+     +-+
+--R            2 2     2\|3 \|a  \|b x + a  + a\|3
+--R       - 12b x atan(----------------------------)
+--R                                 3a
+--R     + 
+--R                          +--+
+--R                      +-+3| 2 3+-------+
+--R       (- 21b x - 9a)\|3 \|a  \|b x + a
+--R  /
+--R              +--+
+--R        2 +-+3| 2
+--R     18x \|3 \|a
+--R                                         Type: Union(Expression(Integer),...)
+--E 1998
+
+--S 1999 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R                         +--+2                +--+
+--R          2 +-+3+-+2    3| 2   3+-------+2   3| 2 3+-------+    2
+--R       - b \|3 \|a  log(\|a    \|b x + a  + a\|a  \|b x + a  + a )
+--R     + 
+--R              +--+
+--R        2 +-+3| 2     3+-------+2   3+-+3+-------+   3+-+2
+--R       b \|3 \|a  log(\|b x + a   + \|a \|b x + a  + \|a  )
+--R     + 
+--R                        +--+
+--R         2 +-+3+-+2    3| 2 3+-------+
+--R       2b \|3 \|a  log(\|a  \|b x + a  - a)
+--R     + 
+--R                 +--+
+--R           2 +-+3| 2       3+-------+   3+-+
+--R       - 2b \|3 \|a  log(- \|b x + a  + \|a )
+--R     + 
+--R                             +--+
+--R                         +-+3| 2 3+-------+     +-+
+--R           2 3+-+2     2\|3 \|a  \|b x + a  + a\|3
+--R       - 6b  \|a  atan(----------------------------)
+--R                                    3a
+--R     + 
+--R            +--+      3+-------+   3+-+
+--R         2 3| 2      2\|b x + a  + \|a
+--R       6b  \|a  atan(------------------)
+--R                           +-+3+-+
+--R                          \|3 \|a
+--R  /
+--R                 +--+
+--R       +-+3+-+2 3| 2
+--R     9\|3 \|a   \|a
+--R                                                    Type: Expression(Integer)
+--E 1999
+
+--S 2000 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2000
+
+)clear all
+
+--S 2001 of 3330
+t0000:=x^3/(a+b*x)^(1/3)
+--R 
+--R
+--R             3
+--R            x
+--R   (1)  ----------
+--R        3+-------+
+--R        \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 2001
+
+--S 2002 of 3330
+r0000:=-3/2*a^3*(a+b*x)^(2/3)/b^4+9/5*a^2*(a+b*x)^(5/3)/b^4-_
+     9/8*a*(a+b*x)^(8/3)/b^4+3/11*(a+b*x)^(11/3)/b^4
+--R 
+--R
+--R             3 3         2 2       2          3 3+-------+2
+--R        (120b x  - 135a b x  + 162a b x - 243a )\|b x + a
+--R   (2)  ---------------------------------------------------
+--R                                   4
+--R                               440b
+--R                                                    Type: Expression(Integer)
+--E 2002
+
+--S 2003 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R             3 3         2 2       2          3 3+-------+2
+--R        (120b x  - 135a b x  + 162a b x - 243a )\|b x + a
+--R   (3)  ---------------------------------------------------
+--R                                   4
+--R                               440b
+--R                                         Type: Union(Expression(Integer),...)
+--E 2003
+
+--S 2004 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2004
+
+--S 2005 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2005
+
+)clear all
+
+--S 2006 of 3330
+t0000:=x^2/(a+b*x)^(1/3)
+--R 
+--R
+--R             2
+--R            x
+--R   (1)  ----------
+--R        3+-------+
+--R        \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 2006
+
+--S 2007 of 3330
+r0000:=3/2*a^2*(a+b*x)^(2/3)/b^3-6/5*a*(a+b*x)^(5/3)/b^3+3/8*(a+b*x)^(8/3)/b^3
+--R 
+--R
+--R            2 2                2 3+-------+2
+--R        (15b x  - 18a b x + 27a )\|b x + a
+--R   (2)  ------------------------------------
+--R                           3
+--R                        40b
+--R                                                    Type: Expression(Integer)
+--E 2007
+
+--S 2008 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R            2 2                2 3+-------+2
+--R        (15b x  - 18a b x + 27a )\|b x + a
+--R   (3)  ------------------------------------
+--R                           3
+--R                        40b
+--R                                         Type: Union(Expression(Integer),...)
+--E 2008
+
+--S 2009 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2009
+
+--S 2010 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2010
+
+)clear all
+
+--S 2011 of 3330
+t0000:=x/(a+b*x)^(1/3)
+--R 
+--R
+--R             x
+--R   (1)  ----------
+--R        3+-------+
+--R        \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 2011
+
+--S 2012 of 3330
+r0000:=-3/2*a*(a+b*x)^(2/3)/b^2+3/5*(a+b*x)^(5/3)/b^2
+--R 
+--R
+--R                   3+-------+2
+--R        (6b x - 9a)\|b x + a
+--R   (2)  ----------------------
+--R                    2
+--R                 10b
+--R                                                    Type: Expression(Integer)
+--E 2012
+
+--S 2013 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                   3+-------+2
+--R        (6b x - 9a)\|b x + a
+--R   (3)  ----------------------
+--R                    2
+--R                 10b
+--R                                         Type: Union(Expression(Integer),...)
+--E 2013
+
+--S 2014 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2014
+
+--S 2015 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2015
+
+)clear all
+
+--S 2016 of 3330
+t0000:=1/(a+b*x)^(1/3)
+--R 
+--R
+--R             1
+--R   (1)  ----------
+--R        3+-------+
+--R        \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 2016
+
+--S 2017 of 3330
+r0000:=3/2*(a+b*x)^(2/3)/b
+--R 
+--R
+--R         3+-------+2
+--R        3\|b x + a
+--R   (2)  ------------
+--R             2b
+--R                                                    Type: Expression(Integer)
+--E 2017
+
+--S 2018 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R         3+-------+2
+--R        3\|b x + a
+--R   (3)  ------------
+--R             2b
+--R                                         Type: Union(Expression(Integer),...)
+--E 2018
+
+--S 2019 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2019
+
+--S 2020 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2020
+
+)clear all
+
+--S 2021 of 3330
+t0000:=1/(x*(a+b*x)^(1/3))
+--R 
+--R
+--R             1
+--R   (1)  -----------
+--R         3+-------+
+--R        x\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 2021
+
+--S 2022 of 3330
+r0000:=log(a^(1/3)-(a+b*x)^(1/3))/a^(1/3)-1/2*log(a^(2/3)+_
+     a^(1/3)*(a+b*x)^(1/3)+(a+b*x)^(2/3))/a^(1/3)+_
+     atan((a^(1/3)+2*(a+b*x)^(1/3))/(a^(1/3)*sqrt(3)))*sqrt(3)/a^(1/3)
+--R 
+--R
+--R   (2)
+--R             3+-------+2   3+-+3+-------+   3+-+2           3+-------+   3+-+
+--R       - log(\|b x + a   + \|a \|b x + a  + \|a  ) + 2log(- \|b x + a  + \|a )
+--R     + 
+--R                  3+-------+   3+-+
+--R         +-+     2\|b x + a  + \|a
+--R       2\|3 atan(------------------)
+--R                       +-+3+-+
+--R                      \|3 \|a
+--R  /
+--R      3+-+
+--R     2\|a
+--R                                                    Type: Expression(Integer)
+--E 2022
+
+--S 2023 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R             3+-+3+-------+2   3+-+2 3+-------+            3+-+2 3+-------+
+--R       - log(\|a \|b x + a   + \|a   \|b x + a + a) + 2log(\|a   \|b x + a - a)
+--R     + 
+--R                  3+-+2 3+-------+
+--R         +-+     2\|a   \|b x + a + a
+--R       2\|3 atan(--------------------)
+--R                           +-+
+--R                         a\|3
+--R  /
+--R      3+-+
+--R     2\|a
+--R                                         Type: Union(Expression(Integer),...)
+--E 2023
+
+--S 2024 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R             3+-+3+-------+2   3+-+2 3+-------+
+--R       - log(\|a \|b x + a   + \|a   \|b x + a + a)
+--R     + 
+--R           3+-------+2   3+-+3+-------+   3+-+2         3+-+2 3+-------+
+--R       log(\|b x + a   + \|a \|b x + a  + \|a  ) + 2log(\|a   \|b x + a - a)
+--R     + 
+--R                                                3+-+2 3+-------+
+--R                3+-------+   3+-+      +-+     2\|a   \|b x + a + a
+--R       - 2log(- \|b x + a  + \|a ) + 2\|3 atan(--------------------)
+--R                                                         +-+
+--R                                                       a\|3
+--R     + 
+--R                    3+-------+   3+-+
+--R           +-+     2\|b x + a  + \|a
+--R       - 2\|3 atan(------------------)
+--R                         +-+3+-+
+--R                        \|3 \|a
+--R  /
+--R      3+-+
+--R     2\|a
+--R                                                    Type: Expression(Integer)
+--E 2024
+
+--S 2025 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2025
+
+)clear all
+
+--S 2026 of 3330
+t0000:=1/(x^2*(a+b*x)^(1/3))
+--R 
+--R
+--R              1
+--R   (1)  ------------
+--R         2 3+-------+
+--R        x  \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 2026
+
+--S 2027 of 3330
+r0000:=-(a+b*x)^(2/3)/(a*x)-1/3*b*log(a^(1/3)-(a+b*x)^(1/3))/a^(4/3)+_
+     1/6*b*log(a^(2/3)+a^(1/3)*(a+b*x)^(1/3)+(a+b*x)^(2/3))/a^(4/3)-_
+     b*atan((a^(1/3)+2*(a+b*x)^(1/3))/(a^(1/3)*sqrt(3)))/(a^(4/3)*sqrt(3))
+--R 
+--R
+--R   (2)
+--R           +-+    3+-------+2   3+-+3+-------+   3+-+2
+--R       b x\|3 log(\|b x + a   + \|a \|b x + a  + \|a  )
+--R     + 
+--R                                                       3+-------+   3+-+
+--R              +-+      3+-------+   3+-+              2\|b x + a  + \|a
+--R       - 2b x\|3 log(- \|b x + a  + \|a ) - 6b x atan(------------------)
+--R                                                            +-+3+-+
+--R                                                           \|3 \|a
+--R     + 
+--R           +-+3+-+3+-------+2
+--R       - 6\|3 \|a \|b x + a
+--R  /
+--R          +-+3+-+
+--R     6a x\|3 \|a
+--R                                                    Type: Expression(Integer)
+--E 2027
+
+--S 2028 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R             +-+    3+---+3+-------+2   3+---+2 3+-------+
+--R       - b x\|3 log(\|- a \|b x + a   - \|- a   \|b x + a - a)
+--R     + 
+--R            +-+    3+---+2 3+-------+
+--R       2b x\|3 log(\|- a   \|b x + a - a)
+--R     + 
+--R                   +-+3+---+2 3+-------+    +-+
+--R                 2\|3 \|- a   \|b x + a + a\|3       +-+3+---+3+-------+2
+--R       6b x atan(------------------------------) - 6\|3 \|- a \|b x + a
+--R                               3a
+--R  /
+--R          +-+3+---+
+--R     6a x\|3 \|- a
+--R                                         Type: Union(Expression(Integer),...)
+--E 2028
+
+--S 2029 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R           +-+3+-+    3+---+3+-------+2   3+---+2 3+-------+
+--R       - b\|3 \|a log(\|- a \|b x + a   - \|- a   \|b x + a - a)
+--R     + 
+--R           +-+3+---+    3+-------+2   3+-+3+-------+   3+-+2
+--R       - b\|3 \|- a log(\|b x + a   + \|a \|b x + a  + \|a  )
+--R     + 
+--R          +-+3+-+    3+---+2 3+-------+
+--R       2b\|3 \|a log(\|- a   \|b x + a - a)
+--R     + 
+--R          +-+3+---+      3+-------+   3+-+
+--R       2b\|3 \|- a log(- \|b x + a  + \|a )
+--R     + 
+--R                    +-+3+---+2 3+-------+    +-+
+--R         3+-+     2\|3 \|- a   \|b x + a + a\|3
+--R       6b\|a atan(------------------------------)
+--R                                3a
+--R     + 
+--R                     3+-------+   3+-+
+--R         3+---+     2\|b x + a  + \|a
+--R       6b\|- a atan(------------------)
+--R                          +-+3+-+
+--R                         \|3 \|a
+--R  /
+--R        +-+3+---+3+-+
+--R     6a\|3 \|- a \|a
+--R                                                    Type: Expression(Integer)
+--E 2029
+
+--S 2030 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2030
+
+)clear all
+
+--S 2031 of 3330
+t0000:=1/(x^3*(a+b*x)^(1/3))
+--R 
+--R
+--R              1
+--R   (1)  ------------
+--R         3 3+-------+
+--R        x  \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 2031
+
+--S 2032 of 3330
+r0000:=-1/2*(a+b*x)^(2/3)/(a*x^2)+2/3*b*(a+b*x)^(2/3)/(a^2*x)+_
+     2/9*b^2*log(a^(1/3)-(a+b*x)^(1/3))/a^(7/3)-1/9*b^2*log(a^(2/3)+_
+     a^(1/3)*(a+b*x)^(1/3)+(a+b*x)^(2/3))/a^(7/3)+_
+     2/3*b^2*atan((a^(1/3)+2*(a+b*x)^(1/3))/(a^(1/3)*sqrt(3)))/_
+     (a^(7/3)*sqrt(3))
+--R 
+--R
+--R   (2)
+--R           2 2 +-+    3+-------+2   3+-+3+-------+   3+-+2
+--R       - 2b x \|3 log(\|b x + a   + \|a \|b x + a  + \|a  )
+--R     + 
+--R                                                       3+-------+   3+-+
+--R         2 2 +-+      3+-------+   3+-+       2 2     2\|b x + a  + \|a
+--R       4b x \|3 log(- \|b x + a  + \|a ) + 12b x atan(------------------)
+--R                                                            +-+3+-+
+--R                                                           \|3 \|a
+--R     + 
+--R                    +-+3+-+3+-------+2
+--R       (12b x - 9a)\|3 \|a \|b x + a
+--R  /
+--R        2 2 +-+3+-+
+--R     18a x \|3 \|a
+--R                                                    Type: Expression(Integer)
+--E 2032
+
+--S 2033 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R           2 2 +-+    3+-+3+-------+2   3+-+2 3+-------+
+--R       - 2b x \|3 log(\|a \|b x + a   + \|a   \|b x + a + a)
+--R     + 
+--R         2 2 +-+    3+-+2 3+-------+
+--R       4b x \|3 log(\|a   \|b x + a - a)
+--R     + 
+--R                  +-+3+-+2 3+-------+    +-+
+--R        2 2     2\|3 \|a   \|b x + a + a\|3                  +-+3+-+3+-------+2
+--R     12b x atan(----------------------------) + (12b x - 9a)\|3 \|a \|b x + a
+--R                             3a
+--R  /
+--R        2 2 +-+3+-+
+--R     18a x \|3 \|a
+--R                                         Type: Union(Expression(Integer),...)
+--E 2033
+
+--S 2034 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R          2 +-+    3+-+3+-------+2   3+-+2 3+-------+
+--R       - b \|3 log(\|a \|b x + a   + \|a   \|b x + a + a)
+--R     + 
+--R        2 +-+    3+-------+2   3+-+3+-------+   3+-+2
+--R       b \|3 log(\|b x + a   + \|a \|b x + a  + \|a  )
+--R     + 
+--R         2 +-+    3+-+2 3+-------+         2 +-+      3+-------+   3+-+
+--R       2b \|3 log(\|a   \|b x + a - a) - 2b \|3 log(- \|b x + a  + \|a )
+--R     + 
+--R                 +-+3+-+2 3+-------+    +-+             3+-------+   3+-+
+--R         2     2\|3 \|a   \|b x + a + a\|3       2     2\|b x + a  + \|a
+--R       6b atan(----------------------------) - 6b atan(------------------)
+--R                            3a                               +-+3+-+
+--R                                                            \|3 \|a
+--R  /
+--R       2 +-+3+-+
+--R     9a \|3 \|a
+--R                                                    Type: Expression(Integer)
+--E 2034
+
+--S 2035 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2035
+
+)clear all
+
+--S 2036 of 3330
+t0000:=x^3/(-a+b*x)^(1/3)
+--R 
+--R
+--R             3
+--R            x
+--R   (1)  ----------
+--R        3+-------+
+--R        \|b x - a
+--R                                                    Type: Expression(Integer)
+--E 2036
+
+--S 2037 of 3330
+r0000:=3/2*a^3*(-a+b*x)^(2/3)/b^4+9/5*a^2*(-a+b*x)^(5/3)/b^4+_
+     9/8*a*(-a+b*x)^(8/3)/b^4+3/11*(-a+b*x)^(11/3)/b^4
+--R 
+--R
+--R             3 3         2 2       2          3 3+-------+2
+--R        (120b x  + 135a b x  + 162a b x + 243a )\|b x - a
+--R   (2)  ---------------------------------------------------
+--R                                   4
+--R                               440b
+--R                                                    Type: Expression(Integer)
+--E 2037
+
+--S 2038 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R             3 3         2 2       2          3 3+-------+2
+--R        (120b x  + 135a b x  + 162a b x + 243a )\|b x - a
+--R   (3)  ---------------------------------------------------
+--R                                   4
+--R                               440b
+--R                                         Type: Union(Expression(Integer),...)
+--E 2038
+
+--S 2039 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2039
+
+--S 2040 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2040
+
+)clear all
+
+--S 2041 of 3330
+t0000:=x^2/(-a+b*x)^(1/3)
+--R 
+--R
+--R             2
+--R            x
+--R   (1)  ----------
+--R        3+-------+
+--R        \|b x - a
+--R                                                    Type: Expression(Integer)
+--E 2041
+
+--S 2042 of 3330
+r0000:=3/2*a^2*(-a+b*x)^(2/3)/b^3+6/5*a*(-a+b*x)^(5/3)/b^3+_
+     3/8*(-a+b*x)^(8/3)/b^3
+--R 
+--R
+--R            2 2                2 3+-------+2
+--R        (15b x  + 18a b x + 27a )\|b x - a
+--R   (2)  ------------------------------------
+--R                           3
+--R                        40b
+--R                                                    Type: Expression(Integer)
+--E 2042
+
+--S 2043 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R            2 2                2 3+-------+2
+--R        (15b x  + 18a b x + 27a )\|b x - a
+--R   (3)  ------------------------------------
+--R                           3
+--R                        40b
+--R                                         Type: Union(Expression(Integer),...)
+--E 2043
+
+--S 2044 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2044
+
+--S 2045 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2045
+
+)clear all
+
+--S 2046 of 3330
+t0000:=x/(-a+b*x)^(1/3)
+--R 
+--R
+--R             x
+--R   (1)  ----------
+--R        3+-------+
+--R        \|b x - a
+--R                                                    Type: Expression(Integer)
+--E 2046
+
+--S 2047 of 3330
+r0000:=3/2*a*(-a+b*x)^(2/3)/b^2+3/5*(-a+b*x)^(5/3)/b^2
+--R 
+--R
+--R                   3+-------+2
+--R        (6b x + 9a)\|b x - a
+--R   (2)  ----------------------
+--R                    2
+--R                 10b
+--R                                                    Type: Expression(Integer)
+--E 2047
+
+--S 2048 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                   3+-------+2
+--R        (6b x + 9a)\|b x - a
+--R   (3)  ----------------------
+--R                    2
+--R                 10b
+--R                                         Type: Union(Expression(Integer),...)
+--E 2048
+
+--S 2049 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2049
+
+--S 2050 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2050
+
+)clear all
+
+--S 2051 of 3330
+t0000:=1/(-a+b*x)^(1/3)
+--R 
+--R
+--R             1
+--R   (1)  ----------
+--R        3+-------+
+--R        \|b x - a
+--R                                                    Type: Expression(Integer)
+--E 2051
+
+--S 2052 of 3330
+r0000:=3/2*(-a+b*x)^(2/3)/b
+--R 
+--R
+--R         3+-------+2
+--R        3\|b x - a
+--R   (2)  ------------
+--R             2b
+--R                                                    Type: Expression(Integer)
+--E 2052
+
+--S 2053 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R         3+-------+2
+--R        3\|b x - a
+--R   (3)  ------------
+--R             2b
+--R                                         Type: Union(Expression(Integer),...)
+--E 2053
+
+--S 2054 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2054
+
+--S 2055 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2055
+
+)clear all
+
+--S 2056 of 3330
+t0000:=1/(x*(-a+b*x)^(1/3))
+--R 
+--R
+--R             1
+--R   (1)  -----------
+--R         3+-------+
+--R        x\|b x - a
+--R                                                    Type: Expression(Integer)
+--E 2056
+
+--S 2057 of 3330
+r0000:=-log(a^(1/3)+(-a+b*x)^(1/3))/a^(1/3)+1/2*log(a^(2/3)-_
+     a^(1/3)*(-a+b*x)^(1/3)+(-a+b*x)^(2/3))/a^(1/3)-_
+     atan((a^(1/3)-2*(-a+b*x)^(1/3))/(a^(1/3)*sqrt(3)))*sqrt(3)/a^(1/3)
+--R 
+--R
+--R   (2)
+--R           3+-------+2   3+-+3+-------+   3+-+2         3+-------+   3+-+
+--R       log(\|b x - a   - \|a \|b x - a  + \|a  ) - 2log(\|b x - a  + \|a )
+--R     + 
+--R                  3+-------+   3+-+
+--R         +-+     2\|b x - a  - \|a
+--R       2\|3 atan(------------------)
+--R                       +-+3+-+
+--R                      \|3 \|a
+--R  /
+--R      3+-+
+--R     2\|a
+--R                                                    Type: Expression(Integer)
+--E 2057
+
+--S 2058 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R             3+---+3+-------+2   3+---+2 3+-------+
+--R       - log(\|- a \|b x - a   + \|- a   \|b x - a - a)
+--R     + 
+--R                                                3+---+2 3+-------+
+--R            3+---+2 3+-------+         +-+     2\|- a   \|b x - a - a
+--R       2log(\|- a   \|b x - a + a) - 2\|3 atan(----------------------)
+--R                                                          +-+
+--R                                                        a\|3
+--R  /
+--R      3+---+
+--R     2\|- a
+--R                                         Type: Union(Expression(Integer),...)
+--E 2058
+
+--S 2059 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R         3+-+    3+---+3+-------+2   3+---+2 3+-------+
+--R       - \|a log(\|- a \|b x - a   + \|- a   \|b x - a - a)
+--R     + 
+--R         3+---+    3+-------+2   3+-+3+-------+   3+-+2
+--R       - \|- a log(\|b x - a   - \|a \|b x - a  + \|a  )
+--R     + 
+--R        3+-+    3+---+2 3+-------+        3+---+    3+-------+   3+-+
+--R       2\|a log(\|- a   \|b x - a + a) + 2\|- a log(\|b x - a  + \|a )
+--R     + 
+--R                        3+---+2 3+-------+
+--R           +-+3+-+     2\|- a   \|b x - a - a
+--R       - 2\|3 \|a atan(----------------------)
+--R                                  +-+
+--R                                a\|3
+--R     + 
+--R                          3+-------+   3+-+
+--R           +-+3+---+     2\|b x - a  - \|a
+--R       - 2\|3 \|- a atan(------------------)
+--R                               +-+3+-+
+--R                              \|3 \|a
+--R  /
+--R      3+---+3+-+
+--R     2\|- a \|a
+--R                                                    Type: Expression(Integer)
+--E 2059
+
+--S 2060 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2060
+
+)clear all
+
+--S 2061 of 3330
+t0000:=1/(x^2*(-a+b*x)^(1/3))
+--R 
+--R
+--R              1
+--R   (1)  ------------
+--R         2 3+-------+
+--R        x  \|b x - a
+--R                                                    Type: Expression(Integer)
+--E 2061
+
+--S 2062 of 3330
+r0000:=(-a+b*x)^(2/3)/(a*x)-1/3*b*log(a^(1/3)+(-a+b*x)^(1/3))/a^(4/3)+_
+     1/6*b*log(a^(2/3)-a^(1/3)*(-a+b*x)^(1/3)+(-a+b*x)^(2/3))/a^(4/3)-_
+     b*atan((a^(1/3)-2*(-a+b*x)^(1/3))/(a^(1/3)*sqrt(3)))/(a^(4/3)*sqrt(3))
+--R 
+--R
+--R   (2)
+--R           +-+    3+-------+2   3+-+3+-------+   3+-+2
+--R       b x\|3 log(\|b x - a   - \|a \|b x - a  + \|a  )
+--R     + 
+--R                                                     3+-------+   3+-+
+--R              +-+    3+-------+   3+-+              2\|b x - a  - \|a
+--R       - 2b x\|3 log(\|b x - a  + \|a ) + 6b x atan(------------------)
+--R                                                          +-+3+-+
+--R                                                         \|3 \|a
+--R     + 
+--R         +-+3+-+3+-------+2
+--R       6\|3 \|a \|b x - a
+--R  /
+--R          +-+3+-+
+--R     6a x\|3 \|a
+--R                                                    Type: Expression(Integer)
+--E 2062
+
+--S 2063 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R             +-+    3+---+3+-------+2   3+---+2 3+-------+
+--R       - b x\|3 log(\|- a \|b x - a   + \|- a   \|b x - a - a)
+--R     + 
+--R            +-+    3+---+2 3+-------+
+--R       2b x\|3 log(\|- a   \|b x - a + a)
+--R     + 
+--R                     +-+3+---+2 3+-------+    +-+
+--R                   2\|3 \|- a   \|b x - a - a\|3       +-+3+---+3+-------+2
+--R       - 6b x atan(------------------------------) + 6\|3 \|- a \|b x - a
+--R                                 3a
+--R  /
+--R          +-+3+---+
+--R     6a x\|3 \|- a
+--R                                         Type: Union(Expression(Integer),...)
+--E 2063
+
+--S 2064 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R           +-+3+-+    3+---+3+-------+2   3+---+2 3+-------+
+--R       - b\|3 \|a log(\|- a \|b x - a   + \|- a   \|b x - a - a)
+--R     + 
+--R           +-+3+---+    3+-------+2   3+-+3+-------+   3+-+2
+--R       - b\|3 \|- a log(\|b x - a   - \|a \|b x - a  + \|a  )
+--R     + 
+--R          +-+3+-+    3+---+2 3+-------+          +-+3+---+    3+-------+   3+-+
+--R       2b\|3 \|a log(\|- a   \|b x - a + a) + 2b\|3 \|- a log(\|b x - a  + \|a )
+--R     + 
+--R                      +-+3+---+2 3+-------+    +-+
+--R           3+-+     2\|3 \|- a   \|b x - a - a\|3
+--R       - 6b\|a atan(------------------------------)
+--R                                  3a
+--R     + 
+--R                       3+-------+   3+-+
+--R           3+---+     2\|b x - a  - \|a
+--R       - 6b\|- a atan(------------------)
+--R                            +-+3+-+
+--R                           \|3 \|a
+--R  /
+--R        +-+3+---+3+-+
+--R     6a\|3 \|- a \|a
+--R                                                    Type: Expression(Integer)
+--E 2064
+
+--S 2065 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2065
+
+)clear all
+
+--S 2066 of 3330
+t0000:=1/(x^3*(-a+b*x)^(1/3))
+--R 
+--R
+--R              1
+--R   (1)  ------------
+--R         3 3+-------+
+--R        x  \|b x - a
+--R                                                    Type: Expression(Integer)
+--E 2066
+
+--S 2067 of 3330
+r0000:=1/2*(-a+b*x)^(2/3)/(a*x^2)+2/3*b*(-a+b*x)^(2/3)/(a^2*x)-_
+     2/9*b^2*log(a^(1/3)+(-a+b*x)^(1/3))/a^(7/3)+1/9*b^2*log(a^(2/3)-_
+     a^(1/3)*(-a+b*x)^(1/3)+(-a+b*x)^(2/3))/a^(7/3)-_
+     2/3*b^2*atan((a^(1/3)-2*(-a+b*x)^(1/3))/(a^(1/3)*sqrt(3)))/_
+     (a^(7/3)*sqrt(3))
+--R 
+--R
+--R   (2)
+--R         2 2 +-+    3+-------+2   3+-+3+-------+   3+-+2
+--R       2b x \|3 log(\|b x - a   - \|a \|b x - a  + \|a  )
+--R     + 
+--R                                                       3+-------+   3+-+
+--R           2 2 +-+    3+-------+   3+-+       2 2     2\|b x - a  - \|a
+--R       - 4b x \|3 log(\|b x - a  + \|a ) + 12b x atan(------------------)
+--R                                                            +-+3+-+
+--R                                                           \|3 \|a
+--R     + 
+--R                    +-+3+-+3+-------+2
+--R       (12b x + 9a)\|3 \|a \|b x - a
+--R  /
+--R        2 2 +-+3+-+
+--R     18a x \|3 \|a
+--R                                                    Type: Expression(Integer)
+--E 2067
+
+--S 2068 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R           2 2 +-+    3+---+3+-------+2   3+---+2 3+-------+
+--R       - 2b x \|3 log(\|- a \|b x - a   + \|- a   \|b x - a - a)
+--R     + 
+--R         2 2 +-+    3+---+2 3+-------+
+--R       4b x \|3 log(\|- a   \|b x - a + a)
+--R     + 
+--R                      +-+3+---+2 3+-------+    +-+
+--R            2 2     2\|3 \|- a   \|b x - a - a\|3
+--R       - 12b x atan(------------------------------)
+--R                                  3a
+--R     + 
+--R                    +-+3+---+3+-------+2
+--R       (12b x + 9a)\|3 \|- a \|b x - a
+--R  /
+--R        2 2 +-+3+---+
+--R     18a x \|3 \|- a
+--R                                         Type: Union(Expression(Integer),...)
+--E 2068
+
+--S 2069 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R          2 +-+3+-+    3+---+3+-------+2   3+---+2 3+-------+
+--R       - b \|3 \|a log(\|- a \|b x - a   + \|- a   \|b x - a - a)
+--R     + 
+--R          2 +-+3+---+    3+-------+2   3+-+3+-------+   3+-+2
+--R       - b \|3 \|- a log(\|b x - a   - \|a \|b x - a  + \|a  )
+--R     + 
+--R         2 +-+3+-+    3+---+2 3+-------+
+--R       2b \|3 \|a log(\|- a   \|b x - a + a)
+--R     + 
+--R         2 +-+3+---+    3+-------+   3+-+
+--R       2b \|3 \|- a log(\|b x - a  + \|a )
+--R     + 
+--R                        +-+3+---+2 3+-------+    +-+
+--R           2 3+-+     2\|3 \|- a   \|b x - a - a\|3
+--R       - 6b  \|a atan(------------------------------)
+--R                                    3a
+--R     + 
+--R                         3+-------+   3+-+
+--R           2 3+---+     2\|b x - a  - \|a
+--R       - 6b  \|- a atan(------------------)
+--R                              +-+3+-+
+--R                             \|3 \|a
+--R  /
+--R       2 +-+3+---+3+-+
+--R     9a \|3 \|- a \|a
+--R                                                    Type: Expression(Integer)
+--E 2069
+
+--S 2070 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2070
+
+)clear all
+
+--S 2071 of 3330
+t0000:=x^3/(a+b*x)^(2/3)
+--R 
+--R
+--R              3
+--R             x
+--R   (1)  -----------
+--R        3+-------+2
+--R        \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 2071
+
+--S 2072 of 3330
+r0000:=-3*a^3*(a+b*x)^(1/3)/b^4+9/4*a^2*(a+b*x)^(4/3)/b^4-_
+     9/7*a*(a+b*x)^(7/3)/b^4+3/10*(a+b*x)^(10/3)/b^4
+--R 
+--R
+--R            3 3        2 2      2          3 3+-------+
+--R        (42b x  - 54a b x  + 81a b x - 243a )\|b x + a
+--R   (2)  -----------------------------------------------
+--R                                 4
+--R                             140b
+--R                                                    Type: Expression(Integer)
+--E 2072
+
+--S 2073 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R            3 3        2 2      2          3 3+-------+
+--R        (42b x  - 54a b x  + 81a b x - 243a )\|b x + a
+--R   (3)  -----------------------------------------------
+--R                                 4
+--R                             140b
+--R                                         Type: Union(Expression(Integer),...)
+--E 2073
+
+--S 2074 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2074
+
+--S 2075 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2075
+
+)clear all
+
+--S 2076 of 3330
+t0000:=x^2/(a+b*x)^(2/3)
+--R 
+--R
+--R              2
+--R             x
+--R   (1)  -----------
+--R        3+-------+2
+--R        \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 2076
+
+--S 2077 of 3330
+r0000:=3*a^2*(a+b*x)^(1/3)/b^3-3/2*a*(a+b*x)^(4/3)/b^3+3/7*(a+b*x)^(7/3)/b^3
+--R 
+--R
+--R           2 2               2 3+-------+
+--R        (6b x  - 9a b x + 27a )\|b x + a
+--R   (2)  ---------------------------------
+--R                          3
+--R                       14b
+--R                                                    Type: Expression(Integer)
+--E 2077
+
+--S 2078 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           2 2               2 3+-------+
+--R        (6b x  - 9a b x + 27a )\|b x + a
+--R   (3)  ---------------------------------
+--R                          3
+--R                       14b
+--R                                         Type: Union(Expression(Integer),...)
+--E 2078
+
+--S 2079 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2079
+
+--S 2080 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2080
+
+)clear all
+
+--S 2081 of 3330
+t0000:=x/(a+b*x)^(2/3)
+--R 
+--R
+--R             x
+--R   (1)  -----------
+--R        3+-------+2
+--R        \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 2081
+
+--S 2082 of 3330
+r0000:=-3*a*(a+b*x)^(1/3)/b^2+3/4*(a+b*x)^(4/3)/b^2
+--R 
+--R
+--R                   3+-------+
+--R        (3b x - 9a)\|b x + a
+--R   (2)  ---------------------
+--R                   2
+--R                 4b
+--R                                                    Type: Expression(Integer)
+--E 2082
+
+--S 2083 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                   3+-------+
+--R        (3b x - 9a)\|b x + a
+--R   (3)  ---------------------
+--R                   2
+--R                 4b
+--R                                         Type: Union(Expression(Integer),...)
+--E 2083
+
+--S 2084 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2084
+
+--S 2085 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2085
+
+)clear all
+
+--S 2086 of 3330
+t0000:=1/(a+b*x)^(2/3)
+--R 
+--R
+--R             1
+--R   (1)  -----------
+--R        3+-------+2
+--R        \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 2086
+
+--S 2087 of 3330
+r0000:=3*(a+b*x)^(1/3)/b
+--R 
+--R
+--R         3+-------+
+--R        3\|b x + a
+--R   (2)  -----------
+--R             b
+--R                                                    Type: Expression(Integer)
+--E 2087
+
+--S 2088 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R         3+-------+
+--R        3\|b x + a
+--R   (3)  -----------
+--R             b
+--R                                         Type: Union(Expression(Integer),...)
+--E 2088
+
+--S 2089 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2089
+
+--S 2090 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2090
+
+)clear all
+
+--S 2091 of 3330
+t0000:=1/(x*(a+b*x)^(2/3))
+--R 
+--R
+--R              1
+--R   (1)  -------------
+--R          3+-------+2
+--R        x \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 2091
+
+--S 2092 of 3330
+r0000:=log(a^(1/3)-(a+b*x)^(1/3))/a^(2/3)-1/2*log(a^(2/3)+_
+     a^(1/3)*(a+b*x)^(1/3)+(a+b*x)^(2/3))/a^(2/3)-_
+     atan((a^(1/3)+2*(a+b*x)^(1/3))/(a^(1/3)*sqrt(3)))*sqrt(3)/a^(2/3)
+--R 
+--R
+--R   (2)
+--R             3+-------+2   3+-+3+-------+   3+-+2           3+-------+   3+-+
+--R       - log(\|b x + a   + \|a \|b x + a  + \|a  ) + 2log(- \|b x + a  + \|a )
+--R     + 
+--R                    3+-------+   3+-+
+--R           +-+     2\|b x + a  + \|a
+--R       - 2\|3 atan(------------------)
+--R                         +-+3+-+
+--R                        \|3 \|a
+--R  /
+--R      3+-+2
+--R     2\|a
+--R                                                    Type: Expression(Integer)
+--E 2092
+
+--S 2093 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R              +--+2                +--+
+--R             3| 2   3+-------+2   3| 2 3+-------+    2
+--R       - log(\|a    \|b x + a  + a\|a  \|b x + a  + a )
+--R     + 
+--R                                               +--+
+--R             +--+                             3| 2 3+-------+
+--R            3| 2 3+-------+          +-+     2\|a  \|b x + a  + a
+--R       2log(\|a  \|b x + a  - a) - 2\|3 atan(--------------------)
+--R                                                       +-+
+--R                                                     a\|3
+--R  /
+--R       +--+
+--R      3| 2
+--R     2\|a
+--R                                         Type: Union(Expression(Integer),...)
+--E 2093
+
+--S 2094 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R                   +--+2                +--+
+--R         3+-+2    3| 2   3+-------+2   3| 2 3+-------+    2
+--R       - \|a  log(\|a    \|b x + a  + a\|a  \|b x + a  + a )
+--R     + 
+--R        +--+
+--R       3| 2     3+-------+2   3+-+3+-------+   3+-+2
+--R       \|a  log(\|b x + a   + \|a \|b x + a  + \|a  )
+--R     + 
+--R                  +--+                    +--+
+--R        3+-+2    3| 2 3+-------+         3| 2       3+-------+   3+-+
+--R       2\|a  log(\|a  \|b x + a  - a) - 2\|a  log(- \|b x + a  + \|a )
+--R     + 
+--R                        +--+
+--R                       3| 2 3+-------+              +--+      3+-------+   3+-+
+--R         +-+3+-+2     2\|a  \|b x + a  + a      +-+3| 2      2\|b x + a  + \|a
+--R     - 2\|3 \|a  atan(--------------------) + 2\|3 \|a  atan(------------------)
+--R                                +-+                                +-+3+-+
+--R                              a\|3                                \|3 \|a
+--R  /
+--R             +--+
+--R      3+-+2 3| 2
+--R     2\|a   \|a
+--R                                                    Type: Expression(Integer)
+--E 2094
+
+--S 2095 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2095
+
+)clear all
+
+--S 2096 of 3330
+t0000:=1/(x^2*(a+b*x)^(2/3))
+--R 
+--R
+--R              1
+--R   (1)  -------------
+--R         2 3+-------+2
+--R        x  \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 2096
+
+--S 2097 of 3330
+r0000:=-(a+b*x)^(1/3)/(a*x)-2/3*b*log(a^(1/3)-(a+b*x)^(1/3))/a^(5/3)+_
+     1/3*b*log(a^(2/3)+a^(1/3)*(a+b*x)^(1/3)+(a+b*x)^(2/3))/a^(5/3)+_
+     2*b*atan((a^(1/3)+2*(a+b*x)^(1/3))/(a^(1/3)*sqrt(3)))/(a^(5/3)*sqrt(3))
+--R 
+--R
+--R   (2)
+--R           +-+    3+-------+2   3+-+3+-------+   3+-+2
+--R       b x\|3 log(\|b x + a   + \|a \|b x + a  + \|a  )
+--R     + 
+--R                                                       3+-------+   3+-+
+--R              +-+      3+-------+   3+-+              2\|b x + a  + \|a
+--R       - 2b x\|3 log(- \|b x + a  + \|a ) + 6b x atan(------------------)
+--R                                                            +-+3+-+
+--R                                                           \|3 \|a
+--R     + 
+--R           +-+3+-+2 3+-------+
+--R       - 3\|3 \|a   \|b x + a
+--R  /
+--R          +-+3+-+2
+--R     3a x\|3 \|a
+--R                                                    Type: Expression(Integer)
+--E 2097
+
+--S 2098 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                     +----+2                +----+
+--R             +-+    3|   2   3+-------+2   3|   2 3+-------+    2
+--R       - b x\|3 log(\|- a    \|b x + a  - a\|- a  \|b x + a  + a )
+--R     + 
+--R                    +----+
+--R            +-+    3|   2 3+-------+
+--R       2b x\|3 log(\|- a  \|b x + a  + a)
+--R     + 
+--R                       +----+
+--R                   +-+3|   2 3+-------+     +-+          +----+
+--R                 2\|3 \|- a  \|b x + a  - a\|3       +-+3|   2 3+-------+
+--R       6b x atan(------------------------------) - 3\|3 \|- a  \|b x + a
+--R                               3a
+--R  /
+--R              +----+
+--R          +-+3|   2
+--R     3a x\|3 \|- a
+--R                                         Type: Union(Expression(Integer),...)
+--E 2098
+
+--S 2099 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R                        +----+2                +----+
+--R           +-+3+-+2    3|   2   3+-------+2   3|   2 3+-------+    2
+--R       - b\|3 \|a  log(\|- a    \|b x + a  - a\|- a  \|b x + a  + a )
+--R     + 
+--R               +----+
+--R           +-+3|   2     3+-------+2   3+-+3+-------+   3+-+2
+--R       - b\|3 \|- a  log(\|b x + a   + \|a \|b x + a  + \|a  )
+--R     + 
+--R                       +----+
+--R          +-+3+-+2    3|   2 3+-------+
+--R       2b\|3 \|a  log(\|- a  \|b x + a  + a)
+--R     + 
+--R              +----+
+--R          +-+3|   2       3+-------+   3+-+
+--R       2b\|3 \|- a  log(- \|b x + a  + \|a )
+--R     + 
+--R                          +----+
+--R                      +-+3|   2 3+-------+     +-+
+--R          3+-+2     2\|3 \|- a  \|b x + a  - a\|3
+--R       6b \|a  atan(------------------------------)
+--R                                  3a
+--R     + 
+--R            +----+      3+-------+   3+-+
+--R           3|   2      2\|b x + a  + \|a
+--R       - 6b\|- a  atan(------------------)
+--R                             +-+3+-+
+--R                            \|3 \|a
+--R  /
+--R            +----+
+--R        +-+3|   2 3+-+2
+--R     3a\|3 \|- a  \|a
+--R                                                    Type: Expression(Integer)
+--E 2099
+
+--S 2100 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2100
+
+)clear all
+
+--S 2101 of 3330
+t0000:=1/(x^3*(a+b*x)^(2/3))
+--R 
+--R
+--R              1
+--R   (1)  -------------
+--R         3 3+-------+2
+--R        x  \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 2101
+
+--S 2102 of 3330
+r0000:=-1/2*(a+b*x)^(1/3)/(a*x^2)+5/6*b*(a+b*x)^(1/3)/(a^2*x)+_
+     5/9*b^2*log(a^(1/3)-(a+b*x)^(1/3))/a^(8/3)-_
+     5/18*b^2*log(a^(2/3)+a^(1/3)*(a+b*x)^(1/3)+(a+b*x)^(2/3))/a^(8/3)-_
+     5/3*b^2*atan((a^(1/3)+2*(a+b*x)^(1/3))/(a^(1/3)*sqrt(3)))/_
+     (a^(8/3)*sqrt(3))
+--R 
+--R
+--R   (2)
+--R           2 2 +-+    3+-------+2   3+-+3+-------+   3+-+2
+--R       - 5b x \|3 log(\|b x + a   + \|a \|b x + a  + \|a  )
+--R     + 
+--R                                                        3+-------+   3+-+
+--R          2 2 +-+      3+-------+   3+-+       2 2     2\|b x + a  + \|a
+--R       10b x \|3 log(- \|b x + a  + \|a ) - 30b x atan(------------------)
+--R                                                             +-+3+-+
+--R                                                            \|3 \|a
+--R     + 
+--R                    +-+3+-+2 3+-------+
+--R       (15b x - 9a)\|3 \|a   \|b x + a
+--R  /
+--R        2 2 +-+3+-+2
+--R     18a x \|3 \|a
+--R                                                    Type: Expression(Integer)
+--E 2102
+
+--S 2103 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                       +--+2                +--+
+--R           2 2 +-+    3| 2   3+-------+2   3| 2 3+-------+    2
+--R       - 5b x \|3 log(\|a    \|b x + a  + a\|a  \|b x + a  + a )
+--R     + 
+--R                      +--+
+--R          2 2 +-+    3| 2 3+-------+
+--R       10b x \|3 log(\|a  \|b x + a  - a)
+--R     + 
+--R                          +--+
+--R                      +-+3| 2 3+-------+     +-+
+--R            2 2     2\|3 \|a  \|b x + a  + a\|3
+--R       - 30b x atan(----------------------------)
+--R                                 3a
+--R     + 
+--R                        +--+
+--R                    +-+3| 2 3+-------+
+--R       (15b x - 9a)\|3 \|a  \|b x + a
+--R  /
+--R                +--+
+--R        2 2 +-+3| 2
+--R     18a x \|3 \|a
+--R                                         Type: Union(Expression(Integer),...)
+--E 2103
+
+--S 2104 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R                          +--+2                +--+
+--R           2 +-+3+-+2    3| 2   3+-------+2   3| 2 3+-------+    2
+--R       - 5b \|3 \|a  log(\|a    \|b x + a  + a\|a  \|b x + a  + a )
+--R     + 
+--R               +--+
+--R         2 +-+3| 2     3+-------+2   3+-+3+-------+   3+-+2
+--R       5b \|3 \|a  log(\|b x + a   + \|a \|b x + a  + \|a  )
+--R     + 
+--R                         +--+
+--R          2 +-+3+-+2    3| 2 3+-------+
+--R       10b \|3 \|a  log(\|a  \|b x + a  - a)
+--R     + 
+--R                  +--+
+--R            2 +-+3| 2       3+-------+   3+-+
+--R       - 10b \|3 \|a  log(- \|b x + a  + \|a )
+--R     + 
+--R                              +--+
+--R                          +-+3| 2 3+-------+     +-+
+--R            2 3+-+2     2\|3 \|a  \|b x + a  + a\|3
+--R       - 30b  \|a  atan(----------------------------)
+--R                                     3a
+--R     + 
+--R             +--+      3+-------+   3+-+
+--R          2 3| 2      2\|b x + a  + \|a
+--R       30b  \|a  atan(------------------)
+--R                            +-+3+-+
+--R                           \|3 \|a
+--R  /
+--R                    +--+
+--R        2 +-+3+-+2 3| 2
+--R     18a \|3 \|a   \|a
+--R                                                    Type: Expression(Integer)
+--E 2104
+
+--S 2105 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2105
+
+)clear all
+
+--S 2106 of 3330
+t0000:=x^3/(a+b*x)^(4/3)
+--R 
+--R
+--R                  3
+--R                 x
+--R   (1)  -------------------
+--R                 3+-------+
+--R        (b x + a)\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 2106
+
+--S 2107 of 3330
+r0000:=3*a^3/(b^4*(a+b*x)^(1/3))+9/2*a^2*(a+b*x)^(2/3)/b^4-_
+     9/5*a*(a+b*x)^(5/3)/b^4+3/8*(a+b*x)^(8/3)/b^4
+--R 
+--R
+--R           3 3        2 2      2          3
+--R        15b x  - 27a b x  + 81a b x + 243a
+--R   (2)  -----------------------------------
+--R                      4 3+-------+
+--R                   40b  \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 2107
+
+--S 2108 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           3 3        2 2      2          3
+--R        15b x  - 27a b x  + 81a b x + 243a
+--R   (3)  -----------------------------------
+--R                      4 3+-------+
+--R                   40b  \|b x + a
+--R                                         Type: Union(Expression(Integer),...)
+--E 2108
+
+--S 2109 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2109
+
+--S 2110 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2110
+
+)clear all
+
+--S 2111 of 3330
+t0000:=x^2/(a+b*x)^(4/3)
+--R 
+--R
+--R                  2
+--R                 x
+--R   (1)  -------------------
+--R                 3+-------+
+--R        (b x + a)\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 2111
+
+--S 2112 of 3330
+r0000:=-3*a^2/(b^3*(a+b*x)^(1/3))-3*a*(a+b*x)^(2/3)/b^3+3/5*(a+b*x)^(5/3)/b^3
+--R 
+--R
+--R          2 2               2
+--R        3b x  - 9a b x - 27a
+--R   (2)  ---------------------
+--R              3 3+-------+
+--R            5b  \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 2112
+
+--S 2113 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R          2 2               2
+--R        3b x  - 9a b x - 27a
+--R   (3)  ---------------------
+--R              3 3+-------+
+--R            5b  \|b x + a
+--R                                         Type: Union(Expression(Integer),...)
+--E 2113
+
+--S 2114 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2114
+
+--S 2115 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2115
+
+)clear all
+
+--S 2116 of 3330
+t0000:=x/(a+b*x)^(4/3)
+--R 
+--R
+--R                 x
+--R   (1)  -------------------
+--R                 3+-------+
+--R        (b x + a)\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 2116
+
+--S 2117 of 3330
+r0000:=3*a/(b^2*(a+b*x)^(1/3))+3/2*(a+b*x)^(2/3)/b^2
+--R 
+--R
+--R          3b x + 9a
+--R   (2)  -------------
+--R          2 3+-------+
+--R        2b  \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 2117
+
+--S 2118 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R          3b x + 9a
+--R   (3)  -------------
+--R          2 3+-------+
+--R        2b  \|b x + a
+--R                                         Type: Union(Expression(Integer),...)
+--E 2118
+
+--S 2119 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2119
+
+--S 2120 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2120
+
+)clear all
+
+--S 2121 of 3330
+t0000:=1/(a+b*x)^(4/3)
+--R 
+--R
+--R                 1
+--R   (1)  -------------------
+--R                 3+-------+
+--R        (b x + a)\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 2121
+
+--S 2122 of 3330
+r0000:=(-3)/(b*(a+b*x)^(1/3))
+--R 
+--R
+--R               3
+--R   (2)  - -----------
+--R           3+-------+
+--R          b\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 2122
+
+--S 2123 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R               3
+--R   (3)  - -----------
+--R           3+-------+
+--R          b\|b x + a
+--R                                         Type: Union(Expression(Integer),...)
+--E 2123
+
+--S 2124 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2124
+
+--S 2125 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2125
+
+)clear all
+
+--S 2126 of 3330
+t0000:=1/(x*(a+b*x)^(4/3))
+--R 
+--R
+--R                   1
+--R   (1)  ----------------------
+--R            2       3+-------+
+--R        (b x  + a x)\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 2126
+
+--S 2127 of 3330
+r0000:=3/(a*(a+b*x)^(1/3))+log(a^(1/3)-(a+b*x)^(1/3))/a^(4/3)-_
+     1/2*log(a^(2/3)+a^(1/3)*(a+b*x)^(1/3)+(a+b*x)^(2/3))/a^(4/3)+_
+     atan((a^(1/3)+2*(a+b*x)^(1/3))/(a^(1/3)*sqrt(3)))*sqrt(3)/a^(4/3)
+--R 
+--R
+--R   (2)
+--R         3+-------+    3+-------+2   3+-+3+-------+   3+-+2
+--R       - \|b x + a log(\|b x + a   + \|a \|b x + a  + \|a  )
+--R     + 
+--R        3+-------+      3+-------+   3+-+
+--R       2\|b x + a log(- \|b x + a  + \|a )
+--R     + 
+--R                            3+-------+   3+-+
+--R         +-+3+-------+     2\|b x + a  + \|a      3+-+
+--R       2\|3 \|b x + a atan(------------------) + 6\|a
+--R                                 +-+3+-+
+--R                                \|3 \|a
+--R  /
+--R       3+-+3+-------+
+--R     2a\|a \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 2127
+
+--S 2128 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R         3+-------+    3+-+3+-------+2   3+-+2 3+-------+
+--R       - \|b x + a log(\|a \|b x + a   + \|a   \|b x + a + a)
+--R     + 
+--R        3+-------+    3+-+2 3+-------+
+--R       2\|b x + a log(\|a   \|b x + a - a)
+--R     + 
+--R                            3+-+2 3+-------+
+--R         +-+3+-------+     2\|a   \|b x + a + a     3+-+
+--R       2\|3 \|b x + a atan(--------------------) + 6\|a
+--R                                     +-+
+--R                                   a\|3
+--R  /
+--R       3+-+3+-------+
+--R     2a\|a \|b x + a
+--R                                         Type: Union(Expression(Integer),...)
+--E 2128
+
+--S 2129 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R             3+-+3+-------+2   3+-+2 3+-------+
+--R       - log(\|a \|b x + a   + \|a   \|b x + a + a)
+--R     + 
+--R           3+-------+2   3+-+3+-------+   3+-+2         3+-+2 3+-------+
+--R       log(\|b x + a   + \|a \|b x + a  + \|a  ) + 2log(\|a   \|b x + a - a)
+--R     + 
+--R                                                3+-+2 3+-------+
+--R                3+-------+   3+-+      +-+     2\|a   \|b x + a + a
+--R       - 2log(- \|b x + a  + \|a ) + 2\|3 atan(--------------------)
+--R                                                         +-+
+--R                                                       a\|3
+--R     + 
+--R                    3+-------+   3+-+
+--R           +-+     2\|b x + a  + \|a
+--R       - 2\|3 atan(------------------)
+--R                         +-+3+-+
+--R                        \|3 \|a
+--R  /
+--R       3+-+
+--R     2a\|a
+--R                                                    Type: Expression(Integer)
+--E 2129
+
+--S 2130 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2130
+
+)clear all
+
+--S 2131 of 3330
+t0000:=1/(x^2*(a+b*x)^(4/3))
+--R 
+--R
+--R                   1
+--R   (1)  -----------------------
+--R            3      2 3+-------+
+--R        (b x  + a x )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 2131
+
+--S 2132 of 3330
+r0000:=3/(a*x*(a+b*x)^(1/3))-4*(a+b*x)^(2/3)/(a^2*x)-4/3*b*log(a^(1/3)-_
+     (a+b*x)^(1/3))/a^(7/3)+2/3*b*log(a^(2/3)+a^(1/3)*(a+b*x)^(1/3)+_
+     (a+b*x)^(2/3))/a^(7/3)-4*b*atan((a^(1/3)+2*(a+b*x)^(1/3))/_
+     (a^(1/3)*sqrt(3)))/(a^(7/3)*sqrt(3))
+--R 
+--R
+--R   (2)
+--R            +-+3+-------+    3+-------+2   3+-+3+-------+   3+-+2
+--R       2b x\|3 \|b x + a log(\|b x + a   + \|a \|b x + a  + \|a  )
+--R     + 
+--R              +-+3+-------+      3+-------+   3+-+
+--R       - 4b x\|3 \|b x + a log(- \|b x + a  + \|a )
+--R     + 
+--R                              3+-------+   3+-+
+--R              3+-------+     2\|b x + a  + \|a                    +-+3+-+
+--R       - 12b x\|b x + a atan(------------------) + (- 12b x - 3a)\|3 \|a
+--R                                   +-+3+-+
+--R                                  \|3 \|a
+--R  /
+--R       2  +-+3+-+3+-------+
+--R     3a x\|3 \|a \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 2132
+
+--S 2133 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R              +-+3+-------+    3+---+3+-------+2   3+---+2 3+-------+
+--R       - 2b x\|3 \|b x + a log(\|- a \|b x + a   - \|- a   \|b x + a - a)
+--R     + 
+--R            +-+3+-------+    3+---+2 3+-------+
+--R       4b x\|3 \|b x + a log(\|- a   \|b x + a - a)
+--R     + 
+--R                             +-+3+---+2 3+-------+    +-+
+--R            3+-------+     2\|3 \|- a   \|b x + a + a\|3
+--R       12b x\|b x + a atan(------------------------------)
+--R                                         3a
+--R     + 
+--R                      +-+3+---+
+--R       (- 12b x - 3a)\|3 \|- a
+--R  /
+--R       2  +-+3+---+3+-------+
+--R     3a x\|3 \|- a \|b x + a
+--R                                         Type: Union(Expression(Integer),...)
+--E 2133
+
+--S 2134 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R            +-+3+-+    3+---+3+-------+2   3+---+2 3+-------+
+--R       - 2b\|3 \|a log(\|- a \|b x + a   - \|- a   \|b x + a - a)
+--R     + 
+--R            +-+3+---+    3+-------+2   3+-+3+-------+   3+-+2
+--R       - 2b\|3 \|- a log(\|b x + a   + \|a \|b x + a  + \|a  )
+--R     + 
+--R          +-+3+-+    3+---+2 3+-------+
+--R       4b\|3 \|a log(\|- a   \|b x + a - a)
+--R     + 
+--R          +-+3+---+      3+-------+   3+-+
+--R       4b\|3 \|- a log(- \|b x + a  + \|a )
+--R     + 
+--R                     +-+3+---+2 3+-------+    +-+
+--R          3+-+     2\|3 \|- a   \|b x + a + a\|3
+--R       12b\|a atan(------------------------------)
+--R                                 3a
+--R     + 
+--R                      3+-------+   3+-+
+--R          3+---+     2\|b x + a  + \|a
+--R       12b\|- a atan(------------------)
+--R                           +-+3+-+
+--R                          \|3 \|a
+--R  /
+--R       2 +-+3+---+3+-+
+--R     3a \|3 \|- a \|a
+--R                                                    Type: Expression(Integer)
+--E 2134
+
+--S 2135 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2135
+
+)clear all
+
+--S 2136 of 3330
+t0000:=1/(x^3*(a+b*x)^(4/3))
+--R 
+--R
+--R                   1
+--R   (1)  -----------------------
+--R            4      3 3+-------+
+--R        (b x  + a x )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 2136
+
+--S 2137 of 3330
+r0000:=3/(a*x^2*(a+b*x)^(1/3))-7/2*(a+b*x)^(2/3)/(a^2*x^2)+_
+     14/3*b*(a+b*x)^(2/3)/(a^3*x)+14/9*b^2*log(a^(1/3)-_
+     (a+b*x)^(1/3))/a^(10/3)-7/9*b^2*log(a^(2/3)+a^(1/3)*(a+b*x)^(1/3)+_
+     (a+b*x)^(2/3))/a^(10/3)+14/3*b^2*atan((a^(1/3)+_
+     2*(a+b*x)^(1/3))/(a^(1/3)*sqrt(3)))/(a^(10/3)*sqrt(3))
+--R 
+--R
+--R   (2)
+--R            2 2 +-+3+-------+    3+-------+2   3+-+3+-------+   3+-+2
+--R       - 14b x \|3 \|b x + a log(\|b x + a   + \|a \|b x + a  + \|a  )
+--R     + 
+--R          2 2 +-+3+-------+      3+-------+   3+-+
+--R       28b x \|3 \|b x + a log(- \|b x + a  + \|a )
+--R     + 
+--R                            3+-------+   3+-+
+--R        2 2 3+-------+     2\|b x + a  + \|a        2 2               2  +-+3+-+
+--R     84b x  \|b x + a atan(------------------ + (84b x  + 21a b x - 9a )\|3 \|a
+--R                                 +-+3+-+
+--R                                \|3 \|a
+--R  /
+--R        3 2 +-+3+-+3+-------+
+--R     18a x \|3 \|a \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 2137
+
+--S 2138 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R            2 2 +-+3+-------+    3+-+3+-------+2   3+-+2 3+-------+
+--R       - 14b x \|3 \|b x + a log(\|a \|b x + a   + \|a   \|b x + a + a)
+--R     + 
+--R          2 2 +-+3+-------+    3+-+2 3+-------+
+--R       28b x \|3 \|b x + a log(\|a   \|b x + a - a)
+--R     + 
+--R                               +-+3+-+2 3+-------+    +-+
+--R          2 2 3+-------+     2\|3 \|a   \|b x + a + a\|3
+--R       84b x  \|b x + a atan(----------------------------)
+--R                                          3a
+--R     + 
+--R           2 2               2  +-+3+-+
+--R       (84b x  + 21a b x - 9a )\|3 \|a
+--R  /
+--R        3 2 +-+3+-+3+-------+
+--R     18a x \|3 \|a \|b x + a
+--R                                         Type: Union(Expression(Integer),...)
+--E 2138
+
+--S 2139 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R           2 +-+    3+-+3+-------+2   3+-+2 3+-------+
+--R       - 7b \|3 log(\|a \|b x + a   + \|a   \|b x + a + a)
+--R     + 
+--R         2 +-+    3+-------+2   3+-+3+-------+   3+-+2
+--R       7b \|3 log(\|b x + a   + \|a \|b x + a  + \|a  )
+--R     + 
+--R          2 +-+    3+-+2 3+-------+          2 +-+      3+-------+   3+-+
+--R       14b \|3 log(\|a   \|b x + a - a) - 14b \|3 log(- \|b x + a  + \|a )
+--R     + 
+--R                  +-+3+-+2 3+-------+    +-+              3+-------+   3+-+
+--R          2     2\|3 \|a   \|b x + a + a\|3        2     2\|b x + a  + \|a
+--R       42b atan(----------------------------) - 42b atan(------------------)
+--R                             3a                                +-+3+-+
+--R                                                              \|3 \|a
+--R  /
+--R       3 +-+3+-+
+--R     9a \|3 \|a
+--R                                                    Type: Expression(Integer)
+--E 2139
+
+--S 2140 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2140
+
+)clear all
+
+--S 2141 of 3330
+t0000:=x^m*(a+b*x)
+--R 
+--R
+--R                  m
+--R   (1)  (b x + a)x
+--R                                                    Type: Expression(Integer)
+--E 2141
+
+--S 2142 of 3330
+r0000:=a*x^(1+m)/(1+m)+b*x^(2+m)/(2+m)
+--R 
+--R
+--R                  m + 2              m + 1
+--R        (b m + b)x      + (a m + 2a)x
+--R   (2)  ----------------------------------
+--R                     2
+--R                    m  + 3m + 2
+--R                                                    Type: Expression(Integer)
+--E 2142
+
+--S 2143 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                   2                 m log(x)
+--R        ((b m + b)x  + (a m + 2a)x)%e
+--R   (3)  -------------------------------------
+--R                      2
+--R                     m  + 3m + 2
+--R                                         Type: Union(Expression(Integer),...)
+--E 2143
+
+--S 2144 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R                  2                 m log(x)               m + 2
+--R       ((b m + b)x  + (a m + 2a)x)%e         + (- b m - b)x
+--R     + 
+--R                    m + 1
+--R       (- a m - 2a)x
+--R  /
+--R      2
+--R     m  + 3m + 2
+--R                                                    Type: Expression(Integer)
+--E 2144
+
+--S 2145 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R                   m log(x)      m + 1      m
+--R   (5)  (b x + a)%e         - b x      - a x
+--R                                                    Type: Expression(Integer)
+--E 2145
+
+)clear all
+
+--S 2146 of 3330
+t0000:=x^(5/2)*(a+b*x)
+--R 
+--R
+--R            3      2  +-+
+--R   (1)  (b x  + a x )\|x
+--R                                                    Type: Expression(Integer)
+--E 2146
+
+--S 2147 of 3330
+r0000:=2/7*a*x^(7/2)+2/9*b*x^(9/2)
+--R 
+--R
+--R              4        3  +-+
+--R        (14b x  + 18a x )\|x
+--R   (2)  ---------------------
+--R                  63
+--R                                                    Type: Expression(Integer)
+--E 2147
+
+--S 2148 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R              4        3  +-+
+--R        (14b x  + 18a x )\|x
+--R   (3)  ---------------------
+--R                  63
+--R                                         Type: Union(Expression(Integer),...)
+--E 2148
+
+--S 2149 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R   There are 33 exposed and 3 unexposed library operations named elt 
+--R      having 2 argument(s) but none was determined to be applicable. 
+--R      Use HyperDoc Browse, or issue
+--R                               )display op elt
+--R      to learn more about the available operations. Perhaps 
+--R      package-calling the operation or using coercions on the arguments
+--R      will allow you to apply the operation.
+--R 
+--RDaly Bug
+--R   Cannot find a definition or applicable library operation named elt 
+--R      with argument type(s) 
+--R                             Expression(Integer)
+--R                               PositiveInteger
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 2149
+
+--S 2150 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Polynomial(Integer)
+--E 2150
+
+--S 2151 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R   There are 33 exposed and 3 unexposed library operations named elt 
+--R      having 2 argument(s) but none was determined to be applicable. 
+--R      Use HyperDoc Browse, or issue
+--R                               )display op elt
+--R      to learn more about the available operations. Perhaps 
+--R      package-calling the operation or using coercions on the arguments
+--R      will allow you to apply the operation.
+--R 
+--RDaly Bug
+--R   Cannot find a definition or applicable library operation named elt 
+--R      with argument type(s) 
+--R                             Expression(Integer)
+--R                               PositiveInteger
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 2151
+
+--S 2152 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Polynomial(Integer)
+--E 2152
+
+)clear all
+
+--S 2153 of 3330
+t0000:=x^(3/2)*(a+b*x)
+--R 
+--R
+--R            2        +-+
+--R   (1)  (b x  + a x)\|x
+--R                                                    Type: Expression(Integer)
+--E 2153
+
+--S 2154 of 3330
+r0000:=2/5*a*x^(5/2)+2/7*b*x^(7/2)
+--R 
+--R
+--R              3        2  +-+
+--R        (10b x  + 14a x )\|x
+--R   (2)  ---------------------
+--R                  35
+--R                                                    Type: Expression(Integer)
+--E 2154
+
+--S 2155 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R              3        2  +-+
+--R        (10b x  + 14a x )\|x
+--R   (3)  ---------------------
+--R                  35
+--R                                         Type: Union(Expression(Integer),...)
+--E 2155
+
+--S 2156 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R   There are 33 exposed and 3 unexposed library operations named elt 
+--R      having 2 argument(s) but none was determined to be applicable. 
+--R      Use HyperDoc Browse, or issue
+--R                               )display op elt
+--R      to learn more about the available operations. Perhaps 
+--R      package-calling the operation or using coercions on the arguments
+--R      will allow you to apply the operation.
+--R 
+--RDaly Bug
+--R   Cannot find a definition or applicable library operation named elt 
+--R      with argument type(s) 
+--R                             Expression(Integer)
+--R                               PositiveInteger
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 2156
+
+--S 2157 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Polynomial(Integer)
+--E 2157
+
+--S 2158 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R   There are 33 exposed and 3 unexposed library operations named elt 
+--R      having 2 argument(s) but none was determined to be applicable. 
+--R      Use HyperDoc Browse, or issue
+--R                               )display op elt
+--R      to learn more about the available operations. Perhaps 
+--R      package-calling the operation or using coercions on the arguments
+--R      will allow you to apply the operation.
+--R 
+--RDaly Bug
+--R   Cannot find a definition or applicable library operation named elt 
+--R      with argument type(s) 
+--R                             Expression(Integer)
+--R                               PositiveInteger
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 2158
+
+--S 2159 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Polynomial(Integer)
+--E 2159
+
+)clear all
+
+--S 2160 of 3330
+t0000:=(a+b*x)*sqrt(x)
+--R 
+--R
+--R                  +-+
+--R   (1)  (b x + a)\|x
+--R                                                    Type: Expression(Integer)
+--E 2160
+
+--S 2161 of 3330
+r0000:=2/3*a*x^(3/2)+2/5*b*x^(5/2)
+--R 
+--R
+--R             2          +-+
+--R        (6b x  + 10a x)\|x
+--R   (2)  -------------------
+--R                 15
+--R                                                    Type: Expression(Integer)
+--E 2161
+
+--S 2162 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R             2          +-+
+--R        (6b x  + 10a x)\|x
+--R   (3)  -------------------
+--R                 15
+--R                                         Type: Union(Expression(Integer),...)
+--E 2162
+
+--S 2163 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2163
+
+--S 2164 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2164
+
+)clear all
+
+--S 2165 of 3330
+t0000:=(a+b*x)/sqrt(x)
+--R 
+--R
+--R        b x + a
+--R   (1)  -------
+--R           +-+
+--R          \|x
+--R                                                    Type: Expression(Integer)
+--E 2165
+
+--S 2166 of 3330
+r0000:=2/3*b*x^(3/2)+2*a*sqrt(x)
+--R 
+--R
+--R                    +-+
+--R        (2b x + 6a)\|x
+--R   (2)  ---------------
+--R               3
+--R                                                    Type: Expression(Integer)
+--E 2166
+
+--S 2167 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                    +-+
+--R        (2b x + 6a)\|x
+--R   (3)  ---------------
+--R               3
+--R                                         Type: Union(Expression(Integer),...)
+--E 2167
+
+--S 2168 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2168
+
+--S 2169 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2169
+
+)clear all
+
+--S 2170 of 3330
+t0000:=(a+b*x)/x^(3/2)
+--R 
+--R
+--R        b x + a
+--R   (1)  -------
+--R           +-+
+--R         x\|x
+--R                                                    Type: Expression(Integer)
+--E 2170
+
+--S 2171 of 3330
+r0000:=-2*a/sqrt(x)+2*b*sqrt(x)
+--R 
+--R
+--R        2b x - 2a
+--R   (2)  ---------
+--R            +-+
+--R           \|x
+--R                                                    Type: Expression(Integer)
+--E 2171
+
+--S 2172 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        2b x - 2a
+--R   (3)  ---------
+--R            +-+
+--R           \|x
+--R                                         Type: Union(Expression(Integer),...)
+--E 2172
+
+--S 2173 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2173
+
+--S 2174 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2174
+
+)clear all
+
+--S 2175 of 3330
+t0000:=(a+b*x)/x^(5/2)
+--R 
+--R
+--R        b x + a
+--R   (1)  -------
+--R          2 +-+
+--R         x \|x
+--R                                                    Type: Expression(Integer)
+--E 2175
+
+--S 2176 of 3330
+r0000:=-2/3*a/x^(3/2)-2*b/sqrt(x)
+--R 
+--R
+--R        - 6b x - 2a
+--R   (2)  -----------
+--R              +-+
+--R           3x\|x
+--R                                                    Type: Expression(Integer)
+--E 2176
+
+--S 2177 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        - 6b x - 2a
+--R   (3)  -----------
+--R              +-+
+--R           3x\|x
+--R                                         Type: Union(Expression(Integer),...)
+--E 2177
+
+--S 2178 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2178
+
+--S 2179 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2179
+
+)clear all
+
+--S 2180 of 3330
+t0000:=x^m*(a+b*x)^2
+--R 
+--R
+--R          2 2             2  m
+--R   (1)  (b x  + 2a b x + a )x
+--R                                                    Type: Expression(Integer)
+--E 2180
+
+--S 2181 of 3330
+r0000:=a^2*x^(1+m)/(1+m)+2*a*b*x^(2+m)/(2+m)+b^2*x^(3+m)/(3+m)
+--R 
+--R
+--R   (2)
+--R         2 2     2      2  m + 3          2                  m + 2
+--R       (b m  + 3b m + 2b )x      + (2a b m  + 8a b m + 6a b)x
+--R     + 
+--R         2 2     2      2  m + 1
+--R       (a m  + 5a m + 6a )x
+--R  /
+--R      3     2
+--R     m  + 6m  + 11m + 6
+--R                                                    Type: Expression(Integer)
+--E 2181
+
+--S 2182 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R           2 2     2      2  3          2                  2
+--R         (b m  + 3b m + 2b )x  + (2a b m  + 8a b m + 6a b)x
+--R       + 
+--R           2 2     2      2
+--R         (a m  + 5a m + 6a )x
+--R    *
+--R         m log(x)
+--R       %e
+--R  /
+--R      3     2
+--R     m  + 6m  + 11m + 6
+--R                                         Type: Union(Expression(Integer),...)
+--E 2182
+
+--S 2183 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R             2 2     2      2  3          2                  2
+--R           (b m  + 3b m + 2b )x  + (2a b m  + 8a b m + 6a b)x
+--R         + 
+--R             2 2     2      2
+--R           (a m  + 5a m + 6a )x
+--R      *
+--R           m log(x)
+--R         %e
+--R     + 
+--R           2 2     2      2  m + 3            2                  m + 2
+--R       (- b m  - 3b m - 2b )x      + (- 2a b m  - 8a b m - 6a b)x
+--R     + 
+--R           2 2     2      2  m + 1
+--R       (- a m  - 5a m - 6a )x
+--R  /
+--R      3     2
+--R     m  + 6m  + 11m + 6
+--R                                                    Type: Expression(Integer)
+--E 2183
+
+--S 2184 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R          2 2             2   m log(x)    2 m + 2         m + 1    2 m
+--R   (5)  (b x  + 2a b x + a )%e         - b x      - 2a b x      - a x
+--R                                                    Type: Expression(Integer)
+--E 2184
+
+)clear all
+
+--S 2185 of 3330
+t0000:=x^(5/2)*(a+b*x)^2
+--R 
+--R
+--R          2 4         3    2 2  +-+
+--R   (1)  (b x  + 2a b x  + a x )\|x
+--R                                                    Type: Expression(Integer)
+--E 2185
+
+--S 2186 of 3330
+r0000:=2/7*a^2*x^(7/2)+4/9*a*b*x^(9/2)+2/11*b^2*x^(11/2)
+--R 
+--R
+--R             2 5           4       2 3  +-+
+--R        (126b x  + 308a b x  + 198a x )\|x
+--R   (2)  -----------------------------------
+--R                        693
+--R                                                    Type: Expression(Integer)
+--E 2186
+
+--S 2187 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R             2 5           4       2 3  +-+
+--R        (126b x  + 308a b x  + 198a x )\|x
+--R   (3)  -----------------------------------
+--R                        693
+--R                                         Type: Union(Expression(Integer),...)
+--E 2187
+
+--S 2188 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2188
+
+--S 2189 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2189
+
+)clear all
+
+--S 2190 of 3330
+t0000:=x^(3/2)*(a+b*x)^2
+--R 
+--R
+--R          2 3         2    2   +-+
+--R   (1)  (b x  + 2a b x  + a x)\|x
+--R                                                    Type: Expression(Integer)
+--E 2190
+
+--S 2191 of 3330
+r0000:=2/5*a^2*x^(5/2)+4/7*a*b*x^(7/2)+2/9*b^2*x^(9/2)
+--R 
+--R
+--R            2 4           3       2 2  +-+
+--R        (70b x  + 180a b x  + 126a x )\|x
+--R   (2)  ----------------------------------
+--R                        315
+--R                                                    Type: Expression(Integer)
+--E 2191
+
+--S 2192 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R            2 4           3       2 2  +-+
+--R        (70b x  + 180a b x  + 126a x )\|x
+--R   (3)  ----------------------------------
+--R                        315
+--R                                         Type: Union(Expression(Integer),...)
+--E 2192
+
+--S 2193 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2193
+
+--S 2194 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2194
+
+)clear all
+
+--S 2195 of 3330
+t0000:=(a+b*x)^2*sqrt(x)
+--R 
+--R
+--R          2 2             2  +-+
+--R   (1)  (b x  + 2a b x + a )\|x
+--R                                                    Type: Expression(Integer)
+--E 2195
+
+--S 2196 of 3330
+r0000:=2/3*a^2*x^(3/2)+4/5*a*b*x^(5/2)+2/7*b^2*x^(7/2)
+--R 
+--R
+--R            2 3          2      2   +-+
+--R        (30b x  + 84a b x  + 70a x)\|x
+--R   (2)  -------------------------------
+--R                      105
+--R                                                    Type: Expression(Integer)
+--E 2196
+
+--S 2197 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R            2 3          2      2   +-+
+--R        (30b x  + 84a b x  + 70a x)\|x
+--R   (3)  -------------------------------
+--R                      105
+--R                                         Type: Union(Expression(Integer),...)
+--E 2197
+
+--S 2198 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2198
+
+--S 2199 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2199
+
+)clear all
+
+--S 2200 of 3330
+t0000:=(a+b*x)^2/sqrt(x)
+--R 
+--R
+--R         2 2             2
+--R        b x  + 2a b x + a
+--R   (1)  ------------------
+--R                +-+
+--R               \|x
+--R                                                    Type: Expression(Integer)
+--E 2200
+
+--S 2201 of 3330
+r0000:=4/3*a*b*x^(3/2)+2/5*b^2*x^(5/2)+2*a^2*sqrt(x)
+--R 
+--R
+--R           2 2                2  +-+
+--R        (6b x  + 20a b x + 30a )\|x
+--R   (2)  ----------------------------
+--R                     15
+--R                                                    Type: Expression(Integer)
+--E 2201
+
+--S 2202 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           2 2                2  +-+
+--R        (6b x  + 20a b x + 30a )\|x
+--R   (3)  ----------------------------
+--R                     15
+--R                                         Type: Union(Expression(Integer),...)
+--E 2202
+
+--S 2203 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2203
+
+--S 2204 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2204
+
+)clear all
+
+--S 2205 of 3330
+t0000:=(a+b*x)^2/x^(3/2)
+--R 
+--R
+--R         2 2             2
+--R        b x  + 2a b x + a
+--R   (1)  ------------------
+--R                 +-+
+--R               x\|x
+--R                                                    Type: Expression(Integer)
+--E 2205
+
+--S 2206 of 3330
+r0000:=2/3*b^2*x^(3/2)-2*a^2/sqrt(x)+4*a*b*sqrt(x)
+--R 
+--R
+--R          2 2               2
+--R        2b x  + 12a b x - 6a
+--R   (2)  ---------------------
+--R                  +-+
+--R                3\|x
+--R                                                    Type: Expression(Integer)
+--E 2206
+
+--S 2207 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R          2 2               2
+--R        2b x  + 12a b x - 6a
+--R   (3)  ---------------------
+--R                  +-+
+--R                3\|x
+--R                                         Type: Union(Expression(Integer),...)
+--E 2207
+
+--S 2208 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2208
+
+--S 2209 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2209
+
+)clear all
+
+--S 2210 of 3330
+t0000:=(a+b*x)^2/x^(5/2)
+--R 
+--R
+--R         2 2             2
+--R        b x  + 2a b x + a
+--R   (1)  ------------------
+--R               2 +-+
+--R              x \|x
+--R                                                    Type: Expression(Integer)
+--E 2210
+
+--S 2211 of 3330
+r0000:=-2/3*a^2/x^(3/2)-4*a*b/sqrt(x)+2*b^2*sqrt(x)
+--R 
+--R
+--R          2 2               2
+--R        6b x  - 12a b x - 2a
+--R   (2)  ---------------------
+--R                   +-+
+--R                3x\|x
+--R                                                    Type: Expression(Integer)
+--E 2211
+
+--S 2212 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R          2 2               2
+--R        6b x  - 12a b x - 2a
+--R   (3)  ---------------------
+--R                   +-+
+--R                3x\|x
+--R                                         Type: Union(Expression(Integer),...)
+--E 2212
+
+--S 2213 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2213
+
+--S 2214 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2214
+
+)clear all
+
+--S 2215 of 3330
+t0000:=x^m*(a+b*x)^3
+--R 
+--R
+--R          3 3       2 2     2       3  m
+--R   (1)  (b x  + 3a b x  + 3a b x + a )x
+--R                                                    Type: Expression(Integer)
+--E 2215
+
+--S 2216 of 3330
+r0000:=a^3*x^(1+m)/(1+m)+3*a^2*b*x^(2+m)/(2+m)+3*a*b^2*x^(3+m)/(3+m)+_
+     b^3*x^(4+m)/(4+m)
+--R 
+--R
+--R   (2)
+--R         3 3     3 2      3      3  m + 4
+--R       (b m  + 6b m  + 11b m + 6b )x
+--R     + 
+--R            2 3        2 2        2         2  m + 3
+--R       (3a b m  + 21a b m  + 42a b m + 24a b )x
+--R     + 
+--R          2   3      2   2      2         2   m + 2
+--R       (3a b m  + 24a b m  + 57a b m + 36a b)x
+--R     + 
+--R         3 3     3 2      3       3  m + 1
+--R       (a m  + 9a m  + 26a m + 24a )x
+--R  /
+--R      4      3      2
+--R     m  + 10m  + 35m  + 50m + 24
+--R                                                    Type: Expression(Integer)
+--E 2216
+
+--S 2217 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R           3 3     3 2      3      3  4
+--R         (b m  + 6b m  + 11b m + 6b )x
+--R       + 
+--R              2 3        2 2        2         2  3
+--R         (3a b m  + 21a b m  + 42a b m + 24a b )x
+--R       + 
+--R          2   3      2   2      2         2   2     3 3     3 2      3       3
+--R       (3a b m  + 24a b m  + 57a b m + 36a b)x  + (a m  + 9a m  + 26a m + 24a )x
+--R    *
+--R         m log(x)
+--R       %e
+--R  /
+--R      4      3      2
+--R     m  + 10m  + 35m  + 50m + 24
+--R                                         Type: Union(Expression(Integer),...)
+--E 2217
+
+--S 2218 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R             3 3     3 2      3      3  4
+--R           (b m  + 6b m  + 11b m + 6b )x
+--R         + 
+--R                2 3        2 2        2         2  3
+--R           (3a b m  + 21a b m  + 42a b m + 24a b )x
+--R         + 
+--R              2   3      2   2      2         2   2
+--R           (3a b m  + 24a b m  + 57a b m + 36a b)x
+--R         + 
+--R             3 3     3 2      3       3
+--R           (a m  + 9a m  + 26a m + 24a )x
+--R      *
+--R           m log(x)
+--R         %e
+--R     + 
+--R           3 3     3 2      3      3  m + 4
+--R       (- b m  - 6b m  - 11b m - 6b )x
+--R     + 
+--R              2 3        2 2        2         2  m + 3
+--R       (- 3a b m  - 21a b m  - 42a b m - 24a b )x
+--R     + 
+--R            2   3      2   2      2         2   m + 2
+--R       (- 3a b m  - 24a b m  - 57a b m - 36a b)x
+--R     + 
+--R           3 3     3 2      3       3  m + 1
+--R       (- a m  - 9a m  - 26a m - 24a )x
+--R  /
+--R      4      3      2
+--R     m  + 10m  + 35m  + 50m + 24
+--R                                                    Type: Expression(Integer)
+--E 2218
+
+--S 2219 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)
+--R       3 3       2 2     2       3   m log(x)    3 m + 3       2 m + 2
+--R     (b x  + 3a b x  + 3a b x + a )%e         - b x      - 3a b x
+--R   + 
+--R         2   m + 1    3 m
+--R     - 3a b x      - a x
+--R                                                    Type: Expression(Integer)
+--E 2219
+
+)clear all
+
+--S 2220 of 3330
+t0000:=x^(5/2)*(a+b*x)^3
+--R 
+--R
+--R          3 5       2 4     2   3    3 2  +-+
+--R   (1)  (b x  + 3a b x  + 3a b x  + a x )\|x
+--R                                                    Type: Expression(Integer)
+--E 2220
+
+--S 2221 of 3330
+r0000:=2/7*a^3*x^(7/2)+2/3*a^2*b*x^(9/2)+6/11*a*b^2*x^(11/2)+2/13*b^3*x^(13/2)
+--R 
+--R
+--R             3 6          2 5        2   4       3 3  +-+
+--R        (462b x  + 1638a b x  + 2002a b x  + 858a x )\|x
+--R   (2)  -------------------------------------------------
+--R                               3003
+--R                                                    Type: Expression(Integer)
+--E 2221
+
+--S 2222 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R             3 6          2 5        2   4       3 3  +-+
+--R        (462b x  + 1638a b x  + 2002a b x  + 858a x )\|x
+--R   (3)  -------------------------------------------------
+--R                               3003
+--R                                         Type: Union(Expression(Integer),...)
+--E 2222
+
+--S 2223 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2223
+
+--S 2224 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2224
+
+)clear all
+
+--S 2225 of 3330
+t0000:=x^(3/2)*(a+b*x)^3
+--R 
+--R
+--R          3 4       2 3     2   2    3   +-+
+--R   (1)  (b x  + 3a b x  + 3a b x  + a x)\|x
+--R                                                    Type: Expression(Integer)
+--E 2225
+
+--S 2226 of 3330
+r0000:=2/5*a^3*x^(5/2)+6/7*a^2*b*x^(7/2)+2/3*a*b^2*x^(9/2)+2/11*b^3*x^(11/2)
+--R 
+--R
+--R             3 5         2 4       2   3       3 2  +-+
+--R        (210b x  + 770a b x  + 990a b x  + 462a x )\|x
+--R   (2)  -----------------------------------------------
+--R                              1155
+--R                                                    Type: Expression(Integer)
+--E 2226
+
+--S 2227 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R             3 5         2 4       2   3       3 2  +-+
+--R        (210b x  + 770a b x  + 990a b x  + 462a x )\|x
+--R   (3)  -----------------------------------------------
+--R                              1155
+--R                                         Type: Union(Expression(Integer),...)
+--E 2227
+
+--S 2228 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2228
+
+--S 2229 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2229
+
+)clear all
+
+--S 2230 of 3330
+t0000:=(a+b*x)^3*sqrt(x)
+--R 
+--R
+--R          3 3       2 2     2       3  +-+
+--R   (1)  (b x  + 3a b x  + 3a b x + a )\|x
+--R                                                    Type: Expression(Integer)
+--E 2230
+
+--S 2231 of 3330
+r0000:=2/3*a^3*x^(3/2)+6/5*a^2*b*x^(5/2)+6/7*a*b^2*x^(7/2)+2/9*b^3*x^(9/2)
+--R 
+--R
+--R            3 4         2 3       2   2       3   +-+
+--R        (70b x  + 270a b x  + 378a b x  + 210a x)\|x
+--R   (2)  ---------------------------------------------
+--R                             315
+--R                                                    Type: Expression(Integer)
+--E 2231
+
+--S 2232 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R            3 4         2 3       2   2       3   +-+
+--R        (70b x  + 270a b x  + 378a b x  + 210a x)\|x
+--R   (3)  ---------------------------------------------
+--R                             315
+--R                                         Type: Union(Expression(Integer),...)
+--E 2232
+
+--S 2233 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2233
+
+--S 2234 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2234
+
+)clear all
+
+--S 2235 of 3330
+t0000:=(a+b*x)^3/sqrt(x)
+--R 
+--R
+--R         3 3       2 2     2       3
+--R        b x  + 3a b x  + 3a b x + a
+--R   (1)  ----------------------------
+--R                     +-+
+--R                    \|x
+--R                                                    Type: Expression(Integer)
+--E 2235
+
+--S 2236 of 3330
+r0000:=2*a^2*b*x^(3/2)+6/5*a*b^2*x^(5/2)+2/7*b^3*x^(7/2)+2*a^3*sqrt(x)
+--R 
+--R
+--R            3 3        2 2      2         3  +-+
+--R        (10b x  + 42a b x  + 70a b x + 70a )\|x
+--R   (2)  ----------------------------------------
+--R                           35
+--R                                                    Type: Expression(Integer)
+--E 2236
+
+--S 2237 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R            3 3        2 2      2         3  +-+
+--R        (10b x  + 42a b x  + 70a b x + 70a )\|x
+--R   (3)  ----------------------------------------
+--R                           35
+--R                                         Type: Union(Expression(Integer),...)
+--E 2237
+
+--S 2238 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2238
+
+--S 2239 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2239
+
+)clear all
+
+--S 2240 of 3330
+t0000:=(a+b*x)^3/x^(3/2)
+--R 
+--R
+--R         3 3       2 2     2       3
+--R        b x  + 3a b x  + 3a b x + a
+--R   (1)  ----------------------------
+--R                      +-+
+--R                    x\|x
+--R                                                    Type: Expression(Integer)
+--E 2240
+
+--S 2241 of 3330
+r0000:=2*a*b^2*x^(3/2)+2/5*b^3*x^(5/2)-2*a^3/sqrt(x)+6*a^2*b*sqrt(x)
+--R 
+--R
+--R          3 3        2 2      2         3
+--R        2b x  + 10a b x  + 30a b x - 10a
+--R   (2)  ---------------------------------
+--R                        +-+
+--R                      5\|x
+--R                                                    Type: Expression(Integer)
+--E 2241
+
+--S 2242 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R          3 3        2 2      2         3
+--R        2b x  + 10a b x  + 30a b x - 10a
+--R   (3)  ---------------------------------
+--R                        +-+
+--R                      5\|x
+--R                                         Type: Union(Expression(Integer),...)
+--E 2242
+
+--S 2243 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2243
+
+--S 2244 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2244
+
+)clear all
+
+--S 2245 of 3330
+t0000:=(a+b*x)^3/x^(5/2)
+--R 
+--R
+--R         3 3       2 2     2       3
+--R        b x  + 3a b x  + 3a b x + a
+--R   (1)  ----------------------------
+--R                    2 +-+
+--R                   x \|x
+--R                                                    Type: Expression(Integer)
+--E 2245
+
+--S 2246 of 3330
+r0000:=-2/3*a^3/x^(3/2)+2/3*b^3*x^(3/2)-6*a^2*b/sqrt(x)+6*a*b^2*sqrt(x)
+--R 
+--R
+--R          3 3        2 2      2        3
+--R        2b x  + 18a b x  - 18a b x - 2a
+--R   (2)  --------------------------------
+--R                        +-+
+--R                     3x\|x
+--R                                                    Type: Expression(Integer)
+--E 2246
+
+--S 2247 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R          3 3        2 2      2        3
+--R        2b x  + 18a b x  - 18a b x - 2a
+--R   (3)  --------------------------------
+--R                        +-+
+--R                     3x\|x
+--R                                         Type: Union(Expression(Integer),...)
+--E 2247
+
+--S 2248 of 3330
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2248
+
+--S 2249 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2249
+
+)clear all
+
+--S 2250 of 3330
+t0000:=x^(5/2)/(a+b*x)
+--R 
+--R
+--R          2 +-+
+--R         x \|x
+--R   (1)  -------
+--R        b x + a
+--R                                                    Type: Expression(Integer)
+--E 2250
+
+--S 2251 of 3330
+r0000:=-2/3*a*x^(3/2)/b^2+2/5*x^(5/2)/b-_
+     2*a^(5/2)*atan(sqrt(b)*sqrt(x)/sqrt(a))/b^(7/2)+2*a^2*sqrt(x)/b^3
+--R 
+--R
+--R                        +-+ +-+
+--R             2 +-+     \|b \|x        2 2                2  +-+ +-+
+--R        - 30a \|a atan(--------) + (6b x  - 10a b x + 30a )\|b \|x
+--R                          +-+
+--R                         \|a
+--R   (2)  -----------------------------------------------------------
+--R                                     3 +-+
+--R                                  15b \|b
+--R                                                    Type: Expression(Integer)
+--E 2251
+
+--S 2252 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                       +---+
+--R                       |  a  +-+
+--R         +---+    - 2b |- - \|x  + b x - a
+--R       2 |  a         \|  b                      2 2                2  +-+
+--R    15a  |- - log(------------------------) + (6b x  - 10a b x + 30a )\|x
+--R        \|  b              b x + a
+--R   [----------------------------------------------------------------------,
+--R                                        3
+--R                                     15b
+--R           +-+      +-+
+--R         2 |a      \|x        2 2                2  +-+
+--R    - 30a  |- atan(----) + (6b x  - 10a b x + 30a )\|x
+--R          \|b       +-+
+--R                    |a
+--R                    |-
+--R                   \|b
+--R    ---------------------------------------------------]
+--R                               3
+--R                            15b
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 2252
+
+--S 2253 of 3330
+m0000:=a0000 - r0000
+--R 
+--R   There are 12 exposed and 3 unexposed library operations named - 
+--R      having 2 argument(s) but none was determined to be applicable. 
+--R      Use HyperDoc Browse, or issue
+--R                                )display op -
+--R      to learn more about the available operations. Perhaps 
+--R      package-calling the operation or using coercions on the arguments
+--R      will allow you to apply the operation.
+--R 
+--RDaly Bug
+--R   Cannot find a definition or applicable library operation named - 
+--R      with argument type(s) 
+--R                          List(Expression(Integer))
+--R                             Expression(Integer)
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 2253
+
+--S 2254 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Polynomial(Integer)
+--E 2254
+
+)clear all
+
+--S 2255 of 3330
+t0000:=x^(3/2)/(a+b*x)
+--R 
+--R
+--R           +-+
+--R         x\|x
+--R   (1)  -------
+--R        b x + a
+--R                                                    Type: Expression(Integer)
+--E 2255
+
+--S 2256 of 3330
+r0000:=2/3*x^(3/2)/b+2*a^(3/2)*atan(sqrt(b)*sqrt(x)/sqrt(a))/b^(5/2)-_
+     2*a*sqrt(x)/b^2
+--R 
+--R
+--R                    +-+ +-+
+--R           +-+     \|b \|x                 +-+ +-+
+--R        6a\|a atan(--------) + (2b x - 6a)\|b \|x
+--R                      +-+
+--R                     \|a
+--R   (2)  ------------------------------------------
+--R                            2 +-+
+--R                          3b \|b
+--R                                                    Type: Expression(Integer)
+--E 2256
+
+--S 2257 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                   +---+
+--R                   |  a  +-+
+--R       +---+    2b |- - \|x  + b x - a
+--R       |  a       \|  b                               +-+
+--R    3a |- - log(----------------------) + (2b x - 6a)\|x
+--R      \|  b             b x + a
+--R   [-----------------------------------------------------,
+--R                               2
+--R                             3b
+--R       +-+      +-+
+--R       |a      \|x                 +-+
+--R    6a |- atan(----) + (2b x - 6a)\|x
+--R      \|b       +-+
+--R                |a
+--R                |-
+--R               \|b
+--R    ----------------------------------]
+--R                      2
+--R                    3b
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 2257
+
+--S 2258 of 3330
+m0000:=a0000 - r0000
+--R 
+--R   There are 12 exposed and 3 unexposed library operations named - 
+--R      having 2 argument(s) but none was determined to be applicable. 
+--R      Use HyperDoc Browse, or issue
+--R                                )display op -
+--R      to learn more about the available operations. Perhaps 
+--R      package-calling the operation or using coercions on the arguments
+--R      will allow you to apply the operation.
+--R 
+--RDaly Bug
+--R   Cannot find a definition or applicable library operation named - 
+--R      with argument type(s) 
+--R                          List(Expression(Integer))
+--R                             Expression(Integer)
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 2258
+
+--S 2259 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Polynomial(Integer)
+--E 2259
+
+)clear all
+
+--S 2260 of 3330
+t0000:=sqrt(x)/(a+b*x)
+--R 
+--R
+--R           +-+
+--R          \|x
+--R   (1)  -------
+--R        b x + a
+--R                                                    Type: Expression(Integer)
+--E 2260
+
+--S 2261 of 3330
+r0000:=-2*atan(sqrt(b)*sqrt(x)/sqrt(a))*sqrt(a)/b^(3/2)+2*sqrt(x)/b
+--R 
+--R
+--R                     +-+ +-+
+--R            +-+     \|b \|x       +-+ +-+
+--R        - 2\|a atan(--------) + 2\|b \|x
+--R                       +-+
+--R                      \|a
+--R   (2)  ---------------------------------
+--R                        +-+
+--R                      b\|b
+--R                                                    Type: Expression(Integer)
+--E 2261
+
+--S 2262 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                                                     +-+      +-+
+--R                   +---+                             |a      \|x      +-+
+--R                   |  a  +-+                    - 2  |- atan(---- + 2\|x
+--R     +---+    - 2b |- - \|x  + b x - a              \|b       +-+
+--R     |  a         \|  b                     +-+               |a
+--R     |- - log(------------------------) + 2\|x                |-
+--R    \|  b              b x + a                               \|b
+--R   [-------------------------------------------,-------------------------]
+--R                         b                                  b
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 2262
+
+--S 2263 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                           +---+
+--R                           |  a  +-+
+--R         +---+        - 2b |- - \|x  + b x - a               +-+ +-+
+--R         |  a  +-+        \|  b                     +-+     \|b \|x
+--R         |- - \|b log(------------------------) + 2\|a atan(--------)
+--R        \|  b                  b x + a                         +-+
+--R                                                              \|a
+--R   (4)  -------------------------------------------------------------
+--R                                      +-+
+--R                                    b\|b
+--R                                                    Type: Expression(Integer)
+--E 2263
+
+--S 2264 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2264
+
+--S 2265 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                   +-+ +-+       +-+          +-+
+--R          +-+     \|b \|x        |a  +-+     \|x
+--R        2\|a atan(--------) - 2  |- \|b atan(----)
+--R                     +-+        \|b           +-+
+--R                    \|a                       |a
+--R                                              |-
+--R                                             \|b
+--R   (6)  -----------------------------------------
+--R                            +-+
+--R                          b\|b
+--R                                                    Type: Expression(Integer)
+--E 2265
+
+--S 2266 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 2266
+
+)clear all
+
+--S 2267 of 3330
+t0000:=1/((a+b*x)*sqrt(x))
+--R 
+--R
+--R              1
+--R   (1)  -------------
+--R                  +-+
+--R        (b x + a)\|x
+--R                                                    Type: Expression(Integer)
+--E 2267
+
+--S 2268 of 3330
+r0000:=2*atan(sqrt(b)*sqrt(x)/sqrt(a))/(sqrt(a)*sqrt(b))
+--R 
+--R
+--R               +-+ +-+
+--R              \|b \|x
+--R        2atan(--------)
+--R                 +-+
+--R                \|a
+--R   (2)  ---------------
+--R             +-+ +-+
+--R            \|a \|b
+--R                                                    Type: Expression(Integer)
+--E 2268
+
+--S 2269 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                  +-+             +-----+         +---+ +-+
+--R             2a b\|x  + (b x - a)\|- a b         \|a b \|x
+--R         log(----------------------------) 2atan(----------)
+--R                        b x + a                       a
+--R   (3)  [---------------------------------,-----------------]
+--R                       +-----+                    +---+
+--R                      \|- a b                    \|a b
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 2269
+
+--S 2270 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                         +-+             +-----+                   +-+ +-+
+--R         +-+ +-+    2a b\|x  + (b x - a)\|- a b       +-----+     \|b \|x
+--R        \|a \|b log(----------------------------) - 2\|- a b atan(--------)
+--R                               b x + a                               +-+
+--R                                                                    \|a
+--R   (4)  -------------------------------------------------------------------
+--R                                   +-----+ +-+ +-+
+--R                                  \|- a b \|a \|b
+--R                                                    Type: Expression(Integer)
+--E 2270
+
+--S 2271 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2271
+
+--S 2272 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                       +---+ +-+                 +-+ +-+
+--R          +-+ +-+     \|a b \|x       +---+     \|b \|x
+--R        2\|a \|b atan(----------) - 2\|a b atan(--------)
+--R                           a                       +-+
+--R                                                  \|a
+--R   (6)  -------------------------------------------------
+--R                           +-+ +-+ +---+
+--R                          \|a \|b \|a b
+--R                                                    Type: Expression(Integer)
+--E 2272
+
+--S 2273 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 2273
+
+)clear all
+
+--S 2274 of 3330
+t0000:=1/(x^(3/2)*(a+b*x))
+--R 
+--R
+--R                1
+--R   (1)  ----------------
+--R            2        +-+
+--R        (b x  + a x)\|x
+--R                                                    Type: Expression(Integer)
+--E 2274
+
+--S 2275 of 3330
+r0000:=-2*atan(sqrt(b)*sqrt(x)/sqrt(a))*sqrt(b)/a^(3/2)+(-2)/(a*sqrt(x))
+--R 
+--R
+--R                         +-+ +-+
+--R            +-+ +-+     \|b \|x       +-+
+--R        - 2\|b \|x atan(--------) - 2\|a
+--R                           +-+
+--R                          \|a
+--R   (2)  ---------------------------------
+--R                      +-+ +-+
+--R                    a\|a \|x
+--R                                                    Type: Expression(Integer)
+--E 2275
+
+--S 2276 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                                                     +-+           +-+
+--R                       +---+                         |b  +-+     b\|x
+--R                       |  b  +-+                - 2  |- \|x atan(----- - 2
+--R     +---+        - 2a |- - \|x  + b x - a          \|a            +-+
+--R     |  b  +-+        \|  a                                        |b
+--R     |- - \|x log(------------------------) - 2                  a |-
+--R    \|  a                  b x + a                                \|a
+--R   [-------------------------------------------,--------------------------]
+--R                         +-+                                 +-+
+--R                       a\|x                                a\|x
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 2276
+
+--S 2277 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                           +---+
+--R                           |  b  +-+
+--R         +---+        - 2a |- - \|x  + b x - a               +-+ +-+
+--R         |  b  +-+        \|  a                     +-+     \|b \|x
+--R         |- - \|a log(------------------------) + 2\|b atan(--------)
+--R        \|  a                  b x + a                         +-+
+--R                                                              \|a
+--R   (4)  -------------------------------------------------------------
+--R                                      +-+
+--R                                    a\|a
+--R                                                    Type: Expression(Integer)
+--E 2277
+
+--S 2278 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2278
+
+--S 2279 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                   +-+ +-+          +-+       +-+
+--R          +-+     \|b \|x       +-+ |b      b\|x
+--R        2\|b atan(--------) - 2\|a  |- atan(-----)
+--R                     +-+           \|a        +-+
+--R                    \|a                       |b
+--R                                            a |-
+--R                                             \|a
+--R   (6)  ------------------------------------------
+--R                             +-+
+--R                           a\|a
+--R                                                    Type: Expression(Integer)
+--E 2279
+
+--S 2280 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 2280
+
+)clear all
+
+--S 2281 of 3330
+t0000:=1/(x^(5/2)*(a+b*x))
+--R 
+--R
+--R                1
+--R   (1)  -----------------
+--R            3      2  +-+
+--R        (b x  + a x )\|x
+--R                                                    Type: Expression(Integer)
+--E 2281
+
+--S 2282 of 3330
+r0000:=(-2/3)/(a*x^(3/2))+2*b^(3/2)*atan(sqrt(b)*sqrt(x)/sqrt(a))/a^(5/2)+_
+     2*b/(a^2*sqrt(x))
+--R 
+--R
+--R                          +-+ +-+
+--R             +-+ +-+     \|b \|x                 +-+
+--R        6b x\|b \|x atan(--------) + (6b x - 2a)\|a
+--R                            +-+
+--R                           \|a
+--R   (2)  --------------------------------------------
+--R                          2  +-+ +-+
+--R                        3a x\|a \|x
+--R                                                    Type: Expression(Integer)
+--E 2282
+
+--S 2283 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                         +---+
+--R                         |  b  +-+
+--R         +---+        2a |- - \|x  + b x - a
+--R         |  b  +-+      \|  a
+--R    3b x |- - \|x log(----------------------) + 6b x - 2a
+--R        \|  a                 b x + a
+--R   [-----------------------------------------------------,
+--R                             2  +-+
+--R                           3a x\|x
+--R         +-+           +-+
+--R         |b  +-+     b\|x
+--R    6b x |- \|x atan(-----) + 6b x - 2a
+--R        \|a            +-+
+--R                       |b
+--R                     a |-
+--R                      \|a
+--R    -----------------------------------]
+--R                    2  +-+
+--R                  3a x\|x
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 2283
+
+--S 2284 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                          +---+
+--R                          |  b  +-+
+--R          +---+        2a |- - \|x  + b x - a                +-+ +-+
+--R          |  b  +-+      \|  a                      +-+     \|b \|x
+--R        b |- - \|a log(----------------------) - 2b\|b atan(--------)
+--R         \|  a                 b x + a                         +-+
+--R                                                              \|a
+--R   (4)  -------------------------------------------------------------
+--R                                     2 +-+
+--R                                    a \|a
+--R                                                    Type: Expression(Integer)
+--E 2284
+
+--S 2285 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2285
+
+--S 2286 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                      +-+ +-+           +-+       +-+
+--R             +-+     \|b \|x        +-+ |b      b\|x
+--R        - 2b\|b atan(--------) + 2b\|a  |- atan(-----)
+--R                        +-+            \|a        +-+
+--R                       \|a                        |b
+--R                                                a |-
+--R                                                 \|a
+--R   (6)  ----------------------------------------------
+--R                             2 +-+
+--R                            a \|a
+--R                                                    Type: Expression(Integer)
+--E 2286
+
+--S 2287 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 2287
+
+)clear all
+
+--S 2288 of 3330
+t0000:=1/(x^(7/2)*(a+b*x))
+--R 
+--R
+--R                1
+--R   (1)  -----------------
+--R            4      3  +-+
+--R        (b x  + a x )\|x
+--R                                                    Type: Expression(Integer)
+--E 2288
+
+--S 2289 of 3330
+r0000:=(-2/5)/(a*x^(5/2))+2/3*b/(a^2*x^(3/2))-_
+     2*b^(5/2)*atan(sqrt(b)*sqrt(x)/sqrt(a))/a^(7/2)-2*b^2/(a^3*sqrt(x))
+--R 
+--R
+--R                              +-+ +-+
+--R             2 2 +-+ +-+     \|b \|x           2 2               2  +-+
+--R        - 30b x \|b \|x atan(--------) + (- 30b x  + 10a b x - 6a )\|a
+--R                                +-+
+--R                               \|a
+--R   (2)  ---------------------------------------------------------------
+--R                                    3 2 +-+ +-+
+--R                                 15a x \|a \|x
+--R                                                    Type: Expression(Integer)
+--E 2289
+
+--S 2290 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                             +---+
+--R                             |  b  +-+
+--R           +---+        - 2a |- - \|x  + b x - a
+--R       2 2 |  b  +-+        \|  a                      2 2               2
+--R    15b x  |- - \|x log(------------------------) - 30b x  + 10a b x - 6a
+--R          \|  a                  b x + a
+--R   [----------------------------------------------------------------------,
+--R                                     3 2 +-+
+--R                                  15a x \|x
+--R             +-+           +-+
+--R         2 2 |b  +-+     b\|x        2 2               2
+--R    - 30b x  |- \|x atan(-----) - 30b x  + 10a b x - 6a
+--R            \|a            +-+
+--R                           |b
+--R                         a |-
+--R                          \|a
+--R    ----------------------------------------------------]
+--R                            3 2 +-+
+--R                         15a x \|x
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 2290
+
+--S 2291 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                             +---+
+--R                             |  b  +-+
+--R           +---+        - 2a |- - \|x  + b x - a                 +-+ +-+
+--R         2 |  b  +-+        \|  a                     2 +-+     \|b \|x
+--R        b  |- - \|a log(------------------------) + 2b \|b atan(--------)
+--R          \|  a                  b x + a                           +-+
+--R                                                                  \|a
+--R   (4)  -----------------------------------------------------------------
+--R                                       3 +-+
+--R                                      a \|a
+--R                                                    Type: Expression(Integer)
+--E 2291
+
+--S 2292 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2292
+
+--S 2293 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                     +-+ +-+            +-+       +-+
+--R          2 +-+     \|b \|x       2 +-+ |b      b\|x
+--R        2b \|b atan(--------) - 2b \|a  |- atan(-----)
+--R                       +-+             \|a        +-+
+--R                      \|a                         |b
+--R                                                a |-
+--R                                                 \|a
+--R   (6)  ----------------------------------------------
+--R                             3 +-+
+--R                            a \|a
+--R                                                    Type: Expression(Integer)
+--E 2293
+
+--S 2294 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 2294
+
+)clear all
+
+--S 2295 of 3330
+t0000:=x^(5/2)/(a+b*x)^2
+--R 
+--R
+--R               2 +-+
+--R              x \|x
+--R   (1)  ------------------
+--R         2 2             2
+--R        b x  + 2a b x + a
+--R                                                    Type: Expression(Integer)
+--E 2295
+
+--S 2296 of 3330
+r0000:=5/3*x^(3/2)/b^2-x^(5/2)/(b*(a+b*x))+_
+     5*a^(3/2)*atan(sqrt(b)*sqrt(x)/sqrt(a))/b^(7/2)-5*a*sqrt(x)/b^3
+--R 
+--R
+--R                                  +-+ +-+
+--R                      2  +-+     \|b \|x        2 2                2  +-+ +-+
+--R        (15a b x + 15a )\|a atan(--------) + (2b x  - 10a b x - 15a )\|b \|x
+--R                                    +-+
+--R                                   \|a
+--R   (2)  ---------------------------------------------------------------------
+--R                                     4        3  +-+
+--R                                  (3b x + 3a b )\|b
+--R                                                    Type: Expression(Integer)
+--E 2296
+
+--S 2297 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                                      +---+
+--R                                      |  a  +-+
+--R                          +---+    2b |- - \|x  + b x - a
+--R                       2  |  a       \|  b
+--R         (15a b x + 15a ) |- - log(----------------------)
+--R                         \|  b             b x + a
+--R       + 
+--R            2 2                2  +-+
+--R         (4b x  - 20a b x - 30a )\|x
+--R    /
+--R         4        3
+--R       6b x + 6a b
+--R     ,
+--R                     +-+      +-+
+--R                  2  |a      \|x        2 2                2  +-+
+--R    (15a b x + 15a ) |- atan(----) + (2b x  - 10a b x - 15a )\|x
+--R                    \|b       +-+
+--R                              |a
+--R                              |-
+--R                             \|b
+--R    -------------------------------------------------------------]
+--R                               4        3
+--R                             3b x + 3a b
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 2297
+
+--S 2298 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                           +---+
+--R                           |  a  +-+
+--R           +---+        2b |- - \|x  + b x - a                 +-+ +-+
+--R           |  a  +-+      \|  b                       +-+     \|b \|x
+--R        5a |- - \|b log(----------------------) - 10a\|a atan(--------)
+--R          \|  b                 b x + a                          +-+
+--R                                                                \|a
+--R   (4)  ---------------------------------------------------------------
+--R                                      3 +-+
+--R                                    2b \|b
+--R                                                    Type: Expression(Integer)
+--E 2298
+
+--S 2299 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2299
+
+--S 2300 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                      +-+ +-+       +-+          +-+
+--R             +-+     \|b \|x        |a  +-+     \|x
+--R        - 5a\|a atan(--------) + 5a |- \|b atan(----)
+--R                        +-+        \|b           +-+
+--R                       \|a                       |a
+--R                                                 |-
+--R                                                \|b
+--R   (6)  ---------------------------------------------
+--R                             3 +-+
+--R                            b \|b
+--R                                                    Type: Expression(Integer)
+--E 2300
+
+--S 2301 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 2301
+
+)clear all
+
+--S 2302 of 3330
+t0000:=x^(3/2)/(a+b*x)^2
+--R 
+--R
+--R                 +-+
+--R               x\|x
+--R   (1)  ------------------
+--R         2 2             2
+--R        b x  + 2a b x + a
+--R                                                    Type: Expression(Integer)
+--E 2302
+
+--S 2303 of 3330
+r0000:=-x^(3/2)/(b*(a+b*x))-3*atan(sqrt(b)*sqrt(x)/sqrt(a))*sqrt(a)/b^(5/2)+_
+     3*sqrt(x)/b^2
+--R 
+--R
+--R                               +-+ +-+
+--R                      +-+     \|b \|x                 +-+ +-+
+--R        (- 3b x - 3a)\|a atan(--------) + (2b x + 3a)\|b \|x
+--R                                 +-+
+--R                                \|a
+--R   (2)  -----------------------------------------------------
+--R                             3       2  +-+
+--R                           (b x + a b )\|b
+--R                                                    Type: Expression(Integer)
+--E 2303
+
+--S 2304 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                              +---+
+--R                              |  a  +-+
+--R                +---+    - 2b |- - \|x  + b x - a
+--R                |  a         \|  b                               +-+
+--R    (3b x + 3a) |- - log(------------------------) + (4b x + 6a)\|x
+--R               \|  b              b x + a
+--R   [----------------------------------------------------------------,
+--R                                3        2
+--R                              2b x + 2a b
+--R                  +-+      +-+
+--R                  |a      \|x                 +-+
+--R    (- 3b x - 3a) |- atan(----) + (2b x + 3a)\|x
+--R                 \|b       +-+
+--R                           |a
+--R                           |-
+--R                          \|b
+--R    ---------------------------------------------]
+--R                       3       2
+--R                      b x + a b
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 2304
+
+--S 2305 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                             +---+
+--R                             |  a  +-+
+--R           +---+        - 2b |- - \|x  + b x - a              +-+ +-+
+--R           |  a  +-+        \|  b                    +-+     \|b \|x
+--R        3  |- - \|b log(------------------------ + 6\|a atan(--------)
+--R          \|  b                  b x + a                        +-+
+--R                                                               \|a
+--R   (4)  --------------------------------------------------------------
+--R                                      2 +-+
+--R                                    2b \|b
+--R                                                    Type: Expression(Integer)
+--E 2305
+
+--S 2306 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2306
+
+--S 2307 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                   +-+ +-+       +-+          +-+
+--R          +-+     \|b \|x        |a  +-+     \|x
+--R        3\|a atan(--------) - 3  |- \|b atan(----)
+--R                     +-+        \|b           +-+
+--R                    \|a                       |a
+--R                                              |-
+--R                                             \|b
+--R   (6)  -----------------------------------------
+--R                           2 +-+
+--R                          b \|b
+--R                                                    Type: Expression(Integer)
+--E 2307
+
+--S 2308 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 2308
+
+)clear all
+
+--S 2309 of 3330
+t0000:=sqrt(x)/(a+b*x)^2
+--R 
+--R
+--R                +-+
+--R               \|x
+--R   (1)  ------------------
+--R         2 2             2
+--R        b x  + 2a b x + a
+--R                                                    Type: Expression(Integer)
+--E 2309
+
+--S 2310 of 3330
+r0000:=atan(sqrt(b)*sqrt(x)/sqrt(a))/(b^(3/2)*sqrt(a))-sqrt(x)/(b*(a+b*x))
+--R 
+--R
+--R                       +-+ +-+
+--R                      \|b \|x      +-+ +-+ +-+
+--R        (b x + a)atan(--------) - \|a \|b \|x
+--R                         +-+
+--R                        \|a
+--R   (2)  --------------------------------------
+--R                    2         +-+ +-+
+--R                  (b x + a b)\|a \|b
+--R                                                    Type: Expression(Integer)
+--E 2310
+
+--S 2311 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                      +-+             +-----+
+--R                 2a b\|x  + (b x - a)\|- a b       +-----+ +-+
+--R    (b x + a)log(----------------------------) - 2\|- a b \|x
+--R                            b x + a
+--R   [----------------------------------------------------------,
+--R                          2          +-----+
+--R                       (2b x + 2a b)\|- a b
+--R                   +---+ +-+
+--R                  \|a b \|x      +---+ +-+
+--R    (b x + a)atan(----------) - \|a b \|x
+--R                       a
+--R    --------------------------------------]
+--R                 2         +---+
+--R               (b x + a b)\|a b
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 2311
+
+--S 2312 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                         +-+             +-----+                   +-+ +-+
+--R         +-+ +-+    2a b\|x  + (b x - a)\|- a b       +-----+     \|b \|x
+--R        \|a \|b log(----------------------------) - 2\|- a b atan(--------)
+--R                               b x + a                               +-+
+--R                                                                    \|a
+--R   (4)  -------------------------------------------------------------------
+--R                                    +-----+ +-+ +-+
+--R                                 2b\|- a b \|a \|b
+--R                                                    Type: Expression(Integer)
+--E 2312
+
+--S 2313 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2313
+
+--S 2314 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                      +---+ +-+                +-+ +-+
+--R         +-+ +-+     \|a b \|x      +---+     \|b \|x
+--R        \|a \|b atan(----------) - \|a b atan(--------)
+--R                          a                      +-+
+--R                                                \|a
+--R   (6)  -----------------------------------------------
+--R                          +-+ +-+ +---+
+--R                        b\|a \|b \|a b
+--R                                                    Type: Expression(Integer)
+--E 2314
+
+--S 2315 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 2315
+
+)clear all
+
+--S 2316 of 3330
+t0000:=1/((a+b*x)^2*sqrt(x))
+--R 
+--R
+--R                    1
+--R   (1)  ------------------------
+--R          2 2             2  +-+
+--R        (b x  + 2a b x + a )\|x
+--R                                                    Type: Expression(Integer)
+--E 2316
+
+--S 2317 of 3330
+r0000:=atan(sqrt(b)*sqrt(x)/sqrt(a))/(a^(3/2)*sqrt(b))+sqrt(x)/(a*(a+b*x))
+--R 
+--R
+--R                       +-+ +-+
+--R                      \|b \|x      +-+ +-+ +-+
+--R        (b x + a)atan(--------) + \|a \|b \|x
+--R                         +-+
+--R                        \|a
+--R   (2)  --------------------------------------
+--R                           2  +-+ +-+
+--R                 (a b x + a )\|a \|b
+--R                                                    Type: Expression(Integer)
+--E 2317
+
+--S 2318 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                      +-+             +-----+
+--R                 2a b\|x  + (b x - a)\|- a b       +-----+ +-+
+--R    (b x + a)log(----------------------------) + 2\|- a b \|x
+--R                            b x + a
+--R   [----------------------------------------------------------,
+--R                                  2  +-----+
+--R                      (2a b x + 2a )\|- a b
+--R                   +---+ +-+
+--R                  \|a b \|x      +---+ +-+
+--R    (b x + a)atan(----------) + \|a b \|x
+--R                       a
+--R    --------------------------------------]
+--R                        2  +---+
+--R              (a b x + a )\|a b
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 2318
+
+--S 2319 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                         +-+             +-----+                   +-+ +-+
+--R         +-+ +-+    2a b\|x  + (b x - a)\|- a b       +-----+     \|b \|x
+--R        \|a \|b log(----------------------------) - 2\|- a b atan(--------)
+--R                               b x + a                               +-+
+--R                                                                    \|a
+--R   (4)  -------------------------------------------------------------------
+--R                                    +-----+ +-+ +-+
+--R                                 2a\|- a b \|a \|b
+--R                                                    Type: Expression(Integer)
+--E 2319
+
+--S 2320 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2320
+
+--S 2321 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                      +---+ +-+                +-+ +-+
+--R         +-+ +-+     \|a b \|x      +---+     \|b \|x
+--R        \|a \|b atan(----------) - \|a b atan(--------)
+--R                          a                      +-+
+--R                                                \|a
+--R   (6)  -----------------------------------------------
+--R                          +-+ +-+ +---+
+--R                        a\|a \|b \|a b
+--R                                                    Type: Expression(Integer)
+--E 2321
+
+--S 2322 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 2322
+
+)clear all
+
+--S 2323 of 3330
+t0000:=1/(x^(3/2)*(a+b*x)^2)
+--R 
+--R
+--R                     1
+--R   (1)  --------------------------
+--R          2 3         2    2   +-+
+--R        (b x  + 2a b x  + a x)\|x
+--R                                                    Type: Expression(Integer)
+--E 2323
+
+--S 2324 of 3330
+r0000:=-3*atan(sqrt(b)*sqrt(x)/sqrt(a))*sqrt(b)/a^(5/2)+_
+     (-3)/(a^2*sqrt(x))+1/(a*(a+b*x)*sqrt(x))
+--R 
+--R
+--R                                   +-+ +-+
+--R                      +-+ +-+     \|b \|x                   +-+
+--R        (- 3b x - 3a)\|b \|x atan(--------) + (- 3b x - 2a)\|a
+--R                                     +-+
+--R                                    \|a
+--R   (2)  -------------------------------------------------------
+--R                            2       3  +-+ +-+
+--R                          (a b x + a )\|a \|x
+--R                                                    Type: Expression(Integer)
+--E 2324
+
+--S 2325 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                                  +---+
+--R                                  |  b  +-+
+--R                +---+        - 2a |- - \|x  + b x - a
+--R                |  b  +-+        \|  a
+--R    (3b x + 3a) |- - \|x log(------------------------) - 6b x - 4a
+--R               \|  a                  b x + a
+--R   [--------------------------------------------------------------,
+--R                             2        3  +-+
+--R                          (2a b x + 2a )\|x
+--R                  +-+           +-+
+--R                  |b  +-+     b\|x
+--R    (- 3b x - 3a) |- \|x atan(-----) - 3b x - 2a
+--R                 \|a            +-+
+--R                                |b
+--R                              a |-
+--R                               \|a
+--R    --------------------------------------------]
+--R                    2       3  +-+
+--R                  (a b x + a )\|x
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 2325
+
+--S 2326 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                             +---+
+--R                             |  b  +-+
+--R           +---+        - 2a |- - \|x  + b x - a              +-+ +-+
+--R           |  b  +-+        \|  a                    +-+     \|b \|x
+--R        3  |- - \|a log(------------------------ + 6\|b atan(--------)
+--R          \|  a                  b x + a                        +-+
+--R                                                               \|a
+--R   (4)  --------------------------------------------------------------
+--R                                      2 +-+
+--R                                    2a \|a
+--R                                                    Type: Expression(Integer)
+--E 2326
+
+--S 2327 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2327
+
+--S 2328 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                   +-+ +-+          +-+       +-+
+--R          +-+     \|b \|x       +-+ |b      b\|x
+--R        3\|b atan(--------) - 3\|a  |- atan(-----)
+--R                     +-+           \|a        +-+
+--R                    \|a                       |b
+--R                                            a |-
+--R                                             \|a
+--R   (6)  ------------------------------------------
+--R                           2 +-+
+--R                          a \|a
+--R                                                    Type: Expression(Integer)
+--E 2328
+
+--S 2329 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 2329
+
+)clear all
+
+--S 2330 of 3330
+t0000:=1/(x^(5/2)*(a+b*x)^2)
+--R 
+--R
+--R                     1
+--R   (1)  ---------------------------
+--R          2 4         3    2 2  +-+
+--R        (b x  + 2a b x  + a x )\|x
+--R                                                    Type: Expression(Integer)
+--E 2330
+
+--S 2331 of 3330
+r0000:=(-5/3)/(a^2*x^(3/2))+1/(a*x^(3/2)*(a+b*x))+_
+     5*b^(3/2)*atan(sqrt(b)*sqrt(x)/sqrt(a))/a^(7/2)+5*b/(a^3*sqrt(x))
+--R 
+--R
+--R   (2)
+--R                                   +-+ +-+
+--R       2 2            +-+ +-+     \|b \|x         2 2               2  +-+
+--R   (15b x  + 15a b x)\|b \|x atan(--------) + (15b x  + 10a b x - 2a )\|a
+--R                                     +-+
+--R                                    \|a
+--R   -----------------------------------------------------------------------
+--R                              3   2     4   +-+ +-+
+--R                           (3a b x  + 3a x)\|a \|x
+--R                                                    Type: Expression(Integer)
+--E 2331
+
+--S 2332 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                                            +---+
+--R                                            |  b  +-+
+--R                            +---+        2a |- - \|x  + b x - a
+--R             2 2            |  b  +-+      \|  a                      2 2
+--R         (15b x  + 15a b x) |- - \|x log(----------------------) + 30b x
+--R                           \|  a                 b x + a
+--R       + 
+--R                     2
+--R         20a b x - 4a
+--R    /
+--R          3   2     4   +-+
+--R       (6a b x  + 6a x)\|x
+--R     ,
+--R                       +-+           +-+
+--R        2 2            |b  +-+     b\|x        2 2               2
+--R    (15b x  + 15a b x) |- \|x atan(-----) + 15b x  + 10a b x - 2a
+--R                      \|a            +-+
+--R                                     |b
+--R                                   a |-
+--R                                    \|a
+--R    --------------------------------------------------------------]
+--R                            3   2     4   +-+
+--R                         (3a b x  + 3a x)\|x
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 2332
+
+--S 2333 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                           +---+
+--R                           |  b  +-+
+--R           +---+        2a |- - \|x  + b x - a                 +-+ +-+
+--R           |  b  +-+      \|  a                       +-+     \|b \|x
+--R        5b |- - \|a log(----------------------) - 10b\|b atan(--------)
+--R          \|  a                 b x + a                          +-+
+--R                                                                \|a
+--R   (4)  ---------------------------------------------------------------
+--R                                      3 +-+
+--R                                    2a \|a
+--R                                                    Type: Expression(Integer)
+--E 2333
+
+--S 2334 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2334
+
+--S 2335 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                      +-+ +-+           +-+       +-+
+--R             +-+     \|b \|x        +-+ |b      b\|x
+--R        - 5b\|b atan(--------) + 5b\|a  |- atan(-----)
+--R                        +-+            \|a        +-+
+--R                       \|a                        |b
+--R                                                a |-
+--R                                                 \|a
+--R   (6)  ----------------------------------------------
+--R                             3 +-+
+--R                            a \|a
+--R                                                    Type: Expression(Integer)
+--E 2335
+
+--S 2336 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 2336
+
+)clear all
+
+--S 2337 of 3330
+t0000:=x^(7/2)/(a+b*x)^3
+--R 
+--R
+--R                    3 +-+
+--R                   x \|x
+--R   (1)  ----------------------------
+--R         3 3       2 2     2       3
+--R        b x  + 3a b x  + 3a b x + a
+--R                                                    Type: Expression(Integer)
+--E 2337
+
+--S 2338 of 3330
+r0000:=35/12*x^(3/2)/b^3-1/2*x^(7/2)/(b*(a+b*x)^2)-_
+     7/4*x^(5/2)/(b^2*(a+b*x))+35/4*a^(3/2)*_
+     atan(sqrt(b)*sqrt(x)/sqrt(a))/b^(9/2)-35/4*a*sqrt(x)/b^4
+--R 
+--R
+--R   (2)
+--R                                               +-+ +-+
+--R              2 2       2          3  +-+     \|b \|x
+--R       (105a b x  + 210a b x + 105a )\|a atan(--------)
+--R                                                 +-+
+--R                                                \|a
+--R     + 
+--R          3 3        2 2       2          3  +-+ +-+
+--R       (8b x  - 56a b x  - 175a b x - 105a )\|b \|x
+--R  /
+--R         6 2        5       2 4  +-+
+--R     (12b x  + 24a b x + 12a b )\|b
+--R                                                    Type: Expression(Integer)
+--E 2338
+
+--S 2339 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                                                    +---+
+--R                                                    |  a  +-+
+--R                                        +---+    2b |- - \|x  + b x - a
+--R                2 2       2          3  |  a       \|  b
+--R         (105a b x  + 210a b x + 105a ) |- - log(----------------------)
+--R                                       \|  b             b x + a
+--R       + 
+--R             3 3         2 2       2          3  +-+
+--R         (16b x  - 112a b x  - 350a b x - 210a )\|x
+--R    /
+--R          6 2        5       2 4
+--R       24b x  + 48a b x + 24a b
+--R     ,
+--R
+--R                                        +-+      +-+
+--R                2 2       2          3  |a      \|x
+--R         (105a b x  + 210a b x + 105a ) |- atan(----)
+--R                                       \|b       +-+
+--R                                                 |a
+--R                                                 |-
+--R                                                \|b
+--R       + 
+--R            3 3        2 2       2          3  +-+
+--R         (8b x  - 56a b x  - 175a b x - 105a )\|x
+--R    /
+--R          6 2        5       2 4
+--R       12b x  + 24a b x + 12a b
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 2339
+
+--S 2340 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                            +---+
+--R                            |  a  +-+
+--R            +---+        2b |- - \|x  + b x - a                 +-+ +-+
+--R            |  a  +-+      \|  b                       +-+     \|b \|x
+--R        35a |- - \|b log(----------------------) - 70a\|a atan(--------)
+--R           \|  b                 b x + a                          +-+
+--R                                                                 \|a
+--R   (4)  ----------------------------------------------------------------
+--R                                       4 +-+
+--R                                     8b \|b
+--R                                                    Type: Expression(Integer)
+--E 2340
+
+--S 2341 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2341
+
+--S 2342 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                       +-+ +-+        +-+          +-+
+--R              +-+     \|b \|x         |a  +-+     \|x
+--R        - 35a\|a atan(--------) + 35a |- \|b atan(----)
+--R                         +-+         \|b           +-+
+--R                        \|a                        |a
+--R                                                   |-
+--R                                                  \|b
+--R   (6)  -----------------------------------------------
+--R                              4 +-+
+--R                            4b \|b
+--R                                                    Type: Expression(Integer)
+--E 2342
+
+--S 2343 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 2343
+
+)clear all
+
+--S 2344 of 3330
+t0000:=x^(5/2)/(a+b*x)^3
+--R 
+--R
+--R                    2 +-+
+--R                   x \|x
+--R   (1)  ----------------------------
+--R         3 3       2 2     2       3
+--R        b x  + 3a b x  + 3a b x + a
+--R                                                    Type: Expression(Integer)
+--E 2344
+
+--S 2345 of 3330
+r0000:=-1/2*x^(5/2)/(b*(a+b*x)^2)-5/4*x^(3/2)/(b^2*(a+b*x))-_
+     15/4*atan(sqrt(b)*sqrt(x)/sqrt(a))*sqrt(a)/b^(7/2)+15/4*sqrt(x)/b^3
+--R 
+--R
+--R   (2)
+--R                                            +-+ +-+
+--R             2 2                2  +-+     \|b \|x
+--R       (- 15b x  - 30a b x - 15a )\|a atan(--------)
+--R                                              +-+
+--R                                             \|a
+--R     + 
+--R          2 2                2  +-+ +-+
+--R       (8b x  + 25a b x + 15a )\|b \|x
+--R  /
+--R        5 2       4      2 3  +-+
+--R     (4b x  + 8a b x + 4a b )\|b
+--R                                                    Type: Expression(Integer)
+--E 2345
+
+--S 2346 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                                                 +---+
+--R                                                 |  a  +-+
+--R                                   +---+    - 2b |- - \|x  + b x - a
+--R             2 2                2  |  a         \|  b
+--R         (15b x  + 30a b x + 15a ) |- - log(------------------------)
+--R                                  \|  b              b x + a
+--R       + 
+--R             2 2                2  +-+
+--R         (16b x  + 50a b x + 30a )\|x
+--R    /
+--R         5 2        4      2 3
+--R       8b x  + 16a b x + 8a b
+--R     ,
+--R                                +-+      +-+
+--R          2 2                2  |a      \|x        2 2                2  +-+
+--R    (- 15b x  - 30a b x - 15a ) |- atan(----) + (8b x  + 25a b x + 15a )\|x
+--R                               \|b       +-+
+--R                                         |a
+--R                                         |-
+--R                                        \|b
+--R    ------------------------------------------------------------------------]
+--R                               5 2       4      2 3
+--R                             4b x  + 8a b x + 4a b
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 2346
+
+--S 2347 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                              +---+
+--R                              |  a  +-+
+--R            +---+        - 2b |- - \|x  + b x - a               +-+ +-+
+--R            |  a  +-+        \|  b                     +-+     \|b \|x
+--R        15  |- - \|b log(------------------------ + 30\|a atan(--------)
+--R           \|  b                  b x + a                         +-+
+--R                                                                 \|a
+--R   (4)  ----------------------------------------------------------------
+--R                                       3 +-+
+--R                                     8b \|b
+--R                                                    Type: Expression(Integer)
+--E 2347
+
+--S 2348 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2348
+
+--S 2349 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                    +-+ +-+        +-+          +-+
+--R           +-+     \|b \|x         |a  +-+     \|x
+--R        15\|a atan(--------) - 15  |- \|b atan(----)
+--R                      +-+         \|b           +-+
+--R                     \|a                        |a
+--R                                                |-
+--R                                               \|b
+--R   (6)  -------------------------------------------
+--R                            3 +-+
+--R                          4b \|b
+--R                                                    Type: Expression(Integer)
+--E 2349
+
+--S 2350 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 2350
+
+)clear all
+
+--S 2351 of 3330
+t0000:=x^(3/2)/(a+b*x)^3
+--R 
+--R
+--R                      +-+
+--R                    x\|x
+--R   (1)  ----------------------------
+--R         3 3       2 2     2       3
+--R        b x  + 3a b x  + 3a b x + a
+--R                                                    Type: Expression(Integer)
+--E 2351
+
+--S 2352 of 3330
+r0000:=-1/2*x^(3/2)/(b*(a+b*x)^2)+_
+     3/4*atan(sqrt(b)*sqrt(x)/sqrt(a))/(b^(5/2)*sqrt(a))-_
+     3/4*sqrt(x)/(b^2*(a+b*x))
+--R 
+--R
+--R                                    +-+ +-+
+--R           2 2              2      \|b \|x                   +-+ +-+ +-+
+--R        (3b x  + 6a b x + 3a )atan(--------) + (- 5b x - 3a)\|a \|b \|x
+--R                                      +-+
+--R                                     \|a
+--R   (2)  ----------------------------------------------------------------
+--R                           4 2       3      2 2  +-+ +-+
+--R                        (4b x  + 8a b x + 4a b )\|a \|b
+--R                                                    Type: Expression(Integer)
+--E 2352
+
+--S 2353 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                                        +-+             +-----+
+--R            2 2              2     2a b\|x  + (b x - a)\|- a b
+--R         (3b x  + 6a b x + 3a )log(----------------------------)
+--R                                              b x + a
+--R       + 
+--R                        +-----+ +-+
+--R         (- 10b x - 6a)\|- a b \|x
+--R    /
+--R          4 2        3      2 2  +-----+
+--R       (8b x  + 16a b x + 8a b )\|- a b
+--R     ,
+--R                                +---+ +-+
+--R       2 2              2      \|a b \|x                   +---+ +-+
+--R    (3b x  + 6a b x + 3a )atan(----------) + (- 5b x - 3a)\|a b \|x
+--R                                    a
+--R    ----------------------------------------------------------------]
+--R                        4 2       3      2 2  +---+
+--R                     (4b x  + 8a b x + 4a b )\|a b
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 2353
+
+--S 2354 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                          +-+             +-----+                   +-+ +-+
+--R          +-+ +-+    2a b\|x  + (b x - a)\|- a b       +-----+     \|b \|x
+--R        3\|a \|b log(----------------------------) - 6\|- a b atan(--------)
+--R                                b x + a                               +-+
+--R                                                                     \|a
+--R   (4)  --------------------------------------------------------------------
+--R                                   2 +-----+ +-+ +-+
+--R                                 8b \|- a b \|a \|b
+--R                                                    Type: Expression(Integer)
+--E 2354
+
+--S 2355 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2355
+
+--S 2356 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                       +---+ +-+                 +-+ +-+
+--R          +-+ +-+     \|a b \|x       +---+     \|b \|x
+--R        3\|a \|b atan(----------) - 3\|a b atan(--------)
+--R                           a                       +-+
+--R                                                  \|a
+--R   (6)  -------------------------------------------------
+--R                          2 +-+ +-+ +---+
+--R                        4b \|a \|b \|a b
+--R                                                    Type: Expression(Integer)
+--E 2356
+
+--S 2357 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 2357
+
+)clear all
+
+--S 2358 of 3330
+t0000:=sqrt(x)/(a+b*x)^3
+--R 
+--R
+--R                     +-+
+--R                    \|x
+--R   (1)  ----------------------------
+--R         3 3       2 2     2       3
+--R        b x  + 3a b x  + 3a b x + a
+--R                                                    Type: Expression(Integer)
+--E 2358
+
+--S 2359 of 3330
+r0000:=1/4*atan(sqrt(b)*sqrt(x)/sqrt(a))/(a^(3/2)*b^(3/2))-_
+     1/2*sqrt(x)/(b*(a+b*x)^2)+1/4*sqrt(x)/(a*b*(a+b*x))
+--R 
+--R
+--R                                  +-+ +-+
+--R          2 2             2      \|b \|x               +-+ +-+ +-+
+--R        (b x  + 2a b x + a )atan(--------) + (b x - a)\|a \|b \|x
+--R                                    +-+
+--R                                   \|a
+--R   (2)  ----------------------------------------------------------
+--R                          3 2     2 2      3   +-+ +-+
+--R                     (4a b x  + 8a b x + 4a b)\|a \|b
+--R                                                    Type: Expression(Integer)
+--E 2359
+
+--S 2360 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                                      +-+             +-----+
+--R           2 2             2     2a b\|x  + (b x - a)\|- a b
+--R         (b x  + 2a b x + a )log(----------------------------)
+--R                                            b x + a
+--R       + 
+--R                     +-----+ +-+
+--R         (2b x - 2a)\|- a b \|x
+--R    /
+--R            3 2      2 2      3   +-----+
+--R       (8a b x  + 16a b x + 8a b)\|- a b
+--R     ,
+--R                              +---+ +-+
+--R      2 2             2      \|a b \|x               +---+ +-+
+--R    (b x  + 2a b x + a )atan(----------) + (b x - a)\|a b \|x
+--R                                  a
+--R    ----------------------------------------------------------]
+--R                       3 2     2 2      3   +---+
+--R                  (4a b x  + 8a b x + 4a b)\|a b
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 2360
+
+--S 2361 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                         +-+             +-----+                   +-+ +-+
+--R         +-+ +-+    2a b\|x  + (b x - a)\|- a b       +-----+     \|b \|x
+--R        \|a \|b log(----------------------------) - 2\|- a b atan(--------)
+--R                               b x + a                               +-+
+--R                                                                    \|a
+--R   (4)  -------------------------------------------------------------------
+--R                                     +-----+ +-+ +-+
+--R                                8a b\|- a b \|a \|b
+--R                                                    Type: Expression(Integer)
+--E 2361
+
+--S 2362 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2362
+
+--S 2363 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                      +---+ +-+                +-+ +-+
+--R         +-+ +-+     \|a b \|x      +---+     \|b \|x
+--R        \|a \|b atan(----------) - \|a b atan(--------)
+--R                          a                      +-+
+--R                                                \|a
+--R   (6)  -----------------------------------------------
+--R                            +-+ +-+ +---+
+--R                       4a b\|a \|b \|a b
+--R                                                    Type: Expression(Integer)
+--E 2363
+
+--S 2364 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 2364
+
+)clear all
+
+--S 2365 of 3330
+t0000:=1/((a+b*x)^3*sqrt(x))
+--R 
+--R
+--R                         1
+--R   (1)  ----------------------------------
+--R          3 3       2 2     2       3  +-+
+--R        (b x  + 3a b x  + 3a b x + a )\|x
+--R                                                    Type: Expression(Integer)
+--E 2365
+
+--S 2366 of 3330
+r0000:=3/4*atan(sqrt(b)*sqrt(x)/sqrt(a))/(a^(5/2)*sqrt(b))+_
+     1/2*sqrt(x)/(a*(a+b*x)^2)+3/4*sqrt(x)/(a^2*(a+b*x))
+--R 
+--R
+--R                                    +-+ +-+
+--R           2 2              2      \|b \|x                 +-+ +-+ +-+
+--R        (3b x  + 6a b x + 3a )atan(--------) + (3b x + 5a)\|a \|b \|x
+--R                                      +-+
+--R                                     \|a
+--R   (2)  --------------------------------------------------------------
+--R                          2 2 2     3        4  +-+ +-+
+--R                       (4a b x  + 8a b x + 4a )\|a \|b
+--R                                                    Type: Expression(Integer)
+--E 2366
+
+--S 2367 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                                        +-+             +-----+
+--R            2 2              2     2a b\|x  + (b x - a)\|- a b
+--R         (3b x  + 6a b x + 3a )log(----------------------------)
+--R                                              b x + a
+--R       + 
+--R                      +-----+ +-+
+--R         (6b x + 10a)\|- a b \|x
+--R    /
+--R          2 2 2      3        4  +-----+
+--R       (8a b x  + 16a b x + 8a )\|- a b
+--R     ,
+--R                                +---+ +-+
+--R       2 2              2      \|a b \|x                 +---+ +-+
+--R    (3b x  + 6a b x + 3a )atan(----------) + (3b x + 5a)\|a b \|x
+--R                                    a
+--R    --------------------------------------------------------------]
+--R                       2 2 2     3        4  +---+
+--R                    (4a b x  + 8a b x + 4a )\|a b
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 2367
+
+--S 2368 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                          +-+             +-----+                   +-+ +-+
+--R          +-+ +-+    2a b\|x  + (b x - a)\|- a b       +-----+     \|b \|x
+--R        3\|a \|b log(----------------------------) - 6\|- a b atan(--------)
+--R                                b x + a                               +-+
+--R                                                                     \|a
+--R   (4)  --------------------------------------------------------------------
+--R                                   2 +-----+ +-+ +-+
+--R                                 8a \|- a b \|a \|b
+--R                                                    Type: Expression(Integer)
+--E 2368
+
+--S 2369 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2369
+
+--S 2370 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                       +---+ +-+                 +-+ +-+
+--R          +-+ +-+     \|a b \|x       +---+     \|b \|x
+--R        3\|a \|b atan(----------) - 3\|a b atan(--------)
+--R                           a                       +-+
+--R                                                  \|a
+--R   (6)  -------------------------------------------------
+--R                          2 +-+ +-+ +---+
+--R                        4a \|a \|b \|a b
+--R                                                    Type: Expression(Integer)
+--E 2370
+
+--S 2371 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 2371
+
+)clear all
+
+--S 2372 of 3330
+t0000:=1/(x^(3/2)*(a+b*x)^3)
+--R 
+--R
+--R                          1
+--R   (1)  ------------------------------------
+--R          3 4       2 3     2   2    3   +-+
+--R        (b x  + 3a b x  + 3a b x  + a x)\|x
+--R                                                    Type: Expression(Integer)
+--E 2372
+
+--S 2373 of 3330
+r0000:=-15/4*atan(sqrt(b)*sqrt(x)/sqrt(a))*sqrt(b)/a^(7/2)+_
+     (-15/4)/(a^3*sqrt(x))+1/2/(a*(a+b*x)^2*sqrt(x))+_
+     5/4/(a^2*(a+b*x)*sqrt(x))
+--R 
+--R
+--R   (2)
+--R                                                +-+ +-+
+--R             2 2                2  +-+ +-+     \|b \|x
+--R       (- 15b x  - 30a b x - 15a )\|b \|x atan(--------)
+--R                                                  +-+
+--R                                                 \|a
+--R     + 
+--R             2 2               2  +-+
+--R       (- 15b x  - 25a b x - 8a )\|a
+--R  /
+--R        3 2 2     4        5  +-+ +-+
+--R     (4a b x  + 8a b x + 4a )\|a \|x
+--R                                                    Type: Expression(Integer)
+--E 2373
+
+--S 2374 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                                                     +---+
+--R                                                     |  b  +-+
+--R                                   +---+        - 2a |- - \|x  + b x - a
+--R             2 2                2  |  b  +-+        \|  a
+--R         (15b x  + 30a b x + 15a ) |- - \|x log(------------------------)
+--R                                  \|  a                  b x + a
+--R       + 
+--R              2 2                2
+--R         - 30b x  - 50a b x - 16a
+--R    /
+--R          3 2 2      4        5  +-+
+--R       (8a b x  + 16a b x + 8a )\|x
+--R     ,
+--R                                +-+           +-+
+--R          2 2                2  |b  +-+     b\|x        2 2               2
+--R    (- 15b x  - 30a b x - 15a ) |- \|x atan(-----) - 15b x  - 25a b x - 8a
+--R                               \|a            +-+
+--R                                              |b
+--R                                            a |-
+--R                                             \|a
+--R    -----------------------------------------------------------------------]
+--R                             3 2 2     4        5  +-+
+--R                          (4a b x  + 8a b x + 4a )\|x
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 2374
+
+--S 2375 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                              +---+
+--R                              |  b  +-+
+--R            +---+        - 2a |- - \|x  + b x - a               +-+ +-+
+--R            |  b  +-+        \|  a                     +-+     \|b \|x
+--R        15  |- - \|a log(------------------------ + 30\|b atan(--------)
+--R           \|  a                  b x + a                         +-+
+--R                                                                 \|a
+--R   (4)  ----------------------------------------------------------------
+--R                                       3 +-+
+--R                                     8a \|a
+--R                                                    Type: Expression(Integer)
+--E 2375
+
+--S 2376 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2376
+
+--S 2377 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                    +-+ +-+           +-+       +-+
+--R           +-+     \|b \|x        +-+ |b      b\|x
+--R        15\|b atan(--------) - 15\|a  |- atan(-----)
+--R                      +-+            \|a        +-+
+--R                     \|a                        |b
+--R                                              a |-
+--R                                               \|a
+--R   (6)  --------------------------------------------
+--R                             3 +-+
+--R                           4a \|a
+--R                                                    Type: Expression(Integer)
+--E 2377
+
+--S 2378 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 2378
+
+)clear all
+
+--S 2379 of 3330
+t0000:=1/(x^(5/2)*(a+b*x)^3)
+--R 
+--R
+--R                          1
+--R   (1)  -------------------------------------
+--R          3 5       2 4     2   3    3 2  +-+
+--R        (b x  + 3a b x  + 3a b x  + a x )\|x
+--R                                                    Type: Expression(Integer)
+--E 2379
+
+--S 2380 of 3330
+r0000:=(-35/12)/(a^3*x^(3/2))+1/2/(a*x^(3/2)*(a+b*x)^2)+_
+     7/4/(a^2*x^(3/2)*(a+b*x))+35/4*b^(3/2)*_
+     atan(sqrt(b)*sqrt(x)/sqrt(a))/a^(9/2)+35/4*b/(a^4*sqrt(x))
+--R 
+--R
+--R   (2)
+--R                                                     +-+ +-+
+--R            3 3         2 2       2     +-+ +-+     \|b \|x
+--R       (105b x  + 210a b x  + 105a b x)\|b \|x atan(--------)
+--R                                                       +-+
+--R                                                      \|a
+--R     + 
+--R            3 3         2 2      2        3  +-+
+--R       (105b x  + 175a b x  + 56a b x - 8a )\|a
+--R  /
+--R         4 2 3      5   2      6   +-+ +-+
+--R     (12a b x  + 24a b x  + 12a x)\|a \|x
+--R                                                    Type: Expression(Integer)
+--E 2380
+
+--S 2381 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                                                          +---+
+--R                                                          |  b  +-+
+--R                                          +---+        2a |- - \|x  + b x - a
+--R              3 3         2 2       2     |  b  +-+      \|  a
+--R         (105b x  + 210a b x  + 105a b x) |- - \|x log(----------------------)
+--R                                         \|  a                 b x + a
+--R       + 
+--R             3 3         2 2       2         3
+--R         210b x  + 350a b x  + 112a b x - 16a
+--R    /
+--R           4 2 3      5   2      6   +-+
+--R       (24a b x  + 48a b x  + 24a x)\|x
+--R     ,
+--R
+--R                                          +-+           +-+
+--R              3 3         2 2       2     |b  +-+     b\|x         3 3
+--R         (105b x  + 210a b x  + 105a b x) |- \|x atan(-----) + 105b x
+--R                                         \|a            +-+
+--R                                                        |b
+--R                                                      a |-
+--R                                                       \|a
+--R       + 
+--R               2 2      2        3
+--R         175a b x  + 56a b x - 8a
+--R    /
+--R           4 2 3      5   2      6   +-+
+--R       (12a b x  + 24a b x  + 12a x)\|x
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 2381
+
+--S 2382 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                            +---+
+--R                            |  b  +-+
+--R            +---+        2a |- - \|x  + b x - a                 +-+ +-+
+--R            |  b  +-+      \|  a                       +-+     \|b \|x
+--R        35b |- - \|a log(----------------------) - 70b\|b atan(--------)
+--R           \|  a                 b x + a                          +-+
+--R                                                                 \|a
+--R   (4)  ----------------------------------------------------------------
+--R                                       4 +-+
+--R                                     8a \|a
+--R                                                    Type: Expression(Integer)
+--E 2382
+
+--S 2383 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2383
+
+--S 2384 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                       +-+ +-+            +-+       +-+
+--R              +-+     \|b \|x         +-+ |b      b\|x
+--R        - 35b\|b atan(--------) + 35b\|a  |- atan(-----)
+--R                         +-+             \|a        +-+
+--R                        \|a                         |b
+--R                                                  a |-
+--R                                                   \|a
+--R   (6)  ------------------------------------------------
+--R                               4 +-+
+--R                             4a \|a
+--R                                                    Type: Expression(Integer)
+--E 2384
+
+--S 2385 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 2385
+
+)clear all
+
+--S 2386 of 3330
+t0000:=x^(5/2)/(-a+b*x)
+--R 
+--R
+--R          2 +-+
+--R         x \|x
+--R   (1)  -------
+--R        b x - a
+--R                                                    Type: Expression(Integer)
+--E 2386
+
+--S 2387 of 3330
+r0000:=2/3*a*x^(3/2)/b^2+2/5*x^(5/2)/b-_
+     2*a^(5/2)*atanh(sqrt(b)*sqrt(x)/sqrt(a))/b^(7/2)+2*a^2*sqrt(x)/b^3
+--R 
+--R
+--R                         +-+ +-+
+--R             2 +-+      \|b \|x        2 2                2  +-+ +-+
+--R        - 30a \|a atanh(--------) + (6b x  + 10a b x + 30a )\|b \|x
+--R                           +-+
+--R                          \|a
+--R   (2)  ------------------------------------------------------------
+--R                                     3 +-+
+--R                                  15b \|b
+--R                                                    Type: Expression(Integer)
+--E 2387
+
+--S 2388 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                     +-+
+--R                     |a  +-+
+--R         +-+    - 2b |- \|x  + b x + a
+--R       2 |a         \|b                      2 2                2  +-+
+--R    15a  |- log(----------------------) + (6b x  + 10a b x + 30a )\|x
+--R        \|b             b x - a
+--R   [------------------------------------------------------------------,
+--R                                      3
+--R                                   15b
+--R           +---+       +-+
+--R         2 |  a       \|x         2 2                2  +-+
+--R    - 30a  |- - atan(------) + (6b x  + 10a b x + 30a )\|x
+--R          \|  b       +---+
+--R                      |  a
+--R                      |- -
+--R                     \|  b
+--R    -------------------------------------------------------]
+--R                                 3
+--R                              15b
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 2388
+
+--S 2389 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                           +-+
+--R                           |a  +-+
+--R           +-+        - 2b |- \|x  + b x + a                  +-+ +-+
+--R         2 |a  +-+        \|b                     2 +-+      \|b \|x
+--R        a  |- \|b log(----------------------) + 2a \|a atanh(--------)
+--R          \|b                 b x - a                           +-+
+--R                                                               \|a
+--R   (4)  --------------------------------------------------------------
+--R                                     3 +-+
+--R                                    b \|b
+--R                                                    Type: Expression(Integer)
+--E 2389
+
+--S 2390 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2390
+
+--S 2391 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                      +-+ +-+        +---+           +-+
+--R          2 +-+      \|b \|x       2 |  a  +-+      \|x
+--R        2a \|a atanh(--------) - 2a  |- - \|b atan(------)
+--R                        +-+         \|  b           +---+
+--R                       \|a                          |  a
+--R                                                    |- -
+--R                                                   \|  b
+--R   (6)  --------------------------------------------------
+--R                               3 +-+
+--R                              b \|b
+--R                                                    Type: Expression(Integer)
+--E 2391
+
+--S 2392 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 2392
+
+)clear all
+
+--S 2393 of 3330
+t0000:=x^(3/2)/(-a+b*x)
+--R 
+--R
+--R           +-+
+--R         x\|x
+--R   (1)  -------
+--R        b x - a
+--R                                                    Type: Expression(Integer)
+--E 2393
+
+--S 2394 of 3330
+r0000:=2/3*x^(3/2)/b-2*a^(3/2)*atanh(sqrt(b)*sqrt(x)/sqrt(a))/b^(5/2)+_
+     2*a*sqrt(x)/b^2
+--R 
+--R
+--R                       +-+ +-+
+--R             +-+      \|b \|x                 +-+ +-+
+--R        - 6a\|a atanh(--------) + (2b x + 6a)\|b \|x
+--R                         +-+
+--R                        \|a
+--R   (2)  ---------------------------------------------
+--R                             2 +-+
+--R                           3b \|b
+--R                                                    Type: Expression(Integer)
+--E 2394
+
+--S 2395 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                   +-+
+--R                   |a  +-+
+--R       +-+    - 2b |- \|x  + b x + a
+--R       |a         \|b                               +-+
+--R    3a |- log(----------------------) + (2b x + 6a)\|x
+--R      \|b             b x - a
+--R   [---------------------------------------------------,
+--R                              2
+--R                            3b
+--R         +---+       +-+
+--R         |  a       \|x                  +-+
+--R    - 6a |- - atan(------) + (2b x + 6a)\|x
+--R        \|  b       +---+
+--R                    |  a
+--R                    |- -
+--R                   \|  b
+--R    ----------------------------------------]
+--R                         2
+--R                       3b
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 2395
+
+--S 2396 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                          +-+
+--R                          |a  +-+
+--R          +-+        - 2b |- \|x  + b x + a                 +-+ +-+
+--R          |a  +-+        \|b                      +-+      \|b \|x
+--R        a |- \|b log(----------------------) + 2a\|a atanh(--------)
+--R         \|b                 b x - a                          +-+
+--R                                                             \|a
+--R   (4)  ------------------------------------------------------------
+--R                                    2 +-+
+--R                                   b \|b
+--R                                                    Type: Expression(Integer)
+--E 2396
+
+--S 2397 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2397
+
+--S 2398 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                     +-+ +-+       +---+           +-+
+--R           +-+      \|b \|x        |  a  +-+      \|x
+--R        2a\|a atanh(--------) - 2a |- - \|b atan(------)
+--R                       +-+        \|  b           +---+
+--R                      \|a                         |  a
+--R                                                  |- -
+--R                                                 \|  b
+--R   (6)  ------------------------------------------------
+--R                              2 +-+
+--R                             b \|b
+--R                                                    Type: Expression(Integer)
+--E 2398
+
+--S 2399 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 2399
+
+)clear all
+
+--S 2400 of 3330
+t0000:=sqrt(x)/(-a+b*x)
+--R 
+--R
+--R           +-+
+--R          \|x
+--R   (1)  -------
+--R        b x - a
+--R                                                    Type: Expression(Integer)
+--E 2400
+
+--S 2401 of 3330
+r0000:=-2*atanh(sqrt(b)*sqrt(x)/sqrt(a))*sqrt(a)/b^(3/2)+2*sqrt(x)/b
+--R 
+--R
+--R                      +-+ +-+
+--R            +-+      \|b \|x       +-+ +-+
+--R        - 2\|a atanh(--------) + 2\|b \|x
+--R                        +-+
+--R                       \|a
+--R   (2)  ----------------------------------
+--R                         +-+
+--R                       b\|b
+--R                                                    Type: Expression(Integer)
+--E 2401
+
+--S 2402 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                                                 +---+       +-+
+--R                 +-+                             |  a       \|x       +-+
+--R                 |a  +-+                    - 2  |- - atan(------ + 2\|x
+--R     +-+    - 2b |- \|x  + b x + a              \|  b       +---+
+--R     |a         \|b                     +-+                 |  a
+--R     |- log(----------------------) + 2\|x                  |- -
+--R    \|b             b x - a                                \|  b
+--R   [---------------------------------------,-----------------------------]
+--R                       b                                  b
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 2402
+
+--S 2403 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                         +-+
+--R                         |a  +-+
+--R         +-+        - 2b |- \|x  + b x + a                +-+ +-+
+--R         |a  +-+        \|b                     +-+      \|b \|x
+--R         |- \|b log(----------------------) + 2\|a atanh(--------)
+--R        \|b                 b x - a                         +-+
+--R                                                           \|a
+--R   (4)  ----------------------------------------------------------
+--R                                     +-+
+--R                                   b\|b
+--R                                                    Type: Expression(Integer)
+--E 2403
+
+--S 2404 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2404
+
+--S 2405 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                    +-+ +-+       +---+           +-+
+--R          +-+      \|b \|x        |  a  +-+      \|x
+--R        2\|a atanh(--------) - 2  |- - \|b atan(------)
+--R                      +-+        \|  b           +---+
+--R                     \|a                         |  a
+--R                                                 |- -
+--R                                                \|  b
+--R   (6)  ----------------------------------------------
+--R                               +-+
+--R                             b\|b
+--R                                                    Type: Expression(Integer)
+--E 2405
+
+--S 2406 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 2406
+
+)clear all
+
+--S 2407 of 3330
+t0000:=1/((-a+b*x)*sqrt(x))
+--R 
+--R
+--R              1
+--R   (1)  -------------
+--R                  +-+
+--R        (b x - a)\|x
+--R                                                    Type: Expression(Integer)
+--E 2407
+
+--S 2408 of 3330
+r0000:=-2*atanh(sqrt(b)*sqrt(x)/sqrt(a))/(sqrt(a)*sqrt(b))
+--R 
+--R
+--R                  +-+ +-+
+--R                 \|b \|x
+--R          2atanh(--------)
+--R                    +-+
+--R                   \|a
+--R   (2)  - ----------------
+--R               +-+ +-+
+--R              \|a \|b
+--R                                                    Type: Expression(Integer)
+--E 2408
+
+--S 2409 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                    +-+             +---+           +-----+ +-+
+--R             - 2a b\|x  + (b x + a)\|a b           \|- a b \|x
+--R         log(----------------------------)   2atan(------------)
+--R                        b x - a                          a
+--R   (3)  [---------------------------------,- -------------------]
+--R                        +---+                       +-----+
+--R                       \|a b                       \|- a b
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 2409
+
+--S 2410 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                           +-+             +---+                  +-+ +-+
+--R         +-+ +-+    - 2a b\|x  + (b x + a)\|a b       +---+      \|b \|x
+--R        \|a \|b log(----------------------------) + 2\|a b atanh(--------)
+--R                               b x - a                              +-+
+--R                                                                   \|a
+--R   (4)  ------------------------------------------------------------------
+--R                                   +-+ +-+ +---+
+--R                                  \|a \|b \|a b
+--R                                                    Type: Expression(Integer)
+--E 2410
+
+--S 2411 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2411
+
+--S 2412 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                        +-+ +-+                   +-----+ +-+
+--R          +-----+      \|b \|x       +-+ +-+     \|- a b \|x
+--R        2\|- a b atanh(--------) - 2\|a \|b atan(------------)
+--R                          +-+                          a
+--R                         \|a
+--R   (6)  ------------------------------------------------------
+--R                            +-----+ +-+ +-+
+--R                           \|- a b \|a \|b
+--R                                                    Type: Expression(Integer)
+--E 2412
+
+--S 2413 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 2413
+
+)clear all
+
+--S 2414 of 3330
+t0000:=1/(x^(3/2)*(-a+b*x))
+--R 
+--R
+--R                1
+--R   (1)  ----------------
+--R            2        +-+
+--R        (b x  - a x)\|x
+--R                                                    Type: Expression(Integer)
+--E 2414
+
+--S 2415 of 3330
+r0000:=-2*atanh(sqrt(b)*sqrt(x)/sqrt(a))*sqrt(b)/a^(3/2)+2/(a*sqrt(x))
+--R 
+--R
+--R                          +-+ +-+
+--R            +-+ +-+      \|b \|x       +-+
+--R        - 2\|b \|x atanh(--------) + 2\|a
+--R                            +-+
+--R                           \|a
+--R   (2)  ----------------------------------
+--R                       +-+ +-+
+--R                     a\|a \|x
+--R                                                    Type: Expression(Integer)
+--E 2415
+
+--S 2416 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                                                 +---+            +-+
+--R                     +-+                         |  b  +-+      b\|x
+--R                     |b  +-+                - 2  |- - \|x atan(------- + 2
+--R     +-+        - 2a |- \|x  + b x + a          \|  a            +---+
+--R     |b  +-+        \|a                                          |  b
+--R     |- \|x log(----------------------) + 2                    a |- -
+--R    \|a                 b x - a                                 \|  a
+--R   [---------------------------------------,------------------------------]
+--R                       +-+                                 +-+
+--R                     a\|x                                a\|x
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 2416
+
+--S 2417 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                         +-+
+--R                         |b  +-+
+--R             +-+    - 2a |- \|x  + b x + a                +-+ +-+
+--R         +-+ |b         \|a                     +-+      \|b \|x
+--R        \|a  |- log(----------------------) + 2\|b atanh(--------)
+--R            \|a             b x - a                         +-+
+--R                                                           \|a
+--R   (4)  ----------------------------------------------------------
+--R                                     +-+
+--R                                   a\|a
+--R                                                    Type: Expression(Integer)
+--E 2417
+
+--S 2418 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2418
+
+--S 2419 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                    +-+ +-+       +---+            +-+
+--R          +-+      \|b \|x        |  b  +-+      b\|x
+--R        2\|b atanh(--------) - 2  |- - \|a atan(-------)
+--R                      +-+        \|  a            +---+
+--R                     \|a                          |  b
+--R                                                a |- -
+--R                                                 \|  a
+--R   (6)  -----------------------------------------------
+--R                               +-+
+--R                             a\|a
+--R                                                    Type: Expression(Integer)
+--E 2419
+
+--S 2420 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 2420
+
+)clear all
+
+--S 2421 of 3330
+t0000:=1/(x^(5/2)*(-a+b*x))
+--R 
+--R
+--R                1
+--R   (1)  -----------------
+--R            3      2  +-+
+--R        (b x  - a x )\|x
+--R                                                    Type: Expression(Integer)
+--E 2421
+
+--S 2422 of 3330
+r0000:=2/3/(a*x^(3/2))-2*b^(3/2)*atanh(sqrt(b)*sqrt(x)/sqrt(a))/a^(5/2)+_
+     2*b/(a^2*sqrt(x))
+--R 
+--R
+--R                             +-+ +-+
+--R               +-+ +-+      \|b \|x                 +-+
+--R        - 6b x\|b \|x atanh(--------) + (6b x + 2a)\|a
+--R                               +-+
+--R                              \|a
+--R   (2)  -----------------------------------------------
+--R                            2  +-+ +-+
+--R                          3a x\|a \|x
+--R                                                    Type: Expression(Integer)
+--E 2422
+
+--S 2423 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                         +-+
+--R                         |b  +-+
+--R         +-+        - 2a |- \|x  + b x + a
+--R         |b  +-+        \|a
+--R    3b x |- \|x log(----------------------) + 6b x + 2a
+--R        \|a                 b x - a
+--R   [---------------------------------------------------,
+--R                            2  +-+
+--R                          3a x\|x
+--R           +---+            +-+
+--R           |  b  +-+      b\|x
+--R    - 6b x |- - \|x atan(-------) + 6b x + 2a
+--R          \|  a            +---+
+--R                           |  b
+--R                         a |- -
+--R                          \|  a
+--R    -----------------------------------------]
+--R                       2  +-+
+--R                     3a x\|x
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 2423
+
+--S 2424 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                          +-+
+--R                          |b  +-+
+--R              +-+    - 2a |- \|x  + b x + a                 +-+ +-+
+--R          +-+ |b         \|a                      +-+      \|b \|x
+--R        b\|a  |- log(----------------------) + 2b\|b atanh(--------)
+--R             \|a             b x - a                          +-+
+--R                                                             \|a
+--R   (4)  ------------------------------------------------------------
+--R                                    2 +-+
+--R                                   a \|a
+--R                                                    Type: Expression(Integer)
+--E 2424
+
+--S 2425 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2425
+
+--S 2426 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                     +-+ +-+       +---+            +-+
+--R           +-+      \|b \|x        |  b  +-+      b\|x
+--R        2b\|b atanh(--------) - 2b |- - \|a atan(-------)
+--R                       +-+        \|  a            +---+
+--R                      \|a                          |  b
+--R                                                 a |- -
+--R                                                  \|  a
+--R   (6)  -------------------------------------------------
+--R                               2 +-+
+--R                              a \|a
+--R                                                    Type: Expression(Integer)
+--E 2426
+
+--S 2427 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 2427
+
+)clear all
+
+--S 2428 of 3330
+t0000:=1/(x^(7/2)*(-a+b*x))
+--R 
+--R
+--R                1
+--R   (1)  -----------------
+--R            4      3  +-+
+--R        (b x  - a x )\|x
+--R                                                    Type: Expression(Integer)
+--E 2428
+
+--S 2429 of 3330
+r0000:=2/5/(a*x^(5/2))+2/3*b/(a^2*x^(3/2))-_
+     2*b^(5/2)*atanh(sqrt(b)*sqrt(x)/sqrt(a))/a^(7/2)+2*b^2/(a^3*sqrt(x))
+--R 
+--R
+--R                               +-+ +-+
+--R             2 2 +-+ +-+      \|b \|x         2 2               2  +-+
+--R        - 30b x \|b \|x atanh(--------) + (30b x  + 10a b x + 6a )\|a
+--R                                 +-+
+--R                                \|a
+--R   (2)  --------------------------------------------------------------
+--R                                   3 2 +-+ +-+
+--R                                15a x \|a \|x
+--R                                                    Type: Expression(Integer)
+--E 2429
+
+--S 2430 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                           +-+
+--R                           |b  +-+
+--R           +-+        - 2a |- \|x  + b x + a
+--R       2 2 |b  +-+        \|a                      2 2               2
+--R    15b x  |- \|x log(----------------------) + 30b x  + 10a b x + 6a
+--R          \|a                 b x - a
+--R   [------------------------------------------------------------------,
+--R                                   3 2 +-+
+--R                                15a x \|x
+--R             +---+            +-+
+--R         2 2 |  b  +-+      b\|x         2 2               2
+--R    - 30b x  |- - \|x atan(-------) + 30b x  + 10a b x + 6a
+--R            \|  a            +---+
+--R                             |  b
+--R                           a |- -
+--R                            \|  a
+--R    --------------------------------------------------------]
+--R                              3 2 +-+
+--R                           15a x \|x
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 2430
+
+--S 2431 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                           +-+
+--R                           |b  +-+
+--R               +-+    - 2a |- \|x  + b x + a                  +-+ +-+
+--R         2 +-+ |b         \|a                     2 +-+      \|b \|x
+--R        b \|a  |- log(----------------------) + 2b \|b atanh(--------)
+--R              \|a             b x - a                           +-+
+--R                                                               \|a
+--R   (4)  --------------------------------------------------------------
+--R                                     3 +-+
+--R                                    a \|a
+--R                                                    Type: Expression(Integer)
+--E 2431
+
+--S 2432 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2432
+
+--S 2433 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                      +-+ +-+        +---+            +-+
+--R          2 +-+      \|b \|x       2 |  b  +-+      b\|x
+--R        2b \|b atanh(--------) - 2b  |- - \|a atan(-------)
+--R                        +-+         \|  a            +---+
+--R                       \|a                           |  b
+--R                                                   a |- -
+--R                                                    \|  a
+--R   (6)  ---------------------------------------------------
+--R                                3 +-+
+--R                               a \|a
+--R                                                    Type: Expression(Integer)
+--E 2433
+
+--S 2434 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 2434
+
+)clear all
+
+--S 2435 of 3330
+t0000:=x^(5/2)/(-a+b*x)^2
+--R 
+--R
+--R               2 +-+
+--R              x \|x
+--R   (1)  ------------------
+--R         2 2             2
+--R        b x  - 2a b x + a
+--R                                                    Type: Expression(Integer)
+--E 2435
+
+--S 2436 of 3330
+r0000:=5/3*x^(3/2)/b^2+x^(5/2)/(b*(a-b*x))-_
+     5*a^(3/2)*atanh(sqrt(b)*sqrt(x)/sqrt(a))/b^(7/2)+5*a*sqrt(x)/b^3
+--R 
+--R
+--R   (2)
+--R                                +-+ +-+
+--R                   2  +-+      \|b \|x        2 2                2  +-+ +-+
+--R   (- 15a b x + 15a )\|a atanh(--------) + (2b x  + 10a b x - 15a )\|b \|x
+--R                                  +-+
+--R                                 \|a
+--R   ------------------------------------------------------------------------
+--R                                 4        3  +-+
+--R                              (3b x - 3a b )\|b
+--R                                                    Type: Expression(Integer)
+--E 2436
+
+--S 2437 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                                      +-+
+--R                                      |a  +-+
+--R                          +-+    - 2b |- \|x  + b x + a
+--R                       2  |a         \|b
+--R         (15a b x - 15a ) |- log(----------------------)
+--R                         \|b             b x - a
+--R       + 
+--R            2 2                2  +-+
+--R         (4b x  + 20a b x - 30a )\|x
+--R    /
+--R         4        3
+--R       6b x - 6a b
+--R     ,
+--R                       +---+       +-+
+--R                    2  |  a       \|x         2 2                2  +-+
+--R    (- 15a b x + 15a ) |- - atan(------) + (2b x  + 10a b x - 15a )\|x
+--R                      \|  b       +---+
+--R                                  |  a
+--R                                  |- -
+--R                                 \|  b
+--R    -------------------------------------------------------------------]
+--R                                  4        3
+--R                                3b x - 3a b
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 2437
+
+--S 2438 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                           +-+
+--R                           |a  +-+
+--R           +-+        - 2b |- \|x  + b x + a                  +-+ +-+
+--R           |a  +-+        \|b                       +-+      \|b \|x
+--R        5a |- \|b log(----------------------) + 10a\|a atanh(--------)
+--R          \|b                 b x - a                           +-+
+--R                                                               \|a
+--R   (4)  --------------------------------------------------------------
+--R                                      3 +-+
+--R                                    2b \|b
+--R                                                    Type: Expression(Integer)
+--E 2438
+
+--S 2439 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2439
+
+--S 2440 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                     +-+ +-+       +---+           +-+
+--R           +-+      \|b \|x        |  a  +-+      \|x
+--R        5a\|a atanh(--------) - 5a |- - \|b atan(------)
+--R                       +-+        \|  b           +---+
+--R                      \|a                         |  a
+--R                                                  |- -
+--R                                                 \|  b
+--R   (6)  ------------------------------------------------
+--R                              3 +-+
+--R                             b \|b
+--R                                                    Type: Expression(Integer)
+--E 2440
+
+--S 2441 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 2441
+
+)clear all
+
+--S 2442 of 3330
+t0000:=x^(3/2)/(-a+b*x)^2
+--R 
+--R
+--R                 +-+
+--R               x\|x
+--R   (1)  ------------------
+--R         2 2             2
+--R        b x  - 2a b x + a
+--R                                                    Type: Expression(Integer)
+--E 2442
+
+--S 2443 of 3330
+r0000:=x^(3/2)/(b*(a-b*x))-3*atanh(sqrt(b)*sqrt(x)/sqrt(a))*sqrt(a)/b^(5/2)+_
+     3*sqrt(x)/b^2
+--R 
+--R
+--R                                +-+ +-+
+--R                      +-+      \|b \|x                 +-+ +-+
+--R        (- 3b x + 3a)\|a atanh(--------) + (2b x - 3a)\|b \|x
+--R                                  +-+
+--R                                 \|a
+--R   (2)  ------------------------------------------------------
+--R                             3       2  +-+
+--R                           (b x - a b )\|b
+--R                                                    Type: Expression(Integer)
+--E 2443
+
+--S 2444 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                            +-+
+--R                            |a  +-+
+--R                +-+    - 2b |- \|x  + b x + a
+--R                |a         \|b                               +-+
+--R    (3b x - 3a) |- log(----------------------) + (4b x - 6a)\|x
+--R               \|b             b x - a
+--R   [------------------------------------------------------------,
+--R                              3        2
+--R                            2b x - 2a b
+--R                  +---+       +-+
+--R                  |  a       \|x                  +-+
+--R    (- 3b x + 3a) |- - atan(------) + (2b x - 3a)\|x
+--R                 \|  b       +---+
+--R                             |  a
+--R                             |- -
+--R                            \|  b
+--R    -------------------------------------------------]
+--R                         3       2
+--R                        b x - a b
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 2444
+
+--S 2445 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                           +-+
+--R                           |a  +-+
+--R           +-+        - 2b |- \|x  + b x + a               +-+ +-+
+--R           |a  +-+        \|b                    +-+      \|b \|x
+--R        3  |- \|b log(---------------------- + 6\|a atanh(--------)
+--R          \|b                 b x - a                        +-+
+--R                                                            \|a
+--R   (4)  -----------------------------------------------------------
+--R                                    2 +-+
+--R                                  2b \|b
+--R                                                    Type: Expression(Integer)
+--E 2445
+
+--S 2446 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2446
+
+--S 2447 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                    +-+ +-+       +---+           +-+
+--R          +-+      \|b \|x        |  a  +-+      \|x
+--R        3\|a atanh(--------) - 3  |- - \|b atan(------)
+--R                      +-+        \|  b           +---+
+--R                     \|a                         |  a
+--R                                                 |- -
+--R                                                \|  b
+--R   (6)  ----------------------------------------------
+--R                             2 +-+
+--R                            b \|b
+--R                                                    Type: Expression(Integer)
+--E 2447
+
+--S 2448 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 2448
+
+)clear all
+
+--S 2449 of 3330
+t0000:=sqrt(x)/(-a+b*x)^2
+--R 
+--R
+--R                +-+
+--R               \|x
+--R   (1)  ------------------
+--R         2 2             2
+--R        b x  - 2a b x + a
+--R                                                    Type: Expression(Integer)
+--E 2449
+
+--S 2450 of 3330
+r0000:=-atanh(sqrt(b)*sqrt(x)/sqrt(a))/(b^(3/2)*sqrt(a))+sqrt(x)/(b*(a-b*x))
+--R 
+--R
+--R                          +-+ +-+
+--R                         \|b \|x      +-+ +-+ +-+
+--R        (- b x + a)atanh(--------) - \|a \|b \|x
+--R                            +-+
+--R                           \|a
+--R   (2)  -----------------------------------------
+--R                     2         +-+ +-+
+--R                   (b x - a b)\|a \|b
+--R                                                    Type: Expression(Integer)
+--E 2450
+
+--S 2451 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                        +-+             +---+
+--R                 - 2a b\|x  + (b x + a)\|a b       +---+ +-+
+--R    (b x - a)log(----------------------------) - 2\|a b \|x
+--R                            b x - a
+--R   [--------------------------------------------------------,
+--R                          2          +---+
+--R                       (2b x - 2a b)\|a b
+--R                     +-----+ +-+
+--R                    \|- a b \|x      +-----+ +-+
+--R    (- b x + a)atan(------------) - \|- a b \|x
+--R                          a
+--R    --------------------------------------------]
+--R                   2         +-----+
+--R                 (b x - a b)\|- a b
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 2451
+
+--S 2452 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                           +-+             +---+                  +-+ +-+
+--R         +-+ +-+    - 2a b\|x  + (b x + a)\|a b       +---+      \|b \|x
+--R        \|a \|b log(----------------------------) + 2\|a b atanh(--------)
+--R                               b x - a                              +-+
+--R                                                                   \|a
+--R   (4)  ------------------------------------------------------------------
+--R                                    +-+ +-+ +---+
+--R                                 2b\|a \|b \|a b
+--R                                                    Type: Expression(Integer)
+--E 2452
+
+--S 2453 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2453
+
+--S 2454 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                       +-+ +-+                  +-----+ +-+
+--R         +-----+      \|b \|x      +-+ +-+     \|- a b \|x
+--R        \|- a b atanh(--------) - \|a \|b atan(------------)
+--R                         +-+                         a
+--R                        \|a
+--R   (6)  ----------------------------------------------------
+--R                            +-----+ +-+ +-+
+--R                          b\|- a b \|a \|b
+--R                                                    Type: Expression(Integer)
+--E 2454
+
+--S 2455 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 2455
+
+)clear all
+
+--S 2456 of 3330
+t0000:=1/((-a+b*x)^2*sqrt(x))
+--R 
+--R
+--R                    1
+--R   (1)  ------------------------
+--R          2 2             2  +-+
+--R        (b x  - 2a b x + a )\|x
+--R                                                    Type: Expression(Integer)
+--E 2456
+
+--S 2457 of 3330
+r0000:=atanh(sqrt(b)*sqrt(x)/sqrt(a))/(a^(3/2)*sqrt(b))+sqrt(x)/(a*(a-b*x))
+--R 
+--R
+--R                        +-+ +-+
+--R                       \|b \|x      +-+ +-+ +-+
+--R        (b x - a)atanh(--------) - \|a \|b \|x
+--R                          +-+
+--R                         \|a
+--R   (2)  ---------------------------------------
+--R                            2  +-+ +-+
+--R                  (a b x - a )\|a \|b
+--R                                                    Type: Expression(Integer)
+--E 2457
+
+--S 2458 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                      +-+             +---+
+--R                 2a b\|x  + (b x + a)\|a b       +---+ +-+
+--R    (b x - a)log(--------------------------) - 2\|a b \|x
+--R                           b x - a
+--R   [------------------------------------------------------,
+--R                                 2  +---+
+--R                     (2a b x - 2a )\|a b
+--R                   +-----+ +-+
+--R                  \|- a b \|x      +-----+ +-+
+--R    (b x - a)atan(------------) - \|- a b \|x
+--R                        a
+--R    ------------------------------------------]
+--R                         2  +-----+
+--R               (a b x - a )\|- a b
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 2458
+
+--S 2459 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                         +-+             +---+                  +-+ +-+
+--R         +-+ +-+    2a b\|x  + (b x + a)\|a b       +---+      \|b \|x
+--R        \|a \|b log(--------------------------) - 2\|a b atanh(--------)
+--R                              b x - a                             +-+
+--R                                                                 \|a
+--R   (4)  ----------------------------------------------------------------
+--R                                   +-+ +-+ +---+
+--R                                2a\|a \|b \|a b
+--R                                                    Type: Expression(Integer)
+--E 2459
+
+--S 2460 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2460
+
+--S 2461 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                         +-+ +-+                  +-----+ +-+
+--R           +-----+      \|b \|x      +-+ +-+     \|- a b \|x
+--R        - \|- a b atanh(--------) + \|a \|b atan(------------)
+--R                           +-+                         a
+--R                          \|a
+--R   (6)  ------------------------------------------------------
+--R                             +-----+ +-+ +-+
+--R                           a\|- a b \|a \|b
+--R                                                    Type: Expression(Integer)
+--E 2461
+
+--S 2462 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 2462
+
+)clear all
+
+--S 2463 of 3330
+t0000:=1/(x^(3/2)*(-a+b*x)^2)
+--R 
+--R
+--R                     1
+--R   (1)  --------------------------
+--R          2 3         2    2   +-+
+--R        (b x  - 2a b x  + a x)\|x
+--R                                                    Type: Expression(Integer)
+--E 2463
+
+--S 2464 of 3330
+r0000:=3*atanh(sqrt(b)*sqrt(x)/sqrt(a))*sqrt(b)/a^(5/2)+_
+     (-3)/(a^2*sqrt(x))+1/(a*(a-b*x)*sqrt(x))
+--R 
+--R
+--R                                  +-+ +-+
+--R                    +-+ +-+      \|b \|x                   +-+
+--R        (3b x - 3a)\|b \|x atanh(--------) + (- 3b x + 2a)\|a
+--R                                    +-+
+--R                                   \|a
+--R   (2)  ------------------------------------------------------
+--R                           2       3  +-+ +-+
+--R                         (a b x - a )\|a \|x
+--R                                                    Type: Expression(Integer)
+--E 2464
+
+--S 2465 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                              +-+
+--R                              |b  +-+
+--R                +-+        2a |- \|x  + b x + a
+--R                |b  +-+      \|a
+--R    (3b x - 3a) |- \|x log(--------------------) - 6b x + 4a
+--R               \|a                b x - a
+--R   [--------------------------------------------------------,
+--R                          2        3  +-+
+--R                       (2a b x - 2a )\|x
+--R                +---+            +-+
+--R                |  b  +-+      b\|x
+--R    (3b x - 3a) |- - \|x atan(-------) - 3b x + 2a
+--R               \|  a            +---+
+--R                                |  b
+--R                              a |- -
+--R                               \|  a
+--R    ----------------------------------------------]
+--R                     2       3  +-+
+--R                   (a b x - a )\|x
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 2465
+
+--S 2466 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                        +-+
+--R                        |b  +-+
+--R              +-+    2a |- \|x  + b x + a                +-+ +-+
+--R          +-+ |b       \|a                     +-+      \|b \|x
+--R        3\|a  |- log(--------------------) - 6\|b atanh(--------)
+--R             \|a            b x - a                        +-+
+--R                                                          \|a
+--R   (4)  ---------------------------------------------------------
+--R                                   2 +-+
+--R                                 2a \|a
+--R                                                    Type: Expression(Integer)
+--E 2466
+
+--S 2467 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2467
+
+--S 2468 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                      +-+ +-+       +---+            +-+
+--R            +-+      \|b \|x        |  b  +-+      b\|x
+--R        - 3\|b atanh(--------) + 3  |- - \|a atan(-------)
+--R                        +-+        \|  a            +---+
+--R                       \|a                          |  b
+--R                                                  a |- -
+--R                                                   \|  a
+--R   (6)  -------------------------------------------------
+--R                               2 +-+
+--R                              a \|a
+--R                                                    Type: Expression(Integer)
+--E 2468
+
+--S 2469 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 2469
+
+)clear all
+
+--S 2470 of 3330
+t0000:=1/(x^(5/2)*(-a+b*x)^2)
+--R 
+--R
+--R                     1
+--R   (1)  ---------------------------
+--R          2 4         3    2 2  +-+
+--R        (b x  - 2a b x  + a x )\|x
+--R                                                    Type: Expression(Integer)
+--E 2470
+
+--S 2471 of 3330
+r0000:=(-5/3)/(a^2*x^(3/2))+1/(a*x^(3/2)*(a-b*x))+_
+     5*b^(3/2)*atanh(sqrt(b)*sqrt(x)/sqrt(a))/a^(7/2)-5*b/(a^3*sqrt(x))
+--R 
+--R
+--R   (2)
+--R                                    +-+ +-+
+--R       2 2            +-+ +-+      \|b \|x           2 2               2  +-+
+--R   (15b x  - 15a b x)\|b \|x atanh(--------) + (- 15b x  + 10a b x + 2a )\|a
+--R                                      +-+
+--R                                     \|a
+--R   --------------------------------------------------------------------------
+--R                               3   2     4   +-+ +-+
+--R                            (3a b x  - 3a x)\|a \|x
+--R                                                    Type: Expression(Integer)
+--E 2471
+
+--S 2472 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                                     +-+
+--R                                     |b  +-+
+--R                       +-+        2a |- \|x  + b x + a
+--R        2 2            |b  +-+      \|a                      2 2               2
+--R    (15b x  - 15a b x) |- \|x log(--------------------) - 30b x  + 20a b x + 4a
+--R                      \|a                b x - a
+--R   [----------------------------------------------------------------------------
+--R                                   3   2     4   +-+
+--R                                (6a b x  - 6a x)\|x
+--R     ,
+--R                       +---+            +-+
+--R        2 2            |  b  +-+      b\|x         2 2               2
+--R    (15b x  - 15a b x) |- - \|x atan(-------) - 15b x  + 10a b x + 2a
+--R                      \|  a            +---+
+--R                                       |  b
+--R                                     a |- -
+--R                                      \|  a
+--R    ------------------------------------------------------------------]
+--R                              3   2     4   +-+
+--R                           (3a b x  - 3a x)\|x
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 2472
+
+--S 2473 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                         +-+
+--R                         |b  +-+
+--R               +-+    2a |- \|x  + b x + a                  +-+ +-+
+--R           +-+ |b       \|a                       +-+      \|b \|x
+--R        5b\|a  |- log(--------------------) - 10b\|b atanh(--------)
+--R              \|a            b x - a                          +-+
+--R                                                             \|a
+--R   (4)  ------------------------------------------------------------
+--R                                     3 +-+
+--R                                   2a \|a
+--R                                                    Type: Expression(Integer)
+--E 2473
+
+--S 2474 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2474
+
+--S 2475 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                       +-+ +-+       +---+            +-+
+--R             +-+      \|b \|x        |  b  +-+      b\|x
+--R        - 5b\|b atanh(--------) + 5b |- - \|a atan(-------)
+--R                         +-+        \|  a            +---+
+--R                        \|a                          |  b
+--R                                                   a |- -
+--R                                                    \|  a
+--R   (6)  ---------------------------------------------------
+--R                                3 +-+
+--R                               a \|a
+--R                                                    Type: Expression(Integer)
+--E 2475
+
+--S 2476 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 2476
+
+)clear all
+
+--S 2477 of 3330
+t0000:=x^(7/2)/(-a+b*x)^3
+--R 
+--R
+--R                    3 +-+
+--R                   x \|x
+--R   (1)  ----------------------------
+--R         3 3       2 2     2       3
+--R        b x  - 3a b x  + 3a b x - a
+--R                                                    Type: Expression(Integer)
+--E 2477
+
+--S 2478 of 3330
+r0000:=35/12*x^(3/2)/b^3-1/2*x^(7/2)/(b*(a-b*x)^2)+_
+     7/4*x^(5/2)/(b^2*(a-b*x))-_
+     35/4*a^(3/2)*atanh(sqrt(b)*sqrt(x)/sqrt(a))/b^(9/2)+35/4*a*sqrt(x)/b^4
+--R 
+--R
+--R   (2)
+--R                                                  +-+ +-+
+--R                2 2       2          3  +-+      \|b \|x
+--R       (- 105a b x  + 210a b x - 105a )\|a atanh(--------)
+--R                                                    +-+
+--R                                                   \|a
+--R     + 
+--R          3 3        2 2       2          3  +-+ +-+
+--R       (8b x  + 56a b x  - 175a b x + 105a )\|b \|x
+--R  /
+--R         6 2        5       2 4  +-+
+--R     (12b x  - 24a b x + 12a b )\|b
+--R                                                    Type: Expression(Integer)
+--E 2478
+
+--S 2479 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                                                    +-+
+--R                                                    |a  +-+
+--R                                        +-+    - 2b |- \|x  + b x + a
+--R                2 2       2          3  |a         \|b
+--R         (105a b x  - 210a b x + 105a ) |- log(----------------------)
+--R                                       \|b             b x - a
+--R       + 
+--R             3 3         2 2       2          3  +-+
+--R         (16b x  + 112a b x  - 350a b x + 210a )\|x
+--R    /
+--R          6 2        5       2 4
+--R       24b x  - 48a b x + 24a b
+--R     ,
+--R
+--R                                          +---+       +-+
+--R                  2 2       2          3  |  a       \|x
+--R         (- 105a b x  + 210a b x - 105a ) |- - atan(------)
+--R                                         \|  b       +---+
+--R                                                     |  a
+--R                                                     |- -
+--R                                                    \|  b
+--R       + 
+--R            3 3        2 2       2          3  +-+
+--R         (8b x  + 56a b x  - 175a b x + 105a )\|x
+--R    /
+--R          6 2        5       2 4
+--R       12b x  - 24a b x + 12a b
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 2479
+
+--S 2480 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                            +-+
+--R                            |a  +-+
+--R            +-+        - 2b |- \|x  + b x + a                  +-+ +-+
+--R            |a  +-+        \|b                       +-+      \|b \|x
+--R        35a |- \|b log(----------------------) + 70a\|a atanh(--------)
+--R           \|b                 b x - a                           +-+
+--R                                                                \|a
+--R   (4)  ---------------------------------------------------------------
+--R                                      4 +-+
+--R                                    8b \|b
+--R                                                    Type: Expression(Integer)
+--E 2480
+
+--S 2481 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2481
+
+--S 2482 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                      +-+ +-+        +---+           +-+
+--R            +-+      \|b \|x         |  a  +-+      \|x
+--R        35a\|a atanh(--------) - 35a |- - \|b atan(------)
+--R                        +-+         \|  b           +---+
+--R                       \|a                          |  a
+--R                                                    |- -
+--R                                                   \|  b
+--R   (6)  --------------------------------------------------
+--R                                4 +-+
+--R                              4b \|b
+--R                                                    Type: Expression(Integer)
+--E 2482
+
+--S 2483 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 2483
+
+)clear all
+
+--S 2484 of 3330
+t0000:=x^(5/2)/(-a+b*x)^3
+--R 
+--R
+--R                    2 +-+
+--R                   x \|x
+--R   (1)  ----------------------------
+--R         3 3       2 2     2       3
+--R        b x  - 3a b x  + 3a b x - a
+--R                                                    Type: Expression(Integer)
+--E 2484
+
+--S 2485 of 3330
+r0000:=-1/2*x^(5/2)/(b*(a-b*x)^2)+5/4*x^(3/2)/(b^2*(a-b*x))-_
+     15/4*atanh(sqrt(b)*sqrt(x)/sqrt(a))*sqrt(a)/b^(7/2)+15/4*sqrt(x)/b^3
+--R 
+--R
+--R   (2)
+--R                                             +-+ +-+
+--R             2 2                2  +-+      \|b \|x
+--R       (- 15b x  + 30a b x - 15a )\|a atanh(--------)
+--R                                               +-+
+--R                                              \|a
+--R     + 
+--R          2 2                2  +-+ +-+
+--R       (8b x  - 25a b x + 15a )\|b \|x
+--R  /
+--R        5 2       4      2 3  +-+
+--R     (4b x  - 8a b x + 4a b )\|b
+--R                                                    Type: Expression(Integer)
+--E 2485
+
+--S 2486 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                                               +-+
+--R                                               |a  +-+
+--R                                   +-+    - 2b |- \|x  + b x + a
+--R             2 2                2  |a         \|b
+--R         (15b x  - 30a b x + 15a ) |- log(----------------------)
+--R                                  \|b             b x - a
+--R       + 
+--R             2 2                2  +-+
+--R         (16b x  - 50a b x + 30a )\|x
+--R    /
+--R         5 2        4      2 3
+--R       8b x  - 16a b x + 8a b
+--R     ,
+--R                                +---+       +-+
+--R          2 2                2  |  a       \|x         2 2                2  +-+
+--R    (- 15b x  + 30a b x - 15a ) |- - atan(------) + (8b x  - 25a b x + 15a )\|x
+--R                               \|  b       +---+
+--R                                           |  a
+--R                                           |- -
+--R                                          \|  b
+--R    ----------------------------------------------------------------------------
+--R                                 5 2       4      2 3
+--R                               4b x  - 8a b x + 4a b
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 2486
+
+--S 2487 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                            +-+
+--R                            |a  +-+
+--R            +-+        - 2b |- \|x  + b x + a                +-+ +-+
+--R            |a  +-+        \|b                     +-+      \|b \|x
+--R        15  |- \|b log(---------------------- + 30\|a atanh(--------)
+--R           \|b                 b x - a                         +-+
+--R                                                              \|a
+--R   (4)  -------------------------------------------------------------
+--R                                     3 +-+
+--R                                   8b \|b
+--R                                                    Type: Expression(Integer)
+--E 2487
+
+--S 2488 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2488
+
+--S 2489 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                     +-+ +-+        +---+           +-+
+--R           +-+      \|b \|x         |  a  +-+      \|x
+--R        15\|a atanh(--------) - 15  |- - \|b atan(------)
+--R                       +-+         \|  b           +---+
+--R                      \|a                          |  a
+--R                                                   |- -
+--R                                                  \|  b
+--R   (6)  ------------------------------------------------
+--R                               3 +-+
+--R                             4b \|b
+--R                                                    Type: Expression(Integer)
+--E 2489
+
+--S 2490 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 2490
+
+)clear all
+
+--S 2491 of 3330
+t0000:=x^(3/2)/(-a+b*x)^3
+--R 
+--R
+--R                      +-+
+--R                    x\|x
+--R   (1)  ----------------------------
+--R         3 3       2 2     2       3
+--R        b x  - 3a b x  + 3a b x - a
+--R                                                    Type: Expression(Integer)
+--E 2491
+
+--S 2492 of 3330
+r0000:=-1/2*x^(3/2)/(b*(a-b*x)^2)-_
+     3/4*atanh(sqrt(b)*sqrt(x)/sqrt(a))/(b^(5/2)*sqrt(a))+_
+     3/4*sqrt(x)/(b^2*(a-b*x))
+--R 
+--R
+--R                                       +-+ +-+
+--R             2 2              2       \|b \|x                   +-+ +-+ +-+
+--R        (- 3b x  + 6a b x - 3a )atanh(--------) + (- 5b x + 3a)\|a \|b \|x
+--R                                         +-+
+--R                                        \|a
+--R   (2)  -------------------------------------------------------------------
+--R                             4 2       3      2 2  +-+ +-+
+--R                          (4b x  - 8a b x + 4a b )\|a \|b
+--R                                                    Type: Expression(Integer)
+--E 2492
+
+--S 2493 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                                          +-+             +---+
+--R            2 2              2     - 2a b\|x  + (b x + a)\|a b
+--R         (3b x  - 6a b x + 3a )log(----------------------------)
+--R                                              b x - a
+--R       + 
+--R                        +---+ +-+
+--R         (- 10b x + 6a)\|a b \|x
+--R    /
+--R          4 2        3      2 2  +---+
+--R       (8b x  - 16a b x + 8a b )\|a b
+--R     ,
+--R                                  +-----+ +-+
+--R         2 2              2      \|- a b \|x                   +-----+ +-+
+--R    (- 3b x  + 6a b x - 3a )atan(------------) + (- 5b x + 3a)\|- a b \|x
+--R                                       a
+--R    ----------------------------------------------------------------------]
+--R                          4 2       3      2 2  +-----+
+--R                       (4b x  - 8a b x + 4a b )\|- a b
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 2493
+
+--S 2494 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                            +-+             +---+                  +-+ +-+
+--R          +-+ +-+    - 2a b\|x  + (b x + a)\|a b       +---+      \|b \|x
+--R        3\|a \|b log(----------------------------) + 6\|a b atanh(--------)
+--R                                b x - a                              +-+
+--R                                                                    \|a
+--R   (4)  -------------------------------------------------------------------
+--R                                   2 +-+ +-+ +---+
+--R                                 8b \|a \|b \|a b
+--R                                                    Type: Expression(Integer)
+--E 2494
+
+--S 2495 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2495
+
+--S 2496 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                        +-+ +-+                   +-----+ +-+
+--R          +-----+      \|b \|x       +-+ +-+     \|- a b \|x
+--R        3\|- a b atanh(--------) - 3\|a \|b atan(------------)
+--R                          +-+                          a
+--R                         \|a
+--R   (6)  ------------------------------------------------------
+--R                            2 +-----+ +-+ +-+
+--R                          4b \|- a b \|a \|b
+--R                                                    Type: Expression(Integer)
+--E 2496
+
+--S 2497 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 2497
+
+)clear all
+
+--S 2498 of 3330
+t0000:=sqrt(x)/(-a+b*x)^3
+--R 
+--R
+--R                     +-+
+--R                    \|x
+--R   (1)  ----------------------------
+--R         3 3       2 2     2       3
+--R        b x  - 3a b x  + 3a b x - a
+--R                                                    Type: Expression(Integer)
+--E 2498
+
+--S 2499 of 3330
+r0000:=1/4*atanh(sqrt(b)*sqrt(x)/sqrt(a))/(a^(3/2)*b^(3/2))-_
+     1/2*sqrt(x)/(b*(a-b*x)^2)+1/4*sqrt(x)/(a*b*(a-b*x))
+--R 
+--R
+--R                                   +-+ +-+
+--R          2 2             2       \|b \|x                 +-+ +-+ +-+
+--R        (b x  - 2a b x + a )atanh(--------) + (- b x - a)\|a \|b \|x
+--R                                     +-+
+--R                                    \|a
+--R   (2)  -------------------------------------------------------------
+--R                           3 2     2 2      3   +-+ +-+
+--R                      (4a b x  - 8a b x + 4a b)\|a \|b
+--R                                                    Type: Expression(Integer)
+--E 2499
+
+--S 2500 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                                      +-+             +---+
+--R           2 2             2     2a b\|x  + (b x + a)\|a b
+--R         (b x  - 2a b x + a )log(--------------------------)
+--R                                           b x - a
+--R       + 
+--R                       +---+ +-+
+--R         (- 2b x - 2a)\|a b \|x
+--R    /
+--R            3 2      2 2      3   +---+
+--R       (8a b x  - 16a b x + 8a b)\|a b
+--R     ,
+--R                              +-----+ +-+
+--R      2 2             2      \|- a b \|x                 +-----+ +-+
+--R    (b x  - 2a b x + a )atan(------------) + (- b x - a)\|- a b \|x
+--R                                   a
+--R    ----------------------------------------------------------------]
+--R                         3 2     2 2      3   +-----+
+--R                    (4a b x  - 8a b x + 4a b)\|- a b
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 2500
+
+--S 2501 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                         +-+             +---+                  +-+ +-+
+--R         +-+ +-+    2a b\|x  + (b x + a)\|a b       +---+      \|b \|x
+--R        \|a \|b log(--------------------------) - 2\|a b atanh(--------)
+--R                              b x - a                             +-+
+--R                                                                 \|a
+--R   (4)  ----------------------------------------------------------------
+--R                                    +-+ +-+ +---+
+--R                               8a b\|a \|b \|a b
+--R                                                    Type: Expression(Integer)
+--E 2501
+
+--S 2502 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2502
+
+--S 2503 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                         +-+ +-+                  +-----+ +-+
+--R           +-----+      \|b \|x      +-+ +-+     \|- a b \|x
+--R        - \|- a b atanh(--------) + \|a \|b atan(------------)
+--R                           +-+                         a
+--R                          \|a
+--R   (6)  ------------------------------------------------------
+--R                              +-----+ +-+ +-+
+--R                         4a b\|- a b \|a \|b
+--R                                                    Type: Expression(Integer)
+--E 2503
+
+--S 2504 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 2504
+
+)clear all
+
+--S 2505 of 3330
+t0000:=1/((-a+b*x)^3*sqrt(x))
+--R 
+--R
+--R                         1
+--R   (1)  ----------------------------------
+--R          3 3       2 2     2       3  +-+
+--R        (b x  - 3a b x  + 3a b x - a )\|x
+--R                                                    Type: Expression(Integer)
+--E 2505
+
+--S 2506 of 3330
+r0000:=-3/4*atanh(sqrt(b)*sqrt(x)/sqrt(a))/(a^(5/2)*sqrt(b))-_
+     1/2*sqrt(x)/(a*(a-b*x)^2)-3/4*sqrt(x)/(a^2*(a-b*x))
+--R 
+--R
+--R                                       +-+ +-+
+--R             2 2              2       \|b \|x                 +-+ +-+ +-+
+--R        (- 3b x  + 6a b x - 3a )atanh(--------) + (3b x - 5a)\|a \|b \|x
+--R                                         +-+
+--R                                        \|a
+--R   (2)  -----------------------------------------------------------------
+--R                            2 2 2     3        4  +-+ +-+
+--R                         (4a b x  - 8a b x + 4a )\|a \|b
+--R                                                    Type: Expression(Integer)
+--E 2506
+
+--S 2507 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                                          +-+             +---+
+--R            2 2              2     - 2a b\|x  + (b x + a)\|a b
+--R         (3b x  - 6a b x + 3a )log(----------------------------)
+--R                                              b x - a
+--R       + 
+--R                      +---+ +-+
+--R         (6b x - 10a)\|a b \|x
+--R    /
+--R          2 2 2      3        4  +---+
+--R       (8a b x  - 16a b x + 8a )\|a b
+--R     ,
+--R                                  +-----+ +-+
+--R         2 2              2      \|- a b \|x                 +-----+ +-+
+--R    (- 3b x  + 6a b x - 3a )atan(------------) + (3b x - 5a)\|- a b \|x
+--R                                       a
+--R    --------------------------------------------------------------------]
+--R                         2 2 2     3        4  +-----+
+--R                      (4a b x  - 8a b x + 4a )\|- a b
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 2507
+
+--S 2508 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                            +-+             +---+                  +-+ +-+
+--R          +-+ +-+    - 2a b\|x  + (b x + a)\|a b       +---+      \|b \|x
+--R        3\|a \|b log(----------------------------) + 6\|a b atanh(--------)
+--R                                b x - a                              +-+
+--R                                                                    \|a
+--R   (4)  -------------------------------------------------------------------
+--R                                   2 +-+ +-+ +---+
+--R                                 8a \|a \|b \|a b
+--R                                                    Type: Expression(Integer)
+--E 2508
+
+--S 2509 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2509
+
+--S 2510 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                        +-+ +-+                   +-----+ +-+
+--R          +-----+      \|b \|x       +-+ +-+     \|- a b \|x
+--R        3\|- a b atanh(--------) - 3\|a \|b atan(------------)
+--R                          +-+                          a
+--R                         \|a
+--R   (6)  ------------------------------------------------------
+--R                            2 +-----+ +-+ +-+
+--R                          4a \|- a b \|a \|b
+--R                                                    Type: Expression(Integer)
+--E 2510
+
+--S 2511 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 2511
+
+)clear all
+
+--S 2512 of 3330
+t0000:=1/(x^(3/2)*(-a+b*x)^3)
+--R 
+--R
+--R                          1
+--R   (1)  ------------------------------------
+--R          3 4       2 3     2   2    3   +-+
+--R        (b x  - 3a b x  + 3a b x  - a x)\|x
+--R                                                    Type: Expression(Integer)
+--E 2512
+
+--S 2513 of 3330
+r0000:=-15/4*atanh(sqrt(b)*sqrt(x)/sqrt(a))*sqrt(b)/a^(7/2)+_
+     15/4/(a^3*sqrt(x))+(-1/2)/(a*(a-b*x)^2*sqrt(x))+_
+     (-5/4)/(a^2*(a-b*x)*sqrt(x))
+--R 
+--R
+--R   (2)
+--R                                                 +-+ +-+
+--R             2 2                2  +-+ +-+      \|b \|x
+--R       (- 15b x  + 30a b x - 15a )\|b \|x atanh(--------)
+--R                                                   +-+
+--R                                                  \|a
+--R     + 
+--R           2 2               2  +-+
+--R       (15b x  - 25a b x + 8a )\|a
+--R  /
+--R        3 2 2     4        5  +-+ +-+
+--R     (4a b x  - 8a b x + 4a )\|a \|x
+--R                                                    Type: Expression(Integer)
+--E 2513
+
+--S 2514 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                                                   +-+
+--R                                                   |b  +-+
+--R                                   +-+        - 2a |- \|x  + b x + a
+--R             2 2                2  |b  +-+        \|a                      2 2
+--R         (15b x  - 30a b x + 15a ) |- \|x log(----------------------) + 30b x
+--R                                  \|a                 b x - a
+--R       + 
+--R                        2
+--R         - 50a b x + 16a
+--R    /
+--R          3 2 2      4        5  +-+
+--R       (8a b x  - 16a b x + 8a )\|x
+--R     ,
+--R                                +---+            +-+
+--R          2 2                2  |  b  +-+      b\|x         2 2               2
+--R    (- 15b x  + 30a b x - 15a ) |- - \|x atan(-------) + 15b x  - 25a b x + 8a
+--R                               \|  a            +---+
+--R                                                |  b
+--R                                              a |- -
+--R                                               \|  a
+--R    ---------------------------------------------------------------------------]
+--R                               3 2 2     4        5  +-+
+--R                            (4a b x  - 8a b x + 4a )\|x
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 2514
+
+--S 2515 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                           +-+
+--R                           |b  +-+
+--R               +-+    - 2a |- \|x  + b x + a                 +-+ +-+
+--R           +-+ |b         \|a                      +-+      \|b \|x
+--R        15\|a  |- log(----------------------) + 30\|b atanh(--------)
+--R              \|a             b x - a                          +-+
+--R                                                              \|a
+--R   (4)  -------------------------------------------------------------
+--R                                     3 +-+
+--R                                   8a \|a
+--R                                                    Type: Expression(Integer)
+--E 2515
+
+--S 2516 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2516
+
+--S 2517 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                     +-+ +-+        +---+            +-+
+--R           +-+      \|b \|x         |  b  +-+      b\|x
+--R        15\|b atanh(--------) - 15  |- - \|a atan(-------)
+--R                       +-+         \|  a            +---+
+--R                      \|a                           |  b
+--R                                                  a |- -
+--R                                                   \|  a
+--R   (6)  -------------------------------------------------
+--R                               3 +-+
+--R                             4a \|a
+--R                                                    Type: Expression(Integer)
+--E 2517
+
+--S 2518 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 2518
+
+)clear all
+
+--S 2519 of 3330
+t0000:=1/(x^(5/2)*(-a+b*x)^3)
+--R 
+--R
+--R                          1
+--R   (1)  -------------------------------------
+--R          3 5       2 4     2   3    3 2  +-+
+--R        (b x  - 3a b x  + 3a b x  - a x )\|x
+--R                                                    Type: Expression(Integer)
+--E 2519
+
+--S 2520 of 3330
+r0000:=35/12/(a^3*x^(3/2))+(-1/2)/(a*x^(3/2)*(a-b*x)^2)+_
+     (-7/4)/(a^2*x^(3/2)*(a-b*x))-_
+     35/4*b^(3/2)*atanh(sqrt(b)*sqrt(x)/sqrt(a))/a^(9/2)+35/4*b/(a^4*sqrt(x))
+--R 
+--R
+--R   (2)
+--R                                                        +-+ +-+
+--R              3 3         2 2       2     +-+ +-+      \|b \|x
+--R       (- 105b x  + 210a b x  - 105a b x)\|b \|x atanh(--------)
+--R                                                          +-+
+--R                                                         \|a
+--R     + 
+--R            3 3         2 2      2        3  +-+
+--R       (105b x  - 175a b x  + 56a b x + 8a )\|a
+--R  /
+--R         4 2 3      5   2      6   +-+ +-+
+--R     (12a b x  - 24a b x  + 12a x)\|a \|x
+--R                                                    Type: Expression(Integer)
+--E 2520
+
+--S 2521 of 3330
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                                                          +-+
+--R                                                          |b  +-+
+--R                                          +-+        - 2a |- \|x  + b x + a
+--R              3 3         2 2       2     |b  +-+        \|a
+--R         (105b x  - 210a b x  + 105a b x) |- \|x log(----------------------)
+--R                                         \|a                 b x - a
+--R       + 
+--R             3 3         2 2       2         3
+--R         210b x  - 350a b x  + 112a b x + 16a
+--R    /
+--R           4 2 3      5   2      6   +-+
+--R       (24a b x  - 48a b x  + 24a x)\|x
+--R     ,
+--R
+--R                                            +---+            +-+
+--R                3 3         2 2       2     |  b  +-+      b\|x          3 3
+--R         (- 105b x  + 210a b x  - 105a b x) |- - \|x atan(-------) + 105b x
+--R                                           \|  a            +---+
+--R                                                            |  b
+--R                                                          a |- -
+--R                                                           \|  a
+--R       + 
+--R                 2 2      2        3
+--R         - 175a b x  + 56a b x + 8a
+--R    /
+--R           4 2 3      5   2      6   +-+
+--R       (12a b x  - 24a b x  + 12a x)\|x
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 2521
+
+--S 2522 of 3330
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R                            +-+
+--R                            |b  +-+
+--R                +-+    - 2a |- \|x  + b x + a                  +-+ +-+
+--R            +-+ |b         \|a                       +-+      \|b \|x
+--R        35b\|a  |- log(----------------------) + 70b\|b atanh(--------)
+--R               \|a             b x - a                           +-+
+--R                                                                \|a
+--R   (4)  ---------------------------------------------------------------
+--R                                      4 +-+
+--R                                    8a \|a
+--R                                                    Type: Expression(Integer)
+--E 2522
+
+--S 2523 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2523
+
+--S 2524 of 3330
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R                      +-+ +-+        +---+            +-+
+--R            +-+      \|b \|x         |  b  +-+      b\|x
+--R        35b\|b atanh(--------) - 35b |- - \|a atan(-------)
+--R                        +-+         \|  a            +---+
+--R                       \|a                           |  b
+--R                                                   a |- -
+--R                                                    \|  a
+--R   (6)  ---------------------------------------------------
+--R                                4 +-+
+--R                              4a \|a
+--R                                                    Type: Expression(Integer)
+--E 2524
+
+--S 2525 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 2525
+
+)clear all
+
+--S 2526 of 3330
+t0000:=x^(5/2)*sqrt(a+b*x)
+--R 
+--R
+--R         2 +-+ +-------+
+--R   (1)  x \|x \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 2526
+
+--S 2527 of 3330
+r0000:=-5/64*a^4*atanh(sqrt(b)*sqrt(x)/sqrt(a+b*x))/b^(7/2)-_
+     5/96*a^2*x^(3/2)*sqrt(a+b*x)/b^2+_
+     1/24*a*x^(5/2)*sqrt(a+b*x)/b+1/4*x^(7/2)*sqrt(a+b*x)+_
+     5/64*a^3*sqrt(x)*sqrt(a+b*x)/b^3
+--R 
+--R
+--R   (2)
+--R                     +-+ +-+
+--R            4       \|b \|x
+--R       - 15a atanh(----------)
+--R                    +-------+
+--R                   \|b x + a
+--R     + 
+--R           3 3       2 2      2         3  +-+ +-+ +-------+
+--R       (48b x  + 8a b x  - 10a b x + 15a )\|b \|x \|b x + a
+--R  /
+--R         3 +-+
+--R     192b \|b
+--R                                                    Type: Expression(Integer)
+--E 2527
+
+--S 2528 of 3330
+--a0000:=integrate(t0000,x)
+--E 2528
+
+--S 2529 of 3330
+--m0000:=a0000 - r0000
+--E 2529
+
+--S 2530 of 3330
+--d0000:=D(m0000,x)
+--E 2530
+
+)clear all
+
+--S 2531 of 3330
+t0000:=x^(3/2)*sqrt(a+b*x)
+--R 
+--R
+--R          +-+ +-------+
+--R   (1)  x\|x \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 2531
+
+--S 2532 of 3330
+r0000:=1/8*a^3*atanh(sqrt(b)*sqrt(x)/sqrt(a+b*x))/b^(5/2)+_
+     1/12*a*x^(3/2)*sqrt(a+b*x)/b+1/3*x^(5/2)*sqrt(a+b*x)-_
+     1/8*a^2*sqrt(x)*sqrt(a+b*x)/b^2
+--R 
+--R
+--R                   +-+ +-+
+--R          3       \|b \|x         2 2              2  +-+ +-+ +-------+
+--R        3a atanh(----------) + (8b x  + 2a b x - 3a )\|b \|x \|b x + a
+--R                  +-------+
+--R                 \|b x + a
+--R   (2)  ---------------------------------------------------------------
+--R                                       2 +-+
+--R                                    24b \|b
+--R                                                    Type: Expression(Integer)
+--E 2532
+
+--S 2533 of 3330
+--a0000:=integrate(t0000,x)
+--E 2533
+
+--S 2534 of 3330
+--m0000:=a0000 - r0000
+--E 2534
+
+--S 2535 of 3330
+--d0000:=D(m0000,x)
+--E 2535
+
+)clear all
+
+--S 2536 of 3330
+t0000:=sqrt(x)*sqrt(a+b*x)
+--R 
+--R
+--R         +-+ +-------+
+--R   (1)  \|x \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 2536
+
+--S 2537 of 3330
+r0000:=-1/4*a^2*atanh(sqrt(b)*sqrt(x)/sqrt(a+b*x))/b^(3/2)+_
+     1/2*x^(3/2)*sqrt(a+b*x)+1/4*a*sqrt(x)*sqrt(a+b*x)/b
+--R 
+--R
+--R                    +-+ +-+
+--R           2       \|b \|x                 +-+ +-+ +-------+
+--R        - a atanh(----------) + (2b x + a)\|b \|x \|b x + a
+--R                   +-------+
+--R                  \|b x + a
+--R   (2)  ----------------------------------------------------
+--R                                  +-+
+--R                               4b\|b
+--R                                                    Type: Expression(Integer)
+--E 2537
+
+--S 2538 of 3330
+--a0000:=integrate(t0000,x)
+--E 2538
+
+--S 2539 of 3330
+--m0000:=a0000 - r0000
+--E 2539
+
+--S 2540 of 3330
+--d0000:=D(m0000,x)
+--E 2540
+
+)clear all
+
+--S 2541 of 3330
+t0000:=sqrt(a+b*x)/sqrt(x)
+--R 
+--R
+--R         +-------+
+--R        \|b x + a
+--R   (1)  ----------
+--R            +-+
+--R           \|x
+--R                                                    Type: Expression(Integer)
+--E 2541
+
+--S 2542 of 3330
+r0000:=a*atanh(sqrt(b)*sqrt(x)/sqrt(a+b*x))/sqrt(b)+sqrt(x)*sqrt(a+b*x)
+--R 
+--R
+--R                  +-+ +-+
+--R                 \|b \|x       +-+ +-+ +-------+
+--R        a atanh(----------) + \|b \|x \|b x + a
+--R                 +-------+
+--R                \|b x + a
+--R   (2)  ----------------------------------------
+--R                           +-+
+--R                          \|b
+--R                                                    Type: Expression(Integer)
+--E 2542
+
+--S 2543 of 3330
+--a0000:=integrate(t0000,x)
+--E 2543
+
+--S 2544 of 3330
+--m0000:=a0000 - r0000
+--E 2544
+
+--S 2545 of 3330
+--d0000:=D(m0000,x)
+--E 2545
+
+)clear all
+
+--S 2546 of 3330
+t0000:=sqrt(a+b*x)/x^(3/2)
+--R 
+--R
+--R         +-------+
+--R        \|b x + a
+--R   (1)  ----------
+--R             +-+
+--R           x\|x
+--R                                                    Type: Expression(Integer)
+--E 2546
+
+--S 2547 of 3330
+r0000:=2*atanh(sqrt(b)*sqrt(x)/sqrt(a+b*x))*sqrt(b)-2*sqrt(a+b*x)/sqrt(x)
+--R 
+--R
+--R                         +-+ +-+
+--R          +-+ +-+       \|b \|x        +-------+
+--R        2\|b \|x atanh(----------) - 2\|b x + a
+--R                        +-------+
+--R                       \|b x + a
+--R   (2)  ----------------------------------------
+--R                           +-+
+--R                          \|x
+--R                                                    Type: Expression(Integer)
+--E 2547
+
+--S 2548 of 3330
+--a0000:=integrate(t0000,x)
+--E 2548
+
+--S 2549 of 3330
+--m0000:=a0000 - r0000
+--E 2549
+
+--S 2550 of 3330
+--d0000:=D(m0000,x)
+--E 2550
+
+)clear all
+
+--S 2551 of 3330
+t0000:=sqrt(a+b*x)/x^(5/2)
+--R 
+--R
+--R         +-------+
+--R        \|b x + a
+--R   (1)  ----------
+--R           2 +-+
+--R          x \|x
+--R                                                    Type: Expression(Integer)
+--E 2551
+
+--S 2552 of 3330
+r0000:=-2/3*(a+b*x)^(3/2)/(a*x^(3/2))
+--R 
+--R
+--R                      +-------+
+--R        (- 2b x - 2a)\|b x + a
+--R   (2)  -----------------------
+--R                     +-+
+--R                3a x\|x
+--R                                                    Type: Expression(Integer)
+--E 2552
+
+--S 2553 of 3330 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                      +-+ +-------+       2                  2       2
+--R        (- 4b x - 4a)\|x \|b x + a  + (- b  + (- 2a - 4)b - a  - 4a)x
+--R   (3)  --------------------------------------------------------------
+--R                                         2
+--R                                     6a x
+--R                                         Type: Union(Expression(Integer),...)
+--E 2553
+
+--S 2554 of 3330 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R           2                  2
+--R        - b  + (- 2a - 4)b - a  - 4a
+--R   (4)  ----------------------------
+--R                     6a
+--R                                                    Type: Expression(Integer)
+--E 2554
+
+--S 2555 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2555
+
+)clear all
+
+--S 2556 of 3330
+t0000:=sqrt(a+b*x)/x^(7/2)
+--R 
+--R
+--R         +-------+
+--R        \|b x + a
+--R   (1)  ----------
+--R           3 +-+
+--R          x \|x
+--R                                                    Type: Expression(Integer)
+--E 2556
+
+--S 2557 of 3330
+r0000:=-2/5*(a+b*x)^(3/2)/(a*x^(5/2))+4/15*b*(a+b*x)^(3/2)/(a^2*x^(3/2))
+--R 
+--R
+--R           2 2              2  +-------+
+--R        (4b x  - 2a b x - 6a )\|b x + a
+--R   (2)  --------------------------------
+--R                      2 2 +-+
+--R                   15a x \|x
+--R                                                    Type: Expression(Integer)
+--E 2557
+
+--S 2558 of 3330 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R          2 2              2  +-+ +-------+
+--R       (4b x  - 2a b x - 6a )\|x \|b x + a
+--R     + 
+--R          3           2        2           3     2  3
+--R       (2b  + (a + 2)b  + (- 4a  - a)b - 3a  - 3a )x
+--R  /
+--R        2 3
+--R     15a x
+--R                                         Type: Union(Expression(Integer),...)
+--E 2558
+
+--S 2559 of 3330 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R          3           2        2           3     2
+--R        2b  + (a + 2)b  + (- 4a  - a)b - 3a  - 3a
+--R   (4)  ------------------------------------------
+--R                              2
+--R                           15a
+--R                                                    Type: Expression(Integer)
+--E 2559
+
+--S 2560 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2560
+
+)clear all
+
+--S 2561 of 3330
+t0000:=sqrt(a+b*x)/x^(9/2)
+--R 
+--R
+--R         +-------+
+--R        \|b x + a
+--R   (1)  ----------
+--R           4 +-+
+--R          x \|x
+--R                                                    Type: Expression(Integer)
+--E 2561
+
+--S 2562 of 3330
+r0000:=-2/7*(a+b*x)^(3/2)/(a*x^(7/2))+8/35*b*(a+b*x)^(3/2)/(a^2*x^(5/2))-_
+     16/105*b^2*(a+b*x)^(3/2)/(a^3*x^(3/2))
+--R 
+--R
+--R              3 3       2 2     2         3  +-------+
+--R        (- 16b x  + 8a b x  - 6a b x - 30a )\|b x + a
+--R   (2)  ----------------------------------------------
+--R                              3 3 +-+
+--R                          105a x \|x
+--R                                                    Type: Expression(Integer)
+--E 2562
+
+--S 2563 of 3330 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R             3 3        2 2      2          3  +-+ +-------+
+--R       (- 80b x  + 40a b x  - 30a b x - 150a )\|x \|b x + a
+--R     + 
+--R               4                3     2         2         3      2        4
+--R           - 8b  + (- 4a - 200)b  + (a  + 100a)b  + (- 18a  - 75a )b - 15a
+--R         + 
+--R                 3
+--R           - 375a
+--R      *
+--R          4
+--R         x
+--R  /
+--R         3 4
+--R     525a x
+--R                                         Type: Union(Expression(Integer),...)
+--E 2563
+
+--S 2564 of 3330 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R       4                3     2         2         3      2        4       3
+--R   - 8b  + (- 4a - 200)b  + (a  + 100a)b  + (- 18a  - 75a )b - 15a  - 375a
+--R   ------------------------------------------------------------------------
+--R                                         3
+--R                                     525a
+--R                                                    Type: Expression(Integer)
+--E 2564
+
+--S 2565 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2565
+
+)clear all
+
+--S 2566 of 3330
+t0000:=x^(5/2)*sqrt(a-b*x)
+--R 
+--R
+--R         2 +---------+ +-+
+--R   (1)  x \|- b x + a \|x
+--R                                                    Type: Expression(Integer)
+--E 2566
+
+--S 2567 of 3330
+r0000:=5/64*a^4*atan(sqrt(b)*sqrt(x)/sqrt(a-b*x))/b^(7/2)-_
+     5/96*a^2*x^(3/2)*sqrt(a-b*x)/b^2-1/24*a*x^(5/2)*sqrt(a-b*x)/b+_
+     1/4*x^(7/2)*sqrt(a-b*x)-5/64*a^3*sqrt(x)*sqrt(a-b*x)/b^3
+--R 
+--R
+--R   (2)
+--R                   +-+ +-+
+--R          4       \|b \|x
+--R       15a atan(------------)
+--R                 +---------+
+--R                \|- b x + a
+--R     + 
+--R           3 3       2 2      2         3  +---------+ +-+ +-+
+--R       (48b x  - 8a b x  - 10a b x - 15a )\|- b x + a \|b \|x
+--R  /
+--R         3 +-+
+--R     192b \|b
+--R                                                    Type: Expression(Integer)
+--E 2567
+
+--S 2568 of 3330
+--a0000:=integrate(t0000,x)
+--E 2568
+
+--S 2569 of 3330
+--m0000:=a0000 - r0000
+--E 2569
+
+--S 2570 of 3330
+--d0000:=D(m0000,x)
+--E 2570
+
+)clear all
+
+--S 2571 of 3330
+t0000:=x^(3/2)*sqrt(a-b*x)
+--R 
+--R
+--R          +---------+ +-+
+--R   (1)  x\|- b x + a \|x
+--R                                                    Type: Expression(Integer)
+--E 2571
+
+--S 2572 of 3330
+r0000:=1/8*a^3*atan(sqrt(b)*sqrt(x)/sqrt(a-b*x))/b^(5/2)-_
+     1/12*a*x^(3/2)*sqrt(a-b*x)/b+1/3*x^(5/2)*sqrt(a-b*x)-_
+     1/8*a^2*sqrt(x)*sqrt(a-b*x)/b^2
+--R 
+--R
+--R                   +-+ +-+
+--R          3       \|b \|x          2 2              2  +---------+ +-+ +-+
+--R        3a atan(------------) + (8b x  - 2a b x - 3a )\|- b x + a \|b \|x
+--R                 +---------+
+--R                \|- b x + a
+--R   (2)  ------------------------------------------------------------------
+--R                                        2 +-+
+--R                                     24b \|b
+--R                                                    Type: Expression(Integer)
+--E 2572
+
+--S 2573 of 3330
+--a0000:=integrate(t0000,x)
+--E 2573
+
+--S 2574 of 3330
+--m0000:=a0000 - r0000
+--E 2574
+
+--S 2575 of 3330
+--d0000:=D(m0000,x)
+--E 2575
+
+)clear all
+
+--S 2576 of 3330
+t0000:=sqrt(x)*sqrt(a-b*x)
+--R 
+--R
+--R         +---------+ +-+
+--R   (1)  \|- b x + a \|x
+--R                                                    Type: Expression(Integer)
+--E 2576
+
+--S 2577 of 3330
+r0000:=1/4*a^2*atan(sqrt(b)*sqrt(x)/sqrt(a-b*x))/b^(3/2)+_
+     1/2*x^(3/2)*sqrt(a-b*x)-1/4*a*sqrt(x)*sqrt(a-b*x)/b
+--R 
+--R
+--R                  +-+ +-+
+--R         2       \|b \|x                  +---------+ +-+ +-+
+--R        a atan(------------) + (2b x - a)\|- b x + a \|b \|x
+--R                +---------+
+--R               \|- b x + a
+--R   (2)  -----------------------------------------------------
+--R                                   +-+
+--R                                4b\|b
+--R                                                    Type: Expression(Integer)
+--E 2577
+
+--S 2578 of 3330
+--a0000:=integrate(t0000,x)
+--E 2578
+
+--S 2579 of 3330
+--m0000:=a0000 - r0000
+--E 2579
+
+--S 2580 of 3330
+--d0000:=D(m0000,x)
+--E 2580
+
+)clear all
+
+--S 2581 of 3330
+t0000:=sqrt(a-b*x)/sqrt(x)
+--R 
+--R
+--R         +---------+
+--R        \|- b x + a
+--R   (1)  ------------
+--R             +-+
+--R            \|x
+--R                                                    Type: Expression(Integer)
+--E 2581
+
+--S 2582 of 3330
+r0000:=a*atan(sqrt(b)*sqrt(x)/sqrt(a-b*x))/sqrt(b)+sqrt(x)*sqrt(a-b*x)
+--R 
+--R
+--R                  +-+ +-+
+--R                 \|b \|x        +---------+ +-+ +-+
+--R        a atan(------------) + \|- b x + a \|b \|x
+--R                +---------+
+--R               \|- b x + a
+--R   (2)  -------------------------------------------
+--R                             +-+
+--R                            \|b
+--R                                                    Type: Expression(Integer)
+--E 2582
+
+--S 2583 of 3330
+--a0000:=integrate(t0000,x)
+--E 2583
+
+--S 2584 of 3330
+--m0000:=a0000 - r0000
+--E 2584
+
+--S 2585 of 3330
+--d0000:=D(m0000,x)
+--E 2585
+
+)clear all
+
+--S 2586 of 3330
+t0000:=sqrt(a-b*x)/x^(3/2)
+--R 
+--R
+--R         +---------+
+--R        \|- b x + a
+--R   (1)  ------------
+--R              +-+
+--R            x\|x
+--R                                                    Type: Expression(Integer)
+--E 2586
+
+--S 2587 of 3330
+r0000:=-2*atan(sqrt(b)*sqrt(x)/sqrt(a-b*x))*sqrt(b)-2*sqrt(a-b*x)/sqrt(x)
+--R 
+--R
+--R                           +-+ +-+
+--R            +-+ +-+       \|b \|x         +---------+
+--R        - 2\|b \|x atan(------------) - 2\|- b x + a
+--R                         +---------+
+--R                        \|- b x + a
+--R   (2)  ---------------------------------------------
+--R                              +-+
+--R                             \|x
+--R                                                    Type: Expression(Integer)
+--E 2587
+
+--S 2588 of 3330
+--a0000:=integrate(t0000,x)
+--E 2588
+
+--S 2589 of 3330
+--m0000:=a0000 - r0000
+--E 2589
+
+--S 2590 of 3330
+--d0000:=D(m0000,x)
+--E 2590
+
+)clear all
+
+--S 2591 of 3330
+t0000:=sqrt(a-b*x)/x^(5/2)
+--R 
+--R
+--R         +---------+
+--R        \|- b x + a
+--R   (1)  ------------
+--R            2 +-+
+--R           x \|x
+--R                                                    Type: Expression(Integer)
+--E 2591
+
+--S 2592 of 3330
+r0000:=-2/3*(a-b*x)^(3/2)/(a*x^(3/2))
+--R 
+--R
+--R                    +---------+
+--R        (2b x - 2a)\|- b x + a
+--R   (2)  -----------------------
+--R                     +-+
+--R                3a x\|x
+--R                                                    Type: Expression(Integer)
+--E 2592
+
+--S 2593 of 3330 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                      +---------+ +-+       2                     2      2
+--R        (10b x - 10a)\|- b x + a \|x  + (25b  + (- 50a - 1)b + 25a  + a)x
+--R   (3)  ------------------------------------------------------------------
+--R                                           2
+--R                                      15a x
+--R                                         Type: Union(Expression(Integer),...)
+--E 2593
+
+--S 2594 of 3330 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R           2                     2
+--R        25b  + (- 50a - 1)b + 25a  + a
+--R   (4)  ------------------------------
+--R                      15a
+--R                                                    Type: Expression(Integer)
+--E 2594
+
+--S 2595 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2595
+
+)clear all
+
+--S 2596 of 3330
+t0000:=sqrt(a-b*x)/x^(7/2)
+--R 
+--R
+--R         +---------+
+--R        \|- b x + a
+--R   (1)  ------------
+--R            3 +-+
+--R           x \|x
+--R                                                    Type: Expression(Integer)
+--E 2596
+
+--S 2597 of 3330
+r0000:=-2/5*(a-b*x)^(3/2)/(a*x^(5/2))-4/15*b*(a-b*x)^(3/2)/(a^2*x^(3/2))
+--R 
+--R
+--R           2 2              2  +---------+
+--R        (4b x  + 2a b x - 6a )\|- b x + a
+--R   (2)  ----------------------------------
+--R                       2 2 +-+
+--R                    15a x \|x
+--R                                                    Type: Expression(Integer)
+--E 2597
+
+--S 2598 of 3330 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R          2 2               2  +---------+ +-+
+--R       (8b x  + 4a b x - 12a )\|- b x + a \|x
+--R     + 
+--R          3              2         2            3     2  3
+--R       (8b  + (- 4a - 2)b  + (- 16a  - a)b + 12a  + 3a )x
+--R  /
+--R        2 3
+--R     30a x
+--R                                         Type: Union(Expression(Integer),...)
+--E 2598
+
+--S 2599 of 3330 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R          3              2         2            3     2
+--R        8b  + (- 4a - 2)b  + (- 16a  - a)b + 12a  + 3a
+--R   (4)  -----------------------------------------------
+--R                                 2
+--R                              30a
+--R                                                    Type: Expression(Integer)
+--E 2599
+
+--S 2600 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2600
+
+)clear all
+
+--S 2601 of 3330
+t0000:=sqrt(a-b*x)/x^(9/2)
+--R 
+--R
+--R         +---------+
+--R        \|- b x + a
+--R   (1)  ------------
+--R            4 +-+
+--R           x \|x
+--R                                                    Type: Expression(Integer)
+--E 2601
+
+--S 2602 of 3330
+r0000:=-2/7*(a-b*x)^(3/2)/(a*x^(7/2))-8/35*b*(a-b*x)^(3/2)/(a^2*x^(5/2))-_
+     16/105*b^2*(a-b*x)^(3/2)/(a^3*x^(3/2))
+--R 
+--R
+--R            3 3       2 2     2         3  +---------+
+--R        (16b x  + 8a b x  + 6a b x - 30a )\|- b x + a
+--R   (2)  ----------------------------------------------
+--R                              3 3 +-+
+--R                          105a x \|x
+--R                                                    Type: Expression(Integer)
+--E 2602
+
+--S 2603 of 3330 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R           3 3        2 2      2         3  +---------+ +-+
+--R       (48b x  + 24a b x  + 18a b x - 90a )\|- b x + a \|x
+--R     + 
+--R         4               3        2       2          3     2         4      3  4
+--R     (72b  + (- 36a - 8)b  + (- 9a  - 4a)b  + (- 162a  - 3a )b + 135a  + 15a )x
+--R  /
+--R         3 4
+--R     315a x
+--R                                         Type: Union(Expression(Integer),...)
+--E 2603
+
+--S 2604 of 3330 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R      4               3        2       2          3     2         4      3
+--R   72b  + (- 36a - 8)b  + (- 9a  - 4a)b  + (- 162a  - 3a )b + 135a  + 15a
+--R   -----------------------------------------------------------------------
+--R                                        3
+--R                                    315a
+--R                                                    Type: Expression(Integer)
+--E 2604
+
+--S 2605 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2605
+
+)clear all
+
+--S 2606 of 3330
+t0000:=x^(5/2)*sqrt(2+b*x)
+--R 
+--R
+--R         2 +-+ +-------+
+--R   (1)  x \|x \|b x + 2
+--R                                                    Type: Expression(Integer)
+--E 2606
+
+--S 2607 of 3330
+r0000:=-5/4*asinh(sqrt(b)*sqrt(x)/sqrt(2))/b^(7/2)-_
+     5/24*x^(3/2)*sqrt(2+b*x)/b^2+1/12*x^(5/2)*sqrt(2+b*x)/b+_
+     1/4*x^(7/2)*sqrt(2+b*x)+5/8*sqrt(x)*sqrt(2+b*x)/b^3
+--R 
+--R
+--R                   +-+ +-+
+--R                  \|b \|x        3 3     2 2              +-+ +-+ +-------+
+--R        - 30asinh(--------) + (6b x  + 2b x  - 5b x + 15)\|b \|x \|b x + 2
+--R                     +-+
+--R                    \|2
+--R   (2)  -------------------------------------------------------------------
+--R                                         3 +-+
+--R                                      24b \|b
+--R                                                    Type: Expression(Integer)
+--E 2607
+
+--S 2608 of 3330
+--a0000:=integrate(t0000,x)
+--E 2608
+
+--S 2609 of 3330
+--m0000:=a0000 - r0000
+--E 2609
+
+--S 2610 of 3330
+--d0000:=D(m0000,x)
+--E 2610
+
+)clear all
+
+--S 2611 of 3330
+t0000:=x^(3/2)*sqrt(2+b*x)
+--R 
+--R
+--R          +-+ +-------+
+--R   (1)  x\|x \|b x + 2
+--R                                                    Type: Expression(Integer)
+--E 2611
+
+--S 2612 of 3330
+r0000:=asinh(sqrt(b)*sqrt(x)/sqrt(2))/b^(5/2)+1/6*x^(3/2)*sqrt(2+b*x)/b+_
+     1/3*x^(5/2)*sqrt(2+b*x)-1/2*sqrt(x)*sqrt(2+b*x)/b^2
+--R 
+--R
+--R                +-+ +-+
+--R               \|b \|x        2 2            +-+ +-+ +-------+
+--R        6asinh(--------) + (2b x  + b x - 3)\|b \|x \|b x + 2
+--R                  +-+
+--R                 \|2
+--R   (2)  ------------------------------------------------------
+--R                                  2 +-+
+--R                                6b \|b
+--R                                                    Type: Expression(Integer)
+--E 2612
+
+--S 2613 of 3330
+--a0000:=integrate(t0000,x)
+--E 2613
+
+--S 2614 of 3330
+--m0000:=a0000 - r0000
+--E 2614
+
+--S 2615 of 3330
+--d0000:=D(m0000,x)
+--E 2615
+
+)clear all
+
+--S 2616 of 3330
+t0000:=sqrt(x)*sqrt(2+b*x)
+--R 
+--R
+--R         +-+ +-------+
+--R   (1)  \|x \|b x + 2
+--R                                                    Type: Expression(Integer)
+--E 2616
+
+--S 2617 of 3330
+r0000:=-asinh(sqrt(b)*sqrt(x)/sqrt(2))/b^(3/2)+1/2*x^(3/2)*sqrt(2+b*x)+_
+     1/2*sqrt(x)*sqrt(2+b*x)/b
+--R 
+--R
+--R                  +-+ +-+
+--R                 \|b \|x               +-+ +-+ +-------+
+--R        - 2asinh(--------) + (b x + 1)\|b \|x \|b x + 2
+--R                    +-+
+--R                   \|2
+--R   (2)  ------------------------------------------------
+--R                                +-+
+--R                             2b\|b
+--R                                                    Type: Expression(Integer)
+--E 2617
+
+--S 2618 of 3330
+--a0000:=integrate(t0000,x)
+--E 2618
+
+--S 2619 of 3330
+--m0000:=a0000 - r0000
+--E 2619
+
+--S 2620 of 3330
+--d0000:=D(m0000,x)
+--E 2620
+
+)clear all
+
+--S 2621 of 3330
+t0000:=sqrt(2+b*x)/sqrt(x)
+--R 
+--R
+--R         +-------+
+--R        \|b x + 2
+--R   (1)  ----------
+--R            +-+
+--R           \|x
+--R                                                    Type: Expression(Integer)
+--E 2621
+
+--S 2622 of 3330
+r0000:=2*asinh(sqrt(b)*sqrt(x)/sqrt(2))/sqrt(b)+sqrt(x)*sqrt(2+b*x)
+--R 
+--R
+--R                +-+ +-+
+--R               \|b \|x      +-+ +-+ +-------+
+--R        2asinh(--------) + \|b \|x \|b x + 2
+--R                  +-+
+--R                 \|2
+--R   (2)  -------------------------------------
+--R                          +-+
+--R                         \|b
+--R                                                    Type: Expression(Integer)
+--E 2622
+
+--S 2623 of 3330
+--a0000:=integrate(t0000,x)
+--E 2623
+
+--S 2624 of 3330
+--m0000:=a0000 - r0000
+--E 2624
+
+--S 2625 of 3330
+--d0000:=D(m0000,x)
+--E 2625
+
+)clear all
+
+--S 2626 of 3330
+t0000:=sqrt(2+b*x)/x^(3/2)
+--R 
+--R
+--R         +-------+
+--R        \|b x + 2
+--R   (1)  ----------
+--R             +-+
+--R           x\|x
+--R                                                    Type: Expression(Integer)
+--E 2626
+
+--S 2627 of 3330
+r0000:=2*asinh(sqrt(b)*sqrt(x)/sqrt(2))*sqrt(b)-2*sqrt(2+b*x)/sqrt(x)
+--R 
+--R
+--R                        +-+ +-+
+--R          +-+ +-+      \|b \|x       +-------+
+--R        2\|b \|x asinh(--------) - 2\|b x + 2
+--R                          +-+
+--R                         \|2
+--R   (2)  --------------------------------------
+--R                          +-+
+--R                         \|x
+--R                                                    Type: Expression(Integer)
+--E 2627
+
+--S 2628 of 3330
+--a0000:=integrate(t0000,x)
+--E 2628
+
+--S 2629 of 3330
+--m0000:=a0000 - r0000
+--E 2629
+
+--S 2630 of 3330
+--d0000:=D(m0000,x)
+--E 2630
+
+)clear all
+
+--S 2631 of 3330
+t0000:=sqrt(2+b*x)/x^(5/2)
+--R 
+--R
+--R         +-------+
+--R        \|b x + 2
+--R   (1)  ----------
+--R           2 +-+
+--R          x \|x
+--R                                                    Type: Expression(Integer)
+--E 2631
+
+--S 2632 of 3330
+r0000:=-1/3*(2+b*x)^(3/2)/x^(3/2)
+--R 
+--R
+--R                    +-------+
+--R        (- b x - 2)\|b x + 2
+--R   (2)  ---------------------
+--R                   +-+
+--R                3x\|x
+--R                                                    Type: Expression(Integer)
+--E 2632
+
+--S 2633 of 3330 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                      +-+ +-------+       2             2
+--R        (- 8b x - 16)\|x \|b x + 2  + (- b  - 20b - 36)x
+--R   (3)  -------------------------------------------------
+--R                                  2
+--R                               24x
+--R                                         Type: Union(Expression(Integer),...)
+--E 2633
+
+--S 2634 of 3330 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R           2
+--R        - b  - 20b - 36
+--R   (4)  ---------------
+--R               24
+--R                                                    Type: Expression(Integer)
+--E 2634
+
+--S 2635 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2635
+
+)clear all
+
+--S 2636 of 3330
+t0000:=sqrt(2+b*x)/x^(7/2)
+--R 
+--R
+--R         +-------+
+--R        \|b x + 2
+--R   (1)  ----------
+--R           3 +-+
+--R          x \|x
+--R                                                    Type: Expression(Integer)
+--E 2636
+
+--S 2637 of 3330
+r0000:=-1/5*(2+b*x)^(3/2)/x^(5/2)+1/15*b*(2+b*x)^(3/2)/x^(3/2)
+--R 
+--R
+--R          2 2            +-------+
+--R        (b x  - b x - 6)\|b x + 2
+--R   (2)  --------------------------
+--R                    2 +-+
+--R                 15x \|x
+--R                                                    Type: Expression(Integer)
+--E 2637
+
+--S 2638 of 3330 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           2 2              +-+ +-------+     3     2            3
+--R        (2b x  - 2b x - 12)\|x \|b x + 2  + (b  + 2b  - 9b - 18)x
+--R   (3)  ----------------------------------------------------------
+--R                                      3
+--R                                   30x
+--R                                         Type: Union(Expression(Integer),...)
+--E 2638
+
+--S 2639 of 3330 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R         3     2
+--R        b  + 2b  - 9b - 18
+--R   (4)  ------------------
+--R                30
+--R                                                    Type: Expression(Integer)
+--E 2639
+
+--S 2640 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2640
+
+)clear all
+
+--S 2641 of 3330
+t0000:=sqrt(2+b*x)/x^(9/2)
+--R 
+--R
+--R         +-------+
+--R        \|b x + 2
+--R   (1)  ----------
+--R           4 +-+
+--R          x \|x
+--R                                                    Type: Expression(Integer)
+--E 2641
+
+--S 2642 of 3330
+r0000:=-1/7*(2+b*x)^(3/2)/x^(7/2)+2/35*b*(2+b*x)^(3/2)/x^(5/2)-_
+     2/105*b^2*(2+b*x)^(3/2)/x^(3/2)
+--R 
+--R
+--R             3 3     2 2              +-------+
+--R        (- 2b x  + 2b x  - 3b x - 30)\|b x + 2
+--R   (2)  ---------------------------------------
+--R                           3 +-+
+--R                       105x \|x
+--R                                                    Type: Expression(Integer)
+--E 2642
+
+--S 2643 of 3330 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R             3 3      2 2                +-+ +-------+
+--R       (- 12b x  + 12b x  - 18b x - 180)\|x \|b x + 2
+--R     + 
+--R            4      3      2              4
+--R       (- 2b  - 20b  + 19b  - 63b - 330)x
+--R  /
+--R         4
+--R     630x
+--R                                         Type: Union(Expression(Integer),...)
+--E 2643
+
+--S 2644 of 3330 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R            4      3      2
+--R        - 2b  - 20b  + 19b  - 63b - 330
+--R   (4)  -------------------------------
+--R                      630
+--R                                                    Type: Expression(Integer)
+--E 2644
+
+--S 2645 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2645
+
+)clear all
+
+--S 2646 of 3330
+t0000:=x^(5/2)*sqrt(2-b*x)
+--R 
+--R
+--R         2 +---------+ +-+
+--R   (1)  x \|- b x + 2 \|x
+--R                                                    Type: Expression(Integer)
+--E 2646
+
+--S 2647 of 3330
+r0000:=5/4*asin(sqrt(b)*sqrt(x)/sqrt(2))/b^(7/2)-_
+     5/24*x^(3/2)*sqrt(2-b*x)/b^2-1/12*x^(5/2)*sqrt(2-b*x)/b+_
+     1/4*x^(7/2)*sqrt(2-b*x)-5/8*sqrt(x)*sqrt(2-b*x)/b^3
+--R 
+--R
+--R                +-+ +-+
+--R               \|b \|x        3 3     2 2              +---------+ +-+ +-+
+--R        30asin(--------) + (6b x  - 2b x  - 5b x - 15)\|- b x + 2 \|b \|x
+--R                  +-+
+--R                 \|2
+--R   (2)  ------------------------------------------------------------------
+--R                                        3 +-+
+--R                                     24b \|b
+--R                                                    Type: Expression(Integer)
+--E 2647
+
+--S 2648 of 3330
+--a0000:=integrate(t0000,x)
+--E 2648
+
+--S 2649 of 3330
+--m0000:=a0000 - r0000
+--E 2649
+
+--S 2650 of 3330
+--d0000:=D(m0000,x)
+--E 2650
+
+)clear all
+
+--S 2651 of 3330
+t0000:=x^(3/2)*sqrt(2-b*x)
+--R 
+--R
+--R          +---------+ +-+
+--R   (1)  x\|- b x + 2 \|x
+--R                                                    Type: Expression(Integer)
+--E 2651
+
+--S 2652 of 3330
+r0000:=asin(sqrt(b)*sqrt(x)/sqrt(2))/b^(5/2)-_
+     1/6*x^(3/2)*sqrt(2-b*x)/b+1/3*x^(5/2)*sqrt(2-b*x)-_
+     1/2*sqrt(x)*sqrt(2-b*x)/b^2
+--R 
+--R
+--R               +-+ +-+
+--R              \|b \|x        2 2            +---------+ +-+ +-+
+--R        6asin(--------) + (2b x  - b x - 3)\|- b x + 2 \|b \|x
+--R                 +-+
+--R                \|2
+--R   (2)  -------------------------------------------------------
+--R                                  2 +-+
+--R                                6b \|b
+--R                                                    Type: Expression(Integer)
+--E 2652
+
+--S 2653 of 3330
+--a0000:=integrate(t0000,x)
+--E 2653
+
+--S 2654 of 3330
+--m0000:=a0000 - r0000
+--E 2654
+
+--S 2655 of 3330
+--d0000:=D(m0000,x)
+--E 2655
+
+)clear all
+
+--S 2656 of 3330
+t0000:=sqrt(x)*sqrt(2-b*x)
+--R 
+--R
+--R         +---------+ +-+
+--R   (1)  \|- b x + 2 \|x
+--R                                                    Type: Expression(Integer)
+--E 2656
+
+--S 2657 of 3330
+r0000:=asin(sqrt(b)*sqrt(x)/sqrt(2))/b^(3/2)+1/2*x^(3/2)*sqrt(2-b*x)-_
+     1/2*sqrt(x)*sqrt(2-b*x)/b
+--R 
+--R
+--R               +-+ +-+
+--R              \|b \|x               +---------+ +-+ +-+
+--R        2asin(--------) + (b x - 1)\|- b x + 2 \|b \|x
+--R                 +-+
+--R                \|2
+--R   (2)  -----------------------------------------------
+--R                                +-+
+--R                             2b\|b
+--R                                                    Type: Expression(Integer)
+--E 2657
+
+--S 2658 of 3330
+--a0000:=integrate(t0000,x)
+--E 2658
+
+--S 2659 of 3330
+--m0000:=a0000 - r0000
+--E 2659
+
+--S 2660 of 3330
+--d0000:=D(m0000,x)
+--E 2660
+
+)clear all
+
+--S 2661 of 3330
+t0000:=sqrt(2-b*x)/sqrt(x)
+--R 
+--R
+--R         +---------+
+--R        \|- b x + 2
+--R   (1)  ------------
+--R             +-+
+--R            \|x
+--R                                                    Type: Expression(Integer)
+--E 2661
+
+--S 2662 of 3330
+r0000:=2*asin(sqrt(b)*sqrt(x)/sqrt(2))/sqrt(b)+sqrt(x)*sqrt(2-b*x)
+--R 
+--R
+--R               +-+ +-+
+--R              \|b \|x      +---------+ +-+ +-+
+--R        2asin(--------) + \|- b x + 2 \|b \|x
+--R                 +-+
+--R                \|2
+--R   (2)  --------------------------------------
+--R                          +-+
+--R                         \|b
+--R                                                    Type: Expression(Integer)
+--E 2662
+
+--S 2663 of 3330
+--a0000:=integrate(t0000,x)
+--E 2663
+
+--S 2664 of 3330
+--m0000:=a0000 - r0000
+--E 2664
+
+--S 2665 of 3330
+--d0000:=D(m0000,x)
+--E 2665
+
+)clear all
+
+--S 2666 of 3330
+t0000:=sqrt(2-b*x)/x^(3/2)
+--R 
+--R
+--R         +---------+
+--R        \|- b x + 2
+--R   (1)  ------------
+--R              +-+
+--R            x\|x
+--R                                                    Type: Expression(Integer)
+--E 2666
+
+--S 2667 of 3330
+r0000:=-2*asin(sqrt(b)*sqrt(x)/sqrt(2))*sqrt(b)-2*sqrt(2-b*x)/sqrt(x)
+--R 
+--R
+--R                         +-+ +-+
+--R            +-+ +-+     \|b \|x       +---------+
+--R        - 2\|b \|x asin(--------) - 2\|- b x + 2
+--R                           +-+
+--R                          \|2
+--R   (2)  -----------------------------------------
+--R                            +-+
+--R                           \|x
+--R                                                    Type: Expression(Integer)
+--E 2667
+
+--S 2668 of 3330
+--a0000:=integrate(t0000,x)
+--E 2668
+
+--S 2669 of 3330
+--m0000:=a0000 - r0000
+--E 2669
+
+--S 2670 of 3330
+--d0000:=D(m0000,x)
+--E 2670
+
+)clear all
+
+--S 2671 of 3330
+t0000:=sqrt(2-b*x)/x^(5/2)
+--R 
+--R
+--R         +---------+
+--R        \|- b x + 2
+--R   (1)  ------------
+--R            2 +-+
+--R           x \|x
+--R                                                    Type: Expression(Integer)
+--E 2671
+
+--S 2672 of 3330
+r0000:=-1/3*(2-b*x)^(3/2)/x^(3/2)
+--R 
+--R
+--R                  +---------+
+--R        (b x - 2)\|- b x + 2
+--R   (2)  ---------------------
+--R                   +-+
+--R                3x\|x
+--R                                                    Type: Expression(Integer)
+--E 2672
+
+--S 2673 of 3330 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                    +---------+ +-+         2             2
+--R        (8b x - 16)\|- b x + 2 \|x  + (- 16b  + 65b - 66)x
+--R   (3)  ---------------------------------------------------
+--R                                   2
+--R                                24x
+--R                                         Type: Union(Expression(Integer),...)
+--E 2673
+
+--S 2674 of 3330 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R             2
+--R        - 16b  + 65b - 66
+--R   (4)  -----------------
+--R                24
+--R                                                    Type: Expression(Integer)
+--E 2674
+
+--S 2675 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2675
+
+)clear all
+
+--S 2676 of 3330
+t0000:=sqrt(2-b*x)/x^(7/2)
+--R 
+--R
+--R         +---------+
+--R        \|- b x + 2
+--R   (1)  ------------
+--R            3 +-+
+--R           x \|x
+--R                                                    Type: Expression(Integer)
+--E 2676
+
+--S 2677 of 3330
+r0000:=-1/5*(2-b*x)^(3/2)/x^(5/2)-1/15*b*(2-b*x)^(3/2)/x^(3/2)
+--R 
+--R
+--R          2 2            +---------+
+--R        (b x  + b x - 6)\|- b x + 2
+--R   (2)  ----------------------------
+--R                     2 +-+
+--R                  15x \|x
+--R                                                    Type: Expression(Integer)
+--E 2677
+
+--S 2678 of 3330 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           2 2              +---------+ +-+       3     2            3
+--R        (2b x  + 2b x - 12)\|- b x + 2 \|x  + (- b  + 2b  + 9b - 18)x
+--R   (3)  --------------------------------------------------------------
+--R                                        3
+--R                                     30x
+--R                                         Type: Union(Expression(Integer),...)
+--E 2678
+
+--S 2679 of 3330 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R           3     2
+--R        - b  + 2b  + 9b - 18
+--R   (4)  --------------------
+--R                 30
+--R                                                    Type: Expression(Integer)
+--E 2679
+
+--S 2680 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2680
+
+)clear all
+
+--S 2681 of 3330
+t0000:=sqrt(2-b*x)/x^(9/2)
+--R 
+--R
+--R         +---------+
+--R        \|- b x + 2
+--R   (1)  ------------
+--R            4 +-+
+--R           x \|x
+--R                                                    Type: Expression(Integer)
+--E 2681
+
+--S 2682 of 3330
+r0000:=-1/7*(2-b*x)^(3/2)/x^(7/2)-2/35*b*(2-b*x)^(3/2)/x^(5/2)-_
+     2/105*b^2*(2-b*x)^(3/2)/x^(3/2)
+--R 
+--R
+--R           3 3     2 2              +---------+
+--R        (2b x  + 2b x  + 3b x - 30)\|- b x + 2
+--R   (2)  ---------------------------------------
+--R                           3 +-+
+--R                       105x \|x
+--R                                                    Type: Expression(Integer)
+--E 2682
+
+--S 2683 of 3330 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R      3 3     2 2              +---------+ +-+      4     3     2             4
+--R   (4b x  + 4b x  + 6b x - 60)\|- b x + 2 \|x  + (2b  - 4b  - 3b  - 39b + 90)x
+--R   ----------------------------------------------------------------------------
+--R                                           4
+--R                                       210x
+--R                                         Type: Union(Expression(Integer),...)
+--E 2683
+
+--S 2684 of 3330 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R          4     3     2
+--R        2b  - 4b  - 3b  - 39b + 90
+--R   (4)  --------------------------
+--R                    210
+--R                                                    Type: Expression(Integer)
+--E 2684
+
+--S 2685 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2685
+
+)clear all
+
+--S 2686 of 3330
+t0000:=x^(5/2)*(a+b*x)^(3/2)
+--R 
+--R
+--R            3      2  +-+ +-------+
+--R   (1)  (b x  + a x )\|x \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 2686
+
+--S 2687 of 3330
+r0000:=1/5*x^(7/2)*(a+b*x)^(3/2)-_
+     3/128*a^5*atanh(sqrt(b)*sqrt(x)/sqrt(a+b*x))/b^(7/2)-_
+     1/64*a^3*x^(3/2)*sqrt(a+b*x)/b^2+1/80*a^2*x^(5/2)*sqrt(a+b*x)/b+_
+     3/40*a*x^(7/2)*sqrt(a+b*x)+3/128*a^4*sqrt(x)*sqrt(a+b*x)/b^3
+--R 
+--R
+--R   (2)
+--R                     +-+ +-+
+--R            5       \|b \|x
+--R       - 15a atanh(----------)
+--R                    +-------+
+--R                   \|b x + a
+--R     + 
+--R            4 4         3 3     2 2 2      3         4  +-+ +-+ +-------+
+--R       (128b x  + 176a b x  + 8a b x  - 10a b x + 15a )\|b \|x \|b x + a
+--R  /
+--R         3 +-+
+--R     640b \|b
+--R                                                    Type: Expression(Integer)
+--E 2687
+
+--S 2688 of 3330
+--a0000:=integrate(t0000,x)
+--E 2688
+
+--S 2689 of 3330
+--m0000:=a0000 - r0000
+--E 2689
+
+--S 2690 of 3330
+--d0000:=D(m0000,x)
+--E 2690
+
+)clear all
+
+--S 2691 of 3330
+t0000:=x^(3/2)*(a+b*x)^(3/2)
+--R 
+--R
+--R            2        +-+ +-------+
+--R   (1)  (b x  + a x)\|x \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 2691
+
+--S 2692 of 3330
+r0000:=1/4*x^(5/2)*(a+b*x)^(3/2)+_
+     3/64*a^4*atanh(sqrt(b)*sqrt(x)/sqrt(a+b*x))/b^(5/2)+_
+     1/32*a^2*x^(3/2)*sqrt(a+b*x)/b+1/8*a*x^(5/2)*sqrt(a+b*x)-_
+     3/64*a^3*sqrt(x)*sqrt(a+b*x)/b^2
+--R 
+--R
+--R   (2)
+--R              +-+ +-+
+--R     4       \|b \|x          3 3        2 2     2        3  +-+ +-+ +-------+
+--R   3a atanh(----------) + (16b x  + 24a b x  + 2a b x - 3a )\|b \|x \|b x + a
+--R             +-------+
+--R            \|b x + a
+--R   ---------------------------------------------------------------------------
+--R                                        2 +-+
+--R                                     64b \|b
+--R                                                    Type: Expression(Integer)
+--E 2692
+
+--S 2693 of 3330
+--a0000:=integrate(t0000,x)
+--E 2693
+
+--S 2694 of 3330
+--m0000:=a0000 - r0000
+--E 2694
+
+--S 2695 of 3330
+--d0000:=D(m0000,x)
+--E 2695
+
+)clear all
+
+--S 2696 of 3330
+t0000:=(a+b*x)^(3/2)*sqrt(x)
+--R 
+--R
+--R                  +-+ +-------+
+--R   (1)  (b x + a)\|x \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 2696
+
+--S 2697 of 3330
+r0000:=1/3*x^(3/2)*(a+b*x)^(3/2)-_
+     1/8*a^3*atanh(sqrt(b)*sqrt(x)/sqrt(a+b*x))/b^(3/2)+_
+     1/4*a*x^(3/2)*sqrt(a+b*x)+1/8*a^2*sqrt(x)*sqrt(a+b*x)/b
+--R 
+--R
+--R                     +-+ +-+
+--R            3       \|b \|x         2 2               2  +-+ +-+ +-------+
+--R        - 3a atanh(----------) + (8b x  + 14a b x + 3a )\|b \|x \|b x + a
+--R                    +-------+
+--R                   \|b x + a
+--R   (2)  ------------------------------------------------------------------
+--R                                          +-+
+--R                                      24b\|b
+--R                                                    Type: Expression(Integer)
+--E 2697
+
+--S 2698 of 3330
+--a0000:=integrate(t0000,x)
+--E 2698
+
+--S 2699 of 3330
+--m0000:=a0000 - r0000
+--E 2699
+
+--S 2700 of 3330
+--d0000:=D(m0000,x)
+--E 2700
+
+)clear all
+
+--S 2701 of 3330
+t0000:=(a+b*x)^(3/2)/sqrt(x)
+--R 
+--R
+--R                  +-------+
+--R        (b x + a)\|b x + a
+--R   (1)  -------------------
+--R                 +-+
+--R                \|x
+--R                                                    Type: Expression(Integer)
+--E 2701
+
+--S 2702 of 3330
+r0000:=3/4*a^2*atanh(sqrt(b)*sqrt(x)/sqrt(a+b*x))/sqrt(b)+_
+     1/2*(a+b*x)^(3/2)*sqrt(x)+3/4*a*sqrt(x)*sqrt(a+b*x)
+--R 
+--R
+--R                   +-+ +-+
+--R          2       \|b \|x                  +-+ +-+ +-------+
+--R        3a atanh(----------) + (2b x + 5a)\|b \|x \|b x + a
+--R                  +-------+
+--R                 \|b x + a
+--R   (2)  ----------------------------------------------------
+--R                                  +-+
+--R                                4\|b
+--R                                                    Type: Expression(Integer)
+--E 2702
+
+--S 2703 of 3330
+--a0000:=integrate(t0000,x)
+--E 2703
+
+--S 2704 of 3330
+--m0000:=a0000 - r0000
+--E 2704
+
+--S 2705 of 3330
+--d0000:=D(m0000,x)
+--E 2705
+
+)clear all
+
+--S 2706 of 3330
+t0000:=(a+b*x)^(3/2)/x^(3/2)
+--R 
+--R
+--R                  +-------+
+--R        (b x + a)\|b x + a
+--R   (1)  -------------------
+--R                 +-+
+--R               x\|x
+--R                                                    Type: Expression(Integer)
+--E 2706
+
+--S 2707 of 3330
+r0000:=3*a*atanh(sqrt(b)*sqrt(x)/sqrt(a+b*x))*sqrt(b)-_
+     2*(a+b*x)^(3/2)/sqrt(x)+3*b*sqrt(x)*sqrt(a+b*x)
+--R 
+--R
+--R                          +-+ +-+
+--R           +-+ +-+       \|b \|x                 +-------+
+--R        3a\|b \|x atanh(----------) + (b x - 2a)\|b x + a
+--R                         +-------+
+--R                        \|b x + a
+--R   (2)  --------------------------------------------------
+--R                                +-+
+--R                               \|x
+--R                                                    Type: Expression(Integer)
+--E 2707
+
+--S 2708 of 3330
+--a0000:=integrate(t0000,x)
+--E 2708
+
+--S 2709 of 3330
+--m0000:=a0000 - r0000
+--E 2709
+
+--S 2710 of 3330
+--d0000:=D(m0000,x)
+--E 2710
+
+)clear all
+
+--S 2711 of 3330
+t0000:=(a+b*x)^(3/2)/x^(5/2)
+--R 
+--R
+--R                  +-------+
+--R        (b x + a)\|b x + a
+--R   (1)  -------------------
+--R                2 +-+
+--R               x \|x
+--R                                                    Type: Expression(Integer)
+--E 2711
+
+--S 2712 of 3330
+r0000:=-2/3*(a+b*x)^(3/2)/x^(3/2)+_
+     2*b^(3/2)*atanh(sqrt(b)*sqrt(x)/sqrt(a+b*x))-2*b*sqrt(a+b*x)/sqrt(x)
+--R 
+--R
+--R                            +-+ +-+
+--R             +-+ +-+       \|b \|x                    +-------+
+--R        6b x\|b \|x atanh(----------) + (- 8b x - 2a)\|b x + a
+--R                           +-------+
+--R                          \|b x + a
+--R   (2)  -------------------------------------------------------
+--R                                    +-+
+--R                                 3x\|x
+--R                                                    Type: Expression(Integer)
+--E 2712
+
+--S 2713 of 3330
+--a0000:=integrate(t0000,x)
+--E 2713
+
+--S 2714 of 3330
+--m0000:=a0000 - r0000
+--E 2714
+
+--S 2715 of 3330
+--d0000:=D(m0000,x)
+--E 2715
+
+)clear all
+
+--S 2716 of 3330
+t0000:=x^(5/2)*(a-b*x)^(3/2)
+--R 
+--R
+--R              3      2  +---------+ +-+
+--R   (1)  (- b x  + a x )\|- b x + a \|x
+--R                                                    Type: Expression(Integer)
+--E 2716
+
+--S 2717 of 3330
+r0000:=1/5*x^(7/2)*(a-b*x)^(3/2)+_
+     3/128*a^5*atan(sqrt(b)*sqrt(x)/sqrt(a-b*x))/b^(7/2)-_
+     1/64*a^3*x^(3/2)*sqrt(a-b*x)/b^2-1/80*a^2*x^(5/2)*sqrt(a-b*x)/b+_
+     3/40*a*x^(7/2)*sqrt(a-b*x)-3/128*a^4*sqrt(x)*sqrt(a-b*x)/b^3
+--R 
+--R
+--R   (2)
+--R                   +-+ +-+
+--R          5       \|b \|x
+--R       15a atan(------------)
+--R                 +---------+
+--R                \|- b x + a
+--R     + 
+--R              4 4         3 3     2 2 2      3         4  +---------+ +-+ +-+
+--R       (- 128b x  + 176a b x  - 8a b x  - 10a b x - 15a )\|- b x + a \|b \|x
+--R  /
+--R         3 +-+
+--R     640b \|b
+--R                                                    Type: Expression(Integer)
+--E 2717
+
+--S 2718 of 3330
+--a0000:=integrate(t0000,x)
+--E 2718
+
+--S 2719 of 3330
+--m0000:=a0000 - r0000
+--E 2719
+
+--S 2720 of 3330
+--d0000:=D(m0000,x)
+--E 2720
+
+)clear all
+
+--S 2721 of 3330
+t0000:=x^(3/2)*(a-b*x)^(3/2)
+--R 
+--R
+--R              2        +---------+ +-+
+--R   (1)  (- b x  + a x)\|- b x + a \|x
+--R                                                    Type: Expression(Integer)
+--E 2721
+
+--S 2722 of 3330
+r0000:=1/4*x^(5/2)*(a-b*x)^(3/2)+_
+     3/64*a^4*atan(sqrt(b)*sqrt(x)/sqrt(a-b*x))/b^(5/2)-_
+     1/32*a^2*x^(3/2)*sqrt(a-b*x)/b+1/8*a*x^(5/2)*sqrt(a-b*x)-_
+     3/64*a^3*sqrt(x)*sqrt(a-b*x)/b^2
+--R 
+--R
+--R   (2)
+--R                  +-+ +-+
+--R         4       \|b \|x
+--R       3a atan(------------)
+--R                +---------+
+--R               \|- b x + a
+--R     + 
+--R             3 3        2 2     2        3  +---------+ +-+ +-+
+--R       (- 16b x  + 24a b x  - 2a b x - 3a )\|- b x + a \|b \|x
+--R  /
+--R        2 +-+
+--R     64b \|b
+--R                                                    Type: Expression(Integer)
+--E 2722
+
+--S 2723 of 3330
+--a0000:=integrate(t0000,x)
+--E 2723
+
+--S 2724 of 3330
+--m0000:=a0000 - r0000
+--E 2724
+
+--S 2725 of 3330
+--d0000:=D(m0000,x)
+--E 2725
+
+)clear all
+
+--S 2726 of 3330
+t0000:=(a-b*x)^(3/2)*sqrt(x)
+--R 
+--R
+--R                    +---------+ +-+
+--R   (1)  (- b x + a)\|- b x + a \|x
+--R                                                    Type: Expression(Integer)
+--E 2726
+
+--S 2727 of 3330
+r0000:=1/3*x^(3/2)*(a-b*x)^(3/2)+_
+     1/8*a^3*atan(sqrt(b)*sqrt(x)/sqrt(a-b*x))/b^(3/2)+_
+     1/4*a*x^(3/2)*sqrt(a-b*x)-1/8*a^2*sqrt(x)*sqrt(a-b*x)/b
+--R 
+--R
+--R                   +-+ +-+
+--R          3       \|b \|x            2 2               2  +---------+ +-+ +-+
+--R        3a atan(------------) + (- 8b x  + 14a b x - 3a )\|- b x + a \|b \|x
+--R                 +---------+
+--R                \|- b x + a
+--R   (2)  ---------------------------------------------------------------------
+--R                                           +-+
+--R                                       24b\|b
+--R                                                    Type: Expression(Integer)
+--E 2727
+
+--S 2728 of 3330
+--a0000:=integrate(t0000,x)
+--E 2728
+
+--S 2729 of 3330
+--m0000:=a0000 - r0000
+--E 2729
+
+--S 2730 of 3330
+--d0000:=D(m0000,x)
+--E 2730
+
+)clear all
+
+--S 2731 of 3330
+t0000:=(a-b*x)^(3/2)/sqrt(x)
+--R 
+--R
+--R                    +---------+
+--R        (- b x + a)\|- b x + a
+--R   (1)  -----------------------
+--R                   +-+
+--R                  \|x
+--R                                                    Type: Expression(Integer)
+--E 2731
+
+--S 2732 of 3330
+r0000:=3/4*a^2*atan(sqrt(b)*sqrt(x)/sqrt(a-b*x))/sqrt(b)+_
+     1/2*(a-b*x)^(3/2)*sqrt(x)+3/4*a*sqrt(x)*sqrt(a-b*x)
+--R 
+--R
+--R                   +-+ +-+
+--R          2       \|b \|x                     +---------+ +-+ +-+
+--R        3a atan(------------) + (- 2b x + 5a)\|- b x + a \|b \|x
+--R                 +---------+
+--R                \|- b x + a
+--R   (2)  ---------------------------------------------------------
+--R                                    +-+
+--R                                  4\|b
+--R                                                    Type: Expression(Integer)
+--E 2732
+
+--S 2733 of 3330
+--a0000:=integrate(t0000,x)
+--E 2733
+
+--S 2734 of 3330
+--m0000:=a0000 - r0000
+--E 2734
+
+--S 2735 of 3330
+--d0000:=D(m0000,x)
+--E 2735
+
+)clear all
+
+--S 2736 of 3330
+t0000:=(a-b*x)^(3/2)/x^(3/2)
+--R 
+--R
+--R                    +---------+
+--R        (- b x + a)\|- b x + a
+--R   (1)  -----------------------
+--R                   +-+
+--R                 x\|x
+--R                                                    Type: Expression(Integer)
+--E 2736
+
+--S 2737 of 3330
+r0000:=-3*a*atan(sqrt(b)*sqrt(x)/sqrt(a-b*x))*sqrt(b)-2*(a-b*x)^(3/2)/sqrt(x)-_
+     3*b*sqrt(x)*sqrt(a-b*x)
+--R 
+--R
+--R                            +-+ +-+
+--R             +-+ +-+       \|b \|x                    +---------+
+--R        - 3a\|b \|x atan(------------) + (- b x - 2a)\|- b x + a
+--R                          +---------+
+--R                         \|- b x + a
+--R   (2)  ---------------------------------------------------------
+--R                                    +-+
+--R                                   \|x
+--R                                                    Type: Expression(Integer)
+--E 2737
+
+--S 2738 of 3330
+--a0000:=integrate(t0000,x)
+--E 2738
+
+--S 2739 of 3330
+--m0000:=a0000 - r0000
+--E 2739
+
+--S 2740 of 3330
+--d0000:=D(m0000,x)
+--E 2740
+
+)clear all
+
+--S 2741 of 3330
+t0000:=(a-b*x)^(3/2)/x^(5/2)
+--R 
+--R
+--R                    +---------+
+--R        (- b x + a)\|- b x + a
+--R   (1)  -----------------------
+--R                  2 +-+
+--R                 x \|x
+--R                                                    Type: Expression(Integer)
+--E 2741
+
+--S 2742 of 3330
+r0000:=-2/3*(a-b*x)^(3/2)/x^(3/2)+_
+     2*b^(3/2)*atan(sqrt(b)*sqrt(x)/sqrt(a-b*x))+2*b*sqrt(a-b*x)/sqrt(x)
+--R 
+--R
+--R                            +-+ +-+
+--R             +-+ +-+       \|b \|x                   +---------+
+--R        6b x\|b \|x atan(------------) + (8b x - 2a)\|- b x + a
+--R                          +---------+
+--R                         \|- b x + a
+--R   (2)  --------------------------------------------------------
+--R                                    +-+
+--R                                 3x\|x
+--R                                                    Type: Expression(Integer)
+--E 2742
+
+--S 2743 of 3330
+--a0000:=integrate(t0000,x)
+--E 2743
+
+--S 2744 of 3330
+--m0000:=a0000 - r0000
+--E 2744
+
+--S 2745 of 3330
+--d0000:=D(m0000,x)
+--E 2745
+
+)clear all
+
+--S 2746 of 3330
+t0000:=x^(5/2)*(2+b*x)^(3/2)
+--R 
+--R
+--R            3     2  +-+ +-------+
+--R   (1)  (b x  + 2x )\|x \|b x + 2
+--R                                                    Type: Expression(Integer)
+--E 2746
+
+--S 2747 of 3330
+r0000:=1/5*x^(7/2)*(2+b*x)^(3/2)-_
+     3/4*asinh(sqrt(b)*sqrt(x)/sqrt(2))/b^(7/2)-_
+     1/8*x^(3/2)*sqrt(2+b*x)/b^2+1/20*x^(5/2)*sqrt(2+b*x)/b+_
+     3/20*x^(7/2)*sqrt(2+b*x)+3/8*sqrt(x)*sqrt(2+b*x)/b^3
+--R 
+--R
+--R   (2)
+--R              +-+ +-+
+--R             \|b \|x        4 4      3 3     2 2              +-+ +-+ +-------+
+--R   - 30asinh(--------) + (8b x  + 22b x  + 2b x  - 5b x + 15)\|b \|x \|b x + 2
+--R                +-+
+--R               \|2
+--R   ----------------------------------------------------------------------------
+--R                                        3 +-+
+--R                                     40b \|b
+--R                                                    Type: Expression(Integer)
+--E 2747
+
+--S 2748 of 3330
+--a0000:=integrate(t0000,x)
+--E 2748
+
+--S 2749 of 3330
+--m0000:=a0000 - r0000
+--E 2749
+
+--S 2750 of 3330
+--d0000:=D(m0000,x)
+--E 2750
+
+)clear all
+
+--S 2751 of 3330
+t0000:=x^(3/2)*(2+b*x)^(3/2)
+--R 
+--R
+--R            2       +-+ +-------+
+--R   (1)  (b x  + 2x)\|x \|b x + 2
+--R                                                    Type: Expression(Integer)
+--E 2751
+
+--S 2752 of 3330
+r0000:=1/4*x^(5/2)*(2+b*x)^(3/2)+_
+     3/4*asinh(sqrt(b)*sqrt(x)/sqrt(2))/b^(5/2)+_
+     1/8*x^(3/2)*sqrt(2+b*x)/b+1/4*x^(5/2)*sqrt(2+b*x)-_
+     3/8*sqrt(x)*sqrt(2+b*x)/b^2
+--R 
+--R
+--R                +-+ +-+
+--R               \|b \|x        3 3     2 2            +-+ +-+ +-------+
+--R        6asinh(--------) + (2b x  + 6b x  + b x - 3)\|b \|x \|b x + 2
+--R                  +-+
+--R                 \|2
+--R   (2)  --------------------------------------------------------------
+--R                                      2 +-+
+--R                                    8b \|b
+--R                                                    Type: Expression(Integer)
+--E 2752
+
+--S 2753 of 3330
+--a0000:=integrate(t0000,x)
+--E 2753
+
+--S 2754 of 3330
+--m0000:=a0000 - r0000
+--E 2754
+
+--S 2755 of 3330
+--d0000:=D(m0000,x)
+--E 2755
+
+)clear all
+
+--S 2756 of 3330
+t0000:=(2+b*x)^(3/2)*sqrt(x)
+--R 
+--R
+--R                  +-+ +-------+
+--R   (1)  (b x + 2)\|x \|b x + 2
+--R                                                    Type: Expression(Integer)
+--E 2756
+
+--S 2757 of 3330
+r0000:=1/3*x^(3/2)*(2+b*x)^(3/2)-asinh(sqrt(b)*sqrt(x)/sqrt(2))/b^(3/2)+_
+     1/2*x^(3/2)*sqrt(2+b*x)+1/2*sqrt(x)*sqrt(2+b*x)/b
+--R 
+--R
+--R                  +-+ +-+
+--R                 \|b \|x        2 2             +-+ +-+ +-------+
+--R        - 6asinh(--------) + (2b x  + 7b x + 3)\|b \|x \|b x + 2
+--R                    +-+
+--R                   \|2
+--R   (2)  ---------------------------------------------------------
+--R                                     +-+
+--R                                  6b\|b
+--R                                                    Type: Expression(Integer)
+--E 2757
+
+--S 2758 of 3330
+--a0000:=integrate(t0000,x)
+--E 2758
+
+--S 2759 of 3330
+--m0000:=a0000 - r0000
+--E 2759
+
+--S 2760 of 3330
+--d0000:=D(m0000,x)
+--E 2760
+
+)clear all
+
+--S 2761 of 3330
+t0000:=(2+b*x)^(3/2)/sqrt(x)
+--R 
+--R
+--R                  +-------+
+--R        (b x + 2)\|b x + 2
+--R   (1)  -------------------
+--R                 +-+
+--R                \|x
+--R                                                    Type: Expression(Integer)
+--E 2761
+
+--S 2762 of 3330
+r0000:=3*asinh(sqrt(b)*sqrt(x)/sqrt(2))/sqrt(b)+_
+     1/2*(2+b*x)^(3/2)*sqrt(x)+3/2*sqrt(x)*sqrt(2+b*x)
+--R 
+--R
+--R                +-+ +-+
+--R               \|b \|x               +-+ +-+ +-------+
+--R        6asinh(--------) + (b x + 5)\|b \|x \|b x + 2
+--R                  +-+
+--R                 \|2
+--R   (2)  ----------------------------------------------
+--R                               +-+
+--R                             2\|b
+--R                                                    Type: Expression(Integer)
+--E 2762
+
+--S 2763 of 3330
+--a0000:=integrate(t0000,x)
+--E 2763
+
+--S 2764 of 3330
+--m0000:=a0000 - r0000
+--E 2764
+
+--S 2765 of 3330
+--d0000:=D(m0000,x)
+--E 2765
+
+)clear all
+
+--S 2766 of 3330
+t0000:=(2+b*x)^(3/2)/x^(3/2)
+--R 
+--R
+--R                  +-------+
+--R        (b x + 2)\|b x + 2
+--R   (1)  -------------------
+--R                 +-+
+--R               x\|x
+--R                                                    Type: Expression(Integer)
+--E 2766
+
+--S 2767 of 3330
+r0000:=6*asinh(sqrt(b)*sqrt(x)/sqrt(2))*sqrt(b)-_
+     2*(2+b*x)^(3/2)/sqrt(x)+3*b*sqrt(x)*sqrt(2+b*x)
+--R 
+--R
+--R                        +-+ +-+
+--R          +-+ +-+      \|b \|x               +-------+
+--R        6\|b \|x asinh(--------) + (b x - 4)\|b x + 2
+--R                          +-+
+--R                         \|2
+--R   (2)  ----------------------------------------------
+--R                              +-+
+--R                             \|x
+--R                                                    Type: Expression(Integer)
+--E 2767
+
+--S 2768 of 3330
+--a0000:=integrate(t0000,x)
+--E 2768
+
+--S 2769 of 3330
+--m0000:=a0000 - r0000
+--E 2769
+
+--S 2770 of 3330
+--d0000:=D(m0000,x)
+--E 2770
+
+)clear all
+
+--S 2771 of 3330
+t0000:=(2+b*x)^(3/2)/x^(5/2)
+--R 
+--R
+--R                  +-------+
+--R        (b x + 2)\|b x + 2
+--R   (1)  -------------------
+--R                2 +-+
+--R               x \|x
+--R                                                    Type: Expression(Integer)
+--E 2771
+
+--S 2772 of 3330
+r0000:=-2/3*(2+b*x)^(3/2)/x^(3/2)+_
+     2*b^(3/2)*asinh(sqrt(b)*sqrt(x)/sqrt(2))-2*b*sqrt(2+b*x)/sqrt(x)
+--R 
+--R
+--R                           +-+ +-+
+--R             +-+ +-+      \|b \|x                  +-------+
+--R        6b x\|b \|x asinh(--------) + (- 8b x - 4)\|b x + 2
+--R                             +-+
+--R                            \|2
+--R   (2)  ----------------------------------------------------
+--R                                  +-+
+--R                               3x\|x
+--R                                                    Type: Expression(Integer)
+--E 2772
+
+--S 2773 of 3330
+--a0000:=integrate(t0000,x)
+--E 2773
+
+--S 2774 of 3330
+--m0000:=a0000 - r0000
+--E 2774
+
+--S 2775 of 3330
+--d0000:=D(m0000,x)
+--E 2775
+
+)clear all
+
+--S 2776 of 3330
+t0000:=x^(5/2)*(2-b*x)^(3/2)
+--R 
+--R
+--R              3     2  +---------+ +-+
+--R   (1)  (- b x  + 2x )\|- b x + 2 \|x
+--R                                                    Type: Expression(Integer)
+--E 2776
+
+--S 2777 of 3330
+r0000:=1/5*x^(7/2)*(2-b*x)^(3/2)+_
+     3/4*asin(sqrt(b)*sqrt(x)/sqrt(2))/b^(7/2)-_
+     1/8*x^(3/2)*sqrt(2-b*x)/b^2-1/20*x^(5/2)*sqrt(2-b*x)/b+_
+     3/20*x^(7/2)*sqrt(2-b*x)-3/8*sqrt(x)*sqrt(2-b*x)/b^3
+--R 
+--R
+--R   (2)
+--R           +-+ +-+
+--R          \|b \|x          4 4      3 3     2 2              +---------+ +-+ +-+
+--R   30asin(--------) + (- 8b x  + 22b x  - 2b x  - 5b x - 15)\|- b x + 2 \|b \|x
+--R             +-+
+--R            \|2
+--R   -----------------------------------------------------------------------------
+--R                                         3 +-+
+--R                                      40b \|b
+--R                                                    Type: Expression(Integer)
+--E 2777
+
+--S 2778 of 3330
+--a0000:=integrate(t0000,x)
+--E 2778
+
+--S 2779 of 3330
+--m0000:=a0000 - r0000
+--E 2779
+
+--S 2780 of 3330
+--d0000:=D(m0000,x)
+--E 2780
+
+)clear all
+
+--S 2781 of 3330
+t0000:=x^(3/2)*(2-b*x)^(3/2)
+--R 
+--R
+--R              2       +---------+ +-+
+--R   (1)  (- b x  + 2x)\|- b x + 2 \|x
+--R                                                    Type: Expression(Integer)
+--E 2781
+
+--S 2782 of 3330
+r0000:=1/4*x^(5/2)*(2-b*x)^(3/2)+3/4*asin(sqrt(b)*sqrt(x)/sqrt(2))/b^(5/2)-_
+     1/8*x^(3/2)*sqrt(2-b*x)/b+1/4*x^(5/2)*sqrt(2-b*x)-_
+     3/8*sqrt(x)*sqrt(2-b*x)/b^2
+--R 
+--R
+--R               +-+ +-+
+--R              \|b \|x          3 3     2 2            +---------+ +-+ +-+
+--R        6asin(--------) + (- 2b x  + 6b x  - b x - 3)\|- b x + 2 \|b \|x
+--R                 +-+
+--R                \|2
+--R   (2)  -----------------------------------------------------------------
+--R                                       2 +-+
+--R                                     8b \|b
+--R                                                    Type: Expression(Integer)
+--E 2782
+
+--S 2783 of 3330
+--a0000:=integrate(t0000,x)
+--E 2783
+
+--S 2784 of 3330
+--m0000:=a0000 - r0000
+--E 2784
+
+--S 2785 of 3330
+--d0000:=D(m0000,x)
+--E 2785
+
+)clear all
+
+--S 2786 of 3330
+t0000:=(2-b*x)^(3/2)*sqrt(x)
+--R 
+--R
+--R                    +---------+ +-+
+--R   (1)  (- b x + 2)\|- b x + 2 \|x
+--R                                                    Type: Expression(Integer)
+--E 2786
+
+--S 2787 of 3330
+r0000:=1/3*x^(3/2)*(2-b*x)^(3/2)+asin(sqrt(b)*sqrt(x)/sqrt(2))/b^(3/2)+_
+     1/2*x^(3/2)*sqrt(2-b*x)-1/2*sqrt(x)*sqrt(2-b*x)/b
+--R 
+--R
+--R               +-+ +-+
+--R              \|b \|x          2 2             +---------+ +-+ +-+
+--R        6asin(--------) + (- 2b x  + 7b x - 3)\|- b x + 2 \|b \|x
+--R                 +-+
+--R                \|2
+--R   (2)  ----------------------------------------------------------
+--R                                     +-+
+--R                                  6b\|b
+--R                                                    Type: Expression(Integer)
+--E 2787
+
+--S 2788 of 3330
+--a0000:=integrate(t0000,x)
+--E 2788
+
+--S 2789 of 3330
+--m0000:=a0000 - r0000
+--E 2789
+
+--S 2790 of 3330
+--d0000:=D(m0000,x)
+--E 2790
+
+)clear all
+
+--S 2791 of 3330
+t0000:=(2-b*x)^(3/2)/sqrt(x)
+--R 
+--R
+--R                    +---------+
+--R        (- b x + 2)\|- b x + 2
+--R   (1)  -----------------------
+--R                   +-+
+--R                  \|x
+--R                                                    Type: Expression(Integer)
+--E 2791
+
+--S 2792 of 3330
+r0000:=3*asin(sqrt(b)*sqrt(x)/sqrt(2))/sqrt(b)+1/2*(2-b*x)^(3/2)*sqrt(x)+_
+     3/2*sqrt(x)*sqrt(2-b*x)
+--R 
+--R
+--R               +-+ +-+
+--R              \|b \|x                 +---------+ +-+ +-+
+--R        6asin(--------) + (- b x + 5)\|- b x + 2 \|b \|x
+--R                 +-+
+--R                \|2
+--R   (2)  -------------------------------------------------
+--R                                +-+
+--R                              2\|b
+--R                                                    Type: Expression(Integer)
+--E 2792
+
+--S 2793 of 3330
+--a0000:=integrate(t0000,x)
+--E 2793
+
+--S 2794 of 3330
+--m0000:=a0000 - r0000
+--E 2794
+
+--S 2795 of 3330
+--d0000:=D(m0000,x)
+--E 2795
+
+)clear all
+
+--S 2796 of 3330
+t0000:=(2-b*x)^(3/2)/x^(3/2)
+--R 
+--R
+--R                    +---------+
+--R        (- b x + 2)\|- b x + 2
+--R   (1)  -----------------------
+--R                   +-+
+--R                 x\|x
+--R                                                    Type: Expression(Integer)
+--E 2796
+
+--S 2797 of 3330
+r0000:=-6*asin(sqrt(b)*sqrt(x)/sqrt(2))*sqrt(b)-2*(2-b*x)^(3/2)/sqrt(x)-_
+     3*b*sqrt(x)*sqrt(2-b*x)
+--R 
+--R
+--R                         +-+ +-+
+--R            +-+ +-+     \|b \|x                 +---------+
+--R        - 6\|b \|x asin(--------) + (- b x - 4)\|- b x + 2
+--R                           +-+
+--R                          \|2
+--R   (2)  ---------------------------------------------------
+--R                                 +-+
+--R                                \|x
+--R                                                    Type: Expression(Integer)
+--E 2797
+
+--S 2798 of 3330
+--a0000:=integrate(t0000,x)
+--E 2798
+
+--S 2799 of 3330
+--m0000:=a0000 - r0000
+--E 2799
+
+--S 2800 of 3330
+--d0000:=D(m0000,x)
+--E 2800
+
+)clear all
+
+--S 2801 of 3330
+t0000:=(2-b*x)^(3/2)/x^(5/2)
+--R 
+--R
+--R                    +---------+
+--R        (- b x + 2)\|- b x + 2
+--R   (1)  -----------------------
+--R                  2 +-+
+--R                 x \|x
+--R                                                    Type: Expression(Integer)
+--E 2801
+
+--S 2802 of 3330
+r0000:=-2/3*(2-b*x)^(3/2)/x^(3/2)+2*b^(3/2)*asin(sqrt(b)*sqrt(x)/sqrt(2))+_
+     2*b*sqrt(2-b*x)/sqrt(x)
+--R 
+--R
+--R                          +-+ +-+
+--R             +-+ +-+     \|b \|x                +---------+
+--R        6b x\|b \|x asin(--------) + (8b x - 4)\|- b x + 2
+--R                            +-+
+--R                           \|2
+--R   (2)  ---------------------------------------------------
+--R                                  +-+
+--R                               3x\|x
+--R                                                    Type: Expression(Integer)
+--E 2802
+
+--S 2803 of 3330
+--a0000:=integrate(t0000,x)
+--E 2803
+
+--S 2804 of 3330
+--m0000:=a0000 - r0000
+--E 2804
+
+--S 2805 of 3330
+--d0000:=D(m0000,x)
+--E 2805
+
+)clear all
+
+--S 2806 of 3330
+t0000:=x^(5/2)*(a+b*x)^(5/2)
+--R 
+--R
+--R          2 4         3    2 2  +-+ +-------+
+--R   (1)  (b x  + 2a b x  + a x )\|x \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 2806
+
+--S 2807 of 3330
+r0000:=1/12*a*x^(7/2)*(a+b*x)^(3/2)+1/6*x^(7/2)*(a+b*x)^(5/2)-_
+     5/512*a^6*atanh(sqrt(b)*sqrt(x)/sqrt(a+b*x))/b^(7/2)-_
+     5/768*a^4*x^(3/2)*sqrt(a+b*x)/b^2+1/192*a^3*x^(5/2)*sqrt(a+b*x)/b+_
+     1/32*a^2*x^(7/2)*sqrt(a+b*x)+5/512*a^5*sqrt(x)*sqrt(a+b*x)/b^3
+--R 
+--R
+--R   (2)
+--R                     +-+ +-+
+--R            6       \|b \|x
+--R       - 15a atanh(----------)
+--R                    +-------+
+--R                   \|b x + a
+--R     + 
+--R              5 5         4 4       2 3 3     3 2 2      4         5  +-+ +-+
+--R         (256b x  + 640a b x  + 432a b x  + 8a b x  - 10a b x + 15a )\|b \|x
+--R      *
+--R          +-------+
+--R         \|b x + a
+--R  /
+--R          3 +-+
+--R     1536b \|b
+--R                                                    Type: Expression(Integer)
+--E 2807
+
+--S 2808 of 3330
+--a0000:=integrate(t0000,x)
+--E 2808
+
+--S 2809 of 3330
+--m0000:=a0000 - r0000
+--E 2809
+
+--S 2810 of 3330
+--d0000:=D(m0000,x)
+--E 2810
+
+)clear all
+
+--S 2811 of 3330
+t0000:=x^(3/2)*(a+b*x)^(5/2)
+--R 
+--R
+--R          2 3         2    2   +-+ +-------+
+--R   (1)  (b x  + 2a b x  + a x)\|x \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 2811
+
+--S 2812 of 3330
+r0000:=1/8*a*x^(5/2)*(a+b*x)^(3/2)+1/5*x^(5/2)*(a+b*x)^(5/2)+_
+     3/128*a^5*atanh(sqrt(b)*sqrt(x)/sqrt(a+b*x))/b^(5/2)+_
+     1/64*a^3*x^(3/2)*sqrt(a+b*x)/b+1/16*a^2*x^(5/2)*sqrt(a+b*x)-_
+     3/128*a^4*sqrt(x)*sqrt(a+b*x)/b^2
+--R 
+--R
+--R   (2)
+--R                   +-+ +-+
+--R          5       \|b \|x
+--R       15a atanh(----------)
+--R                  +-------+
+--R                 \|b x + a
+--R     + 
+--R            4 4         3 3       2 2 2      3         4  +-+ +-+ +-------+
+--R       (128b x  + 336a b x  + 248a b x  + 10a b x - 15a )\|b \|x \|b x + a
+--R  /
+--R         2 +-+
+--R     640b \|b
+--R                                                    Type: Expression(Integer)
+--E 2812
+
+--S 2813 of 3330
+--a0000:=integrate(t0000,x)
+--E 2813
+
+--S 2814 of 3330
+--m0000:=a0000 - r0000
+--E 2814
+
+--S 2815 of 3330
+--d0000:=D(m0000,x)
+--E 2815
+
+)clear all
+
+--S 2816 of 3330
+t0000:=(a+b*x)^(5/2)*sqrt(x)
+--R 
+--R
+--R          2 2             2  +-+ +-------+
+--R   (1)  (b x  + 2a b x + a )\|x \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 2816
+
+--S 2817 of 3330
+r0000:=5/24*a*x^(3/2)*(a+b*x)^(3/2)+1/4*x^(3/2)*(a+b*x)^(5/2)-_
+     5/64*a^4*atanh(sqrt(b)*sqrt(x)/sqrt(a+b*x))/b^(3/2)+_
+     5/32*a^2*x^(3/2)*sqrt(a+b*x)+5/64*a^3*sqrt(x)*sqrt(a+b*x)/b
+--R 
+--R
+--R   (2)
+--R                     +-+ +-+
+--R            4       \|b \|x
+--R       - 15a atanh(----------)
+--R                    +-------+
+--R                   \|b x + a
+--R     + 
+--R           3 3         2 2       2         3  +-+ +-+ +-------+
+--R       (48b x  + 136a b x  + 118a b x + 15a )\|b \|x \|b x + a
+--R  /
+--R          +-+
+--R     192b\|b
+--R                                                    Type: Expression(Integer)
+--E 2817
+
+--S 2818 of 3330
+--a0000:=integrate(t0000,x)
+--E 2818
+
+--S 2819 of 3330
+--m0000:=a0000 - r0000
+--E 2819
+
+--S 2820 of 3330
+--d0000:=D(m0000,x)
+--E 2820
+
+)clear all
+
+--S 2821 of 3330
+t0000:=(a+b*x)^(5/2)/sqrt(x)
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (b x  + 2a b x + a )\|b x + a
+--R   (1)  ------------------------------
+--R                      +-+
+--R                     \|x
+--R                                                    Type: Expression(Integer)
+--E 2821
+
+--S 2822 of 3330
+r0000:=5/8*a^3*atanh(sqrt(b)*sqrt(x)/sqrt(a+b*x))/sqrt(b)+_
+     5/12*a*(a+b*x)^(3/2)*sqrt(x)+1/3*(a+b*x)^(5/2)*sqrt(x)+_
+     5/8*a^2*sqrt(x)*sqrt(a+b*x)
+--R 
+--R
+--R                    +-+ +-+
+--R           3       \|b \|x         2 2                2  +-+ +-+ +-------+
+--R        15a atanh(----------) + (8b x  + 26a b x + 33a )\|b \|x \|b x + a
+--R                   +-------+
+--R                  \|b x + a
+--R   (2)  ------------------------------------------------------------------
+--R                                         +-+
+--R                                      24\|b
+--R                                                    Type: Expression(Integer)
+--E 2822
+
+--S 2823 of 3330
+--a0000:=integrate(t0000,x)
+--E 2823
+
+--S 2824 of 3330
+--m0000:=a0000 - r0000
+--E 2824
+
+--S 2825 of 3330
+--d0000:=D(m0000,x)
+--E 2825
+
+)clear all
+
+--S 2826 of 3330
+t0000:=(a+b*x)^(5/2)/x^(3/2)
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (b x  + 2a b x + a )\|b x + a
+--R   (1)  ------------------------------
+--R                       +-+
+--R                     x\|x
+--R                                                    Type: Expression(Integer)
+--E 2826
+
+--S 2827 of 3330
+r0000:=15/4*a^2*atanh(sqrt(b)*sqrt(x)/sqrt(a+b*x))*sqrt(b)-_
+     2*(a+b*x)^(5/2)/sqrt(x)+5/2*b*(a+b*x)^(3/2)*sqrt(x)+_
+     15/4*a*b*sqrt(x)*sqrt(a+b*x)
+--R 
+--R
+--R                            +-+ +-+
+--R           2 +-+ +-+       \|b \|x         2 2              2  +-------+
+--R        15a \|b \|x atanh(----------) + (2b x  + 9a b x - 8a )\|b x + a
+--R                           +-------+
+--R                          \|b x + a
+--R   (2)  ----------------------------------------------------------------
+--R                                        +-+
+--R                                      4\|x
+--R                                                    Type: Expression(Integer)
+--E 2827
+
+--S 2828 of 3330
+--a0000:=integrate(t0000,x)
+--E 2828
+
+--S 2829 of 3330
+--m0000:=a0000 - r0000
+--E 2829
+
+--S 2830 of 3330
+--d0000:=D(m0000,x)
+--E 2830
+
+)clear all
+
+--S 2831 of 3330
+t0000:=(a+b*x)^(5/2)/x^(5/2)
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (b x  + 2a b x + a )\|b x + a
+--R   (1)  ------------------------------
+--R                     2 +-+
+--R                    x \|x
+--R                                                    Type: Expression(Integer)
+--E 2831
+
+--S 2832 of 3330
+r0000:=-2/3*(a+b*x)^(5/2)/x^(3/2)+_
+     5*a*b^(3/2)*atanh(sqrt(b)*sqrt(x)/sqrt(a+b*x))-_
+     10/3*b*(a+b*x)^(3/2)/sqrt(x)+5*b^2*sqrt(x)*sqrt(a+b*x)
+--R 
+--R
+--R                               +-+ +-+
+--R                +-+ +-+       \|b \|x         2 2               2  +-------+
+--R        15a b x\|b \|x atanh(----------) + (3b x  - 14a b x - 2a )\|b x + a
+--R                              +-------+
+--R                             \|b x + a
+--R   (2)  --------------------------------------------------------------------
+--R                                          +-+
+--R                                       3x\|x
+--R                                                    Type: Expression(Integer)
+--E 2832
+
+--S 2833 of 3330
+--a0000:=integrate(t0000,x)
+--E 2833
+
+--S 2834 of 3330
+--m0000:=a0000 - r0000
+--E 2834
+
+--S 2835 of 3330
+--d0000:=D(m0000,x)
+--E 2835
+
+)clear all
+
+--S 2836 of 3330
+t0000:=x^(5/2)*(a-b*x)^(5/2)
+--R 
+--R
+--R          2 4         3    2 2  +---------+ +-+
+--R   (1)  (b x  - 2a b x  + a x )\|- b x + a \|x
+--R                                                    Type: Expression(Integer)
+--E 2836
+
+--S 2837 of 3330
+r0000:=1/12*a*x^(7/2)*(a-b*x)^(3/2)+1/6*x^(7/2)*(a-b*x)^(5/2)+_
+     5/512*a^6*atan(sqrt(b)*sqrt(x)/sqrt(a-b*x))/b^(7/2)-_
+     5/768*a^4*x^(3/2)*sqrt(a-b*x)/b^2-1/192*a^3*x^(5/2)*sqrt(a-b*x)/b+_
+     1/32*a^2*x^(7/2)*sqrt(a-b*x)-5/512*a^5*sqrt(x)*sqrt(a-b*x)/b^3
+--R 
+--R
+--R   (2)
+--R                   +-+ +-+
+--R          6       \|b \|x
+--R       15a atan(------------)
+--R                 +---------+
+--R                \|- b x + a
+--R     + 
+--R              5 5         4 4       2 3 3     3 2 2      4         5
+--R         (256b x  - 640a b x  + 432a b x  - 8a b x  - 10a b x - 15a )
+--R      *
+--R          +---------+ +-+ +-+
+--R         \|- b x + a \|b \|x
+--R  /
+--R          3 +-+
+--R     1536b \|b
+--R                                                    Type: Expression(Integer)
+--E 2837
+
+--S 2838 of 3330
+--a0000:=integrate(t0000,x)
+--E 2838
+
+--S 2839 of 3330
+--m0000:=a0000 - r0000
+--E 2839
+
+--S 2840 of 3330
+--d0000:=D(m0000,x)
+--E 2840
+
+)clear all
+
+--S 2841 of 3330
+t0000:=x^(3/2)*(a-b*x)^(5/2)
+--R 
+--R
+--R          2 3         2    2   +---------+ +-+
+--R   (1)  (b x  - 2a b x  + a x)\|- b x + a \|x
+--R                                                    Type: Expression(Integer)
+--E 2841
+
+--S 2842 of 3330
+r0000:=1/8*a*x^(5/2)*(a-b*x)^(3/2)+1/5*x^(5/2)*(a-b*x)^(5/2)+_
+     3/128*a^5*atan(sqrt(b)*sqrt(x)/sqrt(a-b*x))/b^(5/2)-_
+     1/64*a^3*x^(3/2)*sqrt(a-b*x)/b+1/16*a^2*x^(5/2)*sqrt(a-b*x)-_
+     3/128*a^4*sqrt(x)*sqrt(a-b*x)/b^2
+--R 
+--R
+--R   (2)
+--R                   +-+ +-+
+--R          5       \|b \|x
+--R       15a atan(------------)
+--R                 +---------+
+--R                \|- b x + a
+--R     + 
+--R            4 4         3 3       2 2 2      3         4  +---------+ +-+ +-+
+--R       (128b x  - 336a b x  + 248a b x  - 10a b x - 15a )\|- b x + a \|b \|x
+--R  /
+--R         2 +-+
+--R     640b \|b
+--R                                                    Type: Expression(Integer)
+--E 2842
+
+--S 2843 of 3330
+--a0000:=integrate(t0000,x)
+--E 2843
+
+--S 2844 of 3330
+--m0000:=a0000 - r0000
+--E 2844
+
+--S 2845 of 3330
+--d0000:=D(m0000,x)
+--E 2845
+
+)clear all
+
+--S 2846 of 3330
+t0000:=(a-b*x)^(5/2)*sqrt(x)
+--R 
+--R
+--R          2 2             2  +---------+ +-+
+--R   (1)  (b x  - 2a b x + a )\|- b x + a \|x
+--R                                                    Type: Expression(Integer)
+--E 2846
+
+--S 2847 of 3330
+r0000:=5/24*a*x^(3/2)*(a-b*x)^(3/2)+1/4*x^(3/2)*(a-b*x)^(5/2)+_
+     5/64*a^4*atan(sqrt(b)*sqrt(x)/sqrt(a-b*x))/b^(3/2)+_
+     5/32*a^2*x^(3/2)*sqrt(a-b*x)-5/64*a^3*sqrt(x)*sqrt(a-b*x)/b
+--R 
+--R
+--R   (2)
+--R                   +-+ +-+
+--R          4       \|b \|x
+--R       15a atan(------------)
+--R                 +---------+
+--R                \|- b x + a
+--R     + 
+--R           3 3         2 2       2         3  +---------+ +-+ +-+
+--R       (48b x  - 136a b x  + 118a b x - 15a )\|- b x + a \|b \|x
+--R  /
+--R          +-+
+--R     192b\|b
+--R                                                    Type: Expression(Integer)
+--E 2847
+
+--S 2848 of 3330
+--a0000:=integrate(t0000,x)
+--E 2848
+
+--S 2849 of 3330
+--m0000:=a0000 - r0000
+--E 2849
+
+--S 2850 of 3330
+--d0000:=D(m0000,x)
+--E 2850
+
+)clear all
+
+--S 2851 of 3330
+t0000:=(a-b*x)^(5/2)/sqrt(x)
+--R 
+--R
+--R          2 2             2  +---------+
+--R        (b x  - 2a b x + a )\|- b x + a
+--R   (1)  --------------------------------
+--R                       +-+
+--R                      \|x
+--R                                                    Type: Expression(Integer)
+--E 2851
+
+--S 2852 of 3330
+r0000:=5/8*a^3*atan(sqrt(b)*sqrt(x)/sqrt(a-b*x))/sqrt(b)+_
+     5/12*a*(a-b*x)^(3/2)*sqrt(x)+1/3*(a-b*x)^(5/2)*sqrt(x)+_
+     5/8*a^2*sqrt(x)*sqrt(a-b*x)
+--R 
+--R
+--R                    +-+ +-+
+--R           3       \|b \|x          2 2                2  +---------+ +-+ +-+
+--R        15a atan(------------) + (8b x  - 26a b x + 33a )\|- b x + a \|b \|x
+--R                  +---------+
+--R                 \|- b x + a
+--R   (2)  ---------------------------------------------------------------------
+--R                                           +-+
+--R                                        24\|b
+--R                                                    Type: Expression(Integer)
+--E 2852
+
+--S 2853 of 3330
+--a0000:=integrate(t0000,x)
+--E 2853
+
+--S 2854 of 3330
+--m0000:=a0000 - r0000
+--E 2854
+
+--S 2855 of 3330
+--d0000:=D(m0000,x)
+--E 2855
+
+)clear all
+
+--S 2856 of 3330
+t0000:=(a-b*x)^(5/2)/x^(3/2)
+--R 
+--R
+--R          2 2             2  +---------+
+--R        (b x  - 2a b x + a )\|- b x + a
+--R   (1)  --------------------------------
+--R                        +-+
+--R                      x\|x
+--R                                                    Type: Expression(Integer)
+--E 2856
+
+--S 2857 of 3330
+r0000:=-15/4*a^2*atan(sqrt(b)*sqrt(x)/sqrt(a-b*x))*sqrt(b)-_
+     2*(a-b*x)^(5/2)/sqrt(x)-5/2*b*(a-b*x)^(3/2)*sqrt(x)-_
+     15/4*a*b*sqrt(x)*sqrt(a-b*x)
+--R 
+--R
+--R                              +-+ +-+
+--R             2 +-+ +-+       \|b \|x          2 2              2  +---------+
+--R        - 15a \|b \|x atan(------------) + (2b x  - 9a b x - 8a )\|- b x + a
+--R                            +---------+
+--R                           \|- b x + a
+--R   (2)  ---------------------------------------------------------------------
+--R                                          +-+
+--R                                        4\|x
+--R                                                    Type: Expression(Integer)
+--E 2857
+
+--S 2858 of 3330
+--a0000:=integrate(t0000,x)
+--E 2858
+
+--S 2859 of 3330
+--m0000:=a0000 - r0000
+--E 2859
+
+--S 2860 of 3330
+--d0000:=D(m0000,x)
+--E 2860
+
+)clear all
+
+--S 2861 of 3330
+t0000:=(a-b*x)^(5/2)/x^(5/2)
+--R 
+--R
+--R          2 2             2  +---------+
+--R        (b x  - 2a b x + a )\|- b x + a
+--R   (1)  --------------------------------
+--R                      2 +-+
+--R                     x \|x
+--R                                                    Type: Expression(Integer)
+--E 2861
+
+--S 2862 of 3330
+r0000:=-2/3*(a-b*x)^(5/2)/x^(3/2)+_
+     5*a*b^(3/2)*atan(sqrt(b)*sqrt(x)/sqrt(a-b*x))+_
+     10/3*b*(a-b*x)^(3/2)/sqrt(x)+5*b^2*sqrt(x)*sqrt(a-b*x)
+--R 
+--R
+--R   (2)
+--R                          +-+ +-+
+--R           +-+ +-+       \|b \|x          2 2               2  +---------+
+--R   15a b x\|b \|x atan(------------) + (3b x  + 14a b x - 2a )\|- b x + a
+--R                        +---------+
+--R                       \|- b x + a
+--R   -----------------------------------------------------------------------
+--R                                       +-+
+--R                                    3x\|x
+--R                                                    Type: Expression(Integer)
+--E 2862
+
+--S 2863 of 3330
+--a0000:=integrate(t0000,x)
+--E 2863
+
+--S 2864 of 3330
+--m0000:=a0000 - r0000
+--E 2864
+
+--S 2865 of 3330
+--d0000:=D(m0000,x)
+--E 2865
+
+)clear all
+
+--S 2866 of 3330
+t0000:=x^(5/2)*(2+b*x)^(5/2)
+--R 
+--R
+--R          2 4       3     2  +-+ +-------+
+--R   (1)  (b x  + 4b x  + 4x )\|x \|b x + 2
+--R                                                    Type: Expression(Integer)
+--E 2866
+
+--S 2867 of 3330
+r0000:=1/6*x^(7/2)*(2+b*x)^(3/2)+1/6*x^(7/2)*(2+b*x)^(5/2)-_
+     5/8*asinh(sqrt(b)*sqrt(x)/sqrt(2))/b^(7/2)-_
+     5/48*x^(3/2)*sqrt(2+b*x)/b^2+1/24*x^(5/2)*sqrt(2+b*x)/b+_
+     1/8*x^(7/2)*sqrt(2+b*x)+5/16*sqrt(x)*sqrt(2+b*x)/b^3
+--R 
+--R
+--R   (2)
+--R                  +-+ +-+
+--R                 \|b \|x
+--R       - 30asinh(--------)
+--R                    +-+
+--R                   \|2
+--R     + 
+--R          5 5      4 4      3 3     2 2              +-+ +-+ +-------+
+--R       (8b x  + 40b x  + 54b x  + 2b x  - 5b x + 15)\|b \|x \|b x + 2
+--R  /
+--R        3 +-+
+--R     48b \|b
+--R                                                    Type: Expression(Integer)
+--E 2867
+
+--S 2868 of 3330
+--a0000:=integrate(t0000,x)
+--E 2868
+
+--S 2869 of 3330
+--m0000:=a0000 - r0000
+--E 2869
+
+--S 2870 of 3330
+--d0000:=D(m0000,x)
+--E 2870
+
+)clear all
+
+--S 2871 of 3330
+t0000:=x^(3/2)*(2+b*x)^(5/2)
+--R 
+--R
+--R          2 3       2       +-+ +-------+
+--R   (1)  (b x  + 4b x  + 4x)\|x \|b x + 2
+--R                                                    Type: Expression(Integer)
+--E 2871
+
+--S 2872 of 3330
+r0000:=1/4*x^(5/2)*(2+b*x)^(3/2)+1/5*x^(5/2)*(2+b*x)^(5/2)+_
+     3/4*asinh(sqrt(b)*sqrt(x)/sqrt(2))/b^(5/2)+1/8*x^(3/2)*sqrt(2+b*x)/b+_
+     1/4*x^(5/2)*sqrt(2+b*x)-3/8*sqrt(x)*sqrt(2+b*x)/b^2
+--R 
+--R
+--R   (2)
+--R            +-+ +-+
+--R           \|b \|x        4 4      3 3      2 2              +-+ +-+ +-------+
+--R   30asinh(--------) + (8b x  + 42b x  + 62b x  + 5b x - 15)\|b \|x \|b x + 2
+--R              +-+
+--R             \|2
+--R   ---------------------------------------------------------------------------
+--R                                        2 +-+
+--R                                     40b \|b
+--R                                                    Type: Expression(Integer)
+--E 2872
+
+--S 2873 of 3330
+--a0000:=integrate(t0000,x)
+--E 2873
+
+--S 2874 of 3330
+--m0000:=a0000 - r0000
+--E 2874
+
+--S 2875 of 3330
+--d0000:=D(m0000,x)
+--E 2875
+
+)clear all
+
+--S 2876 of 3330
+t0000:=(2+b*x)^(5/2)*sqrt(x)
+--R 
+--R
+--R          2 2             +-+ +-------+
+--R   (1)  (b x  + 4b x + 4)\|x \|b x + 2
+--R                                                    Type: Expression(Integer)
+--E 2876
+
+--S 2877 of 3330
+r0000:=5/12*x^(3/2)*(2+b*x)^(3/2)+1/4*x^(3/2)*(2+b*x)^(5/2)-_
+     5/4*asinh(sqrt(b)*sqrt(x)/sqrt(2))/b^(3/2)+5/8*x^(3/2)*sqrt(2+b*x)+_
+     5/8*sqrt(x)*sqrt(2+b*x)/b
+--R 
+--R
+--R                   +-+ +-+
+--R                  \|b \|x        3 3      2 2               +-+ +-+ +-------+
+--R        - 30asinh(--------) + (6b x  + 34b x  + 59b x + 15)\|b \|x \|b x + 2
+--R                     +-+
+--R                    \|2
+--R   (2)  ---------------------------------------------------------------------
+--R                                           +-+
+--R                                       24b\|b
+--R                                                    Type: Expression(Integer)
+--E 2877
+
+--S 2878 of 3330
+--a0000:=integrate(t0000,x)
+--E 2878
+
+--S 2879 of 3330
+--m0000:=a0000 - r0000
+--E 2879
+
+--S 2880 of 3330
+--d0000:=D(m0000,x)
+--E 2880
+
+)clear all
+
+--S 2881 of 3330
+t0000:=(2+b*x)^(5/2)/sqrt(x)
+--R 
+--R
+--R          2 2             +-------+
+--R        (b x  + 4b x + 4)\|b x + 2
+--R   (1)  ---------------------------
+--R                     +-+
+--R                    \|x
+--R                                                    Type: Expression(Integer)
+--E 2881
+
+--S 2882 of 3330
+r0000:=5*asinh(sqrt(b)*sqrt(x)/sqrt(2))/sqrt(b)+_
+     5/6*(2+b*x)^(3/2)*sqrt(x)+1/3*(2+b*x)^(5/2)*sqrt(x)+_
+     5/2*sqrt(x)*sqrt(2+b*x)
+--R 
+--R
+--R                 +-+ +-+
+--R                \|b \|x        2 2               +-+ +-+ +-------+
+--R        30asinh(--------) + (2b x  + 13b x + 33)\|b \|x \|b x + 2
+--R                   +-+
+--R                  \|2
+--R   (2)  ----------------------------------------------------------
+--R                                     +-+
+--R                                   6\|b
+--R                                                    Type: Expression(Integer)
+--E 2882
+
+--S 2883 of 3330
+--a0000:=integrate(t0000,x)
+--E 2883
+
+--S 2884 of 3330
+--m0000:=a0000 - r0000
+--E 2884
+
+--S 2885 of 3330
+--d0000:=D(m0000,x)
+--E 2885
+
+)clear all
+
+--S 2886 of 3330
+t0000:=(2+b*x)^(5/2)/x^(3/2)
+--R 
+--R
+--R          2 2             +-------+
+--R        (b x  + 4b x + 4)\|b x + 2
+--R   (1)  ---------------------------
+--R                     +-+
+--R                   x\|x
+--R                                                    Type: Expression(Integer)
+--E 2886
+
+--S 2887 of 3330
+r0000:=15*asinh(sqrt(b)*sqrt(x)/sqrt(2))*sqrt(b)-_
+     2*(2+b*x)^(5/2)/sqrt(x)+5/2*b*(2+b*x)^(3/2)*sqrt(x)+_
+     15/2*b*sqrt(x)*sqrt(2+b*x)
+--R 
+--R
+--R                         +-+ +-+
+--R           +-+ +-+      \|b \|x       2 2              +-------+
+--R        30\|b \|x asinh(--------) + (b x  + 9b x - 16)\|b x + 2
+--R                           +-+
+--R                          \|2
+--R   (2)  --------------------------------------------------------
+--R                                    +-+
+--R                                  2\|x
+--R                                                    Type: Expression(Integer)
+--E 2887
+
+--S 2888 of 3330
+--a0000:=integrate(t0000,x)
+--E 2888
+
+--S 2889 of 3330
+--m0000:=a0000 - r0000
+--E 2889
+
+--S 2890 of 3330
+--d0000:=D(m0000,x)
+--E 2890
+
+)clear all
+
+--S 2891 of 3330
+t0000:=(2+b*x)^(5/2)/x^(5/2)
+--R 
+--R
+--R          2 2             +-------+
+--R        (b x  + 4b x + 4)\|b x + 2
+--R   (1)  ---------------------------
+--R                    2 +-+
+--R                   x \|x
+--R                                                    Type: Expression(Integer)
+--E 2891
+
+--S 2892 of 3330
+r0000:=-2/3*(2+b*x)^(5/2)/x^(3/2)+10*b^(3/2)*asinh(sqrt(b)*sqrt(x)/sqrt(2))-_
+     10/3*b*(2+b*x)^(3/2)/sqrt(x)+5*b^2*sqrt(x)*sqrt(2+b*x)
+--R 
+--R
+--R                            +-+ +-+
+--R              +-+ +-+      \|b \|x        2 2              +-------+
+--R        30b x\|b \|x asinh(--------) + (3b x  - 28b x - 8)\|b x + 2
+--R                              +-+
+--R                             \|2
+--R   (2)  ------------------------------------------------------------
+--R                                      +-+
+--R                                   3x\|x
+--R                                                    Type: Expression(Integer)
+--E 2892
+
+--S 2893 of 3330
+--a0000:=integrate(t0000,x)
+--E 2893
+
+--S 2894 of 3330
+--m0000:=a0000 - r0000
+--E 2894
+
+--S 2895 of 3330
+--d0000:=D(m0000,x)
+--E 2895
+
+)clear all
+
+--S 2896 of 3330
+t0000:=x^(5/2)*(2-b*x)^(5/2)
+--R 
+--R
+--R          2 4       3     2  +---------+ +-+
+--R   (1)  (b x  - 4b x  + 4x )\|- b x + 2 \|x
+--R                                                    Type: Expression(Integer)
+--E 2896
+
+--S 2897 of 3330
+r0000:=1/6*x^(7/2)*(2-b*x)^(3/2)+1/6*x^(7/2)*(2-b*x)^(5/2)+_
+     5/8*asin(sqrt(b)*sqrt(x)/sqrt(2))/b^(7/2)-_
+     5/48*x^(3/2)*sqrt(2-b*x)/b^2-1/24*x^(5/2)*sqrt(2-b*x)/b+_
+     1/8*x^(7/2)*sqrt(2-b*x)-5/16*sqrt(x)*sqrt(2-b*x)/b^3
+--R 
+--R
+--R   (2)
+--R               +-+ +-+
+--R              \|b \|x
+--R       30asin(--------)
+--R                 +-+
+--R                \|2
+--R     + 
+--R          5 5      4 4      3 3     2 2              +---------+ +-+ +-+
+--R       (8b x  - 40b x  + 54b x  - 2b x  - 5b x - 15)\|- b x + 2 \|b \|x
+--R  /
+--R        3 +-+
+--R     48b \|b
+--R                                                    Type: Expression(Integer)
+--E 2897
+
+--S 2898 of 3330
+--a0000:=integrate(t0000,x)
+--E 2898
+
+--S 2899 of 3330
+--m0000:=a0000 - r0000
+--E 2899
+
+--S 2900 of 3330
+--d0000:=D(m0000,x)
+--E 2900
+
+)clear all
+
+--S 2901 of 3330
+t0000:=x^(3/2)*(2-b*x)^(5/2)
+--R 
+--R
+--R          2 3       2       +---------+ +-+
+--R   (1)  (b x  - 4b x  + 4x)\|- b x + 2 \|x
+--R                                                    Type: Expression(Integer)
+--E 2901
+
+--S 2902 of 3330
+r0000:=1/4*x^(5/2)*(2-b*x)^(3/2)+1/5*x^(5/2)*(2-b*x)^(5/2)+_
+     3/4*asin(sqrt(b)*sqrt(x)/sqrt(2))/b^(5/2)-_
+     1/8*x^(3/2)*sqrt(2-b*x)/b+1/4*x^(5/2)*sqrt(2-b*x)-_
+     3/8*sqrt(x)*sqrt(2-b*x)/b^2
+--R 
+--R
+--R   (2)
+--R           +-+ +-+
+--R          \|b \|x        4 4      3 3      2 2              +---------+ +-+ +-+
+--R   30asin(--------) + (8b x  - 42b x  + 62b x  - 5b x - 15)\|- b x + 2 \|b \|x
+--R             +-+
+--R            \|2
+--R   ----------------------------------------------------------------------------
+--R                                        2 +-+
+--R                                     40b \|b
+--R                                                    Type: Expression(Integer)
+--E 2902
+
+--S 2903 of 3330
+--a0000:=integrate(t0000,x)
+--E 2903
+
+--S 2904 of 3330
+--m0000:=a0000 - r0000
+--E 2904
+
+--S 2905 of 3330
+--d0000:=D(m0000,x)
+--E 2905
+
+)clear all
+
+--S 2906 of 3330
+t0000:=(2-b*x)^(5/2)*sqrt(x)
+--R 
+--R
+--R          2 2             +---------+ +-+
+--R   (1)  (b x  - 4b x + 4)\|- b x + 2 \|x
+--R                                                    Type: Expression(Integer)
+--E 2906
+
+--S 2907 of 3330
+r0000:=5/12*x^(3/2)*(2-b*x)^(3/2)+1/4*x^(3/2)*(2-b*x)^(5/2)+_
+     5/4*asin(sqrt(b)*sqrt(x)/sqrt(2))/b^(3/2)+_
+     5/8*x^(3/2)*sqrt(2-b*x)-5/8*sqrt(x)*sqrt(2-b*x)/b
+--R 
+--R
+--R                +-+ +-+
+--R               \|b \|x        3 3      2 2               +---------+ +-+ +-+
+--R        30asin(--------) + (6b x  - 34b x  + 59b x - 15)\|- b x + 2 \|b \|x
+--R                  +-+
+--R                 \|2
+--R   (2)  --------------------------------------------------------------------
+--R                                           +-+
+--R                                       24b\|b
+--R                                                    Type: Expression(Integer)
+--E 2907
+
+--S 2908 of 3330
+--a0000:=integrate(t0000,x)
+--E 2908
+
+--S 2909 of 3330
+--m0000:=a0000 - r0000
+--E 2909
+
+--S 2910 of 3330
+--d0000:=D(m0000,x)
+--E 2910
+
+)clear all
+
+--S 2911 of 3330
+t0000:=(2-b*x)^(5/2)/sqrt(x)
+--R 
+--R
+--R          2 2             +---------+
+--R        (b x  - 4b x + 4)\|- b x + 2
+--R   (1)  -----------------------------
+--R                      +-+
+--R                     \|x
+--R                                                    Type: Expression(Integer)
+--E 2911
+
+--S 2912 of 3330
+r0000:=5*asin(sqrt(b)*sqrt(x)/sqrt(2))/sqrt(b)+_
+     5/6*(2-b*x)^(3/2)*sqrt(x)+1/3*(2-b*x)^(5/2)*sqrt(x)+_
+     5/2*sqrt(x)*sqrt(2-b*x)
+--R 
+--R
+--R                +-+ +-+
+--R               \|b \|x        2 2               +---------+ +-+ +-+
+--R        30asin(--------) + (2b x  - 13b x + 33)\|- b x + 2 \|b \|x
+--R                  +-+
+--R                 \|2
+--R   (2)  -----------------------------------------------------------
+--R                                     +-+
+--R                                   6\|b
+--R                                                    Type: Expression(Integer)
+--E 2912
+
+--S 2913 of 3330
+--a0000:=integrate(t0000,x)
+--E 2913
+
+--S 2914 of 3330
+--m0000:=a0000 - r0000
+--E 2914
+
+--S 2915 of 3330
+--d0000:=D(m0000,x)
+--E 2915
+
+)clear all
+
+--S 2916 of 3330
+t0000:=(2-b*x)^(5/2)/x^(3/2)
+--R 
+--R
+--R          2 2             +---------+
+--R        (b x  - 4b x + 4)\|- b x + 2
+--R   (1)  -----------------------------
+--R                      +-+
+--R                    x\|x
+--R                                                    Type: Expression(Integer)
+--E 2916
+
+--S 2917 of 3330
+r0000:=-15*asin(sqrt(b)*sqrt(x)/sqrt(2))*sqrt(b)-_
+     2*(2-b*x)^(5/2)/sqrt(x)-5/2*b*(2-b*x)^(3/2)*sqrt(x)-_
+     15/2*b*sqrt(x)*sqrt(2-b*x)
+--R 
+--R
+--R                          +-+ +-+
+--R             +-+ +-+     \|b \|x       2 2              +---------+
+--R        - 30\|b \|x asin(--------) + (b x  - 9b x - 16)\|- b x + 2
+--R                            +-+
+--R                           \|2
+--R   (2)  -----------------------------------------------------------
+--R                                     +-+
+--R                                   2\|x
+--R                                                    Type: Expression(Integer)
+--E 2917
+
+--S 2918 of 3330
+--a0000:=integrate(t0000,x)
+--E 2918
+
+--S 2919 of 3330
+--m0000:=a0000 - r0000
+--E 2919
+
+--S 2920 of 3330
+--d0000:=D(m0000,x)
+--E 2920
+
+)clear all
+
+--S 2921 of 3330
+t0000:=(2-b*x)^(5/2)/x^(5/2)
+--R 
+--R
+--R          2 2             +---------+
+--R        (b x  - 4b x + 4)\|- b x + 2
+--R   (1)  -----------------------------
+--R                     2 +-+
+--R                    x \|x
+--R                                                    Type: Expression(Integer)
+--E 2921
+
+--S 2922 of 3330
+r0000:=-2/3*(2-b*x)^(5/2)/x^(3/2)+10*b^(3/2)*asin(sqrt(b)*sqrt(x)/sqrt(2))+_
+     10/3*b*(2-b*x)^(3/2)/sqrt(x)+5*b^2*sqrt(x)*sqrt(2-b*x)
+--R 
+--R
+--R                           +-+ +-+
+--R              +-+ +-+     \|b \|x        2 2              +---------+
+--R        30b x\|b \|x asin(--------) + (3b x  + 28b x - 8)\|- b x + 2
+--R                             +-+
+--R                            \|2
+--R   (2)  -------------------------------------------------------------
+--R                                       +-+
+--R                                    3x\|x
+--R                                                    Type: Expression(Integer)
+--E 2922
+
+--S 2923 of 3330
+--a0000:=integrate(t0000,x)
+--E 2923
+
+--S 2924 of 3330
+--m0000:=a0000 - r0000
+--E 2924
+
+--S 2925 of 3330
+--d0000:=D(m0000,x)
+--E 2925
+
+)clear all
+
+--S 2926 of 3330
+t0000:=x^(5/2)/sqrt(a+b*x)
+--R 
+--R
+--R           2 +-+
+--R          x \|x
+--R   (1)  ----------
+--R         +-------+
+--R        \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 2926
+
+--S 2927 of 3330
+r0000:=-5/8*a^3*atanh(sqrt(b)*sqrt(x)/sqrt(a+b*x))/b^(7/2)-_
+     5/12*a*x^(3/2)*sqrt(a+b*x)/b^2+1/3*x^(5/2)*sqrt(a+b*x)/b+_
+     5/8*a^2*sqrt(x)*sqrt(a+b*x)/b^3
+--R 
+--R
+--R                      +-+ +-+
+--R             3       \|b \|x         2 2                2  +-+ +-+ +-------+
+--R        - 15a atanh(----------) + (8b x  - 10a b x + 15a )\|b \|x \|b x + a
+--R                     +-------+
+--R                    \|b x + a
+--R   (2)  --------------------------------------------------------------------
+--R                                         3 +-+
+--R                                      24b \|b
+--R                                                    Type: Expression(Integer)
+--E 2927
+
+--S 2928 of 3330
+--a0000:=integrate(t0000,x)
+--E 2928
+
+--S 2929 of 3330
+--m0000:=a0000 - r0000
+--E 2929
+
+--S 2930 of 3330
+--d0000:=D(m0000,x)
+--E 2930
+
+)clear all
+
+--S 2931 of 3330
+t0000:=x^(3/2)/sqrt(a+b*x)
+--R 
+--R
+--R             +-+
+--R           x\|x
+--R   (1)  ----------
+--R         +-------+
+--R        \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 2931
+
+--S 2932 of 3330
+r0000:=3/4*a^2*atanh(sqrt(b)*sqrt(x)/sqrt(a+b*x))/b^(5/2)+_
+     1/2*x^(3/2)*sqrt(a+b*x)/b-3/4*a*sqrt(x)*sqrt(a+b*x)/b^2
+--R 
+--R
+--R                   +-+ +-+
+--R          2       \|b \|x                  +-+ +-+ +-------+
+--R        3a atanh(----------) + (2b x - 3a)\|b \|x \|b x + a
+--R                  +-------+
+--R                 \|b x + a
+--R   (2)  ----------------------------------------------------
+--R                                 2 +-+
+--R                               4b \|b
+--R                                                    Type: Expression(Integer)
+--E 2932
+
+--S 2933 of 3330
+--a0000:=integrate(t0000,x)
+--E 2933
+
+--S 2934 of 3330
+--m0000:=a0000 - r0000
+--E 2934
+
+--S 2935 of 3330
+--d0000:=D(m0000,x)
+--E 2935
+
+)clear all
+
+--S 2936 of 3330
+t0000:=sqrt(x)/sqrt(a+b*x)
+--R 
+--R
+--R            +-+
+--R           \|x
+--R   (1)  ----------
+--R         +-------+
+--R        \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 2936
+
+--S 2937 of 3330
+r0000:=-a*atanh(sqrt(b)*sqrt(x)/sqrt(a+b*x))/b^(3/2)+_
+     sqrt(x)*sqrt(a+b*x)/b
+--R 
+--R
+--R                    +-+ +-+
+--R                   \|b \|x       +-+ +-+ +-------+
+--R        - a atanh(----------) + \|b \|x \|b x + a
+--R                   +-------+
+--R                  \|b x + a
+--R   (2)  ------------------------------------------
+--R                             +-+
+--R                           b\|b
+--R                                                    Type: Expression(Integer)
+--E 2937
+
+--S 2938 of 3330
+--a0000:=integrate(t0000,x)
+--E 2938
+
+--S 2939 of 3330
+--m0000:=a0000 - r0000
+--E 2939
+
+--S 2940 of 3330
+--d0000:=D(m0000,x)
+--E 2940
+
+)clear all
+
+--S 2941 of 3330
+t0000:=1/(sqrt(x)*sqrt(a+b*x))
+--R 
+--R
+--R               1
+--R   (1)  --------------
+--R         +-+ +-------+
+--R        \|x \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 2941
+
+--S 2942 of 3330
+r0000:=2*atanh(sqrt(b)*sqrt(x)/sqrt(a+b*x))/sqrt(b)
+--R 
+--R
+--R                 +-+ +-+
+--R                \|b \|x
+--R        2atanh(----------)
+--R                +-------+
+--R               \|b x + a
+--R   (2)  ------------------
+--R                +-+
+--R               \|b
+--R                                                    Type: Expression(Integer)
+--E 2942
+
+--S 2943 of 3330
+--a0000:=integrate(t0000,x)
+--E 2943
+
+--S 2944 of 3330
+--m0000:=a0000 - r0000
+--E 2944
+
+--S 2945 of 3330
+--d0000:=D(m0000,x)
+--E 2945
+
+)clear all
+
+--S 2946 of 3330
+t0000:=1/(x^(3/2)*sqrt(a+b*x))
+--R 
+--R
+--R               1
+--R   (1)  ---------------
+--R          +-+ +-------+
+--R        x\|x \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 2946
+
+--S 2947 of 3330
+r0000:=-2*sqrt(a+b*x)/(a*sqrt(x))
+--R 
+--R
+--R            +-------+
+--R          2\|b x + a
+--R   (2)  - -----------
+--R               +-+
+--R             a\|x
+--R                                                    Type: Expression(Integer)
+--E 2947
+
+--S 2948 of 3330 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R            +-+ +-------+
+--R        - 2\|x \|b x + a  + (- b - a - 1)x
+--R   (3)  ----------------------------------
+--R                        a x
+--R                                         Type: Union(Expression(Integer),...)
+--E 2948
+
+--S 2949 of 3330 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R        - b - a - 1
+--R   (4)  -----------
+--R             a
+--R                                                    Type: Expression(Integer)
+--E 2949
+
+--S 2950 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2950
+
+)clear all
+
+--S 2951 of 3330
+t0000:=1/(x^(5/2)*sqrt(a+b*x))
+--R 
+--R
+--R                1
+--R   (1)  ----------------
+--R         2 +-+ +-------+
+--R        x \|x \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 2951
+
+--S 2952 of 3330
+r0000:=-2/3*sqrt(a+b*x)/(a*x^(3/2))+4/3*b*sqrt(a+b*x)/(a^2*sqrt(x))
+--R 
+--R
+--R                    +-------+
+--R        (4b x - 2a)\|b x + a
+--R   (2)  ---------------------
+--R                 2  +-+
+--R               3a x\|x
+--R                                                    Type: Expression(Integer)
+--E 2952
+
+--S 2953 of 3330 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                    +-+ +-------+        2                 2      2
+--R        (4b x - 2a)\|x \|b x + a  + (- 2b  + (- a - 2)b + a  + a)x
+--R   (3)  -----------------------------------------------------------
+--R                                     2 2
+--R                                   3a x
+--R                                         Type: Union(Expression(Integer),...)
+--E 2953
+
+--S 2954 of 3330 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R            2                 2
+--R        - 2b  + (- a - 2)b + a  + a
+--R   (4)  ---------------------------
+--R                      2
+--R                    3a
+--R                                                    Type: Expression(Integer)
+--E 2954
+
+--S 2955 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2955
+
+)clear all
+
+--S 2956 of 3330
+t0000:=1/(x^(7/2)*sqrt(a+b*x))
+--R 
+--R
+--R                1
+--R   (1)  ----------------
+--R         3 +-+ +-------+
+--R        x \|x \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 2956
+
+--S 2957 of 3330
+r0000:=-2/5*sqrt(a+b*x)/(a*x^(5/2))+8/15*b*sqrt(a+b*x)/(a^2*x^(3/2))-_
+     16/15*b^2*sqrt(a+b*x)/(a^3*sqrt(x))
+--R 
+--R
+--R              2 2              2  +-------+
+--R        (- 16b x  + 8a b x - 6a )\|b x + a
+--R   (2)  -----------------------------------
+--R                        3 2 +-+
+--R                     15a x \|x
+--R                                                    Type: Expression(Integer)
+--E 2957
+
+--S 2958 of 3330 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R             2 2                2  +-+ +-------+
+--R       (- 32b x  + 16a b x - 12a )\|x \|b x + a
+--R     + 
+--R            3               2     2             3      2  3
+--R       (- 8b  + (- 4a - 32)b  + (a  + 16a)b - 3a  - 12a )x
+--R  /
+--R        3 3
+--R     30a x
+--R                                         Type: Union(Expression(Integer),...)
+--E 2958
+
+--S 2959 of 3330 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R            3               2     2             3      2
+--R        - 8b  + (- 4a - 32)b  + (a  + 16a)b - 3a  - 12a
+--R   (4)  ------------------------------------------------
+--R                                 3
+--R                              30a
+--R                                                    Type: Expression(Integer)
+--E 2959
+
+--S 2960 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2960
+
+)clear all
+
+--S 2961 of 3330
+t0000:=1/(x^(9/2)*sqrt(a+b*x))
+--R 
+--R
+--R                1
+--R   (1)  ----------------
+--R         4 +-+ +-------+
+--R        x \|x \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 2961
+
+--S 2962 of 3330
+r0000:=-2/7*sqrt(a+b*x)/(a*x^(7/2))+12/35*b*sqrt(a+b*x)/(a^2*x^(5/2))-_
+     16/35*b^2*sqrt(a+b*x)/(a^3*x^(3/2))+32/35*b^3*sqrt(a+b*x)/(a^4*sqrt(x))
+--R 
+--R
+--R            3 3        2 2      2         3  +-------+
+--R        (32b x  - 16a b x  + 12a b x - 10a )\|b x + a
+--R   (2)  ----------------------------------------------
+--R                             4 3 +-+
+--R                          35a x \|x
+--R                                                    Type: Expression(Integer)
+--E 2962
+
+--S 2963 of 3330 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R            3 3        2 2      2         3  +-+ +-------+
+--R       (128b x  - 64a b x  + 48a b x - 40a )\|x \|b x + a
+--R     + 
+--R           4              3        2         2     3      2       4      3  4
+--R       (16b  + (8a + 256)b  + (- 2a  - 128a)b  + (a  + 96a )b - 5a  - 80a )x
+--R  /
+--R         4 4
+--R     140a x
+--R                                         Type: Union(Expression(Integer),...)
+--E 2963
+
+--S 2964 of 3330 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R           4              3        2         2     3      2       4      3
+--R        16b  + (8a + 256)b  + (- 2a  - 128a)b  + (a  + 96a )b - 5a  - 80a
+--R   (4)  ------------------------------------------------------------------
+--R                                           4
+--R                                       140a
+--R                                                    Type: Expression(Integer)
+--E 2964
+
+--S 2965 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2965
+
+)clear all
+
+--S 2966 of 3330
+t0000:=x^(5/2)/(a+b*x)^(3/2)
+--R 
+--R
+--R                2 +-+
+--R               x \|x
+--R   (1)  -------------------
+--R                  +-------+
+--R        (b x + a)\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 2966
+
+--S 2967 of 3330
+r0000:=15/4*a^2*atanh(sqrt(b)*sqrt(x)/sqrt(a+b*x))/b^(7/2)-_
+     2*x^(5/2)/(b*sqrt(a+b*x))+5/2*x^(3/2)*sqrt(a+b*x)/b^2-_
+     15/4*a*sqrt(x)*sqrt(a+b*x)/b^3
+--R 
+--R
+--R                              +-+ +-+
+--R           2 +-------+       \|b \|x         2 2               2  +-+ +-+
+--R        15a \|b x + a atanh(----------) + (2b x  - 5a b x - 15a )\|b \|x
+--R                             +-------+
+--R                            \|b x + a
+--R   (2)  -----------------------------------------------------------------
+--R                                  3 +-+ +-------+
+--R                                4b \|b \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 2967
+
+--S 2968 of 3330
+--a0000:=integrate(t0000,x)
+--E 2968
+
+--S 2969 of 3330
+--m0000:=a0000 - r0000
+--E 2969
+
+--S 2970 of 3330
+--d0000:=D(m0000,x)
+--E 2970
+
+)clear all
+
+--S 2971 of 3330
+t0000:=x^(3/2)/(a+b*x)^(3/2)
+--R 
+--R
+--R                 +-+
+--R               x\|x
+--R   (1)  -------------------
+--R                  +-------+
+--R        (b x + a)\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 2971
+
+--S 2972 of 3330
+r0000:=-3*a*atanh(sqrt(b)*sqrt(x)/sqrt(a+b*x))/b^(5/2)-_
+     2*x^(3/2)/(b*sqrt(a+b*x))+3*sqrt(x)*sqrt(a+b*x)/b^2
+--R 
+--R
+--R                              +-+ +-+
+--R             +-------+       \|b \|x                 +-+ +-+
+--R        - 3a\|b x + a atanh(----------) + (b x + 3a)\|b \|x
+--R                             +-------+
+--R                            \|b x + a
+--R   (2)  ----------------------------------------------------
+--R                           2 +-+ +-------+
+--R                          b \|b \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 2972
+
+--S 2973 of 3330
+--a0000:=integrate(t0000,x)
+--E 2973
+
+--S 2974 of 3330
+--m0000:=a0000 - r0000
+--E 2974
+
+--S 2975 of 3330
+--d0000:=D(m0000,x)
+--E 2975
+
+)clear all
+
+--S 2976 of 3330
+t0000:=sqrt(x)/(a+b*x)^(3/2)
+--R 
+--R
+--R                 +-+
+--R                \|x
+--R   (1)  -------------------
+--R                  +-------+
+--R        (b x + a)\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 2976
+
+--S 2977 of 3330
+r0000:=2*atanh(sqrt(b)*sqrt(x)/sqrt(a+b*x))/b^(3/2)-2*sqrt(x)/(b*sqrt(a+b*x))
+--R 
+--R
+--R                           +-+ +-+
+--R          +-------+       \|b \|x        +-+ +-+
+--R        2\|b x + a atanh(----------) - 2\|b \|x
+--R                          +-------+
+--R                         \|b x + a
+--R   (2)  ----------------------------------------
+--R                       +-+ +-------+
+--R                     b\|b \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 2977
+
+--S 2978 of 3330
+--a0000:=integrate(t0000,x)
+--E 2978
+
+--S 2979 of 3330
+--m0000:=a0000 - r0000
+--E 2979
+
+--S 2980 of 3330
+--d0000:=D(m0000,x)
+--E 2980
+
+)clear all
+
+--S 2981 of 3330
+t0000:=1/((a+b*x)^(3/2)*sqrt(x))
+--R 
+--R
+--R                   1
+--R   (1)  -----------------------
+--R                  +-+ +-------+
+--R        (b x + a)\|x \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 2981
+
+--S 2982 of 3330
+r0000:=2*sqrt(x)/(a*sqrt(a+b*x))
+--R 
+--R
+--R             +-+
+--R           2\|x
+--R   (2)  -----------
+--R          +-------+
+--R        a\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 2982
+
+--S 2983 of 3330 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                  +-+ +-------+       2                          2
+--R        (8b + 8a)\|x \|b x + a  + (- b  + (- a - 16)b)x - a b - a  - 16a
+--R   (3)  ----------------------------------------------------------------
+--R                               2     2        2      3
+--R                          (4a b  + 4a b)x + 4a b + 4a
+--R                                         Type: Union(Expression(Integer),...)
+--E 2983
+
+--S 2984 of 3330 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R        - b - a - 16
+--R   (4)  ------------
+--R                  2
+--R         4a b + 4a
+--R                                                    Type: Expression(Integer)
+--E 2984
+
+--S 2985 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2985
+
+)clear all
+
+--S 2986 of 3330
+t0000:=1/(x^(3/2)*(a+b*x)^(3/2))
+--R 
+--R
+--R                     1
+--R   (1)  --------------------------
+--R            2        +-+ +-------+
+--R        (b x  + a x)\|x \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 2986
+
+--S 2987 of 3330
+r0000:=2/(a*sqrt(x)*sqrt(a+b*x))-4*sqrt(a+b*x)/(a^2*sqrt(x))
+--R 
+--R
+--R           - 4b x - 2a
+--R   (2)  ----------------
+--R         2 +-+ +-------+
+--R        a \|x \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 2987
+
+--S 2988 of 3330 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R              2                      2  +-+ +-------+
+--R       ((- 12b  - 12a b)x - 6a b - 6a )\|x \|b x + a
+--R     + 
+--R            3               2       2         2
+--R       (- 2b  + (- 3a - 18)b  + (- a  - 9a)b)x
+--R     + 
+--R              2        2            3     2
+--R       (- 2a b  + (- 3a  - 18a)b - a  - 9a )x
+--R  /
+--R        2 2     3   2      3      4
+--R     (3a b  + 3a b)x  + (3a b + 3a )x
+--R                                         Type: Union(Expression(Integer),...)
+--E 2988
+
+--S 2989 of 3330 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R            2                   2
+--R        - 2b  + (- 3a - 18)b - a  - 9a
+--R   (4)  ------------------------------
+--R                    2      3
+--R                  3a b + 3a
+--R                                                    Type: Expression(Integer)
+--E 2989
+
+--S 2990 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2990
+
+)clear all
+
+--S 2991 of 3330
+t0000:=1/(x^(5/2)*(a+b*x)^(3/2))
+--R 
+--R
+--R                     1
+--R   (1)  ---------------------------
+--R            3      2  +-+ +-------+
+--R        (b x  + a x )\|x \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 2991
+
+--S 2992 of 3330
+r0000:=2/(a*x^(3/2)*sqrt(a+b*x))-8/3*sqrt(a+b*x)/(a^2*x^(3/2))+_
+     16/3*b*sqrt(a+b*x)/(a^3*sqrt(x))
+--R 
+--R
+--R           2 2              2
+--R        16b x  + 8a b x - 2a
+--R   (2)  ---------------------
+--R            3  +-+ +-------+
+--R          3a x\|x \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 2992
+
+--S 2993 of 3330 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R            3        2  2         2      2        2      3  +-+ +-------+
+--R       ((48b  + 48a b )x  + (24a b  + 24a b)x - 6a b - 6a )\|x \|b x + a
+--R     + 
+--R          4              3      2        2       3     2    3
+--R       (8b  + (12a + 72)b  + (3a  + 36a)b  + (- a  - 9a )b)x
+--R     + 
+--R            3       2        2      3      2      4     3  2
+--R       (8a b  + (12a  + 72a)b  + (3a  + 36a )b - a  - 9a )x
+--R  /
+--R        3 2     4   3      4      5  2
+--R     (9a b  + 9a b)x  + (9a b + 9a )x
+--R                                         Type: Union(Expression(Integer),...)
+--E 2993
+
+--S 2994 of 3330 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R          3              2      2            3     2
+--R        8b  + (12a + 72)b  + (3a  + 36a)b - a  - 9a
+--R   (4)  --------------------------------------------
+--R                           3      4
+--R                         9a b + 9a
+--R                                                    Type: Expression(Integer)
+--E 2994
+
+--S 2995 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2995
+
+)clear all
+
+--S 2996 of 3330
+t0000:=1/(x^(7/2)*(a+b*x)^(3/2))
+--R 
+--R
+--R                     1
+--R   (1)  ---------------------------
+--R            4      3  +-+ +-------+
+--R        (b x  + a x )\|x \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 2996
+
+--S 2997 of 3330
+r0000:=2/(a*x^(5/2)*sqrt(a+b*x))-12/5*sqrt(a+b*x)/(a^2*x^(5/2))+_
+     16/5*b*sqrt(a+b*x)/(a^3*x^(3/2))-32/5*b^2*sqrt(a+b*x)/(a^4*sqrt(x))
+--R 
+--R
+--R             3 3        2 2     2        3
+--R        - 32b x  - 16a b x  + 4a b x - 2a
+--R   (2)  ----------------------------------
+--R                  4 2 +-+ +-------+
+--R                5a x \|x \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 2997
+
+--S 2998 of 3330 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                 4        3  3           3      2 2  2      2 2     3        3
+--R           (- 64b  - 64a b )x  + (- 32a b  - 32a b )x  + (8a b  + 8a b)x - 4a b
+--R         + 
+--R               4
+--R           - 4a
+--R      *
+--R          +-+ +-------+
+--R         \|x \|b x + a
+--R     + 
+--R           5              4      2        3       3     2  2     4     3    4
+--R       (16b  + (24a + 64)b  + (6a  + 32a)b  + (- a  - 8a )b  + (a  + 4a )b)x
+--R     + 
+--R             4       2        3      3      2  2       4     3      5     4  3
+--R       (16a b  + (24a  + 64a)b  + (6a  + 32a )b  + (- a  - 8a )b + a  + 4a )x
+--R  /
+--R         4 2      5   4       5       6  3
+--R     (10a b  + 10a b)x  + (10a b + 10a )x
+--R                                         Type: Union(Expression(Integer),...)
+--E 2998
+
+--S 2999 of 3330 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R           4              3      2        2       3     2      4     3
+--R        16b  + (24a + 64)b  + (6a  + 32a)b  + (- a  - 8a )b + a  + 4a
+--R   (4)  --------------------------------------------------------------
+--R                                    4       5
+--R                                 10a b + 10a
+--R                                                    Type: Expression(Integer)
+--E 2999
+
+--S 3000 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 3000
+
+)clear all
+
+--S 3001 of 3330
+t0000:=x^(5/2)/(a+b*x)^(5/2)
+--R 
+--R
+--R                     2 +-+
+--R                    x \|x
+--R   (1)  ------------------------------
+--R          2 2             2  +-------+
+--R        (b x  + 2a b x + a )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 3001
+
+--S 3002 of 3330
+r0000:=-2/3*x^(5/2)/(b*(a+b*x)^(3/2))-_
+     5*a*atanh(sqrt(b)*sqrt(x)/sqrt(a+b*x))/b^(7/2)-_
+     10/3*x^(3/2)/(b^2*sqrt(a+b*x))+5*sqrt(x)*sqrt(a+b*x)/b^3
+--R 
+--R
+--R   (2)
+--R                                           +-+ +-+
+--R                       2  +-------+       \|b \|x
+--R       (- 15a b x - 15a )\|b x + a atanh(----------)
+--R                                          +-------+
+--R                                         \|b x + a
+--R     + 
+--R          2 2                2  +-+ +-+
+--R       (3b x  + 20a b x + 15a )\|b \|x
+--R  /
+--R        4        3  +-+ +-------+
+--R     (3b x + 3a b )\|b \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 3002
+
+--S 3003 of 3330
+--a0000:=integrate(t0000,x)
+--E 3003
+
+--S 3004 of 3330
+--m0000:=a0000 - r0000
+--E 3004
+
+--S 3005 of 3330
+--d0000:=D(m0000,x)
+--E 3005
+
+)clear all
+
+--S 3006 of 3330
+t0000:=x^(3/2)/(a+b*x)^(5/2)
+--R 
+--R
+--R                       +-+
+--R                     x\|x
+--R   (1)  ------------------------------
+--R          2 2             2  +-------+
+--R        (b x  + 2a b x + a )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 3006
+
+--S 3007 of 3330
+r0000:=-2/3*x^(3/2)/(b*(a+b*x)^(3/2))+_
+     2*atanh(sqrt(b)*sqrt(x)/sqrt(a+b*x))/b^(5/2)-_
+     2*sqrt(x)/(b^2*sqrt(a+b*x))
+--R 
+--R
+--R                                     +-+ +-+
+--R                    +-------+       \|b \|x                    +-+ +-+
+--R        (6b x + 6a)\|b x + a atanh(----------) + (- 8b x - 6a)\|b \|x
+--R                                    +-------+
+--R                                   \|b x + a
+--R   (2)  --------------------------------------------------------------
+--R                            3        2  +-+ +-------+
+--R                         (3b x + 3a b )\|b \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 3007
+
+--S 3008 of 3330
+--a0000:=integrate(t0000,x)
+--E 3008
+
+--S 3009 of 3330
+--m0000:=a0000 - r0000
+--E 3009
+
+--S 3010 of 3330
+--d0000:=D(m0000,x)
+--E 3010
+
+)clear all
+
+--S 3011 of 3330
+t0000:=sqrt(x)/(a+b*x)^(5/2)
+--R 
+--R
+--R                      +-+
+--R                     \|x
+--R   (1)  ------------------------------
+--R          2 2             2  +-------+
+--R        (b x  + 2a b x + a )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 3011
+
+--S 3012 of 3330
+r0000:=2/3*x^(3/2)/(a*(a+b*x)^(3/2))
+--R 
+--R
+--R                    +-+
+--R                 2x\|x
+--R   (2)  ------------------------
+--R                    2  +-------+
+--R        (3a b x + 3a )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 3012
+
+--S 3013 of 3330 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R          2            2   +-+ +-------+     3           2  2
+--R       (4b  + 8a b + 4a )x\|x \|b x + a  + (b  + (a + 4)b )x
+--R     + 
+--R            2      2             2     3     2
+--R       (2a b  + (2a  + 8a)b)x + a b + a  + 4a
+--R  /
+--R            4      2 3     3 2  2       2 3      3 2      4        3 2      4
+--R       (6a b  + 12a b  + 6a b )x  + (12a b  + 24a b  + 12a b)x + 6a b  + 12a b
+--R     + 
+--R         5
+--R       6a
+--R                                         Type: Union(Expression(Integer),...)
+--E 3013
+
+--S 3014 of 3330 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R             b + a + 4
+--R   (4)  -------------------
+--R            2      2      3
+--R        6a b  + 12a b + 6a
+--R                                                    Type: Expression(Integer)
+--E 3014
+
+--S 3015 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 3015
+
+)clear all
+
+--S 3016 of 3330
+t0000:=1/((a+b*x)^(5/2)*sqrt(x))
+--R 
+--R
+--R                         1
+--R   (1)  ----------------------------------
+--R          2 2             2  +-+ +-------+
+--R        (b x  + 2a b x + a )\|x \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 3016
+
+--S 3017 of 3330
+r0000:=2/3*sqrt(x)/(a*(a+b*x)^(3/2))+4/3*sqrt(x)/(a^2*sqrt(a+b*x))
+--R 
+--R
+--R                         +-+
+--R             (4b x + 6a)\|x
+--R   (2)  ------------------------
+--R           2        3  +-------+
+--R        (3a b x + 3a )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 3017
+
+--S 3018 of 3330 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R           3       2     2          2      2      3  +-+ +-------+
+--R       ((4b  + 8a b  + 4a b)x + 6a b  + 12a b + 6a )\|x \|b x + a
+--R     + 
+--R          4            3      2       2  2
+--R       (2b  + (5a + 2)b  + (3a  + 3a)b )x
+--R     + 
+--R          3       2       2      3     2         2 2      3     2       4     3
+--R     (4a b  + (10a  + 4a)b  + (6a  + 6a )b)x + 2a b  + (5a  + 2a )b + 3a  + 3a
+--R  /
+--R        2 4     3 3     4 2  2      3 3      4 2     5        4 2     5      6
+--R     (3a b  + 6a b  + 3a b )x  + (6a b  + 12a b  + 6a b)x + 3a b  + 6a b + 3a
+--R                                         Type: Union(Expression(Integer),...)
+--E 3018
+
+--S 3019 of 3330 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R          2                 2
+--R        2b  + (5a + 2)b + 3a  + 3a
+--R   (4)  --------------------------
+--R              2 2     3      4
+--R            3a b  + 6a b + 3a
+--R                                                    Type: Expression(Integer)
+--E 3019
+
+--S 3020 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 3020
+
+)clear all
+
+--S 3021 of 3330
+t0000:=1/(x^(3/2)*(a+b*x)^(5/2))
+--R 
+--R
+--R                          1
+--R   (1)  ------------------------------------
+--R          2 3         2    2   +-+ +-------+
+--R        (b x  + 2a b x  + a x)\|x \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 3021
+
+--S 3022 of 3330
+r0000:=2/3/(a*(a+b*x)^(3/2)*sqrt(x))+8/3/(a^2*sqrt(x)*sqrt(a+b*x))-_
+     16/3*sqrt(a+b*x)/(a^3*sqrt(x))
+--R 
+--R
+--R               2 2               2
+--R          - 16b x  - 24a b x - 6a
+--R   (2)  ----------------------------
+--R           3        4  +-+ +-------+
+--R        (3a b x + 3a )\|x \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 3022
+
+--S 3023 of 3330 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                 4        3      2 2  2           3       2 2      3         2 2
+--R           (- 48b  - 96a b  - 48a b )x  + (- 72a b  - 144a b  - 72a b)x - 18a b
+--R         + 
+--R                3       4
+--R           - 36a b - 18a
+--R      *
+--R          +-+ +-------+
+--R         \|x \|b x + a
+--R     + 
+--R            5                4         2         3        3      2  2  3
+--R       (- 8b  + (- 20a - 72)b  + (- 15a  - 108a)b  + (- 3a  - 27a )b )x
+--R     + 
+--R               4         2         3         3       2  2        4      3    2
+--R       (- 16a b  + (- 40a  - 144a)b  + (- 30a  - 216a )b  + (- 6a  - 54a )b)x
+--R     + 
+--R            2 3         3      2  2         4       3       5      4
+--R       (- 8a b  + (- 20a  - 72a )b  + (- 15a  - 108a )b - 3a  - 27a )x
+--R  /
+--R          3 4      4 3     5 2  3       4 3      5 2      6   2
+--R       (9a b  + 18a b  + 9a b )x  + (18a b  + 36a b  + 18a b)x
+--R     + 
+--R          5 2      6      7
+--R       (9a b  + 18a b + 9a )x
+--R                                         Type: Union(Expression(Integer),...)
+--E 3023
+
+--S 3024 of 3330 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R            3                2         2              3      2
+--R        - 8b  + (- 20a - 72)b  + (- 15a  - 108a)b - 3a  - 27a
+--R   (4)  ------------------------------------------------------
+--R                            3 2      4      5
+--R                          9a b  + 18a b + 9a
+--R                                                    Type: Expression(Integer)
+--E 3024
+
+--S 3025 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 3025
+
+)clear all
+
+--S 3026 of 3330
+t0000:=1/(x^(5/2)*(a+b*x)^(5/2))
+--R 
+--R
+--R                          1
+--R   (1)  -------------------------------------
+--R          2 4         3    2 2  +-+ +-------+
+--R        (b x  + 2a b x  + a x )\|x \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 3026
+
+--S 3027 of 3330
+r0000:=2/3/(a*x^(3/2)*(a+b*x)^(3/2))+4/(a^2*x^(3/2)*sqrt(a+b*x))-_
+     16/3*sqrt(a+b*x)/(a^3*x^(3/2))+32/3*b*sqrt(a+b*x)/(a^4*sqrt(x))
+--R 
+--R
+--R           3 3        2 2      2        3
+--R        32b x  + 48a b x  + 12a b x - 2a
+--R   (2)  ---------------------------------
+--R             4   2     5   +-+ +-------+
+--R          (3a b x  + 3a x)\|x \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 3027
+
+--random failure...
+-->> Error detected within library code:
+--(1 . failed) cannot be coerced to mode (SparseUnivariatePolynomial (Integer))
+--R
+--S 3028 of 3330
+--a0000:=integrate(t0000,x)
+--E 3028
+
+--S 3029 of 3330
+--m0000:=a0000 - r0000
+--E 3029
+
+--S 3030 of 3330
+--d0000:=D(m0000,x)
+--E 3030
+
+)clear all
+
+--S 3031 of 3330
+t0000:=x^(5/2)/sqrt(a-b*x)
+--R 
+--R
+--R            2 +-+
+--R           x \|x
+--R   (1)  ------------
+--R         +---------+
+--R        \|- b x + a
+--R                                                    Type: Expression(Integer)
+--E 3031
+
+--S 3032 of 3330
+r0000:=5/8*a^3*atan(sqrt(b)*sqrt(x)/sqrt(a-b*x))/b^(7/2)-_
+     5/12*a*x^(3/2)*sqrt(a-b*x)/b^2-1/3*x^(5/2)*sqrt(a-b*x)/b-_
+     5/8*a^2*sqrt(x)*sqrt(a-b*x)/b^3
+--R 
+--R
+--R   (2)
+--R               +-+ +-+
+--R      3       \|b \|x            2 2                2  +---------+ +-+ +-+
+--R   15a atan(------------) + (- 8b x  - 10a b x - 15a )\|- b x + a \|b \|x
+--R             +---------+
+--R            \|- b x + a
+--R   -----------------------------------------------------------------------
+--R                                      3 +-+
+--R                                   24b \|b
+--R                                                    Type: Expression(Integer)
+--E 3032
+
+--S 3033 of 3330
+--a0000:=integrate(t0000,x)
+--E 3033
+
+--S 3034 of 3330
+--m0000:=a0000 - r0000
+--E 3034
+
+--S 3035 of 3330
+--d0000:=D(m0000,x)
+--E 3035
+
+)clear all
+
+--S 3036 of 3330
+t0000:=x^(3/2)/sqrt(a-b*x)
+--R 
+--R
+--R              +-+
+--R            x\|x
+--R   (1)  ------------
+--R         +---------+
+--R        \|- b x + a
+--R                                                    Type: Expression(Integer)
+--E 3036
+
+--S 3037 of 3330
+r0000:=3/4*a^2*atan(sqrt(b)*sqrt(x)/sqrt(a-b*x))/b^(5/2)-_
+     1/2*x^(3/2)*sqrt(a-b*x)/b-3/4*a*sqrt(x)*sqrt(a-b*x)/b^2
+--R 
+--R
+--R                   +-+ +-+
+--R          2       \|b \|x                     +---------+ +-+ +-+
+--R        3a atan(------------) + (- 2b x - 3a)\|- b x + a \|b \|x
+--R                 +---------+
+--R                \|- b x + a
+--R   (2)  ---------------------------------------------------------
+--R                                   2 +-+
+--R                                 4b \|b
+--R                                                    Type: Expression(Integer)
+--E 3037
+
+--S 3038 of 3330
+--a0000:=integrate(t0000,x)
+--E 3038
+
+--S 3039 of 3330
+--m0000:=a0000 - r0000
+--E 3039
+
+--S 3040 of 3330
+--d0000:=D(m0000,x)
+--E 3040
+
+)clear all
+
+--S 3041 of 3330
+t0000:=sqrt(x)/sqrt(a-b*x)
+--R 
+--R
+--R             +-+
+--R            \|x
+--R   (1)  ------------
+--R         +---------+
+--R        \|- b x + a
+--R                                                    Type: Expression(Integer)
+--E 3041
+
+--S 3042 of 3330
+r0000:=a*atan(sqrt(b)*sqrt(x)/sqrt(a-b*x))/b^(3/2)-sqrt(x)*sqrt(a-b*x)/b
+--R 
+--R
+--R                  +-+ +-+
+--R                 \|b \|x        +---------+ +-+ +-+
+--R        a atan(------------) - \|- b x + a \|b \|x
+--R                +---------+
+--R               \|- b x + a
+--R   (2)  -------------------------------------------
+--R                             +-+
+--R                           b\|b
+--R                                                    Type: Expression(Integer)
+--E 3042
+
+--S 3043 of 3330
+--a0000:=integrate(t0000,x)
+--E 3043
+
+--S 3044 of 3330
+--m0000:=a0000 - r0000
+--E 3044
+
+--S 3045 of 3330
+--d0000:=D(m0000,x)
+--E 3045
+
+)clear all
+
+--S 3046 of 3330
+t0000:=1/(sqrt(x)*sqrt(a-b*x))
+--R 
+--R
+--R                1
+--R   (1)  ----------------
+--R         +---------+ +-+
+--R        \|- b x + a \|x
+--R                                                    Type: Expression(Integer)
+--E 3046
+
+--S 3047 of 3330
+r0000:=2*atan(sqrt(b)*sqrt(x)/sqrt(a-b*x))/sqrt(b)
+--R 
+--R
+--R                 +-+ +-+
+--R                \|b \|x
+--R        2atan(------------)
+--R               +---------+
+--R              \|- b x + a
+--R   (2)  -------------------
+--R                 +-+
+--R                \|b
+--R                                                    Type: Expression(Integer)
+--E 3047
+
+--S 3048 of 3330
+--a0000:=integrate(t0000,x)
+--E 3048
+
+--S 3049 of 3330
+--m0000:=a0000 - r0000
+--E 3049
+
+--S 3050 of 3330
+--d0000:=D(m0000,x)
+--E 3050
+
+)clear all
+
+--S 3051 of 3330
+t0000:=1/(x^(3/2)*sqrt(a-b*x))
+--R 
+--R
+--R                1
+--R   (1)  -----------------
+--R          +---------+ +-+
+--R        x\|- b x + a \|x
+--R                                                    Type: Expression(Integer)
+--E 3051
+
+--S 3052 of 3330
+r0000:=-2*sqrt(a-b*x)/(a*sqrt(x))
+--R 
+--R
+--R            +---------+
+--R          2\|- b x + a
+--R   (2)  - -------------
+--R                +-+
+--R              a\|x
+--R                                                    Type: Expression(Integer)
+--E 3052
+
+--S 3053 of 3330 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R            +---------+ +-+
+--R        - 2\|- b x + a \|x  + (- b + a + 1)x
+--R   (3)  ------------------------------------
+--R                         a x
+--R                                         Type: Union(Expression(Integer),...)
+--E 3053
+
+--S 3054 of 3330 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R        - b + a + 1
+--R   (4)  -----------
+--R             a
+--R                                                    Type: Expression(Integer)
+--E 3054
+
+--S 3055 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 3055
+
+)clear all
+
+--S 3056 of 3330
+t0000:=1/(x^(5/2)*sqrt(a-b*x))
+--R 
+--R
+--R                 1
+--R   (1)  ------------------
+--R         2 +---------+ +-+
+--R        x \|- b x + a \|x
+--R                                                    Type: Expression(Integer)
+--E 3056
+
+--S 3057 of 3330
+r0000:=-2/3*sqrt(a-b*x)/(a*x^(3/2))-4/3*b*sqrt(a-b*x)/(a^2*sqrt(x))
+--R 
+--R
+--R                      +---------+
+--R        (- 4b x - 2a)\|- b x + a
+--R   (2)  -------------------------
+--R                   2  +-+
+--R                 3a x\|x
+--R                                                    Type: Expression(Integer)
+--E 3057
+
+--S 3058 of 3330 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                       +---------+ +-+       2                     2      2
+--R        (- 16b x - 8a)\|- b x + a \|x  + (32b  + (- 16a - 2)b - 16a  - a)x
+--R   (3)  -------------------------------------------------------------------
+--R                                          2 2
+--R                                       12a x
+--R                                         Type: Union(Expression(Integer),...)
+--E 3058
+
+--S 3059 of 3330 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R           2                     2
+--R        32b  + (- 16a - 2)b - 16a  - a
+--R   (4)  ------------------------------
+--R                        2
+--R                     12a
+--R                                                    Type: Expression(Integer)
+--E 3059
+
+--S 3060 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 3060
+
+)clear all
+
+--S 3061 of 3330
+t0000:=x^(5/2)/(a-b*x)^(3/2)
+--R 
+--R
+--R                   2 +-+
+--R                  x \|x
+--R   (1)  - ---------------------
+--R                    +---------+
+--R          (b x - a)\|- b x + a
+--R                                                    Type: Expression(Integer)
+--E 3061
+
+--S 3062 of 3330
+r0000:=-15/4*a^2*atan(sqrt(b)*sqrt(x)/sqrt(a-b*x))/b^(7/2)+_
+     2*x^(5/2)/(b*sqrt(a-b*x))+5/2*x^(3/2)*sqrt(a-b*x)/b^2+_
+     15/4*a*sqrt(x)*sqrt(a-b*x)/b^3
+--R 
+--R
+--R   (2)
+--R                             +-+ +-+
+--R        2 +---------+       \|b \|x            2 2               2  +-+ +-+
+--R   - 15a \|- b x + a atan(------------) + (- 2b x  - 5a b x + 15a )\|b \|x
+--R                           +---------+
+--R                          \|- b x + a
+--R   ------------------------------------------------------------------------
+--R                                3 +---------+ +-+
+--R                              4b \|- b x + a \|b
+--R                                                    Type: Expression(Integer)
+--E 3062
+
+--S 3063 of 3330
+--a0000:=integrate(t0000,x)
+--E 3063
+
+--S 3064 of 3330
+--m0000:=a0000 - r0000
+--E 3064
+
+--S 3065 of 3330
+--d0000:=D(m0000,x)
+--E 3065
+
+)clear all
+
+--S 3066 of 3330
+t0000:=x^(3/2)/(a-b*x)^(3/2)
+--R 
+--R
+--R                    +-+
+--R                  x\|x
+--R   (1)  - ---------------------
+--R                    +---------+
+--R          (b x - a)\|- b x + a
+--R                                                    Type: Expression(Integer)
+--E 3066
+
+--S 3067 of 3330
+r0000:=-3*a*atan(sqrt(b)*sqrt(x)/sqrt(a-b*x))/b^(5/2)+_
+     2*x^(3/2)/(b*sqrt(a-b*x))+3*sqrt(x)*sqrt(a-b*x)/b^2
+--R 
+--R
+--R                                +-+ +-+
+--R             +---------+       \|b \|x                    +-+ +-+
+--R        - 3a\|- b x + a atan(------------) + (- b x + 3a)\|b \|x
+--R                              +---------+
+--R                             \|- b x + a
+--R   (2)  ---------------------------------------------------------
+--R                             2 +---------+ +-+
+--R                            b \|- b x + a \|b
+--R                                                    Type: Expression(Integer)
+--E 3067
+
+--S 3068 of 3330
+--a0000:=integrate(t0000,x)
+--E 3068
+
+--S 3069 of 3330
+--m0000:=a0000 - r0000
+--E 3069
+
+--S 3070 of 3330
+--d0000:=D(m0000,x)
+--E 3070
+
+)clear all
+
+--S 3071 of 3330
+t0000:=sqrt(x)/(a-b*x)^(3/2)
+--R 
+--R
+--R                    +-+
+--R                   \|x
+--R   (1)  - ---------------------
+--R                    +---------+
+--R          (b x - a)\|- b x + a
+--R                                                    Type: Expression(Integer)
+--E 3071
+
+--S 3072 of 3330
+r0000:=-2*atan(sqrt(b)*sqrt(x)/sqrt(a-b*x))/b^(3/2)+2*sqrt(x)/(b*sqrt(a-b*x))
+--R 
+--R
+--R                               +-+ +-+
+--R            +---------+       \|b \|x         +-+ +-+
+--R        - 2\|- b x + a atan(------------) + 2\|b \|x
+--R                             +---------+
+--R                            \|- b x + a
+--R   (2)  ---------------------------------------------
+--R                        +---------+ +-+
+--R                      b\|- b x + a \|b
+--R                                                    Type: Expression(Integer)
+--E 3072
+
+--S 3073 of 3330
+--a0000:=integrate(t0000,x)
+--E 3073
+
+--S 3074 of 3330
+--m0000:=a0000 - r0000
+--E 3074
+
+--S 3075 of 3330
+--d0000:=D(m0000,x)
+--E 3075
+
+)clear all
+
+--S 3076 of 3330
+t0000:=1/((a-b*x)^(3/2)*sqrt(x))
+--R 
+--R
+--R                      1
+--R   (1)  - -------------------------
+--R                    +---------+ +-+
+--R          (b x - a)\|- b x + a \|x
+--R                                                    Type: Expression(Integer)
+--E 3076
+
+--S 3077 of 3330
+r0000:=2*sqrt(x)/(a*sqrt(a-b*x))
+--R 
+--R
+--R              +-+
+--R            2\|x
+--R   (2)  -------------
+--R          +---------+
+--R        a\|- b x + a
+--R                                                    Type: Expression(Integer)
+--E 3077
+
+--S 3078 of 3330 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                    +---------+ +-+      2                            2
+--R        (- 6b + 6a)\|- b x + a \|x  + (9b  + (- 9a - 1)b)x - 9a b + 9a  + a
+--R   (3)  -------------------------------------------------------------------
+--R                                 2     2        2      3
+--R                            (3a b  - 3a b)x - 3a b + 3a
+--R                                         Type: Union(Expression(Integer),...)
+--E 3078
+
+--S 3079 of 3330 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R        9b - 9a - 1
+--R   (4)  -----------
+--R                  2
+--R         3a b - 3a
+--R                                                    Type: Expression(Integer)
+--E 3079
+
+--S 3080 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 3080
+
+)clear all
+
+--S 3081 of 3330
+t0000:=1/(x^(3/2)*(a-b*x)^(3/2))
+--R 
+--R
+--R                        1
+--R   (1)  - ----------------------------
+--R              2        +---------+ +-+
+--R          (b x  - a x)\|- b x + a \|x
+--R                                                    Type: Expression(Integer)
+--E 3081
+
+--S 3082 of 3330
+r0000:=2/(a*sqrt(x)*sqrt(a-b*x))-4*sqrt(a-b*x)/(a^2*sqrt(x))
+--R 
+--R
+--R             4b x - 2a
+--R   (2)  ------------------
+--R         2 +---------+ +-+
+--R        a \|- b x + a \|x
+--R                                                    Type: Expression(Integer)
+--E 3082
+
+--S 3083 of 3330 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R             2                     2  +---------+ +-+
+--R       ((- 4b  + 4a b)x + 2a b - 2a )\|- b x + a \|x
+--R     + 
+--R          3            2       2        2        2        2           3    2
+--R     (- 2b  + (3a + 2)b  + (- a  - a)b)x  + (2a b  + (- 3a  - 2a)b + a  + a )x
+--R  /
+--R       2 2    3   2       3     4
+--R     (a b  - a b)x  + (- a b + a )x
+--R                                         Type: Union(Expression(Integer),...)
+--E 3083
+
+--S 3084 of 3330 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R            2                2
+--R        - 2b  + (3a + 2)b - a  - a
+--R   (4)  --------------------------
+--R                  2     3
+--R                 a b - a
+--R                                                    Type: Expression(Integer)
+--E 3084
+
+--S 3085 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 3085
+
+)clear all
+
+--S 3086 of 3330
+t0000:=1/(x^(5/2)*(a-b*x)^(3/2))
+--R 
+--R
+--R                        1
+--R   (1)  - -----------------------------
+--R              3      2  +---------+ +-+
+--R          (b x  - a x )\|- b x + a \|x
+--R                                                    Type: Expression(Integer)
+--E 3086
+
+--S 3087 of 3330
+r0000:=2/(a*x^(3/2)*sqrt(a-b*x))-8/3*sqrt(a-b*x)/(a^2*x^(3/2))-_
+     16/3*b*sqrt(a-b*x)/(a^3*sqrt(x))
+--R 
+--R
+--R           2 2              2
+--R        16b x  - 8a b x - 2a
+--R   (2)  ---------------------
+--R           3  +---------+ +-+
+--R         3a x\|- b x + a \|x
+--R                                                    Type: Expression(Integer)
+--E 3087
+
+--S 3088 of 3330 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R              3        2  2         2      2        2      3  +---------+ +-+
+--R       ((- 64b  + 64a b )x  + (32a b  - 32a b)x + 8a b - 8a )\|- b x + a \|x
+--R     + 
+--R              4              3         2       2         3    2    3
+--R       (- 128b  + (192a + 8)b  + (- 48a  - 4a)b  + (- 16a  - a )b)x
+--R     + 
+--R              3          2       2       3     2        4    3  2
+--R       (128a b  + (- 192a  - 8a)b  + (48a  + 4a )b + 16a  + a )x
+--R  /
+--R         3 2      4   3         4       5  2
+--R     (12a b  - 12a b)x  + (- 12a b + 12a )x
+--R                                         Type: Union(Expression(Integer),...)
+--E 3088
+
+--S 3089 of 3330 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R              3              2         2             3    2
+--R        - 128b  + (192a + 8)b  + (- 48a  - 4a)b - 16a  - a
+--R   (4)  ---------------------------------------------------
+--R                               3       4
+--R                            12a b - 12a
+--R                                                    Type: Expression(Integer)
+--E 3089
+
+--S 3090 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 3090
+
+)clear all
+
+--S 3091 of 3330
+t0000:=x^(5/2)/(a-b*x)^(5/2)
+--R 
+--R
+--R                      2 +-+
+--R                     x \|x
+--R   (1)  --------------------------------
+--R          2 2             2  +---------+
+--R        (b x  - 2a b x + a )\|- b x + a
+--R                                                    Type: Expression(Integer)
+--E 3091
+
+--S 3092 of 3330
+r0000:=2/3*x^(5/2)/(b*(a-b*x)^(3/2))+_
+     5*a*atan(sqrt(b)*sqrt(x)/sqrt(a-b*x))/b^(7/2)-_
+     10/3*x^(3/2)/(b^2*sqrt(a-b*x))-5*sqrt(x)*sqrt(a-b*x)/b^3
+--R 
+--R
+--R   (2)
+--R                                           +-+ +-+
+--R                     2  +---------+       \|b \|x
+--R       (15a b x - 15a )\|- b x + a atan(------------)
+--R                                         +---------+
+--R                                        \|- b x + a
+--R     + 
+--R          2 2                2  +-+ +-+
+--R       (3b x  - 20a b x + 15a )\|b \|x
+--R  /
+--R        4        3  +---------+ +-+
+--R     (3b x - 3a b )\|- b x + a \|b
+--R                                                    Type: Expression(Integer)
+--E 3092
+
+--S 3093 of 3330
+--a0000:=integrate(t0000,x)
+--E 3093
+
+--S 3094 of 3330
+--m0000:=a0000 - r0000
+--E 3094
+
+--S 3095 of 3330
+--d0000:=D(m0000,x)
+--E 3095
+
+)clear all
+
+--S 3096 of 3330
+t0000:=x^(3/2)/(a-b*x)^(5/2)
+--R 
+--R
+--R                        +-+
+--R                      x\|x
+--R   (1)  --------------------------------
+--R          2 2             2  +---------+
+--R        (b x  - 2a b x + a )\|- b x + a
+--R                                                    Type: Expression(Integer)
+--E 3096
+
+--S 3097 of 3330
+r0000:=2/3*x^(3/2)/(b*(a-b*x)^(3/2))+_
+     2*atan(sqrt(b)*sqrt(x)/sqrt(a-b*x))/b^(5/2)-2*sqrt(x)/(b^2*sqrt(a-b*x))
+--R 
+--R
+--R                                       +-+ +-+
+--R                    +---------+       \|b \|x                     +-+ +-+
+--R        (6b x - 6a)\|- b x + a atan(------------) + (- 8b x + 6a)\|b \|x
+--R                                     +---------+
+--R                                    \|- b x + a
+--R   (2)  -----------------------------------------------------------------
+--R                             3        2  +---------+ +-+
+--R                          (3b x - 3a b )\|- b x + a \|b
+--R                                                    Type: Expression(Integer)
+--E 3097
+
+--S 3098 of 3330
+--a0000:=integrate(t0000,x)
+--E 3098
+
+--S 3099 of 3330
+--m0000:=a0000 - r0000
+--E 3099
+
+--S 3100 of 3330
+--d0000:=D(m0000,x)
+--E 3100
+
+)clear all
+
+--S 3101 of 3330
+t0000:=sqrt(x)/(a-b*x)^(5/2)
+--R 
+--R
+--R                       +-+
+--R                      \|x
+--R   (1)  --------------------------------
+--R          2 2             2  +---------+
+--R        (b x  - 2a b x + a )\|- b x + a
+--R                                                    Type: Expression(Integer)
+--E 3101
+
+--S 3102 of 3330
+r0000:=2/3*x^(3/2)/(a*(a-b*x)^(3/2))
+--R 
+--R
+--R                       +-+
+--R                    2x\|x
+--R   (2)  - --------------------------
+--R                      2  +---------+
+--R          (3a b x - 3a )\|- b x + a
+--R                                                    Type: Expression(Integer)
+--E 3102
+
+--S 3103 of 3330 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R          2             2   +---------+ +-+        3            2  2
+--R       (6b  - 12a b + 6a )x\|- b x + a \|x  + (- 9b  + (9a + 1)b )x
+--R     + 
+--R             2         2              2      3    2
+--R       (18a b  + (- 18a  - 2a)b)x - 9a b + 9a  + a
+--R  /
+--R            4      2 3     3 2  2         2 3      3 2      4        3 2      4
+--R       (9a b  - 18a b  + 9a b )x  + (- 18a b  + 36a b  - 18a b)x + 9a b  - 18a b
+--R     + 
+--R         5
+--R       9a
+--R                                         Type: Union(Expression(Integer),...)
+--E 3103
+
+--S 3104 of 3330 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R           - 9b + 9a + 1
+--R   (4)  -------------------
+--R            2      2      3
+--R        9a b  - 18a b + 9a
+--R                                                    Type: Expression(Integer)
+--E 3104
+
+--S 3105 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 3105
+
+)clear all
+
+--S 3106 of 3330
+t0000:=1/((a-b*x)^(5/2)*sqrt(x))
+--R 
+--R
+--R                          1
+--R   (1)  ------------------------------------
+--R          2 2             2  +---------+ +-+
+--R        (b x  - 2a b x + a )\|- b x + a \|x
+--R                                                    Type: Expression(Integer)
+--E 3106
+
+--S 3107 of 3330
+r0000:=2/3*sqrt(x)/(a*(a-b*x)^(3/2))+4/3*sqrt(x)/(a^2*sqrt(a-b*x))
+--R 
+--R
+--R                          +-+
+--R              (4b x - 6a)\|x
+--R   (2)  --------------------------
+--R           2        3  +---------+
+--R        (3a b x - 3a )\|- b x + a
+--R                                                    Type: Expression(Integer)
+--E 3107
+
+--S 3108 of 3330 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R              3        2      2           2      2       3  +---------+ +-+
+--R       ((- 12b  + 24a b  - 12a b)x + 18a b  - 36a b + 18a )\|- b x + a \|x
+--R     + 
+--R           4               3       2       2  2
+--R       (18b  + (- 45a - 2)b  + (27a  + 3a)b )x
+--R     + 
+--R               3       2       2         3     2          2 2         3     2
+--R       (- 36a b  + (90a  + 4a)b  + (- 54a  - 6a )b)x + 18a b  + (- 45a  - 2a )b
+--R     + 
+--R          4     3
+--R       27a  + 3a
+--R  /
+--R          2 4      3 3     4 2  2         3 3      4 2      5        4 2      5
+--R       (9a b  - 18a b  + 9a b )x  + (- 18a b  + 36a b  - 18a b)x + 9a b  - 18a b
+--R     + 
+--R         6
+--R       9a
+--R                                         Type: Union(Expression(Integer),...)
+--E 3108
+
+--S 3109 of 3330 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R           2                     2
+--R        18b  + (- 45a - 2)b + 27a  + 3a
+--R   (4)  -------------------------------
+--R                2 2      3      4
+--R              9a b  - 18a b + 9a
+--R                                                    Type: Expression(Integer)
+--E 3109
+
+--S 3110 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 3110
+
+)clear all
+
+--S 3111 of 3330
+t0000:=1/(x^(3/2)*(a-b*x)^(5/2))
+--R 
+--R
+--R                           1
+--R   (1)  --------------------------------------
+--R          2 3         2    2   +---------+ +-+
+--R        (b x  - 2a b x  + a x)\|- b x + a \|x
+--R                                                    Type: Expression(Integer)
+--E 3111
+
+--S 3112 of 3330
+r0000:=2/3/(a*(a-b*x)^(3/2)*sqrt(x))+_
+     8/3/(a^2*sqrt(x)*sqrt(a-b*x))-16/3*sqrt(a-b*x)/(a^3*sqrt(x))
+--R 
+--R
+--R               2 2               2
+--R            16b x  - 24a b x + 6a
+--R   (2)  ------------------------------
+--R           3        4  +---------+ +-+
+--R        (3a b x - 3a )\|- b x + a \|x
+--R                                                    Type: Expression(Integer)
+--E 3112
+
+--S 3113 of 3330 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                 4         3      2 2  2          3       2 2       3
+--R           (- 80b  + 160a b  - 80a b )x  + (120a b  - 240a b  + 120a b)x
+--R         + 
+--R                2 2      3       4
+--R           - 30a b  + 60a b - 30a
+--R      *
+--R          +---------+ +-+
+--R         \|- b x + a \|x
+--R     + 
+--R            5                4        2        3         3     2  2  3
+--R       (200b  + (- 500a - 8)b  + (375a  + 12a)b  + (- 75a  - 3a )b )x
+--R     + 
+--R                4         2        3          3      2  2        4     3    2
+--R       (- 400a b  + (1000a  + 16a)b  + (- 750a  - 24a )b  + (150a  + 6a )b)x
+--R     + 
+--R            2 3          3     2  2        4      3        5     4
+--R       (200a b  + (- 500a  - 8a )b  + (375a  + 12a )b - 75a  - 3a )x
+--R  /
+--R           3 4      4 3      5 2  3         4 3      5 2      6   2
+--R       (15a b  - 30a b  + 15a b )x  + (- 30a b  + 60a b  - 30a b)x
+--R     + 
+--R           5 2      6       7
+--R       (15a b  - 30a b + 15a )x
+--R                                         Type: Union(Expression(Integer),...)
+--E 3113
+
+--S 3114 of 3330 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R            3                2        2              3     2
+--R        200b  + (- 500a - 8)b  + (375a  + 12a)b - 75a  - 3a
+--R   (4)  ----------------------------------------------------
+--R                           3 2      4       5
+--R                        15a b  - 30a b + 15a
+--R                                                    Type: Expression(Integer)
+--E 3114
+
+--S 3115 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 3115
+
+)clear all
+
+--S 3116 of 3330
+t0000:=1/(x^(5/2)*(a-b*x)^(5/2))
+--R 
+--R
+--R                           1
+--R   (1)  ---------------------------------------
+--R          2 4         3    2 2  +---------+ +-+
+--R        (b x  - 2a b x  + a x )\|- b x + a \|x
+--R                                                    Type: Expression(Integer)
+--E 3116
+
+--S 3117 of 3330
+r0000:=2/3/(a*x^(3/2)*(a-b*x)^(3/2))+4/(a^2*x^(3/2)*sqrt(a-b*x))-_
+     16/3*sqrt(a-b*x)/(a^3*x^(3/2))-32/3*b*sqrt(a-b*x)/(a^4*sqrt(x))
+--R 
+--R
+--R           3 3        2 2      2        3
+--R        32b x  - 48a b x  + 12a b x + 2a
+--R   (2)  ---------------------------------
+--R            4   2     5   +---------+ +-+
+--R         (3a b x  - 3a x)\|- b x + a \|x
+--R                                                    Type: Expression(Integer)
+--E 3117
+
+--S 3118 of 3330 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                 5        4      2 3  3         4      2 3      3 2  2
+--R           (- 32b  + 64a b  - 32a b )x  + (48a b  - 96a b  + 48a b )x
+--R         + 
+--R                 2 3      3 2      4        3 2     4      5
+--R           (- 12a b  + 24a b  - 12a b)x - 2a b  + 4a b - 2a
+--R      *
+--R          +---------+ +-+
+--R         \|- b x + a \|x
+--R     + 
+--R              6                5       2        4        3     2  3
+--R           16b  + (- 40a - 16)b  + (30a  + 24a)b  + (- 5a  - 6a )b
+--R         + 
+--R               4    3  2
+--R           (- a  - a )b
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                  5       2        4         3      2  3       4      3  2
+--R           - 32a b  + (80a  + 32a)b  + (- 60a  - 48a )b  + (10a  + 12a )b
+--R         + 
+--R              5     4
+--R           (2a  + 2a )b
+--R      *
+--R          3
+--R         x
+--R     + 
+--R         2 4         3      2  3       4      3  2        5     4      6    5  2
+--R     (16a b  + (- 40a  - 16a )b  + (30a  + 24a )b  + (- 5a  - 6a )b - a  - a )x
+--R  /
+--R          4 4     5 3     6 2  4        5 3      6 2     7   3
+--R       (3a b  - 6a b  + 3a b )x  + (- 6a b  + 12a b  - 6a b)x
+--R     + 
+--R          6 2     7      8  2
+--R       (3a b  - 6a b + 3a )x
+--R                                         Type: Union(Expression(Integer),...)
+--E 3118
+
+--S 3119 of 3330 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R           4                3       2        2        3     2      4    3
+--R        16b  + (- 40a - 16)b  + (30a  + 24a)b  + (- 5a  - 6a )b - a  - a
+--R   (4)  -----------------------------------------------------------------
+--R                                  4 2     5      6
+--R                                3a b  - 6a b + 3a
+--R                                                    Type: Expression(Integer)
+--E 3119
+
+--S 3120 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 3120
+
+)clear all
+
+--S 3121 of 3330
+t0000:=x^(5/2)/sqrt(2+b*x)
+--R 
+--R
+--R           2 +-+
+--R          x \|x
+--R   (1)  ----------
+--R         +-------+
+--R        \|b x + 2
+--R                                                    Type: Expression(Integer)
+--E 3121
+
+--S 3122 of 3330
+r0000:=-5*asinh(sqrt(b)*sqrt(x)/sqrt(2))/b^(7/2)-_
+     5/6*x^(3/2)*sqrt(2+b*x)/b^2+1/3*x^(5/2)*sqrt(2+b*x)/b+_
+     5/2*sqrt(x)*sqrt(2+b*x)/b^3
+--R 
+--R
+--R                   +-+ +-+
+--R                  \|b \|x        2 2              +-+ +-+ +-------+
+--R        - 30asinh(--------) + (2b x  - 5b x + 15)\|b \|x \|b x + 2
+--R                     +-+
+--R                    \|2
+--R   (2)  -----------------------------------------------------------
+--R                                    3 +-+
+--R                                  6b \|b
+--R                                                    Type: Expression(Integer)
+--E 3122
+
+--S 3123 of 3330
+--a0000:=integrate(t0000,x)
+--E 3123
+
+--S 3124 of 3330
+--m0000:=a0000 - r0000
+--E 3124
+
+--S 3125 of 3330
+--d0000:=D(m0000,x)
+--E 3125
+
+)clear all
+
+--S 3126 of 3330
+t0000:=x^(3/2)/sqrt(2+b*x)
+--R 
+--R
+--R             +-+
+--R           x\|x
+--R   (1)  ----------
+--R         +-------+
+--R        \|b x + 2
+--R                                                    Type: Expression(Integer)
+--E 3126
+
+--S 3127 of 3330
+r0000:=3*asinh(sqrt(b)*sqrt(x)/sqrt(2))/b^(5/2)+_
+     1/2*x^(3/2)*sqrt(2+b*x)/b-3/2*sqrt(x)*sqrt(2+b*x)/b^2
+--R 
+--R
+--R                +-+ +-+
+--R               \|b \|x               +-+ +-+ +-------+
+--R        6asinh(--------) + (b x - 3)\|b \|x \|b x + 2
+--R                  +-+
+--R                 \|2
+--R   (2)  ----------------------------------------------
+--R                              2 +-+
+--R                            2b \|b
+--R                                                    Type: Expression(Integer)
+--E 3127
+
+--S 3128 of 3330
+--a0000:=integrate(t0000,x)
+--E 3128
+
+--S 3129 of 3330
+--m0000:=a0000 - r0000
+--E 3129
+
+--S 3130 of 3330
+--d0000:=D(m0000,x)
+--E 3130
+
+)clear all
+
+--S 3131 of 3330
+t0000:=sqrt(x)/sqrt(2+b*x)
+--R 
+--R
+--R            +-+
+--R           \|x
+--R   (1)  ----------
+--R         +-------+
+--R        \|b x + 2
+--R                                                    Type: Expression(Integer)
+--E 3131
+
+--S 3132 of 3330
+r0000:=-2*asinh(sqrt(b)*sqrt(x)/sqrt(2))/b^(3/2)+sqrt(x)*sqrt(2+b*x)/b
+--R 
+--R
+--R                  +-+ +-+
+--R                 \|b \|x      +-+ +-+ +-------+
+--R        - 2asinh(--------) + \|b \|x \|b x + 2
+--R                    +-+
+--R                   \|2
+--R   (2)  ---------------------------------------
+--R                           +-+
+--R                         b\|b
+--R                                                    Type: Expression(Integer)
+--E 3132
+
+--S 3133 of 3330
+--a0000:=integrate(t0000,x)
+--E 3133
+
+--S 3134 of 3330
+--m0000:=a0000 - r0000
+--E 3134
+
+--S 3135 of 3330
+--d0000:=D(m0000,x)
+--E 3135
+
+)clear all
+
+--S 3136 of 3330
+t0000:=1/(sqrt(x)*sqrt(2+b*x))
+--R 
+--R
+--R               1
+--R   (1)  --------------
+--R         +-+ +-------+
+--R        \|x \|b x + 2
+--R                                                    Type: Expression(Integer)
+--E 3136
+
+--S 3137 of 3330
+r0000:=2*asinh(sqrt(b)*sqrt(x)/sqrt(2))/sqrt(b)
+--R 
+--R
+--R                +-+ +-+
+--R               \|b \|x
+--R        2asinh(--------)
+--R                  +-+
+--R                 \|2
+--R   (2)  ----------------
+--R               +-+
+--R              \|b
+--R                                                    Type: Expression(Integer)
+--E 3137
+
+--S 3138 of 3330
+--a0000:=integrate(t0000,x)
+--E 3138
+
+--S 3139 of 3330
+--m0000:=a0000 - r0000
+--E 3139
+
+--S 3140 of 3330
+--d0000:=D(m0000,x)
+--E 3140
+
+)clear all
+
+--S 3141 of 3330
+t0000:=1/(x^(3/2)*sqrt(2+b*x))
+--R 
+--R
+--R               1
+--R   (1)  ---------------
+--R          +-+ +-------+
+--R        x\|x \|b x + 2
+--R                                                    Type: Expression(Integer)
+--E 3141
+
+--S 3142 of 3330
+r0000:=-sqrt(2+b*x)/sqrt(x)
+--R 
+--R
+--R           +-------+
+--R          \|b x + 2
+--R   (2)  - ----------
+--R              +-+
+--R             \|x
+--R                                                    Type: Expression(Integer)
+--E 3142
+
+--S 3143 of 3330 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R            +-+ +-------+
+--R        - 4\|x \|b x + 2  + (b + 6)x
+--R   (3)  ----------------------------
+--R                     4x
+--R                                         Type: Union(Expression(Integer),...)
+--E 3143
+
+--S 3144 of 3330 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R        b + 6
+--R   (4)  -----
+--R          4
+--R                                                    Type: Expression(Integer)
+--E 3144
+
+--S 3145 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 3145
+
+)clear all
+
+--S 3146 of 3330
+t0000:=1/(x^(5/2)*sqrt(2+b*x))
+--R 
+--R
+--R                1
+--R   (1)  ----------------
+--R         2 +-+ +-------+
+--R        x \|x \|b x + 2
+--R                                                    Type: Expression(Integer)
+--E 3146
+
+--S 3147 of 3330
+r0000:=-1/3*sqrt(2+b*x)/x^(3/2)+1/3*b*sqrt(2+b*x)/sqrt(x)
+--R 
+--R
+--R                  +-------+
+--R        (b x - 1)\|b x + 2
+--R   (2)  -------------------
+--R                  +-+
+--R               3x\|x
+--R                                                    Type: Expression(Integer)
+--E 3147
+
+--S 3148 of 3330 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                   +-+ +-------+       2           2
+--R        (4b x - 4)\|x \|b x + 2  + (- b  - 5b + 6)x
+--R   (3)  --------------------------------------------
+--R                               2
+--R                            12x
+--R                                         Type: Union(Expression(Integer),...)
+--E 3148
+
+--S 3149 of 3330 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R           2
+--R        - b  - 5b + 6
+--R   (4)  -------------
+--R              12
+--R                                                    Type: Expression(Integer)
+--E 3149
+
+--S 3150 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 3150
+
+)clear all
+
+--S 3151 of 3330
+t0000:=1/(x^(7/2)*sqrt(2+b*x))
+--R 
+--R
+--R                1
+--R   (1)  ----------------
+--R         3 +-+ +-------+
+--R        x \|x \|b x + 2
+--R                                                    Type: Expression(Integer)
+--E 3151
+
+--S 3152 of 3330
+r0000:=-1/5*sqrt(2+b*x)/x^(5/2)+2/15*b*sqrt(2+b*x)/x^(3/2)-_
+     2/15*b^2*sqrt(2+b*x)/sqrt(x)
+--R 
+--R
+--R             2 2             +-------+
+--R        (- 2b x  + 2b x - 3)\|b x + 2
+--R   (2)  ------------------------------
+--R                      2 +-+
+--R                   15x \|x
+--R                                                    Type: Expression(Integer)
+--E 3152
+
+--S 3153 of 3330 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R             2 2             +-+ +-------+        3     2           3
+--R        (- 4b x  + 4b x - 6)\|x \|b x + 2  + (- 2b  - 4b  + 3b - 9)x
+--R   (3)  -------------------------------------------------------------
+--R                                        3
+--R                                     30x
+--R                                         Type: Union(Expression(Integer),...)
+--E 3153
+
+--S 3154 of 3330 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R            3     2
+--R        - 2b  - 4b  + 3b - 9
+--R   (4)  --------------------
+--R                 30
+--R                                                    Type: Expression(Integer)
+--E 3154
+
+--S 3155 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 3155
+
+)clear all
+
+--S 3156 of 3330
+t0000:=1/(x^(9/2)*sqrt(2+b*x))
+--R 
+--R
+--R                1
+--R   (1)  ----------------
+--R         4 +-+ +-------+
+--R        x \|x \|b x + 2
+--R                                                    Type: Expression(Integer)
+--E 3156
+
+--S 3157 of 3330
+r0000:=-1/7*sqrt(2+b*x)/x^(7/2)+3/35*b*sqrt(2+b*x)/x^(5/2)-_
+     2/35*b^2*sqrt(2+b*x)/x^(3/2)+2/35*b^3*sqrt(2+b*x)/sqrt(x)
+--R 
+--R
+--R           3 3     2 2             +-------+
+--R        (2b x  - 2b x  + 3b x - 5)\|b x + 2
+--R   (2)  ------------------------------------
+--R                         3 +-+
+--R                      35x \|x
+--R                                                    Type: Expression(Integer)
+--E 3157
+
+--S 3158 of 3330 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R      3 3     2 2              +-+ +-------+      4     3     2            4
+--R   (4b x  - 4b x  + 6b x - 10)\|x \|b x + 2  + (2b  + 4b  - 3b  + 4b - 15)x
+--R   -------------------------------------------------------------------------
+--R                                         4
+--R                                      70x
+--R                                         Type: Union(Expression(Integer),...)
+--E 3158
+
+--S 3159 of 3330 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R          4     3     2
+--R        2b  + 4b  - 3b  + 4b - 15
+--R   (4)  -------------------------
+--R                    70
+--R                                                    Type: Expression(Integer)
+--E 3159
+
+--S 3160 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 3160
+
+)clear all
+
+--S 3161 of 3330
+t0000:=x^(5/2)/(2+b*x)^(3/2)
+--R 
+--R
+--R                2 +-+
+--R               x \|x
+--R   (1)  -------------------
+--R                  +-------+
+--R        (b x + 2)\|b x + 2
+--R                                                    Type: Expression(Integer)
+--E 3161
+
+--S 3162 of 3330
+r0000:=15*asinh(sqrt(b)*sqrt(x)/sqrt(2))/b^(7/2)-_
+     2*x^(5/2)/(b*sqrt(2+b*x))+5/2*x^(3/2)*sqrt(2+b*x)/b^2-_
+     15/2*sqrt(x)*sqrt(2+b*x)/b^3
+--R 
+--R
+--R                           +-+ +-+
+--R           +-------+      \|b \|x       2 2              +-+ +-+
+--R        30\|b x + 2 asinh(--------) + (b x  - 5b x - 30)\|b \|x
+--R                             +-+
+--R                            \|2
+--R   (2)  --------------------------------------------------------
+--R                              3 +-+ +-------+
+--R                            2b \|b \|b x + 2
+--R                                                    Type: Expression(Integer)
+--E 3162
+
+--S 3163 of 3330
+--a0000:=integrate(t0000,x)
+--E 3163
+
+--S 3164 of 3330
+--m0000:=a0000 - r0000
+--E 3164
+
+--S 3165 of 3330
+--d0000:=D(m0000,x)
+--E 3165
+
+)clear all
+
+--S 3166 of 3330
+t0000:=x^(3/2)/(2+b*x)^(3/2)
+--R 
+--R
+--R                 +-+
+--R               x\|x
+--R   (1)  -------------------
+--R                  +-------+
+--R        (b x + 2)\|b x + 2
+--R                                                    Type: Expression(Integer)
+--E 3166
+
+--S 3167 of 3330
+r0000:=-6*asinh(sqrt(b)*sqrt(x)/sqrt(2))/b^(5/2)-_
+     2*x^(3/2)/(b*sqrt(2+b*x))+3*sqrt(x)*sqrt(2+b*x)/b^2
+--R 
+--R
+--R                            +-+ +-+
+--R            +-------+      \|b \|x               +-+ +-+
+--R        - 6\|b x + 2 asinh(--------) + (b x + 6)\|b \|x
+--R                              +-+
+--R                             \|2
+--R   (2)  ------------------------------------------------
+--R                         2 +-+ +-------+
+--R                        b \|b \|b x + 2
+--R                                                    Type: Expression(Integer)
+--E 3167
+
+--S 3168 of 3330
+--a0000:=integrate(t0000,x)
+--E 3168
+
+--S 3169 of 3330
+--m0000:=a0000 - r0000
+--E 3169
+
+--S 3170 of 3330
+--d0000:=D(m0000,x)
+--E 3170
+
+)clear all
+
+--S 3171 of 3330
+t0000:=sqrt(x)/(2+b*x)^(3/2)
+--R 
+--R
+--R                 +-+
+--R                \|x
+--R   (1)  -------------------
+--R                  +-------+
+--R        (b x + 2)\|b x + 2
+--R                                                    Type: Expression(Integer)
+--E 3171
+
+--S 3172 of 3330
+r0000:=2*asinh(sqrt(b)*sqrt(x)/sqrt(2))/b^(3/2)-2*sqrt(x)/(b*sqrt(2+b*x))
+--R 
+--R
+--R                          +-+ +-+
+--R          +-------+      \|b \|x       +-+ +-+
+--R        2\|b x + 2 asinh(--------) - 2\|b \|x
+--R                            +-+
+--R                           \|2
+--R   (2)  --------------------------------------
+--R                      +-+ +-------+
+--R                    b\|b \|b x + 2
+--R                                                    Type: Expression(Integer)
+--E 3172
+
+--S 3173 of 3330
+--a0000:=integrate(t0000,x)
+--E 3173
+
+--S 3174 of 3330
+--m0000:=a0000 - r0000
+--E 3174
+
+--S 3175 of 3330
+--d0000:=D(m0000,x)
+--E 3175
+
+)clear all
+
+--S 3176 of 3330
+t0000:=1/((2+b*x)^(3/2)*sqrt(x))
+--R 
+--R
+--R                   1
+--R   (1)  -----------------------
+--R                  +-+ +-------+
+--R        (b x + 2)\|x \|b x + 2
+--R                                                    Type: Expression(Integer)
+--E 3176
+
+--S 3177 of 3330
+r0000:=sqrt(x)/sqrt(2+b*x)
+--R 
+--R
+--R            +-+
+--R           \|x
+--R   (2)  ----------
+--R         +-------+
+--R        \|b x + 2
+--R                                                    Type: Expression(Integer)
+--E 3177
+
+--S 3178 of 3330 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                   +-+ +-------+     2
+--R        (10b + 20)\|x \|b x + 2  + (b  + 27b)x + 2b + 54
+--R   (3)  ------------------------------------------------
+--R                        2
+--R                    (10b  + 20b)x + 20b + 40
+--R                                         Type: Union(Expression(Integer),...)
+--E 3178
+
+--S 3179 of 3330 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R         b + 27
+--R   (4)  --------
+--R        10b + 20
+--R                                                    Type: Expression(Integer)
+--E 3179
+
+--S 3180 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 3180
+
+)clear all
+
+--S 3181 of 3330
+t0000:=1/(x^(3/2)*(2+b*x)^(3/2))
+--R 
+--R
+--R                    1
+--R   (1)  -------------------------
+--R            2       +-+ +-------+
+--R        (b x  + 2x)\|x \|b x + 2
+--R                                                    Type: Expression(Integer)
+--E 3181
+
+--S 3182 of 3330
+r0000:=1/(sqrt(x)*sqrt(2+b*x))-sqrt(2+b*x)/sqrt(x)
+--R 
+--R
+--R           - b x - 1
+--R   (2)  --------------
+--R         +-+ +-------+
+--R        \|x \|b x + 2
+--R                                                    Type: Expression(Integer)
+--E 3182
+
+--S 3183 of 3330 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R             2                    +-+ +-------+       3      2        2
+--R       ((- 8b  - 16b)x - 8b - 16)\|x \|b x + 2  + (- b  - 19b  - 18b)x
+--R     + 
+--R            2
+--R       (- 2b  - 38b - 36)x
+--R  /
+--R        2        2
+--R     (8b  + 16b)x  + (16b + 32)x
+--R                                         Type: Union(Expression(Integer),...)
+--E 3183
+
+--S 3184 of 3330 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R           2
+--R        - b  - 19b - 18
+--R   (4)  ---------------
+--R            8b + 16
+--R                                                    Type: Expression(Integer)
+--E 3184
+
+--S 3185 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 3185
+
+)clear all
+
+--S 3186 of 3330
+t0000:=1/(x^(5/2)*(2+b*x)^(3/2))
+--R 
+--R
+--R                     1
+--R   (1)  --------------------------
+--R            3     2  +-+ +-------+
+--R        (b x  + 2x )\|x \|b x + 2
+--R                                                    Type: Expression(Integer)
+--E 3186
+
+--S 3187 of 3330
+r0000:=1/(x^(3/2)*sqrt(2+b*x))-2/3*sqrt(2+b*x)/x^(3/2)+_
+     2/3*b*sqrt(2+b*x)/sqrt(x)
+--R 
+--R
+--R          2 2
+--R        2b x  + 2b x - 1
+--R   (2)  ----------------
+--R           +-+ +-------+
+--R        3x\|x \|b x + 2
+--R                                                    Type: Expression(Integer)
+--E 3187
+
+--S 3188 of 3330 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R            3      2  2       2                    +-+ +-------+
+--R       ((16b  + 32b )x  + (16b  + 32b)x - 8b - 16)\|x \|b x + 2
+--R     + 
+--R          4      3      2        3      3      2             2
+--R       (2b  + 38b  + 35b  - 18b)x  + (4b  + 76b  + 70b - 36)x
+--R  /
+--R         2        3              2
+--R     (24b  + 48b)x  + (48b + 96)x
+--R                                         Type: Union(Expression(Integer),...)
+--E 3188
+
+--S 3189 of 3330 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R          3      2
+--R        2b  + 38b  + 35b - 18
+--R   (4)  ---------------------
+--R               24b + 48
+--R                                                    Type: Expression(Integer)
+--E 3189
+
+--S 3190 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 3190
+
+)clear all
+
+--S 3191 of 3330
+t0000:=1/(x^(7/2)*(2+b*x)^(3/2))
+--R 
+--R
+--R                     1
+--R   (1)  --------------------------
+--R            4     3  +-+ +-------+
+--R        (b x  + 2x )\|x \|b x + 2
+--R                                                    Type: Expression(Integer)
+--E 3191
+
+--S 3192 of 3330
+r0000:=1/(x^(5/2)*sqrt(2+b*x))-3/5*sqrt(2+b*x)/x^(5/2)+_
+     2/5*b*sqrt(2+b*x)/x^(3/2)-2/5*b^2*sqrt(2+b*x)/sqrt(x)
+--R 
+--R
+--R            3 3     2 2
+--R        - 2b x  - 2b x  + b x - 1
+--R   (2)  -------------------------
+--R              2 +-+ +-------+
+--R            5x \|x \|b x + 2
+--R                                                    Type: Expression(Integer)
+--E 3192
+
+--S 3193 of 3330 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R               4      3  3        3      2  2      2                  +-+
+--R         ((- 8b  - 16b )x  + (- 8b  - 16b )x  + (4b  + 8b)x - 4b - 8)\|x
+--R      *
+--R          +-------+
+--R         \|b x + 2
+--R     + 
+--R          5      4      3     2       4      4      3      2             3
+--R       (2b  + 14b  + 11b  - 5b  + 6b)x  + (4b  + 28b  + 22b  - 10b + 12)x
+--R  /
+--R         2        4              3
+--R     (20b  + 40b)x  + (40b + 80)x
+--R                                         Type: Union(Expression(Integer),...)
+--E 3193
+
+--S 3194 of 3330 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R          4      3      2
+--R        2b  + 14b  + 11b  - 5b + 6
+--R   (4)  --------------------------
+--R                 20b + 40
+--R                                                    Type: Expression(Integer)
+--E 3194
+
+--S 3195 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 3195
+
+)clear all
+
+--S 3196 of 3330
+t0000:=x^(5/2)/(2+b*x)^(5/2)
+--R 
+--R
+--R                    2 +-+
+--R                   x \|x
+--R   (1)  ---------------------------
+--R          2 2             +-------+
+--R        (b x  + 4b x + 4)\|b x + 2
+--R                                                    Type: Expression(Integer)
+--E 3196
+
+--S 3197 of 3330
+r0000:=-2/3*x^(5/2)/(b*(2+b*x)^(3/2))-_
+     10*asinh(sqrt(b)*sqrt(x)/sqrt(2))/b^(7/2)-_
+     10/3*x^(3/2)/(b^2*sqrt(2+b*x))+5*sqrt(x)*sqrt(2+b*x)/b^3
+--R 
+--R
+--R                                       +-+ +-+
+--R                       +-------+      \|b \|x        2 2               +-+ +-+
+--R        (- 30b x - 60)\|b x + 2 asinh(--------) + (3b x  + 40b x + 60)\|b \|x
+--R                                         +-+
+--R                                        \|2
+--R   (2)  ----------------------------------------------------------------------
+--R                                 4      3  +-+ +-------+
+--R                              (3b x + 6b )\|b \|b x + 2
+--R                                                    Type: Expression(Integer)
+--E 3197
+
+--S 3198 of 3330
+--a0000:=integrate(t0000,x)
+--E 3198
+
+--S 3199 of 3330
+--m0000:=a0000 - r0000
+--E 3199
+
+--S 3200 of 3330
+--d0000:=D(m0000,x)
+--E 3200
+
+)clear all
+
+--S 3201 of 3330
+t0000:=x^(3/2)/(2+b*x)^(5/2)
+--R 
+--R
+--R                     +-+
+--R                   x\|x
+--R   (1)  ---------------------------
+--R          2 2             +-------+
+--R        (b x  + 4b x + 4)\|b x + 2
+--R                                                    Type: Expression(Integer)
+--E 3201
+
+--S 3202 of 3330
+r0000:=-2/3*x^(3/2)/(b*(2+b*x)^(3/2))+_
+     2*asinh(sqrt(b)*sqrt(x)/sqrt(2))/b^(5/2)-2*sqrt(x)/(b^2*sqrt(2+b*x))
+--R 
+--R
+--R                                    +-+ +-+
+--R                    +-------+      \|b \|x                   +-+ +-+
+--R        (6b x + 12)\|b x + 2 asinh(--------) + (- 8b x - 12)\|b \|x
+--R                                      +-+
+--R                                     \|2
+--R   (2)  ------------------------------------------------------------
+--R                            3      2  +-+ +-------+
+--R                         (3b x + 6b )\|b \|b x + 2
+--R                                                    Type: Expression(Integer)
+--E 3202
+
+--S 3203 of 3330
+--a0000:=integrate(t0000,x)
+--E 3203
+
+--S 3204 of 3330
+--m0000:=a0000 - r0000
+--E 3204
+
+--S 3205 of 3330
+--d0000:=D(m0000,x)
+--E 3205
+
+)clear all
+
+--S 3206 of 3330
+t0000:=sqrt(x)/(2+b*x)^(5/2)
+--R 
+--R
+--R                     +-+
+--R                    \|x
+--R   (1)  ---------------------------
+--R          2 2             +-------+
+--R        (b x  + 4b x + 4)\|b x + 2
+--R                                                    Type: Expression(Integer)
+--E 3206
+
+--S 3207 of 3330
+r0000:=1/3*x^(3/2)/(2+b*x)^(3/2)
+--R 
+--R
+--R                  +-+
+--R                x\|x
+--R   (2)  --------------------
+--R                   +-------+
+--R        (3b x + 6)\|b x + 2
+--R                                                    Type: Expression(Integer)
+--E 3207
+
+--S 3208 of 3330 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R      2              +-+ +-------+     3      2  2      2
+--R   (8b  + 32b + 32)x\|x \|b x + 2  + (b  + 18b )x  + (4b  + 72b)x + 4b + 72
+--R   ------------------------------------------------------------------------
+--R          4      3      2  2       3       2               2
+--R      (24b  + 96b  + 96b )x  + (96b  + 384b  + 384b)x + 96b  + 384b + 384
+--R                                         Type: Union(Expression(Integer),...)
+--E 3208
+
+--S 3209 of 3330 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R             b + 18
+--R   (4)  ---------------
+--R           2
+--R        24b  + 96b + 96
+--R                                                    Type: Expression(Integer)
+--E 3209
+
+--S 3210 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 3210
+
+)clear all
+
+--S 3211 of 3330
+t0000:=1/((2+b*x)^(5/2)*sqrt(x))
+--R 
+--R
+--R                       1
+--R   (1)  -------------------------------
+--R          2 2             +-+ +-------+
+--R        (b x  + 4b x + 4)\|x \|b x + 2
+--R                                                    Type: Expression(Integer)
+--E 3211
+
+--S 3212 of 3330
+r0000:=1/3*sqrt(x)/(2+b*x)^(3/2)+1/3*sqrt(x)/sqrt(2+b*x)
+--R 
+--R
+--R                      +-+
+--R            (b x + 3)\|x
+--R   (2)  --------------------
+--R                   +-------+
+--R        (3b x + 6)\|b x + 2
+--R                                                    Type: Expression(Integer)
+--E 3212
+
+--S 3213 of 3330 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R           3      2              2             +-+ +-------+
+--R       ((6b  + 24b  + 24b)x + 18b  + 72b + 72)\|x \|b x + 2
+--R     + 
+--R         4      3      2  2      3      2              2
+--R       (b  + 14b  + 33b )x  + (4b  + 56b  + 132b)x + 4b  + 56b + 132
+--R  /
+--R         4      3      2  2       3       2               2
+--R     (18b  + 72b  + 72b )x  + (72b  + 288b  + 288b)x + 72b  + 288b + 288
+--R                                         Type: Union(Expression(Integer),...)
+--E 3213
+
+--S 3214 of 3330 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R          2
+--R         b  + 14b + 33
+--R   (4)  ---------------
+--R           2
+--R        18b  + 72b + 72
+--R                                                    Type: Expression(Integer)
+--E 3214
+
+--S 3215 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 3215
+
+)clear all
+
+--S 3216 of 3330
+t0000:=1/(x^(3/2)*(2+b*x)^(5/2))
+--R 
+--R
+--R                        1
+--R   (1)  ---------------------------------
+--R          2 3       2       +-+ +-------+
+--R        (b x  + 4b x  + 4x)\|x \|b x + 2
+--R                                                    Type: Expression(Integer)
+--E 3216
+
+--S 3217 of 3330
+r0000:=1/3/((2+b*x)^(3/2)*sqrt(x))+2/3/(sqrt(x)*sqrt(2+b*x))-_
+     2/3*sqrt(2+b*x)/sqrt(x)
+--R 
+--R
+--R               2 2
+--R           - 2b x  - 6b x - 3
+--R   (2)  ------------------------
+--R                   +-+ +-------+
+--R        (3b x + 6)\|x \|b x + 2
+--R                                                    Type: Expression(Integer)
+--E 3217
+
+--S 3218 of 3330 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                   4      3      2  2         3       2               2
+--R             (- 20b  - 80b  - 80b )x  + (- 60b  - 240b  - 240b)x - 30b  - 120b
+--R           + 
+--R             - 120
+--R      *
+--R          +-+ +-------+
+--R         \|x \|b x + 2
+--R     + 
+--R            5      4       3      2  3        4       3       2         2
+--R       (- 2b  - 60b  - 165b  - 81b )x  + (- 8b  - 240b  - 660b  - 324b)x
+--R     + 
+--R            3       2
+--R       (- 8b  - 240b  - 660b - 324)x
+--R  /
+--R         4       3       2  3        3       2         2        2
+--R     (30b  + 120b  + 120b )x  + (120b  + 480b  + 480b)x  + (120b  + 480b + 480)x
+--R                                         Type: Union(Expression(Integer),...)
+--E 3218
+
+--S 3219 of 3330 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R            3      2
+--R        - 2b  - 60b  - 165b - 81
+--R   (4)  ------------------------
+--R               2
+--R            30b  + 120b + 120
+--R                                                    Type: Expression(Integer)
+--E 3219
+
+--S 3220 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 3220
+
+)clear all
+
+--S 3221 of 3330
+t0000:=1/(x^(5/2)*(2+b*x)^(5/2))
+--R 
+--R
+--R                         1
+--R   (1)  ----------------------------------
+--R          2 4       3     2  +-+ +-------+
+--R        (b x  + 4b x  + 4x )\|x \|b x + 2
+--R                                                    Type: Expression(Integer)
+--E 3221
+
+--S 3222 of 3330
+r0000:=1/3/(x^(3/2)*(2+b*x)^(3/2))+1/(x^(3/2)*sqrt(2+b*x))-_
+     2/3*sqrt(2+b*x)/x^(3/2)+2/3*b*sqrt(2+b*x)/sqrt(x)
+--R 
+--R
+--R           3 3     2 2
+--R         2b x  + 6b x  + 3b x - 1
+--R   (2)  --------------------------
+--R             2       +-+ +-------+
+--R        (3b x  + 6x)\|x \|b x + 2
+--R                                                    Type: Expression(Integer)
+--E 3222
+
+--S 3223 of 3330 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R              5      4      3  3       4      3      2  2      3      2
+--R           (4b  + 16b  + 16b )x  + (12b  + 48b  + 48b )x  + (6b  + 24b  + 24b)x
+--R         + 
+--R               2
+--R           - 2b  - 8b - 8
+--R      *
+--R          +-+ +-------+
+--R         \|x \|b x + 2
+--R     + 
+--R          6      5      4     3     2  4      5      4      3      2        3
+--R       (2b  + 12b  + 21b  + 8b  - 3b )x  + (8b  + 48b  + 84b  + 32b  - 12b)x
+--R     + 
+--R          4      3      2             2
+--R       (8b  + 48b  + 84b  + 32b - 12)x
+--R  /
+--R        4      3      2  4       3      2        3       2             2
+--R     (6b  + 24b  + 24b )x  + (24b  + 96b  + 96b)x  + (24b  + 96b + 96)x
+--R                                         Type: Union(Expression(Integer),...)
+--E 3223
+
+--S 3224 of 3330 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R          4      3      2
+--R        2b  + 12b  + 21b  + 8b - 3
+--R   (4)  --------------------------
+--R                2
+--R              6b  + 24b + 24
+--R                                                    Type: Expression(Integer)
+--E 3224
+
+--S 3225 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 3225
+
+)clear all
+
+--S 3226 of 3330
+t0000:=x^(5/2)/sqrt(2-b*x)
+--R 
+--R
+--R            2 +-+
+--R           x \|x
+--R   (1)  ------------
+--R         +---------+
+--R        \|- b x + 2
+--R                                                    Type: Expression(Integer)
+--E 3226
+
+--S 3227 of 3330
+r0000:=5*asin(sqrt(b)*sqrt(x)/sqrt(2))/b^(7/2)-_
+     5/6*x^(3/2)*sqrt(2-b*x)/b^2-1/3*x^(5/2)*sqrt(2-b*x)/b-_
+     5/2*sqrt(x)*sqrt(2-b*x)/b^3
+--R 
+--R
+--R                +-+ +-+
+--R               \|b \|x          2 2              +---------+ +-+ +-+
+--R        30asin(--------) + (- 2b x  - 5b x - 15)\|- b x + 2 \|b \|x
+--R                  +-+
+--R                 \|2
+--R   (2)  ------------------------------------------------------------
+--R                                     3 +-+
+--R                                   6b \|b
+--R                                                    Type: Expression(Integer)
+--E 3227
+
+--S 3228 of 3330
+--a0000:=integrate(t0000,x)
+--E 3228
+
+--S 3229 of 3330
+--m0000:=a0000 - r0000
+--E 3229
+
+--S 3230 of 3330
+--d0000:=D(m0000,x)
+--E 3230
+
+)clear all
+
+--S 3231 of 3330
+t0000:=x^(3/2)/sqrt(2-b*x)
+--R 
+--R
+--R              +-+
+--R            x\|x
+--R   (1)  ------------
+--R         +---------+
+--R        \|- b x + 2
+--R                                                    Type: Expression(Integer)
+--E 3231
+
+--S 3232 of 3330
+r0000:=3*asin(sqrt(b)*sqrt(x)/sqrt(2))/b^(5/2)-_
+     1/2*x^(3/2)*sqrt(2-b*x)/b-3/2*sqrt(x)*sqrt(2-b*x)/b^2
+--R 
+--R
+--R               +-+ +-+
+--R              \|b \|x                 +---------+ +-+ +-+
+--R        6asin(--------) + (- b x - 3)\|- b x + 2 \|b \|x
+--R                 +-+
+--R                \|2
+--R   (2)  -------------------------------------------------
+--R                               2 +-+
+--R                             2b \|b
+--R                                                    Type: Expression(Integer)
+--E 3232
+
+--S 3233 of 3330
+--a0000:=integrate(t0000,x)
+--E 3233
+
+--S 3234 of 3330
+--m0000:=a0000 - r0000
+--E 3234
+
+--S 3235 of 3330
+--d0000:=D(m0000,x)
+--E 3235
+
+)clear all
+
+--S 3236 of 3330
+t0000:=sqrt(x)/sqrt(2-b*x)
+--R 
+--R
+--R             +-+
+--R            \|x
+--R   (1)  ------------
+--R         +---------+
+--R        \|- b x + 2
+--R                                                    Type: Expression(Integer)
+--E 3236
+
+--S 3237 of 3330
+r0000:=2*asin(sqrt(b)*sqrt(x)/sqrt(2))/b^(3/2)-sqrt(x)*sqrt(2-b*x)/b
+--R 
+--R
+--R               +-+ +-+
+--R              \|b \|x      +---------+ +-+ +-+
+--R        2asin(--------) - \|- b x + 2 \|b \|x
+--R                 +-+
+--R                \|2
+--R   (2)  --------------------------------------
+--R                           +-+
+--R                         b\|b
+--R                                                    Type: Expression(Integer)
+--E 3237
+
+--S 3238 of 3330
+--a0000:=integrate(t0000,x)
+--E 3238
+
+--S 3239 of 3330
+--m0000:=a0000 - r0000
+--E 3239
+
+--S 3240 of 3330
+--d0000:=D(m0000,x)
+--E 3240
+
+)clear all
+
+--S 3241 of 3330
+t0000:=1/(sqrt(x)*sqrt(2-b*x))
+--R 
+--R
+--R                1
+--R   (1)  ----------------
+--R         +---------+ +-+
+--R        \|- b x + 2 \|x
+--R                                                    Type: Expression(Integer)
+--E 3241
+
+--S 3242 of 3330
+r0000:=2*asin(sqrt(b)*sqrt(x)/sqrt(2))/sqrt(b)
+--R 
+--R
+--R               +-+ +-+
+--R              \|b \|x
+--R        2asin(--------)
+--R                 +-+
+--R                \|2
+--R   (2)  ---------------
+--R               +-+
+--R              \|b
+--R                                                    Type: Expression(Integer)
+--E 3242
+
+--S 3243 of 3330
+--a0000:=integrate(t0000,x)
+--E 3243
+
+--S 3244 of 3330
+--m0000:=a0000 - r0000
+--E 3244
+
+--S 3245 of 3330
+--d0000:=D(m0000,x)
+--E 3245
+
+)clear all
+
+--S 3246 of 3330
+t0000:=1/(x^(3/2)*sqrt(2-b*x))
+--R 
+--R
+--R                1
+--R   (1)  -----------------
+--R          +---------+ +-+
+--R        x\|- b x + 2 \|x
+--R                                                    Type: Expression(Integer)
+--E 3246
+
+--S 3247 of 3330
+r0000:=-sqrt(2-b*x)/sqrt(x)
+--R 
+--R
+--R           +---------+
+--R          \|- b x + 2
+--R   (2)  - ------------
+--R               +-+
+--R              \|x
+--R                                                    Type: Expression(Integer)
+--E 3247
+
+--S 3248 of 3330 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R            +---------+ +-+
+--R        - 4\|- b x + 2 \|x  + (- 4b + 9)x
+--R   (3)  ---------------------------------
+--R                        4x
+--R                                         Type: Union(Expression(Integer),...)
+--E 3248
+
+--S 3249 of 3330 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R        - 4b + 9
+--R   (4)  --------
+--R            4
+--R                                                    Type: Expression(Integer)
+--E 3249
+
+--S 3250 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 3250
+
+)clear all
+
+--S 3251 of 3330
+t0000:=1/(x^(5/2)*sqrt(2-b*x))
+--R 
+--R
+--R                 1
+--R   (1)  ------------------
+--R         2 +---------+ +-+
+--R        x \|- b x + 2 \|x
+--R                                                    Type: Expression(Integer)
+--E 3251
+
+--S 3252 of 3330
+r0000:=-1/3*sqrt(2-b*x)/x^(3/2)-1/3*b*sqrt(2-b*x)/sqrt(x)
+--R 
+--R
+--R                    +---------+
+--R        (- b x - 1)\|- b x + 2
+--R   (2)  -----------------------
+--R                    +-+
+--R                 3x\|x
+--R                                                    Type: Expression(Integer)
+--E 3252
+
+--S 3253 of 3330 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                     +---------+ +-+         2             2
+--R        (- 8b x - 8)\|- b x + 2 \|x  + (- 16b  + 17b + 33)x
+--R   (3)  ----------------------------------------------------
+--R                                   2
+--R                                24x
+--R                                         Type: Union(Expression(Integer),...)
+--E 3253
+
+--S 3254 of 3330 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R             2
+--R        - 16b  + 17b + 33
+--R   (4)  -----------------
+--R                24
+--R                                                    Type: Expression(Integer)
+--E 3254
+
+--S 3255 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 3255
+
+)clear all
+
+--S 3256 of 3330
+t0000:=x^(5/2)/(2-b*x)^(3/2)
+--R 
+--R
+--R                   2 +-+
+--R                  x \|x
+--R   (1)  - ---------------------
+--R                    +---------+
+--R          (b x - 2)\|- b x + 2
+--R                                                    Type: Expression(Integer)
+--E 3256
+
+--S 3257 of 3330
+r0000:=-15*asin(sqrt(b)*sqrt(x)/sqrt(2))/b^(7/2)+_
+     2*x^(5/2)/(b*sqrt(2-b*x))+5/2*x^(3/2)*sqrt(2-b*x)/b^2+_
+     15/2*sqrt(x)*sqrt(2-b*x)/b^3
+--R 
+--R
+--R                              +-+ +-+
+--R             +---------+     \|b \|x         2 2              +-+ +-+
+--R        - 30\|- b x + 2 asin(--------) + (- b x  - 5b x + 30)\|b \|x
+--R                                +-+
+--R                               \|2
+--R   (2)  -------------------------------------------------------------
+--R                               3 +---------+ +-+
+--R                             2b \|- b x + 2 \|b
+--R                                                    Type: Expression(Integer)
+--E 3257
+
+--S 3258 of 3330
+--a0000:=integrate(t0000,x)
+--E 3258
+
+--S 3259 of 3330
+--m0000:=a0000 - r0000
+--E 3259
+
+--S 3260 of 3330
+--d0000:=D(m0000,x)
+--E 3260
+
+)clear all
+
+--S 3261 of 3330
+t0000:=x^(3/2)/(2-b*x)^(3/2)
+--R 
+--R
+--R                    +-+
+--R                  x\|x
+--R   (1)  - ---------------------
+--R                    +---------+
+--R          (b x - 2)\|- b x + 2
+--R                                                    Type: Expression(Integer)
+--E 3261
+
+--S 3262 of 3330
+r0000:=-6*asin(sqrt(b)*sqrt(x)/sqrt(2))/b^(5/2)+_
+     2*x^(3/2)/(b*sqrt(2-b*x))+3*sqrt(x)*sqrt(2-b*x)/b^2
+--R 
+--R
+--R                             +-+ +-+
+--R            +---------+     \|b \|x                 +-+ +-+
+--R        - 6\|- b x + 2 asin(--------) + (- b x + 6)\|b \|x
+--R                               +-+
+--R                              \|2
+--R   (2)  ---------------------------------------------------
+--R                          2 +---------+ +-+
+--R                         b \|- b x + 2 \|b
+--R                                                    Type: Expression(Integer)
+--E 3262
+
+--S 3263 of 3330
+--a0000:=integrate(t0000,x)
+--E 3263
+
+--S 3264 of 3330
+--m0000:=a0000 - r0000
+--E 3264
+
+--S 3265 of 3330
+--d0000:=D(m0000,x)
+--E 3265
+
+)clear all
+
+--S 3266 of 3330
+t0000:=sqrt(x)/(2-b*x)^(3/2)
+--R 
+--R
+--R                    +-+
+--R                   \|x
+--R   (1)  - ---------------------
+--R                    +---------+
+--R          (b x - 2)\|- b x + 2
+--R                                                    Type: Expression(Integer)
+--E 3266
+
+--S 3267 of 3330
+r0000:=-2*asin(sqrt(b)*sqrt(x)/sqrt(2))/b^(3/2)+2*sqrt(x)/(b*sqrt(2-b*x))
+--R 
+--R
+--R                             +-+ +-+
+--R            +---------+     \|b \|x       +-+ +-+
+--R        - 2\|- b x + 2 asin(--------) + 2\|b \|x
+--R                               +-+
+--R                              \|2
+--R   (2)  -----------------------------------------
+--R                      +---------+ +-+
+--R                    b\|- b x + 2 \|b
+--R                                                    Type: Expression(Integer)
+--E 3267
+
+--S 3268 of 3330
+--a0000:=integrate(t0000,x)
+--E 3268
+
+--S 3269 of 3330
+--m0000:=a0000 - r0000
+--E 3269
+
+--S 3270 of 3330
+--d0000:=D(m0000,x)
+--E 3270
+
+)clear all
+
+--S 3271 of 3330
+t0000:=1/((2-b*x)^(3/2)*sqrt(x))
+--R 
+--R
+--R                      1
+--R   (1)  - -------------------------
+--R                    +---------+ +-+
+--R          (b x - 2)\|- b x + 2 \|x
+--R                                                    Type: Expression(Integer)
+--E 3271
+
+--S 3272 of 3330
+r0000:=sqrt(x)/sqrt(2-b*x)
+--R 
+--R
+--R             +-+
+--R            \|x
+--R   (2)  ------------
+--R         +---------+
+--R        \|- b x + 2
+--R                                                    Type: Expression(Integer)
+--E 3272
+
+--S 3273 of 3330 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                     +---------+ +-+       2
+--R        (- 10b + 20)\|- b x + 2 \|x  + (25b  - 51b)x - 50b + 102
+--R   (3)  --------------------------------------------------------
+--R                            2
+--R                        (10b  - 20b)x - 20b + 40
+--R                                         Type: Union(Expression(Integer),...)
+--E 3273
+
+--S 3274 of 3330 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R        25b - 51
+--R   (4)  --------
+--R        10b - 20
+--R                                                    Type: Expression(Integer)
+--E 3274
+
+--S 3275 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 3275
+
+)clear all
+
+--S 3276 of 3330
+t0000:=1/(x^(3/2)*(2-b*x)^(3/2))
+--R 
+--R
+--R                       1
+--R   (1)  - ---------------------------
+--R              2       +---------+ +-+
+--R          (b x  - 2x)\|- b x + 2 \|x
+--R                                                    Type: Expression(Integer)
+--E 3276
+
+--S 3277 of 3330
+r0000:=1/(sqrt(x)*sqrt(2-b*x))-sqrt(2-b*x)/sqrt(x)
+--R 
+--R
+--R             b x - 1
+--R   (2)  ----------------
+--R         +---------+ +-+
+--R        \|- b x + 2 \|x
+--R                                                    Type: Expression(Integer)
+--E 3277
+
+--S 3278 of 3330 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R             2                  +---------+ +-+        3      2       2
+--R       ((- 4b  + 8b)x + 4b - 8)\|- b x + 2 \|x  + (- 4b  + 13b  - 9b)x
+--R     + 
+--R          2
+--R       (8b  - 26b + 18)x
+--R  /
+--R        2       2
+--R     (4b  - 8b)x  + (- 8b + 16)x
+--R                                         Type: Union(Expression(Integer),...)
+--E 3278
+
+--S 3279 of 3330 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R            2
+--R        - 4b  + 13b - 9
+--R   (4)  ---------------
+--R             4b - 8
+--R                                                    Type: Expression(Integer)
+--E 3279
+
+--S 3280 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 3280
+
+)clear all
+
+--S 3281 of 3330
+t0000:=1/(x^(5/2)*(2-b*x)^(3/2))
+--R 
+--R
+--R                        1
+--R   (1)  - ----------------------------
+--R              3     2  +---------+ +-+
+--R          (b x  - 2x )\|- b x + 2 \|x
+--R                                                    Type: Expression(Integer)
+--E 3281
+
+--S 3282 of 3330
+r0000:=1/(x^(3/2)*sqrt(2-b*x))-2/3*sqrt(2-b*x)/x^(3/2)-_
+     2/3*b*sqrt(2-b*x)/sqrt(x)
+--R 
+--R
+--R           2 2
+--R         2b x  - 2b x - 1
+--R   (2)  ------------------
+--R           +---------+ +-+
+--R        3x\|- b x + 2 \|x
+--R                                                    Type: Expression(Integer)
+--E 3282
+
+--S 3283 of 3330 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R             3     2  2      2                  +---------+ +-+
+--R       ((- 4b  + 8b )x  + (4b  - 8b)x + 2b - 4)\|- b x + 2 \|x
+--R     + 
+--R            4     3     2       3      3      2            2
+--R       (- 2b  + 8b  - 5b  - 3b)x  + (4b  - 16b  + 10b + 6)x
+--R  /
+--R        2        3                2
+--R     (6b  - 12b)x  + (- 12b + 24)x
+--R                                         Type: Union(Expression(Integer),...)
+--E 3283
+
+--S 3284 of 3330 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R            3     2
+--R        - 2b  + 8b  - 5b - 3
+--R   (4)  --------------------
+--R               6b - 12
+--R                                                    Type: Expression(Integer)
+--E 3284
+
+--S 3285 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 3285
+
+)clear all
+
+--S 3286 of 3330
+t0000:=x^(5/2)/(2-b*x)^(5/2)
+--R 
+--R
+--R                     2 +-+
+--R                    x \|x
+--R   (1)  -----------------------------
+--R          2 2             +---------+
+--R        (b x  - 4b x + 4)\|- b x + 2
+--R                                                    Type: Expression(Integer)
+--E 3286
+
+--S 3287 of 3330
+r0000:=2/3*x^(5/2)/(b*(2-b*x)^(3/2))+_
+     10*asin(sqrt(b)*sqrt(x)/sqrt(2))/b^(7/2)-_
+     10/3*x^(3/2)/(b^2*sqrt(2-b*x))-5*sqrt(x)*sqrt(2-b*x)/b^3
+--R 
+--R
+--R                                      +-+ +-+
+--R                     +---------+     \|b \|x        2 2               +-+ +-+
+--R        (30b x - 60)\|- b x + 2 asin(--------) + (3b x  - 40b x + 60)\|b \|x
+--R                                        +-+
+--R                                       \|2
+--R   (2)  ---------------------------------------------------------------------
+--R                                4      3  +---------+ +-+
+--R                             (3b x - 6b )\|- b x + 2 \|b
+--R                                                    Type: Expression(Integer)
+--E 3287
+
+--S 3288 of 3330
+--a0000:=integrate(t0000,x)
+--E 3288
+
+--S 3289 of 3330
+--m0000:=a0000 - r0000
+--E 3289
+
+--S 3290 of 3330
+--d0000:=D(m0000,x)
+--E 3290
+
+)clear all
+
+--S 3291 of 3330
+t0000:=x^(3/2)/(2-b*x)^(5/2)
+--R 
+--R
+--R                      +-+
+--R                    x\|x
+--R   (1)  -----------------------------
+--R          2 2             +---------+
+--R        (b x  - 4b x + 4)\|- b x + 2
+--R                                                    Type: Expression(Integer)
+--E 3291
+
+--S 3292 of 3330
+r0000:=2/3*x^(3/2)/(b*(2-b*x)^(3/2))+_
+     2*asin(sqrt(b)*sqrt(x)/sqrt(2))/b^(5/2)-2*sqrt(x)/(b^2*sqrt(2-b*x))
+--R 
+--R
+--R                                     +-+ +-+
+--R                    +---------+     \|b \|x                   +-+ +-+
+--R        (6b x - 12)\|- b x + 2 asin(--------) + (- 8b x + 12)\|b \|x
+--R                                       +-+
+--R                                      \|2
+--R   (2)  -------------------------------------------------------------
+--R                            3      2  +---------+ +-+
+--R                         (3b x - 6b )\|- b x + 2 \|b
+--R                                                    Type: Expression(Integer)
+--E 3292
+
+--S 3293 of 3330
+--a0000:=integrate(t0000,x)
+--E 3293
+
+--S 3294 of 3330
+--m0000:=a0000 - r0000
+--E 3294
+
+--S 3295 of 3330
+--d0000:=D(m0000,x)
+--E 3295
+
+)clear all
+
+--S 3296 of 3330
+t0000:=sqrt(x)/(2-b*x)^(5/2)
+--R 
+--R
+--R                      +-+
+--R                     \|x
+--R   (1)  -----------------------------
+--R          2 2             +---------+
+--R        (b x  - 4b x + 4)\|- b x + 2
+--R                                                    Type: Expression(Integer)
+--E 3296
+
+--S 3297 of 3330
+r0000:=1/3*x^(3/2)/(2-b*x)^(3/2)
+--R 
+--R
+--R                     +-+
+--R                   x\|x
+--R   (2)  - ----------------------
+--R                     +---------+
+--R          (3b x - 6)\|- b x + 2
+--R                                                    Type: Expression(Integer)
+--E 3297
+
+--S 3298 of 3330 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R      2            +---------+ +-+       3     2  2      2
+--R   (2b  - 8b + 8)x\|- b x + 2 \|x  + (- b  + 3b )x  + (4b  - 12b)x - 4b + 12
+--R   -------------------------------------------------------------------------
+--R           4      3      2  2         3      2              2
+--R        (6b  - 24b  + 24b )x  + (- 24b  + 96b  - 96b)x + 24b  - 96b + 96
+--R                                         Type: Union(Expression(Integer),...)
+--E 3298
+
+--S 3299 of 3330 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R            - b + 3
+--R   (4)  --------------
+--R          2
+--R        6b  - 24b + 24
+--R                                                    Type: Expression(Integer)
+--E 3299
+
+--S 3300 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 3300
+
+)clear all
+
+--S 3301 of 3330
+t0000:=1/((2-b*x)^(5/2)*sqrt(x))
+--R 
+--R
+--R                        1
+--R   (1)  ---------------------------------
+--R          2 2             +---------+ +-+
+--R        (b x  - 4b x + 4)\|- b x + 2 \|x
+--R                                                    Type: Expression(Integer)
+--E 3301
+
+--S 3302 of 3330
+r0000:=1/3*sqrt(x)/(2-b*x)^(3/2)+1/3*sqrt(x)/sqrt(2-b*x)
+--R 
+--R
+--R                       +-+
+--R             (b x - 3)\|x
+--R   (2)  ----------------------
+--R                   +---------+
+--R        (3b x - 6)\|- b x + 2
+--R                                                    Type: Expression(Integer)
+--E 3302
+
+--S 3303 of 3330 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R             3      2              2             +---------+ +-+
+--R       ((- 6b  + 24b  - 24b)x + 18b  - 72b + 72)\|- b x + 2 \|x
+--R     + 
+--R          4      3      2  2         3       2               2
+--R       (9b  - 46b  + 57b )x  + (- 36b  + 184b  - 228b)x + 36b  - 184b + 228
+--R  /
+--R         4      3      2  2         3       2               2
+--R     (18b  - 72b  + 72b )x  + (- 72b  + 288b  - 288b)x + 72b  - 288b + 288
+--R                                         Type: Union(Expression(Integer),...)
+--E 3303
+
+--S 3304 of 3330 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R           2
+--R         9b  - 46b + 57
+--R   (4)  ---------------
+--R           2
+--R        18b  - 72b + 72
+--R                                                    Type: Expression(Integer)
+--E 3304
+
+--S 3305 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 3305
+
+)clear all
+
+--S 3306 of 3330
+t0000:=1/(x^(3/2)*(2-b*x)^(5/2))
+--R 
+--R
+--R                         1
+--R   (1)  -----------------------------------
+--R          2 3       2       +---------+ +-+
+--R        (b x  - 4b x  + 4x)\|- b x + 2 \|x
+--R                                                    Type: Expression(Integer)
+--E 3306
+
+--S 3307 of 3330
+r0000:=1/3/((2-b*x)^(3/2)*sqrt(x))+2/3/(sqrt(x)*sqrt(2-b*x))-_
+     2/3*sqrt(2-b*x)/sqrt(x)
+--R 
+--R
+--R               2 2
+--R             2b x  - 6b x + 3
+--R   (2)  --------------------------
+--R                   +---------+ +-+
+--R        (3b x - 6)\|- b x + 2 \|x
+--R                                                    Type: Expression(Integer)
+--E 3307
+
+--S 3308 of 3330 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R               4      3      2  2       3      2              2
+--R         ((- 8b  + 32b  - 32b )x  + (24b  - 96b  + 96b)x - 12b  + 48b - 48)
+--R      *
+--R          +---------+ +-+
+--R         \|- b x + 2 \|x
+--R     + 
+--R            5      4      3      2  3       4       3       2         2
+--R       (- 8b  + 42b  - 66b  + 27b )x  + (32b  - 168b  + 264b  - 108b)x
+--R     + 
+--R             3       2
+--R       (- 32b  + 168b  - 264b + 108)x
+--R  /
+--R         4      3      2  3         3       2         2       2
+--R     (12b  - 48b  + 48b )x  + (- 48b  + 192b  - 192b)x  + (48b  - 192b + 192)x
+--R                                         Type: Union(Expression(Integer),...)
+--E 3308
+
+--S 3309 of 3330 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R            3      2
+--R        - 8b  + 42b  - 66b + 27
+--R   (4)  -----------------------
+--R               2
+--R            12b  - 48b + 48
+--R                                                    Type: Expression(Integer)
+--E 3309
+
+--S 3310 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 3310
+
+)clear all
+
+--S 3311 of 3330
+t0000:=1/(x^(5/2)*(2-b*x)^(5/2))
+--R 
+--R
+--R                          1
+--R   (1)  ------------------------------------
+--R          2 4       3     2  +---------+ +-+
+--R        (b x  - 4b x  + 4x )\|- b x + 2 \|x
+--R                                                    Type: Expression(Integer)
+--E 3311
+
+--S 3312 of 3330
+r0000:=1/3/(x^(3/2)*(2-b*x)^(3/2))+1/(x^(3/2)*sqrt(2-b*x))-_
+     2/3*sqrt(2-b*x)/x^(3/2)-2/3*b*sqrt(2-b*x)/sqrt(x)
+--R 
+--R
+--R            3 3     2 2
+--R          2b x  - 6b x  + 3b x + 1
+--R   (2)  ----------------------------
+--R             2       +---------+ +-+
+--R        (3b x  - 6x)\|- b x + 2 \|x
+--R                                                    Type: Expression(Integer)
+--E 3312
+
+--S 3313 of 3330 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                 5      4      3  3       4       3       2  2
+--R           (- 12b  + 48b  - 48b )x  + (36b  - 144b  + 144b )x
+--R         + 
+--R                 3      2             2
+--R           (- 18b  + 72b  - 72b)x - 6b  + 24b - 24
+--R      *
+--R          +---------+ +-+
+--R         \|- b x + 2 \|x
+--R     + 
+--R             6      5       4      3      2  4
+--R       (- 18b  + 92b  - 141b  + 48b  + 19b )x
+--R     + 
+--R           5       4       3       2        3
+--R       (72b  - 368b  + 564b  - 192b  - 76b)x
+--R     + 
+--R             4       3       2              2
+--R       (- 72b  + 368b  - 564b  + 192b + 76)x
+--R  /
+--R         4      3      2  4         3       2         3       2               2
+--R     (18b  - 72b  + 72b )x  + (- 72b  + 288b  - 288b)x  + (72b  - 288b + 288)x
+--R                                         Type: Union(Expression(Integer),...)
+--E 3313
+
+--S 3314 of 3330 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R             4      3       2
+--R        - 18b  + 92b  - 141b  + 48b + 19
+--R   (4)  --------------------------------
+--R                    2
+--R                 18b  - 72b + 72
+--R                                                    Type: Expression(Integer)
+--E 3314
+
+--S 3315 of 3330
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 3315
+
+)clear all
+
+--S 3316 of 3330
+t0000:=sqrt(x)/sqrt(1-x)
+--R 
+--R
+--R            +-+
+--R           \|x
+--R   (1)  ----------
+--R         +-------+
+--R        \|- x + 1
+--R                                                    Type: Expression(Integer)
+--E 3316
+
+--S 3317 of 3330
+r0000:=-1/2*asin(1-2*x)-sqrt(1-x)*sqrt(x)
+--R 
+--R
+--R            +-------+ +-+
+--R        - 2\|- x + 1 \|x  + asin(2x - 1)
+--R   (2)  --------------------------------
+--R                        2
+--R                                                    Type: Expression(Integer)
+--E 3317
+
+--S 3318 of 3330
+--a0000:=integrate(t0000,x)
+--E 3318
+
+--S 3319 of 3330
+--m0000:=a0000 - r0000
+--E 3319
+
+--S 3320 of 3330
+--d0000:=D(m0000,x)
+--E 3320
+
+)clear all
+
+--S 3321 of 3330
+t0000:=1/(sqrt(1-x)*sqrt(x))
+--R 
+--R
+--R               1
+--R   (1)  --------------
+--R         +-------+ +-+
+--R        \|- x + 1 \|x
+--R                                                    Type: Expression(Integer)
+--E 3321
+
+--S 3322 of 3330
+r0000:=-asin(1-2*x)
+--R 
+--R
+--R   (2)  asin(2x - 1)
+--R                                                    Type: Expression(Integer)
+--E 3322
+
+--S 3323 of 3330
+--a0000:=integrate(t0000,x)
+--E 3323
+
+--S 3324 of 3330
+--m0000:=a0000 - r0000
+--E 3324
+
+--S 3325 of 3330
+--d0000:=D(m0000,x)
+--E 3325
+
+)clear all
+
+--S 3326 of 3330
+t0000:=1/(sqrt(x)*sqrt(1-b*x))
+--R 
+--R
+--R                1
+--R   (1)  ----------------
+--R         +---------+ +-+
+--R        \|- b x + 1 \|x
+--R                                                    Type: Expression(Integer)
+--E 3326
+
+--S 3327 of 3330
+r0000:=2*asin(sqrt(b)*sqrt(x))/sqrt(b)
+--R 
+--R
+--R               +-+ +-+
+--R        2asin(\|b \|x )
+--R   (2)  ---------------
+--R               +-+
+--R              \|b
+--R                                                    Type: Expression(Integer)
+--E 3327
+
+--S 3328 of 3330
+--a0000:=integrate(t0000,x)
+--E 3328
+
+--S 3329 of 3330
+--m0000:=a0000 - r0000
+--E 3329
+
+--S 3330 of 3330
+--d0000:=D(m0000,x)
+--E 3330
+
+)spool
+ 
+)lisp (bye)
+ 
+\end{chunk}
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} nothing
+\end{thebibliography}
+\end{document}
diff --git a/src/input/rich1b.input.pamphlet b/src/input/rich1b.input.pamphlet
new file mode 100644
index 0000000..40252a5
--- /dev/null
+++ b/src/input/rich1b.input.pamphlet
@@ -0,0 +1,61612 @@
+\documentclass{article}
+\usepackage{axiom}
+\setlength{\textwidth}{400pt}
+\begin{document}
+\title{\$SPAD/src/input rich1b.input}
+\author{Albert Rich and Timothy Daly}
+\maketitle
+\begin{abstract}
+\end{abstract}
+\eject
+\tableofcontents
+\eject
+\section{Integrands of the form $x^m (a+b x)^n$}
+\subsection{Integrands of the form $x^m$}
+\subsubsection{Integrands of the form $a$}
+
+\begin{chunk}{*}
+)set break resume
+)sys rm -f rich1b.output
+)spool rich1b.output
+)set message test on
+)set message auto off
+)clear all
+ 
+ 
+--S 1 of 2952
+t0000:=x^(5/3)*(a+b*x)
+--R 
+--R
+--R            2       3+-+2
+--R   (1)  (b x  + a x)\|x
+--R                                                    Type: Expression(Integer)
+--E 1
+
+--S 2 of 2952
+r0000:=3/8*a*x^(8/3)+3/11*b*x^(11/3)
+--R 
+--R
+--R              3        2 3+-+2
+--R        (24b x  + 33a x )\|x
+--R   (2)  ----------------------
+--R                  88
+--R                                                    Type: Expression(Integer)
+--E 2
+
+--S 3 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R              3        2 3+-+2
+--R        (24b x  + 33a x )\|x
+--R   (3)  ----------------------
+--R                  88
+--R                                         Type: Union(Expression(Integer),...)
+--E 3
+
+--S 4 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 4
+
+--S 5 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 5
+
+)clear all
+
+--S 6 of 2952
+t0000:=x^(4/3)*(a+b*x)
+--R 
+--R
+--R            2       3+-+
+--R   (1)  (b x  + a x)\|x
+--R                                                    Type: Expression(Integer)
+--E 6
+
+--S 7 of 2952
+r0000:=3/7*a*x^(7/3)+3/10*b*x^(10/3)
+--R 
+--R
+--R              3        2 3+-+
+--R        (21b x  + 30a x )\|x
+--R   (2)  ---------------------
+--R                  70
+--R                                                    Type: Expression(Integer)
+--E 7
+
+--S 8 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R              3        2 3+-+
+--R        (21b x  + 30a x )\|x
+--R   (3)  ---------------------
+--R                  70
+--R                                         Type: Union(Expression(Integer),...)
+--E 8
+
+--S 9 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 9
+
+--S 10 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 10
+
+)clear all
+
+--S 11 of 2952
+t0000:=x^(2/3)*(a+b*x)
+--R 
+--R
+--R                 3+-+2
+--R   (1)  (b x + a)\|x
+--R                                                    Type: Expression(Integer)
+--E 11
+
+--S 12 of 2952
+r0000:=3/5*a*x^(5/3)+3/8*b*x^(8/3)
+--R 
+--R
+--R              2         3+-+2
+--R        (15b x  + 24a x)\|x
+--R   (2)  ---------------------
+--R                  40
+--R                                                    Type: Expression(Integer)
+--E 12
+
+--S 13 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R              2         3+-+2
+--R        (15b x  + 24a x)\|x
+--R   (3)  ---------------------
+--R                  40
+--R                                         Type: Union(Expression(Integer),...)
+--E 13
+
+--S 14 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 14
+
+--S 15 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 15
+
+)clear all
+
+--S 16 of 2952
+t0000:=x^(1/3)*(a+b*x)
+--R 
+--R
+--R                 3+-+
+--R   (1)  (b x + a)\|x
+--R                                                    Type: Expression(Integer)
+--E 16
+
+--S 17 of 2952
+r0000:=3/4*a*x^(4/3)+3/7*b*x^(7/3)
+--R 
+--R
+--R              2         3+-+
+--R        (12b x  + 21a x)\|x
+--R   (2)  --------------------
+--R                 28
+--R                                                    Type: Expression(Integer)
+--E 17
+
+--S 18 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R              2         3+-+
+--R        (12b x  + 21a x)\|x
+--R   (3)  --------------------
+--R                 28
+--R                                         Type: Union(Expression(Integer),...)
+--E 18
+
+--S 19 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 19
+
+--S 20 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 20
+
+)clear all
+
+--S 21 of 2952
+t0000:=(a+b*x)/x^(1/3)
+--R 
+--R
+--R        b x + a
+--R   (1)  -------
+--R          3+-+
+--R          \|x
+--R                                                    Type: Expression(Integer)
+--E 21
+
+--S 22 of 2952
+r0000:=3/2*a*x^(2/3)+3/5*b*x^(5/3)
+--R 
+--R
+--R                    3+-+2
+--R        (6b x + 15a)\|x
+--R   (2)  -----------------
+--R                10
+--R                                                    Type: Expression(Integer)
+--E 22
+
+--S 23 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                    3+-+2
+--R        (6b x + 15a)\|x
+--R   (3)  -----------------
+--R                10
+--R                                         Type: Union(Expression(Integer),...)
+--E 23
+
+--S 24 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 24
+
+--S 25 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 25
+
+)clear all
+
+--S 26 of 2952
+t0000:=(a+b*x)/x^(2/3)
+--R 
+--R
+--R        b x + a
+--R   (1)  -------
+--R         3+-+2
+--R         \|x
+--R                                                    Type: Expression(Integer)
+--E 26
+
+--S 27 of 2952
+r0000:=3*a*x^(1/3)+3/4*b*x^(4/3)
+--R 
+--R
+--R                    3+-+
+--R        (3b x + 12a)\|x
+--R   (2)  ----------------
+--R                4
+--R                                                    Type: Expression(Integer)
+--E 27
+
+--S 28 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                    3+-+
+--R        (3b x + 12a)\|x
+--R   (3)  ----------------
+--R                4
+--R                                         Type: Union(Expression(Integer),...)
+--E 28
+
+--S 29 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 29
+
+--S 30 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 30
+
+)clear all
+
+--S 31 of 2952
+t0000:=(a+b*x)/x^(4/3)
+--R 
+--R
+--R        b x + a
+--R   (1)  -------
+--R          3+-+
+--R         x\|x
+--R                                                    Type: Expression(Integer)
+--E 31
+
+--S 32 of 2952
+r0000:=-3*a/x^(1/3)+3/2*b*x^(2/3)
+--R 
+--R
+--R        3b x - 6a
+--R   (2)  ---------
+--R           3+-+
+--R          2\|x
+--R                                                    Type: Expression(Integer)
+--E 32
+
+--S 33 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        3b x - 6a
+--R   (3)  ---------
+--R           3+-+
+--R          2\|x
+--R                                         Type: Union(Expression(Integer),...)
+--E 33
+
+--S 34 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 34
+
+--S 35 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 35
+
+)clear all
+
+--S 36 of 2952
+t0000:=(a+b*x)/x^(5/3)
+--R 
+--R
+--R        b x + a
+--R   (1)  -------
+--R          3+-+2
+--R        x \|x
+--R                                                    Type: Expression(Integer)
+--E 36
+
+--S 37 of 2952
+r0000:=-3/2*a/x^(2/3)+3*b*x^(1/3)
+--R 
+--R
+--R        6b x - 3a
+--R   (2)  ---------
+--R           3+-+2
+--R          2\|x
+--R                                                    Type: Expression(Integer)
+--E 37
+
+--S 38 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        6b x - 3a
+--R   (3)  ---------
+--R           3+-+2
+--R          2\|x
+--R                                         Type: Union(Expression(Integer),...)
+--E 38
+
+--S 39 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 39
+
+--S 40 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 40
+
+)clear all
+
+--S 41 of 2952
+t0000:=x^(5/3)*(a+b*x)^2
+--R 
+--R
+--R          2 3         2    2  3+-+2
+--R   (1)  (b x  + 2a b x  + a x)\|x
+--R                                                    Type: Expression(Integer)
+--E 41
+
+--S 42 of 2952
+r0000:=3/8*a^2*x^(8/3)+6/11*a*b*x^(11/3)+3/14*b^2*x^(14/3)
+--R 
+--R
+--R             2 4           3       2 2 3+-+2
+--R        (132b x  + 336a b x  + 231a x )\|x
+--R   (2)  ------------------------------------
+--R                         616
+--R                                                    Type: Expression(Integer)
+--E 42
+
+--S 43 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R             2 4           3       2 2 3+-+2
+--R        (132b x  + 336a b x  + 231a x )\|x
+--R   (3)  ------------------------------------
+--R                         616
+--R                                         Type: Union(Expression(Integer),...)
+--E 43
+
+--S 44 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 44
+
+--S 45 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 45
+
+)clear all
+
+--S 46 of 2952
+t0000:=x^(4/3)*(a+b*x)^2
+--R 
+--R
+--R          2 3         2    2  3+-+
+--R   (1)  (b x  + 2a b x  + a x)\|x
+--R                                                    Type: Expression(Integer)
+--E 46
+
+--S 47 of 2952
+r0000:=3/7*a^2*x^(7/3)+3/5*a*b*x^(10/3)+3/13*b^2*x^(13/3)
+--R 
+--R
+--R             2 4           3       2 2 3+-+
+--R        (105b x  + 273a b x  + 195a x )\|x
+--R   (2)  -----------------------------------
+--R                        455
+--R                                                    Type: Expression(Integer)
+--E 47
+
+--S 48 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R             2 4           3       2 2 3+-+
+--R        (105b x  + 273a b x  + 195a x )\|x
+--R   (3)  -----------------------------------
+--R                        455
+--R                                         Type: Union(Expression(Integer),...)
+--E 48
+
+--S 49 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 49
+
+--S 50 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 50
+
+)clear all
+
+--S 51 of 2952
+t0000:=x^(2/3)*(a+b*x)^2
+--R 
+--R
+--R          2 2             2 3+-+2
+--R   (1)  (b x  + 2a b x + a )\|x
+--R                                                    Type: Expression(Integer)
+--E 51
+
+--S 52 of 2952
+r0000:=3/5*a^2*x^(5/3)+3/4*a*b*x^(8/3)+3/11*b^2*x^(11/3)
+--R 
+--R
+--R            2 3           2       2  3+-+2
+--R        (60b x  + 165a b x  + 132a x)\|x
+--R   (2)  ----------------------------------
+--R                        220
+--R                                                    Type: Expression(Integer)
+--E 52
+
+--S 53 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R            2 3           2       2  3+-+2
+--R        (60b x  + 165a b x  + 132a x)\|x
+--R   (3)  ----------------------------------
+--R                        220
+--R                                         Type: Union(Expression(Integer),...)
+--E 53
+
+--S 54 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 54
+
+--S 55 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 55
+
+)clear all
+
+--S 56 of 2952
+t0000:=x^(1/3)*(a+b*x)^2
+--R 
+--R
+--R          2 2             2 3+-+
+--R   (1)  (b x  + 2a b x + a )\|x
+--R                                                    Type: Expression(Integer)
+--E 56
+
+--S 57 of 2952
+r0000:=3/4*a^2*x^(4/3)+6/7*a*b*x^(7/3)+3/10*b^2*x^(10/3)
+--R 
+--R
+--R            2 3           2       2  3+-+
+--R        (42b x  + 120a b x  + 105a x)\|x
+--R   (2)  ---------------------------------
+--R                       140
+--R                                                    Type: Expression(Integer)
+--E 57
+
+--S 58 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R            2 3           2       2  3+-+
+--R        (42b x  + 120a b x  + 105a x)\|x
+--R   (3)  ---------------------------------
+--R                       140
+--R                                         Type: Union(Expression(Integer),...)
+--E 58
+
+--S 59 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 59
+
+--S 60 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 60
+
+)clear all
+
+--S 61 of 2952
+t0000:=(a+b*x)^2/x^(1/3)
+--R 
+--R
+--R         2 2             2
+--R        b x  + 2a b x + a
+--R   (1)  ------------------
+--R               3+-+
+--R               \|x
+--R                                                    Type: Expression(Integer)
+--E 61
+
+--S 62 of 2952
+r0000:=3/2*a^2*x^(2/3)+6/5*a*b*x^(5/3)+3/8*b^2*x^(8/3)
+--R 
+--R
+--R            2 2                2 3+-+2
+--R        (15b x  + 48a b x + 60a )\|x
+--R   (2)  ------------------------------
+--R                      40
+--R                                                    Type: Expression(Integer)
+--E 62
+
+--S 63 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R            2 2                2 3+-+2
+--R        (15b x  + 48a b x + 60a )\|x
+--R   (3)  ------------------------------
+--R                      40
+--R                                         Type: Union(Expression(Integer),...)
+--E 63
+
+--S 64 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 64
+
+--S 65 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 65
+
+)clear all
+
+--S 66 of 2952
+t0000:=(a+b*x)^2/x^(2/3)
+--R 
+--R
+--R         2 2             2
+--R        b x  + 2a b x + a
+--R   (1)  ------------------
+--R               3+-+2
+--R               \|x
+--R                                                    Type: Expression(Integer)
+--E 66
+
+--S 67 of 2952
+r0000:=3*a^2*x^(1/3)+3/2*a*b*x^(4/3)+3/7*b^2*x^(7/3)
+--R 
+--R
+--R           2 2                2 3+-+
+--R        (6b x  + 21a b x + 42a )\|x
+--R   (2)  ----------------------------
+--R                     14
+--R                                                    Type: Expression(Integer)
+--E 67
+
+--S 68 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           2 2                2 3+-+
+--R        (6b x  + 21a b x + 42a )\|x
+--R   (3)  ----------------------------
+--R                     14
+--R                                         Type: Union(Expression(Integer),...)
+--E 68
+
+--S 69 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 69
+
+--S 70 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 70
+
+)clear all
+
+--S 71 of 2952
+t0000:=(a+b*x)^2/x^(4/3)
+--R 
+--R
+--R         2 2             2
+--R        b x  + 2a b x + a
+--R   (1)  ------------------
+--R                3+-+
+--R               x\|x
+--R                                                    Type: Expression(Integer)
+--E 71
+
+--S 72 of 2952
+r0000:=-3*a^2/x^(1/3)+3*a*b*x^(2/3)+3/5*b^2*x^(5/3)
+--R 
+--R
+--R          2 2                2
+--R        3b x  + 15a b x - 15a
+--R   (2)  ----------------------
+--R                  3+-+
+--R                 5\|x
+--R                                                    Type: Expression(Integer)
+--E 72
+
+--S 73 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R          2 2                2
+--R        3b x  + 15a b x - 15a
+--R   (3)  ----------------------
+--R                  3+-+
+--R                 5\|x
+--R                                         Type: Union(Expression(Integer),...)
+--E 73
+
+--S 74 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 74
+
+--S 75 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 75
+
+)clear all
+
+--S 76 of 2952
+t0000:=(a+b*x)^2/x^(5/3)
+--R 
+--R
+--R         2 2             2
+--R        b x  + 2a b x + a
+--R   (1)  ------------------
+--R                3+-+2
+--R              x \|x
+--R                                                    Type: Expression(Integer)
+--E 76
+
+--S 77 of 2952
+r0000:=-3/2*a^2/x^(2/3)+6*a*b*x^(1/3)+3/4*b^2*x^(4/3)
+--R 
+--R
+--R          2 2               2
+--R        3b x  + 24a b x - 6a
+--R   (2)  ---------------------
+--R                 3+-+2
+--R                4\|x
+--R                                                    Type: Expression(Integer)
+--E 77
+
+--S 78 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R          2 2               2
+--R        3b x  + 24a b x - 6a
+--R   (3)  ---------------------
+--R                 3+-+2
+--R                4\|x
+--R                                         Type: Union(Expression(Integer),...)
+--E 78
+
+--S 79 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 79
+
+--S 80 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 80
+
+)clear all
+
+--S 81 of 2952
+t0000:=x^(5/3)*(a+b*x)^3
+--R 
+--R
+--R          3 4       2 3     2   2    3  3+-+2
+--R   (1)  (b x  + 3a b x  + 3a b x  + a x)\|x
+--R                                                    Type: Expression(Integer)
+--E 81
+
+--S 82 of 2952
+r0000:=3/8*a^3*x^(8/3)+9/11*a^2*b*x^(11/3)+_
+     9/14*a*b^2*x^(14/3)+3/17*b^3*x^(17/3)
+--R 
+--R
+--R              3 5          2 4        2   3        3 2 3+-+2
+--R        (1848b x  + 6732a b x  + 8568a b x  + 3927a x )\|x
+--R   (2)  ----------------------------------------------------
+--R                                10472
+--R                                                    Type: Expression(Integer)
+--E 82
+
+--S 83 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R              3 5          2 4        2   3        3 2 3+-+2
+--R        (1848b x  + 6732a b x  + 8568a b x  + 3927a x )\|x
+--R   (3)  ----------------------------------------------------
+--R                                10472
+--R                                         Type: Union(Expression(Integer),...)
+--E 83
+
+--S 84 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 84
+
+--S 85 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 85
+
+)clear all
+
+--S 86 of 2952
+t0000:=x^(4/3)*(a+b*x)^3
+--R 
+--R
+--R          3 4       2 3     2   2    3  3+-+
+--R   (1)  (b x  + 3a b x  + 3a b x  + a x)\|x
+--R                                                    Type: Expression(Integer)
+--E 86
+
+--S 87 of 2952
+r0000:=3/7*a^3*x^(7/3)+9/10*a^2*b*x^(10/3)+9/13*a*b^2*x^(13/3)+_
+     3/16*b^3*x^(16/3)
+--R 
+--R
+--R              3 5          2 4        2   3        3 2 3+-+
+--R        (1365b x  + 5040a b x  + 6552a b x  + 3120a x )\|x
+--R   (2)  ---------------------------------------------------
+--R                                7280
+--R                                                    Type: Expression(Integer)
+--E 87
+
+--S 88 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R              3 5          2 4        2   3        3 2 3+-+
+--R        (1365b x  + 5040a b x  + 6552a b x  + 3120a x )\|x
+--R   (3)  ---------------------------------------------------
+--R                                7280
+--R                                         Type: Union(Expression(Integer),...)
+--E 88
+
+--S 89 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 89
+
+--S 90 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 90
+
+)clear all
+
+--S 91 of 2952
+t0000:=x^(2/3)*(a+b*x)^3
+--R 
+--R
+--R          3 3       2 2     2       3 3+-+2
+--R   (1)  (b x  + 3a b x  + 3a b x + a )\|x
+--R                                                    Type: Expression(Integer)
+--E 91
+
+--S 92 of 2952
+r0000:=3/5*a^3*x^(5/3)+9/8*a^2*b*x^(8/3)+9/11*a*b^2*x^(11/3)+_
+     3/14*b^3*x^(14/3)
+--R 
+--R
+--R             3 4          2 3        2   2        3  3+-+2
+--R        (660b x  + 2520a b x  + 3465a b x  + 1848a x)\|x
+--R   (2)  --------------------------------------------------
+--R                               3080
+--R                                                    Type: Expression(Integer)
+--E 92
+
+--S 93 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R             3 4          2 3        2   2        3  3+-+2
+--R        (660b x  + 2520a b x  + 3465a b x  + 1848a x)\|x
+--R   (3)  --------------------------------------------------
+--R                               3080
+--R                                         Type: Union(Expression(Integer),...)
+--E 93
+
+--S 94 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 94
+
+--S 95 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 95
+
+)clear all
+
+--S 96 of 2952
+t0000:=x^(1/3)*(a+b*x)^3
+--R 
+--R
+--R          3 3       2 2     2       3 3+-+
+--R   (1)  (b x  + 3a b x  + 3a b x + a )\|x
+--R                                                    Type: Expression(Integer)
+--E 96
+
+--S 97 of 2952
+r0000:=3/4*a^3*x^(4/3)+9/7*a^2*b*x^(7/3)+9/10*a*b^2*x^(10/3)+_
+     3/13*b^3*x^(13/3)
+--R 
+--R
+--R             3 4          2 3        2   2        3  3+-+
+--R        (420b x  + 1638a b x  + 2340a b x  + 1365a x)\|x
+--R   (2)  -------------------------------------------------
+--R                               1820
+--R                                                    Type: Expression(Integer)
+--E 97
+
+--S 98 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R             3 4          2 3        2   2        3  3+-+
+--R        (420b x  + 1638a b x  + 2340a b x  + 1365a x)\|x
+--R   (3)  -------------------------------------------------
+--R                               1820
+--R                                         Type: Union(Expression(Integer),...)
+--E 98
+
+--S 99 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 99
+
+--S 100 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 100
+
+)clear all
+
+--S 101 of 2952
+t0000:=(a+b*x)^3/x^(1/3)
+--R 
+--R
+--R         3 3       2 2     2       3
+--R        b x  + 3a b x  + 3a b x + a
+--R   (1)  ----------------------------
+--R                    3+-+
+--R                    \|x
+--R                                                    Type: Expression(Integer)
+--E 101
+
+--S 102 of 2952
+r0000:=3/2*a^3*x^(2/3)+9/5*a^2*b*x^(5/3)+9/8*a*b^2*x^(8/3)+3/11*b^3*x^(11/3)
+--R 
+--R
+--R             3 3         2 2       2          3 3+-+2
+--R        (120b x  + 495a b x  + 792a b x + 660a )\|x
+--R   (2)  ---------------------------------------------
+--R                             440
+--R                                                    Type: Expression(Integer)
+--E 102
+
+--S 103 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R             3 3         2 2       2          3 3+-+2
+--R        (120b x  + 495a b x  + 792a b x + 660a )\|x
+--R   (3)  ---------------------------------------------
+--R                             440
+--R                                         Type: Union(Expression(Integer),...)
+--E 103
+
+--S 104 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 104
+
+--S 105 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 105
+
+)clear all
+
+--S 106 of 2952
+t0000:=(a+b*x)^3/x^(2/3)
+--R 
+--R
+--R         3 3       2 2     2       3
+--R        b x  + 3a b x  + 3a b x + a
+--R   (1)  ----------------------------
+--R                    3+-+2
+--R                    \|x
+--R                                                    Type: Expression(Integer)
+--E 106
+
+--S 107 of 2952
+r0000:=3*a^3*x^(1/3)+9/4*a^2*b*x^(4/3)+9/7*a*b^2*x^(7/3)+3/10*b^3*x^(10/3)
+--R 
+--R
+--R            3 3         2 2       2          3 3+-+
+--R        (42b x  + 180a b x  + 315a b x + 420a )\|x
+--R   (2)  -------------------------------------------
+--R                            140
+--R                                                    Type: Expression(Integer)
+--E 107
+
+--S 108 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R            3 3         2 2       2          3 3+-+
+--R        (42b x  + 180a b x  + 315a b x + 420a )\|x
+--R   (3)  -------------------------------------------
+--R                            140
+--R                                         Type: Union(Expression(Integer),...)
+--E 108
+
+--S 109 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 109
+
+--S 110 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 110
+
+)clear all
+
+--S 111 of 2952
+t0000:=(a+b*x)^3/x^(4/3)
+--R 
+--R
+--R         3 3       2 2     2       3
+--R        b x  + 3a b x  + 3a b x + a
+--R   (1)  ----------------------------
+--R                     3+-+
+--R                    x\|x
+--R                                                    Type: Expression(Integer)
+--E 111
+
+--S 112 of 2952
+r0000:=-3*a^3/x^(1/3)+9/2*a^2*b*x^(2/3)+9/5*a*b^2*x^(5/3)+3/8*b^3*x^(8/3)
+--R 
+--R
+--R           3 3        2 2       2          3
+--R        15b x  + 72a b x  + 180a b x - 120a
+--R   (2)  ------------------------------------
+--R                         3+-+
+--R                       40\|x
+--R                                                    Type: Expression(Integer)
+--E 112
+
+--S 113 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           3 3        2 2       2          3
+--R        15b x  + 72a b x  + 180a b x - 120a
+--R   (3)  ------------------------------------
+--R                         3+-+
+--R                       40\|x
+--R                                         Type: Union(Expression(Integer),...)
+--E 113
+
+--S 114 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 114
+
+--S 115 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 115
+
+)clear all
+
+--S 116 of 2952
+t0000:=(a+b*x)^3/x^(5/3)
+--R 
+--R
+--R         3 3       2 2     2       3
+--R        b x  + 3a b x  + 3a b x + a
+--R   (1)  ----------------------------
+--R                     3+-+2
+--R                   x \|x
+--R                                                    Type: Expression(Integer)
+--E 116
+
+--S 117 of 2952
+r0000:=-3/2*a^3/x^(2/3)+9*a^2*b*x^(1/3)+9/4*a*b^2*x^(4/3)+3/7*b^3*x^(7/3)
+--R 
+--R
+--R           3 3        2 2       2         3
+--R        12b x  + 63a b x  + 252a b x - 42a
+--R   (2)  -----------------------------------
+--R                        3+-+2
+--R                      28\|x
+--R                                                    Type: Expression(Integer)
+--E 117
+
+--S 118 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           3 3        2 2       2         3
+--R        12b x  + 63a b x  + 252a b x - 42a
+--R   (3)  -----------------------------------
+--R                        3+-+2
+--R                      28\|x
+--R                                         Type: Union(Expression(Integer),...)
+--E 118
+
+--S 119 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 119
+
+--S 120 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 120
+
+)clear all
+
+--S 121 of 2952
+t0000:=x^(5/3)/(a+b*x)
+--R 
+--R
+--R          3+-+2
+--R        x \|x
+--R   (1)  -------
+--R        b x + a
+--R                                                    Type: Expression(Integer)
+--E 121
+
+--S 122 of 2952
+r0000:=-3/2*a*x^(2/3)/b^2+3/5*x^(5/3)/b-a^(5/3)*log(a^(1/3)+_
+     b^(1/3)*x^(1/3))/b^(8/3)+1/2*a^(5/3)*log(a^(2/3)-_
+     a^(1/3)*b^(1/3)*x^(1/3)+b^(2/3)*x^(2/3))/b^(8/3)-_
+     a^(5/3)*atan((a^(1/3)-2*b^(1/3)*x^(1/3))/_
+     (a^(1/3)*sqrt(3)))*sqrt(3)/b^(8/3)
+--R 
+--R
+--R   (2)
+--R          3+-+2    3+-+2 3+-+2  3+-+3+-+3+-+   3+-+2
+--R       5a \|a  log(\|b   \|x  - \|a \|b \|x  + \|a  )
+--R     + 
+--R                                                           3+-+3+-+   3+-+
+--R             3+-+2    3+-+3+-+   3+-+        +-+3+-+2     2\|b \|x  - \|a
+--R       - 10a \|a  log(\|b \|x  + \|a ) + 10a\|3 \|a  atan(----------------)
+--R                                                               +-+3+-+
+--R                                                              \|3 \|a
+--R     + 
+--R                   3+-+2 3+-+2
+--R       (6b x - 15a)\|b   \|x
+--R  /
+--R        2 3+-+2
+--R     10b  \|b
+--R                                                    Type: Expression(Integer)
+--E 122
+
+--S 123 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R             +----+                 +----+2          +----+
+--R             |   2                  |   2            |   2
+--R             |  a        3+-+2      |  a    3+-+     |  a
+--R       - 5a  |- -- log(a \|x   - b  |- --   \|x - a  |- --)
+--R            3|   2                 3|   2           3|   2
+--R            \|  b                  \|  b            \|  b
+--R     + 
+--R            +----+               +----+2
+--R            |   2                |   2
+--R            |  a       3+-+      |  a
+--R       10a  |- -- log(a\|x  + b  |- --  )
+--R           3|   2               3|   2
+--R           \|  b                \|  b
+--R     + 
+--R                                         +----+2
+--R                                         |   2
+--R                               3+-+      |  a
+--R                  +----+     2a\|x  - b  |- --
+--R                  |   2                 3|   2
+--R             +-+  |  a                  \|  b                  3+-+2
+--R       - 10a\|3   |- -- atan(------------------- + (6b x - 15a)\|x
+--R                 3|   2                +----+2
+--R                 \|  b                 |   2
+--R                                  +-+  |  a
+--R                                b\|3   |- --
+--R                                      3|   2
+--R                                      \|  b
+--R  /
+--R        2
+--R     10b
+--R                                         Type: Union(Expression(Integer),...)
+--E 123
+
+--S 124 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R           3+-+2    3+-+2 3+-+2  3+-+3+-+3+-+   3+-+2
+--R       - a \|a  log(\|b   \|x  - \|a \|b \|x  + \|a  )
+--R     + 
+--R            +----+                      +----+2          +----+
+--R            |   2                       |   2            |   2
+--R            |  a  3+-+2      3+-+2      |  a    3+-+     |  a
+--R       - a  |- -- \|b  log(a \|x   - b  |- --   \|x - a  |- --)
+--R           3|   2                      3|   2           3|   2
+--R           \|  b                       \|  b            \|  b
+--R     + 
+--R                                          +----+                    +----+2
+--R                                          |   2                     |   2
+--R          3+-+2    3+-+3+-+   3+-+        |  a  3+-+2     3+-+      |  a
+--R       2a \|a  log(\|b \|x  + \|a ) + 2a  |- -- \|b  log(a\|x  + b  |- --  )
+--R                                         3|   2                    3|   2
+--R                                         \|  b                     \|  b
+--R     + 
+--R                          3+-+3+-+   3+-+
+--R            +-+3+-+2     2\|b \|x  - \|a
+--R       - 2a\|3 \|a  atan(----------------)
+--R                              +-+3+-+
+--R                             \|3 \|a
+--R     + 
+--R                                             +----+2
+--R                                             |   2
+--R                                   3+-+      |  a
+--R                 +----+          2a\|x  - b  |- --
+--R                 |   2                      3|   2
+--R            +-+  |  a  3+-+2                \|  b
+--R       - 2a\|3   |- -- \|b  atan(-------------------)
+--R                3|   2                     +----+2
+--R                \|  b                      |   2
+--R                                      +-+  |  a
+--R                                    b\|3   |- --
+--R                                          3|   2
+--R                                          \|  b
+--R  /
+--R       2 3+-+2
+--R     2b  \|b
+--R                                                    Type: Expression(Integer)
+--E 124
+
+--S 125 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 125
+
+)clear all
+
+--S 126 of 2952
+t0000:=x^(4/3)/(a+b*x)
+--R 
+--R
+--R          3+-+
+--R         x\|x
+--R   (1)  -------
+--R        b x + a
+--R                                                    Type: Expression(Integer)
+--E 126
+
+--S 127 of 2952
+r0000:=-3*a*x^(1/3)/b^2+3/4*x^(4/3)/b+a^(4/3)*log(a^(1/3)+_
+     b^(1/3)*x^(1/3))/b^(7/3)-1/2*a^(4/3)*log(a^(2/3)-_
+     a^(1/3)*b^(1/3)*x^(1/3)+b^(2/3)*x^(2/3))/b^(7/3)-_
+     a^(4/3)*atan((a^(1/3)-_
+     2*b^(1/3)*x^(1/3))/(a^(1/3)*sqrt(3)))*sqrt(3)/b^(7/3)
+--R 
+--R
+--R   (2)
+--R           3+-+    3+-+2 3+-+2  3+-+3+-+3+-+   3+-+2
+--R       - 2a\|a log(\|b   \|x  - \|a \|b \|x  + \|a  )
+--R     + 
+--R                                                    3+-+3+-+   3+-+
+--R         3+-+    3+-+3+-+   3+-+       +-+3+-+     2\|b \|x  - \|a
+--R       4a\|a log(\|b \|x  + \|a ) + 4a\|3 \|a atan(----------------)
+--R                                                        +-+3+-+
+--R                                                       \|3 \|a
+--R     + 
+--R                   3+-+3+-+
+--R       (3b x - 12a)\|b \|x
+--R  /
+--R       2 3+-+
+--R     4b  \|b
+--R                                                    Type: Expression(Integer)
+--E 127
+
+--S 128 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R             +-+             +-+        +-+2       +-+            +-+
+--R             |a     3+-+2    |a 3+-+    |a         |a     3+-+    |a
+--R       - 2a 3|- log(\|x   - 3|- \|x  + 3|-   + 4a 3|- log(\|x  + 3|- )
+--R            \|b             \|b        \|b        \|b            \|b
+--R     + 
+--R                                +-+
+--R                        3+-+    |a
+--R               +-+     2\|x  - 3|-
+--R          +-+  |a              \|b                3+-+
+--R       4a\|3  3|- atan(------------ + (3b x - 12a)\|x
+--R              \|b              +-+
+--R                          +-+  |a
+--R                         \|3  3|-
+--R                              \|b
+--R  /
+--R       2
+--R     4b
+--R                                         Type: Union(Expression(Integer),...)
+--E 128
+
+--S 129 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R        3+-+    3+-+2 3+-+2  3+-+3+-+3+-+   3+-+2
+--R       a\|a log(\|b   \|x  - \|a \|b \|x  + \|a  )
+--R     + 
+--R            +-+                 +-+        +-+2
+--R            |a 3+-+    3+-+2    |a 3+-+    |a       3+-+    3+-+3+-+   3+-+
+--R       - a 3|- \|b log(\|x   - 3|- \|x  + 3|-   - 2a\|a log(\|b \|x  + \|a )
+--R           \|b                 \|b        \|b
+--R     + 
+--R           +-+                +-+                   3+-+3+-+   3+-+
+--R           |a 3+-+    3+-+    |a       +-+3+-+     2\|b \|x  - \|a
+--R       2a 3|- \|b log(\|x  + 3|-  - 2a\|3 \|a atan(----------------)
+--R          \|b                \|b                        +-+3+-+
+--R                                                       \|3 \|a
+--R     + 
+--R                                    +-+
+--R                            3+-+    |a
+--R               +-+         2\|x  - 3|-
+--R          +-+  |a 3+-+             \|b
+--R       2a\|3  3|- \|b atan(------------)
+--R              \|b                  +-+
+--R                              +-+  |a
+--R                             \|3  3|-
+--R                                  \|b
+--R  /
+--R       2 3+-+
+--R     2b  \|b
+--R                                                    Type: Expression(Integer)
+--E 129
+
+--S 130 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 130
+
+)clear all
+
+--S 131 of 2952
+t0000:=x^(2/3)/(a+b*x)
+--R 
+--R
+--R         3+-+2
+--R         \|x
+--R   (1)  -------
+--R        b x + a
+--R                                                    Type: Expression(Integer)
+--E 131
+
+--S 132 of 2952
+r0000:=3/2*x^(2/3)/b+a^(2/3)*log(a^(1/3)+b^(1/3)*x^(1/3))/b^(5/3)-_
+     1/2*a^(2/3)*log(a^(2/3)-a^(1/3)*b^(1/3)*x^(1/3)+_
+     b^(2/3)*x^(2/3))/b^(5/3)+a^(2/3)*atan((a^(1/3)-_
+     2*b^(1/3)*x^(1/3))/(a^(1/3)*sqrt(3)))*sqrt(3)/b^(5/3)
+--R 
+--R
+--R   (2)
+--R         3+-+2    3+-+2 3+-+2  3+-+3+-+3+-+   3+-+2
+--R       - \|a  log(\|b   \|x  - \|a \|b \|x  + \|a  )
+--R     + 
+--R                                                  3+-+3+-+   3+-+
+--R      3+-+2    3+-+3+-+   3+-+      +-+3+-+2     2\|b \|x  - \|a      3+-+2 3+-+2
+--R     2\|a  log(\|b \|x  + \|a ) - 2\|3 \|a  atan(----------------) + 3\|b   \|x
+--R                                                      +-+3+-+
+--R                                                     \|3 \|a
+--R  /
+--R        3+-+2
+--R     2b \|b
+--R                                                    Type: Expression(Integer)
+--E 132
+
+--S 133 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R          +--+                 +--+2          +--+      +--+               +--+2
+--R          | 2                  | 2            | 2       | 2                | 2
+--R          |a        3+-+2      |a    3+-+     |a        |a       3+-+      |a
+--R       -  |-- log(a \|x   - b  |--   \|x + a  |--) + 2  |-- log(a\|x  + b  |--  )
+--R         3| 2                 3| 2           3| 2      3| 2               3| 2
+--R         \|b                  \|b            \|b       \|b                \|b
+--R     + 
+--R                                     +--+2
+--R                                     | 2
+--R                           3+-+      |a
+--R                +--+     2a\|x  - b  |--
+--R                | 2                 3| 2
+--R           +-+  |a                  \|b       3+-+2
+--R       - 2\|3   |-- atan(----------------- + 3\|x
+--R               3| 2                +--+2
+--R               \|b                 | 2
+--R                              +-+  |a
+--R                            b\|3   |--
+--R                                  3| 2
+--R                                  \|b
+--R  /
+--R     2b
+--R                                         Type: Union(Expression(Integer),...)
+--E 133
+
+--S 134 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R       3+-+2    3+-+2 3+-+2  3+-+3+-+3+-+   3+-+2
+--R       \|a  log(\|b   \|x  - \|a \|b \|x  + \|a  )
+--R     + 
+--R          +--+                      +--+2          +--+
+--R          | 2                       | 2            | 2
+--R          |a  3+-+2      3+-+2      |a    3+-+     |a
+--R       -  |-- \|b  log(a \|x   - b  |--   \|x + a  |--)
+--R         3| 2                      3| 2           3| 2
+--R         \|b                       \|b            \|b
+--R     + 
+--R                                         +--+                    +--+2
+--R                                         | 2                     | 2
+--R          3+-+2    3+-+3+-+   3+-+       |a  3+-+2     3+-+      |a
+--R       - 2\|a  log(\|b \|x  + \|a ) + 2  |-- \|b  log(a\|x  + b  |--  )
+--R                                        3| 2                    3| 2
+--R                                        \|b                     \|b
+--R     + 
+--R                                                                         +--+2
+--R                                                                         | 2
+--R                                                               3+-+      |a
+--R                                               +--+          2a\|x  - b  |--
+--R                     3+-+3+-+   3+-+           | 2                      3| 2
+--R       +-+3+-+2     2\|b \|x  - \|a       +-+  |a  3+-+2                \|b
+--R     2\|3 \|a  atan(----------------) - 2\|3   |-- \|b  atan(-----------------)
+--R                         +-+3+-+              3| 2                     +--+2
+--R                        \|3 \|a               \|b                      | 2
+--R                                                                  +-+  |a
+--R                                                                b\|3   |--
+--R                                                                      3| 2
+--R                                                                      \|b
+--R  /
+--R        3+-+2
+--R     2b \|b
+--R                                                    Type: Expression(Integer)
+--E 134
+
+--S 135 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 135
+
+)clear all
+
+--S 136 of 2952
+t0000:=x^(1/3)/(a+b*x)
+--R 
+--R
+--R          3+-+
+--R          \|x
+--R   (1)  -------
+--R        b x + a
+--R                                                    Type: Expression(Integer)
+--E 136
+
+--S 137 of 2952
+r0000:=3*x^(1/3)/b-a^(1/3)*log(a^(1/3)+b^(1/3)*x^(1/3))/b^(4/3)+_
+     1/2*a^(1/3)*log(a^(2/3)-a^(1/3)*b^(1/3)*x^(1/3)+_
+     b^(2/3)*x^(2/3))/b^(4/3)+a^(1/3)*atan((a^(1/3)-_
+     2*b^(1/3)*x^(1/3))/(a^(1/3)*sqrt(3)))*sqrt(3)/b^(4/3)
+--R 
+--R
+--R   (2)
+--R       3+-+    3+-+2 3+-+2  3+-+3+-+3+-+   3+-+2     3+-+    3+-+3+-+   3+-+
+--R       \|a log(\|b   \|x  - \|a \|b \|x  + \|a  ) - 2\|a log(\|b \|x  + \|a )
+--R     + 
+--R                        3+-+3+-+   3+-+
+--R           +-+3+-+     2\|b \|x  - \|a      3+-+3+-+
+--R       - 2\|3 \|a atan(----------------) + 6\|b \|x
+--R                            +-+3+-+
+--R                           \|3 \|a
+--R  /
+--R       3+-+
+--R     2b\|b
+--R                                                    Type: Expression(Integer)
+--E 137
+
+--S 138 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R          +---+             +---+        +---+2       +---+            +---+
+--R          |  a     3+-+2    |  a 3+-+    |  a         |  a     3+-+    |  a
+--R       - 3|- - log(\|x   + 3|- - \|x  + 3|- -  ) + 2 3|- - log(\|x  - 3|- - )
+--R         \|  b             \|  b        \|  b        \|  b            \|  b
+--R     + 
+--R                                   +---+
+--R                           3+-+    |  a
+--R                +---+     2\|x  + 3|- -
+--R           +-+  |  a              \|  b     3+-+
+--R       - 2\|3  3|- - atan(-------------- + 6\|x
+--R               \|  b              +---+
+--R                             +-+  |  a
+--R                            \|3  3|- -
+--R                                 \|  b
+--R  /
+--R     2b
+--R                                         Type: Union(Expression(Integer),...)
+--E 138
+
+--S 139 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R         3+-+    3+-+2 3+-+2  3+-+3+-+3+-+   3+-+2
+--R       - \|a log(\|b   \|x  - \|a \|b \|x  + \|a  )
+--R     + 
+--R          +---+                 +---+        +---+2
+--R          |  a 3+-+    3+-+2    |  a 3+-+    |  a       3+-+    3+-+3+-+   3+-+
+--R       - 3|- - \|b log(\|x   + 3|- - \|x  + 3|- -  ) + 2\|a log(\|b \|x  + \|a )
+--R         \|  b                 \|  b        \|  b
+--R     + 
+--R          +---+                +---+                  3+-+3+-+   3+-+
+--R          |  a 3+-+    3+-+    |  a      +-+3+-+     2\|b \|x  - \|a
+--R       2 3|- - \|b log(\|x  - 3|- -  + 2\|3 \|a atan(----------------)
+--R         \|  b                \|  b                       +-+3+-+
+--R                                                         \|3 \|a
+--R     + 
+--R                                       +---+
+--R                               3+-+    |  a
+--R                +---+         2\|x  + 3|- -
+--R           +-+  |  a 3+-+             \|  b
+--R       - 2\|3  3|- - \|b atan(--------------)
+--R               \|  b                  +---+
+--R                                 +-+  |  a
+--R                                \|3  3|- -
+--R                                     \|  b
+--R  /
+--R       3+-+
+--R     2b\|b
+--R                                                    Type: Expression(Integer)
+--E 139
+
+--S 140 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 140
+
+)clear all
+
+--S 141 of 2952
+t0000:=1/(x^(1/3)*(a+b*x))
+--R 
+--R
+--R              1
+--R   (1)  -------------
+--R                 3+-+
+--R        (b x + a)\|x
+--R                                                    Type: Expression(Integer)
+--E 141
+
+--S 142 of 2952
+r0000:=-log(a^(1/3)+b^(1/3)*x^(1/3))/(a^(1/3)*b^(2/3))+_
+     1/2*log(a^(2/3)-a^(1/3)*b^(1/3)*x^(1/3)+b^(2/3)*x^(2/3))/_
+     (a^(1/3)*b^(2/3))-atan((a^(1/3)-2*b^(1/3)*x^(1/3))/_
+     (a^(1/3)*sqrt(3)))*sqrt(3)/(a^(1/3)*b^(2/3))
+--R 
+--R
+--R   (2)
+--R           3+-+2 3+-+2  3+-+3+-+3+-+   3+-+2         3+-+3+-+   3+-+
+--R       log(\|b   \|x  - \|a \|b \|x  + \|a  ) - 2log(\|b \|x  + \|a )
+--R     + 
+--R                  3+-+3+-+   3+-+
+--R         +-+     2\|b \|x  - \|a
+--R       2\|3 atan(----------------)
+--R                      +-+3+-+
+--R                     \|3 \|a
+--R  /
+--R      3+-+3+-+2
+--R     2\|a \|b
+--R                                                    Type: Expression(Integer)
+--E 142
+
+--S 143 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R               +------+         +------+2
+--R              3|     2 3+-+2   3|     2   3+-+
+--R       - log(b\|- a b  \|x   + \|- a b    \|x - a b)
+--R     + 
+--R                                                +------+2
+--R             +------+2                         3|     2   3+-+
+--R            3|     2   3+-+           +-+     2\|- a b    \|x - a b
+--R       2log(\|- a b    \|x + a b) - 2\|3 atan(---------------------)
+--R                                                         +-+
+--R                                                     a b\|3
+--R  /
+--R       +------+
+--R      3|     2
+--R     2\|- a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 143
+
+--S 144 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R          +------+
+--R         3|     2     3+-+2 3+-+2  3+-+3+-+3+-+   3+-+2
+--R       - \|- a b  log(\|b   \|x  - \|a \|b \|x  + \|a  )
+--R     + 
+--R                        +------+         +------+2
+--R         3+-+3+-+2     3|     2 3+-+2   3|     2   3+-+
+--R       - \|a \|b  log(b\|- a b  \|x   + \|- a b    \|x - a b)
+--R     + 
+--R         +------+                                      +------+2
+--R        3|     2     3+-+3+-+   3+-+     3+-+3+-+2    3|     2   3+-+
+--R       2\|- a b  log(\|b \|x  + \|a ) + 2\|a \|b  log(\|- a b    \|x + a b)
+--R     + 
+--R               +------+      3+-+3+-+   3+-+
+--R           +-+3|     2      2\|b \|x  - \|a
+--R       - 2\|3 \|- a b  atan(----------------)
+--R                                 +-+3+-+
+--R                                \|3 \|a
+--R     + 
+--R                              +------+2
+--R                             3|     2   3+-+
+--R           +-+3+-+3+-+2     2\|- a b    \|x - a b
+--R       - 2\|3 \|a \|b  atan(---------------------)
+--R                                       +-+
+--R                                   a b\|3
+--R  /
+--R       +------+
+--R      3|     2 3+-+3+-+2
+--R     2\|- a b  \|a \|b
+--R                                                    Type: Expression(Integer)
+--E 144
+
+--S 145 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 145
+
+)clear all
+
+--S 146 of 2952
+t0000:=1/(x^(2/3)*(a+b*x))
+--R 
+--R
+--R               1
+--R   (1)  --------------
+--R                 3+-+2
+--R        (b x + a)\|x
+--R                                                    Type: Expression(Integer)
+--E 146
+
+--S 147 of 2952
+r0000:=log(a^(1/3)+b^(1/3)*x^(1/3))/(a^(2/3)*b^(1/3))-_
+     1/2*log(a^(2/3)-a^(1/3)*b^(1/3)*x^(1/3)+b^(2/3)*x^(2/3))/_
+     (a^(2/3)*b^(1/3))-atan((a^(1/3)-2*b^(1/3)*x^(1/3))/_
+     (a^(1/3)*sqrt(3)))*sqrt(3)/(a^(2/3)*b^(1/3))
+--R 
+--R
+--R   (2)
+--R             3+-+2 3+-+2  3+-+3+-+3+-+   3+-+2         3+-+3+-+   3+-+
+--R       - log(\|b   \|x  - \|a \|b \|x  + \|a  ) + 2log(\|b \|x  + \|a )
+--R     + 
+--R                  3+-+3+-+   3+-+
+--R         +-+     2\|b \|x  - \|a
+--R       2\|3 atan(----------------)
+--R                      +-+3+-+
+--R                     \|3 \|a
+--R  /
+--R      3+-+2 3+-+
+--R     2\|a   \|b
+--R                                                    Type: Expression(Integer)
+--E 147
+
+--S 148 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R              +---+2          +---+                   +---+
+--R             3| 2    3+-+2   3| 2  3+-+    2         3| 2  3+-+
+--R       - log(\|a b   \|x  - a\|a b \|x  + a ) + 2log(\|a b \|x  + a)
+--R     + 
+--R                   +---+
+--R                  3| 2  3+-+
+--R         +-+     2\|a b \|x  - a
+--R       2\|3 atan(---------------)
+--R                        +-+
+--R                      a\|3
+--R  /
+--R       +---+
+--R      3| 2
+--R     2\|a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 148
+
+--S 149 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R                        +---+2          +---+
+--R         3+-+2 3+-+    3| 2    3+-+2   3| 2  3+-+    2
+--R       - \|a   \|b log(\|a b   \|x  - a\|a b \|x  + a )
+--R     + 
+--R        +---+
+--R       3| 2      3+-+2 3+-+2  3+-+3+-+3+-+   3+-+2
+--R       \|a b log(\|b   \|x  - \|a \|b \|x  + \|a  )
+--R     + 
+--R                       +---+             +---+
+--R        3+-+2 3+-+    3| 2  3+-+        3| 2      3+-+3+-+   3+-+
+--R       2\|a   \|b log(\|a b \|x  + a - 2\|a b log(\|b \|x  + \|a )
+--R     + 
+--R                             +---+
+--R                            3| 2  3+-+             +---+      3+-+3+-+   3+-+
+--R         +-+3+-+2 3+-+     2\|a b \|x  - a     +-+3| 2       2\|b \|x  - \|a
+--R       2\|3 \|a   \|b atan(--------------- - 2\|3 \|a b atan(----------------)
+--R                                  +-+                             +-+3+-+
+--R                                a\|3                             \|3 \|a
+--R  /
+--R                 +---+
+--R      3+-+2 3+-+3| 2
+--R     2\|a   \|b \|a b
+--R                                                    Type: Expression(Integer)
+--E 149
+
+--S 150 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 150
+
+)clear all
+
+--S 151 of 2952
+t0000:=1/(x^(4/3)*(a+b*x))
+--R 
+--R
+--R                1
+--R   (1)  ----------------
+--R            2       3+-+
+--R        (b x  + a x)\|x
+--R                                                    Type: Expression(Integer)
+--E 151
+
+--S 152 of 2952
+r0000:=(-3)/(a*x^(1/3))+b^(1/3)*log(a^(1/3)+b^(1/3)*x^(1/3))/a^(4/3)-_
+     1/2*b^(1/3)*log(a^(2/3)-a^(1/3)*b^(1/3)*x^(1/3)+_
+     b^(2/3)*x^(2/3))/a^(4/3)+b^(1/3)*atan((a^(1/3)-_
+     2*b^(1/3)*x^(1/3))/(a^(1/3)*sqrt(3)))*sqrt(3)/a^(4/3)
+--R 
+--R
+--R   (2)
+--R         3+-+3+-+    3+-+2 3+-+2  3+-+3+-+3+-+   3+-+2
+--R       - \|b \|x log(\|b   \|x  - \|a \|b \|x  + \|a  )
+--R     + 
+--R                                                        3+-+3+-+   3+-+
+--R      3+-+3+-+    3+-+3+-+   3+-+      +-+3+-+3+-+     2\|b \|x  - \|a      3+-+
+--R     2\|b \|x log(\|b \|x  + \|a ) - 2\|3 \|b \|x atan(----------------) - 6\|a
+--R                                                            +-+3+-+
+--R                                                           \|3 \|a
+--R  /
+--R       3+-+3+-+
+--R     2a\|a \|x
+--R                                                    Type: Expression(Integer)
+--E 152
+
+--S 153 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R          +-+                     +-+2          +-+
+--R          |b 3+-+      3+-+2      |b   3+-+     |b
+--R       - 3|- \|x log(b \|x   - a 3|-   \|x + a 3|-)
+--R         \|a                     \|a           \|a
+--R     + 
+--R                                                                      +-+2
+--R                                                            3+-+      |b
+--R          +-+                   +-+2          +-+         2b\|x  - a 3|-
+--R          |b 3+-+     3+-+      |b       +-+  |b 3+-+                \|a
+--R       2 3|- \|x log(b\|x  + a 3|-   - 2\|3  3|- \|x atan(---------------- - 6
+--R         \|a                   \|a           \|a                    +-+2
+--R                                                               +-+  |b
+--R                                                             a\|3  3|-
+--R                                                                   \|a
+--R  /
+--R       3+-+
+--R     2a\|x
+--R                                         Type: Union(Expression(Integer),...)
+--E 153
+
+--S 154 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R       3+-+    3+-+2 3+-+2  3+-+3+-+3+-+   3+-+2
+--R       \|b log(\|b   \|x  - \|a \|b \|x  + \|a  )
+--R     + 
+--R               +-+                 +-+2          +-+
+--R         3+-+  |b       3+-+2      |b   3+-+     |b    3+-+    3+-+3+-+   3+-+
+--R       - \|a  3|- log(b \|x   - a 3|-   \|x + a 3|- - 2\|b log(\|b \|x  + \|a )
+--R              \|a                 \|a           \|a
+--R     + 
+--R              +-+               +-+2                  3+-+3+-+   3+-+
+--R        3+-+  |b      3+-+      |b       +-+3+-+     2\|b \|x  - \|a
+--R       2\|a  3|- log(b\|x  + a 3|-   + 2\|3 \|b atan(----------------)
+--R             \|a               \|a                        +-+3+-+
+--R                                                         \|3 \|a
+--R     + 
+--R                                        +-+2
+--R                              3+-+      |b
+--R                    +-+     2b\|x  - a 3|-
+--R           +-+3+-+  |b                 \|a
+--R       - 2\|3 \|a  3|- atan(----------------)
+--R                   \|a                +-+2
+--R                                 +-+  |b
+--R                               a\|3  3|-
+--R                                     \|a
+--R  /
+--R       3+-+
+--R     2a\|a
+--R                                                    Type: Expression(Integer)
+--E 154
+
+--S 155 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 155
+
+)clear all
+
+--S 156 of 2952
+t0000:=1/(x^(5/3)*(a+b*x))
+--R 
+--R
+--R                1
+--R   (1)  -----------------
+--R            2       3+-+2
+--R        (b x  + a x)\|x
+--R                                                    Type: Expression(Integer)
+--E 156
+
+--S 157 of 2952
+r0000:=(-3/2)/(a*x^(2/3))-b^(2/3)*log(a^(1/3)+_
+     b^(1/3)*x^(1/3))/a^(5/3)+1/2*b^(2/3)*log(a^(2/3)-_
+     a^(1/3)*b^(1/3)*x^(1/3)+b^(2/3)*x^(2/3))/a^(5/3)+_
+     b^(2/3)*atan((a^(1/3)-2*b^(1/3)*x^(1/3))/(a^(1/3)*sqrt(3)))*_
+     sqrt(3)/a^(5/3)
+--R 
+--R
+--R   (2)
+--R       3+-+2 3+-+2    3+-+2 3+-+2  3+-+3+-+3+-+   3+-+2
+--R       \|b   \|x  log(\|b   \|x  - \|a \|b \|x  + \|a  )
+--R     + 
+--R                                                                 3+-+3+-+   3+-+
+--R          3+-+2 3+-+2    3+-+3+-+   3+-+     +-+3+-+2 3+-+2     2\|b \|x  - \|a
+--R       - 2\|b   \|x  log(\|b \|x  + \|a  - 2\|3 \|b   \|x  atan(----------------)
+--R                                                                     +-+3+-+
+--R                                                                    \|3 \|a
+--R     + 
+--R          3+-+2
+--R       - 3\|a
+--R  /
+--R        3+-+2 3+-+2
+--R     2a \|a   \|x
+--R                                                    Type: Expression(Integer)
+--E 157
+
+--S 158 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R          +----+                        +----+          +----+2
+--R          |   2                         |   2           |   2
+--R          |  b  3+-+2     2 3+-+2       |  b  3+-+   2  |  b
+--R       -  |- -- \|x  log(b  \|x  + a b  |- -- \|x + a   |- -- )
+--R         3|   2                        3|   2          3|   2
+--R         \|  a                         \|  a           \|  a
+--R     + 
+--R          +----+                    +----+
+--R          |   2                     |   2
+--R          |  b  3+-+2     3+-+      |  b
+--R       2  |- -- \|x  log(b\|x  - a  |- --)
+--R         3|   2                    3|   2
+--R         \|  a                     \|  a
+--R     + 
+--R                                            +----+
+--R                                            |   2
+--R                                  3+-+      |  b
+--R                +----+          2b\|x  + a  |- --
+--R                |   2                      3|   2
+--R           +-+  |  b  3+-+2                \|  a
+--R       - 2\|3   |- -- \|x  atan(----------------- - 3
+--R               3|   2                     +----+
+--R               \|  a                      |   2
+--R                                     +-+  |  b
+--R                                   a\|3   |- --
+--R                                         3|   2
+--R                                         \|  a
+--R  /
+--R        3+-+2
+--R     2a \|x
+--R                                         Type: Union(Expression(Integer),...)
+--E 158
+
+--S 159 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R         3+-+2    3+-+2 3+-+2  3+-+3+-+3+-+   3+-+2
+--R       - \|b  log(\|b   \|x  - \|a \|b \|x  + \|a  )
+--R     + 
+--R          +----+                        +----+          +----+2
+--R          |   2                         |   2           |   2
+--R          |  b  3+-+2     2 3+-+2       |  b  3+-+   2  |  b
+--R       -  |- -- \|a  log(b  \|x  + a b  |- -- \|x + a   |- -- )
+--R         3|   2                        3|   2          3|   2
+--R         \|  a                         \|  a           \|  a
+--R     + 
+--R                                       +----+                    +----+
+--R                                       |   2                     |   2
+--R        3+-+2    3+-+3+-+   3+-+       |  b  3+-+2     3+-+      |  b
+--R       2\|b  log(\|b \|x  + \|a ) + 2  |- -- \|a  log(b\|x  - a  |- --)
+--R                                      3|   2                    3|   2
+--R                                      \|  a                     \|  a
+--R     + 
+--R                                                                           +----+
+--R                                                                           |   2
+--R                                                                 3+-+      |  b
+--R                                               +----+          2b\|x  + a  |- --
+--R                     3+-+3+-+   3+-+           |   2                      3|   2
+--R       +-+3+-+2     2\|b \|x  - \|a       +-+  |  b  3+-+2                \|  a
+--R     2\|3 \|b  atan(----------------) - 2\|3   |- -- \|a  atan(-----------------)
+--R                         +-+3+-+              3|   2                     +----+
+--R                        \|3 \|a               \|  a                      |   2
+--R                                                                    +-+  |  b
+--R                                                                  a\|3   |- --
+--R                                                                        3|   2
+--R                                                                        \|  a
+--R  /
+--R        3+-+2
+--R     2a \|a
+--R                                                    Type: Expression(Integer)
+--E 159
+
+--S 160 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 160
+
+)clear all
+
+--S 161 of 2952
+t0000:=x^(5/3)/(a+b*x)^2
+--R 
+--R
+--R                3+-+2
+--R              x \|x
+--R   (1)  ------------------
+--R         2 2             2
+--R        b x  + 2a b x + a
+--R                                                    Type: Expression(Integer)
+--E 161
+
+--S 162 of 2952
+r0000:=5/2*x^(2/3)/b^2-x^(5/3)/(b*(a+b*x))+5/3*a^(2/3)*log(a^(1/3)+_
+     b^(1/3)*x^(1/3))/b^(8/3)-5/6*a^(2/3)*log(a^(2/3)-_
+     a^(1/3)*b^(1/3)*x^(1/3)+b^(2/3)*x^(2/3))/b^(8/3)+_
+     5*a^(2/3)*atan((a^(1/3)-2*b^(1/3)*x^(1/3))/(a^(1/3)*_
+     sqrt(3)))/(b^(8/3)*sqrt(3))
+--R 
+--R
+--R   (2)
+--R                     +-+3+-+2    3+-+2 3+-+2  3+-+3+-+3+-+   3+-+2
+--R       (- 5b x - 5a)\|3 \|a  log(\|b   \|x  - \|a \|b \|x  + \|a  )
+--R     + 
+--R                     +-+3+-+2    3+-+3+-+   3+-+
+--R       (10b x + 10a)\|3 \|a  log(\|b \|x  + \|a )
+--R     + 
+--R                                 3+-+3+-+   3+-+
+--R                      3+-+2     2\|b \|x  - \|a                  +-+3+-+2 3+-+2
+--R       (- 30b x - 30a)\|a  atan(----------------) + (9b x + 15a)\|3 \|b   \|x
+--R                                     +-+3+-+
+--R                                    \|3 \|a
+--R  /
+--R        3        2  +-+3+-+2
+--R     (6b x + 6a b )\|3 \|b
+--R                                                    Type: Expression(Integer)
+--E 162
+
+--S 163 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                          +--+                 +--+2          +--+
+--R                          | 2                  | 2            | 2
+--R                     +-+  |a        3+-+2      |a    3+-+     |a
+--R       (- 5b x - 5a)\|3   |-- log(a \|x   - b  |--   \|x + a  |--)
+--R                         3| 2                 3| 2           3| 2
+--R                         \|b                  \|b            \|b
+--R     + 
+--R                          +--+               +--+2
+--R                          | 2                | 2
+--R                     +-+  |a       3+-+      |a
+--R       (10b x + 10a)\|3   |-- log(a\|x  + b  |--  )
+--R                         3| 2               3| 2
+--R                         \|b                \|b
+--R     + 
+--R                                                   +--+2
+--R                                                   | 2
+--R                                  +-+3+-+     +-+  |a
+--R                      +--+     2a\|3 \|x  - b\|3   |--
+--R                      | 2                         3| 2
+--R                      |a                          \|b                  +-+3+-+2
+--R     (- 30b x - 30a)  |-- atan(------------------------ + (9b x + 15a)\|3 \|x
+--R                     3| 2                  +--+2
+--R                     \|b                   | 2
+--R                                           |a
+--R                                       3b  |--
+--R                                          3| 2
+--R                                          \|b
+--R  /
+--R        3        2  +-+
+--R     (6b x + 6a b )\|3
+--R                                         Type: Union(Expression(Integer),...)
+--E 163
+
+--S 164 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R         +-+3+-+2    3+-+2 3+-+2  3+-+3+-+3+-+   3+-+2
+--R       5\|3 \|a  log(\|b   \|x  - \|a \|b \|x  + \|a  )
+--R     + 
+--R                +--+                      +--+2          +--+
+--R                | 2                       | 2            | 2
+--R           +-+  |a  3+-+2      3+-+2      |a    3+-+     |a
+--R       - 5\|3   |-- \|b  log(a \|x   - b  |--   \|x + a  |--)
+--R               3| 2                      3| 2           3| 2
+--R               \|b                       \|b            \|b
+--R     + 
+--R                                                   +--+                    +--+2
+--R                                                   | 2                     | 2
+--R            +-+3+-+2    3+-+3+-+   3+-+       +-+  |a  3+-+2     3+-+      |a
+--R       - 10\|3 \|a  log(\|b \|x  + \|a ) + 10\|3   |-- \|b  log(a\|x  + b  |--  )
+--R                                                  3| 2                    3| 2
+--R                                                  \|b                     \|b
+--R     + 
+--R                                                                           +--+2
+--R                                                                           | 2
+--R                                                          +-+3+-+     +-+  |a
+--R                                         +--+          2a\|3 \|x  - b\|3   |--
+--R                  3+-+3+-+   3+-+        | 2                              3| 2
+--R       3+-+2     2\|b \|x  - \|a         |a  3+-+2                        \|b
+--R     30\|a  atan(----------------) - 30  |-- \|b  atan(------------------------)
+--R                      +-+3+-+           3| 2                       +--+2
+--R                     \|3 \|a            \|b                        | 2
+--R                                                                   |a
+--R                                                               3b  |--
+--R                                                                  3| 2
+--R                                                                  \|b
+--R  /
+--R       2 +-+3+-+2
+--R     6b \|3 \|b
+--R                                                    Type: Expression(Integer)
+--E 164
+
+--S 165 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 165
+
+)clear all
+
+--S 166 of 2952
+t0000:=x^(4/3)/(a+b*x)^2
+--R 
+--R
+--R                3+-+
+--R               x\|x
+--R   (1)  ------------------
+--R         2 2             2
+--R        b x  + 2a b x + a
+--R                                                    Type: Expression(Integer)
+--E 166
+
+--S 167 of 2952
+r0000:=4*x^(1/3)/b^2-x^(4/3)/(b*(a+b*x))-4/3*a^(1/3)*log(a^(1/3)+_
+     b^(1/3)*x^(1/3))/b^(7/3)+2/3*a^(1/3)*log(a^(2/3)-_
+     a^(1/3)*b^(1/3)*x^(1/3)+b^(2/3)*x^(2/3))/b^(7/3)+_
+     4*a^(1/3)*atan((a^(1/3)-2*b^(1/3)*x^(1/3))/(a^(1/3)*sqrt(3)))/_
+     (b^(7/3)*sqrt(3))
+--R 
+--R
+--R   (2)
+--R                   +-+3+-+    3+-+2 3+-+2  3+-+3+-+3+-+   3+-+2
+--R       (2b x + 2a)\|3 \|a log(\|b   \|x  - \|a \|b \|x  + \|a  )
+--R     + 
+--R                     +-+3+-+    3+-+3+-+   3+-+
+--R       (- 4b x - 4a)\|3 \|a log(\|b \|x  + \|a )
+--R     + 
+--R                                3+-+3+-+   3+-+
+--R                      3+-+     2\|b \|x  - \|a                  +-+3+-+3+-+
+--R       (- 12b x - 12a)\|a atan(----------------) + (9b x + 12a)\|3 \|b \|x
+--R                                    +-+3+-+
+--R                                   \|3 \|a
+--R  /
+--R        3        2  +-+3+-+
+--R     (3b x + 3a b )\|3 \|b
+--R                                                    Type: Expression(Integer)
+--E 167
+
+--S 168 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                          +---+             +---+        +---+2
+--R                     +-+  |  a     3+-+2    |  a 3+-+    |  a
+--R       (- 2b x - 2a)\|3  3|- - log(\|x   + 3|- - \|x  + 3|- -  )
+--R                         \|  b             \|  b        \|  b
+--R     + 
+--R                        +---+            +---+
+--R                   +-+  |  a     3+-+    |  a
+--R       (4b x + 4a)\|3  3|- - log(\|x  - 3|- - )
+--R                       \|  b            \|  b
+--R     + 
+--R                                                    +---+
+--R                                    +-+3+-+    +-+  |  a
+--R                        +---+     2\|3 \|x  + \|3  3|- -
+--R                        |  a                       \|  b                +-+3+-+
+--R       (- 12b x - 12a) 3|- - atan(---------------------- + (9b x + 12a)\|3 \|x
+--R                       \|  b                 +---+
+--R                                             |  a
+--R                                          3 3|- -
+--R                                            \|  b
+--R  /
+--R        3        2  +-+
+--R     (3b x + 3a b )\|3
+--R                                         Type: Union(Expression(Integer),...)
+--E 168
+
+--S 169 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R           +-+3+-+    3+-+2 3+-+2  3+-+3+-+3+-+   3+-+2
+--R       - 2\|3 \|a log(\|b   \|x  - \|a \|b \|x  + \|a  )
+--R     + 
+--R                +---+                 +---+        +---+2
+--R           +-+  |  a 3+-+    3+-+2    |  a 3+-+    |  a
+--R       - 2\|3  3|- - \|b log(\|x   + 3|- - \|x  + 3|- -  )
+--R               \|  b                 \|  b        \|  b
+--R     + 
+--R                                              +---+                +---+
+--R         +-+3+-+    3+-+3+-+   3+-+      +-+  |  a 3+-+    3+-+    |  a
+--R       4\|3 \|a log(\|b \|x  + \|a ) + 4\|3  3|- - \|b log(\|x  - 3|- - )
+--R                                             \|  b                \|  b
+--R     + 
+--R                                                                          +---+
+--R                                                          +-+3+-+    +-+  |  a
+--R                   3+-+3+-+   3+-+        +---+         2\|3 \|x  + \|3  3|- -
+--R         3+-+     2\|b \|x  - \|a         |  a 3+-+                      \|  b
+--R       12\|a atan(----------------) - 12 3|- - \|b atan(----------------------)
+--R                       +-+3+-+           \|  b                     +---+
+--R                      \|3 \|a                                      |  a
+--R                                                                3 3|- -
+--R                                                                  \|  b
+--R  /
+--R       2 +-+3+-+
+--R     3b \|3 \|b
+--R                                                    Type: Expression(Integer)
+--E 169
+
+--S 170 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 170
+
+)clear all
+
+--S 171 of 2952
+t0000:=x^(2/3)/(a+b*x)^2
+--R 
+--R
+--R               3+-+2
+--R               \|x
+--R   (1)  ------------------
+--R         2 2             2
+--R        b x  + 2a b x + a
+--R                                                    Type: Expression(Integer)
+--E 171
+
+--S 172 of 2952
+r0000:=-x^(2/3)/(b*(a+b*x))-2/3*log(a^(1/3)+_
+     b^(1/3)*x^(1/3))/(a^(1/3)*b^(5/3))+1/3*log(a^(2/3)-_
+     a^(1/3)*b^(1/3)*x^(1/3)+b^(2/3)*x^(2/3))/(a^(1/3)*b^(5/3))-_
+     2*atan((a^(1/3)-2*b^(1/3)*x^(1/3))/(a^(1/3)*sqrt(3)))/_
+     (a^(1/3)*b^(5/3)*sqrt(3))
+--R 
+--R
+--R   (2)
+--R                 +-+    3+-+2 3+-+2  3+-+3+-+3+-+   3+-+2
+--R       (b x + a)\|3 log(\|b   \|x  - \|a \|b \|x  + \|a  )
+--R     + 
+--R                                                                3+-+3+-+   3+-+
+--R                     +-+    3+-+3+-+   3+-+                    2\|b \|x  - \|a
+--R       (- 2b x - 2a)\|3 log(\|b \|x  + \|a ) + (6b x + 6a)atan(----------------)
+--R                                                                    +-+3+-+
+--R                                                                   \|3 \|a
+--R     + 
+--R           +-+3+-+3+-+2 3+-+2
+--R       - 3\|3 \|a \|b   \|x
+--R  /
+--R        2          +-+3+-+3+-+2
+--R     (3b x + 3a b)\|3 \|a \|b
+--R                                                    Type: Expression(Integer)
+--E 172
+
+--S 173 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                            +------+         +------+2
+--R                   +-+     3|     2 3+-+2   3|     2   3+-+
+--R       (- b x - a)\|3 log(b\|- a b  \|x   + \|- a b    \|x - a b)
+--R     + 
+--R                           +------+2
+--R                   +-+    3|     2   3+-+
+--R       (2b x + 2a)\|3 log(\|- a b    \|x + a b)
+--R     + 
+--R                               +------+2
+--R                           +-+3|     2   3+-+      +-+          +------+
+--R                         2\|3 \|- a b    \|x - a b\|3       +-+3|     2 3+-+2
+--R       (- 6b x - 6a)atan(-----------------------------) - 3\|3 \|- a b  \|x
+--R                                      3a b
+--R  /
+--R                       +------+
+--R        2          +-+3|     2
+--R     (3b x + 3a b)\|3 \|- a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 173
+
+--S 174 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R              +------+
+--R          +-+3|     2     3+-+2 3+-+2  3+-+3+-+3+-+   3+-+2
+--R       - \|3 \|- a b  log(\|b   \|x  - \|a \|b \|x  + \|a  )
+--R     + 
+--R                            +------+         +------+2
+--R          +-+3+-+3+-+2     3|     2 3+-+2   3|     2   3+-+
+--R       - \|3 \|a \|b  log(b\|- a b  \|x   + \|- a b    \|x - a b)
+--R     + 
+--R             +------+
+--R         +-+3|     2     3+-+3+-+   3+-+
+--R       2\|3 \|- a b  log(\|b \|x  + \|a )
+--R     + 
+--R                          +------+2
+--R         +-+3+-+3+-+2    3|     2   3+-+
+--R       2\|3 \|a \|b  log(\|- a b    \|x + a b)
+--R     + 
+--R           +------+      3+-+3+-+   3+-+
+--R          3|     2      2\|b \|x  - \|a
+--R       - 6\|- a b  atan(----------------)
+--R                             +-+3+-+
+--R                            \|3 \|a
+--R     + 
+--R                              +------+2
+--R                          +-+3|     2   3+-+      +-+
+--R          3+-+3+-+2     2\|3 \|- a b    \|x - a b\|3
+--R       - 6\|a \|b  atan(-----------------------------)
+--R                                     3a b
+--R  /
+--R            +------+
+--R        +-+3|     2 3+-+3+-+2
+--R     3b\|3 \|- a b  \|a \|b
+--R                                                    Type: Expression(Integer)
+--E 174
+
+--S 175 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 175
+
+)clear all
+
+--S 176 of 2952
+t0000:=x^(1/3)/(a+b*x)^2
+--R 
+--R
+--R               3+-+
+--R               \|x
+--R   (1)  ------------------
+--R         2 2             2
+--R        b x  + 2a b x + a
+--R                                                    Type: Expression(Integer)
+--E 176
+
+--S 177 of 2952
+r0000:=-x^(1/3)/(b*(a+b*x))+1/3*log(a^(1/3)+_
+     b^(1/3)*x^(1/3))/(a^(2/3)*b^(4/3))-1/6*log(a^(2/3)-_
+     a^(1/3)*b^(1/3)*x^(1/3)+b^(2/3)*x^(2/3))/(a^(2/3)*b^(4/3))-_
+     atan((a^(1/3)-2*b^(1/3)*x^(1/3))/(a^(1/3)*sqrt(3)))/_
+     (a^(2/3)*b^(4/3)*sqrt(3))
+--R 
+--R
+--R   (2)
+--R                   +-+    3+-+2 3+-+2  3+-+3+-+3+-+   3+-+2
+--R       (- b x - a)\|3 log(\|b   \|x  - \|a \|b \|x  + \|a  )
+--R     + 
+--R                                                              3+-+3+-+   3+-+
+--R                   +-+    3+-+3+-+   3+-+                    2\|b \|x  - \|a
+--R       (2b x + 2a)\|3 log(\|b \|x  + \|a ) + (6b x + 6a)atan(----------------)
+--R                                                                  +-+3+-+
+--R                                                                 \|3 \|a
+--R     + 
+--R           +-+3+-+2 3+-+3+-+
+--R       - 6\|3 \|a   \|b \|x
+--R  /
+--R        2          +-+3+-+2 3+-+
+--R     (6b x + 6a b)\|3 \|a   \|b
+--R                                                    Type: Expression(Integer)
+--E 177
+
+--S 178 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                           +---+2          +---+
+--R                   +-+    3| 2    3+-+2   3| 2  3+-+    2
+--R       (- b x - a)\|3 log(\|a b   \|x  - a\|a b \|x  + a )
+--R     + 
+--R                           +---+
+--R                   +-+    3| 2  3+-+
+--R       (2b x + 2a)\|3 log(\|a b \|x  + a)
+--R     + 
+--R                             +---+
+--R                         +-+3| 2  3+-+     +-+          +---+
+--R                       2\|3 \|a b \|x  - a\|3       +-+3| 2  3+-+
+--R       (6b x + 6a)atan(-----------------------) - 6\|3 \|a b \|x
+--R                                  3a
+--R  /
+--R                       +---+
+--R        2          +-+3| 2
+--R     (6b x + 6a b)\|3 \|a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 178
+
+--S 179 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R                            +---+2          +---+
+--R          +-+3+-+2 3+-+    3| 2    3+-+2   3| 2  3+-+    2
+--R       - \|3 \|a   \|b log(\|a b   \|x  - a\|a b \|x  + a )
+--R     + 
+--R            +---+
+--R        +-+3| 2      3+-+2 3+-+2  3+-+3+-+3+-+   3+-+2
+--R       \|3 \|a b log(\|b   \|x  - \|a \|b \|x  + \|a  )
+--R     + 
+--R                           +---+                 +---+
+--R         +-+3+-+2 3+-+    3| 2  3+-+         +-+3| 2      3+-+3+-+   3+-+
+--R       2\|3 \|a   \|b log(\|a b \|x  + a - 2\|3 \|a b log(\|b \|x  + \|a )
+--R     + 
+--R                             +---+
+--R                         +-+3| 2  3+-+     +-+     +---+      3+-+3+-+   3+-+
+--R        3+-+2 3+-+     2\|3 \|a b \|x  - a\|3     3| 2       2\|b \|x  - \|a
+--R       6\|a   \|b atan(----------------------- - 6\|a b atan(----------------)
+--R                                  3a                              +-+3+-+
+--R                                                                 \|3 \|a
+--R  /
+--R                      +---+
+--R        +-+3+-+2 3+-+3| 2
+--R     6b\|3 \|a   \|b \|a b
+--R                                                    Type: Expression(Integer)
+--E 179
+
+--S 180 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 180
+
+)clear all
+
+--S 181 of 2952
+t0000:=1/(x^(1/3)*(a+b*x)^2)
+--R 
+--R
+--R                    1
+--R   (1)  ------------------------
+--R          2 2             2 3+-+
+--R        (b x  + 2a b x + a )\|x
+--R                                                    Type: Expression(Integer)
+--E 181
+
+--S 182 of 2952
+r0000:=x^(2/3)/(a*(a+b*x))-1/3*log(a^(1/3)+_
+     b^(1/3)*x^(1/3))/(a^(4/3)*b^(2/3))+1/6*log(a^(2/3)-_
+     a^(1/3)*b^(1/3)*x^(1/3)+b^(2/3)*x^(2/3))/(a^(4/3)*b^(2/3))-_
+     atan((a^(1/3)-2*b^(1/3)*x^(1/3))/_
+     (a^(1/3)*sqrt(3)))/(a^(4/3)*b^(2/3)*sqrt(3))
+--R 
+--R
+--R   (2)
+--R                 +-+    3+-+2 3+-+2  3+-+3+-+3+-+   3+-+2
+--R       (b x + a)\|3 log(\|b   \|x  - \|a \|b \|x  + \|a  )
+--R     + 
+--R                                                                3+-+3+-+   3+-+
+--R                     +-+    3+-+3+-+   3+-+                    2\|b \|x  - \|a
+--R       (- 2b x - 2a)\|3 log(\|b \|x  + \|a ) + (6b x + 6a)atan(----------------)
+--R                                                                    +-+3+-+
+--R                                                                   \|3 \|a
+--R     + 
+--R         +-+3+-+3+-+2 3+-+2
+--R       6\|3 \|a \|b   \|x
+--R  /
+--R                 2  +-+3+-+3+-+2
+--R     (6a b x + 6a )\|3 \|a \|b
+--R                                                    Type: Expression(Integer)
+--E 182
+
+--S 183 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                            +------+         +------+2
+--R                   +-+     3|     2 3+-+2   3|     2   3+-+
+--R       (- b x - a)\|3 log(b\|- a b  \|x   + \|- a b    \|x - a b)
+--R     + 
+--R                           +------+2
+--R                   +-+    3|     2   3+-+
+--R       (2b x + 2a)\|3 log(\|- a b    \|x + a b)
+--R     + 
+--R                               +------+2
+--R                           +-+3|     2   3+-+      +-+          +------+
+--R                         2\|3 \|- a b    \|x - a b\|3       +-+3|     2 3+-+2
+--R       (- 6b x - 6a)atan(-----------------------------) + 6\|3 \|- a b  \|x
+--R                                      3a b
+--R  /
+--R                        +------+
+--R                 2  +-+3|     2
+--R     (6a b x + 6a )\|3 \|- a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 183
+
+--S 184 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R              +------+
+--R          +-+3|     2     3+-+2 3+-+2  3+-+3+-+3+-+   3+-+2
+--R       - \|3 \|- a b  log(\|b   \|x  - \|a \|b \|x  + \|a  )
+--R     + 
+--R                            +------+         +------+2
+--R          +-+3+-+3+-+2     3|     2 3+-+2   3|     2   3+-+
+--R       - \|3 \|a \|b  log(b\|- a b  \|x   + \|- a b    \|x - a b)
+--R     + 
+--R             +------+
+--R         +-+3|     2     3+-+3+-+   3+-+
+--R       2\|3 \|- a b  log(\|b \|x  + \|a )
+--R     + 
+--R                          +------+2
+--R         +-+3+-+3+-+2    3|     2   3+-+
+--R       2\|3 \|a \|b  log(\|- a b    \|x + a b)
+--R     + 
+--R           +------+      3+-+3+-+   3+-+
+--R          3|     2      2\|b \|x  - \|a
+--R       - 6\|- a b  atan(----------------)
+--R                             +-+3+-+
+--R                            \|3 \|a
+--R     + 
+--R                              +------+2
+--R                          +-+3|     2   3+-+      +-+
+--R          3+-+3+-+2     2\|3 \|- a b    \|x - a b\|3
+--R       - 6\|a \|b  atan(-----------------------------)
+--R                                     3a b
+--R  /
+--R            +------+
+--R        +-+3|     2 3+-+3+-+2
+--R     6a\|3 \|- a b  \|a \|b
+--R                                                    Type: Expression(Integer)
+--E 184
+
+--S 185 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 185
+
+)clear all
+
+--S 186 of 2952
+t0000:=1/(x^(2/3)*(a+b*x)^2)
+--R 
+--R
+--R                    1
+--R   (1)  -------------------------
+--R          2 2             2 3+-+2
+--R        (b x  + 2a b x + a )\|x
+--R                                                    Type: Expression(Integer)
+--E 186
+
+--S 187 of 2952
+r0000:=x^(1/3)/(a*(a+b*x))+2/3*log(a^(1/3)+b^(1/3)*x^(1/3))/_
+     (a^(5/3)*b^(1/3))-1/3*log(a^(2/3)-a^(1/3)*b^(1/3)*_
+     x^(1/3)+b^(2/3)*x^(2/3))/(a^(5/3)*b^(1/3))-2*atan((a^(1/3)-_
+     2*b^(1/3)*x^(1/3))/(a^(1/3)*sqrt(3)))/(a^(5/3)*b^(1/3)*sqrt(3))
+--R 
+--R
+--R   (2)
+--R                   +-+    3+-+2 3+-+2  3+-+3+-+3+-+   3+-+2
+--R       (- b x - a)\|3 log(\|b   \|x  - \|a \|b \|x  + \|a  )
+--R     + 
+--R                                                              3+-+3+-+   3+-+
+--R                   +-+    3+-+3+-+   3+-+                    2\|b \|x  - \|a
+--R       (2b x + 2a)\|3 log(\|b \|x  + \|a ) + (6b x + 6a)atan(----------------)
+--R                                                                  +-+3+-+
+--R                                                                 \|3 \|a
+--R     + 
+--R         +-+3+-+2 3+-+3+-+
+--R       3\|3 \|a   \|b \|x
+--R  /
+--R                 2  +-+3+-+2 3+-+
+--R     (3a b x + 3a )\|3 \|a   \|b
+--R                                                    Type: Expression(Integer)
+--E 187
+
+--S 188 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                           +---+2          +---+
+--R                   +-+    3| 2    3+-+2   3| 2  3+-+    2
+--R       (- b x - a)\|3 log(\|a b   \|x  - a\|a b \|x  + a )
+--R     + 
+--R                           +---+
+--R                   +-+    3| 2  3+-+
+--R       (2b x + 2a)\|3 log(\|a b \|x  + a)
+--R     + 
+--R                             +---+
+--R                         +-+3| 2  3+-+     +-+          +---+
+--R                       2\|3 \|a b \|x  - a\|3       +-+3| 2  3+-+
+--R       (6b x + 6a)atan(-----------------------) + 3\|3 \|a b \|x
+--R                                  3a
+--R  /
+--R                        +---+
+--R                 2  +-+3| 2
+--R     (3a b x + 3a )\|3 \|a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 188
+
+--S 189 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R                            +---+2          +---+
+--R          +-+3+-+2 3+-+    3| 2    3+-+2   3| 2  3+-+    2
+--R       - \|3 \|a   \|b log(\|a b   \|x  - a\|a b \|x  + a )
+--R     + 
+--R            +---+
+--R        +-+3| 2      3+-+2 3+-+2  3+-+3+-+3+-+   3+-+2
+--R       \|3 \|a b log(\|b   \|x  - \|a \|b \|x  + \|a  )
+--R     + 
+--R                           +---+                 +---+
+--R         +-+3+-+2 3+-+    3| 2  3+-+         +-+3| 2      3+-+3+-+   3+-+
+--R       2\|3 \|a   \|b log(\|a b \|x  + a - 2\|3 \|a b log(\|b \|x  + \|a )
+--R     + 
+--R                             +---+
+--R                         +-+3| 2  3+-+     +-+     +---+      3+-+3+-+   3+-+
+--R        3+-+2 3+-+     2\|3 \|a b \|x  - a\|3     3| 2       2\|b \|x  - \|a
+--R       6\|a   \|b atan(----------------------- - 6\|a b atan(----------------)
+--R                                  3a                              +-+3+-+
+--R                                                                 \|3 \|a
+--R  /
+--R                      +---+
+--R        +-+3+-+2 3+-+3| 2
+--R     3a\|3 \|a   \|b \|a b
+--R                                                    Type: Expression(Integer)
+--E 189
+
+--S 190 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 190
+
+)clear all
+
+--S 191 of 2952
+t0000:=1/(x^(4/3)*(a+b*x)^2)
+--R 
+--R
+--R                     1
+--R   (1)  --------------------------
+--R          2 3         2    2  3+-+
+--R        (b x  + 2a b x  + a x)\|x
+--R                                                    Type: Expression(Integer)
+--E 191
+
+--S 192 of 2952
+r0000:=(-4)/(a^2*x^(1/3))+1/(a*x^(1/3)*(a+b*x))+_
+     4/3*b^(1/3)*log(a^(1/3)+b^(1/3)*x^(1/3))/a^(7/3)-_
+     2/3*b^(1/3)*log(a^(2/3)-a^(1/3)*b^(1/3)*x^(1/3)+_
+     b^(2/3)*x^(2/3))/a^(7/3)+4*b^(1/3)*atan((a^(1/3)-_
+     2*b^(1/3)*x^(1/3))/(a^(1/3)*sqrt(3)))/(a^(7/3)*sqrt(3))
+--R 
+--R
+--R   (2)
+--R                     +-+3+-+3+-+    3+-+2 3+-+2  3+-+3+-+3+-+   3+-+2
+--R       (- 2b x - 2a)\|3 \|b \|x log(\|b   \|x  - \|a \|b \|x  + \|a  )
+--R     + 
+--R                   +-+3+-+3+-+    3+-+3+-+   3+-+
+--R       (4b x + 4a)\|3 \|b \|x log(\|b \|x  + \|a )
+--R     + 
+--R                                    3+-+3+-+   3+-+
+--R                      3+-+3+-+     2\|b \|x  - \|a                    +-+3+-+
+--R       (- 12b x - 12a)\|b \|x atan(----------------) + (- 12b x - 9a)\|3 \|a
+--R                                        +-+3+-+
+--R                                       \|3 \|a
+--R  /
+--R        2        3  +-+3+-+3+-+
+--R     (3a b x + 3a )\|3 \|a \|x
+--R                                                    Type: Expression(Integer)
+--E 192
+
+--S 193 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                          +-+                     +-+2          +-+
+--R                     +-+  |b 3+-+      3+-+2      |b   3+-+     |b
+--R       (- 2b x - 2a)\|3  3|- \|x log(b \|x   - a 3|-   \|x + a 3|-)
+--R                         \|a                     \|a           \|a
+--R     + 
+--R                        +-+                   +-+2
+--R                   +-+  |b 3+-+     3+-+      |b
+--R       (4b x + 4a)\|3  3|- \|x log(b\|x  + a 3|-  )
+--R                       \|a                   \|a
+--R     + 
+--R                                                      +-+2
+--R                                     +-+3+-+     +-+  |b
+--R                      +-+         2b\|3 \|x  - a\|3  3|-
+--R                      |b 3+-+                        \|a                   +-+
+--R     (- 12b x - 12a) 3|- \|x atan(----------------------- + (- 12b x - 9a)\|3
+--R                     \|a                      +-+2
+--R                                              |b
+--R                                          3a 3|-
+--R                                             \|a
+--R  /
+--R        2        3  +-+3+-+
+--R     (3a b x + 3a )\|3 \|x
+--R                                         Type: Union(Expression(Integer),...)
+--E 193
+
+--S 194 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R         +-+3+-+    3+-+2 3+-+2  3+-+3+-+3+-+   3+-+2
+--R       2\|3 \|b log(\|b   \|x  - \|a \|b \|x  + \|a  )
+--R     + 
+--R                    +-+                 +-+2          +-+
+--R           +-+3+-+  |b       3+-+2      |b   3+-+     |b
+--R       - 2\|3 \|a  3|- log(b \|x   - a 3|-   \|x + a 3|-)
+--R                   \|a                 \|a           \|a
+--R     + 
+--R                                                    +-+               +-+2
+--R           +-+3+-+    3+-+3+-+   3+-+      +-+3+-+  |b      3+-+      |b
+--R       - 4\|3 \|b log(\|b \|x  + \|a ) + 4\|3 \|a  3|- log(b\|x  + a 3|-  )
+--R                                                   \|a               \|a
+--R     + 
+--R                                                                          +-+2
+--R                                                         +-+3+-+     +-+  |b
+--R                   3+-+3+-+   3+-+            +-+     2b\|3 \|x  - a\|3  3|-
+--R         3+-+     2\|b \|x  - \|a       3+-+  |b                         \|a
+--R       12\|b atan(----------------) - 12\|a  3|- atan(-----------------------)
+--R                       +-+3+-+               \|a                  +-+2
+--R                      \|3 \|a                                     |b
+--R                                                              3a 3|-
+--R                                                                 \|a
+--R  /
+--R       2 +-+3+-+
+--R     3a \|3 \|a
+--R                                                    Type: Expression(Integer)
+--E 194
+
+--S 195 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 195
+
+)clear all
+
+--S 196 of 2952
+t0000:=1/(x^(5/3)*(a+b*x)^2)
+--R 
+--R
+--R                     1
+--R   (1)  ---------------------------
+--R          2 3         2    2  3+-+2
+--R        (b x  + 2a b x  + a x)\|x
+--R                                                    Type: Expression(Integer)
+--E 196
+
+--S 197 of 2952
+r0000:=(-5/2)/(a^2*x^(2/3))+1/(a*x^(2/3)*(a+b*x))-5/3*b^(2/3)*log(a^(1/3)+_
+     b^(1/3)*x^(1/3))/a^(8/3)+5/6*b^(2/3)*log(a^(2/3)-_
+     a^(1/3)*b^(1/3)*x^(1/3)+b^(2/3)*x^(2/3))/a^(8/3)+_
+     5*b^(2/3)*atan((a^(1/3)-2*b^(1/3)*x^(1/3))/(a^(1/3)*sqrt(3)))/_
+     (a^(8/3)*sqrt(3))
+--R 
+--R
+--R   (2)
+--R                   +-+3+-+2 3+-+2    3+-+2 3+-+2  3+-+3+-+3+-+   3+-+2
+--R       (5b x + 5a)\|3 \|b   \|x  log(\|b   \|x  - \|a \|b \|x  + \|a  )
+--R     + 
+--R                       +-+3+-+2 3+-+2    3+-+3+-+   3+-+
+--R       (- 10b x - 10a)\|3 \|b   \|x  log(\|b \|x  + \|a )
+--R     + 
+--R                                     3+-+3+-+   3+-+
+--R                    3+-+2 3+-+2     2\|b \|x  - \|a                   +-+3+-+2
+--R     (- 30b x - 30a)\|b   \|x  atan(---------------- + (- 15b x - 9a)\|3 \|a
+--R                                         +-+3+-+
+--R                                        \|3 \|a
+--R  /
+--R        2        3  +-+3+-+2 3+-+2
+--R     (6a b x + 6a )\|3 \|a   \|x
+--R                                                    Type: Expression(Integer)
+--E 197
+
+--S 198 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                          +----+                        +----+          +----+2
+--R                          |   2                         |   2           |   2
+--R                     +-+  |  b  3+-+2     2 3+-+2       |  b  3+-+   2  |  b
+--R       (- 5b x - 5a)\|3   |- -- \|x  log(b  \|x  + a b  |- -- \|x + a   |- -- )
+--R                         3|   2                        3|   2          3|   2
+--R                         \|  a                         \|  a           \|  a
+--R     + 
+--R                          +----+                    +----+
+--R                          |   2                     |   2
+--R                     +-+  |  b  3+-+2     3+-+      |  b
+--R       (10b x + 10a)\|3   |- -- \|x  log(b\|x  - a  |- --)
+--R                         3|   2                    3|   2
+--R                         \|  a                     \|  a
+--R     + 
+--R                                                            +----+
+--R                                                            |   2
+--R                                           +-+3+-+     +-+  |  b
+--R                        +----+          2b\|3 \|x  + a\|3   |- --
+--R                        |   2                              3|   2
+--R                        |  b  3+-+2                        \|  a
+--R       (- 30b x - 30a)  |- -- \|x  atan(-------------------------)
+--R                       3|   2                       +----+
+--R                       \|  a                        |   2
+--R                                                    |  b
+--R                                                3a  |- --
+--R                                                   3|   2
+--R                                                   \|  a
+--R     + 
+--R                      +-+
+--R       (- 15b x - 9a)\|3
+--R  /
+--R        2        3  +-+3+-+2
+--R     (6a b x + 6a )\|3 \|x
+--R                                         Type: Union(Expression(Integer),...)
+--E 198
+
+--S 199 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R           +-+3+-+2    3+-+2 3+-+2  3+-+3+-+3+-+   3+-+2
+--R       - 5\|3 \|b  log(\|b   \|x  - \|a \|b \|x  + \|a  )
+--R     + 
+--R                +----+                        +----+          +----+2
+--R                |   2                         |   2           |   2
+--R           +-+  |  b  3+-+2     2 3+-+2       |  b  3+-+   2  |  b
+--R       - 5\|3   |- -- \|a  log(b  \|x  + a b  |- -- \|x + a   |- -- )
+--R               3|   2                        3|   2          3|   2
+--R               \|  a                         \|  a           \|  a
+--R     + 
+--R                                                 +----+                    +----+
+--R                                                 |   2                     |   2
+--R          +-+3+-+2    3+-+3+-+   3+-+       +-+  |  b  3+-+2     3+-+      |  b
+--R       10\|3 \|b  log(\|b \|x  + \|a ) + 10\|3   |- -- \|a  log(b\|x  - a  |- --)
+--R                                                3|   2                    3|   2
+--R                                                \|  a                     \|  a
+--R     + 
+--R                    3+-+3+-+   3+-+
+--R         3+-+2     2\|b \|x  - \|a
+--R       30\|b  atan(----------------)
+--R                        +-+3+-+
+--R                       \|3 \|a
+--R     + 
+--R                                                 +----+
+--R                                                 |   2
+--R                                +-+3+-+     +-+  |  b
+--R             +----+          2b\|3 \|x  + a\|3   |- --
+--R             |   2                              3|   2
+--R             |  b  3+-+2                        \|  a
+--R       - 30  |- -- \|a  atan(-------------------------)
+--R            3|   2                       +----+
+--R            \|  a                        |   2
+--R                                         |  b
+--R                                     3a  |- --
+--R                                        3|   2
+--R                                        \|  a
+--R  /
+--R       2 +-+3+-+2
+--R     6a \|3 \|a
+--R                                                    Type: Expression(Integer)
+--E 199
+
+--S 200 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 200
+
+)clear all
+
+--S 201 of 2952
+t0000:=x^(5/3)/(a+b*x)^3
+--R 
+--R
+--R                     3+-+2
+--R                   x \|x
+--R   (1)  ----------------------------
+--R         3 3       2 2     2       3
+--R        b x  + 3a b x  + 3a b x + a
+--R                                                    Type: Expression(Integer)
+--E 201
+
+--S 202 of 2952
+r0000:=-1/2*x^(5/3)/(b*(a+b*x)^2)-5/6*x^(2/3)/(b^2*(a+b*x))-_
+     5/9*log(a^(1/3)+b^(1/3)*x^(1/3))/(a^(1/3)*b^(8/3))+_
+     5/18*log(a^(2/3)-a^(1/3)*b^(1/3)*x^(1/3)+b^(2/3)*x^(2/3))/_
+     (a^(1/3)*b^(8/3))-5/3*atan((a^(1/3)-2*b^(1/3)*x^(1/3))/_
+     (a^(1/3)*sqrt(3)))/(a^(1/3)*b^(8/3)*sqrt(3))
+--R 
+--R
+--R   (2)
+--R          2 2               2  +-+    3+-+2 3+-+2  3+-+3+-+3+-+   3+-+2
+--R       (5b x  + 10a b x + 5a )\|3 log(\|b   \|x  - \|a \|b \|x  + \|a  )
+--R     + 
+--R             2 2                2  +-+    3+-+3+-+   3+-+
+--R       (- 10b x  - 20a b x - 10a )\|3 log(\|b \|x  + \|a )
+--R     + 
+--R                                      3+-+3+-+   3+-+
+--R           2 2                2      2\|b \|x  - \|a
+--R       (30b x  + 60a b x + 30a )atan(----------------)
+--R                                          +-+3+-+
+--R                                         \|3 \|a
+--R     + 
+--R                       +-+3+-+3+-+2 3+-+2
+--R       (- 24b x - 15a)\|3 \|a \|b   \|x
+--R  /
+--R         4 2        3       2 2  +-+3+-+3+-+2
+--R     (18b x  + 36a b x + 18a b )\|3 \|a \|b
+--R                                                    Type: Expression(Integer)
+--E 202
+
+--S 203 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                                          +------+         +------+2
+--R            2 2               2  +-+     3|     2 3+-+2   3|     2   3+-+
+--R       (- 5b x  - 10a b x - 5a )\|3 log(b\|- a b  \|x   + \|- a b    \|x - a b)
+--R     + 
+--R                                         +------+2
+--R           2 2                2  +-+    3|     2   3+-+
+--R       (10b x  + 20a b x + 10a )\|3 log(\|- a b    \|x + a b)
+--R     + 
+--R                                             +------+2
+--R                                         +-+3|     2   3+-+      +-+
+--R             2 2                2      2\|3 \|- a b    \|x - a b\|3
+--R       (- 30b x  - 60a b x - 30a )atan(-----------------------------)
+--R                                                    3a b
+--R     + 
+--R                           +------+
+--R                       +-+3|     2 3+-+2
+--R       (- 24b x - 15a)\|3 \|- a b  \|x
+--R  /
+--R                                     +------+
+--R         4 2        3       2 2  +-+3|     2
+--R     (18b x  + 36a b x + 18a b )\|3 \|- a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 203
+
+--S 204 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R               +------+
+--R           +-+3|     2     3+-+2 3+-+2  3+-+3+-+3+-+   3+-+2
+--R       - 5\|3 \|- a b  log(\|b   \|x  - \|a \|b \|x  + \|a  )
+--R     + 
+--R                             +------+         +------+2
+--R           +-+3+-+3+-+2     3|     2 3+-+2   3|     2   3+-+
+--R       - 5\|3 \|a \|b  log(b\|- a b  \|x   + \|- a b    \|x - a b)
+--R     + 
+--R              +------+
+--R          +-+3|     2     3+-+3+-+   3+-+
+--R       10\|3 \|- a b  log(\|b \|x  + \|a )
+--R     + 
+--R                           +------+2
+--R          +-+3+-+3+-+2    3|     2   3+-+
+--R       10\|3 \|a \|b  log(\|- a b    \|x + a b)
+--R     + 
+--R            +------+      3+-+3+-+   3+-+
+--R           3|     2      2\|b \|x  - \|a
+--R       - 30\|- a b  atan(----------------)
+--R                              +-+3+-+
+--R                             \|3 \|a
+--R     + 
+--R                               +------+2
+--R                           +-+3|     2   3+-+      +-+
+--R           3+-+3+-+2     2\|3 \|- a b    \|x - a b\|3
+--R       - 30\|a \|b  atan(-----------------------------)
+--R                                      3a b
+--R  /
+--R              +------+
+--R        2 +-+3|     2 3+-+3+-+2
+--R     18b \|3 \|- a b  \|a \|b
+--R                                                    Type: Expression(Integer)
+--E 204
+
+--S 205 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 205
+
+)clear all
+
+--S 206 of 2952
+t0000:=x^(4/3)/(a+b*x)^3
+--R 
+--R
+--R                     3+-+
+--R                    x\|x
+--R   (1)  ----------------------------
+--R         3 3       2 2     2       3
+--R        b x  + 3a b x  + 3a b x + a
+--R                                                    Type: Expression(Integer)
+--E 206
+
+--S 207 of 2952
+r0000:=-1/2*x^(4/3)/(b*(a+b*x)^2)-2/3*x^(1/3)/(b^2*(a+b*x))+_
+     2/9*log(a^(1/3)+b^(1/3)*x^(1/3))/(a^(2/3)*b^(7/3))-_
+     1/9*log(a^(2/3)-a^(1/3)*b^(1/3)*x^(1/3)+b^(2/3)*x^(2/3))/_
+     (a^(2/3)*b^(7/3))-2/3*atan((a^(1/3)-2*b^(1/3)*x^(1/3))/_
+     (a^(1/3)*sqrt(3)))/(a^(2/3)*b^(7/3)*sqrt(3))
+--R 
+--R
+--R   (2)
+--R            2 2              2  +-+    3+-+2 3+-+2  3+-+3+-+3+-+   3+-+2
+--R       (- 2b x  - 4a b x - 2a )\|3 log(\|b   \|x  - \|a \|b \|x  + \|a  )
+--R     + 
+--R          2 2              2  +-+    3+-+3+-+   3+-+
+--R       (4b x  + 8a b x + 4a )\|3 log(\|b \|x  + \|a )
+--R     + 
+--R                                      3+-+3+-+   3+-+
+--R           2 2                2      2\|b \|x  - \|a
+--R       (12b x  + 24a b x + 12a )atan(----------------)
+--R                                          +-+3+-+
+--R                                         \|3 \|a
+--R     + 
+--R                       +-+3+-+2 3+-+3+-+
+--R       (- 21b x - 12a)\|3 \|a   \|b \|x
+--R  /
+--R         4 2        3       2 2  +-+3+-+2 3+-+
+--R     (18b x  + 36a b x + 18a b )\|3 \|a   \|b
+--R                                                    Type: Expression(Integer)
+--E 207
+
+--S 208 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                                        +---+2          +---+
+--R            2 2              2  +-+    3| 2    3+-+2   3| 2  3+-+    2
+--R       (- 2b x  - 4a b x - 2a )\|3 log(\|a b   \|x  - a\|a b \|x  + a )
+--R     + 
+--R                                      +---+
+--R          2 2              2  +-+    3| 2  3+-+
+--R       (4b x  + 8a b x + 4a )\|3 log(\|a b \|x  + a)
+--R     + 
+--R                                           +---+
+--R                                       +-+3| 2  3+-+     +-+
+--R           2 2                2      2\|3 \|a b \|x  - a\|3
+--R       (12b x  + 24a b x + 12a )atan(-----------------------)
+--R                                                3a
+--R     + 
+--R                           +---+
+--R                       +-+3| 2  3+-+
+--R       (- 21b x - 12a)\|3 \|a b \|x
+--R  /
+--R                                     +---+
+--R         4 2        3       2 2  +-+3| 2
+--R     (18b x  + 36a b x + 18a b )\|3 \|a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 208
+
+--S 209 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R                            +---+2          +---+
+--R          +-+3+-+2 3+-+    3| 2    3+-+2   3| 2  3+-+    2
+--R       - \|3 \|a   \|b log(\|a b   \|x  - a\|a b \|x  + a )
+--R     + 
+--R            +---+
+--R        +-+3| 2      3+-+2 3+-+2  3+-+3+-+3+-+   3+-+2
+--R       \|3 \|a b log(\|b   \|x  - \|a \|b \|x  + \|a  )
+--R     + 
+--R                           +---+                 +---+
+--R         +-+3+-+2 3+-+    3| 2  3+-+         +-+3| 2      3+-+3+-+   3+-+
+--R       2\|3 \|a   \|b log(\|a b \|x  + a - 2\|3 \|a b log(\|b \|x  + \|a )
+--R     + 
+--R                             +---+
+--R                         +-+3| 2  3+-+     +-+     +---+      3+-+3+-+   3+-+
+--R        3+-+2 3+-+     2\|3 \|a b \|x  - a\|3     3| 2       2\|b \|x  - \|a
+--R       6\|a   \|b atan(----------------------- - 6\|a b atan(----------------)
+--R                                  3a                              +-+3+-+
+--R                                                                 \|3 \|a
+--R  /
+--R                       +---+
+--R       2 +-+3+-+2 3+-+3| 2
+--R     9b \|3 \|a   \|b \|a b
+--R                                                    Type: Expression(Integer)
+--E 209
+
+--S 210 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 210
+
+)clear all
+
+--S 211 of 2952
+t0000:=x^(2/3)/(a+b*x)^3
+--R 
+--R
+--R                    3+-+2
+--R                    \|x
+--R   (1)  ----------------------------
+--R         3 3       2 2     2       3
+--R        b x  + 3a b x  + 3a b x + a
+--R                                                    Type: Expression(Integer)
+--E 211
+
+--S 212 of 2952
+r0000:=-1/2*x^(2/3)/(b*(a+b*x)^2)+1/3*x^(2/3)/(a*b*(a+b*x))-_
+     1/9*log(a^(1/3)+b^(1/3)*x^(1/3))/(a^(4/3)*b^(5/3))+_
+     1/18*log(a^(2/3)-a^(1/3)*b^(1/3)*x^(1/3)+b^(2/3)*x^(2/3))/_
+     (a^(4/3)*b^(5/3))-1/3*atan((a^(1/3)-2*b^(1/3)*x^(1/3))/_
+     (a^(1/3)*sqrt(3)))/(a^(4/3)*b^(5/3)*sqrt(3))
+--R 
+--R
+--R   (2)
+--R         2 2             2  +-+    3+-+2 3+-+2  3+-+3+-+3+-+   3+-+2
+--R       (b x  + 2a b x + a )\|3 log(\|b   \|x  - \|a \|b \|x  + \|a  )
+--R     + 
+--R            2 2              2  +-+    3+-+3+-+   3+-+
+--R       (- 2b x  - 4a b x - 2a )\|3 log(\|b \|x  + \|a )
+--R     + 
+--R                                    3+-+3+-+   3+-+
+--R          2 2               2      2\|b \|x  - \|a
+--R       (6b x  + 12a b x + 6a )atan(----------------)
+--R                                        +-+3+-+
+--R                                       \|3 \|a
+--R     + 
+--R                   +-+3+-+3+-+2 3+-+2
+--R       (6b x - 3a)\|3 \|a \|b   \|x
+--R  /
+--R           3 2      2 2       3   +-+3+-+3+-+2
+--R     (18a b x  + 36a b x + 18a b)\|3 \|a \|b
+--R                                                    Type: Expression(Integer)
+--E 212
+
+--S 213 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                                       +------+         +------+2
+--R           2 2             2  +-+     3|     2 3+-+2   3|     2   3+-+
+--R       (- b x  - 2a b x - a )\|3 log(b\|- a b  \|x   + \|- a b    \|x - a b)
+--R     + 
+--R                                      +------+2
+--R          2 2              2  +-+    3|     2   3+-+
+--R       (2b x  + 4a b x + 2a )\|3 log(\|- a b    \|x + a b)
+--R     + 
+--R                                           +------+2
+--R                                       +-+3|     2   3+-+      +-+
+--R            2 2               2      2\|3 \|- a b    \|x - a b\|3
+--R       (- 6b x  - 12a b x - 6a )atan(-----------------------------)
+--R                                                  3a b
+--R     + 
+--R                       +------+
+--R                   +-+3|     2 3+-+2
+--R       (6b x - 3a)\|3 \|- a b  \|x
+--R  /
+--R                                      +------+
+--R           3 2      2 2       3   +-+3|     2
+--R     (18a b x  + 36a b x + 18a b)\|3 \|- a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 213
+
+--S 214 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R              +------+
+--R          +-+3|     2     3+-+2 3+-+2  3+-+3+-+3+-+   3+-+2
+--R       - \|3 \|- a b  log(\|b   \|x  - \|a \|b \|x  + \|a  )
+--R     + 
+--R                            +------+         +------+2
+--R          +-+3+-+3+-+2     3|     2 3+-+2   3|     2   3+-+
+--R       - \|3 \|a \|b  log(b\|- a b  \|x   + \|- a b    \|x - a b)
+--R     + 
+--R             +------+
+--R         +-+3|     2     3+-+3+-+   3+-+
+--R       2\|3 \|- a b  log(\|b \|x  + \|a )
+--R     + 
+--R                          +------+2
+--R         +-+3+-+3+-+2    3|     2   3+-+
+--R       2\|3 \|a \|b  log(\|- a b    \|x + a b)
+--R     + 
+--R           +------+      3+-+3+-+   3+-+
+--R          3|     2      2\|b \|x  - \|a
+--R       - 6\|- a b  atan(----------------)
+--R                             +-+3+-+
+--R                            \|3 \|a
+--R     + 
+--R                              +------+2
+--R                          +-+3|     2   3+-+      +-+
+--R          3+-+3+-+2     2\|3 \|- a b    \|x - a b\|3
+--R       - 6\|a \|b  atan(-----------------------------)
+--R                                     3a b
+--R  /
+--R               +------+
+--R           +-+3|     2 3+-+3+-+2
+--R     18a b\|3 \|- a b  \|a \|b
+--R                                                    Type: Expression(Integer)
+--E 214
+
+--S 215 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 215
+
+)clear all
+
+--S 216 of 2952
+t0000:=x^(1/3)/(a+b*x)^3
+--R 
+--R
+--R                    3+-+
+--R                    \|x
+--R   (1)  ----------------------------
+--R         3 3       2 2     2       3
+--R        b x  + 3a b x  + 3a b x + a
+--R                                                    Type: Expression(Integer)
+--E 216
+
+--S 217 of 2952
+r0000:=-1/2*x^(1/3)/(b*(a+b*x)^2)+1/6*x^(1/3)/(a*b*(a+b*x))+_
+     1/9*log(a^(1/3)+b^(1/3)*x^(1/3))/(a^(5/3)*b^(4/3))-_
+     1/18*log(a^(2/3)-a^(1/3)*b^(1/3)*x^(1/3)+b^(2/3)*x^(2/3))/_
+     (a^(5/3)*b^(4/3))-1/3*atan((a^(1/3)-2*b^(1/3)*x^(1/3))/_
+     (a^(1/3)*sqrt(3)))/(a^(5/3)*b^(4/3)*sqrt(3))
+--R 
+--R
+--R   (2)
+--R           2 2             2  +-+    3+-+2 3+-+2  3+-+3+-+3+-+   3+-+2
+--R       (- b x  - 2a b x - a )\|3 log(\|b   \|x  - \|a \|b \|x  + \|a  )
+--R     + 
+--R          2 2              2  +-+    3+-+3+-+   3+-+
+--R       (2b x  + 4a b x + 2a )\|3 log(\|b \|x  + \|a )
+--R     + 
+--R                                    3+-+3+-+   3+-+
+--R          2 2               2      2\|b \|x  - \|a
+--R       (6b x  + 12a b x + 6a )atan(----------------)
+--R                                        +-+3+-+
+--R                                       \|3 \|a
+--R     + 
+--R                   +-+3+-+2 3+-+3+-+
+--R       (3b x - 6a)\|3 \|a   \|b \|x
+--R  /
+--R           3 2      2 2       3   +-+3+-+2 3+-+
+--R     (18a b x  + 36a b x + 18a b)\|3 \|a   \|b
+--R                                                    Type: Expression(Integer)
+--E 217
+
+--S 218 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                                      +---+2          +---+
+--R           2 2             2  +-+    3| 2    3+-+2   3| 2  3+-+    2
+--R       (- b x  - 2a b x - a )\|3 log(\|a b   \|x  - a\|a b \|x  + a )
+--R     + 
+--R                                      +---+
+--R          2 2              2  +-+    3| 2  3+-+
+--R       (2b x  + 4a b x + 2a )\|3 log(\|a b \|x  + a)
+--R     + 
+--R                                         +---+
+--R                                     +-+3| 2  3+-+     +-+
+--R          2 2               2      2\|3 \|a b \|x  - a\|3
+--R       (6b x  + 12a b x + 6a )atan(-----------------------)
+--R                                              3a
+--R     + 
+--R                       +---+
+--R                   +-+3| 2  3+-+
+--R       (3b x - 6a)\|3 \|a b \|x
+--R  /
+--R                                      +---+
+--R           3 2      2 2       3   +-+3| 2
+--R     (18a b x  + 36a b x + 18a b)\|3 \|a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 218
+
+--S 219 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R                            +---+2          +---+
+--R          +-+3+-+2 3+-+    3| 2    3+-+2   3| 2  3+-+    2
+--R       - \|3 \|a   \|b log(\|a b   \|x  - a\|a b \|x  + a )
+--R     + 
+--R            +---+
+--R        +-+3| 2      3+-+2 3+-+2  3+-+3+-+3+-+   3+-+2
+--R       \|3 \|a b log(\|b   \|x  - \|a \|b \|x  + \|a  )
+--R     + 
+--R                           +---+                 +---+
+--R         +-+3+-+2 3+-+    3| 2  3+-+         +-+3| 2      3+-+3+-+   3+-+
+--R       2\|3 \|a   \|b log(\|a b \|x  + a - 2\|3 \|a b log(\|b \|x  + \|a )
+--R     + 
+--R                             +---+
+--R                         +-+3| 2  3+-+     +-+     +---+      3+-+3+-+   3+-+
+--R        3+-+2 3+-+     2\|3 \|a b \|x  - a\|3     3| 2       2\|b \|x  - \|a
+--R       6\|a   \|b atan(----------------------- - 6\|a b atan(----------------)
+--R                                  3a                              +-+3+-+
+--R                                                                 \|3 \|a
+--R  /
+--R                         +---+
+--R           +-+3+-+2 3+-+3| 2
+--R     18a b\|3 \|a   \|b \|a b
+--R                                                    Type: Expression(Integer)
+--E 219
+
+--S 220 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 220
+
+)clear all
+
+--S 221 of 2952
+t0000:=1/(x^(1/3)*(a+b*x)^3)
+--R 
+--R
+--R                         1
+--R   (1)  ----------------------------------
+--R          3 3       2 2     2       3 3+-+
+--R        (b x  + 3a b x  + 3a b x + a )\|x
+--R                                                    Type: Expression(Integer)
+--E 221
+
+--S 222 of 2952
+r0000:=1/2*x^(2/3)/(a*(a+b*x)^2)+2/3*x^(2/3)/(a^2*(a+b*x))-_
+     2/9*log(a^(1/3)+b^(1/3)*x^(1/3))/(a^(7/3)*b^(2/3))+_
+     1/9*log(a^(2/3)-a^(1/3)*b^(1/3)*x^(1/3)+b^(2/3)*x^(2/3))/_
+     (a^(7/3)*b^(2/3))-2/3*atan((a^(1/3)-2*b^(1/3)*x^(1/3))/_
+     (a^(1/3)*sqrt(3)))/(a^(7/3)*b^(2/3)*sqrt(3))
+--R 
+--R
+--R   (2)
+--R          2 2              2  +-+    3+-+2 3+-+2  3+-+3+-+3+-+   3+-+2
+--R       (2b x  + 4a b x + 2a )\|3 log(\|b   \|x  - \|a \|b \|x  + \|a  )
+--R     + 
+--R            2 2              2  +-+    3+-+3+-+   3+-+
+--R       (- 4b x  - 8a b x - 4a )\|3 log(\|b \|x  + \|a )
+--R     + 
+--R                                      3+-+3+-+   3+-+
+--R           2 2                2      2\|b \|x  - \|a
+--R       (12b x  + 24a b x + 12a )atan(----------------)
+--R                                          +-+3+-+
+--R                                         \|3 \|a
+--R     + 
+--R                     +-+3+-+3+-+2 3+-+2
+--R       (12b x + 21a)\|3 \|a \|b   \|x
+--R  /
+--R         2 2 2      3         4  +-+3+-+3+-+2
+--R     (18a b x  + 36a b x + 18a )\|3 \|a \|b
+--R                                                    Type: Expression(Integer)
+--E 222
+
+--S 223 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                                         +------+         +------+2
+--R            2 2              2  +-+     3|     2 3+-+2   3|     2   3+-+
+--R       (- 2b x  - 4a b x - 2a )\|3 log(b\|- a b  \|x   + \|- a b    \|x - a b)
+--R     + 
+--R                                      +------+2
+--R          2 2              2  +-+    3|     2   3+-+
+--R       (4b x  + 8a b x + 4a )\|3 log(\|- a b    \|x + a b)
+--R     + 
+--R                                             +------+2
+--R                                         +-+3|     2   3+-+      +-+
+--R             2 2                2      2\|3 \|- a b    \|x - a b\|3
+--R       (- 12b x  - 24a b x - 12a )atan(-----------------------------)
+--R                                                    3a b
+--R     + 
+--R                         +------+
+--R                     +-+3|     2 3+-+2
+--R       (12b x + 21a)\|3 \|- a b  \|x
+--R  /
+--R                                     +------+
+--R         2 2 2      3         4  +-+3|     2
+--R     (18a b x  + 36a b x + 18a )\|3 \|- a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 223
+
+--S 224 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R              +------+
+--R          +-+3|     2     3+-+2 3+-+2  3+-+3+-+3+-+   3+-+2
+--R       - \|3 \|- a b  log(\|b   \|x  - \|a \|b \|x  + \|a  )
+--R     + 
+--R                            +------+         +------+2
+--R          +-+3+-+3+-+2     3|     2 3+-+2   3|     2   3+-+
+--R       - \|3 \|a \|b  log(b\|- a b  \|x   + \|- a b    \|x - a b)
+--R     + 
+--R             +------+
+--R         +-+3|     2     3+-+3+-+   3+-+
+--R       2\|3 \|- a b  log(\|b \|x  + \|a )
+--R     + 
+--R                          +------+2
+--R         +-+3+-+3+-+2    3|     2   3+-+
+--R       2\|3 \|a \|b  log(\|- a b    \|x + a b)
+--R     + 
+--R           +------+      3+-+3+-+   3+-+
+--R          3|     2      2\|b \|x  - \|a
+--R       - 6\|- a b  atan(----------------)
+--R                             +-+3+-+
+--R                            \|3 \|a
+--R     + 
+--R                              +------+2
+--R                          +-+3|     2   3+-+      +-+
+--R          3+-+3+-+2     2\|3 \|- a b    \|x - a b\|3
+--R       - 6\|a \|b  atan(-----------------------------)
+--R                                     3a b
+--R  /
+--R             +------+
+--R       2 +-+3|     2 3+-+3+-+2
+--R     9a \|3 \|- a b  \|a \|b
+--R                                                    Type: Expression(Integer)
+--E 224
+
+--S 225 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 225
+
+)clear all
+
+--S 226 of 2952
+t0000:=1/(x^(2/3)*(a+b*x)^3)
+--R 
+--R
+--R                         1
+--R   (1)  -----------------------------------
+--R          3 3       2 2     2       3 3+-+2
+--R        (b x  + 3a b x  + 3a b x + a )\|x
+--R                                                    Type: Expression(Integer)
+--E 226
+
+--S 227 of 2952
+r0000:=1/2*x^(1/3)/(a*(a+b*x)^2)+5/6*x^(1/3)/(a^2*(a+b*x))+_
+     5/9*log(a^(1/3)+b^(1/3)*x^(1/3))/(a^(8/3)*b^(1/3))-_
+     5/18*log(a^(2/3)-a^(1/3)*b^(1/3)*x^(1/3)+b^(2/3)*x^(2/3))/_
+     (a^(8/3)*b^(1/3))-5/3*atan((a^(1/3)-2*b^(1/3)*x^(1/3))/_
+     (a^(1/3)*sqrt(3)))/(a^(8/3)*b^(1/3)*sqrt(3))
+--R 
+--R
+--R   (2)
+--R            2 2               2  +-+    3+-+2 3+-+2  3+-+3+-+3+-+   3+-+2
+--R       (- 5b x  - 10a b x - 5a )\|3 log(\|b   \|x  - \|a \|b \|x  + \|a  )
+--R     + 
+--R           2 2                2  +-+    3+-+3+-+   3+-+
+--R       (10b x  + 20a b x + 10a )\|3 log(\|b \|x  + \|a )
+--R     + 
+--R                                      3+-+3+-+   3+-+
+--R           2 2                2      2\|b \|x  - \|a
+--R       (30b x  + 60a b x + 30a )atan(----------------)
+--R                                          +-+3+-+
+--R                                         \|3 \|a
+--R     + 
+--R                     +-+3+-+2 3+-+3+-+
+--R       (15b x + 24a)\|3 \|a   \|b \|x
+--R  /
+--R         2 2 2      3         4  +-+3+-+2 3+-+
+--R     (18a b x  + 36a b x + 18a )\|3 \|a   \|b
+--R                                                    Type: Expression(Integer)
+--E 227
+
+--S 228 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                                         +---+2          +---+
+--R            2 2               2  +-+    3| 2    3+-+2   3| 2  3+-+    2
+--R       (- 5b x  - 10a b x - 5a )\|3 log(\|a b   \|x  - a\|a b \|x  + a )
+--R     + 
+--R                                         +---+
+--R           2 2                2  +-+    3| 2  3+-+
+--R       (10b x  + 20a b x + 10a )\|3 log(\|a b \|x  + a)
+--R     + 
+--R                                           +---+
+--R                                       +-+3| 2  3+-+     +-+
+--R           2 2                2      2\|3 \|a b \|x  - a\|3
+--R       (30b x  + 60a b x + 30a )atan(-----------------------)
+--R                                                3a
+--R     + 
+--R                         +---+
+--R                     +-+3| 2  3+-+
+--R       (15b x + 24a)\|3 \|a b \|x
+--R  /
+--R                                     +---+
+--R         2 2 2      3         4  +-+3| 2
+--R     (18a b x  + 36a b x + 18a )\|3 \|a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 228
+
+--S 229 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R                             +---+2          +---+
+--R           +-+3+-+2 3+-+    3| 2    3+-+2   3| 2  3+-+    2
+--R       - 5\|3 \|a   \|b log(\|a b   \|x  - a\|a b \|x  + a )
+--R     + 
+--R             +---+
+--R         +-+3| 2      3+-+2 3+-+2  3+-+3+-+3+-+   3+-+2
+--R       5\|3 \|a b log(\|b   \|x  - \|a \|b \|x  + \|a  )
+--R     + 
+--R                            +---+                  +---+
+--R          +-+3+-+2 3+-+    3| 2  3+-+          +-+3| 2      3+-+3+-+   3+-+
+--R       10\|3 \|a   \|b log(\|a b \|x  + a - 10\|3 \|a b log(\|b \|x  + \|a )
+--R     + 
+--R                            +---+
+--R                        +-+3| 2  3+-+     +-+      +---+      3+-+3+-+   3+-+
+--R       3+-+2 3+-+     2\|3 \|a b \|x  - a\|3      3| 2       2\|b \|x  - \|a
+--R     30\|a   \|b atan(----------------------- - 30\|a b atan(----------------)
+--R                                 3a                               +-+3+-+
+--R                                                                 \|3 \|a
+--R  /
+--R                        +---+
+--R        2 +-+3+-+2 3+-+3| 2
+--R     18a \|3 \|a   \|b \|a b
+--R                                                    Type: Expression(Integer)
+--E 229
+
+--S 230 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 230
+
+)clear all
+
+--S 231 of 2952
+t0000:=1/(x^(4/3)*(a+b*x)^3)
+--R 
+--R
+--R                          1
+--R   (1)  ------------------------------------
+--R          3 4       2 3     2   2    3  3+-+
+--R        (b x  + 3a b x  + 3a b x  + a x)\|x
+--R                                                    Type: Expression(Integer)
+--E 231
+
+--S 232 of 2952
+r0000:=(-14/3)/(a^3*x^(1/3))+1/2/(a*x^(1/3)*(a+b*x)^2)+_
+     7/6/(a^2*x^(1/3)*(a+b*x))+14/9*b^(1/3)*log(a^(1/3)+_
+     b^(1/3)*x^(1/3))/a^(10/3)-7/9*b^(1/3)*log(a^(2/3)-_
+     a^(1/3)*b^(1/3)*x^(1/3)+b^(2/3)*x^(2/3))/a^(10/3)+_
+     14/3*b^(1/3)*atan((a^(1/3)-2*b^(1/3)*x^(1/3))/_
+     (a^(1/3)*sqrt(3)))/(a^(10/3)*sqrt(3))
+--R 
+--R
+--R   (2)
+--R               2 2                2  +-+3+-+3+-+
+--R         (- 14b x  - 28a b x - 14a )\|3 \|b \|x
+--R      *
+--R             3+-+2 3+-+2  3+-+3+-+3+-+   3+-+2
+--R         log(\|b   \|x  - \|a \|b \|x  + \|a  )
+--R     + 
+--R           2 2                2  +-+3+-+3+-+    3+-+3+-+   3+-+
+--R       (28b x  + 56a b x + 28a )\|3 \|b \|x log(\|b \|x  + \|a )
+--R     + 
+--R                                                 3+-+3+-+   3+-+
+--R             2 2                 2 3+-+3+-+     2\|b \|x  - \|a
+--R       (- 84b x  - 168a b x - 84a )\|b \|x atan(----------------)
+--R                                                     +-+3+-+
+--R                                                    \|3 \|a
+--R     + 
+--R             2 2                 2  +-+3+-+
+--R       (- 84b x  - 147a b x - 54a )\|3 \|a
+--R  /
+--R         3 2 2      4         5  +-+3+-+3+-+
+--R     (18a b x  + 36a b x + 18a )\|3 \|a \|x
+--R                                                    Type: Expression(Integer)
+--E 232
+
+--S 233 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                                        +-+                     +-+2          +-+
+--R             2 2                2  +-+  |b 3+-+      3+-+2      |b   3+-+     |b
+--R       (- 14b x  - 28a b x - 14a )\|3  3|- \|x log(b \|x   - a 3|-   \|x + a 3|-)
+--R                                       \|a                     \|a           \|a
+--R     + 
+--R                                      +-+                   +-+2
+--R           2 2                2  +-+  |b 3+-+     3+-+      |b
+--R       (28b x  + 56a b x + 28a )\|3  3|- \|x log(b\|x  + a 3|-  )
+--R                                     \|a                   \|a
+--R     + 
+--R                                                                     +-+2
+--R                                                    +-+3+-+     +-+  |b
+--R                                     +-+         2b\|3 \|x  - a\|3  3|-
+--R             2 2                 2   |b 3+-+                        \|a
+--R       (- 84b x  - 168a b x - 84a ) 3|- \|x atan(-----------------------)
+--R                                    \|a                      +-+2
+--R                                                             |b
+--R                                                         3a 3|-
+--R                                                            \|a
+--R     + 
+--R             2 2                 2  +-+
+--R       (- 84b x  - 147a b x - 54a )\|3
+--R  /
+--R         3 2 2      4         5  +-+3+-+
+--R     (18a b x  + 36a b x + 18a )\|3 \|x
+--R                                         Type: Union(Expression(Integer),...)
+--E 233
+
+--S 234 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R         +-+3+-+    3+-+2 3+-+2  3+-+3+-+3+-+   3+-+2
+--R       7\|3 \|b log(\|b   \|x  - \|a \|b \|x  + \|a  )
+--R     + 
+--R                    +-+                 +-+2          +-+
+--R           +-+3+-+  |b       3+-+2      |b   3+-+     |b
+--R       - 7\|3 \|a  3|- log(b \|x   - a 3|-   \|x + a 3|-)
+--R                   \|a                 \|a           \|a
+--R     + 
+--R                                                      +-+               +-+2
+--R            +-+3+-+    3+-+3+-+   3+-+       +-+3+-+  |b      3+-+      |b
+--R       - 14\|3 \|b log(\|b \|x  + \|a ) + 14\|3 \|a  3|- log(b\|x  + a 3|-  )
+--R                                                     \|a               \|a
+--R     + 
+--R                                                                          +-+2
+--R                                                         +-+3+-+     +-+  |b
+--R                   3+-+3+-+   3+-+            +-+     2b\|3 \|x  - a\|3  3|-
+--R         3+-+     2\|b \|x  - \|a       3+-+  |b                         \|a
+--R       42\|b atan(----------------) - 42\|a  3|- atan(-----------------------)
+--R                       +-+3+-+               \|a                  +-+2
+--R                      \|3 \|a                                     |b
+--R                                                              3a 3|-
+--R                                                                 \|a
+--R  /
+--R       3 +-+3+-+
+--R     9a \|3 \|a
+--R                                                    Type: Expression(Integer)
+--E 234
+
+--S 235 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 235
+
+)clear all
+
+--S 236 of 2952
+t0000:=1/(x^(5/3)*(a+b*x)^3)
+--R 
+--R
+--R                          1
+--R   (1)  -------------------------------------
+--R          3 4       2 3     2   2    3  3+-+2
+--R        (b x  + 3a b x  + 3a b x  + a x)\|x
+--R                                                    Type: Expression(Integer)
+--E 236
+
+--S 237 of 2952
+r0000:=(-10/3)/(a^3*x^(2/3))+1/2/(a*x^(2/3)*(a+b*x)^2)+_
+     4/3/(a^2*x^(2/3)*(a+b*x))-20/9*b^(2/3)*log(a^(1/3)+_
+     b^(1/3)*x^(1/3))/a^(11/3)+10/9*b^(2/3)*log(a^(2/3)-_
+     a^(1/3)*b^(1/3)*x^(1/3)+b^(2/3)*x^(2/3))/a^(11/3)+_
+     20/3*b^(2/3)*atan((a^(1/3)-2*b^(1/3)*x^(1/3))/_
+     (a^(1/3)*sqrt(3)))/(a^(11/3)*sqrt(3))
+--R 
+--R
+--R   (2)
+--R             2 2                2  +-+3+-+2 3+-+2
+--R         (20b x  + 40a b x + 20a )\|3 \|b   \|x
+--R      *
+--R             3+-+2 3+-+2  3+-+3+-+3+-+   3+-+2
+--R         log(\|b   \|x  - \|a \|b \|x  + \|a  )
+--R     + 
+--R             2 2                2  +-+3+-+2 3+-+2    3+-+3+-+   3+-+
+--R       (- 40b x  - 80a b x - 40a )\|3 \|b   \|x  log(\|b \|x  + \|a )
+--R     + 
+--R                                                      3+-+3+-+   3+-+
+--R              2 2                  2 3+-+2 3+-+2     2\|b \|x  - \|a
+--R       (- 120b x  - 240a b x - 120a )\|b   \|x  atan(----------------)
+--R                                                          +-+3+-+
+--R                                                         \|3 \|a
+--R     + 
+--R             2 2                2  +-+3+-+2
+--R       (- 60b x  - 96a b x - 27a )\|3 \|a
+--R  /
+--R         3 2 2      4         5  +-+3+-+2 3+-+2
+--R     (18a b x  + 36a b x + 18a )\|3 \|a   \|x
+--R                                                    Type: Expression(Integer)
+--E 237
+
+--S 238 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                                          +----+
+--R                                          |   2
+--R               2 2                2  +-+  |  b  3+-+2
+--R         (- 20b x  - 40a b x - 20a )\|3   |- -- \|x
+--R                                         3|   2
+--R                                         \|  a
+--R      *
+--R                            +----+          +----+2
+--R                            |   2           |   2
+--R              2 3+-+2       |  b  3+-+   2  |  b
+--R         log(b  \|x  + a b  |- -- \|x + a   |- -- )
+--R                           3|   2          3|   2
+--R                           \|  a           \|  a
+--R     + 
+--R                                      +----+                    +----+
+--R                                      |   2                     |   2
+--R           2 2                2  +-+  |  b  3+-+2     3+-+      |  b
+--R       (40b x  + 80a b x + 40a )\|3   |- -- \|x  log(b\|x  - a  |- --)
+--R                                     3|   2                    3|   2
+--R                                     \|  a                     \|  a
+--R     + 
+--R                                                                           +----+
+--R                                                                           |   2
+--R                                                          +-+3+-+     +-+  |  b
+--R                                       +----+          2b\|3 \|x  + a\|3   |- --
+--R                                       |   2                              3|   2
+--R              2 2                  2   |  b  3+-+2                        \|  a
+--R       (- 120b x  - 240a b x - 120a )  |- -- \|x  atan(-------------------------)
+--R                                      3|   2                       +----+
+--R                                      \|  a                        |   2
+--R                                                                   |  b
+--R                                                               3a  |- --
+--R                                                                  3|   2
+--R                                                                  \|  a
+--R     + 
+--R             2 2                2  +-+
+--R       (- 60b x  - 96a b x - 27a )\|3
+--R  /
+--R         3 2 2      4         5  +-+3+-+2
+--R     (18a b x  + 36a b x + 18a )\|3 \|x
+--R                                         Type: Union(Expression(Integer),...)
+--E 238
+
+--S 239 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R            +-+3+-+2    3+-+2 3+-+2  3+-+3+-+3+-+   3+-+2
+--R       - 10\|3 \|b  log(\|b   \|x  - \|a \|b \|x  + \|a  )
+--R     + 
+--R                 +----+                        +----+          +----+2
+--R                 |   2                         |   2           |   2
+--R            +-+  |  b  3+-+2     2 3+-+2       |  b  3+-+   2  |  b
+--R       - 10\|3   |- -- \|a  log(b  \|x  + a b  |- -- \|x + a   |- -- )
+--R                3|   2                        3|   2          3|   2
+--R                \|  a                         \|  a           \|  a
+--R     + 
+--R                                                 +----+                    +----+
+--R                                                 |   2                     |   2
+--R          +-+3+-+2    3+-+3+-+   3+-+       +-+  |  b  3+-+2     3+-+      |  b
+--R       20\|3 \|b  log(\|b \|x  + \|a ) + 20\|3   |- -- \|a  log(b\|x  - a  |- --)
+--R                                                3|   2                    3|   2
+--R                                                \|  a                     \|  a
+--R     + 
+--R                    3+-+3+-+   3+-+
+--R         3+-+2     2\|b \|x  - \|a
+--R       60\|b  atan(----------------)
+--R                        +-+3+-+
+--R                       \|3 \|a
+--R     + 
+--R                                                 +----+
+--R                                                 |   2
+--R                                +-+3+-+     +-+  |  b
+--R             +----+          2b\|3 \|x  + a\|3   |- --
+--R             |   2                              3|   2
+--R             |  b  3+-+2                        \|  a
+--R       - 60  |- -- \|a  atan(-------------------------)
+--R            3|   2                       +----+
+--R            \|  a                        |   2
+--R                                         |  b
+--R                                     3a  |- --
+--R                                        3|   2
+--R                                        \|  a
+--R  /
+--R       3 +-+3+-+2
+--R     9a \|3 \|a
+--R                                                    Type: Expression(Integer)
+--E 239
+
+--S 240 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 240
+
+)clear all
+
+--S 241 of 2952
+t0000:=(1-x)^(1/4)/(1+x)
+--R 
+--R
+--R        4+-------+
+--R        \|- x + 1
+--R   (1)  ----------
+--R           x + 1
+--R                                                    Type: Expression(Integer)
+--E 241
+
+--S 242 of 2952
+r0000:=4*(1-x)^(1/4)-2*2^(1/4)*atan((1-x)^(1/4)/2^(1/4))-_
+     2*2^(1/4)*atanh((1-x)^(1/4)/2^(1/4))
+--R 
+--R
+--R                     4+-------+              4+-------+
+--R           4+-+      \|- x + 1      4+-+     \|- x + 1      4+-------+
+--R   (2)  - 2\|2 atanh(----------) - 2\|2 atan(----------) + 4\|- x + 1
+--R                        4+-+                    4+-+
+--R                        \|2                     \|2
+--R                                                    Type: Expression(Integer)
+--E 242
+
+--S 243 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R       4+-+    4+-------+   4+-+    4+-+    4+-------+   4+-+
+--R     - \|2 log(\|- x + 1  + \|2 ) + \|2 log(\|- x + 1  - \|2 )
+--R   + 
+--R                  4+-+
+--R      4+-+        \|2         4+-------+
+--R     2\|2 atan(----------) + 4\|- x + 1
+--R               4+-------+
+--R               \|- x + 1
+--R                                         Type: Union(Expression(Integer),...)
+--E 243
+
+--S 244 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R       4+-+    4+-------+   4+-+    4+-+    4+-------+   4+-+
+--R     - \|2 log(\|- x + 1  + \|2 ) + \|2 log(\|- x + 1  - \|2 )
+--R   + 
+--R                4+-------+              4+-------+                 4+-+
+--R      4+-+      \|- x + 1      4+-+     \|- x + 1      4+-+        \|2
+--R     2\|2 atanh(----------) + 2\|2 atan(----------) + 2\|2 atan(----------)
+--R                   4+-+                    4+-+                 4+-------+
+--R                   \|2                     \|2                  \|- x + 1
+--R                                                    Type: Expression(Integer)
+--E 244
+
+--S 245 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 245
+
+)clear all
+
+--S 246 of 2952
+t0000:=x^3*(a+b*x)^n
+--R 
+--R
+--R         3         n
+--R   (1)  x (b x + a)
+--R                                                    Type: Expression(Integer)
+--E 246
+
+--S 247 of 2952
+r0000:=-a^3*(a+b*x)^(1+n)/(b^4*(1+n))+3*a^2*(a+b*x)^(2+n)/(b^4*(2+n))-_
+     3*a*(a+b*x)^(3+n)/(b^4*(3+n))+(a+b*x)^(4+n)/(b^4*(4+n))
+--R 
+--R
+--R   (2)
+--R         3     2                    n + 4
+--R       (n  + 6n  + 11n + 6)(b x + a)
+--R     + 
+--R              3        2                        n + 3
+--R       (- 3a n  - 21a n  - 42a n - 24a)(b x + a)
+--R     + 
+--R          2 3      2 2      2       2          n + 2
+--R       (3a n  + 24a n  + 57a n + 36a )(b x + a)
+--R     + 
+--R           3 3     3 2      3       3          n + 1
+--R       (- a n  - 9a n  - 26a n - 24a )(b x + a)
+--R  /
+--R      4 4      4 3      4 2      4       4
+--R     b n  + 10b n  + 35b n  + 50b n + 24b
+--R                                                    Type: Expression(Integer)
+--E 247
+
+--S 248 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R           4 3     4 2      4      4  4       3 3       3 2       3   3
+--R         (b n  + 6b n  + 11b n + 6b )x  + (a b n  + 3a b n  + 2a b n)x
+--R       + 
+--R              2 2 2     2 2   2     3          4
+--R         (- 3a b n  - 3a b n)x  + 6a b n x - 6a
+--R    *
+--R         n log(b x + a)
+--R       %e
+--R  /
+--R      4 4      4 3      4 2      4       4
+--R     b n  + 10b n  + 35b n  + 50b n + 24b
+--R                                         Type: Union(Expression(Integer),...)
+--E 248
+
+--S 249 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R             4 3     4 2      4      4  4       3 3       3 2       3   3
+--R           (b n  + 6b n  + 11b n + 6b )x  + (a b n  + 3a b n  + 2a b n)x
+--R         + 
+--R                2 2 2     2 2   2     3          4
+--R           (- 3a b n  - 3a b n)x  + 6a b n x - 6a
+--R      *
+--R           n log(b x + a)
+--R         %e
+--R     + 
+--R           3     2                    n + 4
+--R       (- n  - 6n  - 11n - 6)(b x + a)
+--R     + 
+--R            3        2                        n + 3
+--R       (3a n  + 21a n  + 42a n + 24a)(b x + a)
+--R     + 
+--R            2 3      2 2      2       2          n + 2
+--R       (- 3a n  - 24a n  - 57a n - 36a )(b x + a)
+--R     + 
+--R         3 3     3 2      3       3          n + 1
+--R       (a n  + 9a n  + 26a n + 24a )(b x + a)
+--R  /
+--R      4 4      4 3      4 2      4       4
+--R     b n  + 10b n  + 35b n  + 50b n + 24b
+--R                                                    Type: Expression(Integer)
+--E 249
+
+--S 250 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)
+--R        3 3  n log(b x + a)            n + 3               n + 2
+--R       b x %e               - (b x + a)      + 3a (b x + a)
+--R     + 
+--R           2         n + 1    3         n
+--R       - 3a (b x + a)      + a (b x + a)
+--R  /
+--R      3
+--R     b
+--R                                                    Type: Expression(Integer)
+--E 250
+
+)clear all
+
+--S 251 of 2952
+t0000:=x^2*(a+b*x)^n
+--R 
+--R
+--R         2         n
+--R   (1)  x (b x + a)
+--R                                                    Type: Expression(Integer)
+--E 251
+
+--S 252 of 2952
+r0000:=a^2*(a+b*x)^(1+n)/(b^3*(1+n))-2*a*(a+b*x)^(2+n)/(b^3*(2+n))+_
+     (a+b*x)^(3+n)/(b^3*(3+n))
+--R 
+--R
+--R   (2)
+--R         2                   n + 3          2                      n + 2
+--R       (n  + 3n + 2)(b x + a)      + (- 2a n  - 8a n - 6a)(b x + a)
+--R     + 
+--R         2 2     2      2          n + 1
+--R       (a n  + 5a n + 6a )(b x + a)
+--R  /
+--R      3 3     3 2      3      3
+--R     b n  + 6b n  + 11b n + 6b
+--R                                                    Type: Expression(Integer)
+--E 252
+
+--S 253 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R      3 2     3      3  3       2 2      2   2     2          3   n log(b x + a)
+--R   ((b n  + 3b n + 2b )x  + (a b n  + a b n)x  - 2a b n x + 2a )%e
+--R   -----------------------------------------------------------------------------
+--R                              3 3     3 2      3      3
+--R                             b n  + 6b n  + 11b n + 6b
+--R                                         Type: Union(Expression(Integer),...)
+--E 253
+
+--S 254 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R            3 2     3      3  3       2 2      2   2     2          3
+--R         ((b n  + 3b n + 2b )x  + (a b n  + a b n)x  - 2a b n x + 2a )
+--R      *
+--R           n log(b x + a)
+--R         %e
+--R     + 
+--R           2                   n + 3        2                      n + 2
+--R       (- n  - 3n - 2)(b x + a)      + (2a n  + 8a n + 6a)(b x + a)
+--R     + 
+--R           2 2     2      2          n + 1
+--R       (- a n  - 5a n - 6a )(b x + a)
+--R  /
+--R      3 3     3 2      3      3
+--R     b n  + 6b n  + 11b n + 6b
+--R                                                    Type: Expression(Integer)
+--E 254
+
+--S 255 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)
+--R    2 2  n log(b x + a)            n + 2               n + 1    2         n
+--R   b x %e               - (b x + a)      + 2a (b x + a)      - a (b x + a)
+--R   ------------------------------------------------------------------------
+--R                                       2
+--R                                      b
+--R                                                    Type: Expression(Integer)
+--E 255
+
+)clear all
+
+--S 256 of 2952
+t0000:=x*(a+b*x)^n
+--R 
+--R
+--R                   n
+--R   (1)  x (b x + a)
+--R                                                    Type: Expression(Integer)
+--E 256
+
+--S 257 of 2952
+r0000:=-a*(a+b*x)^(1+n)/(b^2*(1+n))+(a+b*x)^(2+n)/(b^2*(2+n))
+--R 
+--R
+--R                        n + 2                        n + 1
+--R        (n + 1)(b x + a)      + (- a n - 2a)(b x + a)
+--R   (2)  --------------------------------------------------
+--R                          2 2     2      2
+--R                         b n  + 3b n + 2b
+--R                                                    Type: Expression(Integer)
+--E 257
+
+--S 258 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           2     2  2              2   n log(b x + a)
+--R        ((b n + b )x  + a b n x - a )%e
+--R   (3)  ---------------------------------------------
+--R                       2 2     2      2
+--R                      b n  + 3b n + 2b
+--R                                         Type: Union(Expression(Integer),...)
+--E 258
+
+--S 259 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R          2     2  2              2   n log(b x + a)                     n + 2
+--R       ((b n + b )x  + a b n x - a )%e               + (- n - 1)(b x + a)
+--R     + 
+--R                          n + 1
+--R       (a n + 2a)(b x + a)
+--R  /
+--R      2 2     2      2
+--R     b n  + 3b n + 2b
+--R                                                    Type: Expression(Integer)
+--E 259
+
+--S 260 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R              n log(b x + a)            n + 1              n
+--R        b x %e               - (b x + a)      + a (b x + a)
+--R   (5)  ----------------------------------------------------
+--R                                  b
+--R                                                    Type: Expression(Integer)
+--E 260
+
+)clear all
+
+--S 261 of 2952
+t0000:=(a+b*x)^n
+--R 
+--R
+--R                 n
+--R   (1)  (b x + a)
+--R                                                    Type: Expression(Integer)
+--E 261
+
+--S 262 of 2952
+r0000:=(a+b*x)^(1+n)/(b*(1+n))
+--R 
+--R
+--R                 n + 1
+--R        (b x + a)
+--R   (2)  --------------
+--R            b n + b
+--R                                                    Type: Expression(Integer)
+--E 262
+
+--S 263 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                   n log(b x + a)
+--R        (b x + a)%e
+--R   (3)  -------------------------
+--R                 b n + b
+--R                                         Type: Union(Expression(Integer),...)
+--E 263
+
+--S 264 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R                   n log(b x + a)            n + 1
+--R        (b x + a)%e               - (b x + a)
+--R   (4)  ------------------------------------------
+--R                          b n + b
+--R                                                    Type: Expression(Integer)
+--E 264
+
+--S 265 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R          n log(b x + a)            n
+--R   (5)  %e               - (b x + a)
+--R                                                    Type: Expression(Integer)
+--E 265
+
+)clear all
+
+--S 266 of 2952
+t0000:=(a+b*x)^n/x
+--R 
+--R
+--R                 n
+--R        (b x + a)
+--R   (1)  ----------
+--R             x
+--R                                                    Type: Expression(Integer)
+--E 266
+
+--S 267 of 2952
+--r0000:=-(a+b*x)^(1+n)*hypergeometric(1,1+n,2+n,(a+b*x)/a)/(a*(1+n))
+--E 267
+
+--S 268 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           x            n
+--R         ++  (%BJ b + a)
+--R   (2)   |   ------------ d%BJ
+--R        ++        %BJ
+--R                                         Type: Union(Expression(Integer),...)
+--E 268
+
+--S 269 of 2952
+--m0000:=a0000 - r0000
+--E 269
+
+--S 270 of 2952
+--d0000:=D(m0000,x)
+--E 270
+
+)clear all
+
+--S 271 of 2952
+t0000:=(a+b*x)^n/x^2
+--R 
+--R
+--R                 n
+--R        (b x + a)
+--R   (1)  ----------
+--R             2
+--R            x
+--R                                                    Type: Expression(Integer)
+--E 271
+
+--S 272 of 2952
+--r0000:=-(a+b*x)^(1+n)/(a*x)-b*n*(a+b*x)^(1+n)*_
+--      hypergeometric(1,1+n,2+n,(a+b*x)/a)/(a^2*(1+n))
+--E 272
+
+--S 273 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           x            n
+--R         ++  (%BJ b + a)
+--R   (2)   |   ------------ d%BJ
+--R        ++          2
+--R                 %BJ
+--R                                         Type: Union(Expression(Integer),...)
+--E 273
+
+--S 274 of 2952
+--m0000:=a0000 - r0000
+--E 274
+
+--S 275 of 2952
+--d0000:=D(m0000,x)
+--E 275
+
+)clear all
+
+--S 276 of 2952
+t0000:=(a+b*x)^n/x^3
+--R 
+--R
+--R                 n
+--R        (b x + a)
+--R   (1)  ----------
+--R             3
+--R            x
+--R                                                    Type: Expression(Integer)
+--E 276
+
+--S 277 of 2952
+--r0000:=-1/2*(a+b*x)^(1+n)/(a*x^2)+1/2*b*(1-n)*(a+b*x)^(1+n)/(a^2*x)+_
+--      1/2*b^2*(1-n)*n*(a+b*x)^(1+n)*_
+--      hypergeometric(1,1+n,2+n,(a+b*x)/a)/(a^3*(1+n))
+--E 277
+
+--S 278 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           x            n
+--R         ++  (%BJ b + a)
+--R   (2)   |   ------------ d%BJ
+--R        ++          3
+--R                 %BJ
+--R                                         Type: Union(Expression(Integer),...)
+--E 278
+
+--S 279 of 2952
+--m0000:=a0000 - r0000
+--E 279
+
+--S 280 of 2952
+--d0000:=D(m0000,x)
+--E 280
+
+)clear all
+
+--S 281 of 2952
+t0000:=x^(-4+n)/(a+b*x)^n
+--R 
+--R
+--R           n - 4
+--R          x
+--R   (1)  ----------
+--R                 n
+--R        (b x + a)
+--R                                                    Type: Expression(Integer)
+--E 281
+
+--S 282 of 2952
+r0000:=-x^(-3+n)*(a+b*x)^(1-n)/(a*(3-n))+_
+     2*b*x^(-2+n)*(a+b*x)^(1-n)/(a^2*(2-n)*(3-n))-_
+     2*b^2*x^(-1+n)*(a+b*x)^(1-n)/(a^3*(1-n)*(2-n)*(3-n))
+--R 
+--R
+--R   (2)
+--R          2 n - 1                   n - 2     2 2     2      2  n - 3
+--R       (2b x      + (2a b n - 2a b)x      + (a n  - 3a n + 2a )x     )
+--R    *
+--R                - n + 1
+--R       (b x + a)
+--R  /
+--R      3 3     3 2      3      3
+--R     a n  - 6a n  + 11a n - 6a
+--R                                                    Type: Expression(Integer)
+--E 282
+
+--S 283 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R          3 4       2   3     2   2    2     2     3 2     3      3
+--R       (2b x  + 2a b n x  + (a b n  - a b n)x  + (a n  - 3a n + 2a )x)
+--R    *
+--R         (n - 4)log(x)
+--R       %e
+--R  /
+--R       3 3     3 2      3      3   n log(b x + a)
+--R     (a n  - 6a n  + 11a n - 6a )%e
+--R                                         Type: Union(Expression(Integer),...)
+--E 283
+
+--S 284 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R              2 n - 1                     n - 2       2 2     2      2  n - 3
+--R         (- 2b x      + (- 2a b n + 2a b)x      + (- a n  + 3a n - 2a )x     )
+--R      *
+--R                  - n + 1  n log(b x + a)
+--R         (b x + a)       %e
+--R     + 
+--R            3 4       2   3     2   2    2     2     3 2     3      3
+--R         (2b x  + 2a b n x  + (a b n  - a b n)x  + (a n  - 3a n + 2a )x)
+--R      *
+--R           (n - 4)log(x)
+--R         %e
+--R  /
+--R       3 3     3 2      3      3   n log(b x + a)
+--R     (a n  - 6a n  + 11a n - 6a )%e
+--R                                                    Type: Expression(Integer)
+--E 284
+
+--S 285 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)
+--R                     2 n - 2                     n - 3
+--R                 - 2b x      + (- 2a b n + 4a b)x
+--R               + 
+--R                     2 2     2      2  n - 4
+--R                 (- a n  + 5a n - 6a )x
+--R          *
+--R                      - n + 1
+--R             (b x + a)
+--R         + 
+--R                   3 n - 1        2        2  n - 2
+--R                 2b x      + (2a b n - 2a b )x
+--R               + 
+--R                   2   2     2        2   n - 3
+--R                 (a b n  - 3a b n + 2a b)x
+--R          *
+--R                      - n
+--R             (b x + a)
+--R      *
+--R           n log(b x + a)
+--R         %e
+--R     + 
+--R         3 2     3      3   (n - 4)log(x)
+--R       (a n  - 5a n + 6a )%e
+--R  /
+--R       3 2     3      3   n log(b x + a)
+--R     (a n  - 5a n + 6a )%e
+--R                                                    Type: Expression(Integer)
+--E 285
+
+)clear all
+
+--S 286 of 2952
+t0000:=x^(-3+n)/(a+b*x)^n
+--R 
+--R
+--R           n - 3
+--R          x
+--R   (1)  ----------
+--R                 n
+--R        (b x + a)
+--R                                                    Type: Expression(Integer)
+--E 286
+
+--S 287 of 2952
+r0000:=-x^(-2+n)*(a+b*x)^(1-n)/(a*(2-n))+_
+     b*x^(-1+n)*(a+b*x)^(1-n)/(a^2*(1-n)*(2-n))
+--R 
+--R
+--R            n - 1             n - 2          - n + 1
+--R        (b x      + (a n - a)x     )(b x + a)
+--R   (2)  --------------------------------------------
+--R                       2 2     2      2
+--R                      a n  - 3a n + 2a
+--R                                                    Type: Expression(Integer)
+--E 287
+
+--S 288 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R          2 3          2     2     2     (n - 3)log(x)
+--R        (b x  + a b n x  + (a n - a )x)%e
+--R   (3)  ----------------------------------------------
+--R                2 2     2      2   n log(b x + a)
+--R              (a n  - 3a n + 2a )%e
+--R                                         Type: Union(Expression(Integer),...)
+--E 288
+
+--S 289 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R             n - 1               n - 2          - n + 1  n log(b x + a)
+--R       (- b x      + (- a n + a)x     )(b x + a)       %e
+--R     + 
+--R         2 3          2     2     2     (n - 3)log(x)
+--R       (b x  + a b n x  + (a n - a )x)%e
+--R  /
+--R       2 2     2      2   n log(b x + a)
+--R     (a n  - 3a n + 2a )%e
+--R                                                    Type: Expression(Integer)
+--E 289
+
+--S 290 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)
+--R                 n - 2                n - 3          - n + 1
+--R           (- b x      + (- a n + 2a)x     )(b x + a)
+--R         + 
+--R             2 n - 1                 n - 2          - n
+--R           (b x      + (a b n - a b)x     )(b x + a)
+--R      *
+--R           n log(b x + a)
+--R         %e
+--R     + 
+--R         2      2   (n - 3)log(x)
+--R       (a n - 2a )%e
+--R  /
+--R       2      2   n log(b x + a)
+--R     (a n - 2a )%e
+--R                                                    Type: Expression(Integer)
+--E 290
+
+)clear all
+
+--S 291 of 2952
+t0000:=x^(-2+n)/(a+b*x)^n
+--R 
+--R
+--R           n - 2
+--R          x
+--R   (1)  ----------
+--R                 n
+--R        (b x + a)
+--R                                                    Type: Expression(Integer)
+--E 291
+
+--S 292 of 2952
+r0000:=-x^(-1+n)*(a+b*x)^(1-n)/(a*(1-n))
+--R 
+--R
+--R         n - 1         - n + 1
+--R        x     (b x + a)
+--R   (2)  ----------------------
+--R                a n - a
+--R                                                    Type: Expression(Integer)
+--E 292
+
+--S 293 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R            2         (n - 2)log(x)
+--R        (b x  + a x)%e
+--R   (3)  ---------------------------
+--R                    n log(b x + a)
+--R         (a n - a)%e
+--R                                         Type: Union(Expression(Integer),...)
+--E 293
+
+--S 294 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R           n - 1         - n + 1  n log(b x + a)       2         (n - 2)log(x)
+--R        - x     (b x + a)       %e               + (b x  + a x)%e
+--R   (4)  ----------------------------------------------------------------------
+--R                                          n log(b x + a)
+--R                               (a n - a)%e
+--R                                                    Type: Expression(Integer)
+--E 294
+
+--S 295 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)
+--R           n - 2         - n + 1      n - 1         - n   n log(b x + a)
+--R       (- x     (b x + a)        + b x     (b x + a)   )%e
+--R     + 
+--R           (n - 2)log(x)
+--R       a %e
+--R  /
+--R         n log(b x + a)
+--R     a %e
+--R                                                    Type: Expression(Integer)
+--E 295
+
+)clear all
+
+--S 296 of 2952
+t0000:=x^(-1+n)/(a+b*x)^n
+--R 
+--R
+--R           n - 1
+--R          x
+--R   (1)  ----------
+--R                 n
+--R        (b x + a)
+--R                                                    Type: Expression(Integer)
+--E 296
+
+--S 297 of 2952
+--r0000:=x^n*(a+b*x)^(1-n)/(a*n)-x^n*(a+b*x)^(1-n)*_
+--      hypergeometric(1-n,-n,2-n,(a+b*x)/a)/(a*(1-n)*n*(-b*x/a)^n)
+--E 297
+
+--S 298 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           x      n - 1
+--R         ++    %BJ
+--R   (2)   |   ------------ d%BJ
+--R        ++              n
+--R             (%BJ b + a)
+--R                                         Type: Union(Expression(Integer),...)
+--E 298
+
+--S 299 of 2952
+--m0000:=a0000 - r0000
+--E 299
+
+--S 300 of 2952
+--d0000:=D(m0000,x)
+--E 300
+
+)clear all
+
+--S 301 of 2952
+t0000:=x^n/(a+b*x)^n
+--R 
+--R
+--R             n
+--R            x
+--R   (1)  ----------
+--R                 n
+--R        (b x + a)
+--R                                                    Type: Expression(Integer)
+--E 301
+
+--S 302 of 2952
+--r0000:=x^n*(a+b*x)^(1-n)*_
+--      hypergeometric(1-n,-n,2-n,(a+b*x)/a)/(b*(1-n)*(-b*x/a)^n)
+--E 302
+
+--S 303 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           x        n
+--R         ++      %BJ
+--R   (2)   |   ------------ d%BJ
+--R        ++              n
+--R             (%BJ b + a)
+--R                                         Type: Union(Expression(Integer),...)
+--E 303
+
+--S 304 of 2952
+--m0000:=a0000 - r0000
+--E 304
+
+--S 305 of 2952
+--d0000:=D(m0000,x)
+--E 305
+
+)clear all
+
+--S 306 of 2952
+t0000:=x^(1+n)/(a+b*x)^n
+--R 
+--R
+--R           n + 1
+--R          x
+--R   (1)  ----------
+--R                 n
+--R        (b x + a)
+--R                                                    Type: Expression(Integer)
+--E 306
+
+--S 307 of 2952
+--r0000:=1/2*x^(1+n)*(a+b*x)^(1-n)/b-1/2*a*(1+n)*x^n*(a+b*x)^(1-n)*_
+--      hypergeometric(1-n,-n,2-n,(a+b*x)/a)/(b^2*(1-n)*(-b*x/a)^n)
+--E 307
+
+--S 308 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           x      n + 1
+--R         ++    %BJ
+--R   (2)   |   ------------ d%BJ
+--R        ++              n
+--R             (%BJ b + a)
+--R                                         Type: Union(Expression(Integer),...)
+--E 308
+
+--S 309 of 2952
+--m0000:=a0000 - r0000
+--E 309
+
+--S 310 of 2952
+--d0000:=D(m0000,x)
+--E 310
+
+)clear all
+
+--S 311 of 2952
+t0000:=x^(2+n)/(a+b*x)^n
+--R 
+--R
+--R           n + 2
+--R          x
+--R   (1)  ----------
+--R                 n
+--R        (b x + a)
+--R                                                    Type: Expression(Integer)
+--E 311
+
+--S 312 of 2952
+--r0000:=-1/6*a*(2+n)*x^(1+n)*(a+b*x)^(1-n)/b^2+_
+--      1/3*x^(2+n)*(a+b*x)^(1-n)/b+1/6*a^2*(1+n)*(2+n)*x^n*(a+b*x)^(1-n)*_
+--      hypergeometric(1-n,-n,2-n,(a+b*x)/a)/(b^3*(1-n)*(-b*x/a)^n)
+--E 312
+
+--S 313 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           x      n + 2
+--R         ++    %BJ
+--R   (2)   |   ------------ d%BJ
+--R        ++              n
+--R             (%BJ b + a)
+--R                                         Type: Union(Expression(Integer),...)
+--E 313
+
+--S 314 of 2952
+--m0000:=a0000 - r0000
+--E 314
+
+--S 315 of 2952
+--d0000:=D(m0000,x)
+--E 315
+
+)clear all
+
+--S 316 of 2952
+t0000:=x^(3/2)*(a+b*x)^n
+--R 
+--R
+--R                   n +-+
+--R   (1)  x (b x + a) \|x
+--R                                                    Type: Expression(Integer)
+--E 316
+
+--S 317 of 2952
+--r0000:=2*x^(3/2)*(a+b*x)^(1+n)/(b*(5+2*n))-_
+--      6*a*(a+b*x)^(1+n)*sqrt(x)/(b^2*(3+2*n)*(5+2*n))+_
+--      3*a^2*(a+b*x)^(1+n)*_
+--      hypergeometric(1/2,1+n,2+n,(a+b*x)/a)*sqrt(-b*x/a)/_
+--                     (b^3*(1+n)*(3+2*n)*(5+2*n)*sqrt(x))
+--E 317
+
+--S 318 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           x
+--R         ++                 n +---+
+--R   (2)   |   %BJ (%BJ b + a) \|%BJ d%BJ
+--R        ++
+--R                                         Type: Union(Expression(Integer),...)
+--E 318
+
+--S 319 of 2952
+--m0000:=a0000 - r0000
+--E 319
+
+--S 320 of 2952
+--d0000:=D(m0000,x)
+--E 320
+
+)clear all
+
+--S 321 of 2952
+t0000:=x^(1/2)*(a+b*x)^n
+--R 
+--R
+--R                 n +-+
+--R   (1)  (b x + a) \|x
+--R                                                    Type: Expression(Integer)
+--E 321
+
+--S 322 of 2952
+--r0000:=2*(a+b*x)^(1+n)*sqrt(x)/(b*(3+2*n))-_
+--      a*(a+b*x)^(1+n)*hypergeometric(1/2,1+n,2+n,(a+b*x)/a)*_
+--      sqrt(-b*x/a)/(b^2*(1+n)*(3+2*n)*sqrt(x))
+--E 322
+
+--S 323 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           x
+--R         ++             n +---+
+--R   (2)   |   (%BJ b + a) \|%BJ d%BJ
+--R        ++
+--R                                         Type: Union(Expression(Integer),...)
+--E 323
+
+--S 324 of 2952
+--m0000:=a0000 - r0000
+--E 324
+
+--S 325 of 2952
+--d0000:=D(m0000,x)
+--E 325
+
+)clear all
+
+--S 326 of 2952
+t0000:=(a+b*x)^n/x^(1/2)
+--R 
+--R
+--R                 n
+--R        (b x + a)
+--R   (1)  ----------
+--R            +-+
+--R           \|x
+--R                                                    Type: Expression(Integer)
+--E 326
+
+--S 327 of 2952
+--r0000:=(a+b*x)^(1+n)*_
+--      hypergeometric(1/2,1+n,2+n,(a+b*x)/a)*sqrt(-b*x/a)/(b*(1+n)*sqrt(x))
+--E 327
+
+--S 328 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           x            n
+--R         ++  (%BJ b + a)
+--R   (2)   |   ------------ d%BJ
+--R        ++       +---+
+--R                \|%BJ
+--R                                         Type: Union(Expression(Integer),...)
+--E 328
+
+--S 329 of 2952
+--m0000:=a0000 - r0000
+--E 329
+
+--S 330 of 2952
+--d0000:=D(m0000,x)
+--E 330
+
+)clear all
+
+--S 331 of 2952
+t0000:=(a+b*x)^n/x^(3/2)
+--R 
+--R
+--R                 n
+--R        (b x + a)
+--R   (1)  ----------
+--R             +-+
+--R           x\|x
+--R                                                    Type: Expression(Integer)
+--E 331
+
+--S 332 of 2952
+--r0000:=-2*(a+b*x)^(1+n)/(a*sqrt(x))+(1+2*n)*(a+b*x)^(1+n)*_
+--      hypergeometric(1/2,1+n,2+n,(a+b*x)/a)*sqrt(-b*x/a)/(a*(1+n)*sqrt(x))
+--E 332
+
+--S 333 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           x            n
+--R         ++  (%BJ b + a)
+--R   (2)   |   ------------ d%BJ
+--R        ++         +---+
+--R               %BJ\|%BJ
+--R                                         Type: Union(Expression(Integer),...)
+--E 333
+
+--S 334 of 2952
+--m0000:=a0000 - r0000
+--E 334
+
+--S 335 of 2952
+--d0000:=D(m0000,x)
+--E 335
+
+)clear all
+
+--S 336 of 2952
+t0000:=(a+b*x)^n/x^(5/2)
+--R 
+--R
+--R                 n
+--R        (b x + a)
+--R   (1)  ----------
+--R           2 +-+
+--R          x \|x
+--R                                                    Type: Expression(Integer)
+--E 336
+
+--S 337 of 2952
+--r0000:=-2/3*(a+b*x)^(1+n)/(a*x^(3/2))+_
+--      2/3*b*(1-2*n)*(a+b*x)^(1+n)/(a^2*sqrt(x))-_
+--      1/3*b*(1-2*n)*(1+2*n)*(a+b*x)^(1+n)*_
+--      hypergeometric(1/2,1+n,2+n,(a+b*x)/a)*sqrt(-b*x/a)/(a^2*(1+n)*sqrt(x))
+--E 337
+
+--S 338 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           x            n
+--R         ++  (%BJ b + a)
+--R   (2)   |   ------------ d%BJ
+--R        ++       2 +---+
+--R              %BJ \|%BJ
+--R                                         Type: Union(Expression(Integer),...)
+--E 338
+
+--S 339 of 2952
+--m0000:=a0000 - r0000
+--E 339
+
+--S 340 of 2952
+--d0000:=D(m0000,x)
+--E 340
+
+)clear all
+
+--S 341 of 2952
+t0000:=x^(-1+n)*(a+b*x)^(-1-n)
+--R 
+--R
+--R         n - 1         - n - 1
+--R   (1)  x     (b x + a)
+--R                                                    Type: Expression(Integer)
+--E 341
+
+--S 342 of 2952
+r0000:=x^n/(a*n*(a+b*x)^n)
+--R 
+--R
+--R               n
+--R              x
+--R   (2)  --------------
+--R                     n
+--R        a n (b x + a)
+--R                                                    Type: Expression(Integer)
+--E 342
+
+--S 343 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R            2         (- n - 1)log(b x + a)  (n - 1)log(x)
+--R        (b x  + a x)%e                     %e
+--R   (3)  --------------------------------------------------
+--R                                a n
+--R                                         Type: Union(Expression(Integer),...)
+--E 343
+
+--S 344 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R            2                n  (- n - 1)log(b x + a)  (n - 1)log(x)    n
+--R        (b x  + a x)(b x + a) %e                     %e              - x
+--R   (4)  -----------------------------------------------------------------
+--R                                               n
+--R                                  a n (b x + a)
+--R                                                    Type: Expression(Integer)
+--E 344
+
+--S 345 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)
+--R                   n 2  (- n - 1)log(b x + a)  (n - 1)log(x)    n - 1         n
+--R       a ((b x + a) ) %e                     %e              - x     (b x + a)
+--R     + 
+--R          n         n - 1
+--R       b x (b x + a)
+--R  /
+--R                 n 2
+--R     a ((b x + a) )
+--R                                                    Type: Expression(Integer)
+--E 345
+
+)clear all
+
+--S 346 of 2952
+t0000:=x^(-3-n)*(a+b*x)^n
+--R 
+--R
+--R         - n - 3         n
+--R   (1)  x       (b x + a)
+--R                                                    Type: Expression(Integer)
+--E 346
+
+--S 347 of 2952
+r0000:=-x^(-2-n)*(a+b*x)^(1+n)/(a*(2+n))+_
+     b*x^(-1-n)*(a+b*x)^(1+n)/(a^2*(1+n)*(2+n))
+--R 
+--R
+--R            - n - 1               - n - 2          n + 1
+--R        (b x        + (- a n - a)x       )(b x + a)
+--R   (2)  ------------------------------------------------
+--R                         2 2     2      2
+--R                        a n  + 3a n + 2a
+--R                                                    Type: Expression(Integer)
+--E 347
+
+--S 348 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R          2 3          2       2     2     (- n - 3)log(x)  n log(b x + a)
+--R        (b x  - a b n x  + (- a n - a )x)%e               %e
+--R   (3)  ------------------------------------------------------------------
+--R                                  2 2     2      2
+--R                                 a n  + 3a n + 2a
+--R                                         Type: Union(Expression(Integer),...)
+--E 348
+
+--S 349 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R         2 3          2       2     2     (- n - 3)log(x)  n log(b x + a)
+--R       (b x  - a b n x  + (- a n - a )x)%e               %e
+--R     + 
+--R             - n - 1             - n - 2          n + 1
+--R       (- b x        + (a n + a)x       )(b x + a)
+--R  /
+--R      2 2     2      2
+--R     a n  + 3a n + 2a
+--R                                                    Type: Expression(Integer)
+--E 349
+
+--S 350 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)
+--R         2      2   (- n - 3)log(x)  n log(b x + a)
+--R       (a n + 2a )%e               %e
+--R     + 
+--R           - n - 2                - n - 3          n + 1
+--R       (b x        + (- a n - 2a)x       )(b x + a)
+--R     + 
+--R           2 - n - 1                 - n - 2          n
+--R       (- b x        + (a b n + a b)x       )(b x + a)
+--R  /
+--R      2      2
+--R     a n + 2a
+--R                                                    Type: Expression(Integer)
+--E 350
+
+)clear all
+
+--S 351 of 2952
+t0000:=x^(2*n-3*(1+n))*(a+b*x)^n
+--R 
+--R
+--R         - n - 3         n
+--R   (1)  x       (b x + a)
+--R                                                    Type: Expression(Integer)
+--E 351
+
+--S 352 of 2952
+r0000:=-x^(-2-n)*(a+b*x)^(1+n)/(a*(2+n))+_
+     b*x^(-1-n)*(a+b*x)^(1+n)/(a^2*(1+n)*(2+n))
+--R 
+--R
+--R            - n - 1               - n - 2          n + 1
+--R        (b x        + (- a n - a)x       )(b x + a)
+--R   (2)  ------------------------------------------------
+--R                         2 2     2      2
+--R                        a n  + 3a n + 2a
+--R                                                    Type: Expression(Integer)
+--E 352
+
+--S 353 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R          2 3          2       2     2     (- n - 3)log(x)  n log(b x + a)
+--R        (b x  - a b n x  + (- a n - a )x)%e               %e
+--R   (3)  ------------------------------------------------------------------
+--R                                  2 2     2      2
+--R                                 a n  + 3a n + 2a
+--R                                         Type: Union(Expression(Integer),...)
+--E 353
+
+--S 354 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R         2 3          2       2     2     (- n - 3)log(x)  n log(b x + a)
+--R       (b x  - a b n x  + (- a n - a )x)%e               %e
+--R     + 
+--R             - n - 1             - n - 2          n + 1
+--R       (- b x        + (a n + a)x       )(b x + a)
+--R  /
+--R      2 2     2      2
+--R     a n  + 3a n + 2a
+--R                                                    Type: Expression(Integer)
+--E 354
+
+--S 355 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)
+--R         2      2   (- n - 3)log(x)  n log(b x + a)
+--R       (a n + 2a )%e               %e
+--R     + 
+--R           - n - 2                - n - 3          n + 1
+--R       (b x        + (- a n - 2a)x       )(b x + a)
+--R     + 
+--R           2 - n - 1                 - n - 2          n
+--R       (- b x        + (a b n + a b)x       )(b x + a)
+--R  /
+--R      2      2
+--R     a n + 2a
+--R                                                    Type: Expression(Integer)
+--E 355
+
+)clear all
+
+--S 356 of 2952
+t0000:=1/(e*(c+d*x)+sqrt(-a))
+--R 
+--R
+--R                  1
+--R   (1)  --------------------
+--R         +---+
+--R        \|- a  + d e x + c e
+--R                                                    Type: Expression(Integer)
+--E 356
+
+--S 357 of 2952
+r0000:=log(e*(c+d*x)+sqrt(-a))/(d*e)
+--R 
+--R
+--R             +---+
+--R        log(\|- a  + d e x + c e)
+--R   (2)  -------------------------
+--R                   d e
+--R                                                    Type: Expression(Integer)
+--E 357
+
+--S 358 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R             +---+
+--R        log(\|- a  + d e x + c e)
+--R   (3)  -------------------------
+--R                   d e
+--R                                         Type: Union(Expression(Integer),...)
+--E 358
+
+--S 359 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 359
+
+--S 360 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 360
+
+)clear all
+
+--S 361 of 2952
+t0000:=(c+d*(a+b*x))^(5/2)
+--R 
+--R
+--R          2 2 2          2               2 2             2  +---------------+
+--R   (1)  (b d x  + (2a b d  + 2b c d)x + a d  + 2a c d + c )\|b d x + a d + c
+--R                                                    Type: Expression(Integer)
+--E 361
+
+--S 362 of 2952
+r0000:=2/7*(c+d*(a+b*x))^(7/2)/(b*d)
+--R 
+--R
+--R   (2)
+--R           3 3 3        2 3     2   2  2      2   3            2       2
+--R         2b d x  + (6a b d  + 6b c d )x  + (6a b d  + 12a b c d  + 6b c d)x
+--R       + 
+--R           3 3     2   2       2      3
+--R         2a d  + 6a c d  + 6a c d + 2c
+--R    *
+--R        +---------------+
+--R       \|b d x + a d + c
+--R  /
+--R     7b d
+--R                                                    Type: Expression(Integer)
+--E 362
+
+--S 363 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R           3 3 3        2 3     2   2  2      2   3            2       2
+--R         2b d x  + (6a b d  + 6b c d )x  + (6a b d  + 12a b c d  + 6b c d)x
+--R       + 
+--R           3 3     2   2       2      3
+--R         2a d  + 6a c d  + 6a c d + 2c
+--R    *
+--R        +---------------+
+--R       \|b d x + a d + c
+--R  /
+--R     7b d
+--R                                         Type: Union(Expression(Integer),...)
+--E 363
+
+--S 364 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 364
+
+--S 365 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 365
+
+)clear all
+
+--S 366 of 2952
+t0000:=(c+d*(a+b*x))^(3/2)
+--R 
+--R
+--R                          +---------------+
+--R   (1)  (b d x + a d + c)\|b d x + a d + c
+--R                                                    Type: Expression(Integer)
+--E 366
+
+--S 367 of 2952
+r0000:=2/5*(c+d*(a+b*x))^(5/2)/(b*d)
+--R 
+--R
+--R   (2)
+--R      2 2 2          2                2 2              2  +---------------+
+--R   (2b d x  + (4a b d  + 4b c d)x + 2a d  + 4a c d + 2c )\|b d x + a d + c
+--R   ------------------------------------------------------------------------
+--R                                     5b d
+--R                                                    Type: Expression(Integer)
+--E 367
+
+--S 368 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R      2 2 2          2                2 2              2  +---------------+
+--R   (2b d x  + (4a b d  + 4b c d)x + 2a d  + 4a c d + 2c )\|b d x + a d + c
+--R   ------------------------------------------------------------------------
+--R                                     5b d
+--R                                         Type: Union(Expression(Integer),...)
+--E 368
+
+--S 369 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 369
+
+--S 370 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 370
+
+)clear all
+
+--S 371 of 2952
+t0000:=(c+d*(a+b*x))^(1/2)
+--R 
+--R
+--R         +---------------+
+--R   (1)  \|b d x + a d + c
+--R                                                    Type: Expression(Integer)
+--E 371
+
+--S 372 of 2952
+r0000:=2/3*(c+d*(a+b*x))^(3/2)/(b*d)
+--R 
+--R
+--R                             +---------------+
+--R        (2b d x + 2a d + 2c)\|b d x + a d + c
+--R   (2)  --------------------------------------
+--R                         3b d
+--R                                                    Type: Expression(Integer)
+--E 372
+
+--S 373 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                             +---------------+
+--R        (2b d x + 2a d + 2c)\|b d x + a d + c
+--R   (3)  --------------------------------------
+--R                         3b d
+--R                                         Type: Union(Expression(Integer),...)
+--E 373
+
+--S 374 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 374
+
+--S 375 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 375
+
+)clear all
+
+--S 376 of 2952
+t0000:=1/(c+d*(a+b*x))^(1/2)
+--R 
+--R
+--R                 1
+--R   (1)  ------------------
+--R         +---------------+
+--R        \|b d x + a d + c
+--R                                                    Type: Expression(Integer)
+--E 376
+
+--S 377 of 2952
+r0000:=2*sqrt(c+d*(a+b*x))/(b*d)
+--R 
+--R
+--R          +---------------+
+--R        2\|b d x + a d + c
+--R   (2)  -------------------
+--R                b d
+--R                                                    Type: Expression(Integer)
+--E 377
+
+--S 378 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R          +---------------+
+--R        2\|b d x + a d + c
+--R   (3)  -------------------
+--R                b d
+--R                                         Type: Union(Expression(Integer),...)
+--E 378
+
+--S 379 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 379
+
+--S 380 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 380
+
+)clear all
+
+--S 381 of 2952
+t0000:=1/(c+d*(a+b*x))^(3/2)
+--R 
+--R
+--R                         1
+--R   (1)  -----------------------------------
+--R                          +---------------+
+--R        (b d x + a d + c)\|b d x + a d + c
+--R                                                    Type: Expression(Integer)
+--E 381
+
+--S 382 of 2952
+r0000:=(-2)/(b*d*sqrt(c+d*(a+b*x)))
+--R 
+--R
+--R                    2
+--R   (2)  - ---------------------
+--R              +---------------+
+--R          b d\|b d x + a d + c
+--R                                                    Type: Expression(Integer)
+--E 382
+
+--S 383 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                    2
+--R   (3)  - ---------------------
+--R              +---------------+
+--R          b d\|b d x + a d + c
+--R                                         Type: Union(Expression(Integer),...)
+--E 383
+
+--S 384 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 384
+
+--S 385 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 385
+
+)clear all
+
+--S 386 of 2952
+t0000:=1/(c+d*(a+b*x))^(5/2)
+--R 
+--R
+--R                                          1
+--R   (1)  ---------------------------------------------------------------------
+--R          2 2 2          2               2 2             2  +---------------+
+--R        (b d x  + (2a b d  + 2b c d)x + a d  + 2a c d + c )\|b d x + a d + c
+--R                                                    Type: Expression(Integer)
+--E 386
+
+--S 387 of 2952
+r0000:=(-2/3)/(b*d*(c+d*(a+b*x))^(3/2))
+--R 
+--R
+--R                                2
+--R   (2)  - ---------------------------------------------
+--R             2 2          2           +---------------+
+--R          (3b d x + 3a b d  + 3b c d)\|b d x + a d + c
+--R                                                    Type: Expression(Integer)
+--E 387
+
+--S 388 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                                2
+--R   (3)  - ---------------------------------------------
+--R             2 2          2           +---------------+
+--R          (3b d x + 3a b d  + 3b c d)\|b d x + a d + c
+--R                                         Type: Union(Expression(Integer),...)
+--E 388
+
+--S 389 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 389
+
+--S 390 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 390
+
+)clear all
+
+--S 391 of 2952
+t0000:=(a+b*x)^m*(c+d*x)
+--R 
+--R
+--R                          m
+--R   (1)  (d x + c)(b x + a)
+--R                                                    Type: Expression(Integer)
+--E 391
+
+--S 392 of 2952
+r0000:=(b*c-a*d)*(a+b*x)^(1+m)/(b^2*(1+m))+d*(a+b*x)^(2+m)/(b^2*(2+m))
+--R 
+--R
+--R                          m + 2                                          m + 1
+--R        (d m + d)(b x + a)      + ((- a d + b c)m - 2a d + 2b c)(b x + a)
+--R   (2)  ----------------------------------------------------------------------
+--R                                    2 2     2      2
+--R                                   b m  + 3b m + 2b
+--R                                                    Type: Expression(Integer)
+--E 392
+
+--S 393 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R          2       2   2              2        2                 2
+--R       ((b d m + b d)x  + ((a b d + b c)m + 2b c)x + a b c m - a d + 2a b c)
+--R    *
+--R         m log(b x + a)
+--R       %e
+--R  /
+--R      2 2     2      2
+--R     b m  + 3b m + 2b
+--R                                         Type: Union(Expression(Integer),...)
+--E 393
+
+--S 394 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R            2       2   2              2        2                 2
+--R         ((b d m + b d)x  + ((a b d + b c)m + 2b c)x + a b c m - a d + 2a b c)
+--R      *
+--R           m log(b x + a)
+--R         %e
+--R     + 
+--R                           m + 2                                        m + 1
+--R       (- d m - d)(b x + a)      + ((a d - b c)m + 2a d - 2b c)(b x + a)
+--R  /
+--R      2 2     2      2
+--R     b m  + 3b m + 2b
+--R                                                    Type: Expression(Integer)
+--E 394
+
+--S 395 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)
+--R                  m log(b x + a)              m + 1                       m
+--R   (b d x + b c)%e               - d (b x + a)      + (a d - b c)(b x + a)
+--R   ------------------------------------------------------------------------
+--R                                       b
+--R                                                    Type: Expression(Integer)
+--E 395
+
+)clear all
+
+--S 396 of 2952
+t0000:=(a+b*x)^4*(c+d*x)
+--R 
+--R
+--R   (1)
+--R      4   5        3     4   4      2 2        3   3      3        2 2   2
+--R     b d x  + (4a b d + b c)x  + (6a b d + 4a b c)x  + (4a b d + 6a b c)x
+--R   + 
+--R       4      3         4
+--R     (a d + 4a b c)x + a c
+--R                                                    Type: Polynomial(Integer)
+--E 396
+
+--S 397 of 2952
+r0000:=1/5*(b*c-a*d)*(a+b*x)^5/b^2+1/6*d*(a+b*x)^6/b^2
+--R 
+--R
+--R   (2)
+--R       1  6   6    4    5    1  6   5    3  2 4       5   4
+--R       - b d x  + (- a b d + - b c)x  + (- a b d + a b c)x
+--R       6           5         5           2
+--R     + 
+--R        4  3 3      2 4   3    1  4 2      3 3   2    4 2       1  6    1  5
+--R       (- a b d + 2a b c)x  + (- a b d + 2a b c)x  + a b c x - -- a d + - a b c
+--R        3                      2                               30       5
+--R  /
+--R      2
+--R     b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 397
+
+--S 398 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R     1  4   6    4    3    1  4   5    3  2 2       3   4    4  3        2 2   3
+--R     - b d x  + (- a b d + - b c)x  + (- a b d + a b c)x  + (- a b d + 2a b c)x
+--R     6           5         5           2                     3
+--R   + 
+--R      1  4      3     2    4
+--R     (- a d + 2a b c)x  + a c x
+--R      2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 398
+
+--S 399 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R         1  6    1  5
+--R        -- a d - - a b c
+--R        30       5
+--R   (4)  ----------------
+--R                2
+--R               b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 399
+
+--S 400 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 400
+
+)clear all
+
+--S 401 of 2952
+t0000:=(a+b*x)^3*(c+d*x)
+--R 
+--R
+--R   (1)
+--R    3   4        2     3   3      2          2   2     3      2         3
+--R   b d x  + (3a b d + b c)x  + (3a b d + 3a b c)x  + (a d + 3a b c)x + a c
+--R                                                    Type: Polynomial(Integer)
+--E 401
+
+--S 402 of 2952
+r0000:=1/4*(b*c-a*d)*(a+b*x)^4/b^2+1/5*d*(a+b*x)^5/b^2
+--R 
+--R
+--R   (2)
+--R       1  5   5    3    4    1  5   4     2 3       4   3
+--R       - b d x  + (- a b d + - b c)x  + (a b d + a b c)x
+--R       5           4         4
+--R     + 
+--R        1  3 2    3  2 3   2    3 2       1  5    1  4
+--R       (- a b d + - a b c)x  + a b c x - -- a d + - a b c
+--R        2         2                      20       4
+--R  /
+--R      2
+--R     b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 402
+
+--S 403 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R     1  3   5    3    2    1  3   4     2         2   3    1  3    3  2     2
+--R     - b d x  + (- a b d + - b c)x  + (a b d + a b c)x  + (- a d + - a b c)x
+--R     5           4         4                               2       2
+--R   + 
+--R      3
+--R     a c x
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 403
+
+--S 404 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R         1  5    1  4
+--R        -- a d - - a b c
+--R        20       4
+--R   (4)  ----------------
+--R                2
+--R               b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 404
+
+--S 405 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 405
+
+)clear all
+
+--S 406 of 2952
+t0000:=(a+b*x)^2*(c+d*x)
+--R 
+--R
+--R         2   3              2   2     2                2
+--R   (1)  b d x  + (2a b d + b c)x  + (a d + 2a b c)x + a c
+--R                                                    Type: Polynomial(Integer)
+--E 406
+
+--S 407 of 2952
+r0000:=1/3*(b*c-a*d)*(a+b*x)^3/b^2+1/4*d*(a+b*x)^4/b^2
+--R 
+--R
+--R   (2)
+--R       1  4   4    2    3    1  4   3    1  2 2       3   2    2 2       1  4
+--R       - b d x  + (- a b d + - b c)x  + (- a b d + a b c)x  + a b c x - -- a d
+--R       4           3         3           2                              12
+--R     + 
+--R       1  3
+--R       - a b c
+--R       3
+--R  /
+--R      2
+--R     b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 407
+
+--S 408 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        1  2   4    2         1  2   3    1  2           2    2
+--R   (3)  - b d x  + (- a b d + - b c)x  + (- a d + a b c)x  + a c x
+--R        4           3         3           2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 408
+
+--S 409 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R         1  4    1  3
+--R        -- a d - - a b c
+--R        12       3
+--R   (4)  ----------------
+--R                2
+--R               b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 409
+
+--S 410 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 410
+
+)clear all
+
+--S 411 of 2952
+t0000:=(a+b*x)*(c+d*x)
+--R 
+--R
+--R             2
+--R   (1)  b d x  + (a d + b c)x + a c
+--R                                                    Type: Polynomial(Integer)
+--E 411
+
+--S 412 of 2952
+r0000:=a*c*x+1/2*(b*c+a*d)*x^2+1/3*b*d*x^3
+--R 
+--R
+--R        1      3    1       1      2
+--R   (2)  - b d x  + (- a d + - b c)x  + a c x
+--R        3           2       2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 412
+
+--S 413 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        1      3    1       1      2
+--R   (3)  - b d x  + (- a d + - b c)x  + a c x
+--R        3           2       2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 413
+
+--S 414 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 414
+
+--S 415 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 415
+
+)clear all
+
+--S 416 of 2952
+t0000:=c+d*x
+--R 
+--R
+--R   (1)  d x + c
+--R                                                    Type: Polynomial(Integer)
+--E 416
+
+--S 417 of 2952
+r0000:=c*x+1/2*d*x^2
+--R 
+--R
+--R        1    2
+--R   (2)  - d x  + c x
+--R        2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 417
+
+--S 418 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        1    2
+--R   (3)  - d x  + c x
+--R        2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 418
+
+--S 419 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 419
+
+--S 420 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 420
+
+)clear all
+
+--S 421 of 2952
+t0000:=(c+d*x)/(a+b*x)
+--R 
+--R
+--R        d x + c
+--R   (1)  -------
+--R        b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 421
+
+--S 422 of 2952
+r0000:=d*x/b+(b*c-a*d)*log(a+b*x)/b^2
+--R 
+--R
+--R        (- a d + b c)log(b x + a) + b d x
+--R   (2)  ---------------------------------
+--R                         2
+--R                        b
+--R                                                    Type: Expression(Integer)
+--E 422
+
+--S 423 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        (- a d + b c)log(b x + a) + b d x
+--R   (3)  ---------------------------------
+--R                         2
+--R                        b
+--R                                         Type: Union(Expression(Integer),...)
+--E 423
+
+--S 424 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 424
+
+--S 425 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 425
+
+)clear all
+
+--S 426 of 2952
+t0000:=(c+d*x)/(a+b*x)^2
+--R 
+--R
+--R              d x + c
+--R   (1)  ------------------
+--R         2 2             2
+--R        b x  + 2a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 426
+
+--S 427 of 2952
+r0000:=(-b*c+a*d)/(b^2*(a+b*x))+d*log(a+b*x)/b^2
+--R 
+--R
+--R        (b d x + a d)log(b x + a) + a d - b c
+--R   (2)  -------------------------------------
+--R                       3       2
+--R                      b x + a b
+--R                                                    Type: Expression(Integer)
+--E 427
+
+--S 428 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        (b d x + a d)log(b x + a) + a d - b c
+--R   (3)  -------------------------------------
+--R                       3       2
+--R                      b x + a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 428
+
+--S 429 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 429
+
+--S 430 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 430
+
+)clear all
+
+--S 431 of 2952
+t0000:=(c+d*x)/(a+b*x)^3
+--R 
+--R
+--R                   d x + c
+--R   (1)  ----------------------------
+--R         3 3       2 2     2       3
+--R        b x  + 3a b x  + 3a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 431
+
+--S 432 of 2952
+r0000:=-1/2*(c+d*x)^2/((b*c-a*d)*(a+b*x)^2)
+--R 
+--R
+--R                       1  2 2           1  2
+--R                       - d x  + c d x + - c
+--R                       2                2
+--R   (2)  --------------------------------------------------
+--R            2     3   2      2          2       3     2
+--R        (a b d - b c)x  + (2a b d - 2a b c)x + a d - a b c
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 432
+
+--S 433 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R         - 2b d x - a d - b c
+--R   (3)  ----------------------
+--R          4 2       3      2 2
+--R        2b x  + 4a b x + 2a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 433
+
+--S 434 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R                 2
+--R                d
+--R   (4)  - -------------
+--R              2      3
+--R          2a b d - 2b c
+--R                                                    Type: Expression(Integer)
+--E 434
+
+--S 435 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 435
+
+)clear all
+
+--S 436 of 2952
+t0000:=(c+d*x)/(a+b*x)^4
+--R 
+--R
+--R                        d x + c
+--R   (1)  --------------------------------------
+--R         4 4       3 3     2 2 2     3       4
+--R        b x  + 4a b x  + 6a b x  + 4a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 436
+
+--S 437 of 2952
+r0000:=1/3*(-b*c+a*d)/(b^2*(a+b*x)^3)-1/2*d/(b^2*(a+b*x)^2)
+--R 
+--R
+--R             1         1       1
+--R           - - b d x - - a d - - b c
+--R             2         6       3
+--R   (2)  ------------------------------
+--R         5 3       4 2     2 3     3 2
+--R        b x  + 3a b x  + 3a b x + a b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 437
+
+--S 438 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R               - 3b d x - a d - 2b c
+--R   (3)  ----------------------------------
+--R          5 3        4 2      2 3      3 2
+--R        6b x  + 18a b x  + 18a b x + 6a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 438
+
+--S 439 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 439
+
+--S 440 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 440
+
+)clear all
+
+--S 441 of 2952
+t0000:=(c+d*x)/(a+b*x)^5
+--R 
+--R
+--R                              d x + c
+--R   (1)  --------------------------------------------------
+--R         5 5       4 4      2 3 3      3 2 2     4       5
+--R        b x  + 5a b x  + 10a b x  + 10a b x  + 5a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 441
+
+--S 442 of 2952
+r0000:=1/4*(-b*c+a*d)/(b^2*(a+b*x)^4)-1/3*d/(b^2*(a+b*x)^3)
+--R 
+--R
+--R                 1          1       1
+--R               - - b d x - -- a d - - b c
+--R                 3         12       4
+--R   (2)  ----------------------------------------
+--R         6 4       5 3     2 4 2     3 3     4 2
+--R        b x  + 4a b x  + 6a b x  + 4a b x + a b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 442
+
+--S 443 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                     - 4b d x - a d - 3b c
+--R   (3)  -----------------------------------------------
+--R           6 4        5 3      2 4 2      3 3       4 2
+--R        12b x  + 48a b x  + 72a b x  + 48a b x + 12a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 443
+
+--S 444 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 444
+
+--S 445 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 445
+
+)clear all
+
+--S 446 of 2952
+t0000:=(a+b*x)^m*(c+d*x)^2
+--R 
+--R
+--R          2 2             2          m
+--R   (1)  (d x  + 2c d x + c )(b x + a)
+--R                                                    Type: Expression(Integer)
+--E 446
+
+--S 447 of 2952
+r0000:=(b*c-a*d)^2*(a+b*x)^(1+m)/(b^3*(1+m))+_
+     2*d*(b*c-a*d)*(a+b*x)^(2+m)/(b^3*(2+m))+d^2*(a+b*x)^(3+m)/(b^3*(3+m))
+--R 
+--R
+--R   (2)
+--R         2 2     2      2          m + 3
+--R       (d m  + 3d m + 2d )(b x + a)
+--R     + 
+--R                 2           2          2                  2
+--R         ((- 2a d  + 2b c d)m  + (- 8a d  + 8b c d)m - 6a d  + 6b c d)
+--R      *
+--R                  m + 2
+--R         (b x + a)
+--R     + 
+--R             2 2               2 2  2      2 2                 2 2       2 2
+--R           (a d  - 2a b c d + b c )m  + (5a d  - 10a b c d + 5b c )m + 6a d
+--R         + 
+--R                           2 2
+--R           - 12a b c d + 6b c
+--R      *
+--R                  m + 1
+--R         (b x + a)
+--R  /
+--R      3 3     3 2      3      3
+--R     b m  + 6b m  + 11b m + 6b
+--R                                                    Type: Expression(Integer)
+--E 447
+
+--S 448 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R           3 2 2     3 2      3 2  3
+--R         (b d m  + 3b d m + 2b d )x
+--R       + 
+--R              2 2     3     2       2 2     3          3     2
+--R         ((a b d  + 2b c d)m  + (a b d  + 8b c d)m + 6b c d)x
+--R       + 
+--R               2       3 2  2        2   2       2        3 2       3 2
+--R         ((2a b c d + b c )m  + (- 2a b d  + 6a b c d + 5b c )m + 6b c )x
+--R       + 
+--R            2 2 2        2            2 2       3 2     2            2 2
+--R         a b c m  + (- 2a b c d + 5a b c )m + 2a d  - 6a b c d + 6a b c
+--R    *
+--R         m log(b x + a)
+--R       %e
+--R  /
+--R      3 3     3 2      3      3
+--R     b m  + 6b m  + 11b m + 6b
+--R                                         Type: Union(Expression(Integer),...)
+--E 448
+
+--S 449 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R             3 2 2     3 2      3 2  3
+--R           (b d m  + 3b d m + 2b d )x
+--R         + 
+--R                2 2     3     2       2 2     3          3     2
+--R           ((a b d  + 2b c d)m  + (a b d  + 8b c d)m + 6b c d)x
+--R         + 
+--R                 2       3 2  2        2   2       2        3 2       3 2
+--R           ((2a b c d + b c )m  + (- 2a b d  + 6a b c d + 5b c )m + 6b c )x
+--R         + 
+--R              2 2 2        2            2 2       3 2     2            2 2
+--R           a b c m  + (- 2a b c d + 5a b c )m + 2a d  - 6a b c d + 6a b c
+--R      *
+--R           m log(b x + a)
+--R         %e
+--R     + 
+--R           2 2     2      2          m + 3
+--R       (- d m  - 3d m - 2d )(b x + a)
+--R     + 
+--R             2           2        2                  2                   m + 2
+--R       ((2a d  - 2b c d)m  + (8a d  - 8b c d)m + 6a d  - 6b c d)(b x + a)
+--R     + 
+--R               2 2               2 2  2        2 2                 2 2       2 2
+--R           (- a d  + 2a b c d - b c )m  + (- 5a d  + 10a b c d - 5b c )m - 6a d
+--R         + 
+--R                         2 2
+--R           12a b c d - 6b c
+--R      *
+--R                  m + 1
+--R         (b x + a)
+--R  /
+--R      3 3     3 2      3      3
+--R     b m  + 6b m  + 11b m + 6b
+--R                                                    Type: Expression(Integer)
+--E 449
+
+--S 450 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)
+--R         2 2 2     2         2 2   m log(b x + a)    2         m + 2
+--R       (b d x  + 2b c d x + b c )%e               - d (b x + a)
+--R     + 
+--R            2                   m + 1       2 2               2 2          m
+--R       (2a d  - 2b c d)(b x + a)      + (- a d  + 2a b c d - b c )(b x + a)
+--R  /
+--R      2
+--R     b
+--R                                                    Type: Expression(Integer)
+--E 450
+
+)clear all
+
+--S 451 of 2952
+t0000:=(a+b*x)^4*(c+d*x)^2
+--R 
+--R
+--R   (1)
+--R      4 2 6        3 2     4     5      2 2 2       3       4 2  4
+--R     b d x  + (4a b d  + 2b c d)x  + (6a b d  + 8a b c d + b c )x
+--R   + 
+--R        3   2      2 2          3 2  3     4 2     3          2 2 2  2
+--R     (4a b d  + 12a b c d + 4a b c )x  + (a d  + 8a b c d + 6a b c )x
+--R   + 
+--R        4        3   2      4 2
+--R     (2a c d + 4a b c )x + a c
+--R                                                    Type: Polynomial(Integer)
+--E 451
+
+--S 452 of 2952
+r0000:=1/5*(b*c-a*d)^2*(a+b*x)^5/b^3+_
+     1/3*d*(b*c-a*d)*(a+b*x)^6/b^3+1/7*d^2*(a+b*x)^7/b^3
+--R 
+--R
+--R   (2)
+--R       1  7 2 7    2    6 2   1  7     6    6  2 5 2   8    6      1  7 2  5
+--R       - b d x  + (- a b d  + - b c d)x  + (- a b d  + - a b c d + - b c )x
+--R       7           3          3             5          5           5
+--R     + 
+--R         3 4 2     2 5         6 2  4    1  4 3 2   8  3 4        2 5 2  3
+--R       (a b d  + 3a b c d + a b c )x  + (- a b d  + - a b c d + 2a b c )x
+--R                                         3          3
+--R     + 
+--R         4 3        3 4 2  2    4 3 2     1   7 2    1  6        1  5 2 2
+--R       (a b c d + 2a b c )x  + a b c x + --- a d  - -- a b c d + - a b c
+--R                                         105        15           5
+--R  /
+--R      3
+--R     b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 452
+
+--S 453 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R     1  4 2 7    2    3 2   1  4     6    6  2 2 2   8    3      1  4 2  5
+--R     - b d x  + (- a b d  + - b c d)x  + (- a b d  + - a b c d + - b c )x
+--R     7           3          3             5          5           5
+--R   + 
+--R       3   2     2 2         3 2  4    1  4 2   8  3          2 2 2  3
+--R     (a b d  + 3a b c d + a b c )x  + (- a d  + - a b c d + 2a b c )x
+--R                                       3        3
+--R   + 
+--R       4        3   2  2    4 2
+--R     (a c d + 2a b c )x  + a c x
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 453
+
+--S 454 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R           1   7 2    1  6        1  5 2 2
+--R        - --- a d  + -- a b c d - - a b c
+--R          105        15           5
+--R   (4)  ----------------------------------
+--R                         3
+--R                        b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 454
+
+--S 455 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 455
+
+)clear all
+
+--S 456 of 2952
+t0000:=(a+b*x)^3*(c+d*x)^2
+--R 
+--R
+--R   (1)
+--R      3 2 5        2 2     3     4      2   2       2       3 2  3
+--R     b d x  + (3a b d  + 2b c d)x  + (3a b d  + 6a b c d + b c )x
+--R   + 
+--R       3 2     2            2 2  2      3        2   2      3 2
+--R     (a d  + 6a b c d + 3a b c )x  + (2a c d + 3a b c )x + a c
+--R                                                    Type: Polynomial(Integer)
+--E 456
+
+--S 457 of 2952
+r0000:=1/4*(b*c-a*d)^2*(a+b*x)^4/b^3+2/5*d*(b*c-a*d)*(a+b*x)^5/b^3+_
+     1/6*d^2*(a+b*x)^6/b^3
+--R 
+--R
+--R   (2)
+--R       1  6 2 6    3    5 2   2  6     5    3  2 4 2   3    5      1  6 2  4
+--R       - b d x  + (- a b d  + - b c d)x  + (- a b d  + - a b c d + - b c )x
+--R       6           5          5             4          2           4
+--R     + 
+--R        1  3 3 2     2 4         5 2  3     3 3      3  2 4 2  2    3 3 2
+--R       (- a b d  + 2a b c d + a b c )x  + (a b c d + - a b c )x  + a b c x
+--R        3                                            2
+--R     + 
+--R        1  6 2    1  5        1  4 2 2
+--R       -- a d  - -- a b c d + - a b c
+--R       60        10           4
+--R  /
+--R      3
+--R     b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 457
+
+--S 458 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R     1  3 2 6    3    2 2   2  3     5    3  2   2   3    2      1  3 2  4
+--R     - b d x  + (- a b d  + - b c d)x  + (- a b d  + - a b c d + - b c )x
+--R     6           5          5             4          2           4
+--R   + 
+--R      1  3 2     2           2 2  3     3      3  2   2  2    3 2
+--R     (- a d  + 2a b c d + a b c )x  + (a c d + - a b c )x  + a c x
+--R      3                                        2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 458
+
+--S 459 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R           1  6 2    1  5        1  4 2 2
+--R        - -- a d  + -- a b c d - - a b c
+--R          60        10           4
+--R   (4)  ---------------------------------
+--R                         3
+--R                        b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 459
+
+--S 460 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 460
+
+)clear all
+
+--S 461 of 2952
+t0000:=(a+b*x)^2*(c+d*x)^2
+--R 
+--R
+--R   (1)
+--R      2 2 4          2     2     3     2 2               2 2  2
+--R     b d x  + (2a b d  + 2b c d)x  + (a d  + 4a b c d + b c )x
+--R   + 
+--R        2            2      2 2
+--R     (2a c d + 2a b c )x + a c
+--R                                                    Type: Polynomial(Integer)
+--E 461
+
+--S 462 of 2952
+r0000:=1/3*(b*c-a*d)^2*(a+b*x)^3/b^3+1/2*d*(b*c-a*d)*(a+b*x)^4/b^3+_
+     1/5*d^2*(a+b*x)^5/b^3
+--R 
+--R
+--R   (2)
+--R       1  5 2 5    1    4 2   1  5     4    1  2 3 2   4    4      1  5 2  3
+--R       - b d x  + (- a b d  + - b c d)x  + (- a b d  + - a b c d + - b c )x
+--R       5           2          2             3          3           3
+--R     + 
+--R         2 3         4 2  2    2 3 2     1  5 2   1  4        1  3 2 2
+--R       (a b c d + a b c )x  + a b c x + -- a d  - - a b c d + - a b c
+--R                                        30        6           3
+--R  /
+--R      3
+--R     b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 462
+
+--S 463 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R     1  2 2 5    1      2   1  2     4    1  2 2   4           1  2 2  3
+--R     - b d x  + (- a b d  + - b c d)x  + (- a d  + - a b c d + - b c )x
+--R     5           2          2             3        3           3
+--R   + 
+--R       2           2  2    2 2
+--R     (a c d + a b c )x  + a c x
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 463
+
+--S 464 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R           1  5 2   1  4        1  3 2 2
+--R        - -- a d  + - a b c d - - a b c
+--R          30        6           3
+--R   (4)  --------------------------------
+--R                        3
+--R                       b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 464
+
+--S 465 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 465
+
+)clear all
+
+--S 466 of 2952
+t0000:=(a+b*x)*(c+d*x)^2
+--R 
+--R
+--R           2 3       2           2                2        2
+--R   (1)  b d x  + (a d  + 2b c d)x  + (2a c d + b c )x + a c
+--R                                                    Type: Polynomial(Integer)
+--E 466
+
+--S 467 of 2952
+r0000:=-1/3*(b*c-a*d)*(c+d*x)^3/d^2+1/4*b*(c+d*x)^4/d^2
+--R 
+--R
+--R   (2)
+--R       1    4 4    1    4   2      3  3         3   1    2 2  2      2 2
+--R       - b d x  + (- a d  + - b c d )x  + (a c d  + - b c d )x  + a c d x
+--R       4           3        3                       2
+--R     + 
+--R       1    3     1    4
+--R       - a c d - -- b c
+--R       3         12
+--R  /
+--R      2
+--R     d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 467
+
+--S 468 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        1    2 4    1    2   2        3            1    2  2      2
+--R   (3)  - b d x  + (- a d  + - b c d)x  + (a c d + - b c )x  + a c x
+--R        4           3        3                     2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 468
+
+--S 469 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R          1    3     1    4
+--R        - - a c d + -- b c
+--R          3         12
+--R   (4)  -------------------
+--R                  2
+--R                 d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 469
+
+--S 470 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 470
+
+)clear all
+
+--S 471 of 2952
+t0000:=(c+d*x)^2
+--R 
+--R
+--R         2 2             2
+--R   (1)  d x  + 2c d x + c
+--R                                                    Type: Polynomial(Integer)
+--E 471
+
+--S 472 of 2952
+r0000:=1/3*(c+d*x)^3/d
+--R 
+--R
+--R        1  3 3      2 2    2      1  3
+--R        - d x  + c d x  + c d x + - c
+--R        3                         3
+--R   (2)  ------------------------------
+--R                       d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 472
+
+--S 473 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        1  2 3        2    2
+--R   (3)  - d x  + c d x  + c x
+--R        3
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 473
+
+--S 474 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R          1  3
+--R          - c
+--R          3
+--R   (4)  - ----
+--R            d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 474
+
+--S 475 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 475
+
+)clear all
+
+--S 476 of 2952
+t0000:=(c+d*x)^2/(a+b*x)
+--R 
+--R
+--R         2 2             2
+--R        d x  + 2c d x + c
+--R   (1)  ------------------
+--R              b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 476
+
+--S 477 of 2952
+r0000:=d*(b*c-a*d)*x/b^2+1/2*(c+d*x)^2/b+(b*c-a*d)^2*log(a+b*x)/b^3
+--R 
+--R
+--R   (2)
+--R          2 2                2 2                 2 2 2            2     2
+--R       (2a d  - 4a b c d + 2b c )log(b x + a) + b d x  + (- 2a b d  + 4b c d)x
+--R     + 
+--R        2 2
+--R       b c
+--R  /
+--R       3
+--R     2b
+--R                                                    Type: Expression(Integer)
+--E 477
+
+--S 478 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R      2 2                2 2                 2 2 2            2     2
+--R   (2a d  - 4a b c d + 2b c )log(b x + a) + b d x  + (- 2a b d  + 4b c d)x
+--R   -----------------------------------------------------------------------
+--R                                       3
+--R                                     2b
+--R                                         Type: Union(Expression(Integer),...)
+--E 478
+
+--S 479 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R           2
+--R          c
+--R   (4)  - --
+--R          2b
+--R                                                    Type: Expression(Integer)
+--E 479
+
+--S 480 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 480
+
+)clear all
+
+--S 481 of 2952
+t0000:=(c+d*x)^2/(a+b*x)^2
+--R 
+--R
+--R         2 2             2
+--R        d x  + 2c d x + c
+--R   (1)  ------------------
+--R         2 2             2
+--R        b x  + 2a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 481
+
+--S 482 of 2952
+r0000:=d^2*x/b^2-(b*c-a*d)^2/(b^3*(a+b*x))+2*d*(b*c-a*d)*log(a+b*x)/b^3
+--R 
+--R
+--R   (2)
+--R                 2     2          2 2                            2 2 2        2
+--R       ((- 2a b d  + 2b c d)x - 2a d  + 2a b c d)log(b x + a) + b d x  + a b d x
+--R     + 
+--R          2 2               2 2
+--R       - a d  + 2a b c d - b c
+--R  /
+--R      4       3
+--R     b x + a b
+--R                                                    Type: Expression(Integer)
+--E 482
+
+--S 483 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                 2     2          2 2                            2 2 2        2
+--R       ((- 2a b d  + 2b c d)x - 2a d  + 2a b c d)log(b x + a) + b d x  + a b d x
+--R     + 
+--R          2 2               2 2
+--R       - a d  + 2a b c d - b c
+--R  /
+--R      4       3
+--R     b x + a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 483
+
+--S 484 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 484
+
+--S 485 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 485
+
+)clear all
+
+--S 486 of 2952
+t0000:=(c+d*x)^2/(a+b*x)^3
+--R 
+--R
+--R              2 2             2
+--R             d x  + 2c d x + c
+--R   (1)  ----------------------------
+--R         3 3       2 2     2       3
+--R        b x  + 3a b x  + 3a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 486
+
+--S 487 of 2952
+r0000:=-1/2*(b*c-a*d)^2/(b^3*(a+b*x)^2)-2*d*(b*c-a*d)/(b^3*(a+b*x))+_
+     d^2*log(a+b*x)/b^3
+--R 
+--R
+--R   (2)
+--R          2 2 2         2      2 2                       2     2          2 2
+--R       (2b d x  + 4a b d x + 2a d )log(b x + a) + (4a b d  - 4b c d)x + 3a d
+--R     + 
+--R                     2 2
+--R       - 2a b c d - b c
+--R  /
+--R       5 2       4      2 3
+--R     2b x  + 4a b x + 2a b
+--R                                                    Type: Expression(Integer)
+--E 487
+
+--S 488 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R          2 2 2         2      2 2                       2     2          2 2
+--R       (2b d x  + 4a b d x + 2a d )log(b x + a) + (4a b d  - 4b c d)x + 3a d
+--R     + 
+--R                     2 2
+--R       - 2a b c d - b c
+--R  /
+--R       5 2       4      2 3
+--R     2b x  + 4a b x + 2a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 488
+
+--S 489 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 489
+
+--S 490 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 490
+
+)clear all
+
+--S 491 of 2952
+t0000:=(c+d*x)^2/(a+b*x)^4
+--R 
+--R
+--R                   2 2             2
+--R                  d x  + 2c d x + c
+--R   (1)  --------------------------------------
+--R         4 4       3 3     2 2 2     3       4
+--R        b x  + 4a b x  + 6a b x  + 4a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 491
+
+--S 492 of 2952
+r0000:=-1/3*(c+d*x)^3/((b*c-a*d)*(a+b*x)^3)
+--R 
+--R
+--R   (2)
+--R                        1  3 3      2 2    2      1  3
+--R                        - d x  + c d x  + c d x + - c
+--R                        3                         3
+--R   ------------------------------------------------------------------------
+--R       3     4   3      2 2        3   2      3        2 2       4     3
+--R   (a b d - b c)x  + (3a b d - 3a b c)x  + (3a b d - 3a b c)x + a d - a b c
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 492
+
+--S 493 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R            2 2 2            2     2         2 2              2 2
+--R        - 3b d x  + (- 3a b d  - 3b c d)x - a d  - a b c d - b c
+--R   (3)  ---------------------------------------------------------
+--R                       6 3       5 2     2 4      3 3
+--R                     3b x  + 9a b x  + 9a b x + 3a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 493
+
+--S 494 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R                 3
+--R                d
+--R   (4)  - -------------
+--R              3      4
+--R          3a b d - 3b c
+--R                                                    Type: Expression(Integer)
+--E 494
+
+--S 495 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 495
+
+)clear all
+
+--S 496 of 2952
+t0000:=(c+d*x)^2/(a+b*x)^5
+--R 
+--R
+--R                         2 2             2
+--R                        d x  + 2c d x + c
+--R   (1)  --------------------------------------------------
+--R         5 5       4 4      2 3 3      3 2 2     4       5
+--R        b x  + 5a b x  + 10a b x  + 10a b x  + 5a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 496
+
+--S 497 of 2952
+r0000:=-1/4*(b*c-a*d)^2/(b^3*(a+b*x)^4)-2/3*d*(b*c-a*d)/(b^3*(a+b*x)^3)-_
+     1/2*d^2/(b^3*(a+b*x)^2)
+--R 
+--R
+--R          1  2 2 2      1      2   2  2         1  2 2   1           1  2 2
+--R        - - b d x  + (- - a b d  - - b c d)x - -- a d  - - a b c d - - b c
+--R          2             3          3           12        6           4
+--R   (2)  -------------------------------------------------------------------
+--R                       7 4       6 3     2 5 2     3 4     4 3
+--R                      b x  + 4a b x  + 6a b x  + 4a b x + a b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 497
+
+--S 498 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R            2 2 2            2     2         2 2                2 2
+--R        - 6b d x  + (- 4a b d  - 8b c d)x - a d  - 2a b c d - 3b c
+--R   (3)  -----------------------------------------------------------
+--R                 7 4        6 3      2 5 2      3 4       4 3
+--R              12b x  + 48a b x  + 72a b x  + 48a b x + 12a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 498
+
+--S 499 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 499
+
+--S 500 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 500
+
+)clear all
+
+--S 501 of 2952
+t0000:=(c+d*x)^2/(a+b*x)^6
+--R 
+--R
+--R                               2 2             2
+--R                              d x  + 2c d x + c
+--R   (1)  -------------------------------------------------------------
+--R         6 6       5 5      2 4 4      3 3 3      4 2 2     5       6
+--R        b x  + 6a b x  + 15a b x  + 20a b x  + 15a b x  + 6a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 501
+
+--S 502 of 2952
+r0000:=-1/5*(b*c-a*d)^2/(b^3*(a+b*x)^5)-1/2*d*(b*c-a*d)/(b^3*(a+b*x)^4)-_
+     1/3*d^2/(b^3*(a+b*x)^3)
+--R 
+--R
+--R          1  2 2 2      1      2   1  2         1  2 2    1           1  2 2
+--R        - - b d x  + (- - a b d  - - b c d)x - -- a d  - -- a b c d - - b c
+--R          3             6          2           30        10           5
+--R   (2)  --------------------------------------------------------------------
+--R                 8 5       7 4      2 6 3      3 5 2     4 4     5 3
+--R                b x  + 5a b x  + 10a b x  + 10a b x  + 5a b x + a b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 502
+
+--S 503 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R              2 2 2            2      2         2 2                2 2
+--R         - 10b d x  + (- 5a b d  - 15b c d)x - a d  - 3a b c d - 6b c
+--R   (3)  --------------------------------------------------------------
+--R           8 5         7 4       2 6 3       3 5 2       4 4       5 3
+--R        30b x  + 150a b x  + 300a b x  + 300a b x  + 150a b x + 30a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 503
+
+--S 504 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 504
+
+--S 505 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 505
+
+)clear all
+
+--S 506 of 2952
+t0000:=(c+d*x)^2/(a+b*x)^7
+--R 
+--R
+--R   (1)
+--R                               2 2             2
+--R                              d x  + 2c d x + c
+--R   ------------------------------------------------------------------------
+--R    7 7       6 6      2 5 5      3 4 4      4 3 3      5 2 2     6       7
+--R   b x  + 7a b x  + 21a b x  + 35a b x  + 35a b x  + 21a b x  + 7a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 506
+
+--S 507 of 2952
+r0000:=-1/6*(b*c-a*d)^2/(b^3*(a+b*x)^6)-2/5*d*(b*c-a*d)/(b^3*(a+b*x)^5)-_
+     1/4*d^2/(b^3*(a+b*x)^4)
+--R 
+--R
+--R          1  2 2 2       1      2   2  2         1  2 2    1           1  2 2
+--R        - - b d x  + (- -- a b d  - - b c d)x - -- a d  - -- a b c d - - b c
+--R          4             10          5           60        15           6
+--R   (2)  ---------------------------------------------------------------------
+--R            9 6       8 5      2 7 4      3 6 3      4 5 2     5 4     6 3
+--R           b x  + 6a b x  + 15a b x  + 20a b x  + 15a b x  + 6a b x + a b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 507
+
+--S 508 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R               2 2 2            2      2         2 2                 2 2
+--R          - 15b d x  + (- 6a b d  - 24b c d)x - a d  - 4a b c d - 10b c
+--R   ---------------------------------------------------------------------------
+--R      9 6         8 5       2 7 4        3 6 3       4 5 2       5 4       6 3
+--R   60b x  + 360a b x  + 900a b x  + 1200a b x  + 900a b x  + 360a b x + 60a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 508
+
+--S 509 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 509
+
+--S 510 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 510
+
+)clear all
+
+--S 511 of 2952
+t0000:=(a+b*x)^m*(c+d*x)^3
+--R 
+--R
+--R          3 3       2 2     2       3          m
+--R   (1)  (d x  + 3c d x  + 3c d x + c )(b x + a)
+--R                                                    Type: Expression(Integer)
+--E 511
+
+--S 512 of 2952
+r0000:=(b*c-a*d)^3*(a+b*x)^(1+m)/(b^4*(1+m))+_
+     3*d*(b*c-a*d)^2*(a+b*x)^(2+m)/(b^4*(2+m))+_
+     3*d^2*(b*c-a*d)*(a+b*x)^(3+m)/(b^4*(3+m))+_
+     d^3*(a+b*x)^(4+m)/(b^4*(4+m))
+--R 
+--R
+--R   (2)
+--R         3 3     3 2      3      3          m + 4
+--R       (d m  + 6d m  + 11d m + 6d )(b x + a)
+--R     + 
+--R                  3         2  3           3          2  2
+--R           (- 3a d  + 3b c d )m  + (- 21a d  + 21b c d )m
+--R         + 
+--R                   3          2          3          2
+--R           (- 42a d  + 42b c d )m - 24a d  + 24b c d
+--R      *
+--R                  m + 3
+--R         (b x + a)
+--R     + 
+--R              2 3           2     2 2   3       2 3            2      2 2   2
+--R           (3a d  - 6a b c d  + 3b c d)m  + (24a d  - 48a b c d  + 24b c d)m
+--R         + 
+--R               2 3             2      2 2         2 3            2      2 2
+--R           (57a d  - 114a b c d  + 57b c d)m + 36a d  - 72a b c d  + 36b c d
+--R      *
+--R                  m + 2
+--R         (b x + a)
+--R     + 
+--R               3 3     2     2       2 2     3 3  3
+--R           (- a d  + 3a b c d  - 3a b c d + b c )m
+--R         + 
+--R                3 3      2     2        2 2      3 3  2
+--R           (- 9a d  + 27a b c d  - 27a b c d + 9b c )m
+--R         + 
+--R                 3 3      2     2        2 2       3 3        3 3      2     2
+--R           (- 26a d  + 78a b c d  - 78a b c d + 26b c )m - 24a d  + 72a b c d
+--R         + 
+--R                  2 2       3 3
+--R           - 72a b c d + 24b c
+--R      *
+--R                  m + 1
+--R         (b x + a)
+--R  /
+--R      4 4      4 3      4 2      4       4
+--R     b m  + 10b m  + 35b m  + 50b m + 24b
+--R                                                    Type: Expression(Integer)
+--E 512
+
+--S 513 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R           4 3 3     4 3 2      4 3      4 3  4
+--R         (b d m  + 6b d m  + 11b d m + 6b d )x
+--R       + 
+--R                 3 3     4   2  3        3 3      4   2  2
+--R             (a b d  + 3b c d )m  + (3a b d  + 21b c d )m
+--R           + 
+--R                  3 3      4   2        4   2
+--R             (2a b d  + 42b c d )m + 24b c d
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                  3   2     4 2   3        2 2 3        3   2      4 2   2
+--R             (3a b c d  + 3b c d)m  + (- 3a b d  + 15a b c d  + 24b c d)m
+--R           + 
+--R                  2 2 3        3   2      4 2         4 2
+--R             (- 3a b d  + 12a b c d  + 57b c d)m + 36b c d
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                  3 2     4 3  3        2 2   2        3 2      4 3  2
+--R             (3a b c d + b c )m  + (- 6a b c d  + 21a b c d + 9b c )m
+--R           + 
+--R                3   3      2 2   2        3 2       4 3        4 3
+--R             (6a b d  - 24a b c d  + 36a b c d + 26b c )m + 24b c
+--R        *
+--R           x
+--R       + 
+--R            3 3 3        2 2 2        3 3  2
+--R         a b c m  + (- 3a b c d + 9a b c )m
+--R       + 
+--R            3     2      2 2 2         3 3       4 3      3     2      2 2 2
+--R         (6a b c d  - 21a b c d + 26a b c )m - 6a d  + 24a b c d  - 36a b c d
+--R       + 
+--R              3 3
+--R         24a b c
+--R    *
+--R         m log(b x + a)
+--R       %e
+--R  /
+--R      4 4      4 3      4 2      4       4
+--R     b m  + 10b m  + 35b m  + 50b m + 24b
+--R                                         Type: Union(Expression(Integer),...)
+--E 513
+
+--S 514 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R             4 3 3     4 3 2      4 3      4 3  4
+--R           (b d m  + 6b d m  + 11b d m + 6b d )x
+--R         + 
+--R                   3 3     4   2  3        3 3      4   2  2
+--R               (a b d  + 3b c d )m  + (3a b d  + 21b c d )m
+--R             + 
+--R                    3 3      4   2        4   2
+--R               (2a b d  + 42b c d )m + 24b c d
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                    3   2     4 2   3        2 2 3        3   2      4 2   2
+--R               (3a b c d  + 3b c d)m  + (- 3a b d  + 15a b c d  + 24b c d)m
+--R             + 
+--R                    2 2 3        3   2      4 2         4 2
+--R               (- 3a b d  + 12a b c d  + 57b c d)m + 36b c d
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                    3 2     4 3  3        2 2   2        3 2      4 3  2
+--R               (3a b c d + b c )m  + (- 6a b c d  + 21a b c d + 9b c )m
+--R             + 
+--R                  3   3      2 2   2        3 2       4 3        4 3
+--R               (6a b d  - 24a b c d  + 36a b c d + 26b c )m + 24b c
+--R          *
+--R             x
+--R         + 
+--R              3 3 3        2 2 2        3 3  2
+--R           a b c m  + (- 3a b c d + 9a b c )m
+--R         + 
+--R              3     2      2 2 2         3 3       4 3      3     2      2 2 2
+--R           (6a b c d  - 21a b c d + 26a b c )m - 6a d  + 24a b c d  - 36a b c d
+--R         + 
+--R                3 3
+--R           24a b c
+--R      *
+--R           m log(b x + a)
+--R         %e
+--R     + 
+--R           3 3     3 2      3      3          m + 4
+--R       (- d m  - 6d m  - 11d m - 6d )(b x + a)
+--R     + 
+--R                3         2  3         3          2  2         3          2
+--R           (3a d  - 3b c d )m  + (21a d  - 21b c d )m  + (42a d  - 42b c d )m
+--R         + 
+--R                3          2
+--R           24a d  - 24b c d
+--R      *
+--R                  m + 3
+--R         (b x + a)
+--R     + 
+--R                2 3           2     2 2   3
+--R           (- 3a d  + 6a b c d  - 3b c d)m
+--R         + 
+--R                 2 3            2      2 2   2
+--R           (- 24a d  + 48a b c d  - 24b c d)m
+--R         + 
+--R                 2 3             2      2 2         2 3            2      2 2
+--R           (- 57a d  + 114a b c d  - 57b c d)m - 36a d  + 72a b c d  - 36b c d
+--R      *
+--R                  m + 2
+--R         (b x + a)
+--R     + 
+--R             3 3     2     2       2 2     3 3  3
+--R           (a d  - 3a b c d  + 3a b c d - b c )m
+--R         + 
+--R              3 3      2     2        2 2      3 3  2
+--R           (9a d  - 27a b c d  + 27a b c d - 9b c )m
+--R         + 
+--R               3 3      2     2        2 2       3 3        3 3      2     2
+--R           (26a d  - 78a b c d  + 78a b c d - 26b c )m + 24a d  - 72a b c d
+--R         + 
+--R                2 2       3 3
+--R           72a b c d - 24b c
+--R      *
+--R                  m + 1
+--R         (b x + a)
+--R  /
+--R      4 4      4 3      4 2      4       4
+--R     b m  + 10b m  + 35b m  + 50b m + 24b
+--R                                                    Type: Expression(Integer)
+--E 514
+
+--S 515 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)
+--R         3 3 3     3   2 2     3 2       3 3   m log(b x + a)    3         m + 3
+--R       (b d x  + 3b c d x  + 3b c d x + b c )%e               - d (b x + a)
+--R     + 
+--R            3         2          m + 2
+--R       (3a d  - 3b c d )(b x + a)
+--R     + 
+--R            2 3           2     2 2           m + 1
+--R       (- 3a d  + 6a b c d  - 3b c d)(b x + a)
+--R     + 
+--R         3 3     2     2       2 2     3 3          m
+--R       (a d  - 3a b c d  + 3a b c d - b c )(b x + a)
+--R  /
+--R      3
+--R     b
+--R                                                    Type: Expression(Integer)
+--E 515
+
+)clear all
+
+--S 516 of 2952
+t0000:=(a+b*x)^5*(c+d*x)^3
+--R 
+--R
+--R   (1)
+--R      5 3 8        4 3     5   2  7       2 3 3        4   2     5 2   6
+--R     b d x  + (5a b d  + 3b c d )x  + (10a b d  + 15a b c d  + 3b c d)x
+--R   + 
+--R         3 2 3      2 3   2        4 2     5 3  5
+--R     (10a b d  + 30a b c d  + 15a b c d + b c )x
+--R   + 
+--R        4   3      3 2   2      2 3 2        4 3  4
+--R     (5a b d  + 30a b c d  + 30a b c d + 5a b c )x
+--R   + 
+--R       5 3      4     2      3 2 2       2 3 3  3
+--R     (a d  + 15a b c d  + 30a b c d + 10a b c )x
+--R   + 
+--R        5   2      4   2       3 2 3  2      5 2      4   3      5 3
+--R     (3a c d  + 15a b c d + 10a b c )x  + (3a c d + 5a b c )x + a c
+--R                                                    Type: Polynomial(Integer)
+--E 516
+
+--S 517 of 2952
+r0000:=1/6*(b*c-a*d)^3*(a+b*x)^6/b^4+3/7*d*(b*c-a*d)^2*(a+b*x)^7/b^4+_
+     3/8*d^2*(b*c-a*d)*(a+b*x)^8/b^4+1/9*d^3*(a+b*x)^9/b^4
+--R 
+--R
+--R   (2)
+--R       1  9 3 9    5    8 3   3  9   2  8
+--R       - b d x  + (- a b d  + - b c d )x
+--R       9           8          8
+--R     + 
+--R        10  2 7 3   15    8   2   3  9 2   7
+--R       (-- a b d  + -- a b c d  + - b c d)x
+--R         7           7            7
+--R     + 
+--R        5  3 6 3     2 7   2   5    8 2    1  9 3  6
+--R       (- a b d  + 5a b c d  + - a b c d + - b c )x
+--R        3                      2           6
+--R     + 
+--R         4 5 3     3 6   2     2 7 2       8 3  5
+--R       (a b d  + 6a b c d  + 6a b c d + a b c )x
+--R     + 
+--R        1  5 4 3   15  4 5   2   15  3 6 2    5  2 7 3  4
+--R       (- a b d  + -- a b c d  + -- a b c d + - a b c )x
+--R        4           4             2           2
+--R     + 
+--R         5 4   2     4 5 2    10  3 6 3  3    3  5 4 2    5  4 5 3  2    5 4 3
+--R       (a b c d  + 5a b c d + -- a b c )x  + (- a b c d + - a b c )x  + a b c x
+--R                               3              2           2
+--R     + 
+--R          1   9 3    1  8     2    1  7 2 2    1  6 3 3
+--R       - --- a d  + -- a b c d  - -- a b c d + - a b c
+--R         504        56            14           6
+--R  /
+--R      4
+--R     b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 517
+
+--S 518 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R     1  5 3 9    5    4 3   3  5   2  8    10  2 3 3   15    4   2   3  5 2   7
+--R     - b d x  + (- a b d  + - b c d )x  + (-- a b d  + -- a b c d  + - b c d)x
+--R     9           8          8               7           7            7
+--R   + 
+--R      5  3 2 3     2 3   2   5    4 2    1  5 3  6
+--R     (- a b d  + 5a b c d  + - a b c d + - b c )x
+--R      3                      2           6
+--R   + 
+--R       4   3     3 2   2     2 3 2       4 3  5
+--R     (a b d  + 6a b c d  + 6a b c d + a b c )x
+--R   + 
+--R      1  5 3   15  4     2   15  3 2 2    5  2 3 3  4
+--R     (- a d  + -- a b c d  + -- a b c d + - a b c )x
+--R      4         4             2           2
+--R   + 
+--R       5   2     4   2    10  3 2 3  3    3  5 2    5  4   3  2    5 3
+--R     (a c d  + 5a b c d + -- a b c )x  + (- a c d + - a b c )x  + a c x
+--R                           3              2         2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 518
+
+--S 519 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R         1   9 3    1  8     2    1  7 2 2    1  6 3 3
+--R        --- a d  - -- a b c d  + -- a b c d - - a b c
+--R        504        56            14           6
+--R   (4)  ----------------------------------------------
+--R                               4
+--R                              b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 519
+
+--S 520 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 520
+
+)clear all
+
+--S 521 of 2952
+t0000:=(a+b*x)^4*(c+d*x)^3
+--R 
+--R
+--R   (1)
+--R      4 3 7        3 3     4   2  6      2 2 3        3   2     4 2   5
+--R     b d x  + (4a b d  + 3b c d )x  + (6a b d  + 12a b c d  + 3b c d)x
+--R   + 
+--R        3   3      2 2   2        3 2     4 3  4
+--R     (4a b d  + 18a b c d  + 12a b c d + b c )x
+--R   + 
+--R       4 3      3     2      2 2 2        3 3  3
+--R     (a d  + 12a b c d  + 18a b c d + 4a b c )x
+--R   + 
+--R        4   2      3   2      2 2 3  2      4 2      3   3      4 3
+--R     (3a c d  + 12a b c d + 6a b c )x  + (3a c d + 4a b c )x + a c
+--R                                                    Type: Polynomial(Integer)
+--E 521
+
+--S 522 of 2952
+r0000:=1/5*(b*c-a*d)^3*(a+b*x)^5/b^4+1/2*d*(b*c-a*d)^2*(a+b*x)^6/b^4+_
+     3/7*d^2*(b*c-a*d)*(a+b*x)^7/b^4+1/8*d^3*(a+b*x)^8/b^4
+--R 
+--R
+--R   (2)
+--R       1  8 3 8    4    7 3   3  8   2  7     2 6 3       7   2   1  8 2   6
+--R       - b d x  + (- a b d  + - b c d )x  + (a b d  + 2a b c d  + - b c d)x
+--R       8           7          7                                   2
+--R     + 
+--R        4  3 5 3   18  2 6   2   12    7 2    1  8 3  5
+--R       (- a b d  + -- a b c d  + -- a b c d + - b c )x
+--R        5           5             5           5
+--R     + 
+--R        1  4 4 3     3 5   2   9  2 6 2       7 3  4
+--R       (- a b d  + 3a b c d  + - a b c d + a b c )x
+--R        4                      2
+--R     + 
+--R         4 4   2     3 5 2      2 6 3  3    3  4 4 2      3 5 3  2    4 4 3
+--R       (a b c d  + 4a b c d + 2a b c )x  + (- a b c d + 2a b c )x  + a b c x
+--R                                            2
+--R     + 
+--R          1   8 3    1  7     2    1  6 2 2    1  5 3 3
+--R       - --- a d  + -- a b c d  - -- a b c d + - a b c
+--R         280        35            10           5
+--R  /
+--R      4
+--R     b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 522
+
+--S 523 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R     1  4 3 8    4    3 3   3  4   2  7     2 2 3       3   2   1  4 2   6
+--R     - b d x  + (- a b d  + - b c d )x  + (a b d  + 2a b c d  + - b c d)x
+--R     8           7          7                                   2
+--R   + 
+--R      4  3   3   18  2 2   2   12    3 2    1  4 3  5
+--R     (- a b d  + -- a b c d  + -- a b c d + - b c )x
+--R      5           5             5           5
+--R   + 
+--R      1  4 3     3     2   9  2 2 2       3 3  4
+--R     (- a d  + 3a b c d  + - a b c d + a b c )x
+--R      4                    2
+--R   + 
+--R       4   2     3   2      2 2 3  3    3  4 2      3   3  2    4 3
+--R     (a c d  + 4a b c d + 2a b c )x  + (- a c d + 2a b c )x  + a c x
+--R                                        2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 523
+
+--S 524 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R         1   8 3    1  7     2    1  6 2 2    1  5 3 3
+--R        --- a d  - -- a b c d  + -- a b c d - - a b c
+--R        280        35            10           5
+--R   (4)  ----------------------------------------------
+--R                               4
+--R                              b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 524
+
+--S 525 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 525
+
+)clear all
+
+--S 526 of 2952
+t0000:=(a+b*x)^3*(c+d*x)^3
+--R 
+--R
+--R   (1)
+--R      3 3 6        2 3     3   2  5      2   3       2   2     3 2   4
+--R     b d x  + (3a b d  + 3b c d )x  + (3a b d  + 9a b c d  + 3b c d)x
+--R   + 
+--R       3 3     2     2       2 2     3 3  3      3   2     2   2        2 3  2
+--R     (a d  + 9a b c d  + 9a b c d + b c )x  + (3a c d  + 9a b c d + 3a b c )x
+--R   + 
+--R        3 2      2   3      3 3
+--R     (3a c d + 3a b c )x + a c
+--R                                                    Type: Polynomial(Integer)
+--E 526
+
+--S 527 of 2952
+r0000:=1/4*(b*c-a*d)^3*(a+b*x)^4/b^4+3/5*d*(b*c-a*d)^2*(a+b*x)^5/b^4+_
+     1/2*d^2*(b*c-a*d)*(a+b*x)^6/b^4+1/7*d^3*(a+b*x)^7/b^4
+--R 
+--R
+--R   (2)
+--R       1  7 3 7    1    6 3   1  7   2  6    3  2 5 3   9    6   2   3  7 2   5
+--R       - b d x  + (- a b d  + - b c d )x  + (- a b d  + - a b c d  + - b c d)x
+--R       7           2          2              5          5            5
+--R     + 
+--R        1  3 4 3   9  2 5   2   9    6 2    1  7 3  4
+--R       (- a b d  + - a b c d  + - a b c d + - b c )x
+--R        4          4            4           4
+--R     + 
+--R         3 4   2     2 5 2       6 3  3    3  3 4 2    3  2 5 3  2    3 4 3
+--R       (a b c d  + 3a b c d + a b c )x  + (- a b c d + - a b c )x  + a b c x
+--R                                           2           2
+--R     + 
+--R          1   7 3    1  6     2    3  5 2 2    1  4 3 3
+--R       - --- a d  + -- a b c d  - -- a b c d + - a b c
+--R         140        20            20           4
+--R  /
+--R      4
+--R     b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 527
+
+--S 528 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R     1  3 3 7    1    2 3   1  3   2  6    3  2   3   9    2   2   3  3 2   5
+--R     - b d x  + (- a b d  + - b c d )x  + (- a b d  + - a b c d  + - b c d)x
+--R     7           2          2              5          5            5
+--R   + 
+--R      1  3 3   9  2     2   9    2 2    1  3 3  4
+--R     (- a d  + - a b c d  + - a b c d + - b c )x
+--R      4        4            4           4
+--R   + 
+--R       3   2     2   2       2 3  3    3  3 2    3  2   3  2    3 3
+--R     (a c d  + 3a b c d + a b c )x  + (- a c d + - a b c )x  + a c x
+--R                                       2         2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 528
+
+--S 529 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R         1   7 3    1  6     2    3  5 2 2    1  4 3 3
+--R        --- a d  - -- a b c d  + -- a b c d - - a b c
+--R        140        20            20           4
+--R   (4)  ----------------------------------------------
+--R                               4
+--R                              b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 529
+
+--S 530 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 530
+
+)clear all
+
+--S 531 of 2952
+t0000:=(a+b*x)^2*(c+d*x)^3
+--R 
+--R
+--R   (1)
+--R      2 3 5          3     2   2  4     2 3           2     2 2   3
+--R     b d x  + (2a b d  + 3b c d )x  + (a d  + 6a b c d  + 3b c d)x
+--R   + 
+--R        2   2         2     2 3  2      2 2          3      2 3
+--R     (3a c d  + 6a b c d + b c )x  + (3a c d + 2a b c )x + a c
+--R                                                    Type: Polynomial(Integer)
+--E 531
+
+--S 532 of 2952
+r0000:=1/4*(b*c-a*d)^2*(c+d*x)^4/d^3-2/5*b*(b*c-a*d)*(c+d*x)^5/d^3+_
+     1/6*b^2*(c+d*x)^6/d^3
+--R 
+--R
+--R   (2)
+--R       1  2 6 6    2      6   3  2   5  5    1  2 6   3        5   3  2 2 4  4
+--R       - b d x  + (- a b d  + - b c d )x  + (- a d  + - a b c d  + - b c d )x
+--R       6           5          5              4        2            4
+--R     + 
+--R         2   5         2 4   1  2 3 3  3    3  2 2 4        3 3  2    2 3 3
+--R       (a c d  + 2a b c d  + - b c d )x  + (- a c d  + a b c d )x  + a c d x
+--R                             3              2
+--R     + 
+--R       1  2 4 2    1      5     1  2 6
+--R       - a c d  - -- a b c d + -- b c
+--R       4          10           60
+--R  /
+--R      3
+--R     d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 532
+
+--S 533 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R     1  2 3 6    2      3   3  2   2  5    1  2 3   3        2   3  2 2   4
+--R     - b d x  + (- a b d  + - b c d )x  + (- a d  + - a b c d  + - b c d)x
+--R     6           5          5              4        2            4
+--R   + 
+--R       2   2         2    1  2 3  3    3  2 2         3  2    2 3
+--R     (a c d  + 2a b c d + - b c )x  + (- a c d + a b c )x  + a c x
+--R                          3            2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 533
+
+--S 534 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R          1  2 4 2    1      5     1  2 6
+--R        - - a c d  + -- a b c d - -- b c
+--R          4          10           60
+--R   (4)  ---------------------------------
+--R                         3
+--R                        d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 534
+
+--S 535 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 535
+
+)clear all
+
+--S 536 of 2952
+t0000:=(a+b*x)*(c+d*x)^3
+--R 
+--R
+--R   (1)
+--R      3 4       3         2  3          2       2   2        2       3        3
+--R   b d x  + (a d  + 3b c d )x  + (3a c d  + 3b c d)x  + (3a c d + b c )x + a c
+--R                                                    Type: Polynomial(Integer)
+--E 536
+
+--S 537 of 2952
+r0000:=-1/4*(b*c-a*d)*(c+d*x)^4/d^2+1/5*b*(c+d*x)^5/d^2
+--R 
+--R
+--R   (2)
+--R       1    5 5    1    5   3      4  4         4      2 3  3
+--R       - b d x  + (- a d  + - b c d )x  + (a c d  + b c d )x
+--R       5           4        4
+--R     + 
+--R        3    2 3   1    3 2  2      3 2    1    4     1    5
+--R       (- a c d  + - b c d )x  + a c d x + - a c d - -- b c
+--R        2          2                       4         20
+--R  /
+--R      2
+--R     d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 537
+
+--S 538 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R     1    3 5    1    3   3      2  4         2      2   3
+--R     - b d x  + (- a d  + - b c d )x  + (a c d  + b c d)x
+--R     5           4        4
+--R   + 
+--R      3    2    1    3  2      3
+--R     (- a c d + - b c )x  + a c x
+--R      2         2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 538
+
+--S 539 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R          1    4     1    5
+--R        - - a c d + -- b c
+--R          4         20
+--R   (4)  -------------------
+--R                  2
+--R                 d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 539
+
+--S 540 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 540
+
+)clear all
+
+--S 541 of 2952
+t0000:=(c+d*x)^3
+--R 
+--R
+--R         3 3       2 2     2       3
+--R   (1)  d x  + 3c d x  + 3c d x + c
+--R                                                    Type: Polynomial(Integer)
+--E 541
+
+--S 542 of 2952
+r0000:=1/4*(c+d*x)^4/d
+--R 
+--R
+--R        1  4 4      3 3   3  2 2 2    3      1  4
+--R        - d x  + c d x  + - c d x  + c d x + - c
+--R        4                 2                  4
+--R   (2)  -----------------------------------------
+--R                            d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 542
+
+--S 543 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        1  3 4      2 3   3  2   2    3
+--R   (3)  - d x  + c d x  + - c d x  + c x
+--R        4                 2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 543
+
+--S 544 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R          1  4
+--R          - c
+--R          4
+--R   (4)  - ----
+--R            d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 544
+
+--S 545 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 545
+
+)clear all
+
+--S 546 of 2952
+t0000:=(c+d*x)^3/(a+b*x)
+--R 
+--R
+--R         3 3       2 2     2       3
+--R        d x  + 3c d x  + 3c d x + c
+--R   (1)  ----------------------------
+--R                   b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 546
+
+--S 547 of 2952
+r0000:=d*(b*c-a*d)^2*x/b^3+1/2*(b*c-a*d)*(c+d*x)^2/b^2+1/3*(c+d*x)^3/b+_
+     (b*c-a*d)^3*log(a+b*x)/b^4
+--R 
+--R
+--R   (2)
+--R            3 3      2     2        2 2      3 3                  3 3 3
+--R       (- 6a d  + 18a b c d  - 18a b c d + 6b c )log(b x + a) + 2b d x
+--R     + 
+--R              2 3     3   2  2      2   3        2   2      3 2          2 2
+--R       (- 3a b d  + 9b c d )x  + (6a b d  - 18a b c d  + 18b c d)x - 3a b c d
+--R     + 
+--R         3 3
+--R       5b c
+--R  /
+--R       4
+--R     6b
+--R                                                    Type: Expression(Integer)
+--E 547
+
+--S 548 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R            3 3      2     2        2 2      3 3                  3 3 3
+--R       (- 6a d  + 18a b c d  - 18a b c d + 6b c )log(b x + a) + 2b d x
+--R     + 
+--R              2 3     3   2  2      2   3        2   2      3 2
+--R       (- 3a b d  + 9b c d )x  + (6a b d  - 18a b c d  + 18b c d)x
+--R  /
+--R       4
+--R     6b
+--R                                         Type: Union(Expression(Integer),...)
+--E 548
+
+--S 549 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R            2        3
+--R        3a c d - 5b c
+--R   (4)  --------------
+--R                2
+--R              6b
+--R                                                    Type: Expression(Integer)
+--E 549
+
+--S 550 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 550
+
+)clear all
+
+--S 551 of 2952
+t0000:=(c+d*x)^3/(a+b*x)^2
+--R 
+--R
+--R         3 3       2 2     2       3
+--R        d x  + 3c d x  + 3c d x + c
+--R   (1)  ----------------------------
+--R              2 2             2
+--R             b x  + 2a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 551
+
+--S 552 of 2952
+r0000:=d^2*(3*b*c-2*a*d)*x/b^3+1/2*d^3*x^2/b^2-(b*c-a*d)^3/(b^4*(a+b*x))+_
+     3*d*(b*c-a*d)^2*log(a+b*x)/b^4
+--R 
+--R
+--R   (2)
+--R             2   3        2   2     3 2        3 3      2     2       2 2
+--R         ((6a b d  - 12a b c d  + 6b c d)x + 6a d  - 12a b c d  + 6a b c d)
+--R      *
+--R         log(b x + a)
+--R     + 
+--R        3 3 3          2 3     3   2  2        2   3       2   2       3 3
+--R       b d x  + (- 3a b d  + 6b c d )x  + (- 4a b d  + 6a b c d )x + 2a d
+--R     + 
+--R           2     2       2 2      3 3
+--R       - 6a b c d  + 6a b c d - 2b c
+--R  /
+--R       5        4
+--R     2b x + 2a b
+--R                                                    Type: Expression(Integer)
+--E 552
+
+--S 553 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R             2   3        2   2     3 2        3 3      2     2       2 2
+--R         ((6a b d  - 12a b c d  + 6b c d)x + 6a d  - 12a b c d  + 6a b c d)
+--R      *
+--R         log(b x + a)
+--R     + 
+--R        3 3 3          2 3     3   2  2        2   3       2   2       3 3
+--R       b d x  + (- 3a b d  + 6b c d )x  + (- 4a b d  + 6a b c d )x + 2a d
+--R     + 
+--R           2     2       2 2      3 3
+--R       - 6a b c d  + 6a b c d - 2b c
+--R  /
+--R       5        4
+--R     2b x + 2a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 553
+
+--S 554 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 554
+
+--S 555 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 555
+
+)clear all
+
+--S 556 of 2952
+t0000:=(c+d*x)^3/(a+b*x)^3
+--R 
+--R
+--R         3 3       2 2     2       3
+--R        d x  + 3c d x  + 3c d x + c
+--R   (1)  ----------------------------
+--R         3 3       2 2     2       3
+--R        b x  + 3a b x  + 3a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 556
+
+--S 557 of 2952
+r0000:=d^3*x/b^3-1/2*(b*c-a*d)^3/(b^4*(a+b*x)^2)-_
+     3*d*(b*c-a*d)^2/(b^4*(a+b*x))+3*d^2*(b*c-a*d)*log(a+b*x)/b^4
+--R 
+--R
+--R   (2)
+--R                  2 3     3   2  2         2   3        2   2       3 3
+--R           (- 6a b d  + 6b c d )x  + (- 12a b d  + 12a b c d )x - 6a d
+--R         + 
+--R             2     2
+--R           6a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         3 3 3       2 3 2        2   3        2   2     3 2        3 3
+--R       2b d x  + 4a b d x  + (- 4a b d  + 12a b c d  - 6b c d)x - 5a d
+--R     + 
+--R         2     2       2 2     3 3
+--R       9a b c d  - 3a b c d - b c
+--R  /
+--R       6 2       5      2 4
+--R     2b x  + 4a b x + 2a b
+--R                                                    Type: Expression(Integer)
+--E 557
+
+--S 558 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                  2 3     3   2  2         2   3        2   2       3 3
+--R           (- 6a b d  + 6b c d )x  + (- 12a b d  + 12a b c d )x - 6a d
+--R         + 
+--R             2     2
+--R           6a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         3 3 3       2 3 2        2   3        2   2     3 2        3 3
+--R       2b d x  + 4a b d x  + (- 4a b d  + 12a b c d  - 6b c d)x - 5a d
+--R     + 
+--R         2     2       2 2     3 3
+--R       9a b c d  - 3a b c d - b c
+--R  /
+--R       6 2       5      2 4
+--R     2b x  + 4a b x + 2a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 558
+
+--S 559 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 559
+
+--S 560 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 560
+
+)clear all
+
+--S 561 of 2952
+t0000:=(c+d*x)^3/(a+b*x)^4
+--R 
+--R
+--R              3 3       2 2     2       3
+--R             d x  + 3c d x  + 3c d x + c
+--R   (1)  --------------------------------------
+--R         4 4       3 3     2 2 2     3       4
+--R        b x  + 4a b x  + 6a b x  + 4a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 561
+
+--S 562 of 2952
+r0000:=-1/3*(b*c-a*d)^3/(b^4*(a+b*x)^3)-3/2*d*(b*c-a*d)^2/(b^4*(a+b*x)^2)-_
+     3*d^2*(b*c-a*d)/(b^4*(a+b*x))+d^3*log(a+b*x)/b^4
+--R 
+--R
+--R   (2)
+--R          3 3 3        2 3 2      2   3      3 3
+--R       (6b d x  + 18a b d x  + 18a b d x + 6a d )log(b x + a)
+--R     + 
+--R             2 3      3   2  2       2   3        2   2     3 2         3 3
+--R       (18a b d  - 18b c d )x  + (27a b d  - 18a b c d  - 9b c d)x + 11a d
+--R     + 
+--R           2     2       2 2      3 3
+--R       - 6a b c d  - 3a b c d - 2b c
+--R  /
+--R       7 3        6 2      2 5      3 4
+--R     6b x  + 18a b x  + 18a b x + 6a b
+--R                                                    Type: Expression(Integer)
+--E 562
+
+--S 563 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R          3 3 3        2 3 2      2   3      3 3
+--R       (6b d x  + 18a b d x  + 18a b d x + 6a d )log(b x + a)
+--R     + 
+--R             2 3      3   2  2       2   3        2   2     3 2         3 3
+--R       (18a b d  - 18b c d )x  + (27a b d  - 18a b c d  - 9b c d)x + 11a d
+--R     + 
+--R           2     2       2 2      3 3
+--R       - 6a b c d  - 3a b c d - 2b c
+--R  /
+--R       7 3        6 2      2 5      3 4
+--R     6b x  + 18a b x  + 18a b x + 6a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 563
+
+--S 564 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 564
+
+--S 565 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 565
+
+)clear all
+
+--S 566 of 2952
+t0000:=(c+d*x)^3/(a+b*x)^5
+--R 
+--R
+--R                    3 3       2 2     2       3
+--R                   d x  + 3c d x  + 3c d x + c
+--R   (1)  --------------------------------------------------
+--R         5 5       4 4      2 3 3      3 2 2     4       5
+--R        b x  + 5a b x  + 10a b x  + 10a b x  + 5a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 566
+
+--S 567 of 2952
+r0000:=-1/4*(c+d*x)^4/((b*c-a*d)*(a+b*x)^4)
+--R 
+--R
+--R   (2)
+--R     1  4 4      3 3   3  2 2 2    3      1  4
+--R     - d x  + c d x  + - c d x  + c d x + - c
+--R     4                 2                  4
+--R  /
+--R           4     5   4      2 3        4   3      3 2      2 3   2
+--R       (a b d - b c)x  + (4a b d - 4a b c)x  + (6a b d - 6a b c)x
+--R     + 
+--R          4        3 2       5     4
+--R       (4a b d - 4a b c)x + a d - a b c
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 567
+
+--S 568 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R           3 3 3          2 3     3   2  2        2   3       2   2     3 2
+--R       - 4b d x  + (- 6a b d  - 6b c d )x  + (- 4a b d  - 4a b c d  - 4b c d)x
+--R     + 
+--R          3 3    2     2      2 2     3 3
+--R       - a d  - a b c d  - a b c d - b c
+--R  /
+--R       8 4        7 3      2 6 2      3 5      4 4
+--R     4b x  + 16a b x  + 24a b x  + 16a b x + 4a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 568
+
+--S 569 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R                 4
+--R                d
+--R   (4)  - -------------
+--R              4      5
+--R          4a b d - 4b c
+--R                                                    Type: Expression(Integer)
+--E 569
+
+--S 570 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 570
+
+)clear all
+
+--S 571 of 2952
+t0000:=(c+d*x)^3/(a+b*x)^6
+--R 
+--R
+--R                          3 3       2 2     2       3
+--R                         d x  + 3c d x  + 3c d x + c
+--R   (1)  -------------------------------------------------------------
+--R         6 6       5 5      2 4 4      3 3 3      4 2 2     5       6
+--R        b x  + 6a b x  + 15a b x  + 20a b x  + 15a b x  + 6a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 571
+
+--S 572 of 2952
+r0000:=-1/5*(c+d*x)^4/((b*c-a*d)*(a+b*x)^5)+_
+     1/20*d*(c+d*x)^4/((b*c-a*d)^2*(a+b*x)^4)
+--R 
+--R
+--R   (2)
+--R        1    5 5   1    5 4         4   1    2 3  3    3    2 3      3 2  2
+--R       -- b d x  + - a d x  + (a c d  - - b c d )x  + (- a c d  - b c d )x
+--R       20          4                    2              2
+--R     + 
+--R           3 2   3    4      1    4    1    5
+--R       (a c d  - - b c d)x + - a c d - - b c
+--R                 4           4         5
+--R  /
+--R         2 5 2       6       7 2  5      3 4 2      2 5          6 2  4
+--R       (a b d  - 2a b c d + b c )x  + (5a b d  - 10a b c d + 5a b c )x
+--R     + 
+--R           4 3 2      3 4         2 5 2  3       5 2 2      4 3         3 4 2  2
+--R       (10a b d  - 20a b c d + 10a b c )x  + (10a b d  - 20a b c d + 10a b c )x
+--R     + 
+--R          6   2      5 2        4 3 2      7 2     6         5 2 2
+--R       (5a b d  - 10a b c d + 5a b c )x + a d  - 2a b c d + a b c
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 572
+
+--S 573 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R            3 3 3           2 3      3   2  2
+--R       - 10b d x  + (- 10a b d  - 20b c d )x
+--R     + 
+--R          2   3        2   2      3 2       3 3     2     2       2 2      3 3
+--R     (- 5a b d  - 10a b c d  - 15b c d)x - a d  - 2a b c d  - 3a b c d - 4b c
+--R  /
+--R        9 5         8 4       2 7 3       3 6 2       4 5       5 4
+--R     20b x  + 100a b x  + 200a b x  + 200a b x  + 100a b x + 20a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 573
+
+--S 574 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R                         5
+--R                        d
+--R   (4)  - -----------------------------
+--R             2 4 2        5         6 2
+--R          20a b d  - 40a b c d + 20b c
+--R                                                    Type: Expression(Integer)
+--E 574
+
+--S 575 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 575
+
+)clear all
+
+--S 576 of 2952
+t0000:=(c+d*x)^3/(a+b*x)^7
+--R 
+--R
+--R   (1)
+--R                          3 3       2 2     2       3
+--R                         d x  + 3c d x  + 3c d x + c
+--R   ------------------------------------------------------------------------
+--R    7 7       6 6      2 5 5      3 4 4      4 3 3      5 2 2     6       7
+--R   b x  + 7a b x  + 21a b x  + 35a b x  + 35a b x  + 21a b x  + 7a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 576
+
+--S 577 of 2952
+r0000:=-1/6*(b*c-a*d)^3/(b^4*(a+b*x)^6)-3/5*d*(b*c-a*d)^2/(b^4*(a+b*x)^5)-_
+     3/4*d^2*(b*c-a*d)/(b^4*(a+b*x)^4)-1/3*d^3/(b^4*(a+b*x)^3)
+--R 
+--R
+--R   (2)
+--R         1  3 3 3      1    2 3   3  3   2  2
+--R       - - b d x  + (- - a b d  - - b c d )x
+--R         3             4          4
+--R     + 
+--R           1  2   3    3    2   2   3  3 2       1  3 3    1  2     2
+--R       (- -- a b d  - -- a b c d  - - b c d)x - -- a d  - -- a b c d
+--R          10          10            5           60        20
+--R     + 
+--R          1    2 2    1  3 3
+--R       - -- a b c d - - b c
+--R         10           6
+--R  /
+--R      10 6       9 5      2 8 4      3 7 3      4 6 2     5 5     6 4
+--R     b  x  + 6a b x  + 15a b x  + 20a b x  + 15a b x  + 6a b x + a b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 577
+
+--S 578 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R            3 3 3           2 3      3   2  2
+--R       - 20b d x  + (- 15a b d  - 45b c d )x
+--R     + 
+--R          2   3        2   2      3 2       3 3     2     2       2 2       3 3
+--R     (- 6a b d  - 18a b c d  - 36b c d)x - a d  - 3a b c d  - 6a b c d - 10b c
+--R  /
+--R          10 6         9 5       2 8 4        3 7 3       4 6 2       5 5
+--R       60b  x  + 360a b x  + 900a b x  + 1200a b x  + 900a b x  + 360a b x
+--R     + 
+--R          6 4
+--R       60a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 578
+
+--S 579 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 579
+
+--S 580 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 580
+
+)clear all
+
+--S 581 of 2952
+t0000:=(c+d*x)^3/(a+b*x)^8
+--R 
+--R
+--R   (1)
+--R      3 3       2 2     2       3
+--R     d x  + 3c d x  + 3c d x + c
+--R  /
+--R        8 8       7 7      2 6 6      3 5 5      4 4 4      5 3 3      6 2 2
+--R       b x  + 8a b x  + 28a b x  + 56a b x  + 70a b x  + 56a b x  + 28a b x
+--R     + 
+--R         7       8
+--R       8a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 581
+
+--S 582 of 2952
+r0000:=-1/7*(b*c-a*d)^3/(b^4*(a+b*x)^7)-1/2*d*(b*c-a*d)^2/(b^4*(a+b*x)^6)-_
+     3/5*d^2*(b*c-a*d)/(b^4*(a+b*x)^5)-1/4*d^3/(b^4*(a+b*x)^4)
+--R 
+--R
+--R   (2)
+--R         1  3 3 3       3    2 3   3  3   2  2
+--R       - - b d x  + (- -- a b d  - - b c d )x
+--R         4             20          5
+--R     + 
+--R           1  2   3   1    2   2   1  3 2       1   3 3    1  2     2
+--R       (- -- a b d  - - a b c d  - - b c d)x - --- a d  - -- a b c d
+--R          20          5            2           140        35
+--R     + 
+--R          1    2 2    1  3 3
+--R       - -- a b c d - - b c
+--R         14           7
+--R  /
+--R        11 7       10 6      2 9 5      3 8 4      4 7 3      5 6 2     6 5
+--R       b  x  + 7a b  x  + 21a b x  + 35a b x  + 35a b x  + 21a b x  + 7a b x
+--R     + 
+--R        7 4
+--R       a b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 582
+
+--S 583 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R            3 3 3           2 3      3   2  2
+--R       - 35b d x  + (- 21a b d  - 84b c d )x
+--R     + 
+--R          2   3        2   2      3 2       3 3     2     2        2 2       3 3
+--R     (- 7a b d  - 28a b c d  - 70b c d)x - a d  - 4a b c d  - 10a b c d - 20b c
+--R  /
+--R           11 7         10 6        2 9 5        3 8 4        4 7 3        5 6 2
+--R       140b  x  + 980a b  x  + 2940a b x  + 4900a b x  + 4900a b x  + 2940a b x
+--R     + 
+--R           6 5        7 4
+--R       980a b x + 140a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 583
+
+--S 584 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 584
+
+--S 585 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 585
+
+)clear all
+
+--S 586 of 2952
+t0000:=(c+d*x)^3/(a+b*x)^9
+--R 
+--R
+--R   (1)
+--R      3 3       2 2     2       3
+--R     d x  + 3c d x  + 3c d x + c
+--R  /
+--R        9 9       8 8      2 7 7      3 6 6       4 5 5       5 4 4      6 3 3
+--R       b x  + 9a b x  + 36a b x  + 84a b x  + 126a b x  + 126a b x  + 84a b x
+--R     + 
+--R          7 2 2     8       9
+--R       36a b x  + 9a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 586
+
+--S 587 of 2952
+r0000:=-1/8*(b*c-a*d)^3/(b^4*(a+b*x)^8)-3/7*d*(b*c-a*d)^2/(b^4*(a+b*x)^7)-_
+     1/2*d^2*(b*c-a*d)/(b^4*(a+b*x)^6)-1/5*d^3/(b^4*(a+b*x)^5)
+--R 
+--R
+--R   (2)
+--R         1  3 3 3       1    2 3   1  3   2  2
+--R       - - b d x  + (- -- a b d  - - b c d )x
+--R         5             10          2
+--R     + 
+--R           1  2   3   1    2   2   3  3 2       1   3 3    1  2     2
+--R       (- -- a b d  - - a b c d  - - b c d)x - --- a d  - -- a b c d
+--R          35          7            7           280        56
+--R     + 
+--R          3    2 2    1  3 3
+--R       - -- a b c d - - b c
+--R         56           8
+--R  /
+--R        12 8       11 7      2 10 6      3 9 5      4 8 4      5 7 3      6 6 2
+--R       b  x  + 8a b  x  + 28a b  x  + 56a b x  + 70a b x  + 56a b x  + 28a b x
+--R     + 
+--R         7 5     8 4
+--R       8a b x + a b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 587
+
+--S 588 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R            3 3 3           2 3       3   2  2
+--R       - 56b d x  + (- 28a b d  - 140b c d )x
+--R     + 
+--R            2   3        2   2       3 2       3 3     2     2        2 2
+--R       (- 8a b d  - 40a b c d  - 120b c d)x - a d  - 5a b c d  - 15a b c d
+--R     + 
+--R            3 3
+--R       - 35b c
+--R  /
+--R           12 8          11 7        2 10 6         3 9 5         4 8 4
+--R       280b  x  + 2240a b  x  + 7840a b  x  + 15680a b x  + 19600a b x
+--R     + 
+--R             5 7 3        6 6 2        7 5        8 4
+--R       15680a b x  + 7840a b x  + 2240a b x + 280a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 588
+
+--S 589 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 589
+
+--S 590 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 590
+
+)clear all
+
+--S 591 of 2952
+t0000:=(a+b*x)^m*(c+d*x)^7
+--R 
+--R
+--R   (1)
+--R       7 7       6 6      2 5 5      3 4 4      4 3 3      5 2 2     6       7
+--R     (d x  + 7c d x  + 21c d x  + 35c d x  + 35c d x  + 21c d x  + 7c d x + c )
+--R  *
+--R              m
+--R     (b x + a)
+--R                                                    Type: Expression(Integer)
+--E 591
+
+--S 592 of 2952
+r0000:=(b*c-a*d)^7*(a+b*x)^(1+m)/(b^8*(1+m))+_
+     7*d*(b*c-a*d)^6*(a+b*x)^(2+m)/(b^8*(2+m))+_
+     21*d^2*(b*c-a*d)^5*(a+b*x)^(3+m)/(b^8*(3+m))+_
+     35*d^3*(b*c-a*d)^4*(a+b*x)^(4+m)/(b^8*(4+m))+_
+     35*d^4*(b*c-a*d)^3*(a+b*x)^(5+m)/(b^8*(5+m))+_
+     21*d^5*(b*c-a*d)^2*(a+b*x)^(6+m)/(b^8*(6+m))+_
+     7*d^6*(b*c-a*d)*(a+b*x)^(7+m)/(b^8*(7+m))+_
+     d^7*(a+b*x)^(8+m)/(b^8*(8+m))
+--R 
+--R
+--R   (2)
+--R            7 7      7 6       7 5        7 4        7 3         7 2         7
+--R           d m  + 28d m  + 322d m  + 1960d m  + 6769d m  + 13132d m  + 13068d m
+--R         + 
+--R                7
+--R           5040d
+--R      *
+--R                  m + 8
+--R         (b x + a)
+--R     + 
+--R                  7         6  7            7           6  6
+--R           (- 7a d  + 7b c d )m  + (- 203a d  + 203b c d )m
+--R         + 
+--R                     7            6  5              7             6  4
+--R           (- 2401a d  + 2401b c d )m  + (- 14945a d  + 14945b c d )m
+--R         + 
+--R                      7             6  3               7              6  2
+--R           (- 52528a d  + 52528b c d )m  + (- 103292a d  + 103292b c d )m
+--R         + 
+--R                       7              6             7             6
+--R           (- 103824a d  + 103824b c d )m - 40320a d  + 40320b c d
+--R      *
+--R                  m + 7
+--R         (b x + a)
+--R     + 
+--R               2 7            6      2 2 5  7
+--R           (21a d  - 42a b c d  + 21b c d )m
+--R         + 
+--R                2 7              6       2 2 5  6
+--R           (630a d  - 1260a b c d  + 630b c d )m
+--R         + 
+--R                 2 7               6        2 2 5  5
+--R           (7686a d  - 15372a b c d  + 7686b c d )m
+--R         + 
+--R                  2 7               6         2 2 5  4
+--R           (49140a d  - 98280a b c d  + 49140b c d )m
+--R         + 
+--R                   2 7                6          2 2 5  3
+--R           (176589a d  - 353178a b c d  + 176589b c d )m
+--R         + 
+--R                   2 7                6          2 2 5  2
+--R           (353430a d  - 706860a b c d  + 353430b c d )m
+--R         + 
+--R                   2 7                6          2 2 5            2 7
+--R           (360024a d  - 720048a b c d  + 360024b c d )m + 141120a d
+--R         + 
+--R                          6          2 2 5
+--R           - 282240a b c d  + 141120b c d
+--R      *
+--R                  m + 6
+--R         (b x + a)
+--R     + 
+--R                 3 7       2     6         2 2 5      3 3 4  7
+--R           (- 35a d  + 105a b c d  - 105a b c d  + 35b c d )m
+--R         + 
+--R                   3 7        2     6          2 2 5        3 3 4  6
+--R           (- 1085a d  + 3255a b c d  - 3255a b c d  + 1085b c d )m
+--R         + 
+--R                    3 7         2     6           2 2 5         3 3 4  5
+--R           (- 13685a d  + 41055a b c d  - 41055a b c d  + 13685b c d )m
+--R         + 
+--R                    3 7          2     6            2 2 5         3 3 4  4
+--R           (- 90335a d  + 271005a b c d  - 271005a b c d  + 90335b c d )m
+--R         + 
+--R                     3 7           2     6             2 2 5          3 3 4  3
+--R           (- 334040a d  + 1002120a b c d  - 1002120a b c d  + 334040b c d )m
+--R         + 
+--R                     3 7           2     6             2 2 5          3 3 4  2
+--R           (- 684740a d  + 2054220a b c d  - 2054220a b c d  + 684740b c d )m
+--R         + 
+--R                     3 7           2     6             2 2 5          3 3 4
+--R           (- 710640a d  + 2131920a b c d  - 2131920a b c d  + 710640b c d )m
+--R         + 
+--R                    3 7          2     6            2 2 5          3 3 4
+--R           - 282240a d  + 846720a b c d  - 846720a b c d  + 282240b c d
+--R      *
+--R                  m + 5
+--R         (b x + a)
+--R     + 
+--R               4 7       3     6       2 2 2 5         3 3 4      4 4 3  7
+--R           (35a d  - 140a b c d  + 210a b c d  - 140a b c d  + 35b c d )m
+--R         + 
+--R                      4 7        3     6        2 2 2 5          3 3 4
+--R                 1120a d  - 4480a b c d  + 6720a b c d  - 4480a b c d
+--R               + 
+--R                      4 4 3
+--R                 1120b c d
+--R          *
+--R              6
+--R             m
+--R         + 
+--R                     4 7         3     6         2 2 2 5           3 3 4
+--R               14630a d  - 58520a b c d  + 87780a b c d  - 58520a b c d
+--R             + 
+--R                     4 4 3
+--R               14630b c d
+--R          *
+--R              5
+--R             m
+--R         + 
+--R                      4 7          3     6          2 2 2 5            3 3 4
+--R               100240a d  - 400960a b c d  + 601440a b c d  - 400960a b c d
+--R             + 
+--R                      4 4 3
+--R               100240b c d
+--R          *
+--R              4
+--R             m
+--R         + 
+--R                      4 7           3     6           2 2 2 5             3 3 4
+--R               384755a d  - 1539020a b c d  + 2308530a b c d  - 1539020a b c d
+--R             + 
+--R                      4 4 3
+--R               384755b c d
+--R          *
+--R              3
+--R             m
+--R         + 
+--R                      4 7           3     6           2 2 2 5             3 3 4
+--R               815920a d  - 3263680a b c d  + 4895520a b c d  - 3263680a b c d
+--R             + 
+--R                      4 4 3
+--R               815920b c d
+--R          *
+--R              2
+--R             m
+--R         + 
+--R                      4 7           3     6           2 2 2 5             3 3 4
+--R               870660a d  - 3482640a b c d  + 5223960a b c d  - 3482640a b c d
+--R             + 
+--R                      4 4 3
+--R               870660b c d
+--R          *
+--R             m
+--R         + 
+--R                  4 7           3     6           2 2 2 5             3 3 4
+--R           352800a d  - 1411200a b c d  + 2116800a b c d  - 1411200a b c d
+--R         + 
+--R                  4 4 3
+--R           352800b c d
+--R      *
+--R                  m + 4
+--R         (b x + a)
+--R     + 
+--R                    5 7       4     6       3 2 2 5       2 3 3 4         4 4 3
+--R               - 21a d  + 105a b c d  - 210a b c d  + 210a b c d  - 105a b c d
+--R             + 
+--R                  5 5 2
+--R               21b c d
+--R          *
+--R              7
+--R             m
+--R         + 
+--R                     5 7        4     6        3 2 2 5        2 3 3 4
+--R               - 693a d  + 3465a b c d  - 6930a b c d  + 6930a b c d
+--R             + 
+--R                        4 4 3       5 5 2
+--R               - 3465a b c d  + 693b c d
+--R          *
+--R              6
+--R             m
+--R         + 
+--R                      5 7         4     6         3 2 2 5         2 3 3 4
+--R               - 9387a d  + 46935a b c d  - 93870a b c d  + 93870a b c d
+--R             + 
+--R                         4 4 3        5 5 2
+--R               - 46935a b c d  + 9387b c d
+--R          *
+--R              5
+--R             m
+--R         + 
+--R                       5 7          4     6          3 2 2 5          2 3 3 4
+--R               - 67095a d  + 335475a b c d  - 670950a b c d  + 670950a b c d
+--R             + 
+--R                          4 4 3         5 5 2
+--R               - 335475a b c d  + 67095b c d
+--R          *
+--R              4
+--R             m
+--R         + 
+--R                        5 7           4     6           3 2 2 5
+--R               - 270144a d  + 1350720a b c d  - 2701440a b c d
+--R             + 
+--R                       2 3 3 4             4 4 3          5 5 2
+--R               2701440a b c d  - 1350720a b c d  + 270144b c d
+--R          *
+--R              3
+--R             m
+--R         + 
+--R                        5 7           4     6           3 2 2 5
+--R               - 602532a d  + 3012660a b c d  - 6025320a b c d
+--R             + 
+--R                       2 3 3 4             4 4 3          5 5 2
+--R               6025320a b c d  - 3012660a b c d  + 602532b c d
+--R          *
+--R              2
+--R             m
+--R         + 
+--R                        5 7           4     6           3 2 2 5
+--R               - 673008a d  + 3365040a b c d  - 6730080a b c d
+--R             + 
+--R                       2 3 3 4             4 4 3          5 5 2
+--R               6730080a b c d  - 3365040a b c d  + 673008b c d
+--R          *
+--R             m
+--R         + 
+--R                    5 7           4     6           3 2 2 5           2 3 3 4
+--R           - 282240a d  + 1411200a b c d  - 2822400a b c d  + 2822400a b c d
+--R         + 
+--R                       4 4 3          5 5 2
+--R           - 1411200a b c d  + 282240b c d
+--R      *
+--R                  m + 3
+--R         (b x + a)
+--R     + 
+--R                 6 7      5     6       4 2 2 5       3 3 3 4       2 4 4 3
+--R               7a d  - 42a b c d  + 105a b c d  - 140a b c d  + 105a b c d
+--R             + 
+--R                      5 5 2     6 6
+--R               - 42a b c d  + 7b c d
+--R          *
+--R              7
+--R             m
+--R         + 
+--R                   6 7        5     6        4 2 2 5        3 3 3 4
+--R               238a d  - 1428a b c d  + 3570a b c d  - 4760a b c d
+--R             + 
+--R                    2 4 4 3          5 5 2       6 6
+--R               3570a b c d  - 1428a b c d  + 238b c d
+--R          *
+--R              6
+--R             m
+--R         + 
+--R                    6 7         5     6         4 2 2 5         3 3 3 4
+--R               3346a d  - 20076a b c d  + 50190a b c d  - 66920a b c d
+--R             + 
+--R                     2 4 4 3           5 5 2        6 6
+--R               50190a b c d  - 20076a b c d  + 3346b c d
+--R          *
+--R              5
+--R             m
+--R         + 
+--R                     6 7          5     6          4 2 2 5          3 3 3 4
+--R               25060a d  - 150360a b c d  + 375900a b c d  - 501200a b c d
+--R             + 
+--R                      2 4 4 3            5 5 2         6 6
+--R               375900a b c d  - 150360a b c d  + 25060b c d
+--R          *
+--R              4
+--R             m
+--R         + 
+--R                      6 7          5     6           4 2 2 5           3 3 3 4
+--R               107023a d  - 642138a b c d  + 1605345a b c d  - 2140460a b c d
+--R             + 
+--R                       2 4 4 3            5 5 2          6 6
+--R               1605345a b c d  - 642138a b c d  + 107023b c d
+--R          *
+--R              3
+--R             m
+--R         + 
+--R                      6 7           5     6           4 2 2 5           3 3 3 4
+--R               256942a d  - 1541652a b c d  + 3854130a b c d  - 5138840a b c d
+--R             + 
+--R                       2 4 4 3             5 5 2          6 6
+--R               3854130a b c d  - 1541652a b c d  + 256942b c d
+--R          *
+--R              2
+--R             m
+--R         + 
+--R                      6 7           5     6           4 2 2 5           3 3 3 4
+--R               312984a d  - 1877904a b c d  + 4694760a b c d  - 6259680a b c d
+--R             + 
+--R                       2 4 4 3             5 5 2          6 6
+--R               4694760a b c d  - 1877904a b c d  + 312984b c d
+--R          *
+--R             m
+--R         + 
+--R                  6 7          5     6           4 2 2 5           3 3 3 4
+--R           141120a d  - 846720a b c d  + 2116800a b c d  - 2822400a b c d
+--R         + 
+--R                   2 4 4 3            5 5 2          6 6
+--R           2116800a b c d  - 846720a b c d  + 141120b c d
+--R      *
+--R                  m + 2
+--R         (b x + a)
+--R     + 
+--R                  7 7     6     6      5 2 2 5      4 3 3 4      3 4 4 3
+--R               - a d  + 7a b c d  - 21a b c d  + 35a b c d  - 35a b c d
+--R             + 
+--R                  2 5 5 2       6 6     7 7
+--R               21a b c d  - 7a b c d + b c
+--R          *
+--R              7
+--R             m
+--R         + 
+--R                    7 7       6     6       5 2 2 5        4 3 3 4
+--R               - 35a d  + 245a b c d  - 735a b c d  + 1225a b c d
+--R             + 
+--R                      3 4 4 3       2 5 5 2         6 6       7 7
+--R               - 1225a b c d  + 735a b c d  - 245a b c d + 35b c
+--R          *
+--R              6
+--R             m
+--R         + 
+--R                     7 7        6     6         5 2 2 5         4 3 3 4
+--R               - 511a d  + 3577a b c d  - 10731a b c d  + 17885a b c d
+--R             + 
+--R                       3 4 4 3         2 5 5 2          6 6        7 7
+--R               - 17885a b c d  + 10731a b c d  - 3577a b c d + 511b c
+--R          *
+--R              5
+--R             m
+--R         + 
+--R                      7 7         6     6         5 2 2 5          4 3 3 4
+--R               - 4025a d  + 28175a b c d  - 84525a b c d  + 140875a b c d
+--R             + 
+--R                        3 4 4 3         2 5 5 2           6 6         7 7
+--R               - 140875a b c d  + 84525a b c d  - 28175a b c d + 4025b c
+--R          *
+--R              4
+--R             m
+--R         + 
+--R                       7 7          6     6          5 2 2 5          4 3 3 4
+--R               - 18424a d  + 128968a b c d  - 386904a b c d  + 644840a b c d
+--R             + 
+--R                        3 4 4 3          2 5 5 2            6 6          7 7
+--R               - 644840a b c d  + 386904a b c d  - 128968a b c d + 18424b c
+--R          *
+--R              3
+--R             m
+--R         + 
+--R                       7 7          6     6           5 2 2 5           4 3 3 4
+--R               - 48860a d  + 342020a b c d  - 1026060a b c d  + 1710100a b c d
+--R             + 
+--R                         3 4 4 3           2 5 5 2            6 6          7 7
+--R               - 1710100a b c d  + 1026060a b c d  - 342020a b c d + 48860b c
+--R          *
+--R              2
+--R             m
+--R         + 
+--R                       7 7          6     6           5 2 2 5           4 3 3 4
+--R               - 69264a d  + 484848a b c d  - 1454544a b c d  + 2424240a b c d
+--R             + 
+--R                         3 4 4 3           2 5 5 2            6 6          7 7
+--R               - 2424240a b c d  + 1454544a b c d  - 484848a b c d + 69264b c
+--R          *
+--R             m
+--R         + 
+--R                   7 7          6     6          5 2 2 5           4 3 3 4
+--R           - 40320a d  + 282240a b c d  - 846720a b c d  + 1411200a b c d
+--R         + 
+--R                     3 4 4 3          2 5 5 2            6 6          7 7
+--R           - 1411200a b c d  + 846720a b c d  - 282240a b c d + 40320b c
+--R      *
+--R                  m + 1
+--R         (b x + a)
+--R  /
+--R        8 8      8 7       8 6        8 5         8 4         8 3          8 2
+--R       b m  + 36b m  + 546b m  + 4536b m  + 22449b m  + 67284b m  + 118124b m
+--R     + 
+--R              8          8
+--R       109584b m + 40320b
+--R                                                    Type: Expression(Integer)
+--E 592
+
+--S 593 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R              8 7 7      8 7 6       8 7 5        8 7 4        8 7 3
+--R             b d m  + 28b d m  + 322b d m  + 1960b d m  + 6769b d m
+--R           + 
+--R                   8 7 2         8 7         8 7
+--R             13132b d m  + 13068b d m + 5040b d
+--R        *
+--R            8
+--R           x
+--R       + 
+--R                 7 7     8   6  7         7 7       8   6  6
+--R             (a b d  + 7b c d )m  + (21a b d  + 203b c d )m
+--R           + 
+--R                    7 7        8   6  5          7 7         8   6  4
+--R             (175a b d  + 2401b c d )m  + (735a b d  + 14945b c d )m
+--R           + 
+--R                     7 7         8   6  3           7 7          8   6  2
+--R             (1624a b d  + 52528b c d )m  + (1764a b d  + 103292b c d )m
+--R           + 
+--R                    7 7          8   6           8   6
+--R             (720a b d  + 103824b c d )m + 40320b c d
+--R        *
+--R            7
+--R           x
+--R       + 
+--R                  7   6      8 2 5  7        2 6 7         7   6       8 2 5  6
+--R             (7a b c d  + 21b c d )m  + (- 7a b d  + 161a b c d  + 630b c d )m
+--R           + 
+--R                    2 6 7          7   6        8 2 5  5
+--R             (- 105a b d  + 1435a b c d  + 7686b c d )m
+--R           + 
+--R                    2 6 7          7   6         8 2 5  4
+--R             (- 595a b d  + 6335a b c d  + 49140b c d )m
+--R           + 
+--R                     2 6 7           7   6          8 2 5  3
+--R             (- 1575a b d  + 14518a b c d  + 176589b c d )m
+--R           + 
+--R                     2 6 7           7   6          8 2 5  2
+--R             (- 1918a b d  + 16184a b c d  + 353430b c d )m
+--R           + 
+--R                    2 6 7          7   6          8 2 5            8 2 5
+--R             (- 840a b d  + 6720a b c d  + 360024b c d )m + 141120b c d
+--R        *
+--R            6
+--R           x
+--R       + 
+--R                   7 2 5      8 3 4  7
+--R             (21a b c d  + 35b c d )m
+--R           + 
+--R                   2 6   6         7 2 5        8 3 4  6
+--R             (- 42a b c d  + 525a b c d  + 1085b c d )m
+--R           + 
+--R                 3 5 7       2 6   6          7 2 5         8 3 4  5
+--R             (42a b d  - 756a b c d  + 5061a b c d  + 13685b c d )m
+--R           + 
+--R                  3 5 7        2 6   6           7 2 5         8 3 4  4
+--R             (420a b d  - 4830a b c d  + 23835a b c d  + 90335b c d )m
+--R           + 
+--R                   3 5 7         2 6   6           7 2 5          8 3 4  3
+--R             (1470a b d  - 13860a b c d  + 57414a b c d  + 334040b c d )m
+--R           + 
+--R                   3 5 7         2 6   6           7 2 5          8 3 4  2
+--R             (2100a b d  - 17808a b c d  + 66360a b c d  + 684740b c d )m
+--R           + 
+--R                   3 5 7        2 6   6           7 2 5          8 3 4
+--R             (1008a b d  - 8064a b c d  + 28224a b c d  + 710640b c d )m
+--R           + 
+--R                    8 3 4
+--R             282240b c d
+--R        *
+--R            5
+--R           x
+--R       + 
+--R                   7 3 4      8 4 3  7
+--R             (35a b c d  + 35b c d )m
+--R           + 
+--R                    2 6 2 5         7 3 4        8 4 3  6
+--R             (- 105a b c d  + 945a b c d  + 1120b c d )m
+--R           + 
+--R                  3 5   6        2 6 2 5          7 3 4         8 4 3  5
+--R             (210a b c d  - 2205a b c d  + 9905a b c d  + 14630b c d )m
+--R           + 
+--R                       4 4 7        3 5   6         2 6 2 5           7 3 4
+--R                 - 210a b d  + 2940a b c d  - 16485a b c d  + 50715a b c d
+--R               + 
+--R                        8 4 3
+--R                 100240b c d
+--R            *
+--R                4
+--R               m
+--R           + 
+--R                        4 4 7         3 5   6         2 6 2 5            7 3 4
+--R                 - 1260a b d  + 12390a b c d  - 53235a b c d  + 131180a b c d
+--R               + 
+--R                        8 4 3
+--R                 384755b c d
+--R            *
+--R                3
+--R               m
+--R           + 
+--R                        4 4 7         3 5   6         2 6 2 5            7 3 4
+--R                 - 2310a b d  + 19740a b c d  - 74130a b c d  + 160020a b c d
+--R               + 
+--R                        8 4 3
+--R                 815920b c d
+--R            *
+--R                2
+--R               m
+--R           + 
+--R                        4 4 7         3 5   6         2 6 2 5           7 3 4
+--R                 - 1260a b d  + 10080a b c d  - 35280a b c d  + 70560a b c d
+--R               + 
+--R                        8 4 3
+--R                 870660b c d
+--R            *
+--R               m
+--R           + 
+--R                    8 4 3
+--R             352800b c d
+--R        *
+--R            4
+--R           x
+--R       + 
+--R                   7 4 3      8 5 2  7
+--R             (35a b c d  + 21b c d )m
+--R           + 
+--R                    2 6 3 4          7 4 3       8 5 2  6
+--R             (- 140a b c d  + 1015a b c d  + 693b c d )m
+--R           + 
+--R                  3 5 2 5        2 6 3 4           7 4 3        8 5 2  5
+--R             (420a b c d  - 3360a b c d  + 11585a b c d  + 9387b c d )m
+--R           + 
+--R                       4 4   6        3 5 2 5         2 6 3 4           7 4 3
+--R                 - 840a b c d  + 7560a b c d  - 29540a b c d  + 65485a b c d
+--R               + 
+--R                       8 5 2
+--R                 67095b c d
+--R            *
+--R                4
+--R               m
+--R           + 
+--R                     5 3 7        4 4   6         3 5 2 5          2 6 3 4
+--R                 840a b d  - 9240a b c d  + 43260a b c d  - 114240a b c d
+--R               + 
+--R                          7 4 3          8 5 2
+--R                 188300a b c d  + 270144b c d
+--R            *
+--R                3
+--R               m
+--R           + 
+--R                      5 3 7         4 4   6         3 5 2 5          2 6 3 4
+--R                 2520a b d  - 21840a b c d  + 83160a b c d  - 182000a b c d
+--R               + 
+--R                          7 4 3          8 5 2
+--R                 251020a b c d  + 602532b c d
+--R            *
+--R                2
+--R               m
+--R           + 
+--R                      5 3 7         4 4   6         3 5 2 5         2 6 3 4
+--R                 1680a b d  - 13440a b c d  + 47040a b c d  - 94080a b c d
+--R               + 
+--R                          7 4 3          8 5 2
+--R                 117600a b c d  + 673008b c d
+--R            *
+--R               m
+--R           + 
+--R                    8 5 2
+--R             282240b c d
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                   7 5 2     8 6   7
+--R             (21a b c d  + 7b c d)m
+--R           + 
+--R                    2 6 4 3         7 5 2       8 6   6
+--R             (- 105a b c d  + 651a b c d  + 238b c d)m
+--R           + 
+--R                  3 5 3 4        2 6 4 3          7 5 2        8 6   5
+--R             (420a b c d  - 2835a b c d  + 8085a b c d  + 3346b c d)m
+--R           + 
+--R                        4 4 2 5        3 5 3 4         2 6 4 3           7 5 2
+--R                 - 1260a b c d  + 9240a b c d  - 29085a b c d  + 50925a b c d
+--R               + 
+--R                       8 6
+--R                 25060b c d
+--R            *
+--R                4
+--R               m
+--R           + 
+--R                      5 3   6         4 4 2 5         3 5 3 4          2 6 4 3
+--R                 2520a b c d  - 20160a b c d  + 70140a b c d  - 138285a b c d
+--R               + 
+--R                          7 5 2          8 6
+--R                 168294a b c d  + 107023b c d
+--R            *
+--R                3
+--R               m
+--R           + 
+--R                        6 2 7         5 3   6         4 4 2 5          3 5 3 4
+--R                 - 2520a b d  + 22680a b c d  - 89460a b c d  + 202440a b c d
+--R               + 
+--R                          2 6 4 3            7 5 2          8 6
+--R                 - 288330a b c d  + 265944a b c d  + 256942b c d
+--R            *
+--R                2
+--R               m
+--R           + 
+--R                        6 2 7         5 3   6         4 4 2 5          3 5 3 4
+--R                 - 2520a b d  + 20160a b c d  - 70560a b c d  + 141120a b c d
+--R               + 
+--R                          2 6 4 3            7 5 2          8 6
+--R                 - 176400a b c d  + 141120a b c d  + 312984b c d
+--R            *
+--R               m
+--R           + 
+--R                    8 6
+--R             141120b c d
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                  7 6     8 7  7         2 6 5 2         7 6       8 7  6
+--R             (7a b c d + b c )m  + (- 42a b c d  + 231a b c d + 35b c )m
+--R           + 
+--R                  3 5 4 3        2 6 5 2          7 6        8 7  5
+--R             (210a b c d  - 1260a b c d  + 3115a b c d + 511b c )m
+--R           + 
+--R                       4 4 3 4        3 5 4 3         2 6 5 2           7 6
+--R                 - 840a b c d  + 5460a b c d  - 14910a b c d  + 21945a b c d
+--R               + 
+--R                      8 7
+--R                 4025b c
+--R            *
+--R                4
+--R               m
+--R           + 
+--R                      5 3 2 5         4 4 3 4         3 5 4 3         2 6 5 2
+--R                 2520a b c d  - 17640a b c d  + 52710a b c d  - 86940a b c d
+--R               + 
+--R                         7 6          8 7
+--R                 85078a b c d + 18424b c
+--R            *
+--R                3
+--R               m
+--R           + 
+--R                        6 2   6         5 3 2 5          4 4 3 4
+--R                 - 5040a b c d  + 37800a b c d  - 122640a b c d
+--R               + 
+--R                        3 5 4 3          2 6 5 2            7 6          8 7
+--R                 223860a b c d  - 249648a b c d  + 171864a b c d + 48860b c
+--R            *
+--R                2
+--R               m
+--R           + 
+--R                      7   7         6 2   6          5 3 2 5          4 4 3 4
+--R                 5040a b d  - 40320a b c d  + 141120a b c d  - 282240a b c d
+--R               + 
+--R                        3 5 4 3          2 6 5 2            7 6          8 7
+--R                 352800a b c d  - 282240a b c d  + 141120a b c d + 69264b c
+--R            *
+--R               m
+--R           + 
+--R                   8 7
+--R             40320b c
+--R        *
+--R           x
+--R       + 
+--R            7 7 7        2 6 6         7 7  6
+--R         a b c m  + (- 7a b c d + 35a b c )m
+--R       + 
+--R             3 5 5 2       2 6 6          7 7  5
+--R         (42a b c d  - 231a b c d + 511a b c )m
+--R       + 
+--R                4 4 4 3        3 5 5 2        2 6 6           7 7  4
+--R         (- 210a b c d  + 1260a b c d  - 3115a b c d + 4025a b c )m
+--R       + 
+--R                 5 3 3 4        4 4 4 3         3 5 5 2         2 6 6
+--R             840a b c d  - 5460a b c d  + 14910a b c d  - 21945a b c d
+--R           + 
+--R                     7 7
+--R             18424a b c
+--R        *
+--R            3
+--R           m
+--R       + 
+--R                    6 2 2 5         5 3 3 4         4 4 4 3         3 5 5 2
+--R             - 2520a b c d  + 17640a b c d  - 52710a b c d  + 86940a b c d
+--R           + 
+--R                     2 6 6            7 7
+--R             - 85078a b c d + 48860a b c
+--R        *
+--R            2
+--R           m
+--R       + 
+--R                  7     6         6 2 2 5          5 3 3 4          4 4 4 3
+--R             5040a b c d  - 37800a b c d  + 122640a b c d  - 223860a b c d
+--R           + 
+--R                    3 5 5 2          2 6 6            7 7
+--R             249648a b c d  - 171864a b c d + 69264a b c
+--R        *
+--R           m
+--R       + 
+--R                8 7         7     6          6 2 2 5          5 3 3 4
+--R         - 5040a d  + 40320a b c d  - 141120a b c d  + 282240a b c d
+--R       + 
+--R                  4 4 4 3          3 5 5 2          2 6 6            7 7
+--R         - 352800a b c d  + 282240a b c d  - 141120a b c d + 40320a b c
+--R    *
+--R         m log(b x + a)
+--R       %e
+--R  /
+--R        8 8      8 7       8 6        8 5         8 4         8 3          8 2
+--R       b m  + 36b m  + 546b m  + 4536b m  + 22449b m  + 67284b m  + 118124b m
+--R     + 
+--R              8          8
+--R       109584b m + 40320b
+--R                                         Type: Union(Expression(Integer),...)
+--E 593
+
+--S 594 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R                8 7 7      8 7 6       8 7 5        8 7 4        8 7 3
+--R               b d m  + 28b d m  + 322b d m  + 1960b d m  + 6769b d m
+--R             + 
+--R                     8 7 2         8 7         8 7
+--R               13132b d m  + 13068b d m + 5040b d
+--R          *
+--R              8
+--R             x
+--R         + 
+--R                   7 7     8   6  7         7 7       8   6  6
+--R               (a b d  + 7b c d )m  + (21a b d  + 203b c d )m
+--R             + 
+--R                      7 7        8   6  5          7 7         8   6  4
+--R               (175a b d  + 2401b c d )m  + (735a b d  + 14945b c d )m
+--R             + 
+--R                       7 7         8   6  3           7 7          8   6  2
+--R               (1624a b d  + 52528b c d )m  + (1764a b d  + 103292b c d )m
+--R             + 
+--R                      7 7          8   6           8   6
+--R               (720a b d  + 103824b c d )m + 40320b c d
+--R          *
+--R              7
+--R             x
+--R         + 
+--R                    7   6      8 2 5  7
+--R               (7a b c d  + 21b c d )m
+--R             + 
+--R                    2 6 7         7   6       8 2 5  6
+--R               (- 7a b d  + 161a b c d  + 630b c d )m
+--R             + 
+--R                      2 6 7          7   6        8 2 5  5
+--R               (- 105a b d  + 1435a b c d  + 7686b c d )m
+--R             + 
+--R                      2 6 7          7   6         8 2 5  4
+--R               (- 595a b d  + 6335a b c d  + 49140b c d )m
+--R             + 
+--R                       2 6 7           7   6          8 2 5  3
+--R               (- 1575a b d  + 14518a b c d  + 176589b c d )m
+--R             + 
+--R                       2 6 7           7   6          8 2 5  2
+--R               (- 1918a b d  + 16184a b c d  + 353430b c d )m
+--R             + 
+--R                      2 6 7          7   6          8 2 5            8 2 5
+--R               (- 840a b d  + 6720a b c d  + 360024b c d )m + 141120b c d
+--R          *
+--R              6
+--R             x
+--R         + 
+--R                     7 2 5      8 3 4  7
+--R               (21a b c d  + 35b c d )m
+--R             + 
+--R                     2 6   6         7 2 5        8 3 4  6
+--R               (- 42a b c d  + 525a b c d  + 1085b c d )m
+--R             + 
+--R                   3 5 7       2 6   6          7 2 5         8 3 4  5
+--R               (42a b d  - 756a b c d  + 5061a b c d  + 13685b c d )m
+--R             + 
+--R                    3 5 7        2 6   6           7 2 5         8 3 4  4
+--R               (420a b d  - 4830a b c d  + 23835a b c d  + 90335b c d )m
+--R             + 
+--R                     3 5 7         2 6   6           7 2 5          8 3 4  3
+--R               (1470a b d  - 13860a b c d  + 57414a b c d  + 334040b c d )m
+--R             + 
+--R                     3 5 7         2 6   6           7 2 5          8 3 4  2
+--R               (2100a b d  - 17808a b c d  + 66360a b c d  + 684740b c d )m
+--R             + 
+--R                     3 5 7        2 6   6           7 2 5          8 3 4
+--R               (1008a b d  - 8064a b c d  + 28224a b c d  + 710640b c d )m
+--R             + 
+--R                      8 3 4
+--R               282240b c d
+--R          *
+--R              5
+--R             x
+--R         + 
+--R                     7 3 4      8 4 3  7
+--R               (35a b c d  + 35b c d )m
+--R             + 
+--R                      2 6 2 5         7 3 4        8 4 3  6
+--R               (- 105a b c d  + 945a b c d  + 1120b c d )m
+--R             + 
+--R                    3 5   6        2 6 2 5          7 3 4         8 4 3  5
+--R               (210a b c d  - 2205a b c d  + 9905a b c d  + 14630b c d )m
+--R             + 
+--R                         4 4 7        3 5   6         2 6 2 5           7 3 4
+--R                   - 210a b d  + 2940a b c d  - 16485a b c d  + 50715a b c d
+--R                 + 
+--R                          8 4 3
+--R                   100240b c d
+--R              *
+--R                  4
+--R                 m
+--R             + 
+--R                          4 4 7         3 5   6         2 6 2 5            7 3 4
+--R                   - 1260a b d  + 12390a b c d  - 53235a b c d  + 131180a b c d
+--R                 + 
+--R                          8 4 3
+--R                   384755b c d
+--R              *
+--R                  3
+--R                 m
+--R             + 
+--R                          4 4 7         3 5   6         2 6 2 5            7 3 4
+--R                   - 2310a b d  + 19740a b c d  - 74130a b c d  + 160020a b c d
+--R                 + 
+--R                          8 4 3
+--R                   815920b c d
+--R              *
+--R                  2
+--R                 m
+--R             + 
+--R                          4 4 7         3 5   6         2 6 2 5           7 3 4
+--R                   - 1260a b d  + 10080a b c d  - 35280a b c d  + 70560a b c d
+--R                 + 
+--R                          8 4 3
+--R                   870660b c d
+--R              *
+--R                 m
+--R             + 
+--R                      8 4 3
+--R               352800b c d
+--R          *
+--R              4
+--R             x
+--R         + 
+--R                     7 4 3      8 5 2  7
+--R               (35a b c d  + 21b c d )m
+--R             + 
+--R                      2 6 3 4          7 4 3       8 5 2  6
+--R               (- 140a b c d  + 1015a b c d  + 693b c d )m
+--R             + 
+--R                    3 5 2 5        2 6 3 4           7 4 3        8 5 2  5
+--R               (420a b c d  - 3360a b c d  + 11585a b c d  + 9387b c d )m
+--R             + 
+--R                         4 4   6        3 5 2 5         2 6 3 4           7 4 3
+--R                   - 840a b c d  + 7560a b c d  - 29540a b c d  + 65485a b c d
+--R                 + 
+--R                         8 5 2
+--R                   67095b c d
+--R              *
+--R                  4
+--R                 m
+--R             + 
+--R                       5 3 7        4 4   6         3 5 2 5          2 6 3 4
+--R                   840a b d  - 9240a b c d  + 43260a b c d  - 114240a b c d
+--R                 + 
+--R                            7 4 3          8 5 2
+--R                   188300a b c d  + 270144b c d
+--R              *
+--R                  3
+--R                 m
+--R             + 
+--R                        5 3 7         4 4   6         3 5 2 5          2 6 3 4
+--R                   2520a b d  - 21840a b c d  + 83160a b c d  - 182000a b c d
+--R                 + 
+--R                            7 4 3          8 5 2
+--R                   251020a b c d  + 602532b c d
+--R              *
+--R                  2
+--R                 m
+--R             + 
+--R                        5 3 7         4 4   6         3 5 2 5         2 6 3 4
+--R                   1680a b d  - 13440a b c d  + 47040a b c d  - 94080a b c d
+--R                 + 
+--R                            7 4 3          8 5 2
+--R                   117600a b c d  + 673008b c d
+--R              *
+--R                 m
+--R             + 
+--R                      8 5 2
+--R               282240b c d
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                     7 5 2     8 6   7
+--R               (21a b c d  + 7b c d)m
+--R             + 
+--R                      2 6 4 3         7 5 2       8 6   6
+--R               (- 105a b c d  + 651a b c d  + 238b c d)m
+--R             + 
+--R                    3 5 3 4        2 6 4 3          7 5 2        8 6   5
+--R               (420a b c d  - 2835a b c d  + 8085a b c d  + 3346b c d)m
+--R             + 
+--R                          4 4 2 5        3 5 3 4         2 6 4 3           7 5 2
+--R                   - 1260a b c d  + 9240a b c d  - 29085a b c d  + 50925a b c d
+--R                 + 
+--R                         8 6
+--R                   25060b c d
+--R              *
+--R                  4
+--R                 m
+--R             + 
+--R                        5 3   6         4 4 2 5         3 5 3 4          2 6 4 3
+--R                   2520a b c d  - 20160a b c d  + 70140a b c d  - 138285a b c d
+--R                 + 
+--R                            7 5 2          8 6
+--R                   168294a b c d  + 107023b c d
+--R              *
+--R                  3
+--R                 m
+--R             + 
+--R                          6 2 7         5 3   6         4 4 2 5          3 5 3 4
+--R                   - 2520a b d  + 22680a b c d  - 89460a b c d  + 202440a b c d
+--R                 + 
+--R                            2 6 4 3            7 5 2          8 6
+--R                   - 288330a b c d  + 265944a b c d  + 256942b c d
+--R              *
+--R                  2
+--R                 m
+--R             + 
+--R                          6 2 7         5 3   6         4 4 2 5          3 5 3 4
+--R                   - 2520a b d  + 20160a b c d  - 70560a b c d  + 141120a b c d
+--R                 + 
+--R                            2 6 4 3            7 5 2          8 6
+--R                   - 176400a b c d  + 141120a b c d  + 312984b c d
+--R              *
+--R                 m
+--R             + 
+--R                      8 6
+--R               141120b c d
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                    7 6     8 7  7         2 6 5 2         7 6       8 7  6
+--R               (7a b c d + b c )m  + (- 42a b c d  + 231a b c d + 35b c )m
+--R             + 
+--R                    3 5 4 3        2 6 5 2          7 6        8 7  5
+--R               (210a b c d  - 1260a b c d  + 3115a b c d + 511b c )m
+--R             + 
+--R                         4 4 3 4        3 5 4 3         2 6 5 2           7 6
+--R                   - 840a b c d  + 5460a b c d  - 14910a b c d  + 21945a b c d
+--R                 + 
+--R                        8 7
+--R                   4025b c
+--R              *
+--R                  4
+--R                 m
+--R             + 
+--R                        5 3 2 5         4 4 3 4         3 5 4 3         2 6 5 2
+--R                   2520a b c d  - 17640a b c d  + 52710a b c d  - 86940a b c d
+--R                 + 
+--R                           7 6          8 7
+--R                   85078a b c d + 18424b c
+--R              *
+--R                  3
+--R                 m
+--R             + 
+--R                          6 2   6         5 3 2 5          4 4 3 4
+--R                   - 5040a b c d  + 37800a b c d  - 122640a b c d
+--R                 + 
+--R                          3 5 4 3          2 6 5 2            7 6          8 7
+--R                   223860a b c d  - 249648a b c d  + 171864a b c d + 48860b c
+--R              *
+--R                  2
+--R                 m
+--R             + 
+--R                        7   7         6 2   6          5 3 2 5          4 4 3 4
+--R                   5040a b d  - 40320a b c d  + 141120a b c d  - 282240a b c d
+--R                 + 
+--R                          3 5 4 3          2 6 5 2            7 6          8 7
+--R                   352800a b c d  - 282240a b c d  + 141120a b c d + 69264b c
+--R              *
+--R                 m
+--R             + 
+--R                     8 7
+--R               40320b c
+--R          *
+--R             x
+--R         + 
+--R              7 7 7        2 6 6         7 7  6
+--R           a b c m  + (- 7a b c d + 35a b c )m
+--R         + 
+--R               3 5 5 2       2 6 6          7 7  5
+--R           (42a b c d  - 231a b c d + 511a b c )m
+--R         + 
+--R                  4 4 4 3        3 5 5 2        2 6 6           7 7  4
+--R           (- 210a b c d  + 1260a b c d  - 3115a b c d + 4025a b c )m
+--R         + 
+--R                   5 3 3 4        4 4 4 3         3 5 5 2         2 6 6
+--R               840a b c d  - 5460a b c d  + 14910a b c d  - 21945a b c d
+--R             + 
+--R                       7 7
+--R               18424a b c
+--R          *
+--R              3
+--R             m
+--R         + 
+--R                      6 2 2 5         5 3 3 4         4 4 4 3         3 5 5 2
+--R               - 2520a b c d  + 17640a b c d  - 52710a b c d  + 86940a b c d
+--R             + 
+--R                       2 6 6            7 7
+--R               - 85078a b c d + 48860a b c
+--R          *
+--R              2
+--R             m
+--R         + 
+--R                    7     6         6 2 2 5          5 3 3 4          4 4 4 3
+--R               5040a b c d  - 37800a b c d  + 122640a b c d  - 223860a b c d
+--R             + 
+--R                      3 5 5 2          2 6 6            7 7
+--R               249648a b c d  - 171864a b c d + 69264a b c
+--R          *
+--R             m
+--R         + 
+--R                  8 7         7     6          6 2 2 5          5 3 3 4
+--R           - 5040a d  + 40320a b c d  - 141120a b c d  + 282240a b c d
+--R         + 
+--R                    4 4 4 3          3 5 5 2          2 6 6            7 7
+--R           - 352800a b c d  + 282240a b c d  - 141120a b c d + 40320a b c
+--R      *
+--R           m log(b x + a)
+--R         %e
+--R     + 
+--R              7 7      7 6       7 5        7 4        7 3         7 2
+--R           - d m  - 28d m  - 322d m  - 1960d m  - 6769d m  - 13132d m
+--R         + 
+--R                   7         7
+--R           - 13068d m - 5040d
+--R      *
+--R                  m + 8
+--R         (b x + a)
+--R     + 
+--R                7         6  7          7           6  6
+--R           (7a d  - 7b c d )m  + (203a d  - 203b c d )m
+--R         + 
+--R                   7            6  5            7             6  4
+--R           (2401a d  - 2401b c d )m  + (14945a d  - 14945b c d )m
+--R         + 
+--R                    7             6  3             7              6  2
+--R           (52528a d  - 52528b c d )m  + (103292a d  - 103292b c d )m
+--R         + 
+--R                     7              6             7             6
+--R           (103824a d  - 103824b c d )m + 40320a d  - 40320b c d
+--R      *
+--R                  m + 7
+--R         (b x + a)
+--R     + 
+--R                 2 7            6      2 2 5  7
+--R           (- 21a d  + 42a b c d  - 21b c d )m
+--R         + 
+--R                  2 7              6       2 2 5  6
+--R           (- 630a d  + 1260a b c d  - 630b c d )m
+--R         + 
+--R                   2 7               6        2 2 5  5
+--R           (- 7686a d  + 15372a b c d  - 7686b c d )m
+--R         + 
+--R                    2 7               6         2 2 5  4
+--R           (- 49140a d  + 98280a b c d  - 49140b c d )m
+--R         + 
+--R                     2 7                6          2 2 5  3
+--R           (- 176589a d  + 353178a b c d  - 176589b c d )m
+--R         + 
+--R                     2 7                6          2 2 5  2
+--R           (- 353430a d  + 706860a b c d  - 353430b c d )m
+--R         + 
+--R                     2 7                6          2 2 5            2 7
+--R           (- 360024a d  + 720048a b c d  - 360024b c d )m - 141120a d
+--R         + 
+--R                        6          2 2 5
+--R           282240a b c d  - 141120b c d
+--R      *
+--R                  m + 6
+--R         (b x + a)
+--R     + 
+--R               3 7       2     6         2 2 5      3 3 4  7
+--R           (35a d  - 105a b c d  + 105a b c d  - 35b c d )m
+--R         + 
+--R                 3 7        2     6          2 2 5        3 3 4  6
+--R           (1085a d  - 3255a b c d  + 3255a b c d  - 1085b c d )m
+--R         + 
+--R                  3 7         2     6           2 2 5         3 3 4  5
+--R           (13685a d  - 41055a b c d  + 41055a b c d  - 13685b c d )m
+--R         + 
+--R                  3 7          2     6            2 2 5         3 3 4  4
+--R           (90335a d  - 271005a b c d  + 271005a b c d  - 90335b c d )m
+--R         + 
+--R                   3 7           2     6             2 2 5          3 3 4  3
+--R           (334040a d  - 1002120a b c d  + 1002120a b c d  - 334040b c d )m
+--R         + 
+--R                   3 7           2     6             2 2 5          3 3 4  2
+--R           (684740a d  - 2054220a b c d  + 2054220a b c d  - 684740b c d )m
+--R         + 
+--R                   3 7           2     6             2 2 5          3 3 4
+--R           (710640a d  - 2131920a b c d  + 2131920a b c d  - 710640b c d )m
+--R         + 
+--R                  3 7          2     6            2 2 5          3 3 4
+--R           282240a d  - 846720a b c d  + 846720a b c d  - 282240b c d
+--R      *
+--R                  m + 5
+--R         (b x + a)
+--R     + 
+--R                 4 7       3     6       2 2 2 5         3 3 4      4 4 3  7
+--R           (- 35a d  + 140a b c d  - 210a b c d  + 140a b c d  - 35b c d )m
+--R         + 
+--R                      4 7        3     6        2 2 2 5          3 3 4
+--R               - 1120a d  + 4480a b c d  - 6720a b c d  + 4480a b c d
+--R             + 
+--R                      4 4 3
+--R               - 1120b c d
+--R          *
+--R              6
+--R             m
+--R         + 
+--R                       4 7         3     6         2 2 2 5           3 3 4
+--R               - 14630a d  + 58520a b c d  - 87780a b c d  + 58520a b c d
+--R             + 
+--R                       4 4 3
+--R               - 14630b c d
+--R          *
+--R              5
+--R             m
+--R         + 
+--R                        4 7          3     6          2 2 2 5            3 3 4
+--R               - 100240a d  + 400960a b c d  - 601440a b c d  + 400960a b c d
+--R             + 
+--R                        4 4 3
+--R               - 100240b c d
+--R          *
+--R              4
+--R             m
+--R         + 
+--R                        4 7           3     6           2 2 2 5
+--R               - 384755a d  + 1539020a b c d  - 2308530a b c d
+--R             + 
+--R                         3 3 4          4 4 3
+--R               1539020a b c d  - 384755b c d
+--R          *
+--R              3
+--R             m
+--R         + 
+--R                        4 7           3     6           2 2 2 5
+--R               - 815920a d  + 3263680a b c d  - 4895520a b c d
+--R             + 
+--R                         3 3 4          4 4 3
+--R               3263680a b c d  - 815920b c d
+--R          *
+--R              2
+--R             m
+--R         + 
+--R                        4 7           3     6           2 2 2 5
+--R               - 870660a d  + 3482640a b c d  - 5223960a b c d
+--R             + 
+--R                         3 3 4          4 4 3
+--R               3482640a b c d  - 870660b c d
+--R          *
+--R             m
+--R         + 
+--R                    4 7           3     6           2 2 2 5             3 3 4
+--R           - 352800a d  + 1411200a b c d  - 2116800a b c d  + 1411200a b c d
+--R         + 
+--R                    4 4 3
+--R           - 352800b c d
+--R      *
+--R                  m + 4
+--R         (b x + a)
+--R     + 
+--R                  5 7       4     6       3 2 2 5       2 3 3 4         4 4 3
+--R               21a d  - 105a b c d  + 210a b c d  - 210a b c d  + 105a b c d
+--R             + 
+--R                    5 5 2
+--R               - 21b c d
+--R          *
+--R              7
+--R             m
+--R         + 
+--R                   5 7        4     6        3 2 2 5        2 3 3 4
+--R               693a d  - 3465a b c d  + 6930a b c d  - 6930a b c d
+--R             + 
+--R                      4 4 3       5 5 2
+--R               3465a b c d  - 693b c d
+--R          *
+--R              6
+--R             m
+--R         + 
+--R                    5 7         4     6         3 2 2 5         2 3 3 4
+--R               9387a d  - 46935a b c d  + 93870a b c d  - 93870a b c d
+--R             + 
+--R                       4 4 3        5 5 2
+--R               46935a b c d  - 9387b c d
+--R          *
+--R              5
+--R             m
+--R         + 
+--R                     5 7          4     6          3 2 2 5          2 3 3 4
+--R               67095a d  - 335475a b c d  + 670950a b c d  - 670950a b c d
+--R             + 
+--R                        4 4 3         5 5 2
+--R               335475a b c d  - 67095b c d
+--R          *
+--R              4
+--R             m
+--R         + 
+--R                      5 7           4     6           3 2 2 5           2 3 3 4
+--R               270144a d  - 1350720a b c d  + 2701440a b c d  - 2701440a b c d
+--R             + 
+--R                         4 4 3          5 5 2
+--R               1350720a b c d  - 270144b c d
+--R          *
+--R              3
+--R             m
+--R         + 
+--R                      5 7           4     6           3 2 2 5           2 3 3 4
+--R               602532a d  - 3012660a b c d  + 6025320a b c d  - 6025320a b c d
+--R             + 
+--R                         4 4 3          5 5 2
+--R               3012660a b c d  - 602532b c d
+--R          *
+--R              2
+--R             m
+--R         + 
+--R                      5 7           4     6           3 2 2 5           2 3 3 4
+--R               673008a d  - 3365040a b c d  + 6730080a b c d  - 6730080a b c d
+--R             + 
+--R                         4 4 3          5 5 2
+--R               3365040a b c d  - 673008b c d
+--R          *
+--R             m
+--R         + 
+--R                  5 7           4     6           3 2 2 5           2 3 3 4
+--R           282240a d  - 1411200a b c d  + 2822400a b c d  - 2822400a b c d
+--R         + 
+--R                     4 4 3          5 5 2
+--R           1411200a b c d  - 282240b c d
+--R      *
+--R                  m + 3
+--R         (b x + a)
+--R     + 
+--R                   6 7      5     6       4 2 2 5       3 3 3 4       2 4 4 3
+--R               - 7a d  + 42a b c d  - 105a b c d  + 140a b c d  - 105a b c d
+--R             + 
+--R                    5 5 2     6 6
+--R               42a b c d  - 7b c d
+--R          *
+--R              7
+--R             m
+--R         + 
+--R                     6 7        5     6        4 2 2 5        3 3 3 4
+--R               - 238a d  + 1428a b c d  - 3570a b c d  + 4760a b c d
+--R             + 
+--R                      2 4 4 3          5 5 2       6 6
+--R               - 3570a b c d  + 1428a b c d  - 238b c d
+--R          *
+--R              6
+--R             m
+--R         + 
+--R                      6 7         5     6         4 2 2 5         3 3 3 4
+--R               - 3346a d  + 20076a b c d  - 50190a b c d  + 66920a b c d
+--R             + 
+--R                       2 4 4 3           5 5 2        6 6
+--R               - 50190a b c d  + 20076a b c d  - 3346b c d
+--R          *
+--R              5
+--R             m
+--R         + 
+--R                       6 7          5     6          4 2 2 5          3 3 3 4
+--R               - 25060a d  + 150360a b c d  - 375900a b c d  + 501200a b c d
+--R             + 
+--R                        2 4 4 3            5 5 2         6 6
+--R               - 375900a b c d  + 150360a b c d  - 25060b c d
+--R          *
+--R              4
+--R             m
+--R         + 
+--R                        6 7          5     6           4 2 2 5           3 3 3 4
+--R               - 107023a d  + 642138a b c d  - 1605345a b c d  + 2140460a b c d
+--R             + 
+--R                         2 4 4 3            5 5 2          6 6
+--R               - 1605345a b c d  + 642138a b c d  - 107023b c d
+--R          *
+--R              3
+--R             m
+--R         + 
+--R                        6 7           5     6           4 2 2 5
+--R               - 256942a d  + 1541652a b c d  - 3854130a b c d
+--R             + 
+--R                     3 3 3 4           2 4 4 3             5 5 2          6 6
+--R             5138840a b c d  - 3854130a b c d  + 1541652a b c d  - 256942b c d
+--R          *
+--R              2
+--R             m
+--R         + 
+--R                        6 7           5     6           4 2 2 5
+--R               - 312984a d  + 1877904a b c d  - 4694760a b c d
+--R             + 
+--R                     3 3 3 4           2 4 4 3             5 5 2          6 6
+--R             6259680a b c d  - 4694760a b c d  + 1877904a b c d  - 312984b c d
+--R          *
+--R             m
+--R         + 
+--R                    6 7          5     6           4 2 2 5           3 3 3 4
+--R           - 141120a d  + 846720a b c d  - 2116800a b c d  + 2822400a b c d
+--R         + 
+--R                     2 4 4 3            5 5 2          6 6
+--R           - 2116800a b c d  + 846720a b c d  - 141120b c d
+--R      *
+--R                  m + 2
+--R         (b x + a)
+--R     + 
+--R                7 7     6     6      5 2 2 5      4 3 3 4      3 4 4 3
+--R               a d  - 7a b c d  + 21a b c d  - 35a b c d  + 35a b c d
+--R             + 
+--R                    2 5 5 2       6 6     7 7
+--R               - 21a b c d  + 7a b c d - b c
+--R          *
+--R              7
+--R             m
+--R         + 
+--R                  7 7       6     6       5 2 2 5        4 3 3 4        3 4 4 3
+--R               35a d  - 245a b c d  + 735a b c d  - 1225a b c d  + 1225a b c d
+--R             + 
+--R                     2 5 5 2         6 6       7 7
+--R               - 735a b c d  + 245a b c d - 35b c
+--R          *
+--R              6
+--R             m
+--R         + 
+--R                   7 7        6     6         5 2 2 5         4 3 3 4
+--R               511a d  - 3577a b c d  + 10731a b c d  - 17885a b c d
+--R             + 
+--R                     3 4 4 3         2 5 5 2          6 6        7 7
+--R               17885a b c d  - 10731a b c d  + 3577a b c d - 511b c
+--R          *
+--R              5
+--R             m
+--R         + 
+--R                    7 7         6     6         5 2 2 5          4 3 3 4
+--R               4025a d  - 28175a b c d  + 84525a b c d  - 140875a b c d
+--R             + 
+--R                      3 4 4 3         2 5 5 2           6 6         7 7
+--R               140875a b c d  - 84525a b c d  + 28175a b c d - 4025b c
+--R          *
+--R              4
+--R             m
+--R         + 
+--R                     7 7          6     6          5 2 2 5          4 3 3 4
+--R               18424a d  - 128968a b c d  + 386904a b c d  - 644840a b c d
+--R             + 
+--R                      3 4 4 3          2 5 5 2            6 6          7 7
+--R               644840a b c d  - 386904a b c d  + 128968a b c d - 18424b c
+--R          *
+--R              3
+--R             m
+--R         + 
+--R                     7 7          6     6           5 2 2 5           4 3 3 4
+--R               48860a d  - 342020a b c d  + 1026060a b c d  - 1710100a b c d
+--R             + 
+--R                       3 4 4 3           2 5 5 2            6 6          7 7
+--R               1710100a b c d  - 1026060a b c d  + 342020a b c d - 48860b c
+--R          *
+--R              2
+--R             m
+--R         + 
+--R                     7 7          6     6           5 2 2 5           4 3 3 4
+--R               69264a d  - 484848a b c d  + 1454544a b c d  - 2424240a b c d
+--R             + 
+--R                       3 4 4 3           2 5 5 2            6 6          7 7
+--R               2424240a b c d  - 1454544a b c d  + 484848a b c d - 69264b c
+--R          *
+--R             m
+--R         + 
+--R                 7 7          6     6          5 2 2 5           4 3 3 4
+--R           40320a d  - 282240a b c d  + 846720a b c d  - 1411200a b c d
+--R         + 
+--R                   3 4 4 3          2 5 5 2            6 6          7 7
+--R           1411200a b c d  - 846720a b c d  + 282240a b c d - 40320b c
+--R      *
+--R                  m + 1
+--R         (b x + a)
+--R  /
+--R        8 8      8 7       8 6        8 5         8 4         8 3          8 2
+--R       b m  + 36b m  + 546b m  + 4536b m  + 22449b m  + 67284b m  + 118124b m
+--R     + 
+--R              8          8
+--R       109584b m + 40320b
+--R                                                    Type: Expression(Integer)
+--E 594
+
+--S 595 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)
+--R            7 7 7     7   6 6      7 2 5 5      7 3 4 4      7 4 3 3
+--R           b d x  + 7b c d x  + 21b c d x  + 35b c d x  + 35b c d x
+--R         + 
+--R              7 5 2 2     7 6       7 7
+--R           21b c d x  + 7b c d x + b c
+--R      *
+--R           m log(b x + a)
+--R         %e
+--R     + 
+--R          7         m + 7        7         6          m + 6
+--R       - d (b x + a)      + (7a d  - 7b c d )(b x + a)
+--R     + 
+--R             2 7            6      2 2 5          m + 5
+--R       (- 21a d  + 42a b c d  - 21b c d )(b x + a)
+--R     + 
+--R           3 7       2     6         2 2 5      3 3 4          m + 4
+--R       (35a d  - 105a b c d  + 105a b c d  - 35b c d )(b x + a)
+--R     + 
+--R               4 7       3     6       2 2 2 5         3 3 4      4 4 3
+--R         (- 35a d  + 140a b c d  - 210a b c d  + 140a b c d  - 35b c d )
+--R      *
+--R                  m + 3
+--R         (b x + a)
+--R     + 
+--R              5 7       4     6       3 2 2 5       2 3 3 4         4 4 3
+--R           21a d  - 105a b c d  + 210a b c d  - 210a b c d  + 105a b c d
+--R         + 
+--R                5 5 2
+--R           - 21b c d
+--R      *
+--R                  m + 2
+--R         (b x + a)
+--R     + 
+--R               6 7      5     6       4 2 2 5       3 3 3 4       2 4 4 3
+--R           - 7a d  + 42a b c d  - 105a b c d  + 140a b c d  - 105a b c d
+--R         + 
+--R                5 5 2     6 6
+--R           42a b c d  - 7b c d
+--R      *
+--R                  m + 1
+--R         (b x + a)
+--R     + 
+--R            7 7     6     6      5 2 2 5      4 3 3 4      3 4 4 3      2 5 5 2
+--R           a d  - 7a b c d  + 21a b c d  - 35a b c d  + 35a b c d  - 21a b c d
+--R         + 
+--R               6 6     7 7
+--R           7a b c d - b c
+--R      *
+--R                  m
+--R         (b x + a)
+--R  /
+--R      7
+--R     b
+--R                                                    Type: Expression(Integer)
+--E 595
+
+)clear all
+
+--S 596 of 2952
+t0000:=(a+b*x)^9*(c+d*x)^7
+--R 
+--R
+--R   (1)
+--R      9 7 16        8 7     9   6  15       2 7 7        8   6      9 2 5  14
+--R     b d x   + (9a b d  + 7b c d )x   + (36a b d  + 63a b c d  + 21b c d )x
+--R   + 
+--R         3 6 7       2 7   6         8 2 5      9 3 4  13
+--R     (84a b d  + 252a b c d  + 189a b c d  + 35b c d )x
+--R   + 
+--R          4 5 7       3 6   6       2 7 2 5         8 3 4      9 4 3  12
+--R     (126a b d  + 588a b c d  + 756a b c d  + 315a b c d  + 35b c d )x
+--R   + 
+--R             5 4 7       4 5   6        3 6 2 5        2 7 3 4         8 4 3
+--R         126a b d  + 882a b c d  + 1764a b c d  + 1260a b c d  + 315a b c d
+--R       + 
+--R            9 5 2
+--R         21b c d
+--R    *
+--R        11
+--R       x
+--R   + 
+--R            6 3 7       5 4   6        4 5 2 5        3 6 3 4        2 7 4 3
+--R         84a b d  + 882a b c d  + 2646a b c d  + 2940a b c d  + 1260a b c d
+--R       + 
+--R               8 5 2     9 6
+--R         189a b c d  + 7b c d
+--R    *
+--R        10
+--R       x
+--R   + 
+--R            7 2 7       6 3   6        5 4 2 5        4 5 3 4        3 6 4 3
+--R         36a b d  + 588a b c d  + 2646a b c d  + 4410a b c d  + 2940a b c d
+--R       + 
+--R             2 7 5 2        8 6     9 7
+--R         756a b c d  + 63a b c d + b c
+--R    *
+--R        9
+--R       x
+--R   + 
+--R           8   7       7 2   6        6 3 2 5        5 4 3 4        4 5 4 3
+--R         9a b d  + 252a b c d  + 1764a b c d  + 4410a b c d  + 4410a b c d
+--R       + 
+--R              3 6 5 2       2 7 6        8 7
+--R         1764a b c d  + 252a b c d + 9a b c
+--R    *
+--R        8
+--R       x
+--R   + 
+--R          9 7      8     6       7 2 2 5        6 3 3 4        5 4 4 3
+--R         a d  + 63a b c d  + 756a b c d  + 2940a b c d  + 4410a b c d
+--R       + 
+--R              4 5 5 2       3 6 6       2 7 7
+--R         2646a b c d  + 588a b c d + 36a b c
+--R    *
+--R        7
+--R       x
+--R   + 
+--R           9   6       8   2 5        7 2 3 4        6 3 4 3        5 4 5 2
+--R         7a c d  + 189a b c d  + 1260a b c d  + 2940a b c d  + 2646a b c d
+--R       + 
+--R             4 5 6       3 6 7
+--R         882a b c d + 84a b c
+--R    *
+--R        6
+--R       x
+--R   + 
+--R            9 2 5       8   3 4        7 2 4 3        6 3 5 2       5 4 6
+--R         21a c d  + 315a b c d  + 1260a b c d  + 1764a b c d  + 882a b c d
+--R       + 
+--R             4 5 7
+--R         126a b c
+--R    *
+--R        5
+--R       x
+--R   + 
+--R         9 3 4       8   4 3       7 2 5 2       6 3 6        5 4 7  4
+--R     (35a c d  + 315a b c d  + 756a b c d  + 588a b c d + 126a b c )x
+--R   + 
+--R         9 4 3       8   5 2       7 2 6       6 3 7  3
+--R     (35a c d  + 189a b c d  + 252a b c d + 84a b c )x
+--R   + 
+--R         9 5 2      8   6       7 2 7  2      9 6      8   7      9 7
+--R     (21a c d  + 63a b c d + 36a b c )x  + (7a c d + 9a b c )x + a c
+--R                                                    Type: Polynomial(Integer)
+--E 596
+
+--S 597 of 2952
+r0000:=1/10*(b*c-a*d)^7*(a+b*x)^10/b^8+7/11*d*(b*c-a*d)^6*(a+b*x)^11/b^8+_
+     7/4*d^2*(b*c-a*d)^5*(a+b*x)^12/b^8+_
+     35/13*d^3*(b*c-a*d)^4*(a+b*x)^13/b^8+_
+     5/2*d^4*(b*c-a*d)^3*(a+b*x)^14/b^8+_
+     7/5*d^5*(b*c-a*d)^2*(a+b*x)^15/b^8+_
+     7/16*d^6*(b*c-a*d)*(a+b*x)^16/b^8+1/17*d^7*(a+b*x)^17/b^8
+--R 
+--R
+--R   (2)
+--R        1  17 7 17     9    16 7    7  17   6  16
+--R       -- b  d x   + (-- a b  d  + -- b  c d )x
+--R       17             16           16
+--R     + 
+--R        12  2 15 7   21    16   6   7  17 2 5  15
+--R       (-- a b  d  + -- a b  c d  + - b  c d )x
+--R         5            5             5
+--R     + 
+--R          3 14 7      2 15   6   27    16 2 5   5  17 3 4  14
+--R       (6a b  d  + 18a b  c d  + -- a b  c d  + - b  c d )x
+--R                                  2             2
+--R     + 
+--R           126  4 13 7   588  3 14   6   756  2 15 2 5   315    16 3 4
+--R           --- a b  d  + --- a b  c d  + --- a b  c d  + --- a b  c d
+--R            13            13              13              13
+--R         + 
+--R           35  17 4 3
+--R           -- b  c d
+--R           13
+--R      *
+--R          13
+--R         x
+--R     + 
+--R           21  5 12 7   147  4 13   6       3 14 2 5       2 15 3 4
+--R           -- a b  d  + --- a b  c d  + 147a b  c d  + 105a b  c d
+--R            2            2
+--R         + 
+--R           105    16 4 3   7  17 5 2
+--R           --- a b  c d  + - b  c d
+--R            4              4
+--R      *
+--R          12
+--R         x
+--R     + 
+--R           84  6 11 7   882  5 12   6   2646  4 13 2 5   2940  3 14 3 4
+--R           -- a b  d  + --- a b  c d  + ---- a b  c d  + ---- a b  c d
+--R           11            11              11               11
+--R         + 
+--R           1260  2 15 4 3   189    16 5 2    7  17 6
+--R           ---- a b  c d  + --- a b  c d  + -- b  c d
+--R            11               11             11
+--R      *
+--R          11
+--R         x
+--R     + 
+--R           18  7 10 7   294  6 11   6   1323  5 12 2 5       4 13 3 4
+--R           -- a b  d  + --- a b  c d  + ---- a b  c d  + 441a b  c d
+--R            5            5                5
+--R         + 
+--R               3 14 4 3   378  2 15 5 2   63    16 6     1  17 7
+--R           294a b  c d  + --- a b  c d  + -- a b  c d + -- b  c
+--R                           5              10            10
+--R      *
+--R          10
+--R         x
+--R     + 
+--R            8 9 7      7 10   6       6 11 2 5       5 12 3 4       4 13 4 3
+--R           a b d  + 28a b  c d  + 196a b  c d  + 490a b  c d  + 490a b  c d
+--R         + 
+--R               3 14 5 2      2 15 6       16 7
+--R           196a b  c d  + 28a b  c d + a b  c
+--R      *
+--R          9
+--R         x
+--R     + 
+--R           1  9 8 7   63  8 9   6   189  7 10 2 5   735  6 11 3 4
+--R           - a b d  + -- a b c d  + --- a b  c d  + --- a b  c d
+--R           8           8             2               2
+--R         + 
+--R           2205  5 12 4 3   1323  4 13 5 2   147  3 14 6    9  2 15 7
+--R           ---- a b  c d  + ---- a b  c d  + --- a b  c d + - a b  c
+--R             4                4               2             2
+--R      *
+--R          8
+--R         x
+--R     + 
+--R            9 8   6      8 9 2 5       7 10 3 4       6 11 4 3       5 12 5 2
+--R           a b c d  + 27a b c d  + 180a b  c d  + 420a b  c d  + 378a b  c d
+--R         + 
+--R               4 13 6       3 14 7
+--R           126a b  c d + 12a b  c
+--R      *
+--R          7
+--R         x
+--R     + 
+--R           7  9 8 2 5   105  8 9 3 4       7 10 4 3       6 11 5 2       5 12 6
+--R           - a b c d  + --- a b c d  + 210a b  c d  + 294a b  c d  + 147a b  c d
+--R           2             2
+--R         + 
+--R              4 13 7
+--R           21a b  c
+--R      *
+--R          6
+--R         x
+--R     + 
+--R          9 8 3 4      8 9 4 3   756  7 10 5 2   588  6 11 6    126  5 12 7  5
+--R       (7a b c d  + 63a b c d  + --- a b  c d  + --- a b  c d + --- a b  c )x
+--R                                  5               5              5
+--R     + 
+--R        35  9 8 4 3   189  8 9 5 2      7 10 6       6 11 7  4
+--R       (-- a b c d  + --- a b c d  + 63a b  c d + 21a b  c )x
+--R         4             4
+--R     + 
+--R          9 8 5 2      8 9 6       7 10 7  3    7  9 8 6    9  8 9 7  2
+--R       (7a b c d  + 21a b c d + 12a b  c )x  + (- a b c d + - a b c )x
+--R                                                2           2
+--R     + 
+--R        9 8 7       1    17 7     1    16     6     1   15 2 2 5    1   14 3 3 4
+--R       a b c x - ------ a  d  + ----- a  b c d  - ---- a  b c d  + --- a  b c d
+--R                 194480         11440             1430             286
+--R     + 
+--R          7   13 4 4 3    7   12 5 5 2    7   11 6 6     1  10 7 7
+--R       - --- a  b c d  + --- a  b c d  - --- a  b c d + -- a  b c
+--R         572             220             110            10
+--R  /
+--R      8
+--R     b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 597
+
+--S 598 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R      1  9 7 17     9    8 7    7  9   6  16
+--R     -- b d x   + (-- a b d  + -- b c d )x
+--R     17            16          16
+--R   + 
+--R      12  2 7 7   21    8   6   7  9 2 5  15
+--R     (-- a b d  + -- a b c d  + - b c d )x
+--R       5           5            5
+--R   + 
+--R        3 6 7      2 7   6   27    8 2 5   5  9 3 4  14
+--R     (6a b d  + 18a b c d  + -- a b c d  + - b c d )x
+--R                              2            2
+--R   + 
+--R      126  4 5 7   588  3 6   6   756  2 7 2 5   315    8 3 4   35  9 4 3  13
+--R     (--- a b d  + --- a b c d  + --- a b c d  + --- a b c d  + -- b c d )x
+--R       13           13             13             13            13
+--R   + 
+--R         21  5 4 7   147  4 5   6       3 6 2 5       2 7 3 4   105    8 4 3
+--R         -- a b d  + --- a b c d  + 147a b c d  + 105a b c d  + --- a b c d
+--R          2           2                                          4
+--R       + 
+--R         7  9 5 2
+--R         - b c d
+--R         4
+--R    *
+--R        12
+--R       x
+--R   + 
+--R         84  6 3 7   882  5 4   6   2646  4 5 2 5   2940  3 6 3 4
+--R         -- a b d  + --- a b c d  + ---- a b c d  + ---- a b c d
+--R         11           11             11              11
+--R       + 
+--R         1260  2 7 4 3   189    8 5 2    7  9 6
+--R         ---- a b c d  + --- a b c d  + -- b c d
+--R          11              11            11
+--R    *
+--R        11
+--R       x
+--R   + 
+--R         18  7 2 7   294  6 3   6   1323  5 4 2 5       4 5 3 4       3 6 4 3
+--R         -- a b d  + --- a b c d  + ---- a b c d  + 441a b c d  + 294a b c d
+--R          5           5               5
+--R       + 
+--R         378  2 7 5 2   63    8 6     1  9 7
+--R         --- a b c d  + -- a b c d + -- b c
+--R          5             10           10
+--R    *
+--R        10
+--R       x
+--R   + 
+--R          8   7      7 2   6       6 3 2 5       5 4 3 4       4 5 4 3
+--R         a b d  + 28a b c d  + 196a b c d  + 490a b c d  + 490a b c d
+--R       + 
+--R             3 6 5 2      2 7 6       8 7
+--R         196a b c d  + 28a b c d + a b c
+--R    *
+--R        9
+--R       x
+--R   + 
+--R         1  9 7   63  8     6   189  7 2 2 5   735  6 3 3 4   2205  5 4 4 3
+--R         - a d  + -- a b c d  + --- a b c d  + --- a b c d  + ---- a b c d
+--R         8         8             2              2               4
+--R       + 
+--R         1323  4 5 5 2   147  3 6 6    9  2 7 7
+--R         ---- a b c d  + --- a b c d + - a b c
+--R           4              2            2
+--R    *
+--R        8
+--R       x
+--R   + 
+--R          9   6      8   2 5       7 2 3 4       6 3 4 3       5 4 5 2
+--R         a c d  + 27a b c d  + 180a b c d  + 420a b c d  + 378a b c d
+--R       + 
+--R             4 5 6       3 6 7
+--R         126a b c d + 12a b c
+--R    *
+--R        7
+--R       x
+--R   + 
+--R         7  9 2 5   105  8   3 4       7 2 4 3       6 3 5 2       5 4 6
+--R         - a c d  + --- a b c d  + 210a b c d  + 294a b c d  + 147a b c d
+--R         2           2
+--R       + 
+--R            4 5 7
+--R         21a b c
+--R    *
+--R        6
+--R       x
+--R   + 
+--R        9 3 4      8   4 3   756  7 2 5 2   588  6 3 6    126  5 4 7  5
+--R     (7a c d  + 63a b c d  + --- a b c d  + --- a b c d + --- a b c )x
+--R                              5              5             5
+--R   + 
+--R      35  9 4 3   189  8   5 2      7 2 6       6 3 7  4
+--R     (-- a c d  + --- a b c d  + 63a b c d + 21a b c )x
+--R       4           4
+--R   + 
+--R        9 5 2      8   6       7 2 7  3    7  9 6    9  8   7  2    9 7
+--R     (7a c d  + 21a b c d + 12a b c )x  + (- a c d + - a b c )x  + a c x
+--R                                           2         2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 598
+
+--S 599 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R          1    17 7     1    16     6     1   15 2 2 5    1   14 3 3 4
+--R       ------ a  d  - ----- a  b c d  + ---- a  b c d  - --- a  b c d
+--R       194480         11440             1430             286
+--R     + 
+--R        7   13 4 4 3    7   12 5 5 2    7   11 6 6     1  10 7 7
+--R       --- a  b c d  - --- a  b c d  + --- a  b c d - -- a  b c
+--R       572             220             110            10
+--R  /
+--R      8
+--R     b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 599
+
+--S 600 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 600
+
+)clear all
+
+--S 601 of 2952
+t0000:=(a+b*x)^8*(c+d*x)^7
+--R 
+--R
+--R   (1)
+--R      8 7 15        7 7     8   6  14       2 6 7        7   6      8 2 5  13
+--R     b d x   + (8a b d  + 7b c d )x   + (28a b d  + 56a b c d  + 21b c d )x
+--R   + 
+--R         3 5 7       2 6   6         7 2 5      8 3 4  12
+--R     (56a b d  + 196a b c d  + 168a b c d  + 35b c d )x
+--R   + 
+--R         4 4 7       3 5   6       2 6 2 5         7 3 4      8 4 3  11
+--R     (70a b d  + 392a b c d  + 588a b c d  + 280a b c d  + 35b c d )x
+--R   + 
+--R            5 3 7       4 4   6        3 5 2 5       2 6 3 4         7 4 3
+--R         56a b d  + 490a b c d  + 1176a b c d  + 980a b c d  + 280a b c d
+--R       + 
+--R            8 5 2
+--R         21b c d
+--R    *
+--R        10
+--R       x
+--R   + 
+--R            6 2 7       5 3   6        4 4 2 5        3 5 3 4       2 6 4 3
+--R         28a b d  + 392a b c d  + 1470a b c d  + 1960a b c d  + 980a b c d
+--R       + 
+--R               7 5 2     8 6
+--R         168a b c d  + 7b c d
+--R    *
+--R        9
+--R       x
+--R   + 
+--R           7   7       6 2   6        5 3 2 5        4 4 3 4        3 5 4 3
+--R         8a b d  + 196a b c d  + 1176a b c d  + 2450a b c d  + 1960a b c d
+--R       + 
+--R             2 6 5 2        7 6     8 7
+--R         588a b c d  + 56a b c d + b c
+--R    *
+--R        8
+--R       x
+--R   + 
+--R          8 7      7     6       6 2 2 5        5 3 3 4        4 4 4 3
+--R         a d  + 56a b c d  + 588a b c d  + 1960a b c d  + 2450a b c d
+--R       + 
+--R              3 5 5 2       2 6 6        7 7
+--R         1176a b c d  + 196a b c d + 8a b c
+--R    *
+--R        7
+--R       x
+--R   + 
+--R           8   6       7   2 5       6 2 3 4        5 3 4 3        4 4 5 2
+--R         7a c d  + 168a b c d  + 980a b c d  + 1960a b c d  + 1470a b c d
+--R       + 
+--R             3 5 6       2 6 7
+--R         392a b c d + 28a b c
+--R    *
+--R        6
+--R       x
+--R   + 
+--R            8 2 5       7   3 4       6 2 4 3        5 3 5 2       4 4 6
+--R         21a c d  + 280a b c d  + 980a b c d  + 1176a b c d  + 490a b c d
+--R       + 
+--R            3 5 7
+--R         56a b c
+--R    *
+--R        5
+--R       x
+--R   + 
+--R         8 3 4       7   4 3       6 2 5 2       5 3 6       4 4 7  4
+--R     (35a c d  + 280a b c d  + 588a b c d  + 392a b c d + 70a b c )x
+--R   + 
+--R         8 4 3       7   5 2       6 2 6       5 3 7  3
+--R     (35a c d  + 168a b c d  + 196a b c d + 56a b c )x
+--R   + 
+--R         8 5 2      7   6       6 2 7  2      8 6      7   7      8 7
+--R     (21a c d  + 56a b c d + 28a b c )x  + (7a c d + 8a b c )x + a c
+--R                                                    Type: Polynomial(Integer)
+--E 601
+
+--S 602 of 2952
+r0000:=1/9*(b*c-a*d)^7*(a+b*x)^9/b^8+7/10*d*(b*c-a*d)^6*(a+b*x)^10/b^8+_
+     21/11*d^2*(b*c-a*d)^5*(a+b*x)^11/b^8+_
+     35/12*d^3*(b*c-a*d)^4*(a+b*x)^12/b^8+_
+     35/13*d^4*(b*c-a*d)^3*(a+b*x)^13/b^8+_
+     3/2*d^5*(b*c-a*d)^2*(a+b*x)^14/b^8+_
+     7/15*d^6*(b*c-a*d)*(a+b*x)^15/b^8+1/16*d^7*(a+b*x)^16/b^8
+--R 
+--R
+--R   (2)
+--R        1  16 7 16     8    15 7    7  16   6  15
+--R       -- b  d x   + (-- a b  d  + -- b  c d )x
+--R       16             15           15
+--R     + 
+--R          2 14 7       15   6   3  16 2 5  14
+--R       (2a b  d  + 4a b  c d  + - b  c d )x
+--R                                2
+--R     + 
+--R        56  3 13 7   196  2 14   6   168    15 2 5   35  16 3 4  13
+--R       (-- a b  d  + --- a b  c d  + --- a b  c d  + -- b  c d )x
+--R        13            13              13             13
+--R     + 
+--R        35  4 12 7   98  3 13   6      2 14 2 5   70    15 3 4   35  16 4 3  12
+--R       (-- a b  d  + -- a b  c d  + 49a b  c d  + -- a b  c d  + -- b  c d )x
+--R         6            3                            3             12
+--R     + 
+--R           56  5 11 7   490  4 12   6   1176  3 13 2 5   980  2 14 3 4
+--R           -- a b  d  + --- a b  c d  + ---- a b  c d  + --- a b  c d
+--R           11            11              11               11
+--R         + 
+--R           280    15 4 3   21  16 5 2
+--R           --- a b  c d  + -- b  c d
+--R            11             11
+--R      *
+--R          11
+--R         x
+--R     + 
+--R           14  6 10 7   196  5 11   6       4 12 2 5       3 13 3 4
+--R           -- a b  d  + --- a b  c d  + 147a b  c d  + 196a b  c d
+--R            5            5
+--R         + 
+--R              2 14 4 3   84    15 5 2    7  16 6
+--R           98a b  c d  + -- a b  c d  + -- b  c d
+--R                          5             10
+--R      *
+--R          10
+--R         x
+--R     + 
+--R           8  7 9 7   196  6 10   6   392  5 11 2 5   2450  4 12 3 4
+--R           - a b d  + --- a b  c d  + --- a b  c d  + ---- a b  c d
+--R           9           9               3                9
+--R         + 
+--R           1960  3 13 4 3   196  2 14 5 2   56    15 6    1  16 7
+--R           ---- a b  c d  + --- a b  c d  + -- a b  c d + - b  c
+--R             9               3               9            9
+--R      *
+--R          9
+--R         x
+--R     + 
+--R           1  8 8 7     7 9   6   147  6 10 2 5       5 11 3 4   1225  4 12 4 3
+--R           - a b d  + 7a b c d  + --- a b  c d  + 245a b  c d  + ---- a b  c d
+--R           8                       2                               4
+--R         + 
+--R               3 13 5 2   49  2 14 6       15 7
+--R           147a b  c d  + -- a b  c d + a b  c
+--R                           2
+--R      *
+--R          8
+--R         x
+--R     + 
+--R            8 8   6      7 9 2 5       6 10 3 4       5 11 4 3       4 12 5 2
+--R           a b c d  + 24a b c d  + 140a b  c d  + 280a b  c d  + 210a b  c d
+--R         + 
+--R              3 13 6      2 14 7
+--R           56a b  c d + 4a b  c
+--R      *
+--R          7
+--R         x
+--R     + 
+--R           7  8 8 2 5   140  7 9 3 4   490  6 10 4 3       5 11 5 2
+--R           - a b c d  + --- a b c d  + --- a b  c d  + 196a b  c d
+--R           2             3              3
+--R         + 
+--R           245  4 12 6    28  3 13 7
+--R           --- a b  c d + -- a b  c
+--R            3              3
+--R      *
+--R          6
+--R         x
+--R     + 
+--R          8 8 3 4      7 9 4 3   588  6 10 5 2   392  5 11 6       4 12 7  5
+--R       (7a b c d  + 56a b c d  + --- a b  c d  + --- a b  c d + 14a b  c )x
+--R                                  5               5
+--R     + 
+--R        35  8 8 4 3      7 9 5 2      6 10 6       5 11 7  4
+--R       (-- a b c d  + 42a b c d  + 49a b  c d + 14a b  c )x
+--R         4
+--R     + 
+--R          8 8 5 2   56  7 9 6    28  6 10 7  3    7  8 8 6      7 9 7  2
+--R       (7a b c d  + -- a b c d + -- a b  c )x  + (- a b c d + 4a b c )x
+--R                     3            3               2
+--R     + 
+--R        8 8 7       1    16 7     1   15     6    1   14 2 2 5     7   13 3 3 4
+--R       a b c x - ------ a  d  + ---- a  b c d  - --- a  b c d  + ---- a  b c d
+--R                 102960         6435             858             1287
+--R     + 
+--R          7   12 4 4 3    7   11 5 5 2    7  10 6 6    1  9 7 7
+--R       - --- a  b c d  + --- a  b c d  - -- a  b c d + - a b c
+--R         396             165             90            9
+--R  /
+--R      8
+--R     b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 602
+
+--S 603 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R      1  8 7 16     8    7 7    7  8   6  15
+--R     -- b d x   + (-- a b d  + -- b c d )x
+--R     16            15          15
+--R   + 
+--R        2 6 7       7   6   3  8 2 5  14
+--R     (2a b d  + 4a b c d  + - b c d )x
+--R                            2
+--R   + 
+--R      56  3 5 7   196  2 6   6   168    7 2 5   35  8 3 4  13
+--R     (-- a b d  + --- a b c d  + --- a b c d  + -- b c d )x
+--R      13           13             13            13
+--R   + 
+--R      35  4 4 7   98  3 5   6      2 6 2 5   70    7 3 4   35  8 4 3  12
+--R     (-- a b d  + -- a b c d  + 49a b c d  + -- a b c d  + -- b c d )x
+--R       6           3                          3            12
+--R   + 
+--R         56  5 3 7   490  4 4   6   1176  3 5 2 5   980  2 6 3 4   280    7 4 3
+--R         -- a b d  + --- a b c d  + ---- a b c d  + --- a b c d  + --- a b c d
+--R         11           11             11              11             11
+--R       + 
+--R         21  8 5 2
+--R         -- b c d
+--R         11
+--R    *
+--R        11
+--R       x
+--R   + 
+--R         14  6 2 7   196  5 3   6       4 4 2 5       3 5 3 4      2 6 4 3
+--R         -- a b d  + --- a b c d  + 147a b c d  + 196a b c d  + 98a b c d
+--R          5           5
+--R       + 
+--R         84    7 5 2    7  8 6
+--R         -- a b c d  + -- b c d
+--R          5            10
+--R    *
+--R        10
+--R       x
+--R   + 
+--R         8  7   7   196  6 2   6   392  5 3 2 5   2450  4 4 3 4   1960  3 5 4 3
+--R         - a b d  + --- a b c d  + --- a b c d  + ---- a b c d  + ---- a b c d
+--R         9           9              3               9               9
+--R       + 
+--R         196  2 6 5 2   56    7 6    1  8 7
+--R         --- a b c d  + -- a b c d + - b c
+--R          3              9           9
+--R    *
+--R        9
+--R       x
+--R   + 
+--R         1  8 7     7     6   147  6 2 2 5       5 3 3 4   1225  4 4 4 3
+--R         - a d  + 7a b c d  + --- a b c d  + 245a b c d  + ---- a b c d
+--R         8                     2                             4
+--R       + 
+--R             3 5 5 2   49  2 6 6       7 7
+--R         147a b c d  + -- a b c d + a b c
+--R                        2
+--R    *
+--R        8
+--R       x
+--R   + 
+--R          8   6      7   2 5       6 2 3 4       5 3 4 3       4 4 5 2
+--R         a c d  + 24a b c d  + 140a b c d  + 280a b c d  + 210a b c d
+--R       + 
+--R            3 5 6      2 6 7
+--R         56a b c d + 4a b c
+--R    *
+--R        7
+--R       x
+--R   + 
+--R         7  8 2 5   140  7   3 4   490  6 2 4 3       5 3 5 2   245  4 4 6
+--R         - a c d  + --- a b c d  + --- a b c d  + 196a b c d  + --- a b c d
+--R         2           3              3                            3
+--R       + 
+--R         28  3 5 7
+--R         -- a b c
+--R          3
+--R    *
+--R        6
+--R       x
+--R   + 
+--R        8 3 4      7   4 3   588  6 2 5 2   392  5 3 6       4 4 7  5
+--R     (7a c d  + 56a b c d  + --- a b c d  + --- a b c d + 14a b c )x
+--R                              5              5
+--R   + 
+--R      35  8 4 3      7   5 2      6 2 6       5 3 7  4
+--R     (-- a c d  + 42a b c d  + 49a b c d + 14a b c )x
+--R       4
+--R   + 
+--R        8 5 2   56  7   6    28  6 2 7  3    7  8 6      7   7  2    8 7
+--R     (7a c d  + -- a b c d + -- a b c )x  + (- a c d + 4a b c )x  + a c x
+--R                 3            3              2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 603
+
+--S 604 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R          1    16 7     1   15     6    1   14 2 2 5     7   13 3 3 4
+--R       ------ a  d  - ---- a  b c d  + --- a  b c d  - ---- a  b c d
+--R       102960         6435             858             1287
+--R     + 
+--R        7   12 4 4 3    7   11 5 5 2    7  10 6 6    1  9 7 7
+--R       --- a  b c d  - --- a  b c d  + -- a  b c d - - a b c
+--R       396             165             90            9
+--R  /
+--R      8
+--R     b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 604
+
+--S 605 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 605
+
+)clear all
+
+--S 606 of 2952
+t0000:=(a+b*x)^7*(c+d*x)^7
+--R 
+--R
+--R   (1)
+--R      7 7 14        6 7     7   6  13       2 5 7        6   6      7 2 5  12
+--R     b d x   + (7a b d  + 7b c d )x   + (21a b d  + 49a b c d  + 21b c d )x
+--R   + 
+--R         3 4 7       2 5   6         6 2 5      7 3 4  11
+--R     (35a b d  + 147a b c d  + 147a b c d  + 35b c d )x
+--R   + 
+--R         4 3 7       3 4   6       2 5 2 5         6 3 4      7 4 3  10
+--R     (35a b d  + 245a b c d  + 441a b c d  + 245a b c d  + 35b c d )x
+--R   + 
+--R            5 2 7       4 3   6       3 4 2 5       2 5 3 4         6 4 3
+--R         21a b d  + 245a b c d  + 735a b c d  + 735a b c d  + 245a b c d
+--R       + 
+--R            7 5 2
+--R         21b c d
+--R    *
+--R        9
+--R       x
+--R   + 
+--R           6   7       5 2   6       4 3 2 5        3 4 3 4       2 5 4 3
+--R         7a b d  + 147a b c d  + 735a b c d  + 1225a b c d  + 735a b c d
+--R       + 
+--R               6 5 2     7 6
+--R         147a b c d  + 7b c d
+--R    *
+--R        8
+--R       x
+--R   + 
+--R          7 7      6     6       5 2 2 5        4 3 3 4        3 4 4 3
+--R         a d  + 49a b c d  + 441a b c d  + 1225a b c d  + 1225a b c d
+--R       + 
+--R             2 5 5 2        6 6     7 7
+--R         441a b c d  + 49a b c d + b c
+--R    *
+--R        7
+--R       x
+--R   + 
+--R           7   6       6   2 5       5 2 3 4        4 3 4 3       3 4 5 2
+--R         7a c d  + 147a b c d  + 735a b c d  + 1225a b c d  + 735a b c d
+--R       + 
+--R             2 5 6        6 7
+--R         147a b c d + 7a b c
+--R    *
+--R        6
+--R       x
+--R   + 
+--R            7 2 5       6   3 4       5 2 4 3       4 3 5 2       3 4 6
+--R         21a c d  + 245a b c d  + 735a b c d  + 735a b c d  + 245a b c d
+--R       + 
+--R            2 5 7
+--R         21a b c
+--R    *
+--R        5
+--R       x
+--R   + 
+--R         7 3 4       6   4 3       5 2 5 2       4 3 6       3 4 7  4
+--R     (35a c d  + 245a b c d  + 441a b c d  + 245a b c d + 35a b c )x
+--R   + 
+--R         7 4 3       6   5 2       5 2 6       4 3 7  3
+--R     (35a c d  + 147a b c d  + 147a b c d + 35a b c )x
+--R   + 
+--R         7 5 2      6   6       5 2 7  2      7 6      6   7      7 7
+--R     (21a c d  + 49a b c d + 21a b c )x  + (7a c d + 7a b c )x + a c
+--R                                                    Type: Polynomial(Integer)
+--E 606
+
+--S 607 of 2952
+r0000:=1/8*(b*c-a*d)^7*(a+b*x)^8/b^8+7/9*d*(b*c-a*d)^6*(a+b*x)^9/b^8+_
+     21/10*d^2*(b*c-a*d)^5*(a+b*x)^10/b^8+_
+     35/11*d^3*(b*c-a*d)^4*(a+b*x)^11/b^8+_
+     35/12*d^4*(b*c-a*d)^3*(a+b*x)^12/b^8+_
+     21/13*d^5*(b*c-a*d)^2*(a+b*x)^13/b^8+_
+     1/2*d^6*(b*c-a*d)*(a+b*x)^14/b^8+1/15*d^7*(a+b*x)^15/b^8
+--R 
+--R
+--R   (2)
+--R        1  15 7 15    1    14 7   1  15   6  14
+--R       -- b  d x   + (- a b  d  + - b  c d )x
+--R       15             2           2
+--R     + 
+--R        21  2 13 7   49    14   6   21  15 2 5  13
+--R       (-- a b  d  + -- a b  c d  + -- b  c d )x
+--R        13           13             13
+--R     + 
+--R        35  3 12 7   49  2 13   6   49    14 2 5   35  15 3 4  12
+--R       (-- a b  d  + -- a b  c d  + -- a b  c d  + -- b  c d )x
+--R        12            4              4             12
+--R     + 
+--R             35  4 11 7   245  3 12   6   441  2 13 2 5   245    14 3 4
+--R             -- a b  d  + --- a b  c d  + --- a b  c d  + --- a b  c d
+--R             11            11              11              11
+--R           + 
+--R             35  15 4 3
+--R             -- b  c d
+--R             11
+--R      *
+--R          11
+--R         x
+--R     + 
+--R           21  5 10 7   49  4 11   6   147  3 12 2 5   147  2 13 3 4
+--R           -- a b  d  + -- a b  c d  + --- a b  c d  + --- a b  c d
+--R           10            2              2               2
+--R         + 
+--R           49    14 4 3   21  15 5 2
+--R           -- a b  c d  + -- b  c d
+--R            2             10
+--R      *
+--R          10
+--R         x
+--R     + 
+--R           7  6 9 7   49  5 10   6   245  4 11 2 5   1225  3 12 3 4
+--R           - a b d  + -- a b  c d  + --- a b  c d  + ---- a b  c d
+--R           9           3              3                9
+--R         + 
+--R           245  2 13 4 3   49    14 5 2   7  15 6
+--R           --- a b  c d  + -- a b  c d  + - b  c d
+--R            3               3             9
+--R      *
+--R          9
+--R         x
+--R     + 
+--R           1  7 8 7   49  6 9   6   441  5 10 2 5   1225  4 11 3 4
+--R           - a b d  + -- a b c d  + --- a b  c d  + ---- a b  c d
+--R           8           8             8                8
+--R         + 
+--R           1225  3 12 4 3   441  2 13 5 2   49    14 6    1  15 7
+--R           ---- a b  c d  + --- a b  c d  + -- a b  c d + - b  c
+--R             8               8               8            8
+--R      *
+--R          8
+--R         x
+--R     + 
+--R            7 8   6      6 9 2 5       5 10 3 4       4 11 4 3       3 12 5 2
+--R           a b c d  + 21a b c d  + 105a b  c d  + 175a b  c d  + 105a b  c d
+--R         + 
+--R              2 13 6       14 7
+--R           21a b  c d + a b  c
+--R      *
+--R          7
+--R         x
+--R     + 
+--R           7  7 8 2 5   245  6 9 3 4   245  5 10 4 3   245  4 11 5 2
+--R           - a b c d  + --- a b c d  + --- a b  c d  + --- a b  c d
+--R           2             6              2               2
+--R         + 
+--R           245  3 12 6    7  2 13 7
+--R           --- a b  c d + - a b  c
+--R            6             2
+--R      *
+--R          6
+--R         x
+--R     + 
+--R          7 8 3 4      6 9 4 3   441  5 10 5 2      4 11 6      3 12 7  5
+--R       (7a b c d  + 49a b c d  + --- a b  c d  + 49a b  c d + 7a b  c )x
+--R                                  5
+--R     + 
+--R        35  7 8 4 3   147  6 9 5 2   147  5 10 6    35  4 11 7  4
+--R       (-- a b c d  + --- a b c d  + --- a b  c d + -- a b  c )x
+--R         4             4              4              4
+--R     + 
+--R          7 8 5 2   49  6 9 6      5 10 7  3    7  7 8 6    7  6 9 7  2
+--R       (7a b c d  + -- a b c d + 7a b  c )x  + (- a b c d + - a b c )x
+--R                     3                          2           2
+--R     + 
+--R        7 8 7      1    15 7     1   14     6     7   13 2 2 5    7   12 3 3 4
+--R       a b c x - ----- a  d  + ---- a  b c d  - ---- a  b c d  + --- a  b c d
+--R                 51480         3432             3432             792
+--R     + 
+--R          7   11 4 4 3    7   10 5 5 2    7  9 6 6    1  8 7 7
+--R       - --- a  b c d  + --- a  b c d  - -- a b c d + - a b c
+--R         264             120             72           8
+--R  /
+--R      8
+--R     b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 607
+
+--S 608 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R      1  7 7 15    1    6 7   1  7   6  14
+--R     -- b d x   + (- a b d  + - b c d )x
+--R     15            2          2
+--R   + 
+--R      21  2 5 7   49    6   6   21  7 2 5  13
+--R     (-- a b d  + -- a b c d  + -- b c d )x
+--R      13          13            13
+--R   + 
+--R      35  3 4 7   49  2 5   6   49    6 2 5   35  7 3 4  12
+--R     (-- a b d  + -- a b c d  + -- a b c d  + -- b c d )x
+--R      12           4             4            12
+--R   + 
+--R      35  4 3 7   245  3 4   6   441  2 5 2 5   245    6 3 4   35  7 4 3  11
+--R     (-- a b d  + --- a b c d  + --- a b c d  + --- a b c d  + -- b c d )x
+--R      11           11             11             11            11
+--R   + 
+--R         21  5 2 7   49  4 3   6   147  3 4 2 5   147  2 5 3 4   49    6 4 3
+--R         -- a b d  + -- a b c d  + --- a b c d  + --- a b c d  + -- a b c d
+--R         10           2             2              2              2
+--R       + 
+--R         21  7 5 2
+--R         -- b c d
+--R         10
+--R    *
+--R        10
+--R       x
+--R   + 
+--R         7  6   7   49  5 2   6   245  4 3 2 5   1225  3 4 3 4   245  2 5 4 3
+--R         - a b d  + -- a b c d  + --- a b c d  + ---- a b c d  + --- a b c d
+--R         9           3             3               9              3
+--R       + 
+--R         49    6 5 2   7  7 6
+--R         -- a b c d  + - b c d
+--R          3            9
+--R    *
+--R        9
+--R       x
+--R   + 
+--R         1  7 7   49  6     6   441  5 2 2 5   1225  4 3 3 4   1225  3 4 4 3
+--R         - a d  + -- a b c d  + --- a b c d  + ---- a b c d  + ---- a b c d
+--R         8         8             8               8               8
+--R       + 
+--R         441  2 5 5 2   49    6 6    1  7 7
+--R         --- a b c d  + -- a b c d + - b c
+--R          8              8           8
+--R    *
+--R        8
+--R       x
+--R   + 
+--R          7   6      6   2 5       5 2 3 4       4 3 4 3       3 4 5 2
+--R         a c d  + 21a b c d  + 105a b c d  + 175a b c d  + 105a b c d
+--R       + 
+--R            2 5 6       6 7
+--R         21a b c d + a b c
+--R    *
+--R        7
+--R       x
+--R   + 
+--R         7  7 2 5   245  6   3 4   245  5 2 4 3   245  4 3 5 2   245  3 4 6
+--R         - a c d  + --- a b c d  + --- a b c d  + --- a b c d  + --- a b c d
+--R         2           6              2              2              6
+--R       + 
+--R         7  2 5 7
+--R         - a b c
+--R         2
+--R    *
+--R        6
+--R       x
+--R   + 
+--R        7 3 4      6   4 3   441  5 2 5 2      4 3 6      3 4 7  5
+--R     (7a c d  + 49a b c d  + --- a b c d  + 49a b c d + 7a b c )x
+--R                              5
+--R   + 
+--R      35  7 4 3   147  6   5 2   147  5 2 6    35  4 3 7  4
+--R     (-- a c d  + --- a b c d  + --- a b c d + -- a b c )x
+--R       4           4              4             4
+--R   + 
+--R        7 5 2   49  6   6      5 2 7  3    7  7 6    7  6   7  2    7 7
+--R     (7a c d  + -- a b c d + 7a b c )x  + (- a c d + - a b c )x  + a c x
+--R                 3                         2         2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 608
+
+--S 609 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R         1    15 7     1   14     6     7   13 2 2 5    7   12 3 3 4
+--R       ----- a  d  - ---- a  b c d  + ---- a  b c d  - --- a  b c d
+--R       51480         3432             3432             792
+--R     + 
+--R        7   11 4 4 3    7   10 5 5 2    7  9 6 6    1  8 7 7
+--R       --- a  b c d  - --- a  b c d  + -- a b c d - - a b c
+--R       264             120             72           8
+--R  /
+--R      8
+--R     b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 609
+
+--S 610 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 610
+
+)clear all
+
+--S 611 of 2952
+t0000:=(a+b*x)^6*(c+d*x)^7
+--R 
+--R
+--R   (1)
+--R      6 7 13        5 7     6   6  12       2 4 7        5   6      6 2 5  11
+--R     b d x   + (6a b d  + 7b c d )x   + (15a b d  + 42a b c d  + 21b c d )x
+--R   + 
+--R         3 3 7       2 4   6         5 2 5      6 3 4  10
+--R     (20a b d  + 105a b c d  + 126a b c d  + 35b c d )x
+--R   + 
+--R         4 2 7       3 3   6       2 4 2 5         5 3 4      6 4 3  9
+--R     (15a b d  + 140a b c d  + 315a b c d  + 210a b c d  + 35b c d )x
+--R   + 
+--R           5   7       4 2   6       3 3 2 5       2 4 3 4         5 4 3
+--R         6a b d  + 105a b c d  + 420a b c d  + 525a b c d  + 210a b c d
+--R       + 
+--R            6 5 2
+--R         21b c d
+--R    *
+--R        8
+--R       x
+--R   + 
+--R          6 7      5     6       4 2 2 5       3 3 3 4       2 4 4 3
+--R         a d  + 42a b c d  + 315a b c d  + 700a b c d  + 525a b c d
+--R       + 
+--R               5 5 2     6 6
+--R         126a b c d  + 7b c d
+--R    *
+--R        7
+--R       x
+--R   + 
+--R           6   6       5   2 5       4 2 3 4       3 3 4 3       2 4 5 2
+--R         7a c d  + 126a b c d  + 525a b c d  + 700a b c d  + 315a b c d
+--R       + 
+--R              5 6     6 7
+--R         42a b c d + b c
+--R    *
+--R        6
+--R       x
+--R   + 
+--R              6 2 5       5   3 4       4 2 4 3       3 3 5 2       2 4 6
+--R           21a c d  + 210a b c d  + 525a b c d  + 420a b c d  + 105a b c d
+--R         + 
+--R               5 7
+--R           6a b c
+--R    *
+--R        5
+--R       x
+--R   + 
+--R         6 3 4       5   4 3       4 2 5 2       3 3 6       2 4 7  4
+--R     (35a c d  + 210a b c d  + 315a b c d  + 140a b c d + 15a b c )x
+--R   + 
+--R         6 4 3       5   5 2       4 2 6       3 3 7  3
+--R     (35a c d  + 126a b c d  + 105a b c d + 20a b c )x
+--R   + 
+--R         6 5 2      5   6       4 2 7  2      6 6      5   7      6 7
+--R     (21a c d  + 42a b c d + 15a b c )x  + (7a c d + 6a b c )x + a c
+--R                                                    Type: Polynomial(Integer)
+--E 611
+
+--S 612 of 2952
+r0000:=1/8*(b*c-a*d)^6*(c+d*x)^8/d^7-2/3*b*(b*c-a*d)^5*(c+d*x)^9/d^7+_
+     3/2*b^2*(b*c-a*d)^4*(c+d*x)^10/d^7-_
+     20/11*b^3*(b*c-a*d)^3*(c+d*x)^11/d^7+_
+     5/4*b^4*(b*c-a*d)^2*(c+d*x)^12/d^7-_
+     6/13*b^5*(b*c-a*d)*(c+d*x)^13/d^7+1/14*b^6*(c+d*x)^14/d^7
+--R 
+--R
+--R   (2)
+--R        1  6 14 14     6    5 14    7  6   13  13
+--R       -- b d  x   + (-- a b d   + -- b c d  )x
+--R       14             13           13
+--R     + 
+--R        5  2 4 14   7    5   13   7  6 2 12  12
+--R       (- a b d   + - a b c d   + - b c d  )x
+--R        4           2             4
+--R     + 
+--R        20  3 3 14   105  2 4   13   126    5 2 12   35  6 3 11  11
+--R       (-- a b d   + --- a b c d   + --- a b c d   + -- b c d  )x
+--R        11            11              11             11
+--R     + 
+--R        3  4 2 14      3 3   13   63  2 4 2 12        5 3 11   7  6 4 10  10
+--R       (- a b d   + 14a b c d   + -- a b c d   + 21a b c d   + - b c d  )x
+--R        2                          2                           2
+--R     + 
+--R           2  5   14   35  4 2   13   140  3 3 2 12   175  2 4 3 11
+--R           - a b d   + -- a b c d   + --- a b c d   + --- a b c d
+--R           3            3              3               3
+--R         + 
+--R           70    5 4 10   7  6 5 9
+--R           -- a b c d   + - b c d
+--R            3             3
+--R      *
+--R          9
+--R         x
+--R     + 
+--R           1  6 14   21  5     13   315  4 2 2 12   175  3 3 3 11
+--R           - a d   + -- a b c d   + --- a b c d   + --- a b c d
+--R           8          4              8               2
+--R         + 
+--R           525  2 4 4 10   63    5 5 9   7  6 6 8
+--R           --- a b c d   + -- a b c d  + - b c d
+--R            8               4            8
+--R      *
+--R          8
+--R         x
+--R     + 
+--R            6   13      5   2 12      4 2 3 11       3 3 4 10      2 4 5 9
+--R           a c d   + 18a b c d   + 75a b c d   + 100a b c d   + 45a b c d
+--R         + 
+--R               5 6 8   1  6 7 7
+--R           6a b c d  + - b c d
+--R                       7
+--R      *
+--R          7
+--R         x
+--R     + 
+--R           7  6 2 12      5   3 11   175  4 2 4 10      3 3 5 9   35  2 4 6 8
+--R           - a c d   + 35a b c d   + --- a b c d   + 70a b c d  + -- a b c d
+--R           2                          2                            2
+--R         + 
+--R              5 7 7
+--R           a b c d
+--R      *
+--R          6
+--R         x
+--R     + 
+--R          6 3 11      5   4 10      4 2 5 9      3 3 6 8     2 4 7 7  5
+--R       (7a c d   + 42a b c d   + 63a b c d  + 28a b c d  + 3a b c d )x
+--R     + 
+--R        35  6 4 10   63  5   5 9   105  4 2 6 8     3 3 7 7  4
+--R       (-- a c d   + -- a b c d  + --- a b c d  + 5a b c d )x
+--R         4            2             4
+--R     + 
+--R          6 5 9      5   6 8     4 2 7 7  3    7  6 6 8     5   7 7  2    6 7 7
+--R       (7a c d  + 14a b c d  + 5a b c d )x  + (- a c d  + 3a b c d )x  + a c d x
+--R                                               2
+--R     + 
+--R       1  6 8 6    1  5   9 5    1  4 2 10 4    1  3 3 11 3    1   2 4 12 2
+--R       - a c d  - -- a b c d  + -- a b c  d  - -- a b c  d  + --- a b c  d
+--R       8          12            24             66             264
+--R     + 
+--R           1     5 13      1    6 14
+--R       - ---- a b c  d + ----- b c
+--R         1716            24024
+--R  /
+--R      7
+--R     d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 612
+
+--S 613 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R      1  6 7 14     6    5 7    7  6   6  13
+--R     -- b d x   + (-- a b d  + -- b c d )x
+--R     14            13          13
+--R   + 
+--R      5  2 4 7   7    5   6   7  6 2 5  12
+--R     (- a b d  + - a b c d  + - b c d )x
+--R      4          2            4
+--R   + 
+--R      20  3 3 7   105  2 4   6   126    5 2 5   35  6 3 4  11
+--R     (-- a b d  + --- a b c d  + --- a b c d  + -- b c d )x
+--R      11           11             11            11
+--R   + 
+--R      3  4 2 7      3 3   6   63  2 4 2 5        5 3 4   7  6 4 3  10
+--R     (- a b d  + 14a b c d  + -- a b c d  + 21a b c d  + - b c d )x
+--R      2                        2                         2
+--R   + 
+--R         2  5   7   35  4 2   6   140  3 3 2 5   175  2 4 3 4   70    5 4 3
+--R         - a b d  + -- a b c d  + --- a b c d  + --- a b c d  + -- a b c d
+--R         3           3             3              3              3
+--R       + 
+--R         7  6 5 2
+--R         - b c d
+--R         3
+--R    *
+--R        9
+--R       x
+--R   + 
+--R         1  6 7   21  5     6   315  4 2 2 5   175  3 3 3 4   525  2 4 4 3
+--R         - a d  + -- a b c d  + --- a b c d  + --- a b c d  + --- a b c d
+--R         8         4             8              2              8
+--R       + 
+--R         63    5 5 2   7  6 6
+--R         -- a b c d  + - b c d
+--R          4            8
+--R    *
+--R        8
+--R       x
+--R   + 
+--R          6   6      5   2 5      4 2 3 4       3 3 4 3      2 4 5 2       5 6
+--R         a c d  + 18a b c d  + 75a b c d  + 100a b c d  + 45a b c d  + 6a b c d
+--R       + 
+--R         1  6 7
+--R         - b c
+--R         7
+--R    *
+--R        7
+--R       x
+--R   + 
+--R      7  6 2 5      5   3 4   175  4 2 4 3      3 3 5 2   35  2 4 6       5 7  6
+--R     (- a c d  + 35a b c d  + --- a b c d  + 70a b c d  + -- a b c d + a b c )x
+--R      2                        2                           2
+--R   + 
+--R        6 3 4      5   4 3      4 2 5 2      3 3 6      2 4 7  5
+--R     (7a c d  + 42a b c d  + 63a b c d  + 28a b c d + 3a b c )x
+--R   + 
+--R      35  6 4 3   63  5   5 2   105  4 2 6      3 3 7  4
+--R     (-- a c d  + -- a b c d  + --- a b c d + 5a b c )x
+--R       4           2             4
+--R   + 
+--R        6 5 2      5   6      4 2 7  3    7  6 6      5   7  2    6 7
+--R     (7a c d  + 14a b c d + 5a b c )x  + (- a c d + 3a b c )x  + a c x
+--R                                          2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 613
+
+--S 614 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R         1  6 8 6    1  5   9 5    1  4 2 10 4    1  3 3 11 3    1   2 4 12 2
+--R       - - a c d  + -- a b c d  - -- a b c  d  + -- a b c  d  - --- a b c  d
+--R         8          12            24             66             264
+--R     + 
+--R         1     5 13      1    6 14
+--R       ---- a b c  d - ----- b c
+--R       1716            24024
+--R  /
+--R      7
+--R     d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 614
+
+--S 615 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 615
+
+)clear all
+
+--S 616 of 2952
+t0000:=(a+b*x)^5*(c+d*x)^7
+--R 
+--R
+--R   (1)
+--R      5 7 12        4 7     5   6  11       2 3 7        4   6      5 2 5  10
+--R     b d x   + (5a b d  + 7b c d )x   + (10a b d  + 35a b c d  + 21b c d )x
+--R   + 
+--R         3 2 7      2 3   6         4 2 5      5 3 4  9
+--R     (10a b d  + 70a b c d  + 105a b c d  + 35b c d )x
+--R   + 
+--R        4   7      3 2   6       2 3 2 5         4 3 4      5 4 3  8
+--R     (5a b d  + 70a b c d  + 210a b c d  + 175a b c d  + 35b c d )x
+--R   + 
+--R       5 7      4     6       3 2 2 5       2 3 3 4         4 4 3      5 5 2  7
+--R     (a d  + 35a b c d  + 210a b c d  + 350a b c d  + 175a b c d  + 21b c d )x
+--R   + 
+--R             5   6       4   2 5       3 2 3 4       2 3 4 3         4 5 2
+--R           7a c d  + 105a b c d  + 350a b c d  + 350a b c d  + 105a b c d
+--R         + 
+--R             5 6
+--R           7b c d
+--R    *
+--R        6
+--R       x
+--R   + 
+--R         5 2 5       4   3 4       3 2 4 3       2 3 5 2        4 6     5 7  5
+--R     (21a c d  + 175a b c d  + 350a b c d  + 210a b c d  + 35a b c d + b c )x
+--R   + 
+--R         5 3 4       4   4 3       3 2 5 2      2 3 6        4 7  4
+--R     (35a c d  + 175a b c d  + 210a b c d  + 70a b c d + 5a b c )x
+--R   + 
+--R         5 4 3       4   5 2      3 2 6       2 3 7  3
+--R     (35a c d  + 105a b c d  + 70a b c d + 10a b c )x
+--R   + 
+--R         5 5 2      4   6       3 2 7  2      5 6      4   7      5 7
+--R     (21a c d  + 35a b c d + 10a b c )x  + (7a c d + 5a b c )x + a c
+--R                                                    Type: Polynomial(Integer)
+--E 616
+
+--S 617 of 2952
+r0000:=-1/8*(b*c-a*d)^5*(c+d*x)^8/d^6+5/9*b*(b*c-a*d)^4*(c+d*x)^9/d^6-_
+     b^2*(b*c-a*d)^3*(c+d*x)^10/d^6+10/11*b^3*(b*c-a*d)^2*(c+d*x)^11/d^6-_
+     5/12*b^4*(b*c-a*d)*(c+d*x)^12/d^6+1/13*b^5*(c+d*x)^13/d^6
+--R 
+--R
+--R   (2)
+--R        1  5 13 13     5    4 13    7  5   12  12
+--R       -- b d  x   + (-- a b d   + -- b c d  )x
+--R       13             12           12
+--R     + 
+--R        10  2 3 13   35    4   12   21  5 2 11  11
+--R       (-- a b d   + -- a b c d   + -- b c d  )x
+--R        11           11             11
+--R     + 
+--R         3 2 13     2 3   12   21    4 2 11   7  5 3 10  10
+--R       (a b d   + 7a b c d   + -- a b c d   + - b c d  )x
+--R                                2             2
+--R     + 
+--R        5  4   13   70  3 2   12   70  2 3 2 11   175    4 3 10   35  5 4 9  9
+--R       (- a b d   + -- a b c d   + -- a b c d   + --- a b c d   + -- b c d )x
+--R        9            9              3              9               9
+--R     + 
+--R           1  5 13   35  4     12   105  3 2 2 11   175  2 3 3 10   175    4 4 9
+--R           - a d   + -- a b c d   + --- a b c d   + --- a b c d   + --- a b c d
+--R           8          8              4               4               8
+--R         + 
+--R           21  5 5 8
+--R           -- b c d
+--R            8
+--R      *
+--R          8
+--R         x
+--R     + 
+--R              5   12      4   2 11      3 2 3 10      2 3 4 9        4 5 8
+--R             a c d   + 15a b c d   + 50a b c d   + 50a b c d  + 15a b c d
+--R           + 
+--R              5 6 7
+--R             b c d
+--R      *
+--R          7
+--R         x
+--R     + 
+--R           7  5 2 11   175  4   3 10   175  3 2 4 9      2 3 5 8   35    4 6 7
+--R           - a c d   + --- a b c d   + --- a b c d  + 35a b c d  + -- a b c d
+--R           2            6               3                           6
+--R         + 
+--R           1  5 7 6
+--R           - b c d
+--R           6
+--R      *
+--R          6
+--R         x
+--R     + 
+--R          5 3 10      4   4 9      3 2 5 8      2 3 6 7      4 7 6  5
+--R       (7a c d   + 35a b c d  + 42a b c d  + 14a b c d  + a b c d )x
+--R     + 
+--R        35  5 4 9   105  4   5 8   35  3 2 6 7   5  2 3 7 6  4
+--R       (-- a c d  + --- a b c d  + -- a b c d  + - a b c d )x
+--R         4           4              2            2
+--R     + 
+--R          5 5 8   35  4   6 7   10  3 2 7 6  3    7  5 6 7   5  4   7 6  2
+--R       (7a c d  + -- a b c d  + -- a b c d )x  + (- a c d  + - a b c d )x
+--R                   3             3                2          2
+--R     + 
+--R        5 7 6    1  5 8 5    5  4   9 4    1  3 2 10 3    1   2 3 11 2
+--R       a c d x + - a c d  - -- a b c d  + -- a b c  d  - --- a b c  d
+--R                 8          72            36             132
+--R     + 
+--R        1     4 12      1    5 13
+--R       --- a b c  d - ----- b c
+--R       792            10296
+--R  /
+--R      6
+--R     d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 617
+
+--S 618 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R      1  5 7 13     5    4 7    7  5   6  12
+--R     -- b d x   + (-- a b d  + -- b c d )x
+--R     13            12          12
+--R   + 
+--R      10  2 3 7   35    4   6   21  5 2 5  11
+--R     (-- a b d  + -- a b c d  + -- b c d )x
+--R      11          11            11
+--R   + 
+--R       3 2 7     2 3   6   21    4 2 5   7  5 3 4  10
+--R     (a b d  + 7a b c d  + -- a b c d  + - b c d )x
+--R                            2            2
+--R   + 
+--R      5  4   7   70  3 2   6   70  2 3 2 5   175    4 3 4   35  5 4 3  9
+--R     (- a b d  + -- a b c d  + -- a b c d  + --- a b c d  + -- b c d )x
+--R      9           9             3             9              9
+--R   + 
+--R         1  5 7   35  4     6   105  3 2 2 5   175  2 3 3 4   175    4 4 3
+--R         - a d  + -- a b c d  + --- a b c d  + --- a b c d  + --- a b c d
+--R         8         8             4              4              8
+--R       + 
+--R         21  5 5 2
+--R         -- b c d
+--R          8
+--R    *
+--R        8
+--R       x
+--R   + 
+--R       5   6      4   2 5      3 2 3 4      2 3 4 3        4 5 2    5 6   7
+--R     (a c d  + 15a b c d  + 50a b c d  + 50a b c d  + 15a b c d  + b c d)x
+--R   + 
+--R           7  5 2 5   175  4   3 4   175  3 2 4 3      2 3 5 2   35    4 6
+--R           - a c d  + --- a b c d  + --- a b c d  + 35a b c d  + -- a b c d
+--R           2           6              3                           6
+--R         + 
+--R           1  5 7
+--R           - b c
+--R           6
+--R    *
+--R        6
+--R       x
+--R   + 
+--R        5 3 4      4   4 3      3 2 5 2      2 3 6       4 7  5
+--R     (7a c d  + 35a b c d  + 42a b c d  + 14a b c d + a b c )x
+--R   + 
+--R      35  5 4 3   105  4   5 2   35  3 2 6    5  2 3 7  4
+--R     (-- a c d  + --- a b c d  + -- a b c d + - a b c )x
+--R       4           4              2           2
+--R   + 
+--R        5 5 2   35  4   6    10  3 2 7  3    7  5 6    5  4   7  2    5 7
+--R     (7a c d  + -- a b c d + -- a b c )x  + (- a c d + - a b c )x  + a c x
+--R                 3            3              2         2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 618
+
+--S 619 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R         1  5 8 5    5  4   9 4    1  3 2 10 3    1   2 3 11 2    1     4 12
+--R       - - a c d  + -- a b c d  - -- a b c  d  + --- a b c  d  - --- a b c  d
+--R         8          72            36             132             792
+--R     + 
+--R         1    5 13
+--R       ----- b c
+--R       10296
+--R  /
+--R      6
+--R     d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 619
+
+--S 620 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 620
+
+)clear all
+
+--S 621 of 2952
+t0000:=(a+b*x)^4*(c+d*x)^7
+--R 
+--R
+--R   (1)
+--R      4 7 11        3 7     4   6  10      2 2 7        3   6      4 2 5  9
+--R     b d x   + (4a b d  + 7b c d )x   + (6a b d  + 28a b c d  + 21b c d )x
+--R   + 
+--R        3   7      2 2   6        3 2 5      4 3 4  8
+--R     (4a b d  + 42a b c d  + 84a b c d  + 35b c d )x
+--R   + 
+--R       4 7      3     6       2 2 2 5         3 3 4      4 4 3  7
+--R     (a d  + 28a b c d  + 126a b c d  + 140a b c d  + 35b c d )x
+--R   + 
+--R        4   6      3   2 5       2 2 3 4         3 4 3      4 5 2  6
+--R     (7a c d  + 84a b c d  + 210a b c d  + 140a b c d  + 21b c d )x
+--R   + 
+--R         4 2 5       3   3 4       2 2 4 3        3 5 2     4 6   5
+--R     (21a c d  + 140a b c d  + 210a b c d  + 84a b c d  + 7b c d)x
+--R   + 
+--R         4 3 4       3   4 3       2 2 5 2        3 6     4 7  4
+--R     (35a c d  + 140a b c d  + 126a b c d  + 28a b c d + b c )x
+--R   + 
+--R         4 4 3      3   5 2      2 2 6        3 7  3
+--R     (35a c d  + 84a b c d  + 42a b c d + 4a b c )x
+--R   + 
+--R         4 5 2      3   6      2 2 7  2      4 6      3   7      4 7
+--R     (21a c d  + 28a b c d + 6a b c )x  + (7a c d + 4a b c )x + a c
+--R                                                    Type: Polynomial(Integer)
+--E 621
+
+--S 622 of 2952
+r0000:=1/8*(b*c-a*d)^4*(c+d*x)^8/d^5-4/9*b*(b*c-a*d)^3*(c+d*x)^9/d^5+_
+     3/5*b^2*(b*c-a*d)^2*(c+d*x)^10/d^5-4/11*b^3*(b*c-a*d)*(c+d*x)^11/d^5+_
+     1/12*b^4*(c+d*x)^12/d^5
+--R 
+--R
+--R   (2)
+--R        1  4 12 12     4    3 12    7  4   11  11
+--R       -- b d  x   + (-- a b d   + -- b c d  )x
+--R       12             11           11
+--R     + 
+--R        3  2 2 12   14    3   11   21  4 2 10  10
+--R       (- a b d   + -- a b c d   + -- b c d  )x
+--R        5            5             10
+--R     + 
+--R        4  3   12   14  2 2   11   28    3 2 10   35  4 3 9  9
+--R       (- a b d   + -- a b c d   + -- a b c d   + -- b c d )x
+--R        9            3              3              9
+--R     + 
+--R        1  4 12   7  3     11   63  2 2 2 10   35    3 3 9   35  4 4 8  8
+--R       (- a d   + - a b c d   + -- a b c d   + -- a b c d  + -- b c d )x
+--R        8         2              4              2             8
+--R     + 
+--R         4   11      3   2 10      2 2 3 9        3 4 8     4 5 7  7
+--R       (a c d   + 12a b c d   + 30a b c d  + 20a b c d  + 3b c d )x
+--R     + 
+--R        7  4 2 10   70  3   3 9      2 2 4 8        3 5 7   7  4 6 6  6
+--R       (- a c d   + -- a b c d  + 35a b c d  + 14a b c d  + - b c d )x
+--R        2            3                                      6
+--R     + 
+--R          4 3 9      3   4 8   126  2 2 5 7   28    3 6 6   1  4 7 5  5
+--R       (7a c d  + 28a b c d  + --- a b c d  + -- a b c d  + - b c d )x
+--R                                5              5            5
+--R     + 
+--R        35  4 4 8      3   5 7   21  2 2 6 6      3 7 5  4
+--R       (-- a c d  + 21a b c d  + -- a b c d  + a b c d )x
+--R         4                        2
+--R     + 
+--R          4 5 7   28  3   6 6     2 2 7 5  3    7  4 6 6     3   7 5  2
+--R       (7a c d  + -- a b c d  + 2a b c d )x  + (- a c d  + 2a b c d )x
+--R                   3                            2
+--R     + 
+--R      4 7 5    1  4 8 4    1  3   9 3    1  2 2 10 2    1     3 11      1   4 12
+--R     a c d x + - a c d  - -- a b c d  + -- a b c  d  - --- a b c  d + ---- b c
+--R               8          18            60             330            3960
+--R  /
+--R      5
+--R     d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 622
+
+--S 623 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R      1  4 7 12     4    3 7    7  4   6  11
+--R     -- b d x   + (-- a b d  + -- b c d )x
+--R     12            11          11
+--R   + 
+--R      3  2 2 7   14    3   6   21  4 2 5  10
+--R     (- a b d  + -- a b c d  + -- b c d )x
+--R      5           5            10
+--R   + 
+--R      4  3   7   14  2 2   6   28    3 2 5   35  4 3 4  9
+--R     (- a b d  + -- a b c d  + -- a b c d  + -- b c d )x
+--R      9           3             3             9
+--R   + 
+--R      1  4 7   7  3     6   63  2 2 2 5   35    3 3 4   35  4 4 3  8
+--R     (- a d  + - a b c d  + -- a b c d  + -- a b c d  + -- b c d )x
+--R      8        2             4             2             8
+--R   + 
+--R       4   6      3   2 5      2 2 3 4        3 4 3     4 5 2  7
+--R     (a c d  + 12a b c d  + 30a b c d  + 20a b c d  + 3b c d )x
+--R   + 
+--R      7  4 2 5   70  3   3 4      2 2 4 3        3 5 2   7  4 6   6
+--R     (- a c d  + -- a b c d  + 35a b c d  + 14a b c d  + - b c d)x
+--R      2           3                                      6
+--R   + 
+--R        4 3 4      3   4 3   126  2 2 5 2   28    3 6    1  4 7  5
+--R     (7a c d  + 28a b c d  + --- a b c d  + -- a b c d + - b c )x
+--R                              5              5           5
+--R   + 
+--R      35  4 4 3      3   5 2   21  2 2 6       3 7  4
+--R     (-- a c d  + 21a b c d  + -- a b c d + a b c )x
+--R       4                        2
+--R   + 
+--R        4 5 2   28  3   6      2 2 7  3    7  4 6      3   7  2    4 7
+--R     (7a c d  + -- a b c d + 2a b c )x  + (- a c d + 2a b c )x  + a c x
+--R                 3                         2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 623
+
+--S 624 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R          1  4 8 4    1  3   9 3    1  2 2 10 2    1     3 11      1   4 12
+--R        - - a c d  + -- a b c d  - -- a b c  d  + --- a b c  d - ---- b c
+--R          8          18            60             330            3960
+--R   (4)  -------------------------------------------------------------------
+--R                                          5
+--R                                         d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 624
+
+--S 625 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 625
+
+)clear all
+
+--S 626 of 2952
+t0000:=(a+b*x)^3*(c+d*x)^7
+--R 
+--R
+--R   (1)
+--R      3 7 10        2 7     3   6  9      2   7        2   6      3 2 5  8
+--R     b d x   + (3a b d  + 7b c d )x  + (3a b d  + 21a b c d  + 21b c d )x
+--R   + 
+--R       3 7      2     6        2 2 5      3 3 4  7
+--R     (a d  + 21a b c d  + 63a b c d  + 35b c d )x
+--R   + 
+--R        3   6      2   2 5         2 3 4      3 4 3  6
+--R     (7a c d  + 63a b c d  + 105a b c d  + 35b c d )x
+--R   + 
+--R         3 2 5       2   3 4         2 4 3      3 5 2  5
+--R     (21a c d  + 105a b c d  + 105a b c d  + 21b c d )x
+--R   + 
+--R         3 3 4       2   4 3        2 5 2     3 6   4
+--R     (35a c d  + 105a b c d  + 63a b c d  + 7b c d)x
+--R   + 
+--R         3 4 3      2   5 2        2 6     3 7  3
+--R     (35a c d  + 63a b c d  + 21a b c d + b c )x
+--R   + 
+--R         3 5 2      2   6        2 7  2      3 6      2   7      3 7
+--R     (21a c d  + 21a b c d + 3a b c )x  + (7a c d + 3a b c )x + a c
+--R                                                    Type: Polynomial(Integer)
+--E 626
+
+--S 627 of 2952
+r0000:=-1/8*(b*c-a*d)^3*(c+d*x)^8/d^4+1/3*b*(b*c-a*d)^2*(c+d*x)^9/d^4-_
+     3/10*b^2*(b*c-a*d)*(c+d*x)^10/d^4+1/11*b^3*(c+d*x)^11/d^4
+--R 
+--R
+--R   (2)
+--R        1  3 11 11     3    2 11    7  3   10  10
+--R       -- b d  x   + (-- a b d   + -- b c d  )x
+--R       11             10           10
+--R     + 
+--R        1  2   11   7    2   10   7  3 2 9  9
+--R       (- a b d   + - a b c d   + - b c d )x
+--R        3           3             3
+--R     + 
+--R        1  3 11   21  2     10   63    2 2 9   35  3 3 8  8
+--R       (- a d   + -- a b c d   + -- a b c d  + -- b c d )x
+--R        8          8              8             8
+--R     + 
+--R         3   10     2   2 9        2 3 8     3 4 7  7
+--R       (a c d   + 9a b c d  + 15a b c d  + 5b c d )x
+--R     + 
+--R        7  3 2 9   35  2   3 8   35    2 4 7   7  3 5 6  6
+--R       (- a c d  + -- a b c d  + -- a b c d  + - b c d )x
+--R        2           2             2            2
+--R     + 
+--R          3 3 8      2   4 7   63    2 5 6   7  3 6 5  5
+--R       (7a c d  + 21a b c d  + -- a b c d  + - b c d )x
+--R                                5            5
+--R     + 
+--R        35  3 4 7   63  2   5 6   21    2 6 5   1  3 7 4  4
+--R       (-- a c d  + -- a b c d  + -- a b c d  + - b c d )x
+--R         4           4             4            4
+--R     + 
+--R          3 5 6     2   6 5      2 7 4  3    7  3 6 5   3  2   7 4  2    3 7 4
+--R       (7a c d  + 7a b c d  + a b c d )x  + (- a c d  + - a b c d )x  + a c d x
+--R                                             2          2
+--R     + 
+--R       1  3 8 3    1  2   9 2    1     2 10      1   3 11
+--R       - a c d  - -- a b c d  + --- a b c  d - ---- b c
+--R       8          24            120            1320
+--R  /
+--R      4
+--R     d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 627
+
+--S 628 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R      1  3 7 11     3    2 7    7  3   6  10
+--R     -- b d x   + (-- a b d  + -- b c d )x
+--R     11            10          10
+--R   + 
+--R      1  2   7   7    2   6   7  3 2 5  9
+--R     (- a b d  + - a b c d  + - b c d )x
+--R      3          3            3
+--R   + 
+--R      1  3 7   21  2     6   63    2 2 5   35  3 3 4  8
+--R     (- a d  + -- a b c d  + -- a b c d  + -- b c d )x
+--R      8         8             8             8
+--R   + 
+--R       3   6     2   2 5        2 3 4     3 4 3  7
+--R     (a c d  + 9a b c d  + 15a b c d  + 5b c d )x
+--R   + 
+--R      7  3 2 5   35  2   3 4   35    2 4 3   7  3 5 2  6
+--R     (- a c d  + -- a b c d  + -- a b c d  + - b c d )x
+--R      2           2             2            2
+--R   + 
+--R        3 3 4      2   4 3   63    2 5 2   7  3 6   5
+--R     (7a c d  + 21a b c d  + -- a b c d  + - b c d)x
+--R                              5            5
+--R   + 
+--R      35  3 4 3   63  2   5 2   21    2 6    1  3 7  4
+--R     (-- a c d  + -- a b c d  + -- a b c d + - b c )x
+--R       4           4             4           4
+--R   + 
+--R        3 5 2     2   6       2 7  3    7  3 6    3  2   7  2    3 7
+--R     (7a c d  + 7a b c d + a b c )x  + (- a c d + - a b c )x  + a c x
+--R                                        2         2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 628
+
+--S 629 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R          1  3 8 3    1  2   9 2    1     2 10      1   3 11
+--R        - - a c d  + -- a b c d  - --- a b c  d + ---- b c
+--R          8          24            120            1320
+--R   (4)  ----------------------------------------------------
+--R                                  4
+--R                                 d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 629
+
+--S 630 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 630
+
+)clear all
+
+--S 631 of 2952
+t0000:=(a+b*x)^2*(c+d*x)^7
+--R 
+--R
+--R   (1)
+--R      2 7 9          7     2   6  8     2 7            6      2 2 5  7
+--R     b d x  + (2a b d  + 7b c d )x  + (a d  + 14a b c d  + 21b c d )x
+--R   + 
+--R        2   6          2 5      2 3 4  6       2 2 5          3 4      2 4 3  5
+--R     (7a c d  + 42a b c d  + 35b c d )x  + (21a c d  + 70a b c d  + 35b c d )x
+--R   + 
+--R         2 3 4          4 3      2 5 2  4       2 4 3          5 2     2 6   3
+--R     (35a c d  + 70a b c d  + 21b c d )x  + (35a c d  + 42a b c d  + 7b c d)x
+--R   + 
+--R         2 5 2          6     2 7  2      2 6          7      2 7
+--R     (21a c d  + 14a b c d + b c )x  + (7a c d + 2a b c )x + a c
+--R                                                    Type: Polynomial(Integer)
+--E 631
+
+--S 632 of 2952
+r0000:=1/8*(b*c-a*d)^2*(c+d*x)^8/d^3-2/9*b*(b*c-a*d)*(c+d*x)^9/d^3+_
+     1/10*b^2*(c+d*x)^10/d^3
+--R 
+--R
+--R   (2)
+--R        1  2 10 10    2      10   7  2   9  9
+--R       -- b d  x   + (- a b d   + - b c d )x
+--R       10             9           9
+--R     + 
+--R        1  2 10   7        9   21  2 2 8  8     2   9         2 8     2 3 7  7
+--R       (- a d   + - a b c d  + -- b c d )x  + (a c d  + 6a b c d  + 5b c d )x
+--R        8         4             8
+--R     + 
+--R        7  2 2 8   35      3 7   35  2 4 6  6
+--R       (- a c d  + -- a b c d  + -- b c d )x
+--R        2           3             6
+--R     + 
+--R          2 3 7          4 6   21  2 5 5  5
+--R       (7a c d  + 14a b c d  + -- b c d )x
+--R                                5
+--R     + 
+--R        35  2 4 6   21      5 5   7  2 6 4  4
+--R       (-- a c d  + -- a b c d  + - b c d )x
+--R         4           2            4
+--R     + 
+--R          2 5 5   14      6 4   1  2 7 3  3    7  2 6 4        7 3  2    2 7 3
+--R       (7a c d  + -- a b c d  + - b c d )x  + (- a c d  + a b c d )x  + a c d x
+--R                   3            3              2
+--R     + 
+--R       1  2 8 2    1      9     1   2 10
+--R       - a c d  - -- a b c d + --- b c
+--R       8          36           360
+--R  /
+--R      3
+--R     d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 632
+
+--S 633 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R      1  2 7 10    2      7   7  2   6  9    1  2 7   7        6   21  2 2 5  8
+--R     -- b d x   + (- a b d  + - b c d )x  + (- a d  + - a b c d  + -- b c d )x
+--R     10            9          9              8        4             8
+--R   + 
+--R       2   6         2 5     2 3 4  7    7  2 2 5   35      3 4   35  2 4 3  6
+--R     (a c d  + 6a b c d  + 5b c d )x  + (- a c d  + -- a b c d  + -- b c d )x
+--R                                         2           3             6
+--R   + 
+--R        2 3 4          4 3   21  2 5 2  5
+--R     (7a c d  + 14a b c d  + -- b c d )x
+--R                              5
+--R   + 
+--R      35  2 4 3   21      5 2   7  2 6   4      2 5 2   14      6    1  2 7  3
+--R     (-- a c d  + -- a b c d  + - b c d)x  + (7a c d  + -- a b c d + - b c )x
+--R       4           2            4                        3           3
+--R   + 
+--R      7  2 6         7  2    2 7
+--R     (- a c d + a b c )x  + a c x
+--R      2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 633
+
+--S 634 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R          1  2 8 2    1      9     1   2 10
+--R        - - a c d  + -- a b c d - --- b c
+--R          8          36           360
+--R   (4)  -----------------------------------
+--R                          3
+--R                         d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 634
+
+--S 635 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 635
+
+)clear all
+
+--S 636 of 2952
+t0000:=(a+b*x)*(c+d*x)^7
+--R 
+--R
+--R   (1)
+--R        7 8       7         6  7          6        2 5  6
+--R     b d x  + (a d  + 7b c d )x  + (7a c d  + 21b c d )x
+--R   + 
+--R           2 5        3 4  5         3 4        4 3  4         4 3        5 2  3
+--R     (21a c d  + 35b c d )x  + (35a c d  + 35b c d )x  + (35a c d  + 21b c d )x
+--R   + 
+--R           5 2       6   2        6       7        7
+--R     (21a c d  + 7b c d)x  + (7a c d + b c )x + a c
+--R                                                    Type: Polynomial(Integer)
+--E 636
+
+--S 637 of 2952
+r0000:=-1/8*(b*c-a*d)*(c+d*x)^8/d^2+1/9*b*(c+d*x)^9/d^2
+--R 
+--R
+--R   (2)
+--R       1    9 9    1    9   7      8  8         8       2 7  7
+--R       - b d x  + (- a d  + - b c d )x  + (a c d  + 3b c d )x
+--R       9           8        8
+--R     + 
+--R        7    2 7   35    3 6  6        3 6       4 5  5
+--R       (- a c d  + -- b c d )x  + (7a c d  + 7b c d )x
+--R        2           6
+--R     + 
+--R        35    4 5   21    5 4  4        5 4   7    6 3  3
+--R       (-- a c d  + -- b c d )x  + (7a c d  + - b c d )x
+--R         4           4                        3
+--R     + 
+--R        7    6 3   1    7 2  2      7 2    1    8     1    9
+--R       (- a c d  + - b c d )x  + a c d x + - a c d - -- b c
+--R        2          2                       8         72
+--R  /
+--R      2
+--R     d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 637
+
+--S 638 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R     1    7 9    1    7   7      6  8         6       2 5  7
+--R     - b d x  + (- a d  + - b c d )x  + (a c d  + 3b c d )x
+--R     9           8        8
+--R   + 
+--R      7    2 5   35    3 4  6        3 4       4 3  5
+--R     (- a c d  + -- b c d )x  + (7a c d  + 7b c d )x
+--R      2           6
+--R   + 
+--R      35    4 3   21    5 2  4        5 2   7    6   3    7    6    1    7  2
+--R     (-- a c d  + -- b c d )x  + (7a c d  + - b c d)x  + (- a c d + - b c )x
+--R       4           4                        3             2         2
+--R   + 
+--R        7
+--R     a c x
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 638
+
+--S 639 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R          1    8     1    9
+--R        - - a c d + -- b c
+--R          8         72
+--R   (4)  -------------------
+--R                  2
+--R                 d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 639
+
+--S 640 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 640
+
+)clear all
+
+--S 641 of 2952
+t0000:=(c+d*x)^7
+--R 
+--R
+--R   (1)
+--R    7 7       6 6      2 5 5      3 4 4      4 3 3      5 2 2     6       7
+--R   d x  + 7c d x  + 21c d x  + 35c d x  + 35c d x  + 21c d x  + 7c d x + c
+--R                                                    Type: Polynomial(Integer)
+--E 641
+
+--S 642 of 2952
+r0000:=1/8*(c+d*x)^8/d
+--R 
+--R
+--R   (2)
+--R       1  8 8      7 7   7  2 6 6     3 5 5   35  4 4 4     5 3 3   7  6 2 2
+--R       - d x  + c d x  + - c d x  + 7c d x  + -- c d x  + 7c d x  + - c d x
+--R       8                 2                     4                    2
+--R     + 
+--R        7      1  8
+--R       c d x + - c
+--R               8
+--R  /
+--R     d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 642
+
+--S 643 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   1  7 8      6 7   7  2 5 6     3 4 5   35  4 3 4     5 2 3   7  6   2    7
+--R   - d x  + c d x  + - c d x  + 7c d x  + -- c d x  + 7c d x  + - c d x  + c x
+--R   8                 2                     4                    2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 643
+
+--S 644 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R          1  8
+--R          - c
+--R          8
+--R   (4)  - ----
+--R            d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 644
+
+--S 645 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 645
+
+)clear all
+
+--S 646 of 2952
+t0000:=(c+d*x)^7/(a+b*x)
+--R 
+--R
+--R   (1)
+--R    7 7       6 6      2 5 5      3 4 4      4 3 3      5 2 2     6       7
+--R   d x  + 7c d x  + 21c d x  + 35c d x  + 35c d x  + 21c d x  + 7c d x + c
+--R   ------------------------------------------------------------------------
+--R                                    b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 646
+
+--S 647 of 2952
+r0000:=d*(b*c-a*d)^6*x/b^7+1/2*(b*c-a*d)^5*(c+d*x)^2/b^6+_
+     1/3*(b*c-a*d)^4*(c+d*x)^3/b^5+1/4*(b*c-a*d)^3*(c+d*x)^4/b^4+_
+     1/5*(b*c-a*d)^2*(c+d*x)^5/b^3+1/6*(b*c-a*d)*(c+d*x)^6/b^2+_
+     1/7*(c+d*x)^7/b+(b*c-a*d)^7*log(a+b*x)/b^8
+--R 
+--R
+--R   (2)
+--R                 7 7        6     6        5 2 2 5         4 3 3 4
+--R           - 420a d  + 2940a b c d  - 8820a b c d  + 14700a b c d
+--R         + 
+--R                   3 4 4 3        2 5 5 2          6 6        7 7
+--R           - 14700a b c d  + 8820a b c d  - 2940a b c d + 420b c
+--R      *
+--R         log(b x + a)
+--R     + 
+--R          7 7 7           6 7       7   6  6
+--R       60b d x  + (- 70a b d  + 490b c d )x
+--R     + 
+--R           2 5 7         6   6        7 2 5  5
+--R       (84a b d  - 588a b c d  + 1764b c d )x
+--R     + 
+--R              3 4 7       2 5   6          6 2 5        7 3 4  4
+--R       (- 105a b d  + 735a b c d  - 2205a b c d  + 3675b c d )x
+--R     + 
+--R            4 3 7       3 4   6        2 5 2 5          6 3 4        7 4 3  3
+--R       (140a b d  - 980a b c d  + 2940a b c d  - 4900a b c d  + 4900b c d )x
+--R     + 
+--R                 5 2 7        4 3   6        3 4 2 5        2 5 3 4
+--R           - 210a b d  + 1470a b c d  - 4410a b c d  + 7350a b c d
+--R         + 
+--R                    6 4 3        7 5 2
+--R           - 7350a b c d  + 4410b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R               6   7        5 2   6        4 3 2 5         3 4 3 4
+--R           420a b d  - 2940a b c d  + 8820a b c d  - 14700a b c d
+--R         + 
+--R                 2 5 4 3          6 5 2        7 6
+--R           14700a b c d  - 8820a b c d  + 2940b c d
+--R      *
+--R         x
+--R     + 
+--R             5 2 2 5        4 3 3 4        3 4 4 3        2 5 5 2          6 6
+--R       - 210a b c d  + 1190a b c d  - 2765a b c d  + 3339a b c d  - 2163a b c d
+--R     + 
+--R           7 7
+--R       669b c
+--R  /
+--R         8
+--R     420b
+--R                                                    Type: Expression(Integer)
+--E 647
+
+--S 648 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                 7 7        6     6        5 2 2 5         4 3 3 4
+--R           - 420a d  + 2940a b c d  - 8820a b c d  + 14700a b c d
+--R         + 
+--R                   3 4 4 3        2 5 5 2          6 6        7 7
+--R           - 14700a b c d  + 8820a b c d  - 2940a b c d + 420b c
+--R      *
+--R         log(b x + a)
+--R     + 
+--R          7 7 7           6 7       7   6  6
+--R       60b d x  + (- 70a b d  + 490b c d )x
+--R     + 
+--R           2 5 7         6   6        7 2 5  5
+--R       (84a b d  - 588a b c d  + 1764b c d )x
+--R     + 
+--R              3 4 7       2 5   6          6 2 5        7 3 4  4
+--R       (- 105a b d  + 735a b c d  - 2205a b c d  + 3675b c d )x
+--R     + 
+--R            4 3 7       3 4   6        2 5 2 5          6 3 4        7 4 3  3
+--R       (140a b d  - 980a b c d  + 2940a b c d  - 4900a b c d  + 4900b c d )x
+--R     + 
+--R                 5 2 7        4 3   6        3 4 2 5        2 5 3 4
+--R           - 210a b d  + 1470a b c d  - 4410a b c d  + 7350a b c d
+--R         + 
+--R                    6 4 3        7 5 2
+--R           - 7350a b c d  + 4410b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R               6   7        5 2   6        4 3 2 5         3 4 3 4
+--R           420a b d  - 2940a b c d  + 8820a b c d  - 14700a b c d
+--R         + 
+--R                 2 5 4 3          6 5 2        7 6
+--R           14700a b c d  - 8820a b c d  + 2940b c d
+--R      *
+--R         x
+--R  /
+--R         8
+--R     420b
+--R                                         Type: Union(Expression(Integer),...)
+--E 648
+
+--S 649 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R           5 2 5        4   3 4        3 2 4 3        2 3 5 2          4 6
+--R       210a c d  - 1190a b c d  + 2765a b c d  - 3339a b c d  + 2163a b c d
+--R     + 
+--R             5 7
+--R       - 669b c
+--R  /
+--R         6
+--R     420b
+--R                                                    Type: Expression(Integer)
+--E 649
+
+--S 650 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 650
+
+)clear all
+
+--S 651 of 2952
+t0000:=(c+d*x)^7/(a+b*x)^2
+--R 
+--R
+--R   (1)
+--R    7 7       6 6      2 5 5      3 4 4      4 3 3      5 2 2     6       7
+--R   d x  + 7c d x  + 21c d x  + 35c d x  + 35c d x  + 21c d x  + 7c d x + c
+--R   ------------------------------------------------------------------------
+--R                               2 2             2
+--R                              b x  + 2a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 651
+
+--S 652 of 2952
+r0000:=21*d^2*(b*c-a*d)^5*x/b^7-(b*c-a*d)^7/(b^8*(a+b*x))+_
+     35/2*d^3*(b*c-a*d)^4*(a+b*x)^2/b^8+35/3*d^4*(b*c-a*d)^3*(a+b*x)^3/b^8+_
+     21/4*d^5*(b*c-a*d)^2*(a+b*x)^4/b^8+7/5*d^6*(b*c-a*d)*(a+b*x)^5/b^8+_
+     1/6*d^7*(a+b*x)^6/b^8+7*d*(b*c-a*d)^6*log(a+b*x)/b^8
+--R 
+--R
+--R   (2)
+--R                   6   7        5 2   6        4 3 2 5        3 4 3 4
+--R               420a b d  - 2520a b c d  + 6300a b c d  - 8400a b c d
+--R             + 
+--R                    2 5 4 3          6 5 2       7 6
+--R               6300a b c d  - 2520a b c d  + 420b c d
+--R          *
+--R             x
+--R         + 
+--R               7 7        6     6        5 2 2 5        4 3 3 4        3 4 4 3
+--R           420a d  - 2520a b c d  + 6300a b c d  - 8400a b c d  + 6300a b c d
+--R         + 
+--R                  2 5 5 2         6 6
+--R           - 2520a b c d  + 420a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R          7 7 7           6 7      7   6  6
+--R       10b d x  + (- 14a b d  + 84b c d )x
+--R     + 
+--R           2 5 7         6   6       7 2 5  5
+--R       (21a b d  - 126a b c d  + 315b c d )x
+--R     + 
+--R             3 4 7       2 5   6         6 2 5       7 3 4  4
+--R       (- 35a b d  + 210a b c d  - 525a b c d  + 700b c d )x
+--R     + 
+--R           4 3 7       3 4   6        2 5 2 5          6 3 4        7 4 3  3
+--R       (70a b d  - 420a b c d  + 1050a b c d  - 1400a b c d  + 1050b c d )x
+--R     + 
+--R                 5 2 7        4 3   6        3 4 2 5        2 5 3 4
+--R           - 210a b d  + 1260a b c d  - 3150a b c d  + 4200a b c d
+--R         + 
+--R                    6 4 3        7 5 2
+--R           - 3150a b c d  + 1260b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R               6   7       5 2   6       4 3 2 5        3 4 3 4        2 5 4 3
+--R           231a b d  - 546a b c d  - 525a b c d  + 2800a b c d  - 3150a b c d
+--R         + 
+--R                  6 5 2
+--R           1260a b c d
+--R      *
+--R         x
+--R     + 
+--R           7 7        6     6        5 2 2 5        4 3 3 4        3 4 4 3
+--R       651a d  - 3066a b c d  + 5775a b c d  - 5600a b c d  + 3150a b c d
+--R     + 
+--R              2 5 5 2         6 6       7 7
+--R       - 1260a b c d  + 420a b c d - 60b c
+--R  /
+--R        9         8
+--R     60b x + 60a b
+--R                                                    Type: Expression(Integer)
+--E 652
+
+--S 653 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                   6   7        5 2   6        4 3 2 5        3 4 3 4
+--R               420a b d  - 2520a b c d  + 6300a b c d  - 8400a b c d
+--R             + 
+--R                    2 5 4 3          6 5 2       7 6
+--R               6300a b c d  - 2520a b c d  + 420b c d
+--R          *
+--R             x
+--R         + 
+--R               7 7        6     6        5 2 2 5        4 3 3 4        3 4 4 3
+--R           420a d  - 2520a b c d  + 6300a b c d  - 8400a b c d  + 6300a b c d
+--R         + 
+--R                  2 5 5 2         6 6
+--R           - 2520a b c d  + 420a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R          7 7 7           6 7      7   6  6
+--R       10b d x  + (- 14a b d  + 84b c d )x
+--R     + 
+--R           2 5 7         6   6       7 2 5  5
+--R       (21a b d  - 126a b c d  + 315b c d )x
+--R     + 
+--R             3 4 7       2 5   6         6 2 5       7 3 4  4
+--R       (- 35a b d  + 210a b c d  - 525a b c d  + 700b c d )x
+--R     + 
+--R           4 3 7       3 4   6        2 5 2 5          6 3 4        7 4 3  3
+--R       (70a b d  - 420a b c d  + 1050a b c d  - 1400a b c d  + 1050b c d )x
+--R     + 
+--R                 5 2 7        4 3   6        3 4 2 5        2 5 3 4
+--R           - 210a b d  + 1260a b c d  - 3150a b c d  + 4200a b c d
+--R         + 
+--R                    6 4 3        7 5 2
+--R           - 3150a b c d  + 1260b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                 6   7        5 2   6        4 3 2 5        3 4 3 4
+--R           - 360a b d  + 2100a b c d  - 5040a b c d  + 6300a b c d
+--R         + 
+--R                  2 5 4 3          6 5 2
+--R           - 4200a b c d  + 1260a b c d
+--R      *
+--R         x
+--R     + 
+--R          7 7       6     6        5 2 2 5        4 3 3 4        3 4 4 3
+--R       60a d  - 420a b c d  + 1260a b c d  - 2100a b c d  + 2100a b c d
+--R     + 
+--R              2 5 5 2         6 6       7 7
+--R       - 1260a b c d  + 420a b c d - 60b c
+--R  /
+--R        9         8
+--R     60b x + 60a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 653
+
+--S 654 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R              6 7        5     6        4 2 2 5        3 3 3 4        2 4 4 3
+--R        - 591a d  + 2646a b c d  - 4515a b c d  + 3500a b c d  - 1050a b c d
+--R   (4)  ---------------------------------------------------------------------
+--R                                            8
+--R                                         60b
+--R                                                    Type: Expression(Integer)
+--E 654
+
+--S 655 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 655
+
+)clear all
+
+--S 656 of 2952
+t0000:=(c+d*x)^7/(a+b*x)^3
+--R 
+--R
+--R   (1)
+--R    7 7       6 6      2 5 5      3 4 4      4 3 3      5 2 2     6       7
+--R   d x  + 7c d x  + 21c d x  + 35c d x  + 35c d x  + 21c d x  + 7c d x + c
+--R   ------------------------------------------------------------------------
+--R                          3 3       2 2     2       3
+--R                         b x  + 3a b x  + 3a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 656
+
+--S 657 of 2952
+r0000:=35*d^3*(b*c-a*d)^4*x/b^7-1/2*(b*c-a*d)^7/(b^8*(a+b*x)^2)-_
+     7*d*(b*c-a*d)^6/(b^8*(a+b*x))+35/2*d^4*(b*c-a*d)^3*(a+b*x)^2/b^8+_
+     7*d^5*(b*c-a*d)^2*(a+b*x)^3/b^8+7/4*d^6*(b*c-a*d)*(a+b*x)^4/b^8+_
+     1/5*d^7*(a+b*x)^5/b^8+21*d^2*(b*c-a*d)^5*log(a+b*x)/b^8
+--R 
+--R
+--R   (2)
+--R                     5 2 7        4 3   6        3 4 2 5        2 5 3 4
+--R               - 420a b d  + 2100a b c d  - 4200a b c d  + 4200a b c d
+--R             + 
+--R                        6 4 3       7 5 2
+--R               - 2100a b c d  + 420b c d
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                     6   7        5 2   6        4 3 2 5        3 4 3 4
+--R               - 840a b d  + 4200a b c d  - 8400a b c d  + 8400a b c d
+--R             + 
+--R                      2 5 4 3         6 5 2
+--R               - 4200a b c d  + 840a b c d
+--R          *
+--R             x
+--R         + 
+--R                 7 7        6     6        5 2 2 5        4 3 3 4        3 4 4 3
+--R           - 420a d  + 2100a b c d  - 4200a b c d  + 4200a b c d  - 2100a b c d
+--R         + 
+--R               2 5 5 2
+--R           420a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         7 7 7          6 7      7   6  6
+--R       4b d x  + (- 7a b d  + 35b c d )x
+--R     + 
+--R           2 5 7        6   6       7 2 5  5
+--R       (14a b d  - 70a b c d  + 140b c d )x
+--R     + 
+--R             3 4 7       2 5   6         6 2 5       7 3 4  4
+--R       (- 35a b d  + 175a b c d  - 350a b c d  + 350b c d )x
+--R     + 
+--R            4 3 7       3 4   6        2 5 2 5          6 3 4       7 4 3  3
+--R       (140a b d  - 700a b c d  + 1400a b c d  - 1400a b c d  + 700b c d )x
+--R     + 
+--R            5 2 7        4 3   6        3 4 2 5        2 5 3 4          6 4 3  2
+--R       (259a b d  - 1575a b c d  + 3500a b c d  - 3500a b c d  + 1400a b c d )x
+--R     + 
+--R                 6   7        5 2   6        4 3 2 5        3 4 3 4
+--R           - 322a b d  + 1050a b c d  - 1400a b c d  + 1400a b c d
+--R         + 
+--R                  2 5 4 3         6 5 2       7 6
+--R           - 1400a b c d  + 840a b c d  - 140b c d
+--R      *
+--R         x
+--R     + 
+--R             7 7        6     6        5 2 2 5        4 3 3 4        3 4 4 3
+--R       - 371a d  + 1575a b c d  - 2800a b c d  + 2800a b c d  - 1750a b c d
+--R     + 
+--R           2 5 5 2        6 6       7 7
+--R       630a b c d  - 70a b c d - 10b c
+--R  /
+--R        10 2        9       2 8
+--R     20b  x  + 40a b x + 20a b
+--R                                                    Type: Expression(Integer)
+--E 657
+
+--S 658 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                     5 2 7        4 3   6        3 4 2 5        2 5 3 4
+--R               - 420a b d  + 2100a b c d  - 4200a b c d  + 4200a b c d
+--R             + 
+--R                        6 4 3       7 5 2
+--R               - 2100a b c d  + 420b c d
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                     6   7        5 2   6        4 3 2 5        3 4 3 4
+--R               - 840a b d  + 4200a b c d  - 8400a b c d  + 8400a b c d
+--R             + 
+--R                      2 5 4 3         6 5 2
+--R               - 4200a b c d  + 840a b c d
+--R          *
+--R             x
+--R         + 
+--R                 7 7        6     6        5 2 2 5        4 3 3 4        3 4 4 3
+--R           - 420a d  + 2100a b c d  - 4200a b c d  + 4200a b c d  - 2100a b c d
+--R         + 
+--R               2 5 5 2
+--R           420a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         7 7 7          6 7      7   6  6
+--R       4b d x  + (- 7a b d  + 35b c d )x
+--R     + 
+--R           2 5 7        6   6       7 2 5  5
+--R       (14a b d  - 70a b c d  + 140b c d )x
+--R     + 
+--R             3 4 7       2 5   6         6 2 5       7 3 4  4
+--R       (- 35a b d  + 175a b c d  - 350a b c d  + 350b c d )x
+--R     + 
+--R            4 3 7       3 4   6        2 5 2 5          6 3 4       7 4 3  3
+--R       (140a b d  - 700a b c d  + 1400a b c d  - 1400a b c d  + 700b c d )x
+--R     + 
+--R            5 2 7        4 3   6        3 4 2 5        2 5 3 4          6 4 3  2
+--R       (500a b d  - 2380a b c d  + 4410a b c d  - 3850a b c d  + 1400a b c d )x
+--R     + 
+--R               6   7       5 2   6       4 3 2 5       3 4 3 4        2 5 4 3
+--R           160a b d  - 560a b c d  + 420a b c d  + 700a b c d  - 1400a b c d
+--R         + 
+--R                 6 5 2       7 6
+--R           840a b c d  - 140b c d
+--R      *
+--R         x
+--R     + 
+--R             7 7       6     6        5 2 2 5        4 3 3 4        3 4 4 3
+--R       - 130a d  + 770a b c d  - 1890a b c d  + 2450a b c d  - 1750a b c d
+--R     + 
+--R           2 5 5 2        6 6       7 7
+--R       630a b c d  - 70a b c d - 10b c
+--R  /
+--R        10 2        9       2 8
+--R     20b  x  + 40a b x + 20a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 658
+
+--S 659 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R            5 7       4     6       3 2 2 5       2 3 3 4
+--R        241a d  - 805a b c d  + 910a b c d  - 350a b c d
+--R   (4)  -------------------------------------------------
+--R                                  8
+--R                               20b
+--R                                                    Type: Expression(Integer)
+--E 659
+
+--S 660 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 660
+
+)clear all
+
+--S 661 of 2952
+t0000:=(c+d*x)^7/(a+b*x)^4
+--R 
+--R
+--R   (1)
+--R    7 7       6 6      2 5 5      3 4 4      4 3 3      5 2 2     6       7
+--R   d x  + 7c d x  + 21c d x  + 35c d x  + 35c d x  + 21c d x  + 7c d x + c
+--R   ------------------------------------------------------------------------
+--R                     4 4       3 3     2 2 2     3       4
+--R                    b x  + 4a b x  + 6a b x  + 4a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 661
+
+--S 662 of 2952
+r0000:=35*d^4*(b*c-a*d)^3*x/b^7-1/3*(b*c-a*d)^7/(b^8*(a+b*x)^3)-_
+     7/2*d*(b*c-a*d)^6/(b^8*(a+b*x)^2)-21*d^2*(b*c-a*d)^5/(b^8*(a+b*x))+_
+     21/2*d^5*(b*c-a*d)^2*(a+b*x)^2/b^8+7/3*d^6*(b*c-a*d)*(a+b*x)^3/b^8+_
+     1/4*d^7*(a+b*x)^4/b^8+35*d^3*(b*c-a*d)^4*log(a+b*x)/b^8
+--R 
+--R
+--R   (2)
+--R                     4 3 7        3 4   6        2 5 2 5          6 3 4
+--R                 420a b d  - 1680a b c d  + 2520a b c d  - 1680a b c d
+--R               + 
+--R                     7 4 3
+--R                 420b c d
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                    5 2 7        4 3   6        3 4 2 5        2 5 3 4
+--R               1260a b d  - 5040a b c d  + 7560a b c d  - 5040a b c d
+--R             + 
+--R                      6 4 3
+--R               1260a b c d
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                    6   7        5 2   6        4 3 2 5        3 4 3 4
+--R               1260a b d  - 5040a b c d  + 7560a b c d  - 5040a b c d
+--R             + 
+--R                    2 5 4 3
+--R               1260a b c d
+--R          *
+--R             x
+--R         + 
+--R               7 7        6     6        5 2 2 5        4 3 3 4       3 4 4 3
+--R           420a d  - 1680a b c d  + 2520a b c d  - 1680a b c d  + 420a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         7 7 7          6 7      7   6  6
+--R       3b d x  + (- 7a b d  + 28b c d )x
+--R     + 
+--R           2 5 7        6   6       7 2 5  5
+--R       (21a b d  - 84a b c d  + 126b c d )x
+--R     + 
+--R              3 4 7       2 5   6         6 2 5       7 3 4  4
+--R       (- 105a b d  + 420a b c d  - 630a b c d  + 420b c d )x
+--R     + 
+--R              4 3 7        3 4   6        2 5 2 5          6 3 4  3
+--R       (- 455a b d  + 1820a b c d  - 2520a b c d  + 1260a b c d )x
+--R     + 
+--R              5 2 7       4 3   6        2 5 3 4          6 4 3       7 5 2  2
+--R       (- 105a b d  + 420a b c d  - 1260a b c d  + 1260a b c d  - 252b c d )x
+--R     + 
+--R               6   7        5 2   6        4 3 2 5        3 4 3 4        2 5 4 3
+--R           525a b d  - 2100a b c d  + 3780a b c d  - 3780a b c d  + 1890a b c d
+--R         + 
+--R                   6 5 2      7 6
+--R           - 252a b c d  - 42b c d
+--R      *
+--R         x
+--R     + 
+--R           7 7        6     6        5 2 2 5        4 3 3 4       3 4 4 3
+--R       315a d  - 1260a b c d  + 2100a b c d  - 1820a b c d  + 770a b c d
+--R     + 
+--R            2 5 5 2        6 6      7 7
+--R       - 84a b c d  - 14a b c d - 4b c
+--R  /
+--R        11 3        10 2      2 9       3 8
+--R     12b  x  + 36a b  x  + 36a b x + 12a b
+--R                                                    Type: Expression(Integer)
+--E 662
+
+--S 663 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                     4 3 7        3 4   6        2 5 2 5          6 3 4
+--R                 420a b d  - 1680a b c d  + 2520a b c d  - 1680a b c d
+--R               + 
+--R                     7 4 3
+--R                 420b c d
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                    5 2 7        4 3   6        3 4 2 5        2 5 3 4
+--R               1260a b d  - 5040a b c d  + 7560a b c d  - 5040a b c d
+--R             + 
+--R                      6 4 3
+--R               1260a b c d
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                    6   7        5 2   6        4 3 2 5        3 4 3 4
+--R               1260a b d  - 5040a b c d  + 7560a b c d  - 5040a b c d
+--R             + 
+--R                    2 5 4 3
+--R               1260a b c d
+--R          *
+--R             x
+--R         + 
+--R               7 7        6     6        5 2 2 5        4 3 3 4       3 4 4 3
+--R           420a d  - 1680a b c d  + 2520a b c d  - 1680a b c d  + 420a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         7 7 7          6 7      7   6  6
+--R       3b d x  + (- 7a b d  + 28b c d )x
+--R     + 
+--R           2 5 7        6   6       7 2 5  5
+--R       (21a b d  - 84a b c d  + 126b c d )x
+--R     + 
+--R              3 4 7       2 5   6         6 2 5       7 3 4  4
+--R       (- 105a b d  + 420a b c d  - 630a b c d  + 420b c d )x
+--R     + 
+--R              4 3 7        3 4   6        2 5 2 5          6 3 4  3
+--R       (- 556a b d  + 2044a b c d  - 2646a b c d  + 1260a b c d )x
+--R     + 
+--R                 5 2 7        4 3   6       3 4 2 5        2 5 3 4
+--R           - 408a b d  + 1092a b c d  - 378a b c d  - 1260a b c d
+--R         + 
+--R                  6 4 3       7 5 2
+--R           1260a b c d  - 252b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R               6   7        5 2   6        4 3 2 5        3 4 3 4        2 5 4 3
+--R           222a b d  - 1428a b c d  + 3402a b c d  - 3780a b c d  + 1890a b c d
+--R         + 
+--R                   6 5 2      7 6
+--R           - 252a b c d  - 42b c d
+--R      *
+--R         x
+--R     + 
+--R           7 7        6     6        5 2 2 5        4 3 3 4       3 4 4 3
+--R       214a d  - 1036a b c d  + 1974a b c d  - 1820a b c d  + 770a b c d
+--R     + 
+--R            2 5 5 2        6 6      7 7
+--R       - 84a b c d  - 14a b c d - 4b c
+--R  /
+--R        11 3        10 2      2 9       3 8
+--R     12b  x  + 36a b  x  + 36a b x + 12a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 663
+
+--S 664 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R              4 7       3     6       2 2 2 5
+--R        - 101a d  + 224a b c d  - 126a b c d
+--R   (4)  -------------------------------------
+--R                            8
+--R                         12b
+--R                                                    Type: Expression(Integer)
+--E 664
+
+--S 665 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 665
+
+)clear all
+
+--S 666 of 2952
+t0000:=(c+d*x)^7/(a+b*x)^5
+--R 
+--R
+--R   (1)
+--R    7 7       6 6      2 5 5      3 4 4      4 3 3      5 2 2     6       7
+--R   d x  + 7c d x  + 21c d x  + 35c d x  + 35c d x  + 21c d x  + 7c d x + c
+--R   ------------------------------------------------------------------------
+--R               5 5       4 4      2 3 3      3 2 2     4       5
+--R              b x  + 5a b x  + 10a b x  + 10a b x  + 5a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 666
+
+--S 667 of 2952
+r0000:=21*d^5*(b*c-a*d)^2*x/b^7-1/4*(b*c-a*d)^7/(b^8*(a+b*x)^4)-_
+     7/3*d*(b*c-a*d)^6/(b^8*(a+b*x)^3)-21/2*d^2*(b*c-a*d)^5/(b^8*(a+b*x)^2)-_
+     35*d^3*(b*c-a*d)^4/(b^8*(a+b*x))+7/2*d^6*(b*c-a*d)*(a+b*x)^2/b^8+_
+     1/3*d^7*(a+b*x)^3/b^8+35*d^4*(b*c-a*d)^3*log(a+b*x)/b^8
+--R 
+--R
+--R   (2)
+--R                  3 4 7        2 5   6          6 2 5       7 3 4  4
+--R           (- 420a b d  + 1260a b c d  - 1260a b c d  + 420b c d )x
+--R         + 
+--R                   4 3 7        3 4   6        2 5 2 5          6 3 4  3
+--R           (- 1680a b d  + 5040a b c d  - 5040a b c d  + 1680a b c d )x
+--R         + 
+--R                   5 2 7        4 3   6        3 4 2 5        2 5 3 4  2
+--R           (- 2520a b d  + 7560a b c d  - 7560a b c d  + 2520a b c d )x
+--R         + 
+--R                   6   7        5 2   6        4 3 2 5        3 4 3 4
+--R           (- 1680a b d  + 5040a b c d  - 5040a b c d  + 1680a b c d )x
+--R         + 
+--R                 7 7        6     6        5 2 2 5       4 3 3 4
+--R           - 420a d  + 1260a b c d  - 1260a b c d  + 420a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         7 7 7           6 7      7   6  6
+--R       4b d x  + (- 14a b d  + 42b c d )x
+--R     + 
+--R           2 5 7         6   6       7 2 5  5
+--R       (84a b d  - 252a b c d  + 252b c d )x
+--R     + 
+--R            3 4 7        2 5   6          6 2 5  4
+--R       (518a b d  - 1386a b c d  + 1008a b c d )x
+--R     + 
+--R            4 3 7       3 4   6        2 5 2 5          6 3 4       7 4 3  3
+--R       (392a b d  - 504a b c d  - 1008a b c d  + 1680a b c d  - 420b c d )x
+--R     + 
+--R                 5 2 7        4 3   6        3 4 2 5        2 5 3 4
+--R           - 672a b d  + 3024a b c d  - 5292a b c d  + 3780a b c d
+--R         + 
+--R                   6 4 3       7 5 2
+--R           - 630a b c d  - 126b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                  6   7        5 2   6        4 3 2 5        3 4 3 4
+--R           - 1008a b d  + 3696a b c d  - 5208a b c d  + 3080a b c d
+--R         + 
+--R                 2 5 4 3        6 5 2      7 6
+--R           - 420a b c d  - 84a b c d  - 28b c d
+--R      *
+--R         x
+--R     + 
+--R             7 7        6     6        5 2 2 5       4 3 3 4       3 4 4 3
+--R       - 357a d  + 1239a b c d  - 1617a b c d  + 875a b c d  - 105a b c d
+--R     + 
+--R            2 5 5 2       6 6      7 7
+--R       - 21a b c d  - 7a b c d - 3b c
+--R  /
+--R        12 4        11 3      2 10 2      3 9       4 8
+--R     12b  x  + 48a b  x  + 72a b  x  + 48a b x + 12a b
+--R                                                    Type: Expression(Integer)
+--E 667
+
+--S 668 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                  3 4 7        2 5   6          6 2 5       7 3 4  4
+--R           (- 420a b d  + 1260a b c d  - 1260a b c d  + 420b c d )x
+--R         + 
+--R                   4 3 7        3 4   6        2 5 2 5          6 3 4  3
+--R           (- 1680a b d  + 5040a b c d  - 5040a b c d  + 1680a b c d )x
+--R         + 
+--R                   5 2 7        4 3   6        3 4 2 5        2 5 3 4  2
+--R           (- 2520a b d  + 7560a b c d  - 7560a b c d  + 2520a b c d )x
+--R         + 
+--R                   6   7        5 2   6        4 3 2 5        3 4 3 4
+--R           (- 1680a b d  + 5040a b c d  - 5040a b c d  + 1680a b c d )x
+--R         + 
+--R                 7 7        6     6        5 2 2 5       4 3 3 4
+--R           - 420a d  + 1260a b c d  - 1260a b c d  + 420a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         7 7 7           6 7      7   6  6
+--R       4b d x  + (- 14a b d  + 42b c d )x
+--R     + 
+--R           2 5 7         6   6       7 2 5  5
+--R       (84a b d  - 252a b c d  + 252b c d )x
+--R     + 
+--R            3 4 7        2 5   6          6 2 5  4
+--R       (556a b d  - 1428a b c d  + 1008a b c d )x
+--R     + 
+--R            4 3 7       3 4   6        2 5 2 5          6 3 4       7 4 3  3
+--R       (544a b d  - 672a b c d  - 1008a b c d  + 1680a b c d  - 420b c d )x
+--R     + 
+--R                 5 2 7        4 3   6        3 4 2 5        2 5 3 4
+--R           - 444a b d  + 2772a b c d  - 5292a b c d  + 3780a b c d
+--R         + 
+--R                   6 4 3       7 5 2
+--R           - 630a b c d  - 126b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                 6   7        5 2   6        4 3 2 5        3 4 3 4
+--R           - 856a b d  + 3528a b c d  - 5208a b c d  + 3080a b c d
+--R         + 
+--R                 2 5 4 3        6 5 2      7 6
+--R           - 420a b c d  - 84a b c d  - 28b c d
+--R      *
+--R         x
+--R     + 
+--R             7 7        6     6        5 2 2 5       4 3 3 4       3 4 4 3
+--R       - 319a d  + 1197a b c d  - 1617a b c d  + 875a b c d  - 105a b c d
+--R     + 
+--R            2 5 5 2       6 6      7 7
+--R       - 21a b c d  - 7a b c d - 3b c
+--R  /
+--R        12 4        11 3      2 10 2      3 9       4 8
+--R     12b  x  + 48a b  x  + 72a b  x  + 48a b x + 12a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 668
+
+--S 669 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R           3 7      2     6
+--R        19a d  - 21a b c d
+--R   (4)  -------------------
+--R                  8
+--R                6b
+--R                                                    Type: Expression(Integer)
+--E 669
+
+--S 670 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 670
+
+)clear all
+
+--S 671 of 2952
+t0000:=(c+d*x)^7/(a+b*x)^6
+--R 
+--R
+--R   (1)
+--R    7 7       6 6      2 5 5      3 4 4      4 3 3      5 2 2     6       7
+--R   d x  + 7c d x  + 21c d x  + 35c d x  + 35c d x  + 21c d x  + 7c d x + c
+--R   ------------------------------------------------------------------------
+--R          6 6       5 5      2 4 4      3 3 3      4 2 2     5       6
+--R         b x  + 6a b x  + 15a b x  + 20a b x  + 15a b x  + 6a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 671
+
+--S 672 of 2952
+r0000:=d^6*(7*b*c-6*a*d)*x/b^7+1/2*d^7*x^2/b^6-_
+     1/5*(b*c-a*d)^7/(b^8*(a+b*x)^5)-7/4*d*(b*c-a*d)^6/(b^8*(a+b*x)^4)-_
+     7*d^2*(b*c-a*d)^5/(b^8*(a+b*x)^3)-_
+     35/2*d^3*(b*c-a*d)^4/(b^8*(a+b*x)^2)-_
+     35*d^4*(b*c-a*d)^3/(b^8*(a+b*x))+21*d^5*(b*c-a*d)^2*log(a+b*x)/b^8
+--R 
+--R
+--R   (2)
+--R                2 5 7         6   6       7 2 5  5
+--R           (420a b d  - 840a b c d  + 420b c d )x
+--R         + 
+--R                 3 4 7        2 5   6          6 2 5  4
+--R           (2100a b d  - 4200a b c d  + 2100a b c d )x
+--R         + 
+--R                 4 3 7        3 4   6        2 5 2 5  3
+--R           (4200a b d  - 8400a b c d  + 4200a b c d )x
+--R         + 
+--R                 5 2 7        4 3   6        3 4 2 5  2
+--R           (4200a b d  - 8400a b c d  + 4200a b c d )x
+--R         + 
+--R                 6   7        5 2   6        4 3 2 5         7 7       6     6
+--R           (2100a b d  - 4200a b c d  + 2100a b c d )x + 420a d  - 840a b c d
+--R         + 
+--R               5 2 2 5
+--R           420a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R          7 7 7           6 7       7   6  6          2 5 7         6   6  5
+--R       10b d x  + (- 70a b d  + 140b c d )x  + (- 500a b d  + 700a b c d )x
+--R     + 
+--R              3 4 7       2 5   6          6 2 5       7 3 4  4
+--R       (- 400a b d  - 700a b c d  + 2100a b c d  - 700b c d )x
+--R     + 
+--R             4 3 7        3 4   6        2 5 2 5          6 3 4       7 4 3  3
+--R       (1300a b d  - 5600a b c d  + 6300a b c d  - 1400a b c d  - 350b c d )x
+--R     + 
+--R                5 2 7        4 3   6        3 4 2 5        2 5 3 4         6 4 3
+--R           2700a b d  - 8400a b c d  + 7700a b c d  - 1400a b c d  - 350a b c d
+--R         + 
+--R                 7 5 2
+--R           - 140b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                6   7        5 2   6        4 3 2 5       3 4 3 4       2 5 4 3
+--R           1875a b d  - 5250a b c d  + 4375a b c d  - 700a b c d  - 175a b c d
+--R         + 
+--R                  6 5 2      7 6
+--R           - 70a b c d  - 35b c d
+--R      *
+--R         x
+--R     + 
+--R           7 7        6     6       5 2 2 5       4 3 3 4      3 4 4 3
+--R       459a d  - 1218a b c d  + 959a b c d  - 140a b c d  - 35a b c d
+--R     + 
+--R            2 5 5 2       6 6      7 7
+--R       - 14a b c d  - 7a b c d - 4b c
+--R  /
+--R        13 5         12 4       2 11 3       3 10 2       4 9       5 8
+--R     20b  x  + 100a b  x  + 200a b  x  + 200a b  x  + 100a b x + 20a b
+--R                                                    Type: Expression(Integer)
+--E 672
+
+--S 673 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                2 5 7         6   6       7 2 5  5
+--R           (420a b d  - 840a b c d  + 420b c d )x
+--R         + 
+--R                 3 4 7        2 5   6          6 2 5  4
+--R           (2100a b d  - 4200a b c d  + 2100a b c d )x
+--R         + 
+--R                 4 3 7        3 4   6        2 5 2 5  3
+--R           (4200a b d  - 8400a b c d  + 4200a b c d )x
+--R         + 
+--R                 5 2 7        4 3   6        3 4 2 5  2
+--R           (4200a b d  - 8400a b c d  + 4200a b c d )x
+--R         + 
+--R                 6   7        5 2   6        4 3 2 5         7 7       6     6
+--R           (2100a b d  - 4200a b c d  + 2100a b c d )x + 420a d  - 840a b c d
+--R         + 
+--R               5 2 2 5
+--R           420a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R          7 7 7           6 7       7   6  6          2 5 7         6   6  5
+--R       10b d x  + (- 70a b d  + 140b c d )x  + (- 500a b d  + 700a b c d )x
+--R     + 
+--R              3 4 7       2 5   6          6 2 5       7 3 4  4
+--R       (- 400a b d  - 700a b c d  + 2100a b c d  - 700b c d )x
+--R     + 
+--R             4 3 7        3 4   6        2 5 2 5          6 3 4       7 4 3  3
+--R       (1300a b d  - 5600a b c d  + 6300a b c d  - 1400a b c d  - 350b c d )x
+--R     + 
+--R                5 2 7        4 3   6        3 4 2 5        2 5 3 4         6 4 3
+--R           2700a b d  - 8400a b c d  + 7700a b c d  - 1400a b c d  - 350a b c d
+--R         + 
+--R                 7 5 2
+--R           - 140b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                6   7        5 2   6        4 3 2 5       3 4 3 4       2 5 4 3
+--R           1875a b d  - 5250a b c d  + 4375a b c d  - 700a b c d  - 175a b c d
+--R         + 
+--R                  6 5 2      7 6
+--R           - 70a b c d  - 35b c d
+--R      *
+--R         x
+--R     + 
+--R           7 7        6     6       5 2 2 5       4 3 3 4      3 4 4 3
+--R       459a d  - 1218a b c d  + 959a b c d  - 140a b c d  - 35a b c d
+--R     + 
+--R            2 5 5 2       6 6      7 7
+--R       - 14a b c d  - 7a b c d - 4b c
+--R  /
+--R        13 5         12 4       2 11 3       3 10 2       4 9       5 8
+--R     20b  x  + 100a b  x  + 200a b  x  + 200a b  x  + 100a b x + 20a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 673
+
+--S 674 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 674
+
+--S 675 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 675
+
+)clear all
+
+--S 676 of 2952
+t0000:=(c+d*x)^7/(a+b*x)^7
+--R 
+--R
+--R   (1)
+--R    7 7       6 6      2 5 5      3 4 4      4 3 3      5 2 2     6       7
+--R   d x  + 7c d x  + 21c d x  + 35c d x  + 35c d x  + 21c d x  + 7c d x + c
+--R   ------------------------------------------------------------------------
+--R    7 7       6 6      2 5 5      3 4 4      4 3 3      5 2 2     6       7
+--R   b x  + 7a b x  + 21a b x  + 35a b x  + 35a b x  + 21a b x  + 7a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 676
+
+--S 677 of 2952
+r0000:=d^7*x/b^7-1/6*(b*c-a*d)^7/(b^8*(a+b*x)^6)-_
+     7/5*d*(b*c-a*d)^6/(b^8*(a+b*x)^5)-_
+     21/4*d^2*(b*c-a*d)^5/(b^8*(a+b*x)^4)-_
+     35/3*d^3*(b*c-a*d)^4/(b^8*(a+b*x)^3)-_
+     35/2*d^4*(b*c-a*d)^3/(b^8*(a+b*x)^2)-_
+     21*d^5*(b*c-a*d)^2/(b^8*(a+b*x))+7*d^6*(b*c-a*d)*log(a+b*x)/b^8
+--R 
+--R
+--R   (2)
+--R                    6 7       7   6  6           2 5 7          6   6  5
+--R           (- 420a b d  + 420b c d )x  + (- 2520a b d  + 2520a b c d )x
+--R         + 
+--R                   3 4 7        2 5   6  4           4 3 7        3 4   6  3
+--R           (- 6300a b d  + 6300a b c d )x  + (- 8400a b d  + 8400a b c d )x
+--R         + 
+--R                   5 2 7        4 3   6  2           6   7        5 2   6
+--R           (- 6300a b d  + 6300a b c d )x  + (- 2520a b d  + 2520a b c d )x
+--R         + 
+--R                 7 7       6     6
+--R           - 420a d  + 420a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R          7 7 7         6 7 6          2 5 7          6   6        7 2 5  5
+--R       60b d x  + 360a b d x  + (- 360a b d  + 2520a b c d  - 1260b c d )x
+--R     + 
+--R               3 4 7        2 5   6          6 2 5        7 3 4  4
+--R       (- 4050a b d  + 9450a b c d  - 3150a b c d  - 1050b c d )x
+--R     + 
+--R                    4 3 7         3 4   6        2 5 2 5          6 3 4
+--R             - 8200a b d  + 15400a b c d  - 4200a b c d  - 1400a b c d
+--R           + 
+--R                   7 4 3
+--R             - 700b c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                  5 2 7         4 3   6        3 4 2 5        2 5 3 4
+--R           - 7725a b d  + 13125a b c d  - 3150a b c d  - 1050a b c d
+--R         + 
+--R                   6 4 3       7 5 2
+--R           - 525a b c d  - 315b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                  6   7        5 2   6        4 3 2 5       3 4 3 4
+--R           - 3594a b d  + 5754a b c d  - 1260a b c d  - 420a b c d
+--R         + 
+--R                 2 5 4 3         6 5 2      7 6
+--R           - 210a b c d  - 126a b c d  - 84b c d
+--R      *
+--R         x
+--R     + 
+--R             7 7        6     6       5 2 2 5      4 3 3 4      3 4 4 3
+--R       - 669a d  + 1029a b c d  - 210a b c d  - 70a b c d  - 35a b c d
+--R     + 
+--R            2 5 5 2        6 6       7 7
+--R       - 21a b c d  - 14a b c d - 10b c
+--R  /
+--R          14 6         13 5       2 12 4        3 11 3       4 10 2       5 9
+--R       60b  x  + 360a b  x  + 900a b  x  + 1200a b  x  + 900a b  x  + 360a b x
+--R     + 
+--R          6 8
+--R       60a b
+--R                                                    Type: Expression(Integer)
+--E 677
+
+--S 678 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                    6 7       7   6  6           2 5 7          6   6  5
+--R           (- 420a b d  + 420b c d )x  + (- 2520a b d  + 2520a b c d )x
+--R         + 
+--R                   3 4 7        2 5   6  4           4 3 7        3 4   6  3
+--R           (- 6300a b d  + 6300a b c d )x  + (- 8400a b d  + 8400a b c d )x
+--R         + 
+--R                   5 2 7        4 3   6  2           6   7        5 2   6
+--R           (- 6300a b d  + 6300a b c d )x  + (- 2520a b d  + 2520a b c d )x
+--R         + 
+--R                 7 7       6     6
+--R           - 420a d  + 420a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R          7 7 7         6 7 6          2 5 7          6   6        7 2 5  5
+--R       60b d x  + 360a b d x  + (- 360a b d  + 2520a b c d  - 1260b c d )x
+--R     + 
+--R               3 4 7        2 5   6          6 2 5        7 3 4  4
+--R       (- 4050a b d  + 9450a b c d  - 3150a b c d  - 1050b c d )x
+--R     + 
+--R                    4 3 7         3 4   6        2 5 2 5          6 3 4
+--R             - 8200a b d  + 15400a b c d  - 4200a b c d  - 1400a b c d
+--R           + 
+--R                   7 4 3
+--R             - 700b c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                  5 2 7         4 3   6        3 4 2 5        2 5 3 4
+--R           - 7725a b d  + 13125a b c d  - 3150a b c d  - 1050a b c d
+--R         + 
+--R                   6 4 3       7 5 2
+--R           - 525a b c d  - 315b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                  6   7        5 2   6        4 3 2 5       3 4 3 4
+--R           - 3594a b d  + 5754a b c d  - 1260a b c d  - 420a b c d
+--R         + 
+--R                 2 5 4 3         6 5 2      7 6
+--R           - 210a b c d  - 126a b c d  - 84b c d
+--R      *
+--R         x
+--R     + 
+--R             7 7        6     6       5 2 2 5      4 3 3 4      3 4 4 3
+--R       - 669a d  + 1029a b c d  - 210a b c d  - 70a b c d  - 35a b c d
+--R     + 
+--R            2 5 5 2        6 6       7 7
+--R       - 21a b c d  - 14a b c d - 10b c
+--R  /
+--R          14 6         13 5       2 12 4        3 11 3       4 10 2       5 9
+--R       60b  x  + 360a b  x  + 900a b  x  + 1200a b  x  + 900a b  x  + 360a b x
+--R     + 
+--R          6 8
+--R       60a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 678
+
+--S 679 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 679
+
+--S 680 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 680
+
+)clear all
+
+--S 681 of 2952
+t0000:=(c+d*x)^7/(a+b*x)^8
+--R 
+--R
+--R   (1)
+--R      7 7       6 6      2 5 5      3 4 4      4 3 3      5 2 2     6       7
+--R     d x  + 7c d x  + 21c d x  + 35c d x  + 35c d x  + 21c d x  + 7c d x + c
+--R  /
+--R        8 8       7 7      2 6 6      3 5 5      4 4 4      5 3 3      6 2 2
+--R       b x  + 8a b x  + 28a b x  + 56a b x  + 70a b x  + 56a b x  + 28a b x
+--R     + 
+--R         7       8
+--R       8a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 681
+
+--S 682 of 2952
+r0000:=-1/7*(b*c-a*d)^7/(b^8*(a+b*x)^7)-7/6*d*(b*c-a*d)^6/(b^8*(a+b*x)^6)-_
+     21/5*d^2*(b*c-a*d)^5/(b^8*(a+b*x)^5)-_
+     35/4*d^3*(b*c-a*d)^4/(b^8*(a+b*x)^4)-_
+     35/3*d^4*(b*c-a*d)^3/(b^8*(a+b*x)^3)-_
+     21/2*d^5*(b*c-a*d)^2/(b^8*(a+b*x)^2)-_
+     7*d^6*(b*c-a*d)/(b^8*(a+b*x))+d^7*log(a+b*x)/b^8
+--R 
+--R
+--R   (2)
+--R               7 7 7          6 7 6        2 5 7 5         3 4 7 4
+--R           420b d x  + 2940a b d x  + 8820a b d x  + 14700a b d x
+--R         + 
+--R                 4 3 7 3        5 2 7 2        6   7        7 7
+--R           14700a b d x  + 8820a b d x  + 2940a b d x + 420a d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R               6 7        7   6  6          2 5 7          6   6        7 2 5  5
+--R       (2940a b d  - 2940b c d )x  + (13230a b d  - 8820a b c d  - 4410b c d )x
+--R     + 
+--R              3 4 7         2 5   6          6 2 5        7 3 4  4
+--R       (26950a b d  - 14700a b c d  - 7350a b c d  - 4900b c d )x
+--R     + 
+--R                   4 3 7         3 4   6        2 5 2 5          6 3 4
+--R             30625a b d  - 14700a b c d  - 7350a b c d  - 4900a b c d
+--R           + 
+--R                    7 4 3
+--R             - 3675b c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                 5 2 7        4 3   6        3 4 2 5        2 5 3 4
+--R           20139a b d  - 8820a b c d  - 4410a b c d  - 2940a b c d
+--R         + 
+--R                    6 4 3        7 5 2
+--R           - 2205a b c d  - 1764b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                6   7        5 2   6        4 3 2 5       3 4 3 4       2 5 4 3
+--R           7203a b d  - 2940a b c d  - 1470a b c d  - 980a b c d  - 735a b c d
+--R         + 
+--R                   6 5 2       7 6
+--R           - 588a b c d  - 490b c d
+--R      *
+--R         x
+--R     + 
+--R            7 7       6     6       5 2 2 5       4 3 3 4       3 4 4 3
+--R       1089a d  - 420a b c d  - 210a b c d  - 140a b c d  - 105a b c d
+--R     + 
+--R            2 5 5 2        6 6       7 7
+--R       - 84a b c d  - 70a b c d - 60b c
+--R  /
+--R           15 7          14 6        2 13 5         3 12 4         4 11 3
+--R       420b  x  + 2940a b  x  + 8820a b  x  + 14700a b  x  + 14700a b  x
+--R     + 
+--R            5 10 2        6 9        7 8
+--R       8820a b  x  + 2940a b x + 420a b
+--R                                                    Type: Expression(Integer)
+--E 682
+
+--S 683 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R               7 7 7          6 7 6        2 5 7 5         3 4 7 4
+--R           420b d x  + 2940a b d x  + 8820a b d x  + 14700a b d x
+--R         + 
+--R                 4 3 7 3        5 2 7 2        6   7        7 7
+--R           14700a b d x  + 8820a b d x  + 2940a b d x + 420a d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R               6 7        7   6  6          2 5 7          6   6        7 2 5  5
+--R       (2940a b d  - 2940b c d )x  + (13230a b d  - 8820a b c d  - 4410b c d )x
+--R     + 
+--R              3 4 7         2 5   6          6 2 5        7 3 4  4
+--R       (26950a b d  - 14700a b c d  - 7350a b c d  - 4900b c d )x
+--R     + 
+--R                   4 3 7         3 4   6        2 5 2 5          6 3 4
+--R             30625a b d  - 14700a b c d  - 7350a b c d  - 4900a b c d
+--R           + 
+--R                    7 4 3
+--R             - 3675b c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                 5 2 7        4 3   6        3 4 2 5        2 5 3 4
+--R           20139a b d  - 8820a b c d  - 4410a b c d  - 2940a b c d
+--R         + 
+--R                    6 4 3        7 5 2
+--R           - 2205a b c d  - 1764b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                6   7        5 2   6        4 3 2 5       3 4 3 4       2 5 4 3
+--R           7203a b d  - 2940a b c d  - 1470a b c d  - 980a b c d  - 735a b c d
+--R         + 
+--R                   6 5 2       7 6
+--R           - 588a b c d  - 490b c d
+--R      *
+--R         x
+--R     + 
+--R            7 7       6     6       5 2 2 5       4 3 3 4       3 4 4 3
+--R       1089a d  - 420a b c d  - 210a b c d  - 140a b c d  - 105a b c d
+--R     + 
+--R            2 5 5 2        6 6       7 7
+--R       - 84a b c d  - 70a b c d - 60b c
+--R  /
+--R           15 7          14 6        2 13 5         3 12 4         4 11 3
+--R       420b  x  + 2940a b  x  + 8820a b  x  + 14700a b  x  + 14700a b  x
+--R     + 
+--R            5 10 2        6 9        7 8
+--R       8820a b  x  + 2940a b x + 420a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 683
+
+--S 684 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 684
+
+--S 685 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 685
+
+)clear all
+
+--S 686 of 2952
+t0000:=(c+d*x)^7/(a+b*x)^9
+--R 
+--R
+--R   (1)
+--R      7 7       6 6      2 5 5      3 4 4      4 3 3      5 2 2     6       7
+--R     d x  + 7c d x  + 21c d x  + 35c d x  + 35c d x  + 21c d x  + 7c d x + c
+--R  /
+--R        9 9       8 8      2 7 7      3 6 6       4 5 5       5 4 4      6 3 3
+--R       b x  + 9a b x  + 36a b x  + 84a b x  + 126a b x  + 126a b x  + 84a b x
+--R     + 
+--R          7 2 2     8       9
+--R       36a b x  + 9a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 686
+
+--S 687 of 2952
+r0000:=-1/8*(c+d*x)^8/((b*c-a*d)*(a+b*x)^8)
+--R 
+--R
+--R   (2)
+--R       1  8 8      7 7   7  2 6 6     3 5 5   35  4 4 4     5 3 3   7  6 2 2
+--R       - d x  + c d x  + - c d x  + 7c d x  + -- c d x  + 7c d x  + - c d x
+--R       8                 2                     4                    2
+--R     + 
+--R        7      1  8
+--R       c d x + - c
+--R               8
+--R  /
+--R           8     9   8      2 7        8   7       3 6       2 7   6
+--R       (a b d - b c)x  + (8a b d - 8a b c)x  + (28a b d - 28a b c)x
+--R     + 
+--R           4 5       3 6   5       5 4       4 5   4       6 3       5 4   3
+--R       (56a b d - 56a b c)x  + (70a b d - 70a b c)x  + (56a b d - 56a b c)x
+--R     + 
+--R           7 2       6 3   2      8        7 2       9     8
+--R       (28a b d - 28a b c)x  + (8a b d - 8a b c)x + a d - a b c
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 687
+
+--S 688 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R           7 7 7           6 7      7   6  6
+--R       - 8b d x  + (- 28a b d  - 28b c d )x
+--R     + 
+--R             2 5 7        6   6      7 2 5  5
+--R       (- 56a b d  - 56a b c d  - 56b c d )x
+--R     + 
+--R             3 4 7      2 5   6        6 2 5      7 3 4  4
+--R       (- 70a b d  - 70a b c d  - 70a b c d  - 70b c d )x
+--R     + 
+--R             4 3 7      3 4   6      2 5 2 5        6 3 4      7 4 3  3
+--R       (- 56a b d  - 56a b c d  - 56a b c d  - 56a b c d  - 56b c d )x
+--R     + 
+--R                5 2 7      4 3   6      3 4 2 5      2 5 3 4        6 4 3
+--R           - 28a b d  - 28a b c d  - 28a b c d  - 28a b c d  - 28a b c d
+--R         + 
+--R                7 5 2
+--R           - 28b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R               6   7     5 2   6     4 3 2 5     3 4 3 4     2 5 4 3       6 5 2
+--R           - 8a b d  - 8a b c d  - 8a b c d  - 8a b c d  - 8a b c d  - 8a b c d
+--R         + 
+--R               7 6
+--R           - 8b c d
+--R      *
+--R         x
+--R     + 
+--R          7 7    6     6    5 2 2 5    4 3 3 4    3 4 4 3    2 5 5 2      6 6
+--R       - a d  - a b c d  - a b c d  - a b c d  - a b c d  - a b c d  - a b c d
+--R     + 
+--R          7 7
+--R       - b c
+--R  /
+--R         16 8        15 7       2 14 6       3 13 5       4 12 4       5 11 3
+--R       8b  x  + 64a b  x  + 224a b  x  + 448a b  x  + 560a b  x  + 448a b  x
+--R     + 
+--R           6 10 2      7 9      8 8
+--R       224a b  x  + 64a b x + 8a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 688
+
+--S 689 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R                 8
+--R                d
+--R   (4)  - -------------
+--R              8      9
+--R          8a b d - 8b c
+--R                                                    Type: Expression(Integer)
+--E 689
+
+--S 690 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 690
+
+)clear all
+
+--S 691 of 2952
+t0000:=(c+d*x)^7/(a+b*x)^10
+--R 
+--R
+--R   (1)
+--R      7 7       6 6      2 5 5      3 4 4      4 3 3      5 2 2     6       7
+--R     d x  + 7c d x  + 21c d x  + 35c d x  + 35c d x  + 21c d x  + 7c d x + c
+--R  /
+--R        10 10        9 9      2 8 8       3 7 7       4 6 6       5 5 5
+--R       b  x   + 10a b x  + 45a b x  + 120a b x  + 210a b x  + 252a b x
+--R     + 
+--R           6 4 4       7 3 3      8 2 2      9       10
+--R       210a b x  + 120a b x  + 45a b x  + 10a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 691
+
+--S 692 of 2952
+r0000:=-1/9*(c+d*x)^8/((b*c-a*d)*(a+b*x)^9)+_
+     1/72*d*(c+d*x)^8/((b*c-a*d)^2*(a+b*x)^8)
+--R 
+--R
+--R   (2)
+--R        1    9 9   1    9 8         8   1    2 7  7    7    2 7   7    3 6  6
+--R       -- b d x  + - a d x  + (a c d  - - b c d )x  + (- a c d  - - b c d )x
+--R       72          8                    2              2          3
+--R     + 
+--R            3 6   21    4 5  5    35    4 5       5 4  4
+--R       (7a c d  - -- b c d )x  + (-- a c d  - 7b c d )x
+--R                   4               4
+--R     + 
+--R            5 4   35    6 3  3    7    6 3       7 2  2       7 2   7    8
+--R       (7a c d  - -- b c d )x  + (- a c d  - 3b c d )x  + (a c d  - - b c d)x
+--R                   6              2                                 8
+--R     + 
+--R       1    8    1    9
+--R       - a c d - - b c
+--R       8         9
+--R  /
+--R         2 9 2       10       11 2  9      3 8 2      2 9          10 2  8
+--R       (a b d  - 2a b  c d + b  c )x  + (9a b d  - 18a b c d + 9a b  c )x
+--R     + 
+--R           4 7 2      3 8         2 9 2  7
+--R       (36a b d  - 72a b c d + 36a b c )x
+--R     + 
+--R           5 6 2       4 7         3 8 2  6
+--R       (84a b d  - 168a b c d + 84a b c )x
+--R     + 
+--R            6 5 2       5 6          4 7 2  5
+--R       (126a b d  - 252a b c d + 126a b c )x
+--R     + 
+--R            7 4 2       6 5          5 6 2  4
+--R       (126a b d  - 252a b c d + 126a b c )x
+--R     + 
+--R           8 3 2       7 4         6 5 2  3
+--R       (84a b d  - 168a b c d + 84a b c )x
+--R     + 
+--R           9 2 2      8 3         7 4 2  2      10   2      9 2        8 3 2
+--R       (36a b d  - 72a b c d + 36a b c )x  + (9a  b d  - 18a b c d + 9a b c )x
+--R     + 
+--R        11 2     10         9 2 2
+--R       a  d  - 2a  b c d + a b c
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 692
+
+--S 693 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R            7 7 7           6 7       7   6  6
+--R       - 36b d x  + (- 84a b d  - 168b c d )x
+--R     + 
+--R              2 5 7         6   6       7 2 5  5
+--R       (- 126a b d  - 252a b c d  - 378b c d )x
+--R     + 
+--R              3 4 7       2 5   6         6 2 5       7 3 4  4
+--R       (- 126a b d  - 252a b c d  - 378a b c d  - 504b c d )x
+--R     + 
+--R             4 3 7       3 4   6       2 5 2 5         6 3 4       7 4 3  3
+--R       (- 84a b d  - 168a b c d  - 252a b c d  - 336a b c d  - 420b c d )x
+--R     + 
+--R                5 2 7      4 3   6       3 4 2 5       2 5 3 4         6 4 3
+--R           - 36a b d  - 72a b c d  - 108a b c d  - 144a b c d  - 180a b c d
+--R         + 
+--R                 7 5 2
+--R           - 216b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R               6   7      5 2   6      4 3 2 5      3 4 3 4      2 5 4 3
+--R           - 9a b d  - 18a b c d  - 27a b c d  - 36a b c d  - 45a b c d
+--R         + 
+--R                  6 5 2      7 6
+--R           - 54a b c d  - 63b c d
+--R      *
+--R         x
+--R     + 
+--R          7 7     6     6     5 2 2 5     4 3 3 4     3 4 4 3     2 5 5 2
+--R       - a d  - 2a b c d  - 3a b c d  - 4a b c d  - 5a b c d  - 6a b c d
+--R     + 
+--R             6 6      7 7
+--R       - 7a b c d - 8b c
+--R  /
+--R          17 9         16 8        2 15 7        3 14 6        4 13 5
+--R       72b  x  + 648a b  x  + 2592a b  x  + 6048a b  x  + 9072a b  x
+--R     + 
+--R            5 12 4        6 11 3        7 10 2       8 9       9 8
+--R       9072a b  x  + 6048a b  x  + 2592a b  x  + 648a b x + 72a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 693
+
+--S 694 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R                          9
+--R                         d
+--R   (4)  - -------------------------------
+--R             2 8 2         9         10 2
+--R          72a b d  - 144a b c d + 72b  c
+--R                                                    Type: Expression(Integer)
+--E 694
+
+--S 695 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 695
+
+)clear all
+
+--S 696 of 2952
+t0000:=(c+d*x)^7/(a+b*x)^11
+--R 
+--R
+--R   (1)
+--R      7 7       6 6      2 5 5      3 4 4      4 3 3      5 2 2     6       7
+--R     d x  + 7c d x  + 21c d x  + 35c d x  + 35c d x  + 21c d x  + 7c d x + c
+--R  /
+--R        11 11        10 10      2 9 9       3 8 8       4 7 7       5 6 6
+--R       b  x   + 11a b  x   + 55a b x  + 165a b x  + 330a b x  + 462a b x
+--R     + 
+--R           6 5 5       7 4 4       8 3 3      9 2 2      10       11
+--R       462a b x  + 330a b x  + 165a b x  + 55a b x  + 11a  b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 696
+
+--S 697 of 2952
+r0000:=-1/10*(c+d*x)^8/((b*c-a*d)*(a+b*x)^10)+_
+     1/45*d*(c+d*x)^8/((b*c-a*d)^2*(a+b*x)^9)-_
+     1/360*d^2*(c+d*x)^8/((b*c-a*d)^3*(a+b*x)^8)
+--R 
+--R
+--R   (2)
+--R        1   2 10 10    1      10 9   1  2 10 8
+--R       --- b d  x   + -- a b d  x  + - a d  x
+--R       360            36             8
+--R     + 
+--R         2   9        2 8   1  2 3 7  7    7  2 2 8   14      3 7   7  2 4 6  6
+--R       (a c d  - a b c d  + - b c d )x  + (- a c d  - -- a b c d  + - b c d )x
+--R                            3              2           3            4
+--R     + 
+--R          2 3 7   21      4 6   21  2 5 5  5
+--R       (7a c d  - -- a b c d  + -- b c d )x
+--R                   2             5
+--R     + 
+--R        35  2 4 6          5 5   35  2 6 4  4
+--R       (-- a c d  - 14a b c d  + -- b c d )x
+--R         4                        6
+--R     + 
+--R          2 5 5   35      6 4     2 7 3  3
+--R       (7a c d  - -- a b c d  + 5b c d )x
+--R                   3
+--R     + 
+--R        7  2 6 4         7 3   21  2 8 2  2     2 7 3   7      8 2   7  2 9
+--R       (- a c d  - 6a b c d  + -- b c d )x  + (a c d  - - a b c d  + - b c d)x
+--R        2                       8                       4            9
+--R     + 
+--R       1  2 8 2   2      9     1  2 10
+--R       - a c d  - - a b c d + -- b c
+--R       8          9           10
+--R  /
+--R         3 10 3     2 11   2       12 2     13 3  10
+--R       (a b  d  - 3a b  c d  + 3a b  c d - b  c )x
+--R     + 
+--R           4 9 3      3 10   2      2 11 2         12 3  9
+--R       (10a b d  - 30a b  c d  + 30a b  c d - 10a b  c )x
+--R     + 
+--R           5 8 3       4 9   2       3 10 2       2 11 3  8
+--R       (45a b d  - 135a b c d  + 135a b  c d - 45a b  c )x
+--R     + 
+--R            6 7 3       5 8   2       4 9 2        3 10 3  7
+--R       (120a b d  - 360a b c d  + 360a b c d - 120a b  c )x
+--R     + 
+--R            7 6 3       6 7   2       5 8 2        4 9 3  6
+--R       (210a b d  - 630a b c d  + 630a b c d - 210a b c )x
+--R     + 
+--R            8 5 3       7 6   2       6 7 2        5 8 3  5
+--R       (252a b d  - 756a b c d  + 756a b c d - 252a b c )x
+--R     + 
+--R            9 4 3       8 5   2       7 6 2        6 7 3  4
+--R       (210a b d  - 630a b c d  + 630a b c d - 210a b c )x
+--R     + 
+--R            10 3 3       9 4   2       8 5 2        7 6 3  3
+--R       (120a  b d  - 360a b c d  + 360a b c d - 120a b c )x
+--R     + 
+--R           11 2 3       10 3   2       9 4 2       8 5 3  2
+--R       (45a  b d  - 135a  b c d  + 135a b c d - 45a b c )x
+--R     + 
+--R           12   3      11 2   2      10 3 2       9 4 3      13 3     12     2
+--R       (10a  b d  - 30a  b c d  + 30a  b c d - 10a b c )x + a  d  - 3a  b c d
+--R     + 
+--R         11 2 2     10 3 3
+--R       3a  b c d - a  b c
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 697
+
+--S 698 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R             7 7 7            6 7       7   6  6
+--R       - 120b d x  + (- 210a b d  - 630b c d )x
+--R     + 
+--R              2 5 7         6   6        7 2 5  5
+--R       (- 252a b d  - 756a b c d  - 1512b c d )x
+--R     + 
+--R              3 4 7       2 5   6          6 2 5        7 3 4  4
+--R       (- 210a b d  - 630a b c d  - 1260a b c d  - 2100b c d )x
+--R     + 
+--R              4 3 7       3 4   6       2 5 2 5          6 3 4        7 4 3  3
+--R       (- 120a b d  - 360a b c d  - 720a b c d  - 1200a b c d  - 1800b c d )x
+--R     + 
+--R                5 2 7       4 3   6       3 4 2 5       2 5 3 4         6 4 3
+--R           - 45a b d  - 135a b c d  - 270a b c d  - 450a b c d  - 675a b c d
+--R         + 
+--R                 7 5 2
+--R           - 945b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                6   7      5 2   6      4 3 2 5       3 4 3 4       2 5 4 3
+--R           - 10a b d  - 30a b c d  - 60a b c d  - 100a b c d  - 150a b c d
+--R         + 
+--R                   6 5 2       7 6
+--R           - 210a b c d  - 280b c d
+--R      *
+--R         x
+--R     + 
+--R          7 7     6     6     5 2 2 5      4 3 3 4      3 4 4 3      2 5 5 2
+--R       - a d  - 3a b c d  - 6a b c d  - 10a b c d  - 15a b c d  - 21a b c d
+--R     + 
+--R              6 6       7 7
+--R       - 28a b c d - 36b c
+--R  /
+--R           18 10          17 9         2 16 8         3 15 7         4 14 6
+--R       360b  x   + 3600a b  x  + 16200a b  x  + 43200a b  x  + 75600a b  x
+--R     + 
+--R             5 13 5         6 12 4         7 11 3         8 10 2        9 9
+--R       90720a b  x  + 75600a b  x  + 43200a b  x  + 16200a b  x  + 3600a b x
+--R     + 
+--R           10 8
+--R       360a  b
+--R                                         Type: Union(Expression(Integer),...)
+--E 698
+
+--S 699 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R                                   10
+--R                                  d
+--R   (4)  - --------------------------------------------------
+--R              3 8 3        2 9   2          10 2        11 3
+--R          360a b d  - 1080a b c d  + 1080a b  c d - 360b  c
+--R                                                    Type: Expression(Integer)
+--E 699
+
+--S 700 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 700
+
+)clear all
+
+--S 701 of 2952
+t0000:=(c+d*x)^7/(a+b*x)^12
+--R 
+--R
+--R   (1)
+--R      7 7       6 6      2 5 5      3 4 4      4 3 3      5 2 2     6       7
+--R     d x  + 7c d x  + 21c d x  + 35c d x  + 35c d x  + 21c d x  + 7c d x + c
+--R  /
+--R        12 12        11 11      2 10 10       3 9 9       4 8 8       5 7 7
+--R       b  x   + 12a b  x   + 66a b  x   + 220a b x  + 495a b x  + 792a b x
+--R     + 
+--R         6 6 6       7 5 5       8 4 4       9 3 3      10 2 2      11       12
+--R     924a b x  + 792a b x  + 495a b x  + 220a b x  + 66a  b x  + 12a  b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 701
+
+--S 702 of 2952
+r0000:=-1/11*(c+d*x)^8/((b*c-a*d)*(a+b*x)^11)+_
+     3/110*d*(c+d*x)^8/((b*c-a*d)^2*(a+b*x)^10)-_
+     1/165*d^2*(c+d*x)^8/((b*c-a*d)^3*(a+b*x)^9)+_
+     1/1320*d^3*(c+d*x)^8/((b*c-a*d)^4*(a+b*x)^8)
+--R 
+--R
+--R   (2)
+--R         1   3 11 11    1     2 11 10    1  2   11 9   1  3 11 8
+--R       ---- b d  x   + --- a b d  x   + -- a b d  x  + - a d  x
+--R       1320            120              24             8
+--R     + 
+--R         3   10   3  2   2 9      2 3 8   1  3 4 7  7
+--R       (a c d   - - a b c d  + a b c d  - - b c d )x
+--R                  2                       4
+--R     + 
+--R        7  3 2 9     2   3 8   21    2 4 7   7  3 5 6  6
+--R       (- a c d  - 7a b c d  + -- a b c d  - - b c d )x
+--R        2                       4            5
+--R     + 
+--R          3 3 8   63  2   4 7   63    2 5 6   7  3 6 5  5
+--R       (7a c d  - -- a b c d  + -- a b c d  - - b c d )x
+--R                   4             5            2
+--R     + 
+--R        35  3 4 7      2   5 6   35    2 6 5     3 7 4  4
+--R       (-- a c d  - 21a b c d  + -- a b c d  - 5b c d )x
+--R         4                        2
+--R     + 
+--R          3 5 6   35  2   6 5        2 7 4   35  3 8 3  3
+--R       (7a c d  - -- a b c d  + 15a b c d  - -- b c d )x
+--R                   2                          8
+--R     + 
+--R        7  3 6 5     2   7 4   63    2 8 3   7  3 9 2  2
+--R       (- a c d  - 9a b c d  + -- a b c d  - - b c d )x
+--R        2                       8            3
+--R     + 
+--R         3 7 4   21  2   8 3   7    2 9 2    7  3 10      1  3 8 3   1  2   9 2
+--R       (a c d  - -- a b c d  + - a b c d  - -- b c  d)x + - a c d  - - a b c d
+--R                  8            3            10            8          3
+--R     + 
+--R        3    2 10     1  3 11
+--R       -- a b c  d - -- b c
+--R       10            11
+--R  /
+--R         4 11 4     3 12   3     2 13 2 2       14 3     15 4  11
+--R       (a b  d  - 4a b  c d  + 6a b  c d  - 4a b  c d + b  c )x
+--R     + 
+--R           5 10 4      4 11   3      3 12 2 2      2 13 3         14 4  10
+--R       (11a b  d  - 44a b  c d  + 66a b  c d  - 44a b  c d + 11a b  c )x
+--R     + 
+--R           6 9 4       5 10   3       4 11 2 2       3 12 3       2 13 4  9
+--R       (55a b d  - 220a b  c d  + 330a b  c d  - 220a b  c d + 55a b  c )x
+--R     + 
+--R            7 8 4       6 9   3       5 10 2 2       4 11 3        3 12 4  8
+--R       (165a b d  - 660a b c d  + 990a b  c d  - 660a b  c d + 165a b  c )x
+--R     + 
+--R            8 7 4        7 8   3        6 9 2 2        5 10 3        4 11 4  7
+--R       (330a b d  - 1320a b c d  + 1980a b c d  - 1320a b  c d + 330a b  c )x
+--R     + 
+--R            9 6 4        8 7   3        7 8 2 2        6 9 3        5 10 4  6
+--R       (462a b d  - 1848a b c d  + 2772a b c d  - 1848a b c d + 462a b  c )x
+--R     + 
+--R            10 5 4        9 6   3        8 7 2 2        7 8 3        6 9 4  5
+--R       (462a  b d  - 1848a b c d  + 2772a b c d  - 1848a b c d + 462a b c )x
+--R     + 
+--R            11 4 4        10 5   3        9 6 2 2        8 7 3        7 8 4  4
+--R       (330a  b d  - 1320a  b c d  + 1980a b c d  - 1320a b c d + 330a b c )x
+--R     + 
+--R            12 3 4       11 4   3       10 5 2 2       9 6 3        8 7 4  3
+--R       (165a  b d  - 660a  b c d  + 990a  b c d  - 660a b c d + 165a b c )x
+--R     + 
+--R           13 2 4       12 3   3       11 4 2 2       10 5 3       9 6 4  2
+--R       (55a  b d  - 220a  b c d  + 330a  b c d  - 220a  b c d + 55a b c )x
+--R     + 
+--R           14   4      13 2   3      12 3 2 2      11 4 3       10 5 4      15 4
+--R       (11a  b d  - 44a  b c d  + 66a  b c d  - 44a  b c d + 11a  b c )x + a  d
+--R     + 
+--R           14     3     13 2 2 2     12 3 3     11 4 4
+--R       - 4a  b c d  + 6a  b c d  - 4a  b c d + a  b c
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 702
+
+--S 703 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R             7 7 7            6 7        7   6  6
+--R       - 330b d x  + (- 462a b d  - 1848b c d )x
+--R     + 
+--R              2 5 7          6   6        7 2 5  5
+--R       (- 462a b d  - 1848a b c d  - 4620b c d )x
+--R     + 
+--R              3 4 7        2 5   6          6 2 5        7 3 4  4
+--R       (- 330a b d  - 1320a b c d  - 3300a b c d  - 6600b c d )x
+--R     + 
+--R              4 3 7       3 4   6        2 5 2 5          6 3 4        7 4 3  3
+--R       (- 165a b d  - 660a b c d  - 1650a b c d  - 3300a b c d  - 5775b c d )x
+--R     + 
+--R                5 2 7       4 3   6       3 4 2 5        2 5 3 4          6 4 3
+--R           - 55a b d  - 220a b c d  - 550a b c d  - 1100a b c d  - 1925a b c d
+--R         + 
+--R                  7 5 2
+--R           - 3080b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                6   7      5 2   6       4 3 2 5       3 4 3 4       2 5 4 3
+--R           - 11a b d  - 44a b c d  - 110a b c d  - 220a b c d  - 385a b c d
+--R         + 
+--R                   6 5 2       7 6
+--R           - 616a b c d  - 924b c d
+--R      *
+--R         x
+--R     + 
+--R          7 7     6     6      5 2 2 5      4 3 3 4      3 4 4 3      2 5 5 2
+--R       - a d  - 4a b c d  - 10a b c d  - 20a b c d  - 35a b c d  - 56a b c d
+--R     + 
+--R              6 6        7 7
+--R       - 84a b c d - 120b c
+--R  /
+--R            19 11           18 10         2 17 9          3 16 8          4 15 7
+--R       1320b  x   + 14520a b  x   + 72600a b  x  + 217800a b  x  + 435600a b  x
+--R     + 
+--R              5 14 6          6 13 5          7 12 4          8 11 3
+--R       609840a b  x  + 609840a b  x  + 435600a b  x  + 217800a b  x
+--R     + 
+--R             9 10 2         10 9         11 8
+--R       72600a b  x  + 14520a  b x + 1320a  b
+--R                                         Type: Union(Expression(Integer),...)
+--E 703
+
+--S 704 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R                                            11
+--R                                           d
+--R   (4)  - --------------------------------------------------------------------
+--R               4 8 4        3 9   3        2 10 2 2          11 3         12 4
+--R          1320a b d  - 5280a b c d  + 7920a b  c d  - 5280a b  c d + 1320b  c
+--R                                                    Type: Expression(Integer)
+--E 704
+
+--S 705 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 705
+
+)clear all
+
+--S 706 of 2952
+t0000:=(c+d*x)^7/(a+b*x)^13
+--R 
+--R
+--R   (1)
+--R      7 7       6 6      2 5 5      3 4 4      4 3 3      5 2 2     6       7
+--R     d x  + 7c d x  + 21c d x  + 35c d x  + 35c d x  + 21c d x  + 7c d x + c
+--R  /
+--R        13 13        12 12      2 11 11       3 10 10       4 9 9        5 8 8
+--R       b  x   + 13a b  x   + 78a b  x   + 286a b  x   + 715a b x  + 1287a b x
+--R     + 
+--R            6 7 7        7 6 6        8 5 5       9 4 4       10 3 3      11 2 2
+--R       1716a b x  + 1716a b x  + 1287a b x  + 715a b x  + 286a  b x  + 78a  b x
+--R     + 
+--R          12       13
+--R       13a  b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 706
+
+--S 707 of 2952
+r0000:=-1/12*(c+d*x)^8/((b*c-a*d)*(a+b*x)^12)+_
+     1/33*d*(c+d*x)^8/((b*c-a*d)^2*(a+b*x)^11)-_
+     1/110*d^2*(c+d*x)^8/((b*c-a*d)^3*(a+b*x)^10)+_
+     1/495*d^3*(c+d*x)^8/((b*c-a*d)^4*(a+b*x)^9)-_
+     1/3960*d^4*(c+d*x)^8/((b*c-a*d)^5*(a+b*x)^8)
+--R 
+--R
+--R   (2)
+--R         1   4 12 12    1     3 12 11    1  2 2 12 10    1  3   12 9   1  4 12 8
+--R       ---- b d  x   + --- a b d  x   + -- a b d  x   + -- a b d  x  + - a d  x
+--R       3960            330              60              18             8
+--R     + 
+--R         4   11     3   2 10     2 2 3 9      3 4 8   1  4 5 7  7
+--R       (a c d   - 2a b c d   + 2a b c d  - a b c d  + - b c d )x
+--R                                                      5
+--R     + 
+--R        7  4 2 10   28  3   3 9   21  2 2 4 8   28    3 5 7   7  4 6 6  6
+--R       (- a c d   - -- a b c d  + -- a b c d  - -- a b c d  + - b c d )x
+--R        2            3             2             5            6
+--R     + 
+--R          4 3 9      3   4 8   126  2 2 5 7        3 6 6     4 7 5  5
+--R       (7a c d  - 21a b c d  + --- a b c d  - 14a b c d  + 3b c d )x
+--R                                5
+--R     + 
+--R        35  4 4 8      3   5 7      2 2 6 6        3 7 5   35  4 8 4  4
+--R       (-- a c d  - 28a b c d  + 35a b c d  - 20a b c d  + -- b c d )x
+--R         4                                                  8
+--R     + 
+--R          4 5 7   70  3   6 6      2 2 7 5   35    3 8 4   35  4 9 3  3
+--R       (7a c d  - -- a b c d  + 30a b c d  - -- a b c d  + -- b c d )x
+--R                   3                          2             9
+--R     + 
+--R        7  4 6 6      3   7 5   63  2 2 8 4   28    3 9 3   21  4 10 2  2
+--R       (- a c d  - 12a b c d  + -- a b c d  - -- a b c d  + -- b c  d )x
+--R        2                        4             3            10
+--R     + 
+--R         4 7 5   7  3   8 4   14  2 2 9 3   14    3 10 2    7  4 11
+--R       (a c d  - - a b c d  + -- a b c d  - -- a b c  d  + -- b c  d)x
+--R                 2             3             5             11
+--R     + 
+--R       1  4 8 4   4  3   9 3   3  2 2 10 2    4    3 11     1  4 12
+--R       - a c d  - - a b c d  + - a b c  d  - -- a b c  d + -- b c
+--R       8          9            5             11            12
+--R  /
+--R         5 12 5     4 13   4      3 14 2 3      2 15 3 2       16 4     17 5  12
+--R       (a b  d  - 5a b  c d  + 10a b  c d  - 10a b  c d  + 5a b  c d - b  c )x
+--R     + 
+--R              6 11 5      5 12   4       4 13 2 3       3 14 3 2      2 15 4
+--R           12a b  d  - 60a b  c d  + 120a b  c d  - 120a b  c d  + 60a b  c d
+--R         + 
+--R                  16 5
+--R           - 12a b  c
+--R      *
+--R          11
+--R         x
+--R     + 
+--R              7 10 5       6 11   4       5 12 2 3       4 13 3 2       3 14 4
+--R           66a b  d  - 330a b  c d  + 660a b  c d  - 660a b  c d  + 330a b  c d
+--R         + 
+--R                2 15 5
+--R           - 66a b  c
+--R      *
+--R          10
+--R         x
+--R     + 
+--R               8 9 5        7 10   4        6 11 2 3        5 12 3 2
+--R           220a b d  - 1100a b  c d  + 2200a b  c d  - 2200a b  c d
+--R         + 
+--R                4 13 4        3 14 5
+--R           1100a b  c d - 220a b  c
+--R      *
+--R          9
+--R         x
+--R     + 
+--R               9 8 5        8 9   4        7 10 2 3        6 11 3 2
+--R           495a b d  - 2475a b c d  + 4950a b  c d  - 4950a b  c d
+--R         + 
+--R                5 12 4        4 13 5
+--R           2475a b  c d - 495a b  c
+--R      *
+--R          8
+--R         x
+--R     + 
+--R               10 7 5        9 8   4        8 9 2 3        7 10 3 2
+--R           792a  b d  - 3960a b c d  + 7920a b c d  - 7920a b  c d
+--R         + 
+--R                6 11 4        5 12 5
+--R           3960a b  c d - 792a b  c
+--R      *
+--R          7
+--R         x
+--R     + 
+--R               11 6 5        10 7   4        9 8 2 3        8 9 3 2
+--R           924a  b d  - 4620a  b c d  + 9240a b c d  - 9240a b c d
+--R         + 
+--R                7 10 4        6 11 5
+--R           4620a b  c d - 924a b  c
+--R      *
+--R          6
+--R         x
+--R     + 
+--R               12 5 5        11 6   4        10 7 2 3        9 8 3 2
+--R           792a  b d  - 3960a  b c d  + 7920a  b c d  - 7920a b c d
+--R         + 
+--R                8 9 4        7 10 5
+--R           3960a b c d - 792a b  c
+--R      *
+--R          5
+--R         x
+--R     + 
+--R               13 4 5        12 5   4        11 6 2 3        10 7 3 2
+--R           495a  b d  - 2475a  b c d  + 4950a  b c d  - 4950a  b c d
+--R         + 
+--R                9 8 4        8 9 5
+--R           2475a b c d - 495a b c
+--R      *
+--R          4
+--R         x
+--R     + 
+--R               14 3 5        13 4   4        12 5 2 3        11 6 3 2
+--R           220a  b d  - 1100a  b c d  + 2200a  b c d  - 2200a  b c d
+--R         + 
+--R                10 7 4        9 8 5
+--R           1100a  b c d - 220a b c
+--R      *
+--R          3
+--R         x
+--R     + 
+--R              15 2 5       14 3   4       13 4 2 3       12 5 3 2       11 6 4
+--R           66a  b d  - 330a  b c d  + 660a  b c d  - 660a  b c d  + 330a  b c d
+--R         + 
+--R                10 7 5
+--R           - 66a  b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R              16   5      15 2   4       14 3 2 3       13 4 3 2      12 5 4
+--R           12a  b d  - 60a  b c d  + 120a  b c d  - 120a  b c d  + 60a  b c d
+--R         + 
+--R                11 6 5
+--R           - 12a  b c
+--R      *
+--R         x
+--R     + 
+--R        17 5     16     4      15 2 2 3      14 3 3 2     13 4 4     12 5 5
+--R       a  d  - 5a  b c d  + 10a  b c d  - 10a  b c d  + 5a  b c d - a  b c
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 707
+
+--S 708 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R             7 7 7            6 7        7   6  6
+--R       - 792b d x  + (- 924a b d  - 4620b c d )x
+--R     + 
+--R              2 5 7          6   6         7 2 5  5
+--R       (- 792a b d  - 3960a b c d  - 11880b c d )x
+--R     + 
+--R              3 4 7        2 5   6          6 2 5         7 3 4  4
+--R       (- 495a b d  - 2475a b c d  - 7425a b c d  - 17325b c d )x
+--R     + 
+--R                   4 3 7        3 4   6        2 5 2 5          6 3 4
+--R             - 220a b d  - 1100a b c d  - 3300a b c d  - 7700a b c d
+--R           + 
+--R                     7 4 3
+--R             - 15400b c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                5 2 7       4 3   6       3 4 2 5        2 5 3 4          6 4 3
+--R           - 66a b d  - 330a b c d  - 990a b c d  - 2310a b c d  - 4620a b c d
+--R         + 
+--R                  7 5 2
+--R           - 8316b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                6   7      5 2   6       4 3 2 5       3 4 3 4       2 5 4 3
+--R           - 12a b d  - 60a b c d  - 180a b c d  - 420a b c d  - 840a b c d
+--R         + 
+--R                    6 5 2        7 6
+--R           - 1512a b c d  - 2520b c d
+--R      *
+--R         x
+--R     + 
+--R          7 7     6     6      5 2 2 5      4 3 3 4      3 4 4 3       2 5 5 2
+--R       - a d  - 5a b c d  - 15a b c d  - 35a b c d  - 70a b c d  - 126a b c d
+--R     + 
+--R               6 6        7 7
+--R       - 210a b c d - 330b c
+--R  /
+--R            20 12           19 11          2 18 10          3 17 9
+--R       3960b  x   + 47520a b  x   + 261360a b  x   + 871200a b  x
+--R     + 
+--R               4 16 8           5 15 7           6 14 6           7 13 5
+--R       1960200a b  x  + 3136320a b  x  + 3659040a b  x  + 3136320a b  x
+--R     + 
+--R             8 12 4          9 11 3          10 10 2         11 9         12 8
+--R     1960200a b  x  + 871200a b  x  + 261360a  b  x  + 47520a  b x + 3960a  b
+--R                                         Type: Union(Expression(Integer),...)
+--E 708
+
+--S 709 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R   -
+--R         12
+--R        d
+--R     /
+--R               5 8 5         4 9   4         3 10 2 3         2 11 3 2
+--R          3960a b d  - 19800a b c d  + 39600a b  c d  - 39600a b  c d
+--R        + 
+--R                  12 4         13 5
+--R          19800a b  c d - 3960b  c
+--R                                                    Type: Expression(Integer)
+--E 709
+
+--S 710 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 710
+
+)clear all
+
+--S 711 of 2952
+t0000:=(c+d*x)^7/(a+b*x)^14
+--R 
+--R
+--R   (1)
+--R      7 7       6 6      2 5 5      3 4 4      4 3 3      5 2 2     6       7
+--R     d x  + 7c d x  + 21c d x  + 35c d x  + 35c d x  + 21c d x  + 7c d x + c
+--R  /
+--R        14 14        13 13      2 12 12       3 11 11        4 10 10
+--R       b  x   + 14a b  x   + 91a b  x   + 364a b  x   + 1001a b  x
+--R     + 
+--R            5 9 9        6 8 8        7 7 7        8 6 6        9 5 5
+--R       2002a b x  + 3003a b x  + 3432a b x  + 3003a b x  + 2002a b x
+--R     + 
+--R            10 4 4       11 3 3      12 2 2      13       14
+--R       1001a  b x  + 364a  b x  + 91a  b x  + 14a  b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 711
+
+--S 712 of 2952
+r0000:=-1/13*(b*c-a*d)^7/(b^8*(a+b*x)^13)-_
+     7/12*d*(b*c-a*d)^6/(b^8*(a+b*x)^12)-_
+     21/11*d^2*(b*c-a*d)^5/(b^8*(a+b*x)^11)-_
+     7/2*d^3*(b*c-a*d)^4/(b^8*(a+b*x)^10)-_
+     35/9*d^4*(b*c-a*d)^3/(b^8*(a+b*x)^9)-_
+     21/8*d^5*(b*c-a*d)^2/(b^8*(a+b*x)^8)-_
+     d^6*(b*c-a*d)/(b^8*(a+b*x)^7)-1/6*d^7/(b^8*(a+b*x)^6)
+--R 
+--R
+--R   (2)
+--R         1  7 7 7      1    6 7    7   6  6
+--R       - - b d x  + (- - a b d  - b c d )x
+--R         6             6
+--R     + 
+--R          1  2 5 7   3    6   6   21  7 2 5  5
+--R       (- - a b d  - - a b c d  - -- b c d )x
+--R          8          4             8
+--R     + 
+--R           5  3 4 7    5  2 5   6   35    6 2 5   35  7 3 4  4
+--R       (- -- a b d  - -- a b c d  - -- a b c d  - -- b c d )x
+--R          72          12            24             9
+--R     + 
+--R           1  4 3 7   1  3 4   6    7  2 5 2 5   14    6 3 4   7  7 4 3  3
+--R       (- -- a b d  - - a b c d  - -- a b c d  - -- a b c d  - - b c d )x
+--R          36          6            12             9            2
+--R     + 
+--R              1   5 2 7    1  4 3   6    7  3 4 2 5   14  2 5 3 4   21    6 4 3
+--R           - --- a b d  - -- a b c d  - -- a b c d  - -- a b c d  - -- a b c d
+--R             132          22            44            33            22
+--R         + 
+--R             21  7 5 2
+--R           - -- b c d
+--R             11
+--R      *
+--R          2
+--R         x
+--R     + 
+--R              1   6   7    1   5 2   6    7   4 3 2 5    7  3 4 3 4
+--R           - --- a b d  - --- a b c d  - --- a b c d  - -- a b c d
+--R             792          132            264            99
+--R         + 
+--R              7  2 5 4 3    7    6 5 2    7  7 6
+--R           - -- a b c d  - -- a b c d  - -- b c d
+--R             44            22            12
+--R      *
+--R         x
+--R     + 
+--R           1    7 7     1   6     6     7   5 2 2 5     7   4 3 3 4
+--R       - ----- a d  - ---- a b c d  - ---- a b c d  - ---- a b c d
+--R         10296        1716            3432            1287
+--R     + 
+--R          7   3 4 4 3    7   2 5 5 2    7     6 6     1  7 7
+--R       - --- a b c d  - --- a b c d  - --- a b c d - -- b c
+--R         572            286            156           13
+--R  /
+--R        21 13        20 12      2 19 11       3 18 10       4 17 9        5 16 8
+--R       b  x   + 13a b  x   + 78a b  x   + 286a b  x   + 715a b  x  + 1287a b  x
+--R     + 
+--R            6 15 7        7 14 6        8 13 5       9 12 4       10 11 3
+--R       1716a b  x  + 1716a b  x  + 1287a b  x  + 715a b  x  + 286a  b  x
+--R     + 
+--R          11 10 2      12 9     13 8
+--R       78a  b  x  + 13a  b x + a  b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 712
+
+--S 713 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R              7 7 7             6 7         7   6  6
+--R       - 1716b d x  + (- 1716a b d  - 10296b c d )x
+--R     + 
+--R               2 5 7          6   6         7 2 5  5
+--R       (- 1287a b d  - 7722a b c d  - 27027b c d )x
+--R     + 
+--R              3 4 7        2 5   6           6 2 5         7 3 4  4
+--R       (- 715a b d  - 4290a b c d  - 15015a b c d  - 40040b c d )x
+--R     + 
+--R                   4 3 7        3 4   6        2 5 2 5           6 3 4
+--R             - 286a b d  - 1716a b c d  - 6006a b c d  - 16016a b c d
+--R           + 
+--R                     7 4 3
+--R             - 36036b c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                5 2 7       4 3   6        3 4 2 5        2 5 3 4          6 4 3
+--R           - 78a b d  - 468a b c d  - 1638a b c d  - 4368a b c d  - 9828a b c d
+--R         + 
+--R                   7 5 2
+--R           - 19656b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                6   7      5 2   6       4 3 2 5       3 4 3 4        2 5 4 3
+--R           - 13a b d  - 78a b c d  - 273a b c d  - 728a b c d  - 1638a b c d
+--R         + 
+--R                    6 5 2        7 6
+--R           - 3276a b c d  - 6006b c d
+--R      *
+--R         x
+--R     + 
+--R          7 7     6     6      5 2 2 5      4 3 3 4       3 4 4 3       2 5 5 2
+--R       - a d  - 6a b c d  - 21a b c d  - 56a b c d  - 126a b c d  - 252a b c d
+--R     + 
+--R               6 6        7 7
+--R       - 462a b c d - 792b c
+--R  /
+--R             21 13            20 12          2 19 11           3 18 10
+--R       10296b  x   + 133848a b  x   + 803088a b  x   + 2944656a b  x
+--R     + 
+--R               4 17 9            5 16 8            6 15 7            7 14 6
+--R       7361640a b  x  + 13250952a b  x  + 17667936a b  x  + 17667936a b  x
+--R     + 
+--R                8 13 5           9 12 4           10 11 3          11 10 2
+--R       13250952a b  x  + 7361640a b  x  + 2944656a  b  x  + 803088a  b  x
+--R     + 
+--R              12 9          13 8
+--R       133848a  b x + 10296a  b
+--R                                         Type: Union(Expression(Integer),...)
+--E 713
+
+--S 714 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 714
+
+--S 715 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 715
+
+)clear all
+
+--S 716 of 2952
+t0000:=(c+d*x)^7/(a+b*x)^15
+--R 
+--R
+--R   (1)
+--R      7 7       6 6      2 5 5      3 4 4      4 3 3      5 2 2     6       7
+--R     d x  + 7c d x  + 21c d x  + 35c d x  + 35c d x  + 21c d x  + 7c d x + c
+--R  /
+--R        15 15        14 14       2 13 13       3 12 12        4 11 11
+--R       b  x   + 15a b  x   + 105a b  x   + 455a b  x   + 1365a b  x
+--R     + 
+--R            5 10 10        6 9 9        7 8 8        8 7 7        9 6 6
+--R       3003a b  x   + 5005a b x  + 6435a b x  + 6435a b x  + 5005a b x
+--R     + 
+--R            10 5 5        11 4 4       12 3 3       13 2 2      14       15
+--R       3003a  b x  + 1365a  b x  + 455a  b x  + 105a  b x  + 15a  b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 716
+
+--S 717 of 2952
+r0000:=-1/14*(b*c-a*d)^7/(b^8*(a+b*x)^14)-_
+     7/13*d*(b*c-a*d)^6/(b^8*(a+b*x)^13)-_
+     7/4*d^2*(b*c-a*d)^5/(b^8*(a+b*x)^12)-_
+     35/11*d^3*(b*c-a*d)^4/(b^8*(a+b*x)^11)-_
+     7/2*d^4*(b*c-a*d)^3/(b^8*(a+b*x)^10)-_
+     7/3*d^5*(b*c-a*d)^2/(b^8*(a+b*x)^9)-_
+     7/8*d^6*(b*c-a*d)/(b^8*(a+b*x)^8)-1/7*d^7/(b^8*(a+b*x)^7)
+--R 
+--R
+--R   (2)
+--R         1  7 7 7      1    6 7   7  7   6  6
+--R       - - b d x  + (- - a b d  - - b c d )x
+--R         7             8          8
+--R     + 
+--R           1  2 5 7    7    6   6   7  7 2 5  5
+--R       (- -- a b d  - -- a b c d  - - b c d )x
+--R          12          12            3
+--R     + 
+--R           1  3 4 7    7  2 5   6   7    6 2 5   7  7 3 4  4
+--R       (- -- a b d  - -- a b c d  - - a b c d  - - b c d )x
+--R          24          24            6            2
+--R     + 
+--R           1  4 3 7    7  3 4   6   14  2 5 2 5   14    6 3 4   35  7 4 3  3
+--R       (- -- a b d  - -- a b c d  - -- a b c d  - -- a b c d  - -- b c d )x
+--R          66          66            33            11            11
+--R     + 
+--R              1   5 2 7    7   4 3   6    7  3 4 2 5    7  2 5 3 4   35    6 4 3
+--R           - --- a b d  - --- a b c d  - -- a b c d  - -- a b c d  - -- a b c d
+--R             264          264            66            22            44
+--R         + 
+--R             7  7 5 2
+--R           - - b c d
+--R             4
+--R      *
+--R          2
+--R         x
+--R     + 
+--R               1   6   7     7   5 2   6    7   4 3 2 5    7   3 4 3 4
+--R           - ---- a b d  - ---- a b c d  - --- a b c d  - --- a b c d
+--R             1716          1716            429            143
+--R         + 
+--R              35  2 5 4 3    7    6 5 2    7  7 6
+--R           - --- a b c d  - -- a b c d  - -- b c d
+--R             286            26            13
+--R      *
+--R         x
+--R     + 
+--R           1    7 7     1   6     6    1   5 2 2 5    1   4 3 3 4    5   3 4 4 3
+--R       - ----- a d  - ---- a b c d  - --- a b c d  - --- a b c d  - --- a b c d
+--R         24024        3432            858            286            572
+--R     + 
+--R          1  2 5 5 2    1    6 6     1  7 7
+--R       - -- a b c d  - -- a b c d - -- b c
+--R         52            26           14
+--R  /
+--R        22 14        21 13      2 20 12       3 19 11        4 18 10
+--R       b  x   + 14a b  x   + 91a b  x   + 364a b  x   + 1001a b  x
+--R     + 
+--R            5 17 9        6 16 8        7 15 7        8 14 6        9 13 5
+--R       2002a b  x  + 3003a b  x  + 3432a b  x  + 3003a b  x  + 2002a b  x
+--R     + 
+--R            10 12 4       11 11 3      12 10 2      13 9     14 8
+--R       1001a  b  x  + 364a  b  x  + 91a  b  x  + 14a  b x + a  b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 717
+
+--S 718 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R              7 7 7             6 7         7   6  6
+--R       - 3432b d x  + (- 3003a b d  - 21021b c d )x
+--R     + 
+--R               2 5 7           6   6         7 2 5  5
+--R       (- 2002a b d  - 14014a b c d  - 56056b c d )x
+--R     + 
+--R               3 4 7        2 5   6           6 2 5         7 3 4  4
+--R       (- 1001a b d  - 7007a b c d  - 28028a b c d  - 84084b c d )x
+--R     + 
+--R                 4 3 7        3 4   6         2 5 2 5           6 3 4
+--R           - 364a b d  - 2548a b c d  - 10192a b c d  - 30576a b c d
+--R         + 
+--R                   7 4 3
+--R           - 76440b c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                5 2 7       4 3   6        3 4 2 5        2 5 3 4
+--R           - 91a b d  - 637a b c d  - 2548a b c d  - 7644a b c d
+--R         + 
+--R                     6 4 3         7 5 2
+--R           - 19110a b c d  - 42042b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                6   7      5 2   6       4 3 2 5        3 4 3 4        2 5 4 3
+--R           - 14a b d  - 98a b c d  - 392a b c d  - 1176a b c d  - 2940a b c d
+--R         + 
+--R                    6 5 2         7 6
+--R           - 6468a b c d  - 12936b c d
+--R      *
+--R         x
+--R     + 
+--R          7 7     6     6      5 2 2 5      4 3 3 4       3 4 4 3       2 5 5 2
+--R       - a d  - 7a b c d  - 28a b c d  - 84a b c d  - 210a b c d  - 462a b c d
+--R     + 
+--R               6 6         7 7
+--R       - 924a b c d - 1716b c
+--R  /
+--R             22 14            21 13           2 20 12           3 19 11
+--R       24024b  x   + 336336a b  x   + 2186184a b  x   + 8744736a b  x
+--R     + 
+--R                4 18 10            5 17 9            6 16 8            7 15 7
+--R       24048024a b  x   + 48096048a b  x  + 72144072a b  x  + 82450368a b  x
+--R     + 
+--R                8 14 6            9 13 5            10 12 4           11 11 3
+--R       72144072a b  x  + 48096048a b  x  + 24048024a  b  x  + 8744736a  b  x
+--R     + 
+--R               12 10 2          13 9          14 8
+--R       2186184a  b  x  + 336336a  b x + 24024a  b
+--R                                         Type: Union(Expression(Integer),...)
+--E 718
+
+--S 719 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 719
+
+--S 720 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 720
+
+)clear all
+
+--S 721 of 2952
+t0000:=(c+d*x)^7/(a+b*x)^16
+--R 
+--R
+--R   (1)
+--R      7 7       6 6      2 5 5      3 4 4      4 3 3      5 2 2     6       7
+--R     d x  + 7c d x  + 21c d x  + 35c d x  + 35c d x  + 21c d x  + 7c d x + c
+--R  /
+--R        16 16        15 15       2 14 14       3 13 13        4 12 12
+--R       b  x   + 16a b  x   + 120a b  x   + 560a b  x   + 1820a b  x
+--R     + 
+--R            5 11 11        6 10 10         7 9 9         8 8 8         9 7 7
+--R       4368a b  x   + 8008a b  x   + 11440a b x  + 12870a b x  + 11440a b x
+--R     + 
+--R            10 6 6        11 5 5        12 4 4       13 3 3       14 2 2
+--R       8008a  b x  + 4368a  b x  + 1820a  b x  + 560a  b x  + 120a  b x
+--R     + 
+--R          15       16
+--R       16a  b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 721
+
+--S 722 of 2952
+r0000:=-1/15*(b*c-a*d)^7/(b^8*(a+b*x)^15)-_
+     1/2*d*(b*c-a*d)^6/(b^8*(a+b*x)^14)-_
+     21/13*d^2*(b*c-a*d)^5/(b^8*(a+b*x)^13)-_
+     35/12*d^3*(b*c-a*d)^4/(b^8*(a+b*x)^12)-_
+     35/11*d^4*(b*c-a*d)^3/(b^8*(a+b*x)^11)-_
+     21/10*d^5*(b*c-a*d)^2/(b^8*(a+b*x)^10)-_
+     7/9*d^6*(b*c-a*d)/(b^8*(a+b*x)^9)-1/8*d^7/(b^8*(a+b*x)^8)
+--R 
+--R
+--R   (2)
+--R         1  7 7 7       7    6 7   7  7   6  6
+--R       - - b d x  + (- -- a b d  - - b c d )x
+--R         8             72          9
+--R     + 
+--R           7   2 5 7    7    6   6   21  7 2 5  5
+--R       (- --- a b d  - -- a b c d  - -- b c d )x
+--R          120          15            10
+--R     + 
+--R           7   3 4 7    7  2 5   6   21    6 2 5   35  7 3 4  4
+--R       (- --- a b d  - -- a b c d  - -- a b c d  - -- b c d )x
+--R          264          33            22            11
+--R     + 
+--R           7   4 3 7    7  3 4   6    7  2 5 2 5   35    6 3 4   35  7 4 3  3
+--R       (- --- a b d  - -- a b c d  - -- a b c d  - -- a b c d  - -- b c d )x
+--R          792          99            22            33            12
+--R     + 
+--R               7   5 2 7    7   4 3   6    21  3 4 2 5    35  2 5 3 4
+--R           - ---- a b d  - --- a b c d  - --- a b c d  - --- a b c d
+--R             3432          429            286            143
+--R         + 
+--R             35    6 4 3   21  7 5 2
+--R           - -- a b c d  - -- b c d
+--R             52            13
+--R      *
+--R          2
+--R         x
+--R     + 
+--R               1   6   7    1   5 2   6    3   4 3 2 5    5   3 4 3 4
+--R           - ---- a b d  - --- a b c d  - --- a b c d  - --- a b c d
+--R             3432          429            286            143
+--R         + 
+--R              5  2 5 4 3    3    6 5 2   1  7 6
+--R           - -- a b c d  - -- a b c d  - - b c d
+--R             52            13            2
+--R      *
+--R         x
+--R     + 
+--R           1    7 7     1   6     6     1   5 2 2 5    1   4 3 3 4
+--R       - ----- a d  - ---- a b c d  - ---- a b c d  - --- a b c d
+--R         51480        6435            1430            429
+--R     + 
+--R          1   3 4 4 3    1  2 5 5 2    1    6 6     1  7 7
+--R       - --- a b c d  - -- a b c d  - -- a b c d - -- b c
+--R         156            65            30           15
+--R  /
+--R        23 15        22 14       2 21 13       3 20 12        4 19 11
+--R       b  x   + 15a b  x   + 105a b  x   + 455a b  x   + 1365a b  x
+--R     + 
+--R            5 18 10        6 17 9        7 16 8        8 15 7        9 14 6
+--R       3003a b  x   + 5005a b  x  + 6435a b  x  + 6435a b  x  + 5005a b  x
+--R     + 
+--R          10 13 5        11 12 4       12 11 3       13 10 2      14 9     15 8
+--R     3003a  b  x  + 1365a  b  x  + 455a  b  x  + 105a  b  x  + 15a  b x + a  b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 722
+
+--S 723 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R              7 7 7             6 7         7   6  6
+--R       - 6435b d x  + (- 5005a b d  - 40040b c d )x
+--R     + 
+--R               2 5 7           6   6          7 2 5  5
+--R       (- 3003a b d  - 24024a b c d  - 108108b c d )x
+--R     + 
+--R               3 4 7         2 5   6           6 2 5          7 3 4  4
+--R       (- 1365a b d  - 10920a b c d  - 49140a b c d  - 163800b c d )x
+--R     + 
+--R                 4 3 7        3 4   6         2 5 2 5           6 3 4
+--R           - 455a b d  - 3640a b c d  - 16380a b c d  - 54600a b c d
+--R         + 
+--R                    7 4 3
+--R           - 150150b c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                 5 2 7       4 3   6        3 4 2 5         2 5 3 4
+--R           - 105a b d  - 840a b c d  - 3780a b c d  - 12600a b c d
+--R         + 
+--R                     6 4 3         7 5 2
+--R           - 34650a b c d  - 83160b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                6   7       5 2   6       4 3 2 5        3 4 3 4        2 5 4 3
+--R           - 15a b d  - 120a b c d  - 540a b c d  - 1800a b c d  - 4950a b c d
+--R         + 
+--R                     6 5 2         7 6
+--R           - 11880a b c d  - 25740b c d
+--R      *
+--R         x
+--R     + 
+--R          7 7     6     6      5 2 2 5       4 3 3 4       3 4 4 3       2 5 5 2
+--R       - a d  - 8a b c d  - 36a b c d  - 120a b c d  - 330a b c d  - 792a b c d
+--R     + 
+--R                6 6         7 7
+--R       - 1716a b c d - 3432b c
+--R  /
+--R             23 15            22 14           2 21 13            3 20 12
+--R       51480b  x   + 772200a b  x   + 5405400a b  x   + 23423400a b  x
+--R     + 
+--R                4 19 11             5 18 10             6 17 9
+--R       70270200a b  x   + 154594440a b  x   + 257657400a b  x
+--R     + 
+--R                 7 16 8             8 15 7             9 14 6
+--R       331273800a b  x  + 331273800a b  x  + 257657400a b  x
+--R     + 
+--R                 10 13 5            11 12 4            12 11 3           13 10 2
+--R       154594440a  b  x  + 70270200a  b  x  + 23423400a  b  x  + 5405400a  b  x
+--R     + 
+--R              14 9          15 8
+--R       772200a  b x + 51480a  b
+--R                                         Type: Union(Expression(Integer),...)
+--E 723
+
+--S 724 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 724
+
+--S 725 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 725
+
+)clear all
+
+--S 726 of 2952
+t0000:=(a+b*x)^m*(c+d*x)^10
+--R 
+--R
+--R   (1)
+--R        10 10        9 9      2 8 8       3 7 7       4 6 6       5 5 5
+--R       d  x   + 10c d x  + 45c d x  + 120c d x  + 210c d x  + 252c d x
+--R     + 
+--R           6 4 4       7 3 3      8 2 2      9       10
+--R       210c d x  + 120c d x  + 45c d x  + 10c d x + c
+--R  *
+--R              m
+--R     (b x + a)
+--R                                                    Type: Expression(Integer)
+--E 726
+
+--S 727 of 2952
+r0000:=(b*c-a*d)^10*(a+b*x)^(1+m)/(b^11*(1+m))+_
+     10*d*(b*c-a*d)^9*(a+b*x)^(2+m)/(b^11*(2+m))+_
+     45*d^2*(b*c-a*d)^8*(a+b*x)^(3+m)/(b^11*(3+m))+_
+     120*d^3*(b*c-a*d)^7*(a+b*x)^(4+m)/(b^11*(4+m))+_
+     210*d^4*(b*c-a*d)^6*(a+b*x)^(5+m)/(b^11*(5+m))+_
+     252*d^5*(b*c-a*d)^5*(a+b*x)^(6+m)/(b^11*(6+m))+_
+     210*d^6*(b*c-a*d)^4*(a+b*x)^(7+m)/(b^11*(7+m))+_
+     120*d^7*(b*c-a*d)^3*(a+b*x)^(8+m)/(b^11*(8+m))+_
+     45*d^8*(b*c-a*d)^2*(a+b*x)^(9+m)/(b^11*(9+m))+_
+     10*d^9*(b*c-a*d)*(a+b*x)^(10+m)/(b^11*(10+m))+_
+     d^10*(a+b*x)^(11+m)/(b^11*(11+m))
+--R 
+--R
+--R   (2)
+--R            10 10      10 9        10 8         10 7          10 6          10 5
+--R           d  m   + 55d  m  + 1320d  m  + 18150d  m  + 157773d  m  + 902055d  m
+--R         + 
+--R                 10 4           10 3            10 2            10            10
+--R         3416930d  m  + 8409500d  m  + 12753576d  m  + 10628640d  m + 3628800d
+--R      *
+--R                  m + 11
+--R         (b x + a)
+--R     + 
+--R                   10          9  10            10           9  9
+--R           (- 10a d   + 10b c d )m   + (- 560a d   + 560b c d )m
+--R         + 
+--R                      10             9  8               10              9  7
+--R           (- 13650a d   + 13650b c d )m  + (- 190200a d   + 190200b c d )m
+--R         + 
+--R                        10               9  6
+--R           (- 1672230a d   + 1672230b c d )m
+--R         + 
+--R                        10               9  5
+--R           (- 9653280a d   + 9653280b c d )m
+--R         + 
+--R                         10                9  4
+--R           (- 36862550a d   + 36862550b c d )m
+--R         + 
+--R                         10                9  3
+--R           (- 91331800a d   + 91331800b c d )m
+--R         + 
+--R                          10                 9  2
+--R           (- 139262760a d   + 139262760b c d )m
+--R         + 
+--R                        10                 9                10                9
+--R         (- 116552160a d   + 116552160b c d )m - 39916800a d   + 39916800b c d
+--R      *
+--R                  m + 10
+--R         (b x + a)
+--R     + 
+--R               2 10            9      2 2 8  10
+--R           (45a d   - 90a b c d  + 45b c d )m
+--R         + 
+--R                 2 10              9        2 2 8  9
+--R           (2565a d   - 5130a b c d  + 2565b c d )m
+--R         + 
+--R                  2 10                9         2 2 8  8
+--R           (63540a d   - 127080a b c d  + 63540b c d )m
+--R         + 
+--R                   2 10                 9          2 2 8  7
+--R           (898290a d   - 1796580a b c d  + 898290b c d )m
+--R         + 
+--R                    2 10                  9           2 2 8  6
+--R           (7999425a d   - 15998850a b c d  + 7999425b c d )m
+--R         + 
+--R                     2 10                  9            2 2 8  5
+--R           (46695285a d   - 93390570a b c d  + 46695285b c d )m
+--R         + 
+--R                      2 10                   9             2 2 8  4
+--R           (180021510a d   - 360043020a b c d  + 180021510b c d )m
+--R         + 
+--R                      2 10                   9             2 2 8  3
+--R           (449614260a d   - 899228520a b c d  + 449614260b c d )m
+--R         + 
+--R                      2 10                    9             2 2 8  2
+--R           (690085080a d   - 1380170160a b c d  + 690085080b c d )m
+--R         + 
+--R                      2 10                    9             2 2 8
+--R           (580543200a d   - 1161086400a b c d  + 580543200b c d )m
+--R         + 
+--R                     2 10                   9             2 2 8
+--R           199584000a d   - 399168000a b c d  + 199584000b c d
+--R      *
+--R                  m + 9
+--R         (b x + a)
+--R     + 
+--R                  3 10       2     9         2 2 8       3 3 7  10
+--R           (- 120a d   + 360a b c d  - 360a b c d  + 120b c d )m
+--R         + 
+--R                   3 10         2     9           2 2 8        3 3 7  9
+--R           (- 6960a d   + 20880a b c d  - 20880a b c d  + 6960b c d )m
+--R         + 
+--R                     3 10          2     9            2 2 8          3 3 7  8
+--R           (- 175320a d   + 525960a b c d  - 525960a b c d  + 175320b c d )m
+--R         + 
+--R                           3 10           2     9             2 2 8
+--R                 - 2517840a d   + 7553520a b c d  - 7553520a b c d
+--R               + 
+--R                         3 3 7
+--R                 2517840b c d
+--R          *
+--R              7
+--R             m
+--R         + 
+--R                          3 10            2     9              2 2 8
+--R               - 22748040a d   + 68244120a b c d  - 68244120a b c d
+--R             + 
+--R                        3 3 7
+--R               22748040b c d
+--R          *
+--R              6
+--R             m
+--R         + 
+--R                           3 10             2     9               2 2 8
+--R               - 134522640a d   + 403567920a b c d  - 403567920a b c d
+--R             + 
+--R                         3 3 7
+--R               134522640b c d
+--R          *
+--R              5
+--R             m
+--R         + 
+--R                           3 10              2     9                2 2 8
+--R               - 524563080a d   + 1573689240a b c d  - 1573689240a b c d
+--R             + 
+--R                         3 3 7
+--R               524563080b c d
+--R          *
+--R              4
+--R             m
+--R         + 
+--R                            3 10              2     9                2 2 8
+--R               - 1322982960a d   + 3968948880a b c d  - 3968948880a b c d
+--R             + 
+--R                          3 3 7
+--R               1322982960b c d
+--R          *
+--R              3
+--R             m
+--R         + 
+--R                            3 10              2     9                2 2 8
+--R               - 2047105440a d   + 6141316320a b c d  - 6141316320a b c d
+--R             + 
+--R                          3 3 7
+--R               2047105440b c d
+--R          *
+--R              2
+--R             m
+--R         + 
+--R                            3 10              2     9                2 2 8
+--R               - 1733313600a d   + 5199940800a b c d  - 5199940800a b c d
+--R             + 
+--R                          3 3 7
+--R               1733313600b c d
+--R          *
+--R             m
+--R         + 
+--R                       3 10              2     9                2 2 8
+--R           - 598752000a d   + 1796256000a b c d  - 1796256000a b c d
+--R         + 
+--R                     3 3 7
+--R           598752000b c d
+--R      *
+--R                  m + 8
+--R         (b x + a)
+--R     + 
+--R                4 10       3     9        2 2 2 8         3 3 7       4 4 6  10
+--R           (210a d   - 840a b c d  + 1260a b c d  - 840a b c d  + 210b c d )m
+--R         + 
+--R                     4 10         3     9         2 2 2 8           3 3 7
+--R               12390a d   - 49560a b c d  + 74340a b c d  - 49560a b c d
+--R             + 
+--R                     4 4 6
+--R               12390b c d
+--R          *
+--R              9
+--R             m
+--R         + 
+--R                      4 10           3     9           2 2 2 8             3 3 7
+--R               317520a d   - 1270080a b c d  + 1905120a b c d  - 1270080a b c d
+--R             + 
+--R                      4 4 6
+--R               317520b c d
+--R          *
+--R              8
+--R             m
+--R         + 
+--R                       4 10            3     9            2 2 2 8
+--R               4638060a d   - 18552240a b c d  + 27828360a b c d
+--R             + 
+--R                            3 3 7           4 4 6
+--R               - 18552240a b c d  + 4638060b c d
+--R          *
+--R              7
+--R             m
+--R         + 
+--R                        4 10             3     9             2 2 2 8
+--R               42592410a d   - 170369640a b c d  + 255554460a b c d
+--R             + 
+--R                             3 3 7            4 4 6
+--R               - 170369640a b c d  + 42592410b c d
+--R          *
+--R              6
+--R             m
+--R         + 
+--R                         4 10              3     9              2 2 2 8
+--R               255740310a d   - 1022961240a b c d  + 1534441860a b c d
+--R             + 
+--R                              3 3 7             4 4 6
+--R               - 1022961240a b c d  + 255740310b c d
+--R          *
+--R              5
+--R             m
+--R         + 
+--R                          4 10              3     9              2 2 2 8
+--R               1011120180a d   - 4044480720a b c d  + 6066721080a b c d
+--R             + 
+--R                              3 3 7              4 4 6
+--R               - 4044480720a b c d  + 1011120180b c d
+--R          *
+--R              4
+--R             m
+--R         + 
+--R                          4 10               3     9               2 2 2 8
+--R               2581262040a d   - 10325048160a b c d  + 15487572240a b c d
+--R             + 
+--R                               3 3 7              4 4 6
+--R               - 10325048160a b c d  + 2581262040b c d
+--R          *
+--R              3
+--R             m
+--R         + 
+--R                          4 10               3     9               2 2 2 8
+--R               4035361680a d   - 16141446720a b c d  + 24212170080a b c d
+--R             + 
+--R                               3 3 7              4 4 6
+--R               - 16141446720a b c d  + 4035361680b c d
+--R          *
+--R              2
+--R             m
+--R         + 
+--R                          4 10               3     9               2 2 2 8
+--R               3445243200a d   - 13780972800a b c d  + 20671459200a b c d
+--R             + 
+--R                               3 3 7              4 4 6
+--R               - 13780972800a b c d  + 3445243200b c d
+--R          *
+--R             m
+--R         + 
+--R                      4 10              3     9              2 2 2 8
+--R           1197504000a d   - 4790016000a b c d  + 7185024000a b c d
+--R         + 
+--R                          3 3 7              4 4 6
+--R           - 4790016000a b c d  + 1197504000b c d
+--R      *
+--R                  m + 7
+--R         (b x + a)
+--R     + 
+--R                     5 10        4     9        3 2 2 8        2 3 3 7
+--R               - 252a d   + 1260a b c d  - 2520a b c d  + 2520a b c d
+--R             + 
+--R                        4 4 6       5 5 5
+--R               - 1260a b c d  + 252b c d
+--R          *
+--R              10
+--R             m
+--R         + 
+--R                       5 10         4     9          3 2 2 8          2 3 3 7
+--R               - 15120a d   + 75600a b c d  - 151200a b c d  + 151200a b c d
+--R             + 
+--R                         4 4 6         5 5 5
+--R               - 75600a b c d  + 15120b c d
+--R          *
+--R              9
+--R             m
+--R         + 
+--R                        5 10           4     9           3 2 2 8
+--R               - 394380a d   + 1971900a b c d  - 3943800a b c d
+--R             + 
+--R                       2 3 3 7             4 4 6          5 5 5
+--R               3943800a b c d  - 1971900a b c d  + 394380b c d
+--R          *
+--R              8
+--R             m
+--R         + 
+--R                         5 10            4     9            3 2 2 8
+--R               - 5866560a d   + 29332800a b c d  - 58665600a b c d
+--R             + 
+--R                        2 3 3 7              4 4 6           5 5 5
+--R               58665600a b c d  - 29332800a b c d  + 5866560b c d
+--R          *
+--R              7
+--R             m
+--R         + 
+--R                          5 10             4     9             3 2 2 8
+--R               - 54871236a d   + 274356180a b c d  - 548712360a b c d
+--R             + 
+--R                         2 3 3 7               4 4 6            5 5 5
+--R               548712360a b c d  - 274356180a b c d  + 54871236b c d
+--R          *
+--R              6
+--R             m
+--R         + 
+--R                           5 10              4     9              3 2 2 8
+--R               - 335437200a d   + 1677186000a b c d  - 3354372000a b c d
+--R             + 
+--R                          2 3 3 7                4 4 6             5 5 5
+--R               3354372000a b c d  - 1677186000a b c d  + 335437200b c d
+--R          *
+--R              5
+--R             m
+--R         + 
+--R                            5 10              4     9               3 2 2 8
+--R               - 1348939620a d   + 6744698100a b c d  - 13489396200a b c d
+--R             + 
+--R                           2 3 3 7                4 4 6              5 5 5
+--R               13489396200a b c d  - 6744698100a b c d  + 1348939620b c d
+--R          *
+--R              4
+--R             m
+--R         + 
+--R                            5 10               4     9               3 2 2 8
+--R               - 3497286240a d   + 17486431200a b c d  - 34972862400a b c d
+--R             + 
+--R                           2 3 3 7                 4 4 6              5 5 5
+--R               34972862400a b c d  - 17486431200a b c d  + 3497286240b c d
+--R          *
+--R              3
+--R             m
+--R         + 
+--R                            5 10               4     9               3 2 2 8
+--R               - 5541317712a d   + 27706588560a b c d  - 55413177120a b c d
+--R             + 
+--R                           2 3 3 7                 4 4 6              5 5 5
+--R               55413177120a b c d  - 27706588560a b c d  + 5541317712b c d
+--R          *
+--R              2
+--R             m
+--R         + 
+--R                            5 10               4     9               3 2 2 8
+--R               - 4783423680a d   + 23917118400a b c d  - 47834236800a b c d
+--R             + 
+--R                           2 3 3 7                 4 4 6              5 5 5
+--R               47834236800a b c d  - 23917118400a b c d  + 4783423680b c d
+--R          *
+--R             m
+--R         + 
+--R                        5 10              4     9               3 2 2 8
+--R           - 1676505600a d   + 8382528000a b c d  - 16765056000a b c d
+--R         + 
+--R                       2 3 3 7                4 4 6              5 5 5
+--R           16765056000a b c d  - 8382528000a b c d  + 1676505600b c d
+--R      *
+--R                  m + 6
+--R         (b x + a)
+--R     + 
+--R                   6 10        5     9        4 2 2 8        3 3 3 7
+--R               210a d   - 1260a b c d  + 3150a b c d  - 4200a b c d
+--R             + 
+--R                    2 4 4 6          5 5 5       6 6 4
+--R               3150a b c d  - 1260a b c d  + 210b c d
+--R          *
+--R              10
+--R             m
+--R         + 
+--R                     6 10         5     9          4 2 2 8          3 3 3 7
+--R               12810a d   - 76860a b c d  + 192150a b c d  - 256200a b c d
+--R             + 
+--R                      2 4 4 6           5 5 5         6 6 4
+--R               192150a b c d  - 76860a b c d  + 12810b c d
+--R          *
+--R              9
+--R             m
+--R         + 
+--R                      6 10           5     9           4 2 2 8           3 3 3 7
+--R               340200a d   - 2041200a b c d  + 5103000a b c d  - 6804000a b c d
+--R             + 
+--R                       2 4 4 6             5 5 5          6 6 4
+--R               5103000a b c d  - 2041200a b c d  + 340200b c d
+--R          *
+--R              8
+--R             m
+--R         + 
+--R                       6 10            5     9            4 2 2 8
+--R               5159700a d   - 30958200a b c d  + 77395500a b c d
+--R             + 
+--R                           3 3 3 7            2 4 4 6              5 5 5
+--R               - 103194000a b c d  + 77395500a b c d  - 30958200a b c d
+--R             + 
+--R                       6 6 4
+--R               5159700b c d
+--R          *
+--R              7
+--R             m
+--R         + 
+--R                        6 10             5     9             4 2 2 8
+--R               49260330a d   - 295561980a b c d  + 738904950a b c d
+--R             + 
+--R                           3 3 3 7             2 4 4 6               5 5 5
+--R               - 985206600a b c d  + 738904950a b c d  - 295561980a b c d
+--R             + 
+--R                        6 6 4
+--R               49260330b c d
+--R          *
+--R              6
+--R             m
+--R         + 
+--R                         6 10              5     9              4 2 2 8
+--R               307585530a d   - 1845513180a b c d  + 4613782950a b c d
+--R             + 
+--R                            3 3 3 7              2 4 4 6                5 5 5
+--R               - 6151710600a b c d  + 4613782950a b c d  - 1845513180a b c d
+--R             + 
+--R                         6 6 4
+--R               307585530b c d
+--R          *
+--R              5
+--R             m
+--R         + 
+--R                          6 10              5     9               4 2 2 8
+--R               1263374700a d   - 7580248200a b c d  + 18950620500a b c d
+--R             + 
+--R                             3 3 3 7               2 4 4 6                5 5 5
+--R               - 25267494000a b c d  + 18950620500a b c d  - 7580248200a b c d
+--R             + 
+--R                          6 6 4
+--R               1263374700b c d
+--R          *
+--R              4
+--R             m
+--R         + 
+--R                          6 10               5     9               4 2 2 8
+--R               3342229800a d   - 20053378800a b c d  + 50133447000a b c d
+--R             + 
+--R                             3 3 3 7               2 4 4 6                 5 5 5
+--R               - 66844596000a b c d  + 50133447000a b c d  - 20053378800a b c d
+--R             + 
+--R                          6 6 4
+--R               3342229800b c d
+--R          *
+--R              3
+--R             m
+--R         + 
+--R                          6 10               5     9               4 2 2 8
+--R               5393046960a d   - 32358281760a b c d  + 80895704400a b c d
+--R             + 
+--R                              3 3 3 7               2 4 4 6
+--R               - 107860939200a b c d  + 80895704400a b c d
+--R             + 
+--R                               5 5 5              6 6 4
+--R               - 32358281760a b c d  + 5393046960b c d
+--R          *
+--R              2
+--R             m
+--R         + 
+--R                          6 10               5     9               4 2 2 8
+--R               4727540160a d   - 28365240960a b c d  + 70913102400a b c d
+--R             + 
+--R                             3 3 3 7               2 4 4 6                 5 5 5
+--R               - 94550803200a b c d  + 70913102400a b c d  - 28365240960a b c d
+--R             + 
+--R                          6 6 4
+--R               4727540160b c d
+--R          *
+--R             m
+--R         + 
+--R                      6 10               5     9               4 2 2 8
+--R           1676505600a d   - 10059033600a b c d  + 25147584000a b c d
+--R         + 
+--R                         3 3 3 7               2 4 4 6                 5 5 5
+--R           - 33530112000a b c d  + 25147584000a b c d  - 10059033600a b c d
+--R         + 
+--R                      6 6 4
+--R           1676505600b c d
+--R      *
+--R                  m + 5
+--R         (b x + a)
+--R     + 
+--R                     7 10       6     9        5 2 2 8        4 3 3 7
+--R               - 120a d   + 840a b c d  - 2520a b c d  + 4200a b c d
+--R             + 
+--R                      3 4 4 6        2 5 5 5         6 6 4       7 7 3
+--R               - 4200a b c d  + 2520a b c d  - 840a b c d  + 120b c d
+--R          *
+--R              10
+--R             m
+--R         + 
+--R                      7 10         6     9          5 2 2 8          4 3 3 7
+--R               - 7440a d   + 52080a b c d  - 156240a b c d  + 260400a b c d
+--R             + 
+--R                        3 4 4 6          2 5 5 5           6 6 4        7 7 3
+--R               - 260400a b c d  + 156240a b c d  - 52080a b c d  + 7440b c d
+--R          *
+--R              9
+--R             m
+--R         + 
+--R                        7 10           6     9           5 2 2 8
+--R               - 201240a d   + 1408680a b c d  - 4226040a b c d
+--R             + 
+--R                       4 3 3 7           3 4 4 6           2 5 5 5
+--R               7043400a b c d  - 7043400a b c d  + 4226040a b c d
+--R             + 
+--R                           6 6 4          7 7 3
+--R               - 1408680a b c d  + 201240b c d
+--R          *
+--R              8
+--R             m
+--R         + 
+--R                         7 10            6     9            5 2 2 8
+--R               - 3115440a d   + 21808080a b c d  - 65424240a b c d
+--R             + 
+--R                         4 3 3 7             3 4 4 6            2 5 5 5
+--R               109040400a b c d  - 109040400a b c d  + 65424240a b c d
+--R             + 
+--R                            6 6 4           7 7 3
+--R               - 21808080a b c d  + 3115440b c d
+--R          *
+--R              7
+--R             m
+--R         + 
+--R                          7 10             6     9             5 2 2 8
+--R               - 30429000a d   + 213003000a b c d  - 639009000a b c d
+--R             + 
+--R                          4 3 3 7              3 4 4 6             2 5 5 5
+--R               1065015000a b c d  - 1065015000a b c d  + 639009000a b c d
+--R             + 
+--R                             6 6 4            7 7 3
+--R               - 213003000a b c d  + 30429000b c d
+--R          *
+--R              6
+--R             m
+--R         + 
+--R                           7 10              6     9              5 2 2 8
+--R               - 194790960a d   + 1363536720a b c d  - 4090610160a b c d
+--R             + 
+--R                          4 3 3 7              3 4 4 6              2 5 5 5
+--R               6817683600a b c d  - 6817683600a b c d  + 4090610160a b c d
+--R             + 
+--R                              6 6 4             7 7 3
+--R               - 1363536720a b c d  + 194790960b c d
+--R          *
+--R              5
+--R             m
+--R         + 
+--R                           7 10              6     9               5 2 2 8
+--R               - 821580360a d   + 5751062520a b c d  - 17253187560a b c d
+--R             + 
+--R                           4 3 3 7               3 4 4 6               2 5 5 5
+--R               28755312600a b c d  - 28755312600a b c d  + 17253187560a b c d
+--R             + 
+--R                              6 6 4             7 7 3
+--R               - 5751062520a b c d  + 821580360b c d
+--R          *
+--R              4
+--R             m
+--R         + 
+--R                            7 10               6     9               5 2 2 8
+--R               - 2233166160a d   + 15632163120a b c d  - 46896489360a b c d
+--R             + 
+--R                           4 3 3 7               3 4 4 6               2 5 5 5
+--R               78160815600a b c d  - 78160815600a b c d  + 46896489360a b c d
+--R             + 
+--R                               6 6 4              7 7 3
+--R               - 15632163120a b c d  + 2233166160b c d
+--R          *
+--R              3
+--R             m
+--R         + 
+--R                            7 10               6     9               5 2 2 8
+--R               - 3698304480a d   + 25888131360a b c d  - 77664394080a b c d
+--R             + 
+--R                            4 3 3 7                3 4 4 6               2 5 5 5
+--R               129440656800a b c d  - 129440656800a b c d  + 77664394080a b c d
+--R             + 
+--R                               6 6 4              7 7 3
+--R               - 25888131360a b c d  + 3698304480b c d
+--R          *
+--R              2
+--R             m
+--R         + 
+--R                            7 10               6     9               5 2 2 8
+--R               - 3316939200a d   + 23218574400a b c d  - 69655723200a b c d
+--R             + 
+--R                            4 3 3 7                3 4 4 6               2 5 5 5
+--R               116092872000a b c d  - 116092872000a b c d  + 69655723200a b c d
+--R             + 
+--R                               6 6 4              7 7 3
+--R               - 23218574400a b c d  + 3316939200b c d
+--R          *
+--R             m
+--R         + 
+--R                        7 10              6     9               5 2 2 8
+--R           - 1197504000a d   + 8382528000a b c d  - 25147584000a b c d
+--R         + 
+--R                       4 3 3 7               3 4 4 6               2 5 5 5
+--R           41912640000a b c d  - 41912640000a b c d  + 25147584000a b c d
+--R         + 
+--R                          6 6 4              7 7 3
+--R           - 8382528000a b c d  + 1197504000b c d
+--R      *
+--R                  m + 4
+--R         (b x + a)
+--R     + 
+--R                  8 10       7     9        6 2 2 8        5 3 3 7
+--R               45a d   - 360a b c d  + 1260a b c d  - 2520a b c d
+--R             + 
+--R                  4 4 4 6        3 5 5 5        2 6 6 4         7 7 3      8 8 2
+--R             3150a b c d  - 2520a b c d  + 1260a b c d  - 360a b c d  + 45b c d
+--R          *
+--R              10
+--R             m
+--R         + 
+--R                    8 10         7     9         6 2 2 8          5 3 3 7
+--R               2835a d   - 22680a b c d  + 79380a b c d  - 158760a b c d
+--R             + 
+--R                      4 4 4 6          3 5 5 5         2 6 6 4           7 7 3
+--R               198450a b c d  - 158760a b c d  + 79380a b c d  - 22680a b c d
+--R             + 
+--R                    8 8 2
+--R               2835b c d
+--R          *
+--R              9
+--R             m
+--R         + 
+--R                     8 10          7     9           6 2 2 8           5 3 3 7
+--R               78120a d   - 624960a b c d  + 2187360a b c d  - 4374720a b c d
+--R             + 
+--R                       4 4 4 6           3 5 5 5           2 6 6 4
+--R               5468400a b c d  - 4374720a b c d  + 2187360a b c d
+--R             + 
+--R                          7 7 3         8 8 2
+--R               - 624960a b c d  + 78120b c d
+--R          *
+--R              8
+--R             m
+--R         + 
+--R                       8 10           7     9            6 2 2 8
+--R               1235790a d   - 9886320a b c d  + 34602120a b c d
+--R             + 
+--R                          5 3 3 7            4 4 4 6            3 5 5 5
+--R               - 69204240a b c d  + 86505300a b c d  - 69204240a b c d
+--R             + 
+--R                        2 6 6 4             7 7 3           8 8 2
+--R               34602120a b c d  - 9886320a b c d  + 1235790b c d
+--R          *
+--R              7
+--R             m
+--R         + 
+--R                        8 10            7     9             6 2 2 8
+--R               12376665a d   - 99013320a b c d  + 346546620a b c d
+--R             + 
+--R                           5 3 3 7             4 4 4 6             3 5 5 5
+--R               - 693093240a b c d  + 866366550a b c d  - 693093240a b c d
+--R             + 
+--R                         2 6 6 4              7 7 3            8 8 2
+--R               346546620a b c d  - 99013320a b c d  + 12376665b c d
+--R          *
+--R              6
+--R             m
+--R         + 
+--R                        8 10             7     9              6 2 2 8
+--R               81560115a d   - 652480920a b c d  + 2283683220a b c d
+--R             + 
+--R                            5 3 3 7              4 4 4 6              3 5 5 5
+--R               - 4567366440a b c d  + 5709208050a b c d  - 4567366440a b c d
+--R             + 
+--R                          2 6 6 4               7 7 3            8 8 2
+--R               2283683220a b c d  - 652480920a b c d  + 81560115b c d
+--R          *
+--R              5
+--R             m
+--R         + 
+--R                         8 10              7     9              6 2 2 8
+--R               355598730a d   - 2844789840a b c d  + 9956764440a b c d
+--R             + 
+--R                             5 3 3 7               4 4 4 6               3 5 5 5
+--R               - 19913528880a b c d  + 24891911100a b c d  - 19913528880a b c d
+--R             + 
+--R                          2 6 6 4                7 7 3             8 8 2
+--R               9956764440a b c d  - 2844789840a b c d  + 355598730b c d
+--R          *
+--R              4
+--R             m
+--R         + 
+--R                          8 10              7     9               6 2 2 8
+--R               1003011660a d   - 8024093280a b c d  + 28084326480a b c d
+--R             + 
+--R                             5 3 3 7               4 4 4 6               3 5 5 5
+--R               - 56168652960a b c d  + 70210816200a b c d  - 56168652960a b c d
+--R             + 
+--R                           2 6 6 4                7 7 3              8 8 2
+--R               28084326480a b c d  - 8024093280a b c d  + 1003011660b c d
+--R          *
+--R              3
+--R             m
+--R         + 
+--R                          8 10               7     9               6 2 2 8
+--R               1727578440a d   - 13820627520a b c d  + 48372196320a b c d
+--R             + 
+--R                             5 3 3 7                4 4 4 6
+--R               - 96744392640a b c d  + 120930490800a b c d
+--R             + 
+--R                             3 5 5 5               2 6 6 4                 7 7 3
+--R               - 96744392640a b c d  + 48372196320a b c d  - 13820627520a b c d
+--R             + 
+--R                          8 8 2
+--R               1727578440b c d
+--R          *
+--R              2
+--R             m
+--R         + 
+--R                          8 10               7     9               6 2 2 8
+--R               1608573600a d   - 12868588800a b c d  + 45040060800a b c d
+--R             + 
+--R                             5 3 3 7                4 4 4 6
+--R               - 90080121600a b c d  + 112600152000a b c d
+--R             + 
+--R                             3 5 5 5               2 6 6 4                 7 7 3
+--R               - 90080121600a b c d  + 45040060800a b c d  - 12868588800a b c d
+--R             + 
+--R                          8 8 2
+--R               1608573600b c d
+--R          *
+--R             m
+--R         + 
+--R                     8 10              7     9               6 2 2 8
+--R           598752000a d   - 4790016000a b c d  + 16765056000a b c d
+--R         + 
+--R                         5 3 3 7               4 4 4 6               3 5 5 5
+--R           - 33530112000a b c d  + 41912640000a b c d  - 33530112000a b c d
+--R         + 
+--R                       2 6 6 4                7 7 3             8 8 2
+--R           16765056000a b c d  - 4790016000a b c d  + 598752000b c d
+--R      *
+--R                  m + 3
+--R         (b x + a)
+--R     + 
+--R                    9 10      8     9       7 2 2 8       6 3 3 7        5 4 4 6
+--R               - 10a d   + 90a b c d  - 360a b c d  + 840a b c d  - 1260a b c d
+--R             + 
+--R                    4 5 5 5       3 6 6 4       2 7 7 3        8 8 2      9 9
+--R               1260a b c d  - 840a b c d  + 360a b c d  - 90a b c d  + 10b c d
+--R          *
+--R              10
+--R             m
+--R         + 
+--R                     9 10        8     9         7 2 2 8         6 3 3 7
+--R               - 640a d   + 5760a b c d  - 23040a b c d  + 53760a b c d
+--R             + 
+--R                       5 4 4 6         4 5 5 5         3 6 6 4         2 7 7 3
+--R               - 80640a b c d  + 80640a b c d  - 53760a b c d  + 23040a b c d
+--R             + 
+--R                        8 8 2       9 9
+--R               - 5760a b c d  + 640b c d
+--R          *
+--R              9
+--R             m
+--R         + 
+--R                       9 10          8     9          7 2 2 8           6 3 3 7
+--R               - 17970a d   + 161730a b c d  - 646920a b c d  + 1509480a b c d
+--R             + 
+--R                         5 4 4 6           4 5 5 5           3 6 6 4
+--R               - 2264220a b c d  + 2264220a b c d  - 1509480a b c d
+--R             + 
+--R                      2 7 7 3            8 8 2         9 9
+--R               646920a b c d  - 161730a b c d  + 17970b c d
+--R          *
+--R              8
+--R             m
+--R         + 
+--R                        9 10           8     9            7 2 2 8
+--R               - 290760a d   + 2616840a b c d  - 10467360a b c d
+--R             + 
+--R                        6 3 3 7            5 4 4 6            4 5 5 5
+--R               24423840a b c d  - 36635760a b c d  + 36635760a b c d
+--R             + 
+--R                          3 6 6 4            2 7 7 3             8 8 2
+--R               - 24423840a b c d  + 10467360a b c d  - 2616840a b c d
+--R             + 
+--R                      9 9
+--R               290760b c d
+--R          *
+--R              7
+--R             m
+--R         + 
+--R                         9 10            8     9             7 2 2 8
+--R               - 2992710a d   + 26934390a b c d  - 107737560a b c d
+--R             + 
+--R                         6 3 3 7             5 4 4 6             4 5 5 5
+--R               251387640a b c d  - 377081460a b c d  + 377081460a b c d
+--R             + 
+--R                           3 6 6 4             2 7 7 3              8 8 2
+--R               - 251387640a b c d  + 107737560a b c d  - 26934390a b c d
+--R             + 
+--R                       9 9
+--R               2992710b c d
+--R          *
+--R              6
+--R             m
+--R         + 
+--R                          9 10             8     9             7 2 2 8
+--R               - 20390160a d   + 183511440a b c d  - 734045760a b c d
+--R             + 
+--R                          6 3 3 7              5 4 4 6              4 5 5 5
+--R               1712773440a b c d  - 2569160160a b c d  + 2569160160a b c d
+--R             + 
+--R                            3 6 6 4             2 7 7 3               8 8 2
+--R               - 1712773440a b c d  + 734045760a b c d  - 183511440a b c d
+--R             + 
+--R                        9 9
+--R               20390160b c d
+--R          *
+--R              5
+--R             m
+--R         + 
+--R                          9 10             8     9              7 2 2 8
+--R               - 92615030a d   + 833535270a b c d  - 3334141080a b c d
+--R             + 
+--R                          6 3 3 7               5 4 4 6               4 5 5 5
+--R               7779662520a b c d  - 11669493780a b c d  + 11669493780a b c d
+--R             + 
+--R                            3 6 6 4              2 7 7 3               8 8 2
+--R               - 7779662520a b c d  + 3334141080a b c d  - 833535270a b c d
+--R             + 
+--R                        9 9
+--R               92615030b c d
+--R          *
+--R              4
+--R             m
+--R         + 
+--R                           9 10              8     9              7 2 2 8
+--R               - 274727240a d   + 2472545160a b c d  - 9890180640a b c d
+--R             + 
+--R                           6 3 3 7               5 4 4 6               4 5 5 5
+--R               23077088160a b c d  - 34615632240a b c d  + 34615632240a b c d
+--R             + 
+--R                             3 6 6 4              2 7 7 3                8 8 2
+--R               - 23077088160a b c d  + 9890180640a b c d  - 2472545160a b c d
+--R             + 
+--R                         9 9
+--R               274727240b c d
+--R          *
+--R              3
+--R             m
+--R         + 
+--R                           9 10              8     9               7 2 2 8
+--R               - 503126280a d   + 4528136520a b c d  - 18112546080a b c d
+--R             + 
+--R                           6 3 3 7               5 4 4 6               4 5 5 5
+--R               42262607520a b c d  - 63393911280a b c d  + 63393911280a b c d
+--R             + 
+--R                             3 6 6 4               2 7 7 3                8 8 2
+--R               - 42262607520a b c d  + 18112546080a b c d  - 4528136520a b c d
+--R             + 
+--R                         9 9
+--R               503126280b c d
+--R          *
+--R              2
+--R             m
+--R         + 
+--R                           9 10              8     9               7 2 2 8
+--R               - 502927200a d   + 4526344800a b c d  - 18105379200a b c d
+--R             + 
+--R                           6 3 3 7               5 4 4 6               4 5 5 5
+--R               42245884800a b c d  - 63368827200a b c d  + 63368827200a b c d
+--R             + 
+--R                             3 6 6 4               2 7 7 3                8 8 2
+--R               - 42245884800a b c d  + 18105379200a b c d  - 4526344800a b c d
+--R             + 
+--R                         9 9
+--R               502927200b c d
+--R          *
+--R             m
+--R         + 
+--R                       9 10              8     9              7 2 2 8
+--R           - 199584000a d   + 1796256000a b c d  - 7185024000a b c d
+--R         + 
+--R                       6 3 3 7               5 4 4 6               4 5 5 5
+--R           16765056000a b c d  - 25147584000a b c d  + 25147584000a b c d
+--R         + 
+--R                         3 6 6 4              2 7 7 3                8 8 2
+--R           - 16765056000a b c d  + 7185024000a b c d  - 1796256000a b c d
+--R         + 
+--R                     9 9
+--R           199584000b c d
+--R      *
+--R                  m + 2
+--R         (b x + a)
+--R     + 
+--R                10 10      9     9      8 2 2 8       7 3 3 7       6 4 4 6
+--R               a  d   - 10a b c d  + 45a b c d  - 120a b c d  + 210a b c d
+--R             + 
+--R                     5 5 5 5       4 6 6 4       3 7 7 3      2 8 8 2
+--R               - 252a b c d  + 210a b c d  - 120a b c d  + 45a b c d
+--R             + 
+--R                      9 9     10 10
+--R               - 10a b c d + b  c
+--R          *
+--R              10
+--R             m
+--R         + 
+--R                  10 10       9     9        8 2 2 8        7 3 3 7
+--R               65a  d   - 650a b c d  + 2925a b c d  - 7800a b c d
+--R             + 
+--R                     6 4 4 6         5 5 5 5         4 6 6 4        3 7 7 3
+--R               13650a b c d  - 16380a b c d  + 13650a b c d  - 7800a b c d
+--R             + 
+--R                    2 8 8 2         9 9       10 10
+--R               2925a b c d  - 650a b c d + 65b  c
+--R          *
+--R              9
+--R             m
+--R         + 
+--R                    10 10         9     9         8 2 2 8          7 3 3 7
+--R               1860a  d   - 18600a b c d  + 83700a b c d  - 223200a b c d
+--R             + 
+--R                      6 4 4 6          5 5 5 5          4 6 6 4          3 7 7 3
+--R               390600a b c d  - 468720a b c d  + 390600a b c d  - 223200a b c d
+--R             + 
+--R                     2 8 8 2           9 9         10 10
+--R               83700a b c d  - 18600a b c d + 1860b  c
+--R          *
+--R              8
+--R             m
+--R         + 
+--R                     10 10          9     9           8 2 2 8           7 3 3 7
+--R               30810a  d   - 308100a b c d  + 1386450a b c d  - 3697200a b c d
+--R             + 
+--R                       6 4 4 6           5 5 5 5           4 6 6 4
+--R               6470100a b c d  - 7764120a b c d  + 6470100a b c d
+--R             + 
+--R                       3 7 7 3           2 8 8 2            9 9          10 10
+--R             - 3697200a b c d  + 1386450a b c d  - 308100a b c d + 30810b  c
+--R          *
+--R              7
+--R             m
+--R         + 
+--R                      10 10           9     9            8 2 2 8
+--R               326613a  d   - 3266130a b c d  + 14697585a b c d
+--R             + 
+--R                          7 3 3 7            6 4 4 6            5 5 5 5
+--R               - 39193560a b c d  + 68588730a b c d  - 82306476a b c d
+--R             + 
+--R                        4 6 6 4            3 7 7 3            2 8 8 2
+--R               68588730a b c d  - 39193560a b c d  + 14697585a b c d
+--R             + 
+--R                           9 9           10 10
+--R               - 3266130a b c d + 326613b  c
+--R          *
+--R              6
+--R             m
+--R         + 
+--R                       10 10            9     9             8 2 2 8
+--R               2310945a  d   - 23109450a b c d  + 103992525a b c d
+--R             + 
+--R                           7 3 3 7             6 4 4 6             5 5 5 5
+--R               - 277313400a b c d  + 485298450a b c d  - 582358140a b c d
+--R             + 
+--R                         4 6 6 4             3 7 7 3             2 8 8 2
+--R               485298450a b c d  - 277313400a b c d  + 103992525a b c d
+--R             + 
+--R                            9 9            10 10
+--R               - 23109450a b c d + 2310945b  c
+--R          *
+--R              5
+--R             m
+--R         + 
+--R                        10 10             9     9             8 2 2 8
+--R               11028590a  d   - 110285900a b c d  + 496286550a b c d
+--R             + 
+--R                            7 3 3 7              6 4 4 6              5 5 5 5
+--R               - 1323430800a b c d  + 2316003900a b c d  - 2779204680a b c d
+--R             + 
+--R                          4 6 6 4              3 7 7 3             2 8 8 2
+--R               2316003900a b c d  - 1323430800a b c d  + 496286550a b c d
+--R             + 
+--R                             9 9             10 10
+--R               - 110285900a b c d + 11028590b  c
+--R          *
+--R              4
+--R             m
+--R         + 
+--R                        10 10             9     9              8 2 2 8
+--R               34967140a  d   - 349671400a b c d  + 1573521300a b c d
+--R             + 
+--R                            7 3 3 7              6 4 4 6              5 5 5 5
+--R               - 4196056800a b c d  + 7343099400a b c d  - 8811719280a b c d
+--R             + 
+--R                          4 6 6 4              3 7 7 3              2 8 8 2
+--R               7343099400a b c d  - 4196056800a b c d  + 1573521300a b c d
+--R             + 
+--R                             9 9             10 10
+--R               - 349671400a b c d + 34967140b  c
+--R          *
+--R              3
+--R             m
+--R         + 
+--R                        10 10             9     9              8 2 2 8
+--R               70290936a  d   - 702909360a b c d  + 3163092120a b c d
+--R             + 
+--R                            7 3 3 7               6 4 4 6               5 5 5 5
+--R               - 8434912320a b c d  + 14761096560a b c d  - 17713315872a b c d
+--R             + 
+--R                           4 6 6 4              3 7 7 3              2 8 8 2
+--R               14761096560a b c d  - 8434912320a b c d  + 3163092120a b c d
+--R             + 
+--R                             9 9             10 10
+--R               - 702909360a b c d + 70290936b  c
+--R          *
+--R              2
+--R             m
+--R         + 
+--R                        10 10             9     9              8 2 2 8
+--R               80627040a  d   - 806270400a b c d  + 3628216800a b c d
+--R             + 
+--R                            7 3 3 7               6 4 4 6               5 5 5 5
+--R               - 9675244800a b c d  + 16931678400a b c d  - 20318014080a b c d
+--R             + 
+--R                           4 6 6 4              3 7 7 3              2 8 8 2
+--R               16931678400a b c d  - 9675244800a b c d  + 3628216800a b c d
+--R             + 
+--R                             9 9             10 10
+--R               - 806270400a b c d + 80627040b  c
+--R          *
+--R             m
+--R         + 
+--R                    10 10             9     9              8 2 2 8
+--R           39916800a  d   - 399168000a b c d  + 1796256000a b c d
+--R         + 
+--R                        7 3 3 7              6 4 4 6               5 5 5 5
+--R           - 4790016000a b c d  + 8382528000a b c d  - 10059033600a b c d
+--R         + 
+--R                      4 6 6 4              3 7 7 3              2 8 8 2
+--R           8382528000a b c d  - 4790016000a b c d  + 1796256000a b c d
+--R         + 
+--R                         9 9             10 10
+--R           - 399168000a b c d + 39916800b  c
+--R      *
+--R                  m + 1
+--R         (b x + a)
+--R  /
+--R        11 11      11 10        11 9         11 8          11 7           11 6
+--R       b  m   + 66b  m   + 1925b  m  + 32670b  m  + 357423b  m  + 2637558b  m
+--R     + 
+--R                11 5            11 4             11 3             11 2
+--R       13339535b  m  + 45995730b  m  + 105258076b  m  + 150917976b  m
+--R     + 
+--R                 11             11
+--R       120543840b  m + 39916800b
+--R                                                    Type: Expression(Integer)
+--E 727
+
+--S 728 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R              11 10 10      11 10 9        11 10 8         11 10 7
+--R             b  d  m   + 55b  d  m  + 1320b  d  m  + 18150b  d  m
+--R           + 
+--R                    11 10 6          11 10 5           11 10 4           11 10 3
+--R             157773b  d  m  + 902055b  d  m  + 3416930b  d  m  + 8409500b  d  m
+--R           + 
+--R                      11 10 2            11 10            11 10
+--R             12753576b  d  m  + 10628640b  d  m + 3628800b  d
+--R        *
+--R            11
+--R           x
+--R       + 
+--R                 10 10      11   9  10         10 10       11   9  9
+--R             (a b  d   + 10b  c d )m   + (45a b  d   + 560b  c d )m
+--R           + 
+--R                    10 10         11   9  8           10 10          11   9  7
+--R             (870a b  d   + 13650b  c d )m  + (9450a b  d   + 190200b  c d )m
+--R           + 
+--R                      10 10           11   9  6
+--R             (63273a b  d   + 1672230b  c d )m
+--R           + 
+--R                       10 10           11   9  5
+--R             (269325a b  d   + 9653280b  c d )m
+--R           + 
+--R                       10 10            11   9  4
+--R             (723680a b  d   + 36862550b  c d )m
+--R           + 
+--R                        10 10            11   9  3
+--R             (1172700a b  d   + 91331800b  c d )m
+--R           + 
+--R                        10 10             11   9  2
+--R             (1026576a b  d   + 139262760b  c d )m
+--R           + 
+--R                       10 10             11   9              11   9
+--R             (362880a b  d   + 116552160b  c d )m + 39916800b  c d
+--R        *
+--R            10
+--R           x
+--R       + 
+--R                   10   9      11 2 8  10
+--R             (10a b  c d  + 45b  c d )m
+--R           + 
+--R                   2 9 10         10   9        11 2 8  9
+--R             (- 10a b d   + 470a b  c d  + 2565b  c d )m
+--R           + 
+--R                    2 9 10          10   9         11 2 8  8
+--R             (- 360a b d   + 9420a b  c d  + 63540b  c d )m
+--R           + 
+--R                     2 9 10            10   9          11 2 8  7
+--R             (- 5460a b d   + 105420a b  c d  + 898290b  c d )m
+--R           + 
+--R                      2 9 10            10   9           11 2 8  6
+--R             (- 45360a b d   + 723450a b  c d  + 7999425b  c d )m
+--R           + 
+--R                       2 9 10             10   9            11 2 8  5
+--R             (- 224490a b d   + 3142230a b  c d  + 46695285b  c d )m
+--R           + 
+--R                       2 9 10             10   9             11 2 8  4
+--R             (- 672840a b d   + 8582480a b  c d  + 180021510b  c d )m
+--R           + 
+--R                        2 9 10              10   9             11 2 8  3
+--R             (- 1181240a b d   + 14089480a b  c d  + 449614260b  c d )m
+--R           + 
+--R                        2 9 10              10   9             11 2 8  2
+--R             (- 1095840a b d   + 12457440a b  c d  + 690085080b  c d )m
+--R           + 
+--R                       2 9 10             10   9             11 2 8
+--R             (- 403200a b d   + 4435200a b  c d  + 580543200b  c d )m
+--R           + 
+--R                       11 2 8
+--R             199584000b  c d
+--R        *
+--R            9
+--R           x
+--R       + 
+--R                   10 2 8       11 3 7  10
+--R             (45a b  c d  + 120b  c d )m
+--R           + 
+--R                   2 9   9          10 2 8        11 3 7  9
+--R             (- 90a b c d  + 2205a b  c d  + 6960b  c d )m
+--R           + 
+--R                 3 8 10        2 9   9           10 2 8          11 3 7  8
+--R             (90a b d   - 3510a b c d  + 45900a b  c d  + 175320b  c d )m
+--R           + 
+--R                   3 8 10         2 9   9            10 2 8           11 3 7  7
+--R             (2520a b d   - 56700a b c d  + 531090a b  c d  + 2517840b  c d )m
+--R           + 
+--R                       3 8 10          2 9   9             10 2 8
+--R                 28980a b d   - 495180a b c d  + 3750705a b  c d
+--R               + 
+--R                          11 3 7
+--R                 22748040b  c d
+--R            *
+--R                6
+--R               m
+--R           + 
+--R                        3 8 10           2 9   9              10 2 8
+--R                 176400a b d   - 2549610a b c d  + 16689645a b  c d
+--R               + 
+--R                           11 3 7
+--R                 134522640b  c d
+--R            *
+--R                5
+--R               m
+--R           + 
+--R                        3 8 10           2 9   9              10 2 8
+--R                 609210a b d   - 7883190a b c d  + 46504350a b  c d
+--R               + 
+--R                           11 3 7
+--R                 524563080b  c d
+--R            *
+--R                4
+--R               m
+--R           + 
+--R                         3 8 10            2 9   9              10 2 8
+--R                 1181880a b d   - 14176800a b c d  + 77579460a b  c d
+--R               + 
+--R                            11 3 7
+--R                 1322982960b  c d
+--R            *
+--R                3
+--R               m
+--R           + 
+--R                         3 8 10            2 9   9              10 2 8
+--R                 1176120a b d   - 13390920a b c d  + 69449400a b  c d
+--R               + 
+--R                            11 3 7
+--R                 2047105440b  c d
+--R            *
+--R                2
+--R               m
+--R           + 
+--R                        3 8 10           2 9   9              10 2 8
+--R                 453600a b d   - 4989600a b c d  + 24948000a b  c d
+--R               + 
+--R                            11 3 7
+--R                 1733313600b  c d
+--R            *
+--R               m
+--R           + 
+--R                       11 3 7
+--R             598752000b  c d
+--R        *
+--R            8
+--R           x
+--R       + 
+--R                    10 3 7       11 4 6  10
+--R             (120a b  c d  + 210b  c d )m
+--R           + 
+--R                    2 9 2 8          10 3 7         11 4 6  9
+--R             (- 360a b c d  + 6120a b  c d  + 12390b  c d )m
+--R           + 
+--R                  3 8   9         2 9 2 8            10 3 7          11 4 6  8
+--R             (720a b c d  - 15120a b c d  + 132480a b  c d  + 317520b  c d )m
+--R           + 
+--R                       4 7 10         3 8   9          2 9 2 8
+--R                 - 720a b d   + 23040a b c d  - 261360a b c d
+--R               + 
+--R                           10 3 7           11 4 6
+--R                 1590480a b  c d  + 4638060b  c d
+--R            *
+--R                7
+--R               m
+--R           + 
+--R                         4 7 10          3 8   9           2 9 2 8
+--R                 - 15120a b d   + 292320a b c d  - 2419200a b c d
+--R               + 
+--R                            10 3 7            11 4 6
+--R                 11614680a b  c d  + 42592410b  c d
+--R            *
+--R                6
+--R               m
+--R           + 
+--R                          4 7 10           3 8   9            2 9 2 8
+--R                 - 126000a b d   + 1915200a b c d  - 13071240a b c d
+--R               + 
+--R                            10 3 7             11 4 6
+--R                 53219880a b  c d  + 255740310b  c d
+--R            *
+--R                5
+--R               m
+--R           + 
+--R                          4 7 10           3 8   9            2 9 2 8
+--R                 - 529200a b d   + 6990480a b c d  - 42018480a b c d
+--R               + 
+--R                             10 3 7              11 4 6
+--R                 152023920a b  c d  + 1011120180b  c d
+--R            *
+--R                4
+--R               m
+--R           + 
+--R                           4 7 10            3 8   9            2 9 2 8
+--R                 - 1169280a b d   + 14132160a b c d  - 77905440a b c d
+--R               + 
+--R                             10 3 7              11 4 6
+--R                 258815520a b  c d  + 2581262040b  c d
+--R            *
+--R                3
+--R               m
+--R           + 
+--R                           4 7 10            3 8   9            2 9 2 8
+--R                 - 1270080a b d   + 14489280a b c d  - 75297600a b c d
+--R               + 
+--R                             10 3 7              11 4 6
+--R                 235396800a b  c d  + 4035361680b  c d
+--R            *
+--R                2
+--R               m
+--R           + 
+--R                          4 7 10           3 8   9            2 9 2 8
+--R                 - 518400a b d   + 5702400a b c d  - 28512000a b c d
+--R               + 
+--R                            10 3 7              11 4 6
+--R                 85536000a b  c d  + 3445243200b  c d
+--R            *
+--R               m
+--R           + 
+--R                        11 4 6
+--R             1197504000b  c d
+--R        *
+--R            7
+--R           x
+--R       + 
+--R                    10 4 6       11 5 5  10
+--R             (210a b  c d  + 252b  c d )m
+--R           + 
+--R                    2 9 3 7           10 4 6         11 5 5  9
+--R             (- 840a b c d  + 11130a b  c d  + 15120b  c d )m
+--R           + 
+--R                   3 8 2 8         2 9 3 7            10 4 6          11 5 5  8
+--R             (2520a b c d  - 37800a b c d  + 250740a b  c d  + 394380b  c d )m
+--R           + 
+--R                        4 7   9         3 8 2 8          2 9 3 7
+--R                 - 5040a b c d  + 90720a b c d  - 700560a b c d
+--R               + 
+--R                           10 4 6           11 5 5
+--R                 3133620a b  c d  + 5866560b  c d
+--R            *
+--R                7
+--R               m
+--R           + 
+--R                      5 6 10          4 7   9           3 8 2 8
+--R                 5040a b d   - 131040a b c d  + 1285200a b c d
+--R               + 
+--R                           2 9 3 7              10 4 6            11 5 5
+--R                 - 6930000a b c d  + 23790690a b  c d  + 54871236b  c d
+--R            *
+--R                6
+--R               m
+--R           + 
+--R                       5 6 10           4 7   9           3 8 2 8
+--R                 75600a b d   - 1260000a b c d  + 9223200a b c d
+--R               + 
+--R                            2 9 3 7               10 4 6             11 5 5
+--R                 - 39722760a b c d  + 112996170a b  c d  + 335437200b  c d
+--R            *
+--R                5
+--R               m
+--R           + 
+--R                        5 6 10           4 7   9            3 8 2 8
+--R                 428400a b d   - 5846400a b c d  + 36159480a b c d
+--R               + 
+--R                             2 9 3 7               10 4 6              11 5 5
+--R                 - 134202600a b c d  + 333143160a b  c d  + 1348939620b  c d
+--R            *
+--R                4
+--R               m
+--R           + 
+--R                         5 6 10            4 7   9            3 8 2 8
+--R                 1134000a b d   - 13854960a b c d  + 77172480a b c d
+--R               + 
+--R                             2 9 3 7               10 4 6              11 5 5
+--R                 - 258951840a b c d  + 582403080a b  c d  + 3497286240b  c d
+--R            *
+--R                3
+--R               m
+--R           + 
+--R                         5 6 10            4 7   9            3 8 2 8
+--R                 1380960a b d   - 15795360a b c d  + 82303200a b c d
+--R               + 
+--R                             2 9 3 7               10 4 6              11 5 5
+--R                 - 257997600a b c d  + 540943200a b  c d  + 5541317712b  c d
+--R            *
+--R                2
+--R               m
+--R           + 
+--R                        5 6 10           4 7   9            3 8 2 8
+--R                 604800a b d   - 6652800a b c d  + 33264000a b c d
+--R               + 
+--R                            2 9 3 7               10 4 6              11 5 5
+--R                 - 99792000a b c d  + 199584000a b  c d  + 4783423680b  c d
+--R            *
+--R               m
+--R           + 
+--R                        11 5 5
+--R             1676505600b  c d
+--R        *
+--R            6
+--R           x
+--R       + 
+--R                    10 5 5       11 6 4  10
+--R             (252a b  c d  + 210b  c d )m
+--R           + 
+--R                     2 9 4 6           10 5 5         11 6 4  9
+--R             (- 1260a b c d  + 13860a b  c d  + 12810b  c d )m
+--R           + 
+--R                   3 8 3 7         2 9 4 6            10 5 5          11 6 4  8
+--R             (5040a b c d  - 60480a b c d  + 325080a b  c d  + 340200b  c d )m
+--R           + 
+--R                         4 7 2 8          3 8 3 7           2 9 4 6
+--R                 - 15120a b c d  + 201600a b c d  - 1202040a b c d
+--R               + 
+--R                           10 5 5           11 6 4
+--R                 4241160a b  c d  + 5159700b  c d
+--R            *
+--R                7
+--R               m
+--R           + 
+--R                       5 6   9          4 7 2 8           3 8 3 7
+--R                 30240a b c d  - 468720a b c d  + 3195360a b c d
+--R               + 
+--R                            2 9 4 6              10 5 5            11 6 4
+--R                 - 12791520a b c d  + 33665436a b  c d  + 49260330b  c d
+--R            *
+--R                6
+--R               m
+--R           + 
+--R                         6 5 10          5 6   9           4 7 2 8
+--R                 - 30240a b d   + 635040a b c d  - 5367600a b c d
+--R               + 
+--R                          3 8 3 7            2 9 4 6               10 5 5
+--R                 25603200a b c d  - 78786540a b c d  + 167110020a b  c d
+--R               + 
+--R                           11 6 4
+--R                 307585530b  c d
+--R            *
+--R                5
+--R               m
+--R           + 
+--R                          6 5 10           5 6   9            4 7 2 8
+--R                 - 302400a b d   + 4384800a b c d  - 28501200a b c d
+--R               + 
+--R                           3 8 3 7             2 9 4 6               10 5 5
+--R                 110320560a b c d  - 284044320a b c d  + 513389520a b  c d
+--R               + 
+--R                            11 6 4
+--R                 1263374700b  c d
+--R            *
+--R                4
+--R               m
+--R           + 
+--R                           6 5 10            5 6   9            4 7 2 8
+--R                 - 1058400a b d   + 13154400a b c d  - 74450880a b c d
+--R               + 
+--R                           3 8 3 7             2 9 4 6               10 5 5
+--R                 253612800a b c d  - 578637360a b c d  + 930338640a b  c d
+--R               + 
+--R                            11 6 4
+--R                 3342229800b  c d
+--R            *
+--R                3
+--R               m
+--R           + 
+--R                           6 5 10            5 6   9            4 7 2 8
+--R                 - 1512000a b d   + 17357760a b c d  - 90780480a b c d
+--R               + 
+--R                           3 8 3 7             2 9 4 6               10 5 5
+--R                 285647040a b c d  - 601231680a b c d  + 889624512a b  c d
+--R               + 
+--R                            11 6 4
+--R                 5393046960b  c d
+--R            *
+--R                2
+--R               m
+--R           + 
+--R                          6 5 10           5 6   9            4 7 2 8
+--R                 - 725760a b d   + 7983360a b c d  - 39916800a b c d
+--R               + 
+--R                           3 8 3 7             2 9 4 6               10 5 5
+--R                 119750400a b c d  - 239500800a b c d  + 335301120a b  c d
+--R               + 
+--R                            11 6 4
+--R                 4727540160b  c d
+--R            *
+--R               m
+--R           + 
+--R                        11 6 4
+--R             1676505600b  c d
+--R        *
+--R            5
+--R           x
+--R       + 
+--R                    10 6 4       11 7 3  10
+--R             (210a b  c d  + 120b  c d )m
+--R           + 
+--R                     2 9 5 5           10 6 4        11 7 3  9
+--R             (- 1260a b c d  + 11970a b  c d  + 7440b  c d )m
+--R           + 
+--R                   3 8 4 6         2 9 5 5            10 6 4          11 7 3  8
+--R             (6300a b c d  - 64260a b c d  + 292320a b  c d  + 201240b  c d )m
+--R           + 
+--R                         4 7 3 7          3 8 4 6           2 9 5 5
+--R                 - 25200a b c d  + 277200a b c d  - 1368360a b c d
+--R               + 
+--R                           10 6 4           11 7 3
+--R                 3990420a b  c d  + 3115440b  c d
+--R            *
+--R                7
+--R               m
+--R           + 
+--R                       5 6 2 8          4 7 3 7           3 8 4 6
+--R                 75600a b c d  - 907200a b c d  + 4901400a b c d
+--R               + 
+--R                            2 9 5 5              10 6 4            11 7 3
+--R                 - 15732360a b c d  + 33298650a b  c d  + 30429000b  c d
+--R            *
+--R                6
+--R               m
+--R           + 
+--R                          6 5   9           5 6 2 8            4 7 3 7
+--R                 - 151200a b c d  + 2041200a b c d  - 12348000a b c d
+--R               + 
+--R                          3 8 4 6             2 9 5 5               10 6 4
+--R                 44352000a b c d  - 105397740a b c d  + 174390930a b  c d
+--R               + 
+--R                           11 7 3
+--R                 194790960b  c d
+--R            *
+--R                5
+--R               m
+--R           + 
+--R                        7 4 10           6 5   9            5 6 2 8
+--R                 151200a b d   - 2570400a b c d  + 18673200a b c d
+--R               + 
+--R                            4 7 3 7             3 8 4 6             2 9 5 5
+--R                 - 78624000a b c d  + 216524700a b c d  - 413959140a b c d
+--R               + 
+--R                             10 6 4             11 7 3
+--R                 565810980a b  c d  + 821580360b  c d
+--R            *
+--R                4
+--R               m
+--R           + 
+--R                        7 4 10            6 5   9            5 6 2 8
+--R                 907200a b d   - 11642400a b c d  + 67813200a b c d
+--R               + 
+--R                             4 7 3 7             3 8 4 6             2 9 5 5
+--R                 - 237106800a b c d  + 554122800a b c d  - 911111040a b c d
+--R               + 
+--R                              10 6 4              11 7 3
+--R                 1078985880a b  c d  + 2233166160b  c d
+--R            *
+--R                3
+--R               m
+--R           + 
+--R                         7 4 10            6 5   9             5 6 2 8
+--R                 1663200a b d   - 19202400a b c d  + 101001600a b c d
+--R               + 
+--R                             4 7 3 7             3 8 4 6              2 9 5 5
+--R                 - 319636800a b c d  + 676695600a b c d  - 1007249040a b c d
+--R               + 
+--R                              10 6 4              11 7 3
+--R                 1077103440a b  c d  + 3698304480b  c d
+--R            *
+--R                2
+--R               m
+--R           + 
+--R                        7 4 10           6 5   9            5 6 2 8
+--R                 907200a b d   - 9979200a b c d  + 49896000a b c d
+--R               + 
+--R                             4 7 3 7             3 8 4 6             2 9 5 5
+--R                 - 149688000a b c d  + 299376000a b c d  - 419126400a b c d
+--R               + 
+--R                             10 6 4              11 7 3
+--R                 419126400a b  c d  + 3316939200b  c d
+--R            *
+--R               m
+--R           + 
+--R                        11 7 3
+--R             1197504000b  c d
+--R        *
+--R            4
+--R           x
+--R       + 
+--R                    10 7 3      11 8 2  10
+--R             (120a b  c d  + 45b  c d )m
+--R           + 
+--R                    2 9 6 4          10 7 3        11 8 2  9
+--R             (- 840a b c d  + 7080a b  c d  + 2835b  c d )m
+--R           + 
+--R                   3 8 5 5         2 9 6 4            10 7 3         11 8 2  8
+--R             (5040a b c d  - 45360a b c d  + 180000a b  c d  + 78120b  c d )m
+--R           + 
+--R                         4 7 4 6          3 8 5 5           2 9 6 4
+--R                 - 25200a b c d  + 241920a b c d  - 1033200a b c d
+--R               + 
+--R                           10 7 3           11 8 2
+--R                 2575440a b  c d  + 1235790b  c d
+--R            *
+--R                7
+--R               m
+--R           + 
+--R                        5 6 3 7           4 7 4 6           3 8 5 5
+--R                 100800a b c d  - 1033200a b c d  + 4747680a b c d
+--R               + 
+--R                            2 9 6 4              10 7 3            11 8 2
+--R                 - 12862080a b c d  + 22702680a b  c d  + 12376665b  c d
+--R            *
+--R                6
+--R               m
+--R           + 
+--R                          6 5 2 8           5 6 3 7            4 7 4 6
+--R                 - 302400a b c d  + 3326400a b c d  - 16506000a b c d
+--R               + 
+--R                          3 8 5 5            2 9 6 4               10 7 3
+--R                 48686400a b c d  - 94608360a b c d  + 126682920a b  c d
+--R               + 
+--R                          11 8 2
+--R                 81560115b  c d
+--R            *
+--R                5
+--R               m
+--R           + 
+--R                        7 4   9           6 5 2 8            5 6 3 7
+--R                 604800a b c d  - 7257600a b c d  + 39412800a b c d
+--R               + 
+--R                             4 7 4 6             3 8 5 5             2 9 6 4
+--R                 - 127890000a b c d  + 275531760a b c d  - 413738640a b c d
+--R               + 
+--R                             10 7 3             11 8 2
+--R                 441531600a b  c d  + 355598730b  c d
+--R            *
+--R                4
+--R               m
+--R           + 
+--R                          8 3 10           7 4   9            6 5 2 8
+--R                 - 604800a b d   + 8467200a b c d  - 52920000a b c d
+--R               + 
+--R                           5 6 3 7             4 7 4 6             3 8 5 5
+--R                 196257600a b c d  - 482428800a b c d  + 829241280a b c d
+--R               + 
+--R                              2 9 6 4               10 7 3              11 8 2
+--R                 - 1022028000a b c d  + 908571360a b  c d  + 1003011660b  c d
+--R            *
+--R                3
+--R               m
+--R           + 
+--R                           8 3 10            7 4   9             6 5 2 8
+--R                 - 1814400a b d   + 21168000a b c d  - 112492800a b c d
+--R               + 
+--R                           5 6 3 7             4 7 4 6              3 8 5 5
+--R                 359654400a b c d  - 769204800a b c d  + 1156720320a b c d
+--R               + 
+--R                              2 9 6 4               10 7 3              11 8 2
+--R                 - 1249859520a b c d  + 972590400a b  c d  + 1727578440b  c d
+--R            *
+--R                2
+--R               m
+--R           + 
+--R                           8 3 10            7 4   9            6 5 2 8
+--R                 - 1209600a b d   + 13305600a b c d  - 66528000a b c d
+--R               + 
+--R                           5 6 3 7             4 7 4 6             3 8 5 5
+--R                 199584000a b c d  - 399168000a b c d  + 558835200a b c d
+--R               + 
+--R                             2 9 6 4               10 7 3              11 8 2
+--R                 - 558835200a b c d  + 399168000a b  c d  + 1608573600b  c d
+--R            *
+--R               m
+--R           + 
+--R                       11 8 2
+--R             598752000b  c d
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                   10 8 2      11 9   10
+--R             (45a b  c d  + 10b  c d)m
+--R           + 
+--R                    2 9 7 3          10 8 2       11 9   9
+--R             (- 360a b c d  + 2745a b  c d  + 640b  c d)m
+--R           + 
+--R                   3 8 6 4         2 9 7 3           10 8 2         11 9   8
+--R             (2520a b c d  - 20520a b c d  + 72630a b  c d  + 17970b  c d)m
+--R           + 
+--R                         4 7 5 5          3 8 6 4          2 9 7 3
+--R                 - 15120a b c d  + 131040a b c d  - 498960a b c d
+--R               + 
+--R                           10 8 2          11 9
+--R                 1090530a b  c d  + 290760b  c d
+--R            *
+--R                7
+--R               m
+--R           + 
+--R                       5 6 4 6          4 7 5 5           3 8 6 4
+--R                 75600a b c d  - 695520a b c d  + 2837520a b c d
+--R               + 
+--R                           2 9 7 3              10 8 2           11 9
+--R                 - 6728400a b c d  + 10195605a b  c d  + 2992710b  c d
+--R            *
+--R                6
+--R               m
+--R           + 
+--R                          6 5 3 7           5 6 4 6            4 7 5 5
+--R                 - 302400a b c d  + 2948400a b c d  - 12852000a b c d
+--R               + 
+--R                          3 8 6 4            2 9 7 3              10 8 2
+--R                 32911200a b c d  - 54651240a b c d  + 61168905a b  c d
+--R               + 
+--R                          11 9
+--R                 20390160b  c d
+--R            *
+--R                5
+--R               m
+--R           + 
+--R                        7 4 2 8           6 5 3 7            5 6 4 6
+--R                 907200a b c d  - 9374400a b c d  + 43621200a b c d
+--R               + 
+--R                             4 7 5 5             3 8 6 4             2 9 7 3
+--R                 - 120355200a b c d  + 218002680a b c d  - 270746280a b c d
+--R               + 
+--R                             10 8 2            11 9
+--R                 233260920a b  c d  + 92615030b  c d
+--R            *
+--R                4
+--R               m
+--R           + 
+--R                           8 3   9            7 4 2 8            6 5 3 7
+--R                 - 1814400a b c d  + 19958400a b c d  - 99489600a b c d
+--R               + 
+--R                           5 6 4 6             4 7 5 5             3 8 6 4
+--R                 296427600a b c d  - 585884880a b c d  + 805210560a b c d
+--R               + 
+--R                             2 9 7 3               10 8 2             11 9
+--R                 - 783102240a b c d  + 536489820a b  c d  + 274727240b  c d
+--R            *
+--R                3
+--R               m
+--R           + 
+--R                         9 2 10            8 3   9             7 4 2 8
+--R                 1814400a b d   - 21772800a b c d  + 118843200a b c d
+--R               + 
+--R                             6 5 3 7             5 6 4 6              4 7 5 5
+--R                 - 389793600a b c d  + 854431200a b c d  - 1315954080a b c d
+--R               + 
+--R                            3 8 6 4              2 9 7 3               10 8 2
+--R                 1455662880a b c d  - 1159509600a b c d  + 654598800a b  c d
+--R               + 
+--R                           11 9
+--R                 503126280b  c d
+--R            *
+--R                2
+--R               m
+--R           + 
+--R                         9 2 10            8 3   9            7 4 2 8
+--R                 1814400a b d   - 19958400a b c d  + 99792000a b c d
+--R               + 
+--R                             6 5 3 7             5 6 4 6             4 7 5 5
+--R                 - 299376000a b c d  + 598752000a b c d  - 838252800a b c d
+--R               + 
+--R                           3 8 6 4             2 9 7 3               10 8 2
+--R                 838252800a b c d  - 598752000a b c d  + 299376000a b  c d
+--R               + 
+--R                           11 9
+--R                 502927200b  c d
+--R            *
+--R               m
+--R           + 
+--R                       11 9
+--R             199584000b  c d
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                   10 9     11 10  10
+--R             (10a b  c d + b  c  )m
+--R           + 
+--R                   2 9 8 2         10 9       11 10  9
+--R             (- 90a b c d  + 630a b  c d + 65b  c  )m
+--R           + 
+--R                  3 8 7 3        2 9 8 2           10 9         11 10  8
+--R             (720a b c d  - 5400a b c d  + 17340a b  c d + 1860b  c  )m
+--R           + 
+--R                        4 7 6 4         3 8 7 3          2 9 8 2
+--R                 - 5040a b c d  + 40320a b c d  - 139860a b c d
+--R               + 
+--R                          10 9          11 10
+--R                 273420a b  c d + 30810b  c
+--R            *
+--R                7
+--R               m
+--R           + 
+--R                       5 6 5 5          4 7 6 4          3 8 7 3
+--R                 30240a b c d  - 257040a b c d  + 957600a b c d
+--R               + 
+--R                           2 9 8 2             10 9           11 10
+--R                 - 2041200a b c d  + 2719290a b  c d + 326613b  c
+--R            *
+--R                6
+--R               m
+--R           + 
+--R                          6 5 4 6           5 6 5 5           4 7 6 4
+--R                 - 151200a b c d  + 1360800a b c d  - 5418000a b c d
+--R               + 
+--R                          3 8 7 3            2 9 8 2              10 9
+--R                 12499200a b c d  - 18350010a b c d  + 17670870a b  c d
+--R               + 
+--R                         11 10
+--R                 2310945b  c
+--R            *
+--R                5
+--R               m
+--R           + 
+--R                        7 4 3 7           6 5 4 6            5 6 5 5
+--R                 604800a b c d  - 5745600a b c d  + 24343200a b c d
+--R               + 
+--R                            4 7 6 4            3 8 7 3             2 9 8 2
+--R                 - 60404400a b c d  + 96803280a b c d  - 103987800a b c d
+--R               + 
+--R                            10 9             11 10
+--R                 74944160a b  c d + 11028590b  c
+--R            *
+--R                4
+--R               m
+--R           + 
+--R                           8 3 2 8            7 4 3 7            6 5 4 6
+--R                 - 1814400a b c d  + 18144000a b c d  - 81496800a b c d
+--R               + 
+--R                           5 6 5 5             4 7 6 4             3 8 7 3
+--R                 216367200a b c d  - 375600960a b c d  + 444689280a b c d
+--R               + 
+--R                             2 9 8 2               10 9             11 10
+--R                 - 362534040a b c d  + 199783080a b  c d + 34967140b  c
+--R            *
+--R                3
+--R               m
+--R           + 
+--R                         9 2   9            8 3 2 8             7 4 3 7
+--R                 3628800a b c d  - 38102400a b c d  + 180835200a b c d
+--R               + 
+--R                             6 5 4 6             5 6 5 5              4 7 6 4
+--R                 - 511358400a b c d  + 955402560a b c d  - 1234820160a b c d
+--R               + 
+--R                            3 8 7 3             2 9 8 2               10 9
+--R                 1121515200a b c d  - 710445600a b c d  + 303343200a b  c d
+--R               + 
+--R                          11 10
+--R                 70290936b  c
+--R            *
+--R                2
+--R               m
+--R           + 
+--R                           10   10            9 2   9             8 3 2 8
+--R                 - 3628800a  b d   + 39916800a b c d  - 199584000a b c d
+--R               + 
+--R                           7 4 3 7              6 5 4 6              5 6 5 5
+--R                 598752000a b c d  - 1197504000a b c d  + 1676505600a b c d
+--R               + 
+--R                              4 7 6 4              3 8 7 3             2 9 8 2
+--R                 - 1676505600a b c d  + 1197504000a b c d  - 598752000a b c d
+--R               + 
+--R                             10 9             11 10
+--R                 199584000a b  c d + 80627040b  c
+--R            *
+--R               m
+--R           + 
+--R                      11 10
+--R             39916800b  c
+--R        *
+--R           x
+--R       + 
+--R            10 10 10         2 9 9         10 10  9
+--R         a b  c  m   + (- 10a b c d + 65a b  c  )m
+--R       + 
+--R             3 8 8 2       2 9 9           10 10  8
+--R         (90a b c d  - 630a b c d + 1860a b  c  )m
+--R       + 
+--R                4 7 7 3        3 8 8 2         2 9 9            10 10  7
+--R         (- 720a b c d  + 5400a b c d  - 17340a b c d + 30810a b  c  )m
+--R       + 
+--R                  5 6 6 4         4 7 7 3          3 8 8 2          2 9 9
+--R             5040a b c d  - 40320a b c d  + 139860a b c d  - 273420a b c d
+--R           + 
+--R                      10 10
+--R             326613a b  c
+--R        *
+--R            6
+--R           m
+--R       + 
+--R                     6 5 5 5          5 6 6 4          4 7 7 3           3 8 8 2
+--R             - 30240a b c d  + 257040a b c d  - 957600a b c d  + 2041200a b c d
+--R           + 
+--R                       2 9 9              10 10
+--R             - 2719290a b c d + 2310945a b  c
+--R        *
+--R            5
+--R           m
+--R       + 
+--R                    7 4 4 6           6 5 5 5           5 6 6 4
+--R             151200a b c d  - 1360800a b c d  + 5418000a b c d
+--R           + 
+--R                        4 7 7 3            3 8 8 2            2 9 9
+--R             - 12499200a b c d  + 18350010a b c d  - 17670870a b c d
+--R           + 
+--R                        10 10
+--R             11028590a b  c
+--R        *
+--R            4
+--R           m
+--R       + 
+--R                      8 3 3 7           7 4 4 6            6 5 5 5
+--R             - 604800a b c d  + 5745600a b c d  - 24343200a b c d
+--R           + 
+--R                      5 6 6 4            4 7 7 3             3 8 8 2
+--R             60404400a b c d  - 96803280a b c d  + 103987800a b c d
+--R           + 
+--R                        2 9 9               10 10
+--R             - 74944160a b c d + 34967140a b  c
+--R        *
+--R            3
+--R           m
+--R       + 
+--R                     9 2 2 8            8 3 3 7            7 4 4 6
+--R             1814400a b c d  - 18144000a b c d  + 81496800a b c d
+--R           + 
+--R                         6 5 5 5             5 6 6 4             4 7 7 3
+--R             - 216367200a b c d  + 375600960a b c d  - 444689280a b c d
+--R           + 
+--R                       3 8 8 2             2 9 9               10 10
+--R             362534040a b c d  - 199783080a b c d + 70290936a b  c
+--R        *
+--R            2
+--R           m
+--R       + 
+--R                       10     9            9 2 2 8             8 3 3 7
+--R             - 3628800a  b c d  + 38102400a b c d  - 180835200a b c d
+--R           + 
+--R                       7 4 4 6             6 5 5 5              5 6 6 4
+--R             511358400a b c d  - 955402560a b c d  + 1234820160a b c d
+--R           + 
+--R                          4 7 7 3             3 8 8 2             2 9 9
+--R             - 1121515200a b c d  + 710445600a b c d  - 303343200a b c d
+--R           + 
+--R                        10 10
+--R             80627040a b  c
+--R        *
+--R           m
+--R       + 
+--R                 11 10            10     9             9 2 2 8
+--R         3628800a  d   - 39916800a  b c d  + 199584000a b c d
+--R       + 
+--R                     8 3 3 7              7 4 4 6              6 5 5 5
+--R         - 598752000a b c d  + 1197504000a b c d  - 1676505600a b c d
+--R       + 
+--R                    5 6 6 4              4 7 7 3             3 8 8 2
+--R         1676505600a b c d  - 1197504000a b c d  + 598752000a b c d
+--R       + 
+--R                     2 9 9               10 10
+--R         - 199584000a b c d + 39916800a b  c
+--R    *
+--R         m log(b x + a)
+--R       %e
+--R  /
+--R        11 11      11 10        11 9         11 8          11 7           11 6
+--R       b  m   + 66b  m   + 1925b  m  + 32670b  m  + 357423b  m  + 2637558b  m
+--R     + 
+--R                11 5            11 4             11 3             11 2
+--R       13339535b  m  + 45995730b  m  + 105258076b  m  + 150917976b  m
+--R     + 
+--R                 11             11
+--R       120543840b  m + 39916800b
+--R                                         Type: Union(Expression(Integer),...)
+--E 728
+
+--S 729 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R                11 10 10      11 10 9        11 10 8         11 10 7
+--R               b  d  m   + 55b  d  m  + 1320b  d  m  + 18150b  d  m
+--R             + 
+--R                      11 10 6          11 10 5           11 10 4
+--R               157773b  d  m  + 902055b  d  m  + 3416930b  d  m
+--R             + 
+--R                       11 10 3            11 10 2            11 10
+--R               8409500b  d  m  + 12753576b  d  m  + 10628640b  d  m
+--R             + 
+--R                       11 10
+--R               3628800b  d
+--R          *
+--R              11
+--R             x
+--R         + 
+--R                   10 10      11   9  10         10 10       11   9  9
+--R               (a b  d   + 10b  c d )m   + (45a b  d   + 560b  c d )m
+--R             + 
+--R                      10 10         11   9  8           10 10          11   9  7
+--R               (870a b  d   + 13650b  c d )m  + (9450a b  d   + 190200b  c d )m
+--R             + 
+--R                        10 10           11   9  6
+--R               (63273a b  d   + 1672230b  c d )m
+--R             + 
+--R                         10 10           11   9  5
+--R               (269325a b  d   + 9653280b  c d )m
+--R             + 
+--R                         10 10            11   9  4
+--R               (723680a b  d   + 36862550b  c d )m
+--R             + 
+--R                          10 10            11   9  3
+--R               (1172700a b  d   + 91331800b  c d )m
+--R             + 
+--R                          10 10             11   9  2
+--R               (1026576a b  d   + 139262760b  c d )m
+--R             + 
+--R                         10 10             11   9              11   9
+--R               (362880a b  d   + 116552160b  c d )m + 39916800b  c d
+--R          *
+--R              10
+--R             x
+--R         + 
+--R                     10   9      11 2 8  10
+--R               (10a b  c d  + 45b  c d )m
+--R             + 
+--R                     2 9 10         10   9        11 2 8  9
+--R               (- 10a b d   + 470a b  c d  + 2565b  c d )m
+--R             + 
+--R                      2 9 10          10   9         11 2 8  8
+--R               (- 360a b d   + 9420a b  c d  + 63540b  c d )m
+--R             + 
+--R                       2 9 10            10   9          11 2 8  7
+--R               (- 5460a b d   + 105420a b  c d  + 898290b  c d )m
+--R             + 
+--R                        2 9 10            10   9           11 2 8  6
+--R               (- 45360a b d   + 723450a b  c d  + 7999425b  c d )m
+--R             + 
+--R                         2 9 10             10   9            11 2 8  5
+--R               (- 224490a b d   + 3142230a b  c d  + 46695285b  c d )m
+--R             + 
+--R                         2 9 10             10   9             11 2 8  4
+--R               (- 672840a b d   + 8582480a b  c d  + 180021510b  c d )m
+--R             + 
+--R                          2 9 10              10   9             11 2 8  3
+--R               (- 1181240a b d   + 14089480a b  c d  + 449614260b  c d )m
+--R             + 
+--R                          2 9 10              10   9             11 2 8  2
+--R               (- 1095840a b d   + 12457440a b  c d  + 690085080b  c d )m
+--R             + 
+--R                         2 9 10             10   9             11 2 8
+--R               (- 403200a b d   + 4435200a b  c d  + 580543200b  c d )m
+--R             + 
+--R                         11 2 8
+--R               199584000b  c d
+--R          *
+--R              9
+--R             x
+--R         + 
+--R                     10 2 8       11 3 7  10
+--R               (45a b  c d  + 120b  c d )m
+--R             + 
+--R                     2 9   9          10 2 8        11 3 7  9
+--R               (- 90a b c d  + 2205a b  c d  + 6960b  c d )m
+--R             + 
+--R                   3 8 10        2 9   9           10 2 8          11 3 7  8
+--R               (90a b d   - 3510a b c d  + 45900a b  c d  + 175320b  c d )m
+--R             + 
+--R                          3 8 10         2 9   9            10 2 8
+--R                     2520a b d   - 56700a b c d  + 531090a b  c d
+--R                   + 
+--R                             11 3 7
+--R                     2517840b  c d
+--R              *
+--R                  7
+--R                 m
+--R             + 
+--R                         3 8 10          2 9   9             10 2 8
+--R                   28980a b d   - 495180a b c d  + 3750705a b  c d
+--R                 + 
+--R                            11 3 7
+--R                   22748040b  c d
+--R              *
+--R                  6
+--R                 m
+--R             + 
+--R                          3 8 10           2 9   9              10 2 8
+--R                   176400a b d   - 2549610a b c d  + 16689645a b  c d
+--R                 + 
+--R                             11 3 7
+--R                   134522640b  c d
+--R              *
+--R                  5
+--R                 m
+--R             + 
+--R                          3 8 10           2 9   9              10 2 8
+--R                   609210a b d   - 7883190a b c d  + 46504350a b  c d
+--R                 + 
+--R                             11 3 7
+--R                   524563080b  c d
+--R              *
+--R                  4
+--R                 m
+--R             + 
+--R                           3 8 10            2 9   9              10 2 8
+--R                   1181880a b d   - 14176800a b c d  + 77579460a b  c d
+--R                 + 
+--R                              11 3 7
+--R                   1322982960b  c d
+--R              *
+--R                  3
+--R                 m
+--R             + 
+--R                           3 8 10            2 9   9              10 2 8
+--R                   1176120a b d   - 13390920a b c d  + 69449400a b  c d
+--R                 + 
+--R                              11 3 7
+--R                   2047105440b  c d
+--R              *
+--R                  2
+--R                 m
+--R             + 
+--R                          3 8 10           2 9   9              10 2 8
+--R                   453600a b d   - 4989600a b c d  + 24948000a b  c d
+--R                 + 
+--R                              11 3 7
+--R                   1733313600b  c d
+--R              *
+--R                 m
+--R             + 
+--R                         11 3 7
+--R               598752000b  c d
+--R          *
+--R              8
+--R             x
+--R         + 
+--R                      10 3 7       11 4 6  10
+--R               (120a b  c d  + 210b  c d )m
+--R             + 
+--R                      2 9 2 8          10 3 7         11 4 6  9
+--R               (- 360a b c d  + 6120a b  c d  + 12390b  c d )m
+--R             + 
+--R                    3 8   9         2 9 2 8            10 3 7          11 4 6  8
+--R               (720a b c d  - 15120a b c d  + 132480a b  c d  + 317520b  c d )m
+--R             + 
+--R                         4 7 10         3 8   9          2 9 2 8
+--R                   - 720a b d   + 23040a b c d  - 261360a b c d
+--R                 + 
+--R                             10 3 7           11 4 6
+--R                   1590480a b  c d  + 4638060b  c d
+--R              *
+--R                  7
+--R                 m
+--R             + 
+--R                           4 7 10          3 8   9           2 9 2 8
+--R                   - 15120a b d   + 292320a b c d  - 2419200a b c d
+--R                 + 
+--R                              10 3 7            11 4 6
+--R                   11614680a b  c d  + 42592410b  c d
+--R              *
+--R                  6
+--R                 m
+--R             + 
+--R                            4 7 10           3 8   9            2 9 2 8
+--R                   - 126000a b d   + 1915200a b c d  - 13071240a b c d
+--R                 + 
+--R                              10 3 7             11 4 6
+--R                   53219880a b  c d  + 255740310b  c d
+--R              *
+--R                  5
+--R                 m
+--R             + 
+--R                            4 7 10           3 8   9            2 9 2 8
+--R                   - 529200a b d   + 6990480a b c d  - 42018480a b c d
+--R                 + 
+--R                               10 3 7              11 4 6
+--R                   152023920a b  c d  + 1011120180b  c d
+--R              *
+--R                  4
+--R                 m
+--R             + 
+--R                             4 7 10            3 8   9            2 9 2 8
+--R                   - 1169280a b d   + 14132160a b c d  - 77905440a b c d
+--R                 + 
+--R                               10 3 7              11 4 6
+--R                   258815520a b  c d  + 2581262040b  c d
+--R              *
+--R                  3
+--R                 m
+--R             + 
+--R                             4 7 10            3 8   9            2 9 2 8
+--R                   - 1270080a b d   + 14489280a b c d  - 75297600a b c d
+--R                 + 
+--R                               10 3 7              11 4 6
+--R                   235396800a b  c d  + 4035361680b  c d
+--R              *
+--R                  2
+--R                 m
+--R             + 
+--R                            4 7 10           3 8   9            2 9 2 8
+--R                   - 518400a b d   + 5702400a b c d  - 28512000a b c d
+--R                 + 
+--R                              10 3 7              11 4 6
+--R                   85536000a b  c d  + 3445243200b  c d
+--R              *
+--R                 m
+--R             + 
+--R                          11 4 6
+--R               1197504000b  c d
+--R          *
+--R              7
+--R             x
+--R         + 
+--R                      10 4 6       11 5 5  10
+--R               (210a b  c d  + 252b  c d )m
+--R             + 
+--R                      2 9 3 7           10 4 6         11 5 5  9
+--R               (- 840a b c d  + 11130a b  c d  + 15120b  c d )m
+--R             + 
+--R                          3 8 2 8         2 9 3 7            10 4 6
+--R                     2520a b c d  - 37800a b c d  + 250740a b  c d
+--R                   + 
+--R                            11 5 5
+--R                     394380b  c d
+--R              *
+--R                  8
+--R                 m
+--R             + 
+--R                          4 7   9         3 8 2 8          2 9 3 7
+--R                   - 5040a b c d  + 90720a b c d  - 700560a b c d
+--R                 + 
+--R                             10 4 6           11 5 5
+--R                   3133620a b  c d  + 5866560b  c d
+--R              *
+--R                  7
+--R                 m
+--R             + 
+--R                        5 6 10          4 7   9           3 8 2 8
+--R                   5040a b d   - 131040a b c d  + 1285200a b c d
+--R                 + 
+--R                             2 9 3 7              10 4 6            11 5 5
+--R                   - 6930000a b c d  + 23790690a b  c d  + 54871236b  c d
+--R              *
+--R                  6
+--R                 m
+--R             + 
+--R                         5 6 10           4 7   9           3 8 2 8
+--R                   75600a b d   - 1260000a b c d  + 9223200a b c d
+--R                 + 
+--R                              2 9 3 7               10 4 6             11 5 5
+--R                   - 39722760a b c d  + 112996170a b  c d  + 335437200b  c d
+--R              *
+--R                  5
+--R                 m
+--R             + 
+--R                          5 6 10           4 7   9            3 8 2 8
+--R                   428400a b d   - 5846400a b c d  + 36159480a b c d
+--R                 + 
+--R                               2 9 3 7               10 4 6              11 5 5
+--R                   - 134202600a b c d  + 333143160a b  c d  + 1348939620b  c d
+--R              *
+--R                  4
+--R                 m
+--R             + 
+--R                           5 6 10            4 7   9            3 8 2 8
+--R                   1134000a b d   - 13854960a b c d  + 77172480a b c d
+--R                 + 
+--R                               2 9 3 7               10 4 6              11 5 5
+--R                   - 258951840a b c d  + 582403080a b  c d  + 3497286240b  c d
+--R              *
+--R                  3
+--R                 m
+--R             + 
+--R                           5 6 10            4 7   9            3 8 2 8
+--R                   1380960a b d   - 15795360a b c d  + 82303200a b c d
+--R                 + 
+--R                               2 9 3 7               10 4 6              11 5 5
+--R                   - 257997600a b c d  + 540943200a b  c d  + 5541317712b  c d
+--R              *
+--R                  2
+--R                 m
+--R             + 
+--R                          5 6 10           4 7   9            3 8 2 8
+--R                   604800a b d   - 6652800a b c d  + 33264000a b c d
+--R                 + 
+--R                              2 9 3 7               10 4 6              11 5 5
+--R                   - 99792000a b c d  + 199584000a b  c d  + 4783423680b  c d
+--R              *
+--R                 m
+--R             + 
+--R                          11 5 5
+--R               1676505600b  c d
+--R          *
+--R              6
+--R             x
+--R         + 
+--R                      10 5 5       11 6 4  10
+--R               (252a b  c d  + 210b  c d )m
+--R             + 
+--R                       2 9 4 6           10 5 5         11 6 4  9
+--R               (- 1260a b c d  + 13860a b  c d  + 12810b  c d )m
+--R             + 
+--R                          3 8 3 7         2 9 4 6            10 5 5
+--R                     5040a b c d  - 60480a b c d  + 325080a b  c d
+--R                   + 
+--R                            11 6 4
+--R                     340200b  c d
+--R              *
+--R                  8
+--R                 m
+--R             + 
+--R                           4 7 2 8          3 8 3 7           2 9 4 6
+--R                   - 15120a b c d  + 201600a b c d  - 1202040a b c d
+--R                 + 
+--R                             10 5 5           11 6 4
+--R                   4241160a b  c d  + 5159700b  c d
+--R              *
+--R                  7
+--R                 m
+--R             + 
+--R                         5 6   9          4 7 2 8           3 8 3 7
+--R                   30240a b c d  - 468720a b c d  + 3195360a b c d
+--R                 + 
+--R                              2 9 4 6              10 5 5            11 6 4
+--R                   - 12791520a b c d  + 33665436a b  c d  + 49260330b  c d
+--R              *
+--R                  6
+--R                 m
+--R             + 
+--R                           6 5 10          5 6   9           4 7 2 8
+--R                   - 30240a b d   + 635040a b c d  - 5367600a b c d
+--R                 + 
+--R                            3 8 3 7            2 9 4 6               10 5 5
+--R                   25603200a b c d  - 78786540a b c d  + 167110020a b  c d
+--R                 + 
+--R                             11 6 4
+--R                   307585530b  c d
+--R              *
+--R                  5
+--R                 m
+--R             + 
+--R                            6 5 10           5 6   9            4 7 2 8
+--R                   - 302400a b d   + 4384800a b c d  - 28501200a b c d
+--R                 + 
+--R                             3 8 3 7             2 9 4 6               10 5 5
+--R                   110320560a b c d  - 284044320a b c d  + 513389520a b  c d
+--R                 + 
+--R                              11 6 4
+--R                   1263374700b  c d
+--R              *
+--R                  4
+--R                 m
+--R             + 
+--R                             6 5 10            5 6   9            4 7 2 8
+--R                   - 1058400a b d   + 13154400a b c d  - 74450880a b c d
+--R                 + 
+--R                             3 8 3 7             2 9 4 6               10 5 5
+--R                   253612800a b c d  - 578637360a b c d  + 930338640a b  c d
+--R                 + 
+--R                              11 6 4
+--R                   3342229800b  c d
+--R              *
+--R                  3
+--R                 m
+--R             + 
+--R                             6 5 10            5 6   9            4 7 2 8
+--R                   - 1512000a b d   + 17357760a b c d  - 90780480a b c d
+--R                 + 
+--R                             3 8 3 7             2 9 4 6               10 5 5
+--R                   285647040a b c d  - 601231680a b c d  + 889624512a b  c d
+--R                 + 
+--R                              11 6 4
+--R                   5393046960b  c d
+--R              *
+--R                  2
+--R                 m
+--R             + 
+--R                            6 5 10           5 6   9            4 7 2 8
+--R                   - 725760a b d   + 7983360a b c d  - 39916800a b c d
+--R                 + 
+--R                             3 8 3 7             2 9 4 6               10 5 5
+--R                   119750400a b c d  - 239500800a b c d  + 335301120a b  c d
+--R                 + 
+--R                              11 6 4
+--R                   4727540160b  c d
+--R              *
+--R                 m
+--R             + 
+--R                          11 6 4
+--R               1676505600b  c d
+--R          *
+--R              5
+--R             x
+--R         + 
+--R                      10 6 4       11 7 3  10
+--R               (210a b  c d  + 120b  c d )m
+--R             + 
+--R                       2 9 5 5           10 6 4        11 7 3  9
+--R               (- 1260a b c d  + 11970a b  c d  + 7440b  c d )m
+--R             + 
+--R                          3 8 4 6         2 9 5 5            10 6 4
+--R                     6300a b c d  - 64260a b c d  + 292320a b  c d
+--R                   + 
+--R                            11 7 3
+--R                     201240b  c d
+--R              *
+--R                  8
+--R                 m
+--R             + 
+--R                           4 7 3 7          3 8 4 6           2 9 5 5
+--R                   - 25200a b c d  + 277200a b c d  - 1368360a b c d
+--R                 + 
+--R                             10 6 4           11 7 3
+--R                   3990420a b  c d  + 3115440b  c d
+--R              *
+--R                  7
+--R                 m
+--R             + 
+--R                         5 6 2 8          4 7 3 7           3 8 4 6
+--R                   75600a b c d  - 907200a b c d  + 4901400a b c d
+--R                 + 
+--R                              2 9 5 5              10 6 4            11 7 3
+--R                   - 15732360a b c d  + 33298650a b  c d  + 30429000b  c d
+--R              *
+--R                  6
+--R                 m
+--R             + 
+--R                            6 5   9           5 6 2 8            4 7 3 7
+--R                   - 151200a b c d  + 2041200a b c d  - 12348000a b c d
+--R                 + 
+--R                            3 8 4 6             2 9 5 5               10 6 4
+--R                   44352000a b c d  - 105397740a b c d  + 174390930a b  c d
+--R                 + 
+--R                             11 7 3
+--R                   194790960b  c d
+--R              *
+--R                  5
+--R                 m
+--R             + 
+--R                          7 4 10           6 5   9            5 6 2 8
+--R                   151200a b d   - 2570400a b c d  + 18673200a b c d
+--R                 + 
+--R                              4 7 3 7             3 8 4 6             2 9 5 5
+--R                   - 78624000a b c d  + 216524700a b c d  - 413959140a b c d
+--R                 + 
+--R                               10 6 4             11 7 3
+--R                   565810980a b  c d  + 821580360b  c d
+--R              *
+--R                  4
+--R                 m
+--R             + 
+--R                          7 4 10            6 5   9            5 6 2 8
+--R                   907200a b d   - 11642400a b c d  + 67813200a b c d
+--R                 + 
+--R                               4 7 3 7             3 8 4 6             2 9 5 5
+--R                   - 237106800a b c d  + 554122800a b c d  - 911111040a b c d
+--R                 + 
+--R                                10 6 4              11 7 3
+--R                   1078985880a b  c d  + 2233166160b  c d
+--R              *
+--R                  3
+--R                 m
+--R             + 
+--R                           7 4 10            6 5   9             5 6 2 8
+--R                   1663200a b d   - 19202400a b c d  + 101001600a b c d
+--R                 + 
+--R                               4 7 3 7             3 8 4 6              2 9 5 5
+--R                   - 319636800a b c d  + 676695600a b c d  - 1007249040a b c d
+--R                 + 
+--R                                10 6 4              11 7 3
+--R                   1077103440a b  c d  + 3698304480b  c d
+--R              *
+--R                  2
+--R                 m
+--R             + 
+--R                          7 4 10           6 5   9            5 6 2 8
+--R                   907200a b d   - 9979200a b c d  + 49896000a b c d
+--R                 + 
+--R                               4 7 3 7             3 8 4 6             2 9 5 5
+--R                   - 149688000a b c d  + 299376000a b c d  - 419126400a b c d
+--R                 + 
+--R                               10 6 4              11 7 3
+--R                   419126400a b  c d  + 3316939200b  c d
+--R              *
+--R                 m
+--R             + 
+--R                          11 7 3
+--R               1197504000b  c d
+--R          *
+--R              4
+--R             x
+--R         + 
+--R                      10 7 3      11 8 2  10
+--R               (120a b  c d  + 45b  c d )m
+--R             + 
+--R                      2 9 6 4          10 7 3        11 8 2  9
+--R               (- 840a b c d  + 7080a b  c d  + 2835b  c d )m
+--R             + 
+--R                     3 8 5 5         2 9 6 4            10 7 3         11 8 2  8
+--R               (5040a b c d  - 45360a b c d  + 180000a b  c d  + 78120b  c d )m
+--R             + 
+--R                           4 7 4 6          3 8 5 5           2 9 6 4
+--R                   - 25200a b c d  + 241920a b c d  - 1033200a b c d
+--R                 + 
+--R                             10 7 3           11 8 2
+--R                   2575440a b  c d  + 1235790b  c d
+--R              *
+--R                  7
+--R                 m
+--R             + 
+--R                          5 6 3 7           4 7 4 6           3 8 5 5
+--R                   100800a b c d  - 1033200a b c d  + 4747680a b c d
+--R                 + 
+--R                              2 9 6 4              10 7 3            11 8 2
+--R                   - 12862080a b c d  + 22702680a b  c d  + 12376665b  c d
+--R              *
+--R                  6
+--R                 m
+--R             + 
+--R                            6 5 2 8           5 6 3 7            4 7 4 6
+--R                   - 302400a b c d  + 3326400a b c d  - 16506000a b c d
+--R                 + 
+--R                            3 8 5 5            2 9 6 4               10 7 3
+--R                   48686400a b c d  - 94608360a b c d  + 126682920a b  c d
+--R                 + 
+--R                            11 8 2
+--R                   81560115b  c d
+--R              *
+--R                  5
+--R                 m
+--R             + 
+--R                          7 4   9           6 5 2 8            5 6 3 7
+--R                   604800a b c d  - 7257600a b c d  + 39412800a b c d
+--R                 + 
+--R                               4 7 4 6             3 8 5 5             2 9 6 4
+--R                   - 127890000a b c d  + 275531760a b c d  - 413738640a b c d
+--R                 + 
+--R                               10 7 3             11 8 2
+--R                   441531600a b  c d  + 355598730b  c d
+--R              *
+--R                  4
+--R                 m
+--R             + 
+--R                            8 3 10           7 4   9            6 5 2 8
+--R                   - 604800a b d   + 8467200a b c d  - 52920000a b c d
+--R                 + 
+--R                             5 6 3 7             4 7 4 6             3 8 5 5
+--R                   196257600a b c d  - 482428800a b c d  + 829241280a b c d
+--R                 + 
+--R                              2 9 6 4               10 7 3              11 8 2
+--R                 - 1022028000a b c d  + 908571360a b  c d  + 1003011660b  c d
+--R              *
+--R                  3
+--R                 m
+--R             + 
+--R                             8 3 10            7 4   9             6 5 2 8
+--R                   - 1814400a b d   + 21168000a b c d  - 112492800a b c d
+--R                 + 
+--R                             5 6 3 7             4 7 4 6              3 8 5 5
+--R                   359654400a b c d  - 769204800a b c d  + 1156720320a b c d
+--R                 + 
+--R                              2 9 6 4               10 7 3              11 8 2
+--R                 - 1249859520a b c d  + 972590400a b  c d  + 1727578440b  c d
+--R              *
+--R                  2
+--R                 m
+--R             + 
+--R                             8 3 10            7 4   9            6 5 2 8
+--R                   - 1209600a b d   + 13305600a b c d  - 66528000a b c d
+--R                 + 
+--R                             5 6 3 7             4 7 4 6             3 8 5 5
+--R                   199584000a b c d  - 399168000a b c d  + 558835200a b c d
+--R                 + 
+--R                               2 9 6 4               10 7 3              11 8 2
+--R                   - 558835200a b c d  + 399168000a b  c d  + 1608573600b  c d
+--R              *
+--R                 m
+--R             + 
+--R                         11 8 2
+--R               598752000b  c d
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                     10 8 2      11 9   10
+--R               (45a b  c d  + 10b  c d)m
+--R             + 
+--R                      2 9 7 3          10 8 2       11 9   9
+--R               (- 360a b c d  + 2745a b  c d  + 640b  c d)m
+--R             + 
+--R                     3 8 6 4         2 9 7 3           10 8 2         11 9   8
+--R               (2520a b c d  - 20520a b c d  + 72630a b  c d  + 17970b  c d)m
+--R             + 
+--R                           4 7 5 5          3 8 6 4          2 9 7 3
+--R                   - 15120a b c d  + 131040a b c d  - 498960a b c d
+--R                 + 
+--R                             10 8 2          11 9
+--R                   1090530a b  c d  + 290760b  c d
+--R              *
+--R                  7
+--R                 m
+--R             + 
+--R                         5 6 4 6          4 7 5 5           3 8 6 4
+--R                   75600a b c d  - 695520a b c d  + 2837520a b c d
+--R                 + 
+--R                             2 9 7 3              10 8 2           11 9
+--R                   - 6728400a b c d  + 10195605a b  c d  + 2992710b  c d
+--R              *
+--R                  6
+--R                 m
+--R             + 
+--R                            6 5 3 7           5 6 4 6            4 7 5 5
+--R                   - 302400a b c d  + 2948400a b c d  - 12852000a b c d
+--R                 + 
+--R                            3 8 6 4            2 9 7 3              10 8 2
+--R                   32911200a b c d  - 54651240a b c d  + 61168905a b  c d
+--R                 + 
+--R                            11 9
+--R                   20390160b  c d
+--R              *
+--R                  5
+--R                 m
+--R             + 
+--R                          7 4 2 8           6 5 3 7            5 6 4 6
+--R                   907200a b c d  - 9374400a b c d  + 43621200a b c d
+--R                 + 
+--R                               4 7 5 5             3 8 6 4             2 9 7 3
+--R                   - 120355200a b c d  + 218002680a b c d  - 270746280a b c d
+--R                 + 
+--R                               10 8 2            11 9
+--R                   233260920a b  c d  + 92615030b  c d
+--R              *
+--R                  4
+--R                 m
+--R             + 
+--R                             8 3   9            7 4 2 8            6 5 3 7
+--R                   - 1814400a b c d  + 19958400a b c d  - 99489600a b c d
+--R                 + 
+--R                             5 6 4 6             4 7 5 5             3 8 6 4
+--R                   296427600a b c d  - 585884880a b c d  + 805210560a b c d
+--R                 + 
+--R                               2 9 7 3               10 8 2             11 9
+--R                   - 783102240a b c d  + 536489820a b  c d  + 274727240b  c d
+--R              *
+--R                  3
+--R                 m
+--R             + 
+--R                           9 2 10            8 3   9             7 4 2 8
+--R                   1814400a b d   - 21772800a b c d  + 118843200a b c d
+--R                 + 
+--R                               6 5 3 7             5 6 4 6              4 7 5 5
+--R                   - 389793600a b c d  + 854431200a b c d  - 1315954080a b c d
+--R                 + 
+--R                              3 8 6 4              2 9 7 3               10 8 2
+--R                   1455662880a b c d  - 1159509600a b c d  + 654598800a b  c d
+--R                 + 
+--R                             11 9
+--R                   503126280b  c d
+--R              *
+--R                  2
+--R                 m
+--R             + 
+--R                           9 2 10            8 3   9            7 4 2 8
+--R                   1814400a b d   - 19958400a b c d  + 99792000a b c d
+--R                 + 
+--R                               6 5 3 7             5 6 4 6             4 7 5 5
+--R                   - 299376000a b c d  + 598752000a b c d  - 838252800a b c d
+--R                 + 
+--R                             3 8 6 4             2 9 7 3               10 8 2
+--R                   838252800a b c d  - 598752000a b c d  + 299376000a b  c d
+--R                 + 
+--R                             11 9
+--R                   502927200b  c d
+--R              *
+--R                 m
+--R             + 
+--R                         11 9
+--R               199584000b  c d
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                     10 9     11 10  10
+--R               (10a b  c d + b  c  )m
+--R             + 
+--R                     2 9 8 2         10 9       11 10  9
+--R               (- 90a b c d  + 630a b  c d + 65b  c  )m
+--R             + 
+--R                    3 8 7 3        2 9 8 2           10 9         11 10  8
+--R               (720a b c d  - 5400a b c d  + 17340a b  c d + 1860b  c  )m
+--R             + 
+--R                          4 7 6 4         3 8 7 3          2 9 8 2
+--R                   - 5040a b c d  + 40320a b c d  - 139860a b c d
+--R                 + 
+--R                            10 9          11 10
+--R                   273420a b  c d + 30810b  c
+--R              *
+--R                  7
+--R                 m
+--R             + 
+--R                         5 6 5 5          4 7 6 4          3 8 7 3
+--R                   30240a b c d  - 257040a b c d  + 957600a b c d
+--R                 + 
+--R                             2 9 8 2             10 9           11 10
+--R                   - 2041200a b c d  + 2719290a b  c d + 326613b  c
+--R              *
+--R                  6
+--R                 m
+--R             + 
+--R                            6 5 4 6           5 6 5 5           4 7 6 4
+--R                   - 151200a b c d  + 1360800a b c d  - 5418000a b c d
+--R                 + 
+--R                            3 8 7 3            2 9 8 2              10 9
+--R                   12499200a b c d  - 18350010a b c d  + 17670870a b  c d
+--R                 + 
+--R                           11 10
+--R                   2310945b  c
+--R              *
+--R                  5
+--R                 m
+--R             + 
+--R                          7 4 3 7           6 5 4 6            5 6 5 5
+--R                   604800a b c d  - 5745600a b c d  + 24343200a b c d
+--R                 + 
+--R                              4 7 6 4            3 8 7 3             2 9 8 2
+--R                   - 60404400a b c d  + 96803280a b c d  - 103987800a b c d
+--R                 + 
+--R                              10 9             11 10
+--R                   74944160a b  c d + 11028590b  c
+--R              *
+--R                  4
+--R                 m
+--R             + 
+--R                             8 3 2 8            7 4 3 7            6 5 4 6
+--R                   - 1814400a b c d  + 18144000a b c d  - 81496800a b c d
+--R                 + 
+--R                             5 6 5 5             4 7 6 4             3 8 7 3
+--R                   216367200a b c d  - 375600960a b c d  + 444689280a b c d
+--R                 + 
+--R                               2 9 8 2               10 9             11 10
+--R                   - 362534040a b c d  + 199783080a b  c d + 34967140b  c
+--R              *
+--R                  3
+--R                 m
+--R             + 
+--R                           9 2   9            8 3 2 8             7 4 3 7
+--R                   3628800a b c d  - 38102400a b c d  + 180835200a b c d
+--R                 + 
+--R                               6 5 4 6             5 6 5 5              4 7 6 4
+--R                   - 511358400a b c d  + 955402560a b c d  - 1234820160a b c d
+--R                 + 
+--R                              3 8 7 3             2 9 8 2               10 9
+--R                   1121515200a b c d  - 710445600a b c d  + 303343200a b  c d
+--R                 + 
+--R                            11 10
+--R                   70290936b  c
+--R              *
+--R                  2
+--R                 m
+--R             + 
+--R                             10   10            9 2   9             8 3 2 8
+--R                   - 3628800a  b d   + 39916800a b c d  - 199584000a b c d
+--R                 + 
+--R                             7 4 3 7              6 5 4 6              5 6 5 5
+--R                   598752000a b c d  - 1197504000a b c d  + 1676505600a b c d
+--R                 + 
+--R                                4 7 6 4              3 8 7 3             2 9 8 2
+--R                   - 1676505600a b c d  + 1197504000a b c d  - 598752000a b c d
+--R                 + 
+--R                               10 9             11 10
+--R                   199584000a b  c d + 80627040b  c
+--R              *
+--R                 m
+--R             + 
+--R                        11 10
+--R               39916800b  c
+--R          *
+--R             x
+--R         + 
+--R              10 10 10         2 9 9         10 10  9
+--R           a b  c  m   + (- 10a b c d + 65a b  c  )m
+--R         + 
+--R               3 8 8 2       2 9 9           10 10  8
+--R           (90a b c d  - 630a b c d + 1860a b  c  )m
+--R         + 
+--R                  4 7 7 3        3 8 8 2         2 9 9            10 10  7
+--R           (- 720a b c d  + 5400a b c d  - 17340a b c d + 30810a b  c  )m
+--R         + 
+--R                    5 6 6 4         4 7 7 3          3 8 8 2          2 9 9
+--R               5040a b c d  - 40320a b c d  + 139860a b c d  - 273420a b c d
+--R             + 
+--R                        10 10
+--R               326613a b  c
+--R          *
+--R              6
+--R             m
+--R         + 
+--R                       6 5 5 5          5 6 6 4          4 7 7 3
+--R               - 30240a b c d  + 257040a b c d  - 957600a b c d
+--R             + 
+--R                       3 8 8 2           2 9 9              10 10
+--R               2041200a b c d  - 2719290a b c d + 2310945a b  c
+--R          *
+--R              5
+--R             m
+--R         + 
+--R                      7 4 4 6           6 5 5 5           5 6 6 4
+--R               151200a b c d  - 1360800a b c d  + 5418000a b c d
+--R             + 
+--R                          4 7 7 3            3 8 8 2            2 9 9
+--R               - 12499200a b c d  + 18350010a b c d  - 17670870a b c d
+--R             + 
+--R                          10 10
+--R               11028590a b  c
+--R          *
+--R              4
+--R             m
+--R         + 
+--R                        8 3 3 7           7 4 4 6            6 5 5 5
+--R               - 604800a b c d  + 5745600a b c d  - 24343200a b c d
+--R             + 
+--R                        5 6 6 4            4 7 7 3             3 8 8 2
+--R               60404400a b c d  - 96803280a b c d  + 103987800a b c d
+--R             + 
+--R                          2 9 9               10 10
+--R               - 74944160a b c d + 34967140a b  c
+--R          *
+--R              3
+--R             m
+--R         + 
+--R                       9 2 2 8            8 3 3 7            7 4 4 6
+--R               1814400a b c d  - 18144000a b c d  + 81496800a b c d
+--R             + 
+--R                           6 5 5 5             5 6 6 4             4 7 7 3
+--R               - 216367200a b c d  + 375600960a b c d  - 444689280a b c d
+--R             + 
+--R                         3 8 8 2             2 9 9               10 10
+--R               362534040a b c d  - 199783080a b c d + 70290936a b  c
+--R          *
+--R              2
+--R             m
+--R         + 
+--R                         10     9            9 2 2 8             8 3 3 7
+--R               - 3628800a  b c d  + 38102400a b c d  - 180835200a b c d
+--R             + 
+--R                         7 4 4 6             6 5 5 5              5 6 6 4
+--R               511358400a b c d  - 955402560a b c d  + 1234820160a b c d
+--R             + 
+--R                            4 7 7 3             3 8 8 2             2 9 9
+--R               - 1121515200a b c d  + 710445600a b c d  - 303343200a b c d
+--R             + 
+--R                          10 10
+--R               80627040a b  c
+--R          *
+--R             m
+--R         + 
+--R                   11 10            10     9             9 2 2 8
+--R           3628800a  d   - 39916800a  b c d  + 199584000a b c d
+--R         + 
+--R                       8 3 3 7              7 4 4 6              6 5 5 5
+--R           - 598752000a b c d  + 1197504000a b c d  - 1676505600a b c d
+--R         + 
+--R                      5 6 6 4              4 7 7 3             3 8 8 2
+--R           1676505600a b c d  - 1197504000a b c d  + 598752000a b c d
+--R         + 
+--R                       2 9 9               10 10
+--R           - 199584000a b c d + 39916800a b  c
+--R      *
+--R           m log(b x + a)
+--R         %e
+--R     + 
+--R              10 10      10 9        10 8         10 7          10 6
+--R           - d  m   - 55d  m  - 1320d  m  - 18150d  m  - 157773d  m
+--R         + 
+--R                    10 5           10 4           10 3            10 2
+--R           - 902055d  m  - 3416930d  m  - 8409500d  m  - 12753576d  m
+--R         + 
+--R                      10            10
+--R           - 10628640d  m - 3628800d
+--R      *
+--R                  m + 11
+--R         (b x + a)
+--R     + 
+--R                 10          9  10          10           9  9
+--R           (10a d   - 10b c d )m   + (560a d   - 560b c d )m
+--R         + 
+--R                    10             9  8             10              9  7
+--R           (13650a d   - 13650b c d )m  + (190200a d   - 190200b c d )m
+--R         + 
+--R                      10               9  6              10               9  5
+--R           (1672230a d   - 1672230b c d )m  + (9653280a d   - 9653280b c d )m
+--R         + 
+--R                       10                9  4
+--R           (36862550a d   - 36862550b c d )m
+--R         + 
+--R                       10                9  3
+--R           (91331800a d   - 91331800b c d )m
+--R         + 
+--R                        10                 9  2
+--R           (139262760a d   - 139262760b c d )m
+--R         + 
+--R                        10                 9                10                9
+--R           (116552160a d   - 116552160b c d )m + 39916800a d   - 39916800b c d
+--R      *
+--R                  m + 10
+--R         (b x + a)
+--R     + 
+--R                 2 10            9      2 2 8  10
+--R           (- 45a d   + 90a b c d  - 45b c d )m
+--R         + 
+--R                   2 10              9        2 2 8  9
+--R           (- 2565a d   + 5130a b c d  - 2565b c d )m
+--R         + 
+--R                    2 10                9         2 2 8  8
+--R           (- 63540a d   + 127080a b c d  - 63540b c d )m
+--R         + 
+--R                     2 10                 9          2 2 8  7
+--R           (- 898290a d   + 1796580a b c d  - 898290b c d )m
+--R         + 
+--R                      2 10                  9           2 2 8  6
+--R           (- 7999425a d   + 15998850a b c d  - 7999425b c d )m
+--R         + 
+--R                       2 10                  9            2 2 8  5
+--R           (- 46695285a d   + 93390570a b c d  - 46695285b c d )m
+--R         + 
+--R                        2 10                   9             2 2 8  4
+--R           (- 180021510a d   + 360043020a b c d  - 180021510b c d )m
+--R         + 
+--R                        2 10                   9             2 2 8  3
+--R           (- 449614260a d   + 899228520a b c d  - 449614260b c d )m
+--R         + 
+--R                        2 10                    9             2 2 8  2
+--R           (- 690085080a d   + 1380170160a b c d  - 690085080b c d )m
+--R         + 
+--R                        2 10                    9             2 2 8
+--R           (- 580543200a d   + 1161086400a b c d  - 580543200b c d )m
+--R         + 
+--R                       2 10                   9             2 2 8
+--R           - 199584000a d   + 399168000a b c d  - 199584000b c d
+--R      *
+--R                  m + 9
+--R         (b x + a)
+--R     + 
+--R                3 10       2     9         2 2 8       3 3 7  10
+--R           (120a d   - 360a b c d  + 360a b c d  - 120b c d )m
+--R         + 
+--R                 3 10         2     9           2 2 8        3 3 7  9
+--R           (6960a d   - 20880a b c d  + 20880a b c d  - 6960b c d )m
+--R         + 
+--R                   3 10          2     9            2 2 8          3 3 7  8
+--R           (175320a d   - 525960a b c d  + 525960a b c d  - 175320b c d )m
+--R         + 
+--R                    3 10           2     9             2 2 8           3 3 7  7
+--R           (2517840a d   - 7553520a b c d  + 7553520a b c d  - 2517840b c d )m
+--R         + 
+--R                        3 10            2     9              2 2 8
+--R               22748040a d   - 68244120a b c d  + 68244120a b c d
+--R             + 
+--R                          3 3 7
+--R               - 22748040b c d
+--R          *
+--R              6
+--R             m
+--R         + 
+--R                         3 10             2     9               2 2 8
+--R               134522640a d   - 403567920a b c d  + 403567920a b c d
+--R             + 
+--R                           3 3 7
+--R               - 134522640b c d
+--R          *
+--R              5
+--R             m
+--R         + 
+--R                         3 10              2     9                2 2 8
+--R               524563080a d   - 1573689240a b c d  + 1573689240a b c d
+--R             + 
+--R                           3 3 7
+--R               - 524563080b c d
+--R          *
+--R              4
+--R             m
+--R         + 
+--R                          3 10              2     9                2 2 8
+--R               1322982960a d   - 3968948880a b c d  + 3968948880a b c d
+--R             + 
+--R                            3 3 7
+--R               - 1322982960b c d
+--R          *
+--R              3
+--R             m
+--R         + 
+--R                          3 10              2     9                2 2 8
+--R               2047105440a d   - 6141316320a b c d  + 6141316320a b c d
+--R             + 
+--R                            3 3 7
+--R               - 2047105440b c d
+--R          *
+--R              2
+--R             m
+--R         + 
+--R                          3 10              2     9                2 2 8
+--R               1733313600a d   - 5199940800a b c d  + 5199940800a b c d
+--R             + 
+--R                            3 3 7
+--R               - 1733313600b c d
+--R          *
+--R             m
+--R         + 
+--R                     3 10              2     9                2 2 8
+--R           598752000a d   - 1796256000a b c d  + 1796256000a b c d
+--R         + 
+--R                       3 3 7
+--R           - 598752000b c d
+--R      *
+--R                  m + 8
+--R         (b x + a)
+--R     + 
+--R                    4 10       3     9        2 2 2 8         3 3 7       4 4 6
+--R             (- 210a d   + 840a b c d  - 1260a b c d  + 840a b c d  - 210b c d )
+--R          *
+--R              10
+--R             m
+--R         + 
+--R                       4 10         3     9         2 2 2 8           3 3 7
+--R               - 12390a d   + 49560a b c d  - 74340a b c d  + 49560a b c d
+--R             + 
+--R                       4 4 6
+--R               - 12390b c d
+--R          *
+--R              9
+--R             m
+--R         + 
+--R                        4 10           3     9           2 2 2 8
+--R               - 317520a d   + 1270080a b c d  - 1905120a b c d
+--R             + 
+--R                         3 3 7          4 4 6
+--R               1270080a b c d  - 317520b c d
+--R          *
+--R              8
+--R             m
+--R         + 
+--R                         4 10            3     9            2 2 2 8
+--R               - 4638060a d   + 18552240a b c d  - 27828360a b c d
+--R             + 
+--R                          3 3 7           4 4 6
+--R               18552240a b c d  - 4638060b c d
+--R          *
+--R              7
+--R             m
+--R         + 
+--R                          4 10             3     9             2 2 2 8
+--R               - 42592410a d   + 170369640a b c d  - 255554460a b c d
+--R             + 
+--R                           3 3 7            4 4 6
+--R               170369640a b c d  - 42592410b c d
+--R          *
+--R              6
+--R             m
+--R         + 
+--R                           4 10              3     9              2 2 2 8
+--R               - 255740310a d   + 1022961240a b c d  - 1534441860a b c d
+--R             + 
+--R                            3 3 7             4 4 6
+--R               1022961240a b c d  - 255740310b c d
+--R          *
+--R              5
+--R             m
+--R         + 
+--R                            4 10              3     9              2 2 2 8
+--R               - 1011120180a d   + 4044480720a b c d  - 6066721080a b c d
+--R             + 
+--R                            3 3 7              4 4 6
+--R               4044480720a b c d  - 1011120180b c d
+--R          *
+--R              4
+--R             m
+--R         + 
+--R                            4 10               3     9               2 2 2 8
+--R               - 2581262040a d   + 10325048160a b c d  - 15487572240a b c d
+--R             + 
+--R                             3 3 7              4 4 6
+--R               10325048160a b c d  - 2581262040b c d
+--R          *
+--R              3
+--R             m
+--R         + 
+--R                            4 10               3     9               2 2 2 8
+--R               - 4035361680a d   + 16141446720a b c d  - 24212170080a b c d
+--R             + 
+--R                             3 3 7              4 4 6
+--R               16141446720a b c d  - 4035361680b c d
+--R          *
+--R              2
+--R             m
+--R         + 
+--R                            4 10               3     9               2 2 2 8
+--R               - 3445243200a d   + 13780972800a b c d  - 20671459200a b c d
+--R             + 
+--R                             3 3 7              4 4 6
+--R               13780972800a b c d  - 3445243200b c d
+--R          *
+--R             m
+--R         + 
+--R                        4 10              3     9              2 2 2 8
+--R           - 1197504000a d   + 4790016000a b c d  - 7185024000a b c d
+--R         + 
+--R                        3 3 7              4 4 6
+--R           4790016000a b c d  - 1197504000b c d
+--R      *
+--R                  m + 7
+--R         (b x + a)
+--R     + 
+--R                   5 10        4     9        3 2 2 8        2 3 3 7
+--R               252a d   - 1260a b c d  + 2520a b c d  - 2520a b c d
+--R             + 
+--R                      4 4 6       5 5 5
+--R               1260a b c d  - 252b c d
+--R          *
+--R              10
+--R             m
+--R         + 
+--R                     5 10         4     9          3 2 2 8          2 3 3 7
+--R               15120a d   - 75600a b c d  + 151200a b c d  - 151200a b c d
+--R             + 
+--R                       4 4 6         5 5 5
+--R               75600a b c d  - 15120b c d
+--R          *
+--R              9
+--R             m
+--R         + 
+--R                      5 10           4     9           3 2 2 8           2 3 3 7
+--R               394380a d   - 1971900a b c d  + 3943800a b c d  - 3943800a b c d
+--R             + 
+--R                         4 4 6          5 5 5
+--R               1971900a b c d  - 394380b c d
+--R          *
+--R              8
+--R             m
+--R         + 
+--R                       5 10            4     9            3 2 2 8
+--R               5866560a d   - 29332800a b c d  + 58665600a b c d
+--R             + 
+--R                          2 3 3 7              4 4 6           5 5 5
+--R               - 58665600a b c d  + 29332800a b c d  - 5866560b c d
+--R          *
+--R              7
+--R             m
+--R         + 
+--R                        5 10             4     9             3 2 2 8
+--R               54871236a d   - 274356180a b c d  + 548712360a b c d
+--R             + 
+--R                           2 3 3 7               4 4 6            5 5 5
+--R               - 548712360a b c d  + 274356180a b c d  - 54871236b c d
+--R          *
+--R              6
+--R             m
+--R         + 
+--R                         5 10              4     9              3 2 2 8
+--R               335437200a d   - 1677186000a b c d  + 3354372000a b c d
+--R             + 
+--R                            2 3 3 7                4 4 6             5 5 5
+--R               - 3354372000a b c d  + 1677186000a b c d  - 335437200b c d
+--R          *
+--R              5
+--R             m
+--R         + 
+--R                          5 10              4     9               3 2 2 8
+--R               1348939620a d   - 6744698100a b c d  + 13489396200a b c d
+--R             + 
+--R                             2 3 3 7                4 4 6              5 5 5
+--R               - 13489396200a b c d  + 6744698100a b c d  - 1348939620b c d
+--R          *
+--R              4
+--R             m
+--R         + 
+--R                          5 10               4     9               3 2 2 8
+--R               3497286240a d   - 17486431200a b c d  + 34972862400a b c d
+--R             + 
+--R                             2 3 3 7                 4 4 6              5 5 5
+--R               - 34972862400a b c d  + 17486431200a b c d  - 3497286240b c d
+--R          *
+--R              3
+--R             m
+--R         + 
+--R                          5 10               4     9               3 2 2 8
+--R               5541317712a d   - 27706588560a b c d  + 55413177120a b c d
+--R             + 
+--R                             2 3 3 7                 4 4 6              5 5 5
+--R               - 55413177120a b c d  + 27706588560a b c d  - 5541317712b c d
+--R          *
+--R              2
+--R             m
+--R         + 
+--R                          5 10               4     9               3 2 2 8
+--R               4783423680a d   - 23917118400a b c d  + 47834236800a b c d
+--R             + 
+--R                             2 3 3 7                 4 4 6              5 5 5
+--R               - 47834236800a b c d  + 23917118400a b c d  - 4783423680b c d
+--R          *
+--R             m
+--R         + 
+--R                      5 10              4     9               3 2 2 8
+--R           1676505600a d   - 8382528000a b c d  + 16765056000a b c d
+--R         + 
+--R                         2 3 3 7                4 4 6              5 5 5
+--R           - 16765056000a b c d  + 8382528000a b c d  - 1676505600b c d
+--R      *
+--R                  m + 6
+--R         (b x + a)
+--R     + 
+--R                     6 10        5     9        4 2 2 8        3 3 3 7
+--R               - 210a d   + 1260a b c d  - 3150a b c d  + 4200a b c d
+--R             + 
+--R                      2 4 4 6          5 5 5       6 6 4
+--R               - 3150a b c d  + 1260a b c d  - 210b c d
+--R          *
+--R              10
+--R             m
+--R         + 
+--R                       6 10         5     9          4 2 2 8          3 3 3 7
+--R               - 12810a d   + 76860a b c d  - 192150a b c d  + 256200a b c d
+--R             + 
+--R                        2 4 4 6           5 5 5         6 6 4
+--R               - 192150a b c d  + 76860a b c d  - 12810b c d
+--R          *
+--R              9
+--R             m
+--R         + 
+--R                        6 10           5     9           4 2 2 8
+--R               - 340200a d   + 2041200a b c d  - 5103000a b c d
+--R             + 
+--R                     3 3 3 7           2 4 4 6             5 5 5          6 6 4
+--R             6804000a b c d  - 5103000a b c d  + 2041200a b c d  - 340200b c d
+--R          *
+--R              8
+--R             m
+--R         + 
+--R                         6 10            5     9            4 2 2 8
+--R               - 5159700a d   + 30958200a b c d  - 77395500a b c d
+--R             + 
+--R                         3 3 3 7            2 4 4 6              5 5 5
+--R               103194000a b c d  - 77395500a b c d  + 30958200a b c d
+--R             + 
+--R                         6 6 4
+--R               - 5159700b c d
+--R          *
+--R              7
+--R             m
+--R         + 
+--R                          6 10             5     9             4 2 2 8
+--R               - 49260330a d   + 295561980a b c d  - 738904950a b c d
+--R             + 
+--R                         3 3 3 7             2 4 4 6               5 5 5
+--R               985206600a b c d  - 738904950a b c d  + 295561980a b c d
+--R             + 
+--R                          6 6 4
+--R               - 49260330b c d
+--R          *
+--R              6
+--R             m
+--R         + 
+--R                           6 10              5     9              4 2 2 8
+--R               - 307585530a d   + 1845513180a b c d  - 4613782950a b c d
+--R             + 
+--R                          3 3 3 7              2 4 4 6                5 5 5
+--R               6151710600a b c d  - 4613782950a b c d  + 1845513180a b c d
+--R             + 
+--R                           6 6 4
+--R               - 307585530b c d
+--R          *
+--R              5
+--R             m
+--R         + 
+--R                            6 10              5     9               4 2 2 8
+--R               - 1263374700a d   + 7580248200a b c d  - 18950620500a b c d
+--R             + 
+--R                           3 3 3 7               2 4 4 6                5 5 5
+--R               25267494000a b c d  - 18950620500a b c d  + 7580248200a b c d
+--R             + 
+--R                            6 6 4
+--R               - 1263374700b c d
+--R          *
+--R              4
+--R             m
+--R         + 
+--R                            6 10               5     9               4 2 2 8
+--R               - 3342229800a d   + 20053378800a b c d  - 50133447000a b c d
+--R             + 
+--R                           3 3 3 7               2 4 4 6                 5 5 5
+--R               66844596000a b c d  - 50133447000a b c d  + 20053378800a b c d
+--R             + 
+--R                            6 6 4
+--R               - 3342229800b c d
+--R          *
+--R              3
+--R             m
+--R         + 
+--R                            6 10               5     9               4 2 2 8
+--R               - 5393046960a d   + 32358281760a b c d  - 80895704400a b c d
+--R             + 
+--R                            3 3 3 7               2 4 4 6                 5 5 5
+--R               107860939200a b c d  - 80895704400a b c d  + 32358281760a b c d
+--R             + 
+--R                            6 6 4
+--R               - 5393046960b c d
+--R          *
+--R              2
+--R             m
+--R         + 
+--R                            6 10               5     9               4 2 2 8
+--R               - 4727540160a d   + 28365240960a b c d  - 70913102400a b c d
+--R             + 
+--R                           3 3 3 7               2 4 4 6                 5 5 5
+--R               94550803200a b c d  - 70913102400a b c d  + 28365240960a b c d
+--R             + 
+--R                            6 6 4
+--R               - 4727540160b c d
+--R          *
+--R             m
+--R         + 
+--R                        6 10               5     9               4 2 2 8
+--R           - 1676505600a d   + 10059033600a b c d  - 25147584000a b c d
+--R         + 
+--R                       3 3 3 7               2 4 4 6                 5 5 5
+--R           33530112000a b c d  - 25147584000a b c d  + 10059033600a b c d
+--R         + 
+--R                        6 6 4
+--R           - 1676505600b c d
+--R      *
+--R                  m + 5
+--R         (b x + a)
+--R     + 
+--R                   7 10       6     9        5 2 2 8        4 3 3 7
+--R               120a d   - 840a b c d  + 2520a b c d  - 4200a b c d
+--R             + 
+--R                    3 4 4 6        2 5 5 5         6 6 4       7 7 3
+--R               4200a b c d  - 2520a b c d  + 840a b c d  - 120b c d
+--R          *
+--R              10
+--R             m
+--R         + 
+--R                    7 10         6     9          5 2 2 8          4 3 3 7
+--R               7440a d   - 52080a b c d  + 156240a b c d  - 260400a b c d
+--R             + 
+--R                      3 4 4 6          2 5 5 5           6 6 4        7 7 3
+--R               260400a b c d  - 156240a b c d  + 52080a b c d  - 7440b c d
+--R          *
+--R              9
+--R             m
+--R         + 
+--R                      7 10           6     9           5 2 2 8           4 3 3 7
+--R               201240a d   - 1408680a b c d  + 4226040a b c d  - 7043400a b c d
+--R             + 
+--R                     3 4 4 6           2 5 5 5             6 6 4          7 7 3
+--R             7043400a b c d  - 4226040a b c d  + 1408680a b c d  - 201240b c d
+--R          *
+--R              8
+--R             m
+--R         + 
+--R                       7 10            6     9            5 2 2 8
+--R               3115440a d   - 21808080a b c d  + 65424240a b c d
+--R             + 
+--R                           4 3 3 7             3 4 4 6            2 5 5 5
+--R               - 109040400a b c d  + 109040400a b c d  - 65424240a b c d
+--R             + 
+--R                          6 6 4           7 7 3
+--R               21808080a b c d  - 3115440b c d
+--R          *
+--R              7
+--R             m
+--R         + 
+--R                        7 10             6     9             5 2 2 8
+--R               30429000a d   - 213003000a b c d  + 639009000a b c d
+--R             + 
+--R                            4 3 3 7              3 4 4 6             2 5 5 5
+--R               - 1065015000a b c d  + 1065015000a b c d  - 639009000a b c d
+--R             + 
+--R                           6 6 4            7 7 3
+--R               213003000a b c d  - 30429000b c d
+--R          *
+--R              6
+--R             m
+--R         + 
+--R                         7 10              6     9              5 2 2 8
+--R               194790960a d   - 1363536720a b c d  + 4090610160a b c d
+--R             + 
+--R                            4 3 3 7              3 4 4 6              2 5 5 5
+--R               - 6817683600a b c d  + 6817683600a b c d  - 4090610160a b c d
+--R             + 
+--R                            6 6 4             7 7 3
+--R               1363536720a b c d  - 194790960b c d
+--R          *
+--R              5
+--R             m
+--R         + 
+--R                         7 10              6     9               5 2 2 8
+--R               821580360a d   - 5751062520a b c d  + 17253187560a b c d
+--R             + 
+--R                             4 3 3 7               3 4 4 6               2 5 5 5
+--R               - 28755312600a b c d  + 28755312600a b c d  - 17253187560a b c d
+--R             + 
+--R                            6 6 4             7 7 3
+--R               5751062520a b c d  - 821580360b c d
+--R          *
+--R              4
+--R             m
+--R         + 
+--R                          7 10               6     9               5 2 2 8
+--R               2233166160a d   - 15632163120a b c d  + 46896489360a b c d
+--R             + 
+--R                             4 3 3 7               3 4 4 6               2 5 5 5
+--R               - 78160815600a b c d  + 78160815600a b c d  - 46896489360a b c d
+--R             + 
+--R                             6 6 4              7 7 3
+--R               15632163120a b c d  - 2233166160b c d
+--R          *
+--R              3
+--R             m
+--R         + 
+--R                          7 10               6     9               5 2 2 8
+--R               3698304480a d   - 25888131360a b c d  + 77664394080a b c d
+--R             + 
+--R                              4 3 3 7                3 4 4 6
+--R               - 129440656800a b c d  + 129440656800a b c d
+--R             + 
+--R                             2 5 5 5                 6 6 4              7 7 3
+--R               - 77664394080a b c d  + 25888131360a b c d  - 3698304480b c d
+--R          *
+--R              2
+--R             m
+--R         + 
+--R                          7 10               6     9               5 2 2 8
+--R               3316939200a d   - 23218574400a b c d  + 69655723200a b c d
+--R             + 
+--R                              4 3 3 7                3 4 4 6
+--R               - 116092872000a b c d  + 116092872000a b c d
+--R             + 
+--R                             2 5 5 5                 6 6 4              7 7 3
+--R               - 69655723200a b c d  + 23218574400a b c d  - 3316939200b c d
+--R          *
+--R             m
+--R         + 
+--R                      7 10              6     9               5 2 2 8
+--R           1197504000a d   - 8382528000a b c d  + 25147584000a b c d
+--R         + 
+--R                         4 3 3 7               3 4 4 6               2 5 5 5
+--R           - 41912640000a b c d  + 41912640000a b c d  - 25147584000a b c d
+--R         + 
+--R                        6 6 4              7 7 3
+--R           8382528000a b c d  - 1197504000b c d
+--R      *
+--R                  m + 4
+--R         (b x + a)
+--R     + 
+--R                    8 10       7     9        6 2 2 8        5 3 3 7
+--R               - 45a d   + 360a b c d  - 1260a b c d  + 2520a b c d
+--R             + 
+--R                      4 4 4 6        3 5 5 5        2 6 6 4         7 7 3
+--R               - 3150a b c d  + 2520a b c d  - 1260a b c d  + 360a b c d
+--R             + 
+--R                    8 8 2
+--R               - 45b c d
+--R          *
+--R              10
+--R             m
+--R         + 
+--R                      8 10         7     9         6 2 2 8          5 3 3 7
+--R               - 2835a d   + 22680a b c d  - 79380a b c d  + 158760a b c d
+--R             + 
+--R                        4 4 4 6          3 5 5 5         2 6 6 4           7 7 3
+--R               - 198450a b c d  + 158760a b c d  - 79380a b c d  + 22680a b c d
+--R             + 
+--R                      8 8 2
+--R               - 2835b c d
+--R          *
+--R              9
+--R             m
+--R         + 
+--R                       8 10          7     9           6 2 2 8           5 3 3 7
+--R               - 78120a d   + 624960a b c d  - 2187360a b c d  + 4374720a b c d
+--R             + 
+--R                         4 4 4 6           3 5 5 5           2 6 6 4
+--R               - 5468400a b c d  + 4374720a b c d  - 2187360a b c d
+--R             + 
+--R                        7 7 3         8 8 2
+--R               624960a b c d  - 78120b c d
+--R          *
+--R              8
+--R             m
+--R         + 
+--R                         8 10           7     9            6 2 2 8
+--R               - 1235790a d   + 9886320a b c d  - 34602120a b c d
+--R             + 
+--R                        5 3 3 7            4 4 4 6            3 5 5 5
+--R               69204240a b c d  - 86505300a b c d  + 69204240a b c d
+--R             + 
+--R                          2 6 6 4             7 7 3           8 8 2
+--R               - 34602120a b c d  + 9886320a b c d  - 1235790b c d
+--R          *
+--R              7
+--R             m
+--R         + 
+--R                          8 10            7     9             6 2 2 8
+--R               - 12376665a d   + 99013320a b c d  - 346546620a b c d
+--R             + 
+--R                         5 3 3 7             4 4 4 6             3 5 5 5
+--R               693093240a b c d  - 866366550a b c d  + 693093240a b c d
+--R             + 
+--R                           2 6 6 4              7 7 3            8 8 2
+--R               - 346546620a b c d  + 99013320a b c d  - 12376665b c d
+--R          *
+--R              6
+--R             m
+--R         + 
+--R                          8 10             7     9              6 2 2 8
+--R               - 81560115a d   + 652480920a b c d  - 2283683220a b c d
+--R             + 
+--R                          5 3 3 7              4 4 4 6              3 5 5 5
+--R               4567366440a b c d  - 5709208050a b c d  + 4567366440a b c d
+--R             + 
+--R                            2 6 6 4               7 7 3            8 8 2
+--R               - 2283683220a b c d  + 652480920a b c d  - 81560115b c d
+--R          *
+--R              5
+--R             m
+--R         + 
+--R                           8 10              7     9              6 2 2 8
+--R               - 355598730a d   + 2844789840a b c d  - 9956764440a b c d
+--R             + 
+--R                           5 3 3 7               4 4 4 6               3 5 5 5
+--R               19913528880a b c d  - 24891911100a b c d  + 19913528880a b c d
+--R             + 
+--R                            2 6 6 4                7 7 3             8 8 2
+--R               - 9956764440a b c d  + 2844789840a b c d  - 355598730b c d
+--R          *
+--R              4
+--R             m
+--R         + 
+--R                            8 10              7     9               6 2 2 8
+--R               - 1003011660a d   + 8024093280a b c d  - 28084326480a b c d
+--R             + 
+--R                           5 3 3 7               4 4 4 6               3 5 5 5
+--R               56168652960a b c d  - 70210816200a b c d  + 56168652960a b c d
+--R             + 
+--R                             2 6 6 4                7 7 3              8 8 2
+--R               - 28084326480a b c d  + 8024093280a b c d  - 1003011660b c d
+--R          *
+--R              3
+--R             m
+--R         + 
+--R                            8 10               7     9               6 2 2 8
+--R               - 1727578440a d   + 13820627520a b c d  - 48372196320a b c d
+--R             + 
+--R                           5 3 3 7                4 4 4 6               3 5 5 5
+--R               96744392640a b c d  - 120930490800a b c d  + 96744392640a b c d
+--R             + 
+--R                             2 6 6 4                 7 7 3              8 8 2
+--R               - 48372196320a b c d  + 13820627520a b c d  - 1727578440b c d
+--R          *
+--R              2
+--R             m
+--R         + 
+--R                            8 10               7     9               6 2 2 8
+--R               - 1608573600a d   + 12868588800a b c d  - 45040060800a b c d
+--R             + 
+--R                           5 3 3 7                4 4 4 6               3 5 5 5
+--R               90080121600a b c d  - 112600152000a b c d  + 90080121600a b c d
+--R             + 
+--R                             2 6 6 4                 7 7 3              8 8 2
+--R               - 45040060800a b c d  + 12868588800a b c d  - 1608573600b c d
+--R          *
+--R             m
+--R         + 
+--R                       8 10              7     9               6 2 2 8
+--R           - 598752000a d   + 4790016000a b c d  - 16765056000a b c d
+--R         + 
+--R                       5 3 3 7               4 4 4 6               3 5 5 5
+--R           33530112000a b c d  - 41912640000a b c d  + 33530112000a b c d
+--R         + 
+--R                         2 6 6 4                7 7 3             8 8 2
+--R           - 16765056000a b c d  + 4790016000a b c d  - 598752000b c d
+--R      *
+--R                  m + 3
+--R         (b x + a)
+--R     + 
+--R                  9 10      8     9       7 2 2 8       6 3 3 7        5 4 4 6
+--R               10a d   - 90a b c d  + 360a b c d  - 840a b c d  + 1260a b c d
+--R             + 
+--R                    4 5 5 5       3 6 6 4       2 7 7 3        8 8 2      9 9
+--R             - 1260a b c d  + 840a b c d  - 360a b c d  + 90a b c d  - 10b c d
+--R          *
+--R              10
+--R             m
+--R         + 
+--R                   9 10        8     9         7 2 2 8         6 3 3 7
+--R               640a d   - 5760a b c d  + 23040a b c d  - 53760a b c d
+--R             + 
+--R                     5 4 4 6         4 5 5 5         3 6 6 4         2 7 7 3
+--R               80640a b c d  - 80640a b c d  + 53760a b c d  - 23040a b c d
+--R             + 
+--R                      8 8 2       9 9
+--R               5760a b c d  - 640b c d
+--R          *
+--R              9
+--R             m
+--R         + 
+--R                     9 10          8     9          7 2 2 8           6 3 3 7
+--R               17970a d   - 161730a b c d  + 646920a b c d  - 1509480a b c d
+--R             + 
+--R                       5 4 4 6           4 5 5 5           3 6 6 4
+--R               2264220a b c d  - 2264220a b c d  + 1509480a b c d
+--R             + 
+--R                        2 7 7 3            8 8 2         9 9
+--R               - 646920a b c d  + 161730a b c d  - 17970b c d
+--R          *
+--R              8
+--R             m
+--R         + 
+--R                      9 10           8     9            7 2 2 8
+--R               290760a d   - 2616840a b c d  + 10467360a b c d
+--R             + 
+--R                          6 3 3 7            5 4 4 6            4 5 5 5
+--R               - 24423840a b c d  + 36635760a b c d  - 36635760a b c d
+--R             + 
+--R                      3 6 6 4            2 7 7 3             8 8 2          9 9
+--R             24423840a b c d  - 10467360a b c d  + 2616840a b c d  - 290760b c d
+--R          *
+--R              7
+--R             m
+--R         + 
+--R                       9 10            8     9             7 2 2 8
+--R               2992710a d   - 26934390a b c d  + 107737560a b c d
+--R             + 
+--R                           6 3 3 7             5 4 4 6             4 5 5 5
+--R               - 251387640a b c d  + 377081460a b c d  - 377081460a b c d
+--R             + 
+--R                         3 6 6 4             2 7 7 3              8 8 2
+--R               251387640a b c d  - 107737560a b c d  + 26934390a b c d
+--R             + 
+--R                         9 9
+--R               - 2992710b c d
+--R          *
+--R              6
+--R             m
+--R         + 
+--R                        9 10             8     9             7 2 2 8
+--R               20390160a d   - 183511440a b c d  + 734045760a b c d
+--R             + 
+--R                            6 3 3 7              5 4 4 6              4 5 5 5
+--R               - 1712773440a b c d  + 2569160160a b c d  - 2569160160a b c d
+--R             + 
+--R                          3 6 6 4             2 7 7 3               8 8 2
+--R               1712773440a b c d  - 734045760a b c d  + 183511440a b c d
+--R             + 
+--R                          9 9
+--R               - 20390160b c d
+--R          *
+--R              5
+--R             m
+--R         + 
+--R                        9 10             8     9              7 2 2 8
+--R               92615030a d   - 833535270a b c d  + 3334141080a b c d
+--R             + 
+--R                            6 3 3 7               5 4 4 6               4 5 5 5
+--R               - 7779662520a b c d  + 11669493780a b c d  - 11669493780a b c d
+--R             + 
+--R                          3 6 6 4              2 7 7 3               8 8 2
+--R               7779662520a b c d  - 3334141080a b c d  + 833535270a b c d
+--R             + 
+--R                          9 9
+--R               - 92615030b c d
+--R          *
+--R              4
+--R             m
+--R         + 
+--R                         9 10              8     9              7 2 2 8
+--R               274727240a d   - 2472545160a b c d  + 9890180640a b c d
+--R             + 
+--R                             6 3 3 7               5 4 4 6               4 5 5 5
+--R               - 23077088160a b c d  + 34615632240a b c d  - 34615632240a b c d
+--R             + 
+--R                           3 6 6 4              2 7 7 3                8 8 2
+--R               23077088160a b c d  - 9890180640a b c d  + 2472545160a b c d
+--R             + 
+--R                           9 9
+--R               - 274727240b c d
+--R          *
+--R              3
+--R             m
+--R         + 
+--R                         9 10              8     9               7 2 2 8
+--R               503126280a d   - 4528136520a b c d  + 18112546080a b c d
+--R             + 
+--R                             6 3 3 7               5 4 4 6               4 5 5 5
+--R               - 42262607520a b c d  + 63393911280a b c d  - 63393911280a b c d
+--R             + 
+--R                           3 6 6 4               2 7 7 3                8 8 2
+--R               42262607520a b c d  - 18112546080a b c d  + 4528136520a b c d
+--R             + 
+--R                           9 9
+--R               - 503126280b c d
+--R          *
+--R              2
+--R             m
+--R         + 
+--R                         9 10              8     9               7 2 2 8
+--R               502927200a d   - 4526344800a b c d  + 18105379200a b c d
+--R             + 
+--R                             6 3 3 7               5 4 4 6               4 5 5 5
+--R               - 42245884800a b c d  + 63368827200a b c d  - 63368827200a b c d
+--R             + 
+--R                           3 6 6 4               2 7 7 3                8 8 2
+--R               42245884800a b c d  - 18105379200a b c d  + 4526344800a b c d
+--R             + 
+--R                           9 9
+--R               - 502927200b c d
+--R          *
+--R             m
+--R         + 
+--R                     9 10              8     9              7 2 2 8
+--R           199584000a d   - 1796256000a b c d  + 7185024000a b c d
+--R         + 
+--R                         6 3 3 7               5 4 4 6               4 5 5 5
+--R           - 16765056000a b c d  + 25147584000a b c d  - 25147584000a b c d
+--R         + 
+--R                       3 6 6 4              2 7 7 3                8 8 2
+--R           16765056000a b c d  - 7185024000a b c d  + 1796256000a b c d
+--R         + 
+--R                       9 9
+--R           - 199584000b c d
+--R      *
+--R                  m + 2
+--R         (b x + a)
+--R     + 
+--R                  10 10      9     9      8 2 2 8       7 3 3 7       6 4 4 6
+--R               - a  d   + 10a b c d  - 45a b c d  + 120a b c d  - 210a b c d
+--R             + 
+--R                   5 5 5 5       4 6 6 4       3 7 7 3      2 8 8 2        9 9
+--R               252a b c d  - 210a b c d  + 120a b c d  - 45a b c d  + 10a b c d
+--R             + 
+--R                  10 10
+--R               - b  c
+--R          *
+--R              10
+--R             m
+--R         + 
+--R                    10 10       9     9        8 2 2 8        7 3 3 7
+--R               - 65a  d   + 650a b c d  - 2925a b c d  + 7800a b c d
+--R             + 
+--R                       6 4 4 6         5 5 5 5         4 6 6 4        3 7 7 3
+--R               - 13650a b c d  + 16380a b c d  - 13650a b c d  + 7800a b c d
+--R             + 
+--R                      2 8 8 2         9 9       10 10
+--R               - 2925a b c d  + 650a b c d - 65b  c
+--R          *
+--R              9
+--R             m
+--R         + 
+--R                      10 10         9     9         8 2 2 8          7 3 3 7
+--R               - 1860a  d   + 18600a b c d  - 83700a b c d  + 223200a b c d
+--R             + 
+--R                        6 4 4 6          5 5 5 5          4 6 6 4
+--R               - 390600a b c d  + 468720a b c d  - 390600a b c d
+--R             + 
+--R                      3 7 7 3         2 8 8 2           9 9         10 10
+--R               223200a b c d  - 83700a b c d  + 18600a b c d - 1860b  c
+--R          *
+--R              8
+--R             m
+--R         + 
+--R                       10 10          9     9           8 2 2 8
+--R               - 30810a  d   + 308100a b c d  - 1386450a b c d
+--R             + 
+--R                       7 3 3 7           6 4 4 6           5 5 5 5
+--R               3697200a b c d  - 6470100a b c d  + 7764120a b c d
+--R             + 
+--R                         4 6 6 4           3 7 7 3           2 8 8 2
+--R               - 6470100a b c d  + 3697200a b c d  - 1386450a b c d
+--R             + 
+--R                        9 9          10 10
+--R               308100a b c d - 30810b  c
+--R          *
+--R              7
+--R             m
+--R         + 
+--R                        10 10           9     9            8 2 2 8
+--R               - 326613a  d   + 3266130a b c d  - 14697585a b c d
+--R             + 
+--R                        7 3 3 7            6 4 4 6            5 5 5 5
+--R               39193560a b c d  - 68588730a b c d  + 82306476a b c d
+--R             + 
+--R                          4 6 6 4            3 7 7 3            2 8 8 2
+--R               - 68588730a b c d  + 39193560a b c d  - 14697585a b c d
+--R             + 
+--R                         9 9           10 10
+--R               3266130a b c d - 326613b  c
+--R          *
+--R              6
+--R             m
+--R         + 
+--R                         10 10            9     9             8 2 2 8
+--R               - 2310945a  d   + 23109450a b c d  - 103992525a b c d
+--R             + 
+--R                         7 3 3 7             6 4 4 6             5 5 5 5
+--R               277313400a b c d  - 485298450a b c d  + 582358140a b c d
+--R             + 
+--R                           4 6 6 4             3 7 7 3             2 8 8 2
+--R               - 485298450a b c d  + 277313400a b c d  - 103992525a b c d
+--R             + 
+--R                          9 9            10 10
+--R               23109450a b c d - 2310945b  c
+--R          *
+--R              5
+--R             m
+--R         + 
+--R                          10 10             9     9             8 2 2 8
+--R               - 11028590a  d   + 110285900a b c d  - 496286550a b c d
+--R             + 
+--R                          7 3 3 7              6 4 4 6              5 5 5 5
+--R               1323430800a b c d  - 2316003900a b c d  + 2779204680a b c d
+--R             + 
+--R                            4 6 6 4              3 7 7 3             2 8 8 2
+--R               - 2316003900a b c d  + 1323430800a b c d  - 496286550a b c d
+--R             + 
+--R                           9 9             10 10
+--R               110285900a b c d - 11028590b  c
+--R          *
+--R              4
+--R             m
+--R         + 
+--R                          10 10             9     9              8 2 2 8
+--R               - 34967140a  d   + 349671400a b c d  - 1573521300a b c d
+--R             + 
+--R                          7 3 3 7              6 4 4 6              5 5 5 5
+--R               4196056800a b c d  - 7343099400a b c d  + 8811719280a b c d
+--R             + 
+--R                            4 6 6 4              3 7 7 3              2 8 8 2
+--R               - 7343099400a b c d  + 4196056800a b c d  - 1573521300a b c d
+--R             + 
+--R                           9 9             10 10
+--R               349671400a b c d - 34967140b  c
+--R          *
+--R              3
+--R             m
+--R         + 
+--R                          10 10             9     9              8 2 2 8
+--R               - 70290936a  d   + 702909360a b c d  - 3163092120a b c d
+--R             + 
+--R                          7 3 3 7               6 4 4 6               5 5 5 5
+--R               8434912320a b c d  - 14761096560a b c d  + 17713315872a b c d
+--R             + 
+--R                             4 6 6 4              3 7 7 3              2 8 8 2
+--R               - 14761096560a b c d  + 8434912320a b c d  - 3163092120a b c d
+--R             + 
+--R                           9 9             10 10
+--R               702909360a b c d - 70290936b  c
+--R          *
+--R              2
+--R             m
+--R         + 
+--R                          10 10             9     9              8 2 2 8
+--R               - 80627040a  d   + 806270400a b c d  - 3628216800a b c d
+--R             + 
+--R                          7 3 3 7               6 4 4 6               5 5 5 5
+--R               9675244800a b c d  - 16931678400a b c d  + 20318014080a b c d
+--R             + 
+--R                             4 6 6 4              3 7 7 3              2 8 8 2
+--R               - 16931678400a b c d  + 9675244800a b c d  - 3628216800a b c d
+--R             + 
+--R                           9 9             10 10
+--R               806270400a b c d - 80627040b  c
+--R          *
+--R             m
+--R         + 
+--R                      10 10             9     9              8 2 2 8
+--R           - 39916800a  d   + 399168000a b c d  - 1796256000a b c d
+--R         + 
+--R                      7 3 3 7              6 4 4 6               5 5 5 5
+--R           4790016000a b c d  - 8382528000a b c d  + 10059033600a b c d
+--R         + 
+--R                        4 6 6 4              3 7 7 3              2 8 8 2
+--R           - 8382528000a b c d  + 4790016000a b c d  - 1796256000a b c d
+--R         + 
+--R                       9 9             10 10
+--R           399168000a b c d - 39916800b  c
+--R      *
+--R                  m + 1
+--R         (b x + a)
+--R  /
+--R        11 11      11 10        11 9         11 8          11 7           11 6
+--R       b  m   + 66b  m   + 1925b  m  + 32670b  m  + 357423b  m  + 2637558b  m
+--R     + 
+--R                11 5            11 4             11 3             11 2
+--R       13339535b  m  + 45995730b  m  + 105258076b  m  + 150917976b  m
+--R     + 
+--R                 11             11
+--R       120543840b  m + 39916800b
+--R                                                    Type: Expression(Integer)
+--E 729
+
+--S 730 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)
+--R            10 10 10      10   9 9      10 2 8 8       10 3 7 7       10 4 6 6
+--R           b  d  x   + 10b  c d x  + 45b  c d x  + 120b  c d x  + 210b  c d x
+--R         + 
+--R               10 5 5 5       10 6 4 4       10 7 3 3      10 8 2 2      10 9
+--R           252b  c d x  + 210b  c d x  + 120b  c d x  + 45b  c d x  + 10b  c d x
+--R         + 
+--R            10 10
+--R           b  c
+--R      *
+--R           m log(b x + a)
+--R         %e
+--R     + 
+--R          10         m + 10         10          9          m + 9
+--R       - d  (b x + a)       + (10a d   - 10b c d )(b x + a)
+--R     + 
+--R             2 10            9      2 2 8          m + 8
+--R       (- 45a d   + 90a b c d  - 45b c d )(b x + a)
+--R     + 
+--R            3 10       2     9         2 2 8       3 3 7          m + 7
+--R       (120a d   - 360a b c d  + 360a b c d  - 120b c d )(b x + a)
+--R     + 
+--R                4 10       3     9        2 2 2 8         3 3 7       4 4 6
+--R         (- 210a d   + 840a b c d  - 1260a b c d  + 840a b c d  - 210b c d )
+--R      *
+--R                  m + 6
+--R         (b x + a)
+--R     + 
+--R               5 10        4     9        3 2 2 8        2 3 3 7          4 4 6
+--R           252a d   - 1260a b c d  + 2520a b c d  - 2520a b c d  + 1260a b c d
+--R         + 
+--R                 5 5 5
+--R           - 252b c d
+--R      *
+--R                  m + 5
+--R         (b x + a)
+--R     + 
+--R                 6 10        5     9        4 2 2 8        3 3 3 7
+--R           - 210a d   + 1260a b c d  - 3150a b c d  + 4200a b c d
+--R         + 
+--R                  2 4 4 6          5 5 5       6 6 4
+--R           - 3150a b c d  + 1260a b c d  - 210b c d
+--R      *
+--R                  m + 4
+--R         (b x + a)
+--R     + 
+--R               7 10       6     9        5 2 2 8        4 3 3 7        3 4 4 6
+--R           120a d   - 840a b c d  + 2520a b c d  - 4200a b c d  + 4200a b c d
+--R         + 
+--R                  2 5 5 5         6 6 4       7 7 3
+--R           - 2520a b c d  + 840a b c d  - 120b c d
+--R      *
+--R                  m + 3
+--R         (b x + a)
+--R     + 
+--R                8 10       7     9        6 2 2 8        5 3 3 7        4 4 4 6
+--R           - 45a d   + 360a b c d  - 1260a b c d  + 2520a b c d  - 3150a b c d
+--R         + 
+--R                3 5 5 5        2 6 6 4         7 7 3      8 8 2
+--R           2520a b c d  - 1260a b c d  + 360a b c d  - 45b c d
+--R      *
+--R                  m + 2
+--R         (b x + a)
+--R     + 
+--R              9 10      8     9       7 2 2 8       6 3 3 7        5 4 4 6
+--R           10a d   - 90a b c d  + 360a b c d  - 840a b c d  + 1260a b c d
+--R         + 
+--R                  4 5 5 5       3 6 6 4       2 7 7 3        8 8 2      9 9
+--R           - 1260a b c d  + 840a b c d  - 360a b c d  + 90a b c d  - 10b c d
+--R      *
+--R                  m + 1
+--R         (b x + a)
+--R     + 
+--R              10 10      9     9      8 2 2 8       7 3 3 7       6 4 4 6
+--R           - a  d   + 10a b c d  - 45a b c d  + 120a b c d  - 210a b c d
+--R         + 
+--R               5 5 5 5       4 6 6 4       3 7 7 3      2 8 8 2        9 9
+--R           252a b c d  - 210a b c d  + 120a b c d  - 45a b c d  + 10a b c d
+--R         + 
+--R              10 10
+--R           - b  c
+--R      *
+--R                  m
+--R         (b x + a)
+--R  /
+--R      10
+--R     b
+--R                                                    Type: Expression(Integer)
+--E 730
+
+)clear all
+
+--S 731 of 2952
+t0000:=(a+b*x)^12*(c+d*x)^10
+--R 
+--R
+--R   (1)
+--R      12 10 22         11 10      12   9  21
+--R     b  d  x   + (12a b  d   + 10b  c d )x
+--R   + 
+--R         2 10 10         11   9      12 2 8  20
+--R     (66a b  d   + 120a b  c d  + 45b  c d )x
+--R   + 
+--R          3 9 10       2 10   9         11 2 8       12 3 7  19
+--R     (220a b d   + 660a b  c d  + 540a b  c d  + 120b  c d )x
+--R   + 
+--R          4 8 10        3 9   9        2 10 2 8          11 3 7       12 4 6  18
+--R     (495a b d   + 2200a b c d  + 2970a b  c d  + 1440a b  c d  + 210b  c d )x
+--R   + 
+--R             5 7 10        4 8   9        3 9 2 8        2 10 3 7
+--R         792a b d   + 4950a b c d  + 9900a b c d  + 7920a b  c d
+--R       + 
+--R                11 4 6       12 5 5
+--R         2520a b  c d  + 252b  c d
+--R    *
+--R        17
+--R       x
+--R   + 
+--R             6 6 10        5 7   9         4 8 2 8         3 9 3 7
+--R         924a b d   + 7920a b c d  + 22275a b c d  + 26400a b c d
+--R       + 
+--R               2 10 4 6          11 5 5       12 6 4
+--R         13860a b  c d  + 3024a b  c d  + 210b  c d
+--R    *
+--R        16
+--R       x
+--R   + 
+--R             7 5 10        6 6   9         5 7 2 8         4 8 3 7
+--R         792a b d   + 9240a b c d  + 35640a b c d  + 59400a b c d
+--R       + 
+--R               3 9 4 6         2 10 5 5          11 6 4       12 7 3
+--R         46200a b c d  + 16632a b  c d  + 2520a b  c d  + 120b  c d
+--R    *
+--R        15
+--R       x
+--R   + 
+--R             8 4 10        7 5   9         6 6 2 8         5 7 3 7
+--R         495a b d   + 7920a b c d  + 41580a b c d  + 95040a b c d
+--R       + 
+--R                4 8 4 6         3 9 5 5         2 10 6 4          11 7 3
+--R         103950a b c d  + 55440a b c d  + 13860a b  c d  + 1440a b  c d
+--R       + 
+--R            12 8 2
+--R         45b  c d
+--R    *
+--R        14
+--R       x
+--R   + 
+--R             9 3 10        8 4   9         7 5 2 8          6 6 3 7
+--R         220a b d   + 4950a b c d  + 35640a b c d  + 110880a b c d
+--R       + 
+--R                5 7 4 6          4 8 5 5         3 9 6 4        2 10 7 3
+--R         166320a b c d  + 124740a b c d  + 46200a b c d  + 7920a b  c d
+--R       + 
+--R               11 8 2      12 9
+--R         540a b  c d  + 10b  c d
+--R    *
+--R        13
+--R       x
+--R   + 
+--R            10 2 10        9 3   9         8 4 2 8         7 5 3 7
+--R         66a  b d   + 2200a b c d  + 22275a b c d  + 95040a b c d
+--R       + 
+--R                6 6 4 6          5 7 5 5          4 8 6 4         3 9 7 3
+--R         194040a b c d  + 199584a b c d  + 103950a b c d  + 26400a b c d
+--R       + 
+--R              2 10 8 2         11 9     12 10
+--R         2970a b  c d  + 120a b  c d + b  c
+--R    *
+--R        12
+--R       x
+--R   + 
+--R            11   10       10 2   9        9 3 2 8         8 4 3 7
+--R         12a  b d   + 660a  b c d  + 9900a b c d  + 59400a b c d
+--R       + 
+--R                7 5 4 6          6 6 5 5          5 7 6 4         4 8 7 3
+--R         166320a b c d  + 232848a b c d  + 166320a b c d  + 59400a b c d
+--R       + 
+--R              3 9 8 2       2 10 9         11 10
+--R         9900a b c d  + 660a b  c d + 12a b  c
+--R    *
+--R        11
+--R       x
+--R   + 
+--R          12 10       11     9        10 2 2 8         9 3 3 7          8 4 4 6
+--R         a  d   + 120a  b c d  + 2970a  b c d  + 26400a b c d  + 103950a b c d
+--R       + 
+--R                7 5 5 5          6 6 6 4         5 7 7 3         4 8 8 2
+--R         199584a b c d  + 194040a b c d  + 95040a b c d  + 22275a b c d
+--R       + 
+--R              3 9 9       2 10 10
+--R         2200a b c d + 66a b  c
+--R    *
+--R        10
+--R       x
+--R   + 
+--R            12   9       11   2 8        10 2 3 7         9 3 4 6
+--R         10a  c d  + 540a  b c d  + 7920a  b c d  + 46200a b c d
+--R       + 
+--R                8 4 5 5          7 5 6 4          6 6 7 3         5 7 8 2
+--R         124740a b c d  + 166320a b c d  + 110880a b c d  + 35640a b c d
+--R       + 
+--R              4 8 9        3 9 10
+--R         4950a b c d + 220a b c
+--R    *
+--R        9
+--R       x
+--R   + 
+--R            12 2 8        11   3 7         10 2 4 6         9 3 5 5
+--R         45a  c d  + 1440a  b c d  + 13860a  b c d  + 55440a b c d
+--R       + 
+--R              8 4 6 4         7 5 7 3         6 6 8 2        5 7 9        4 8 10
+--R       103950a b c d  + 95040a b c d  + 41580a b c d  + 7920a b c d + 495a b c
+--R    *
+--R        8
+--R       x
+--R   + 
+--R             12 3 7        11   4 6         10 2 5 5         9 3 6 4
+--R         120a  c d  + 2520a  b c d  + 16632a  b c d  + 46200a b c d
+--R       + 
+--R               8 4 7 3         7 5 8 2        6 6 9        5 7 10
+--R         59400a b c d  + 35640a b c d  + 9240a b c d + 792a b c
+--R    *
+--R        7
+--R       x
+--R   + 
+--R             12 4 6        11   5 5         10 2 6 4         9 3 7 3
+--R         210a  c d  + 3024a  b c d  + 13860a  b c d  + 26400a b c d
+--R       + 
+--R               8 4 8 2        7 5 9        6 6 10
+--R         22275a b c d  + 7920a b c d + 924a b c
+--R    *
+--R        6
+--R       x
+--R   + 
+--R             12 5 5        11   6 4        10 2 7 3        9 3 8 2        8 4 9
+--R         252a  c d  + 2520a  b c d  + 7920a  b c d  + 9900a b c d  + 4950a b c d
+--R       + 
+--R             7 5 10
+--R         792a b c
+--R    *
+--R        5
+--R       x
+--R   + 
+--R          12 6 4        11   7 3        10 2 8 2        9 3 9        8 4 10  4
+--R     (210a  c d  + 1440a  b c d  + 2970a  b c d  + 2200a b c d + 495a b c  )x
+--R   + 
+--R          12 7 3       11   8 2       10 2 9        9 3 10  3
+--R     (120a  c d  + 540a  b c d  + 660a  b c d + 220a b c  )x
+--R   + 
+--R       12 8 2       11   9       10 2 10  2       12 9       11   10      12 10
+--R   (45a  c d  + 120a  b c d + 66a  b c  )x  + (10a  c d + 12a  b c  )x + a  c
+--R                                                    Type: Polynomial(Integer)
+--E 731
+
+--S 732 of 2952
+r0000:=1/13*(b*c-a*d)^10*(a+b*x)^13/b^11+_
+     5/7*d*(b*c-a*d)^9*(a+b*x)^14/b^11+_
+     3*d^2*(b*c-a*d)^8*(a+b*x)^15/b^11+_
+     15/2*d^3*(b*c-a*d)^7*(a+b*x)^16/b^11+_
+     210/17*d^4*(b*c-a*d)^6*(a+b*x)^17/b^11+_
+     14*d^5*(b*c-a*d)^5*(a+b*x)^18/b^11+_
+     210/19*d^6*(b*c-a*d)^4*(a+b*x)^19/b^11+_
+     6*d^7*(b*c-a*d)^3*(a+b*x)^20/b^11+_
+     15/7*d^8*(b*c-a*d)^2*(a+b*x)^21/b^11+_
+     5/11*d^9*(b*c-a*d)*(a+b*x)^22/b^11+1/23*d^10*(a+b*x)^23/b^11
+--R 
+--R
+--R   (2)
+--R        1  23 10 23     6    22 10    5  23   9  22
+--R       -- b  d  x   + (-- a b  d   + -- b  c d )x
+--R       23              11            11
+--R     + 
+--R        22  2 21 10   40    22   9   15  23 2 8  21
+--R       (-- a b  d   + -- a b  c d  + -- b  c d )x
+--R         7             7              7
+--R     + 
+--R           3 20 10      2 21   9        22 2 8     23 3 7  20
+--R       (11a b  d   + 33a b  c d  + 27a b  c d  + 6b  c d )x
+--R     + 
+--R           495  4 19 10   2200  3 20   9   2970  2 21 2 8   1440    22 3 7
+--R           --- a b  d   + ---- a b  c d  + ---- a b  c d  + ---- a b  c d
+--R            19             19               19               19
+--R         + 
+--R           210  23 4 6
+--R           --- b  c d
+--R            19
+--R      *
+--R          19
+--R         x
+--R     + 
+--R              5 18 10       4 19   9       3 20 2 8       2 21 3 7
+--R           44a b  d   + 275a b  c d  + 550a b  c d  + 440a b  c d
+--R         + 
+--R                 22 4 6      23 5 5
+--R           140a b  c d  + 14b  c d
+--R      *
+--R          18
+--R         x
+--R     + 
+--R           924  6 17 10   7920  5 18   9   22275  4 19 2 8   26400  3 20 3 7
+--R           --- a b  d   + ---- a b  c d  + ----- a b  c d  + ----- a b  c d
+--R            17             17                17                17
+--R         + 
+--R           13860  2 21 4 6   3024    22 5 5   210  23 6 4
+--R           ----- a b  c d  + ---- a b  c d  + --- b  c d
+--R             17               17               17
+--R      *
+--R          17
+--R         x
+--R     + 
+--R           99  7 16 10   1155  6 17   9   4455  5 18 2 8   7425  4 19 3 7
+--R           -- a b  d   + ---- a b  c d  + ---- a b  c d  + ---- a b  c d
+--R            2              2                2                2
+--R         + 
+--R           5775  3 20 4 6   2079  2 21 5 5   315    22 6 4   15  23 7 3
+--R           ---- a b  c d  + ---- a b  c d  + --- a b  c d  + -- b  c d
+--R             2                2               2               2
+--R      *
+--R          16
+--R         x
+--R     + 
+--R              8 15 10       7 16   9        6 17 2 8        5 18 3 7
+--R           33a b  d   + 528a b  c d  + 2772a b  c d  + 6336a b  c d
+--R         + 
+--R              4 19 4 6        3 20 5 5       2 21 6 4        22 7 3     23 8 2
+--R         6930a b  c d  + 3696a b  c d  + 924a b  c d  + 96a b  c d  + 3b  c d
+--R      *
+--R          15
+--R         x
+--R     + 
+--R           110  9 14 10   2475  8 15   9   17820  7 16 2 8        6 17 3 7
+--R           --- a b  d   + ---- a b  c d  + ----- a b  c d  + 7920a b  c d
+--R            7               7                7
+--R         + 
+--R                 5 18 4 6        4 19 5 5        3 20 6 4   3960  2 21 7 3
+--R           11880a b  c d  + 8910a b  c d  + 3300a b  c d  + ---- a b  c d
+--R                                                              7
+--R         + 
+--R           270    22 8 2   5  23 9
+--R           --- a b  c d  + - b  c d
+--R            7              7
+--R      *
+--R          14
+--R         x
+--R     + 
+--R           66  10 13 10   2200  9 14   9   22275  8 15 2 8   95040  7 16 3 7
+--R           -- a  b  d   + ---- a b  c d  + ----- a b  c d  + ----- a b  c d
+--R           13              13                13                13
+--R         + 
+--R           194040  6 17 4 6   199584  5 18 5 5   103950  4 19 6 4
+--R           ------ a b  c d  + ------ a b  c d  + ------ a b  c d
+--R             13                 13                 13
+--R         + 
+--R           26400  3 20 7 3   2970  2 21 8 2   120    22 9     1  23 10
+--R           ----- a b  c d  + ---- a b  c d  + --- a b  c d + -- b  c
+--R             13               13               13            13
+--R      *
+--R          13
+--R         x
+--R     + 
+--R            11 12 10      10 13   9       9 14 2 8        8 15 3 7
+--R           a  b  d   + 55a  b  c d  + 825a b  c d  + 4950a b  c d
+--R         + 
+--R                 7 16 4 6         6 17 5 5         5 18 6 4        4 19 7 3
+--R           13860a b  c d  + 19404a b  c d  + 13860a b  c d  + 4950a b  c d
+--R         + 
+--R               3 20 8 2      2 21 9       22 10
+--R           825a b  c d  + 55a b  c d + a b  c
+--R      *
+--R          12
+--R         x
+--R     + 
+--R            1  12 11 10   120  11 12   9       10 13 2 8        9 14 3 7
+--R           -- a  b  d   + --- a  b  c d  + 270a  b  c d  + 2400a b  c d
+--R           11              11
+--R         + 
+--R                8 15 4 6         7 16 5 5         6 17 6 4        5 18 7 3
+--R           9450a b  c d  + 18144a b  c d  + 17640a b  c d  + 8640a b  c d
+--R         + 
+--R                4 19 8 2       3 20 9      2 21 10
+--R           2025a b  c d  + 200a b  c d + 6a b  c
+--R      *
+--R          11
+--R         x
+--R     + 
+--R            12 11   9      11 12 2 8       10 13 3 7        9 14 4 6
+--R           a  b  c d  + 54a  b  c d  + 792a  b  c d  + 4620a b  c d
+--R         + 
+--R                 8 15 5 5         7 16 6 4         6 17 7 3        5 18 8 2
+--R           12474a b  c d  + 16632a b  c d  + 11088a b  c d  + 3564a b  c d
+--R         + 
+--R               4 19 9       3 20 10
+--R           495a b  c d + 22a b  c
+--R      *
+--R          10
+--R         x
+--R     + 
+--R             12 11 2 8       11 12 3 7        10 13 4 6        9 14 5 5
+--R           5a  b  c d  + 160a  b  c d  + 1540a  b  c d  + 6160a b  c d
+--R         + 
+--R                 8 15 6 4         7 16 7 3        6 17 8 2       5 18 9
+--R           11550a b  c d  + 10560a b  c d  + 4620a b  c d  + 880a b  c d
+--R         + 
+--R              4 19 10
+--R           55a b  c
+--R      *
+--R          9
+--R         x
+--R     + 
+--R              12 11 3 7       11 12 4 6        10 13 5 5        9 14 6 4
+--R           15a  b  c d  + 315a  b  c d  + 2079a  b  c d  + 5775a b  c d
+--R         + 
+--R                8 15 7 3        7 16 8 2        6 17 9       5 18 10
+--R           7425a b  c d  + 4455a b  c d  + 1155a b  c d + 99a b  c
+--R      *
+--R          8
+--R         x
+--R     + 
+--R              12 11 4 6       11 12 5 5        10 13 6 4   26400  9 14 7 3
+--R           30a  b  c d  + 432a  b  c d  + 1980a  b  c d  + ----- a b  c d
+--R                                                             7
+--R         + 
+--R           22275  8 15 8 2   7920  7 16 9        6 17 10
+--R           ----- a b  c d  + ---- a b  c d + 132a b  c
+--R             7                 7
+--R      *
+--R          7
+--R         x
+--R     + 
+--R              12 11 5 5       11 12 6 4        10 13 7 3        9 14 8 2
+--R           42a  b  c d  + 420a  b  c d  + 1320a  b  c d  + 1650a b  c d
+--R         + 
+--R               8 15 9        7 16 10
+--R           825a b  c d + 132a b  c
+--R      *
+--R          6
+--R         x
+--R     + 
+--R                12 11 6 4       11 12 7 3       10 13 8 2       9 14 9
+--R             42a  b  c d  + 288a  b  c d  + 594a  b  c d  + 440a b  c d
+--R           + 
+--R                8 15 10
+--R             99a b  c
+--R      *
+--R          5
+--R         x
+--R     + 
+--R           12 11 7 3       11 12 8 2       10 13 9       9 14 10  4
+--R       (30a  b  c d  + 135a  b  c d  + 165a  b  c d + 55a b  c  )x
+--R     + 
+--R           12 11 8 2      11 12 9       10 13 10  3
+--R       (15a  b  c d  + 40a  b  c d + 22a  b  c  )x
+--R     + 
+--R          12 11 9      11 12 10  2    12 11 10        1     23 10
+--R       (5a  b  c d + 6a  b  c  )x  + a  b  c  x + -------- a  d
+--R                                                  14872858
+--R     + 
+--R            1    22     9     1    21 2 2 8     1   20 3 3 7     5   19 4 4 6
+--R       - ------ a  b c d  + ----- a  b c d  - ---- a  b c d  + ---- a  b c d
+--R         646646             58786             8398             8398
+--R     + 
+--R          1   18 5 5 5    3   17 6 6 4    3   16 7 7 3    3  15 8 8 2
+--R       - --- a  b c d  + --- a  b c d  - --- a  b c d  + -- a  b c d
+--R         442             442             182             91
+--R     + 
+--R          5  14 9 9     1  13 10 10
+--R       - -- a  b c d + -- a  b  c
+--R         91            13
+--R  /
+--R      11
+--R     b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 732
+
+--S 733 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R      1  12 10 23     6    11 10    5  12   9  22
+--R     -- b  d  x   + (-- a b  d   + -- b  c d )x
+--R     23              11            11
+--R   + 
+--R      22  2 10 10   40    11   9   15  12 2 8  21
+--R     (-- a b  d   + -- a b  c d  + -- b  c d )x
+--R       7             7              7
+--R   + 
+--R         3 9 10      2 10   9        11 2 8     12 3 7  20
+--R     (11a b d   + 33a b  c d  + 27a b  c d  + 6b  c d )x
+--R   + 
+--R         495  4 8 10   2200  3 9   9   2970  2 10 2 8   1440    11 3 7
+--R         --- a b d   + ---- a b c d  + ---- a b  c d  + ---- a b  c d
+--R          19            19              19               19
+--R       + 
+--R         210  12 4 6
+--R         --- b  c d
+--R          19
+--R    *
+--R        19
+--R       x
+--R   + 
+--R            5 7 10       4 8   9       3 9 2 8       2 10 3 7         11 4 6
+--R         44a b d   + 275a b c d  + 550a b c d  + 440a b  c d  + 140a b  c d
+--R       + 
+--R            12 5 5
+--R         14b  c d
+--R    *
+--R        18
+--R       x
+--R   + 
+--R         924  6 6 10   7920  5 7   9   22275  4 8 2 8   26400  3 9 3 7
+--R         --- a b d   + ---- a b c d  + ----- a b c d  + ----- a b c d
+--R          17            17               17               17
+--R       + 
+--R         13860  2 10 4 6   3024    11 5 5   210  12 6 4
+--R         ----- a b  c d  + ---- a b  c d  + --- b  c d
+--R           17               17               17
+--R    *
+--R        17
+--R       x
+--R   + 
+--R         99  7 5 10   1155  6 6   9   4455  5 7 2 8   7425  4 8 3 7
+--R         -- a b d   + ---- a b c d  + ---- a b c d  + ---- a b c d
+--R          2             2               2               2
+--R       + 
+--R         5775  3 9 4 6   2079  2 10 5 5   315    11 6 4   15  12 7 3
+--R         ---- a b c d  + ---- a b  c d  + --- a b  c d  + -- b  c d
+--R           2               2               2               2
+--R    *
+--R        16
+--R       x
+--R   + 
+--R            8 4 10       7 5   9        6 6 2 8        5 7 3 7        4 8 4 6
+--R         33a b d   + 528a b c d  + 2772a b c d  + 6336a b c d  + 6930a b c d
+--R       + 
+--R              3 9 5 5       2 10 6 4        11 7 3     12 8 2
+--R         3696a b c d  + 924a b  c d  + 96a b  c d  + 3b  c d
+--R    *
+--R        15
+--R       x
+--R   + 
+--R         110  9 3 10   2475  8 4   9   17820  7 5 2 8        6 6 3 7
+--R         --- a b d   + ---- a b c d  + ----- a b c d  + 7920a b c d
+--R          7              7               7
+--R       + 
+--R               5 7 4 6        4 8 5 5        3 9 6 4   3960  2 10 7 3
+--R         11880a b c d  + 8910a b c d  + 3300a b c d  + ---- a b  c d
+--R                                                         7
+--R       + 
+--R         270    11 8 2   5  12 9
+--R         --- a b  c d  + - b  c d
+--R          7              7
+--R    *
+--R        14
+--R       x
+--R   + 
+--R         66  10 2 10   2200  9 3   9   22275  8 4 2 8   95040  7 5 3 7
+--R         -- a  b d   + ---- a b c d  + ----- a b c d  + ----- a b c d
+--R         13             13               13               13
+--R       + 
+--R         194040  6 6 4 6   199584  5 7 5 5   103950  4 8 6 4   26400  3 9 7 3
+--R         ------ a b c d  + ------ a b c d  + ------ a b c d  + ----- a b c d
+--R           13                13                13                13
+--R       + 
+--R         2970  2 10 8 2   120    11 9     1  12 10
+--R         ---- a b  c d  + --- a b  c d + -- b  c
+--R          13               13            13
+--R    *
+--R        13
+--R       x
+--R   + 
+--R          11   10      10 2   9       9 3 2 8        8 4 3 7         7 5 4 6
+--R         a  b d   + 55a  b c d  + 825a b c d  + 4950a b c d  + 13860a b c d
+--R       + 
+--R               6 6 5 5         5 7 6 4        4 8 7 3       3 9 8 2      2 10 9
+--R         19404a b c d  + 13860a b c d  + 4950a b c d  + 825a b c d  + 55a b  c d
+--R       + 
+--R            11 10
+--R         a b  c
+--R    *
+--R        12
+--R       x
+--R   + 
+--R          1  12 10   120  11     9       10 2 2 8        9 3 3 7        8 4 4 6
+--R         -- a  d   + --- a  b c d  + 270a  b c d  + 2400a b c d  + 9450a b c d
+--R         11           11
+--R       + 
+--R               7 5 5 5         6 6 6 4        5 7 7 3        4 8 8 2
+--R         18144a b c d  + 17640a b c d  + 8640a b c d  + 2025a b c d
+--R       + 
+--R             3 9 9      2 10 10
+--R         200a b c d + 6a b  c
+--R    *
+--R        11
+--R       x
+--R   + 
+--R          12   9      11   2 8       10 2 3 7        9 3 4 6         8 4 5 5
+--R         a  c d  + 54a  b c d  + 792a  b c d  + 4620a b c d  + 12474a b c d
+--R       + 
+--R               7 5 6 4         6 6 7 3        5 7 8 2       4 8 9       3 9 10
+--R         16632a b c d  + 11088a b c d  + 3564a b c d  + 495a b c d + 22a b c
+--R    *
+--R        10
+--R       x
+--R   + 
+--R           12 2 8       11   3 7        10 2 4 6        9 3 5 5         8 4 6 4
+--R         5a  c d  + 160a  b c d  + 1540a  b c d  + 6160a b c d  + 11550a b c d
+--R       + 
+--R               7 5 7 3        6 6 8 2       5 7 9       4 8 10
+--R         10560a b c d  + 4620a b c d  + 880a b c d + 55a b c
+--R    *
+--R        9
+--R       x
+--R   + 
+--R            12 3 7       11   4 6        10 2 5 5        9 3 6 4        8 4 7 3
+--R         15a  c d  + 315a  b c d  + 2079a  b c d  + 5775a b c d  + 7425a b c d
+--R       + 
+--R              7 5 8 2        6 6 9       5 7 10
+--R         4455a b c d  + 1155a b c d + 99a b c
+--R    *
+--R        8
+--R       x
+--R   + 
+--R            12 4 6       11   5 5        10 2 6 4   26400  9 3 7 3
+--R         30a  c d  + 432a  b c d  + 1980a  b c d  + ----- a b c d
+--R                                                      7
+--R       + 
+--R         22275  8 4 8 2   7920  7 5 9        6 6 10
+--R         ----- a b c d  + ---- a b c d + 132a b c
+--R           7                7
+--R    *
+--R        7
+--R       x
+--R   + 
+--R            12 5 5       11   6 4        10 2 7 3        9 3 8 2       8 4 9
+--R         42a  c d  + 420a  b c d  + 1320a  b c d  + 1650a b c d  + 825a b c d
+--R       + 
+--R             7 5 10
+--R         132a b c
+--R    *
+--R        6
+--R       x
+--R   + 
+--R         12 6 4       11   7 3       10 2 8 2       9 3 9       8 4 10  5
+--R     (42a  c d  + 288a  b c d  + 594a  b c d  + 440a b c d + 99a b c  )x
+--R   + 
+--R         12 7 3       11   8 2       10 2 9       9 3 10  4
+--R     (30a  c d  + 135a  b c d  + 165a  b c d + 55a b c  )x
+--R   + 
+--R       12 8 2      11   9       10 2 10  3      12 9      11   10  2    12 10
+--R   (15a  c d  + 40a  b c d + 22a  b c  )x  + (5a  c d + 6a  b c  )x  + a  c  x
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 733
+
+--S 734 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R             1     23 10      1    22     9     1    21 2 2 8     1   20 3 3 7
+--R       - -------- a  d   + ------ a  b c d  - ----- a  b c d  + ---- a  b c d
+--R         14872858          646646             58786             8398
+--R     + 
+--R           5   19 4 4 6    1   18 5 5 5    3   17 6 6 4    3   16 7 7 3
+--R       - ---- a  b c d  + --- a  b c d  - --- a  b c d  + --- a  b c d
+--R         8398             442             442             182
+--R     + 
+--R          3  15 8 8 2    5  14 9 9     1  13 10 10
+--R       - -- a  b c d  + -- a  b c d - -- a  b  c
+--R         91             91            13
+--R  /
+--R      11
+--R     b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 734
+
+--S 735 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 735
+
+)clear all
+
+--S 736 of 2952
+t0000:=(a+b*x)^11*(c+d*x)^10
+--R 
+--R
+--R   (1)
+--R      11 10 21         10 10      11   9  20
+--R     b  d  x   + (11a b  d   + 10b  c d )x
+--R   + 
+--R         2 9 10         10   9      11 2 8  19
+--R     (55a b d   + 110a b  c d  + 45b  c d )x
+--R   + 
+--R          3 8 10       2 9   9         10 2 8       11 3 7  18
+--R     (165a b d   + 550a b c d  + 495a b  c d  + 120b  c d )x
+--R   + 
+--R          4 7 10        3 8   9        2 9 2 8          10 3 7       11 4 6  17
+--R     (330a b d   + 1650a b c d  + 2475a b c d  + 1320a b  c d  + 210b  c d )x
+--R   + 
+--R             5 6 10        4 7   9        3 8 2 8        2 9 3 7          10 4 6
+--R         462a b d   + 3300a b c d  + 7425a b c d  + 6600a b c d  + 2310a b  c d
+--R       + 
+--R             11 5 5
+--R         252b  c d
+--R    *
+--R        16
+--R       x
+--R   + 
+--R             6 5 10        5 6   9         4 7 2 8         3 8 3 7
+--R         462a b d   + 4620a b c d  + 14850a b c d  + 19800a b c d
+--R       + 
+--R               2 9 4 6          10 5 5       11 6 4
+--R         11550a b c d  + 2772a b  c d  + 210b  c d
+--R    *
+--R        15
+--R       x
+--R   + 
+--R             7 4 10        6 5   9         5 6 2 8         4 7 3 7
+--R         330a b d   + 4620a b c d  + 20790a b c d  + 39600a b c d
+--R       + 
+--R               3 8 4 6         2 9 5 5          10 6 4       11 7 3
+--R         34650a b c d  + 13860a b c d  + 2310a b  c d  + 120b  c d
+--R    *
+--R        14
+--R       x
+--R   + 
+--R             8 3 10        7 4   9         6 5 2 8         5 6 3 7
+--R         165a b d   + 3300a b c d  + 20790a b c d  + 55440a b c d
+--R       + 
+--R             4 7 4 6         3 8 5 5         2 9 6 4          10 7 3      11 8 2
+--R       69300a b c d  + 41580a b c d  + 11550a b c d  + 1320a b  c d  + 45b  c d
+--R    *
+--R        13
+--R       x
+--R   + 
+--R            9 2 10        8 3   9         7 4 2 8         6 5 3 7
+--R         55a b d   + 1650a b c d  + 14850a b c d  + 55440a b c d
+--R       + 
+--R               5 6 4 6         4 7 5 5         3 8 6 4        2 9 7 3
+--R         97020a b c d  + 83160a b c d  + 34650a b c d  + 6600a b c d
+--R       + 
+--R               10 8 2      11 9
+--R         495a b  c d  + 10b  c d
+--R    *
+--R        12
+--R       x
+--R   + 
+--R            10   10       9 2   9        8 3 2 8         7 4 3 7         6 5 4 6
+--R         11a  b d   + 550a b c d  + 7425a b c d  + 39600a b c d  + 97020a b c d
+--R       + 
+--R                5 6 5 5         4 7 6 4         3 8 7 3        2 9 8 2
+--R         116424a b c d  + 69300a b c d  + 19800a b c d  + 2475a b c d
+--R       + 
+--R               10 9     11 10
+--R         110a b  c d + b  c
+--R    *
+--R        11
+--R       x
+--R   + 
+--R          11 10       10     9        9 2 2 8         8 3 3 7         7 4 4 6
+--R         a  d   + 110a  b c d  + 2475a b c d  + 19800a b c d  + 69300a b c d
+--R       + 
+--R                6 5 5 5         5 6 6 4         4 7 7 3        3 8 8 2
+--R         116424a b c d  + 97020a b c d  + 39600a b c d  + 7425a b c d
+--R       + 
+--R             2 9 9         10 10
+--R         550a b c d + 11a b  c
+--R    *
+--R        10
+--R       x
+--R   + 
+--R            11   9       10   2 8        9 2 3 7         8 3 4 6         7 4 5 5
+--R         10a  c d  + 495a  b c d  + 6600a b c d  + 34650a b c d  + 83160a b c d
+--R       + 
+--R             6 5 6 4         5 6 7 3         4 7 8 2        3 8 9       2 9 10
+--R       97020a b c d  + 55440a b c d  + 14850a b c d  + 1650a b c d + 55a b c
+--R    *
+--R        9
+--R       x
+--R   + 
+--R            11 2 8        10   3 7         9 2 4 6         8 3 5 5
+--R         45a  c d  + 1320a  b c d  + 11550a b c d  + 41580a b c d
+--R       + 
+--R             7 4 6 4         6 5 7 3         5 6 8 2        4 7 9        3 8 10
+--R       69300a b c d  + 55440a b c d  + 20790a b c d  + 3300a b c d + 165a b c
+--R    *
+--R        8
+--R       x
+--R   + 
+--R             11 3 7        10   4 6         9 2 5 5         8 3 6 4
+--R         120a  c d  + 2310a  b c d  + 13860a b c d  + 34650a b c d
+--R       + 
+--R               7 4 7 3         6 5 8 2        5 6 9        4 7 10
+--R         39600a b c d  + 20790a b c d  + 4620a b c d + 330a b c
+--R    *
+--R        7
+--R       x
+--R   + 
+--R             11 4 6        10   5 5         9 2 6 4         8 3 7 3
+--R         210a  c d  + 2772a  b c d  + 11550a b c d  + 19800a b c d
+--R       + 
+--R               7 4 8 2        6 5 9        5 6 10
+--R         14850a b c d  + 4620a b c d + 462a b c
+--R    *
+--R        6
+--R       x
+--R   + 
+--R             11 5 5        10   6 4        9 2 7 3        8 3 8 2        7 4 9
+--R         252a  c d  + 2310a  b c d  + 6600a b c d  + 7425a b c d  + 3300a b c d
+--R       + 
+--R             6 5 10
+--R         462a b c
+--R    *
+--R        5
+--R       x
+--R   + 
+--R          11 6 4        10   7 3        9 2 8 2        8 3 9        7 4 10  4
+--R     (210a  c d  + 1320a  b c d  + 2475a b c d  + 1650a b c d + 330a b c  )x
+--R   + 
+--R          11 7 3       10   8 2       9 2 9        8 3 10  3
+--R     (120a  c d  + 495a  b c d  + 550a b c d + 165a b c  )x
+--R   + 
+--R       11 8 2       10   9       9 2 10  2       11 9       10   10      11 10
+--R   (45a  c d  + 110a  b c d + 55a b c  )x  + (10a  c d + 11a  b c  )x + a  c
+--R                                                    Type: Polynomial(Integer)
+--E 736
+
+--S 737 of 2952
+r0000:=1/12*(b*c-a*d)^10*(a+b*x)^12/b^11+_
+     10/13*d*(b*c-a*d)^9*(a+b*x)^13/b^11+_
+     45/14*d^2*(b*c-a*d)^8*(a+b*x)^14/b^11+_
+     8*d^3*(b*c-a*d)^7*(a+b*x)^15/b^11+_
+     105/8*d^4*(b*c-a*d)^6*(a+b*x)^16/b^11+_
+     252/17*d^5*(b*c-a*d)^5*(a+b*x)^17/b^11+_
+     35/3*d^6*(b*c-a*d)^4*(a+b*x)^18/b^11+_
+     120/19*d^7*(b*c-a*d)^3*(a+b*x)^19/b^11+_
+     9/4*d^8*(b*c-a*d)^2*(a+b*x)^20/b^11+_
+     10/21*d^9*(b*c-a*d)*(a+b*x)^21/b^11+1/22*d^10*(a+b*x)^22/b^11
+--R 
+--R
+--R   (2)
+--R        1  22 10 22    11    21 10   10  22   9  21
+--R       -- b  d  x   + (-- a b  d   + -- b  c d )x
+--R       22              21            21
+--R     + 
+--R        11  2 20 10   11    21   9   9  22 2 8  20
+--R       (-- a b  d   + -- a b  c d  + - b  c d )x
+--R         4             2             4
+--R     + 
+--R        165  3 19 10   550  2 20   9   495    21 2 8   120  22 3 7  19
+--R       (--- a b  d   + --- a b  c d  + --- a b  c d  + --- b  c d )x
+--R         19             19              19              19
+--R     + 
+--R           55  4 18 10   275  3 19   9   275  2 20 2 8   220    21 3 7
+--R           -- a b  d   + --- a b  c d  + --- a b  c d  + --- a b  c d
+--R            3             3               2               3
+--R         + 
+--R           35  22 4 6
+--R           -- b  c d
+--R            3
+--R      *
+--R          18
+--R         x
+--R     + 
+--R           462  5 17 10   3300  4 18   9   7425  3 19 2 8   6600  2 20 3 7
+--R           --- a b  d   + ---- a b  c d  + ---- a b  c d  + ---- a b  c d
+--R            17             17               17               17
+--R         + 
+--R           2310    21 4 6   252  22 5 5
+--R           ---- a b  c d  + --- b  c d
+--R            17               17
+--R      *
+--R          17
+--R         x
+--R     + 
+--R           231  6 16 10   1155  5 17   9   7425  4 18 2 8   2475  3 19 3 7
+--R           --- a b  d   + ---- a b  c d  + ---- a b  c d  + ---- a b  c d
+--R            8               4                8                2
+--R         + 
+--R           5775  2 20 4 6   693    21 5 5   105  22 6 4
+--R           ---- a b  c d  + --- a b  c d  + --- b  c d
+--R             8               4               8
+--R      *
+--R          16
+--R         x
+--R     + 
+--R              7 15 10       6 16   9        5 17 2 8        4 18 3 7
+--R           22a b  d   + 308a b  c d  + 1386a b  c d  + 2640a b  c d
+--R         + 
+--R                3 19 4 6       2 20 5 5         21 6 4     22 7 3
+--R           2310a b  c d  + 924a b  c d  + 154a b  c d  + 8b  c d
+--R      *
+--R          15
+--R         x
+--R     + 
+--R           165  8 14 10   1650  7 15   9        6 16 2 8        5 17 3 7
+--R           --- a b  d   + ---- a b  c d  + 1485a b  c d  + 3960a b  c d
+--R            14              7
+--R         + 
+--R                4 18 4 6        3 19 5 5       2 20 6 4   660    21 7 3
+--R           4950a b  c d  + 2970a b  c d  + 825a b  c d  + --- a b  c d
+--R                                                           7
+--R         + 
+--R           45  22 8 2
+--R           -- b  c d
+--R           14
+--R      *
+--R          14
+--R         x
+--R     + 
+--R           55  9 13 10   1650  8 14   9   14850  7 15 2 8   55440  6 16 3 7
+--R           -- a b  d   + ---- a b  c d  + ----- a b  c d  + ----- a b  c d
+--R           13             13                13                13
+--R         + 
+--R           97020  5 17 4 6   83160  4 18 5 5   34650  3 19 6 4   6600  2 20 7 3
+--R           ----- a b  c d  + ----- a b  c d  + ----- a b  c d  + ---- a b  c d
+--R             13                13                13               13
+--R         + 
+--R           495    21 8 2   10  22 9
+--R           --- a b  c d  + -- b  c d
+--R            13             13
+--R      *
+--R          13
+--R         x
+--R     + 
+--R           11  10 12 10   275  9 13   9   2475  8 14 2 8        7 15 3 7
+--R           -- a  b  d   + --- a b  c d  + ---- a b  c d  + 3300a b  c d
+--R           12              6                4
+--R         + 
+--R                6 16 4 6        5 17 5 5        4 18 6 4        3 19 7 3
+--R           8085a b  c d  + 9702a b  c d  + 5775a b  c d  + 1650a b  c d
+--R         + 
+--R           825  2 20 8 2   55    21 9     1  22 10
+--R           --- a b  c d  + -- a b  c d + -- b  c
+--R            4               6            12
+--R      *
+--R          12
+--R         x
+--R     + 
+--R            1  11 11 10      10 12   9       9 13 2 8        8 14 3 7
+--R           -- a  b  d   + 10a  b  c d  + 225a b  c d  + 1800a b  c d
+--R           11
+--R         + 
+--R                7 15 4 6         6 16 5 5        5 17 6 4        4 18 7 3
+--R           6300a b  c d  + 10584a b  c d  + 8820a b  c d  + 3600a b  c d
+--R         + 
+--R               3 19 8 2      2 20 9       21 10
+--R           675a b  c d  + 50a b  c d + a b  c
+--R      *
+--R          11
+--R         x
+--R     + 
+--R            11 11   9   99  10 12 2 8       9 13 3 7        8 14 4 6
+--R           a  b  c d  + -- a  b  c d  + 660a b  c d  + 3465a b  c d
+--R                         2
+--R         + 
+--R                7 15 5 5        6 16 6 4        5 17 7 3        4 18 8 2
+--R           8316a b  c d  + 9702a b  c d  + 5544a b  c d  + 1485a b  c d
+--R         + 
+--R               3 19 9    11  2 20 10
+--R           165a b  c d + -- a b  c
+--R                          2
+--R      *
+--R          10
+--R         x
+--R     + 
+--R             11 11 2 8   440  10 12 3 7   3850  9 13 4 6        8 14 5 5
+--R           5a  b  c d  + --- a  b  c d  + ---- a b  c d  + 4620a b  c d
+--R                          3                 3
+--R         + 
+--R                7 15 6 4        6 16 7 3        5 17 8 2   1100  4 18 9
+--R           7700a b  c d  + 6160a b  c d  + 2310a b  c d  + ---- a b  c d
+--R                                                             3
+--R         + 
+--R           55  3 19 10
+--R           -- a b  c
+--R            3
+--R      *
+--R          9
+--R         x
+--R     + 
+--R              11 11 3 7   1155  10 12 4 6   3465  9 13 5 5   17325  8 14 6 4
+--R           15a  b  c d  + ---- a  b  c d  + ---- a b  c d  + ----- a b  c d
+--R                            4                 2                4
+--R         + 
+--R                7 15 7 3   10395  6 16 8 2   1155  5 17 9    165  4 18 10
+--R           4950a b  c d  + ----- a b  c d  + ---- a b  c d + --- a b  c
+--R                             4                 2              4
+--R      *
+--R          8
+--R         x
+--R     + 
+--R              11 11 4 6       10 12 5 5        9 13 6 4   19800  8 14 7 3
+--R           30a  b  c d  + 396a  b  c d  + 1650a b  c d  + ----- a b  c d
+--R                                                            7
+--R         + 
+--R           14850  7 15 8 2       6 16 9       5 17 10
+--R           ----- a b  c d  + 660a b  c d + 66a b  c
+--R             7
+--R      *
+--R          7
+--R         x
+--R     + 
+--R              11 11 5 5       10 12 6 4        9 13 7 3   2475  8 14 8 2
+--R           42a  b  c d  + 385a  b  c d  + 1100a b  c d  + ---- a b  c d
+--R                                                            2
+--R         + 
+--R               7 15 9       6 16 10
+--R           550a b  c d + 77a b  c
+--R      *
+--R          6
+--R         x
+--R     + 
+--R                11 11 6 4       10 12 7 3       9 13 8 2       8 14 9
+--R             42a  b  c d  + 264a  b  c d  + 495a b  c d  + 330a b  c d
+--R           + 
+--R                7 15 10
+--R             66a b  c
+--R      *
+--R          5
+--R         x
+--R     + 
+--R           11 11 7 3   495  10 12 8 2   275  9 13 9    165  8 14 10  4
+--R       (30a  b  c d  + --- a  b  c d  + --- a b  c d + --- a b  c  )x
+--R                        4                2              4
+--R     + 
+--R           11 11 8 2   110  10 12 9    55  9 13 10  3
+--R       (15a  b  c d  + --- a  b  c d + -- a b  c  )x
+--R                        3               3
+--R     + 
+--R          11 11 9    11  10 12 10  2    11 11 10       1     22 10
+--R       (5a  b  c d + -- a  b  c  )x  + a  b  c  x + ------- a  d
+--R                      2                             7759752
+--R     + 
+--R            1    21     9     1    20 2 2 8     5    19 3 3 7     5   18 4 4 6
+--R       - ------ a  b c d  + ----- a  b c d  - ----- a  b c d  + ---- a  b c d
+--R         352716             33592             25194             5304
+--R     + 
+--R          3   17 5 5 5    1   16 6 6 4    2  15 7 7 3    15  14 8 8 2
+--R       - --- a  b c d  + --- a  b c d  - -- a  b c d  + --- a  b c d
+--R         884             104             91             364
+--R     + 
+--R          5  13 9 9     1  12 10 10
+--R       - -- a  b c d + -- a  b  c
+--R         78            12
+--R  /
+--R      11
+--R     b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 737
+
+--S 738 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R      1  11 10 22    11    10 10   10  11   9  21
+--R     -- b  d  x   + (-- a b  d   + -- b  c d )x
+--R     22              21            21
+--R   + 
+--R      11  2 9 10   11    10   9   9  11 2 8  20
+--R     (-- a b d   + -- a b  c d  + - b  c d )x
+--R       4            2             4
+--R   + 
+--R      165  3 8 10   550  2 9   9   495    10 2 8   120  11 3 7  19
+--R     (--- a b d   + --- a b c d  + --- a b  c d  + --- b  c d )x
+--R       19            19             19              19
+--R   + 
+--R      55  4 7 10   275  3 8   9   275  2 9 2 8   220    10 3 7   35  11 4 6  18
+--R     (-- a b d   + --- a b c d  + --- a b c d  + --- a b  c d  + -- b  c d )x
+--R       3            3              2              3               3
+--R   + 
+--R         462  5 6 10   3300  4 7   9   7425  3 8 2 8   6600  2 9 3 7
+--R         --- a b d   + ---- a b c d  + ---- a b c d  + ---- a b c d
+--R          17            17              17              17
+--R       + 
+--R         2310    10 4 6   252  11 5 5
+--R         ---- a b  c d  + --- b  c d
+--R          17               17
+--R    *
+--R        17
+--R       x
+--R   + 
+--R         231  6 5 10   1155  5 6   9   7425  4 7 2 8   2475  3 8 3 7
+--R         --- a b d   + ---- a b c d  + ---- a b c d  + ---- a b c d
+--R          8              4               8               2
+--R       + 
+--R         5775  2 9 4 6   693    10 5 5   105  11 6 4
+--R         ---- a b c d  + --- a b  c d  + --- b  c d
+--R           8              4               8
+--R    *
+--R        16
+--R       x
+--R   + 
+--R            7 4 10       6 5   9        5 6 2 8        4 7 3 7        3 8 4 6
+--R         22a b d   + 308a b c d  + 1386a b c d  + 2640a b c d  + 2310a b c d
+--R       + 
+--R             2 9 5 5         10 6 4     11 7 3
+--R         924a b c d  + 154a b  c d  + 8b  c d
+--R    *
+--R        15
+--R       x
+--R   + 
+--R         165  8 3 10   1650  7 4   9        6 5 2 8        5 6 3 7
+--R         --- a b d   + ---- a b c d  + 1485a b c d  + 3960a b c d
+--R          14             7
+--R       + 
+--R              4 7 4 6        3 8 5 5       2 9 6 4   660    10 7 3   45  11 8 2
+--R         4950a b c d  + 2970a b c d  + 825a b c d  + --- a b  c d  + -- b  c d
+--R                                                      7              14
+--R    *
+--R        14
+--R       x
+--R   + 
+--R         55  9 2 10   1650  8 3   9   14850  7 4 2 8   55440  6 5 3 7
+--R         -- a b d   + ---- a b c d  + ----- a b c d  + ----- a b c d
+--R         13            13               13               13
+--R       + 
+--R         97020  5 6 4 6   83160  4 7 5 5   34650  3 8 6 4   6600  2 9 7 3
+--R         ----- a b c d  + ----- a b c d  + ----- a b c d  + ---- a b c d
+--R           13               13               13              13
+--R       + 
+--R         495    10 8 2   10  11 9
+--R         --- a b  c d  + -- b  c d
+--R          13             13
+--R    *
+--R        13
+--R       x
+--R   + 
+--R         11  10   10   275  9 2   9   2475  8 3 2 8        7 4 3 7
+--R         -- a  b d   + --- a b c d  + ---- a b c d  + 3300a b c d
+--R         12             6               4
+--R       + 
+--R              6 5 4 6        5 6 5 5        4 7 6 4        3 8 7 3
+--R         8085a b c d  + 9702a b c d  + 5775a b c d  + 1650a b c d
+--R       + 
+--R         825  2 9 8 2   55    10 9     1  11 10
+--R         --- a b c d  + -- a b  c d + -- b  c
+--R          4              6            12
+--R    *
+--R        12
+--R       x
+--R   + 
+--R          1  11 10      10     9       9 2 2 8        8 3 3 7        7 4 4 6
+--R         -- a  d   + 10a  b c d  + 225a b c d  + 1800a b c d  + 6300a b c d
+--R         11
+--R       + 
+--R               6 5 5 5        5 6 6 4        4 7 7 3       3 8 8 2      2 9 9
+--R         10584a b c d  + 8820a b c d  + 3600a b c d  + 675a b c d  + 50a b c d
+--R       + 
+--R            10 10
+--R         a b  c
+--R    *
+--R        11
+--R       x
+--R   + 
+--R          11   9   99  10   2 8       9 2 3 7        8 3 4 6        7 4 5 5
+--R         a  c d  + -- a  b c d  + 660a b c d  + 3465a b c d  + 8316a b c d
+--R                    2
+--R       + 
+--R              6 5 6 4        5 6 7 3        4 7 8 2       3 8 9    11  2 9 10
+--R         9702a b c d  + 5544a b c d  + 1485a b c d  + 165a b c d + -- a b c
+--R                                                                    2
+--R    *
+--R        10
+--R       x
+--R   + 
+--R           11 2 8   440  10   3 7   3850  9 2 4 6        8 3 5 5        7 4 6 4
+--R         5a  c d  + --- a  b c d  + ---- a b c d  + 4620a b c d  + 7700a b c d
+--R                     3                3
+--R       + 
+--R              6 5 7 3        5 6 8 2   1100  4 7 9    55  3 8 10
+--R         6160a b c d  + 2310a b c d  + ---- a b c d + -- a b c
+--R                                         3             3
+--R    *
+--R        9
+--R       x
+--R   + 
+--R            11 3 7   1155  10   4 6   3465  9 2 5 5   17325  8 3 6 4
+--R         15a  c d  + ---- a  b c d  + ---- a b c d  + ----- a b c d
+--R                       4                2               4
+--R       + 
+--R              7 4 7 3   10395  6 5 8 2   1155  5 6 9    165  4 7 10
+--R         4950a b c d  + ----- a b c d  + ---- a b c d + --- a b c
+--R                          4                2             4
+--R    *
+--R        8
+--R       x
+--R   + 
+--R            11 4 6       10   5 5        9 2 6 4   19800  8 3 7 3
+--R         30a  c d  + 396a  b c d  + 1650a b c d  + ----- a b c d
+--R                                                     7
+--R       + 
+--R         14850  7 4 8 2       6 5 9       5 6 10
+--R         ----- a b c d  + 660a b c d + 66a b c
+--R           7
+--R    *
+--R        7
+--R       x
+--R   + 
+--R            11 5 5       10   6 4        9 2 7 3   2475  8 3 8 2       7 4 9
+--R         42a  c d  + 385a  b c d  + 1100a b c d  + ---- a b c d  + 550a b c d
+--R                                                     2
+--R       + 
+--R            6 5 10
+--R         77a b c
+--R    *
+--R        6
+--R       x
+--R   + 
+--R         11 6 4       10   7 3       9 2 8 2       8 3 9       7 4 10  5
+--R     (42a  c d  + 264a  b c d  + 495a b c d  + 330a b c d + 66a b c  )x
+--R   + 
+--R         11 7 3   495  10   8 2   275  9 2 9    165  8 3 10  4
+--R     (30a  c d  + --- a  b c d  + --- a b c d + --- a b c  )x
+--R                   4               2             4
+--R   + 
+--R         11 8 2   110  10   9    55  9 2 10  3      11 9    11  10   10  2
+--R     (15a  c d  + --- a  b c d + -- a b c  )x  + (5a  c d + -- a  b c  )x
+--R                   3              3                          2
+--R   + 
+--R      11 10
+--R     a  c  x
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 738
+
+--S 739 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R            1     22 10      1    21     9     1    20 2 2 8     5    19 3 3 7
+--R       - ------- a  d   + ------ a  b c d  - ----- a  b c d  + ----- a  b c d
+--R         7759752          352716             33592             25194
+--R     + 
+--R           5   18 4 4 6    3   17 5 5 5    1   16 6 6 4    2  15 7 7 3
+--R       - ---- a  b c d  + --- a  b c d  - --- a  b c d  + -- a  b c d
+--R         5304             884             104             91
+--R     + 
+--R          15  14 8 8 2    5  13 9 9     1  12 10 10
+--R       - --- a  b c d  + -- a  b c d - -- a  b  c
+--R         364             78            12
+--R  /
+--R      11
+--R     b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 739
+
+--S 740 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 740
+
+)clear all
+
+--S 741 of 2952
+t0000:=(a+b*x)^10*(c+d*x)^10
+--R 
+--R
+--R   (1)
+--R      10 10 20         9 10      10   9  19
+--R     b  d  x   + (10a b d   + 10b  c d )x
+--R   + 
+--R         2 8 10         9   9      10 2 8  18
+--R     (45a b d   + 100a b c d  + 45b  c d )x
+--R   + 
+--R          3 7 10       2 8   9         9 2 8       10 3 7  17
+--R     (120a b d   + 450a b c d  + 450a b c d  + 120b  c d )x
+--R   + 
+--R          4 6 10        3 7   9        2 8 2 8          9 3 7       10 4 6  16
+--R     (210a b d   + 1200a b c d  + 2025a b c d  + 1200a b c d  + 210b  c d )x
+--R   + 
+--R             5 5 10        4 6   9        3 7 2 8        2 8 3 7          9 4 6
+--R         252a b d   + 2100a b c d  + 5400a b c d  + 5400a b c d  + 2100a b c d
+--R       + 
+--R             10 5 5
+--R         252b  c d
+--R    *
+--R        15
+--R       x
+--R   + 
+--R             6 4 10        5 5   9        4 6 2 8         3 7 3 7        2 8 4 6
+--R         210a b d   + 2520a b c d  + 9450a b c d  + 14400a b c d  + 9450a b c d
+--R       + 
+--R                9 5 5       10 6 4
+--R         2520a b c d  + 210b  c d
+--R    *
+--R        14
+--R       x
+--R   + 
+--R             7 3 10        6 4   9         5 5 2 8         4 6 3 7
+--R         120a b d   + 2100a b c d  + 11340a b c d  + 25200a b c d
+--R       + 
+--R               3 7 4 6         2 8 5 5          9 6 4       10 7 3
+--R         25200a b c d  + 11340a b c d  + 2100a b c d  + 120b  c d
+--R    *
+--R        13
+--R       x
+--R   + 
+--R            8 2 10        7 3   9        6 4 2 8         5 5 3 7         4 6 4 6
+--R         45a b d   + 1200a b c d  + 9450a b c d  + 30240a b c d  + 44100a b c d
+--R       + 
+--R               3 7 5 5        2 8 6 4          9 7 3      10 8 2
+--R         30240a b c d  + 9450a b c d  + 1200a b c d  + 45b  c d
+--R    *
+--R        12
+--R       x
+--R   + 
+--R            9   10       8 2   9        7 3 2 8         6 4 3 7         5 5 4 6
+--R         10a b d   + 450a b c d  + 5400a b c d  + 25200a b c d  + 52920a b c d
+--R       + 
+--R               4 6 5 5         3 7 6 4        2 8 7 3         9 8 2      10 9
+--R         52920a b c d  + 25200a b c d  + 5400a b c d  + 450a b c d  + 10b  c d
+--R    *
+--R        11
+--R       x
+--R   + 
+--R          10 10       9     9        8 2 2 8         7 3 3 7         6 4 4 6
+--R         a  d   + 100a b c d  + 2025a b c d  + 14400a b c d  + 44100a b c d
+--R       + 
+--R               5 5 5 5         4 6 6 4         3 7 7 3        2 8 8 2
+--R         63504a b c d  + 44100a b c d  + 14400a b c d  + 2025a b c d
+--R       + 
+--R               9 9     10 10
+--R         100a b c d + b  c
+--R    *
+--R        10
+--R       x
+--R   + 
+--R            10   9       9   2 8        8 2 3 7         7 3 4 6         6 4 5 5
+--R         10a  c d  + 450a b c d  + 5400a b c d  + 25200a b c d  + 52920a b c d
+--R       + 
+--R               5 5 6 4         4 6 7 3        3 7 8 2       2 8 9         9 10
+--R         52920a b c d  + 25200a b c d  + 5400a b c d  + 450a b c d + 10a b c
+--R    *
+--R        9
+--R       x
+--R   + 
+--R            10 2 8        9   3 7        8 2 4 6         7 3 5 5         6 4 6 4
+--R         45a  c d  + 1200a b c d  + 9450a b c d  + 30240a b c d  + 44100a b c d
+--R       + 
+--R               5 5 7 3        4 6 8 2        3 7 9       2 8 10
+--R         30240a b c d  + 9450a b c d  + 1200a b c d + 45a b c
+--R    *
+--R        8
+--R       x
+--R   + 
+--R             10 3 7        9   4 6         8 2 5 5         7 3 6 4
+--R         120a  c d  + 2100a b c d  + 11340a b c d  + 25200a b c d
+--R       + 
+--R               6 4 7 3         5 5 8 2        4 6 9        3 7 10
+--R         25200a b c d  + 11340a b c d  + 2100a b c d + 120a b c
+--R    *
+--R        7
+--R       x
+--R   + 
+--R             10 4 6        9   5 5        8 2 6 4         7 3 7 3        6 4 8 2
+--R         210a  c d  + 2520a b c d  + 9450a b c d  + 14400a b c d  + 9450a b c d
+--R       + 
+--R              5 5 9        4 6 10
+--R         2520a b c d + 210a b c
+--R    *
+--R        6
+--R       x
+--R   + 
+--R             10 5 5        9   6 4        8 2 7 3        7 3 8 2        6 4 9
+--R         252a  c d  + 2100a b c d  + 5400a b c d  + 5400a b c d  + 2100a b c d
+--R       + 
+--R             5 5 10
+--R         252a b c
+--R    *
+--R        5
+--R       x
+--R   + 
+--R          10 6 4        9   7 3        8 2 8 2        7 3 9        6 4 10  4
+--R     (210a  c d  + 1200a b c d  + 2025a b c d  + 1200a b c d + 210a b c  )x
+--R   + 
+--R          10 7 3       9   8 2       8 2 9        7 3 10  3
+--R     (120a  c d  + 450a b c d  + 450a b c d + 120a b c  )x
+--R   + 
+--R         10 8 2       9   9       8 2 10  2       10 9       9   10      10 10
+--R     (45a  c d  + 100a b c d + 45a b c  )x  + (10a  c d + 10a b c  )x + a  c
+--R                                                    Type: Polynomial(Integer)
+--E 741
+
+--S 742 of 2952
+r0000:=1/11*(b*c-a*d)^10*(a+b*x)^11/b^11+5/6*d*(b*c-a*d)^9*(a+b*x)^12/b^11+_
+     45/13*d^2*(b*c-a*d)^8*(a+b*x)^13/b^11+_
+     60/7*d^3*(b*c-a*d)^7*(a+b*x)^14/b^11+_
+     14*d^4*(b*c-a*d)^6*(a+b*x)^15/b^11+_
+     63/4*d^5*(b*c-a*d)^5*(a+b*x)^16/b^11+_
+     210/17*d^6*(b*c-a*d)^4*(a+b*x)^17/b^11+_
+     20/3*d^7*(b*c-a*d)^3*(a+b*x)^18/b^11+_
+     45/19*d^8*(b*c-a*d)^2*(a+b*x)^19/b^11+_
+     1/2*d^9*(b*c-a*d)*(a+b*x)^20/b^11+1/21*d^10*(a+b*x)^21/b^11
+--R 
+--R
+--R   (2)
+--R        1  21 10 21    1    20 10   1  21   9  20
+--R       -- b  d  x   + (- a b  d   + - b  c d )x
+--R       21              2            2
+--R     + 
+--R        45  2 19 10   100    20   9   45  21 2 8  19
+--R       (-- a b  d   + --- a b  c d  + -- b  c d )x
+--R        19             19             19
+--R     + 
+--R        20  3 18 10      2 19   9        20 2 8   20  21 3 7  18
+--R       (-- a b  d   + 25a b  c d  + 25a b  c d  + -- b  c d )x
+--R         3                                         3
+--R     + 
+--R           210  4 17 10   1200  3 18   9   2025  2 19 2 8   1200    20 3 7
+--R           --- a b  d   + ---- a b  c d  + ---- a b  c d  + ---- a b  c d
+--R            17             17               17               17
+--R         + 
+--R           210  21 4 6
+--R           --- b  c d
+--R            17
+--R      *
+--R          17
+--R         x
+--R     + 
+--R           63  5 16 10   525  4 17   9   675  3 18 2 8   675  2 19 3 7
+--R           -- a b  d   + --- a b  c d  + --- a b  c d  + --- a b  c d
+--R            4             4               2               2
+--R         + 
+--R           525    20 4 6   63  21 5 5
+--R           --- a b  c d  + -- b  c d
+--R            4               4
+--R      *
+--R          16
+--R         x
+--R     + 
+--R              6 15 10       5 16   9       4 17 2 8       3 18 3 7
+--R           14a b  d   + 168a b  c d  + 630a b  c d  + 960a b  c d
+--R         + 
+--R               2 19 4 6         20 5 5      21 6 4
+--R           630a b  c d  + 168a b  c d  + 14b  c d
+--R      *
+--R          15
+--R         x
+--R     + 
+--R           60  7 14 10       6 15   9       5 16 2 8        4 17 3 7
+--R           -- a b  d   + 150a b  c d  + 810a b  c d  + 1800a b  c d
+--R            7
+--R         + 
+--R                3 18 4 6       2 19 5 5         20 6 4   60  21 7 3
+--R           1800a b  c d  + 810a b  c d  + 150a b  c d  + -- b  c d
+--R                                                          7
+--R      *
+--R          14
+--R         x
+--R     + 
+--R           45  8 13 10   1200  7 14   9   9450  6 15 2 8   30240  5 16 3 7
+--R           -- a b  d   + ---- a b  c d  + ---- a b  c d  + ----- a b  c d
+--R           13             13               13                13
+--R         + 
+--R           44100  4 17 4 6   30240  3 18 5 5   9450  2 19 6 4   1200    20 7 3
+--R           ----- a b  c d  + ----- a b  c d  + ---- a b  c d  + ---- a b  c d
+--R             13                13               13               13
+--R         + 
+--R           45  21 8 2
+--R           -- b  c d
+--R           13
+--R      *
+--R          13
+--R         x
+--R     + 
+--R           5  9 12 10   75  8 13   9       7 14 2 8        6 15 3 7
+--R           - a b  d   + -- a b  c d  + 450a b  c d  + 2100a b  c d
+--R           6             2
+--R         + 
+--R                5 16 4 6        4 17 5 5        3 18 6 4       2 19 7 3
+--R           4410a b  c d  + 4410a b  c d  + 2100a b  c d  + 450a b  c d
+--R         + 
+--R           75    20 8 2   5  21 9
+--R           -- a b  c d  + - b  c d
+--R            2             6
+--R      *
+--R          12
+--R         x
+--R     + 
+--R            1  10 11 10   100  9 12   9   2025  8 13 2 8   14400  7 14 3 7
+--R           -- a  b  d   + --- a b  c d  + ---- a b  c d  + ----- a b  c d
+--R           11              11              11                11
+--R         + 
+--R           44100  6 15 4 6   63504  5 16 5 5   44100  4 17 6 4   14400  3 18 7 3
+--R           ----- a b  c d  + ----- a b  c d  + ----- a b  c d  + ----- a b  c d
+--R             11                11                11                11
+--R         + 
+--R           2025  2 19 8 2   100    20 9     1  21 10
+--R           ---- a b  c d  + --- a b  c d + -- b  c
+--R            11               11            11
+--R      *
+--R          11
+--R         x
+--R     + 
+--R            10 11   9      9 12 2 8       8 13 3 7        7 14 4 6
+--R           a  b  c d  + 45a b  c d  + 540a b  c d  + 2520a b  c d
+--R         + 
+--R                6 15 5 5        5 16 6 4        4 17 7 3       3 18 8 2
+--R           5292a b  c d  + 5292a b  c d  + 2520a b  c d  + 540a b  c d
+--R         + 
+--R              2 19 9       20 10
+--R           45a b  c d + a b  c
+--R      *
+--R          10
+--R         x
+--R     + 
+--R             10 11 2 8   400  9 12 3 7        8 13 4 6        7 14 5 5
+--R           5a  b  c d  + --- a b  c d  + 1050a b  c d  + 3360a b  c d
+--R                          3
+--R         + 
+--R                6 15 6 4        5 16 7 3        4 17 8 2   400  3 18 9
+--R           4900a b  c d  + 3360a b  c d  + 1050a b  c d  + --- a b  c d
+--R                                                            3
+--R         + 
+--R             2 19 10
+--R           5a b  c
+--R      *
+--R          9
+--R         x
+--R     + 
+--R              10 11 3 7   525  9 12 4 6   2835  8 13 5 5        7 14 6 4
+--R           15a  b  c d  + --- a b  c d  + ---- a b  c d  + 3150a b  c d
+--R                           2                2
+--R         + 
+--R                6 15 7 3   2835  5 16 8 2   525  4 17 9       3 18 10
+--R           3150a b  c d  + ---- a b  c d  + --- a b  c d + 15a b  c
+--R                             2               2
+--R      *
+--R          8
+--R         x
+--R     + 
+--R              10 11 4 6       9 12 5 5        8 13 6 4   14400  7 14 7 3
+--R           30a  b  c d  + 360a b  c d  + 1350a b  c d  + ----- a b  c d
+--R                                                           7
+--R         + 
+--R                6 15 8 2       5 16 9       4 17 10
+--R           1350a b  c d  + 360a b  c d + 30a b  c
+--R      *
+--R          7
+--R         x
+--R     + 
+--R              10 11 5 5       9 12 6 4       8 13 7 3       7 14 8 2
+--R           42a  b  c d  + 350a b  c d  + 900a b  c d  + 900a b  c d
+--R         + 
+--R               6 15 9       5 16 10
+--R           350a b  c d + 42a b  c
+--R      *
+--R          6
+--R         x
+--R     + 
+--R           10 11 6 4       9 12 7 3       8 13 8 2       7 14 9       6 15 10  5
+--R       (42a  b  c d  + 240a b  c d  + 405a b  c d  + 240a b  c d + 42a b  c  )x
+--R     + 
+--R           10 11 7 3   225  9 12 8 2   225  8 13 9       7 14 10  4
+--R       (30a  b  c d  + --- a b  c d  + --- a b  c d + 30a b  c  )x
+--R                        2               2
+--R     + 
+--R           10 11 8 2   100  9 12 9       8 13 10  3      10 11 9      9 12 10  2
+--R       (15a  b  c d  + --- a b  c d + 15a b  c  )x  + (5a  b  c d + 5a b  c  )x
+--R                        3
+--R     + 
+--R        10 11 10       1     21 10      1    20     9     5    19 2 2 8
+--R       a  b  c  x + ------- a  d   - ------ a  b c d  + ----- a  b c d
+--R                    3879876          184756             92378
+--R     + 
+--R           5    18 3 3 7    15   17 4 4 6    3   16 5 5 5    2   15 6 6 4
+--R       - ----- a  b c d  + ---- a  b c d  - --- a  b c d  + --- a  b c d
+--R         14586             9724             572             143
+--R     + 
+--R          30   14 7 7 3    15  13 8 8 2    5  12 9 9     1  11 10 10
+--R       - ---- a  b c d  + --- a  b c d  - -- a  b c d + -- a  b  c
+--R         1001             286             66            11
+--R  /
+--R      11
+--R     b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 742
+
+--S 743 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R      1  10 10 21    1    9 10   1  10   9  20
+--R     -- b  d  x   + (- a b d   + - b  c d )x
+--R     21              2           2
+--R   + 
+--R      45  2 8 10   100    9   9   45  10 2 8  19
+--R     (-- a b d   + --- a b c d  + -- b  c d )x
+--R      19            19            19
+--R   + 
+--R      20  3 7 10      2 8   9        9 2 8   20  10 3 7  18
+--R     (-- a b d   + 25a b c d  + 25a b c d  + -- b  c d )x
+--R       3                                      3
+--R   + 
+--R           210  4 6 10   1200  3 7   9   2025  2 8 2 8   1200    9 3 7
+--R           --- a b d   + ---- a b c d  + ---- a b c d  + ---- a b c d
+--R            17            17              17              17
+--R         + 
+--R           210  10 4 6
+--R           --- b  c d
+--R            17
+--R    *
+--R        17
+--R       x
+--R   + 
+--R         63  5 5 10   525  4 6   9   675  3 7 2 8   675  2 8 3 7   525    9 4 6
+--R         -- a b d   + --- a b c d  + --- a b c d  + --- a b c d  + --- a b c d
+--R          4            4              2              2              4
+--R       + 
+--R         63  10 5 5
+--R         -- b  c d
+--R          4
+--R    *
+--R        16
+--R       x
+--R   + 
+--R            6 4 10       5 5   9       4 6 2 8       3 7 3 7       2 8 4 6
+--R         14a b d   + 168a b c d  + 630a b c d  + 960a b c d  + 630a b c d
+--R       + 
+--R               9 5 5      10 6 4
+--R         168a b c d  + 14b  c d
+--R    *
+--R        15
+--R       x
+--R   + 
+--R         60  7 3 10       6 4   9       5 5 2 8        4 6 3 7        3 7 4 6
+--R         -- a b d   + 150a b c d  + 810a b c d  + 1800a b c d  + 1800a b c d
+--R          7
+--R       + 
+--R             2 8 5 5         9 6 4   60  10 7 3
+--R         810a b c d  + 150a b c d  + -- b  c d
+--R                                      7
+--R    *
+--R        14
+--R       x
+--R   + 
+--R         45  8 2 10   1200  7 3   9   9450  6 4 2 8   30240  5 5 3 7
+--R         -- a b d   + ---- a b c d  + ---- a b c d  + ----- a b c d
+--R         13            13              13               13
+--R       + 
+--R         44100  4 6 4 6   30240  3 7 5 5   9450  2 8 6 4   1200    9 7 3
+--R         ----- a b c d  + ----- a b c d  + ---- a b c d  + ---- a b c d
+--R           13               13              13              13
+--R       + 
+--R         45  10 8 2
+--R         -- b  c d
+--R         13
+--R    *
+--R        13
+--R       x
+--R   + 
+--R         5  9   10   75  8 2   9       7 3 2 8        6 4 3 7        5 5 4 6
+--R         - a b d   + -- a b c d  + 450a b c d  + 2100a b c d  + 4410a b c d
+--R         6            2
+--R       + 
+--R              4 6 5 5        3 7 6 4       2 8 7 3   75    9 8 2   5  10 9
+--R         4410a b c d  + 2100a b c d  + 450a b c d  + -- a b c d  + - b  c d
+--R                                                      2            6
+--R    *
+--R        12
+--R       x
+--R   + 
+--R          1  10 10   100  9     9   2025  8 2 2 8   14400  7 3 3 7
+--R         -- a  d   + --- a b c d  + ---- a b c d  + ----- a b c d
+--R         11           11             11               11
+--R       + 
+--R         44100  6 4 4 6   63504  5 5 5 5   44100  4 6 6 4   14400  3 7 7 3
+--R         ----- a b c d  + ----- a b c d  + ----- a b c d  + ----- a b c d
+--R           11               11               11               11
+--R       + 
+--R         2025  2 8 8 2   100    9 9     1  10 10
+--R         ---- a b c d  + --- a b c d + -- b  c
+--R          11              11           11
+--R    *
+--R        11
+--R       x
+--R   + 
+--R          10   9      9   2 8       8 2 3 7        7 3 4 6        6 4 5 5
+--R         a  c d  + 45a b c d  + 540a b c d  + 2520a b c d  + 5292a b c d
+--R       + 
+--R              5 5 6 4        4 6 7 3       3 7 8 2      2 8 9       9 10
+--R         5292a b c d  + 2520a b c d  + 540a b c d  + 45a b c d + a b c
+--R    *
+--R        10
+--R       x
+--R   + 
+--R           10 2 8   400  9   3 7        8 2 4 6        7 3 5 5        6 4 6 4
+--R         5a  c d  + --- a b c d  + 1050a b c d  + 3360a b c d  + 4900a b c d
+--R                     3
+--R       + 
+--R              5 5 7 3        4 6 8 2   400  3 7 9      2 8 10
+--R         3360a b c d  + 1050a b c d  + --- a b c d + 5a b c
+--R                                        3
+--R    *
+--R        9
+--R       x
+--R   + 
+--R            10 3 7   525  9   4 6   2835  8 2 5 5        7 3 6 4        6 4 7 3
+--R         15a  c d  + --- a b c d  + ---- a b c d  + 3150a b c d  + 3150a b c d
+--R                      2               2
+--R       + 
+--R         2835  5 5 8 2   525  4 6 9       3 7 10
+--R         ---- a b c d  + --- a b c d + 15a b c
+--R           2              2
+--R    *
+--R        8
+--R       x
+--R   + 
+--R            10 4 6       9   5 5        8 2 6 4   14400  7 3 7 3        6 4 8 2
+--R         30a  c d  + 360a b c d  + 1350a b c d  + ----- a b c d  + 1350a b c d
+--R                                                    7
+--R       + 
+--R             5 5 9       4 6 10
+--R         360a b c d + 30a b c
+--R    *
+--R        7
+--R       x
+--R   + 
+--R            10 5 5       9   6 4       8 2 7 3       7 3 8 2       6 4 9
+--R         42a  c d  + 350a b c d  + 900a b c d  + 900a b c d  + 350a b c d
+--R       + 
+--R            5 5 10
+--R         42a b c
+--R    *
+--R        6
+--R       x
+--R   + 
+--R         10 6 4       9   7 3       8 2 8 2       7 3 9       6 4 10  5
+--R     (42a  c d  + 240a b c d  + 405a b c d  + 240a b c d + 42a b c  )x
+--R   + 
+--R         10 7 3   225  9   8 2   225  8 2 9       7 3 10  4
+--R     (30a  c d  + --- a b c d  + --- a b c d + 30a b c  )x
+--R                   2              2
+--R   + 
+--R         10 8 2   100  9   9       8 2 10  3      10 9      9   10  2    10 10
+--R     (15a  c d  + --- a b c d + 15a b c  )x  + (5a  c d + 5a b c  )x  + a  c  x
+--R                   3
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 743
+
+--S 744 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R            1     21 10      1    20     9     5    19 2 2 8     5    18 3 3 7
+--R       - ------- a  d   + ------ a  b c d  - ----- a  b c d  + ----- a  b c d
+--R         3879876          184756             92378             14586
+--R     + 
+--R          15   17 4 4 6    3   16 5 5 5    2   15 6 6 4    30   14 7 7 3
+--R       - ---- a  b c d  + --- a  b c d  - --- a  b c d  + ---- a  b c d
+--R         9724             572             143             1001
+--R     + 
+--R          15  13 8 8 2    5  12 9 9     1  11 10 10
+--R       - --- a  b c d  + -- a  b c d - -- a  b  c
+--R         286             66            11
+--R  /
+--R      11
+--R     b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 744
+
+--S 745 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 745
+
+)clear all
+
+--S 746 of 2952
+t0000:=(a+b*x)^9*(c+d*x)^10
+--R 
+--R
+--R   (1)
+--R      9 10 19        8 10      9   9  18
+--R     b d  x   + (9a b d   + 10b c d )x
+--R   + 
+--R         2 7 10        8   9      9 2 8  17
+--R     (36a b d   + 90a b c d  + 45b c d )x
+--R   + 
+--R         3 6 10       2 7   9         8 2 8       9 3 7  16
+--R     (84a b d   + 360a b c d  + 405a b c d  + 120b c d )x
+--R   + 
+--R          4 5 10       3 6   9        2 7 2 8          8 3 7       9 4 6  15
+--R     (126a b d   + 840a b c d  + 1620a b c d  + 1080a b c d  + 210b c d )x
+--R   + 
+--R             5 4 10        4 5   9        3 6 2 8        2 7 3 7          8 4 6
+--R         126a b d   + 1260a b c d  + 3780a b c d  + 4320a b c d  + 1890a b c d
+--R       + 
+--R             9 5 5
+--R         252b c d
+--R    *
+--R        14
+--R       x
+--R   + 
+--R            6 3 10        5 4   9        4 5 2 8         3 6 3 7        2 7 4 6
+--R         84a b d   + 1260a b c d  + 5670a b c d  + 10080a b c d  + 7560a b c d
+--R       + 
+--R                8 5 5       9 6 4
+--R         2268a b c d  + 210b c d
+--R    *
+--R        13
+--R       x
+--R   + 
+--R            7 2 10       6 3   9        5 4 2 8         4 5 3 7         3 6 4 6
+--R         36a b d   + 840a b c d  + 5670a b c d  + 15120a b c d  + 17640a b c d
+--R       + 
+--R              2 7 5 5          8 6 4       9 7 3
+--R         9072a b c d  + 1890a b c d  + 120b c d
+--R    *
+--R        12
+--R       x
+--R   + 
+--R           8   10       7 2   9        6 3 2 8         5 4 3 7         4 5 4 6
+--R         9a b d   + 360a b c d  + 3780a b c d  + 15120a b c d  + 26460a b c d
+--R       + 
+--R               3 6 5 5        2 7 6 4          8 7 3      9 8 2
+--R         21168a b c d  + 7560a b c d  + 1080a b c d  + 45b c d
+--R    *
+--R        11
+--R       x
+--R   + 
+--R          9 10      8     9        7 2 2 8         6 3 3 7         5 4 4 6
+--R         a d   + 90a b c d  + 1620a b c d  + 10080a b c d  + 26460a b c d
+--R       + 
+--R               4 5 5 5         3 6 6 4        2 7 7 3         8 8 2      9 9
+--R         31752a b c d  + 17640a b c d  + 4320a b c d  + 405a b c d  + 10b c d
+--R    *
+--R        10
+--R       x
+--R   + 
+--R            9   9       8   2 8        7 2 3 7         6 3 4 6         5 4 5 5
+--R         10a c d  + 405a b c d  + 4320a b c d  + 17640a b c d  + 31752a b c d
+--R       + 
+--R               4 5 6 4         3 6 7 3        2 7 8 2        8 9     9 10
+--R         26460a b c d  + 10080a b c d  + 1620a b c d  + 90a b c d + b c
+--R    *
+--R        9
+--R       x
+--R   + 
+--R            9 2 8        8   3 7        7 2 4 6         6 3 5 5         5 4 6 4
+--R         45a c d  + 1080a b c d  + 7560a b c d  + 21168a b c d  + 26460a b c d
+--R       + 
+--R               4 5 7 3        3 6 8 2       2 7 9        8 10
+--R         15120a b c d  + 3780a b c d  + 360a b c d + 9a b c
+--R    *
+--R        8
+--R       x
+--R   + 
+--R             9 3 7        8   4 6        7 2 5 5         6 3 6 4         5 4 7 3
+--R         120a c d  + 1890a b c d  + 9072a b c d  + 17640a b c d  + 15120a b c d
+--R       + 
+--R              4 5 8 2       3 6 9       2 7 10
+--R         5670a b c d  + 840a b c d + 36a b c
+--R    *
+--R        7
+--R       x
+--R   + 
+--R             9 4 6        8   5 5        7 2 6 4         6 3 7 3        5 4 8 2
+--R         210a c d  + 2268a b c d  + 7560a b c d  + 10080a b c d  + 5670a b c d
+--R       + 
+--R              4 5 9       3 6 10
+--R         1260a b c d + 84a b c
+--R    *
+--R        6
+--R       x
+--R   + 
+--R             9 5 5        8   6 4        7 2 7 3        6 3 8 2        5 4 9
+--R         252a c d  + 1890a b c d  + 4320a b c d  + 3780a b c d  + 1260a b c d
+--R       + 
+--R             4 5 10
+--R         126a b c
+--R    *
+--R        5
+--R       x
+--R   + 
+--R          9 6 4        8   7 3        7 2 8 2       6 3 9        5 4 10  4
+--R     (210a c d  + 1080a b c d  + 1620a b c d  + 840a b c d + 126a b c  )x
+--R   + 
+--R          9 7 3       8   8 2       7 2 9       6 3 10  3
+--R     (120a c d  + 405a b c d  + 360a b c d + 84a b c  )x
+--R   + 
+--R         9 8 2      8   9       7 2 10  2       9 9      8   10      9 10
+--R     (45a c d  + 90a b c d + 36a b c  )x  + (10a c d + 9a b c  )x + a c
+--R                                                    Type: Polynomial(Integer)
+--E 746
+
+--S 747 of 2952
+r0000:=-1/11*(b*c-a*d)^9*(c+d*x)^11/d^10+3/4*b*(b*c-a*d)^8*(c+d*x)^12/d^10-_
+     36/13*b^2*(b*c-a*d)^7*(c+d*x)^13/d^10+_
+     6*b^3*(b*c-a*d)^6*(c+d*x)^14/d^10-_
+     42/5*b^4*(b*c-a*d)^5*(c+d*x)^15/d^10+_
+     63/8*b^5*(b*c-a*d)^4*(c+d*x)^16/d^10-_
+     84/17*b^6*(b*c-a*d)^3*(c+d*x)^17/d^10+_
+     2*b^7*(b*c-a*d)^2*(c+d*x)^18/d^10-_
+     9/19*b^8*(b*c-a*d)*(c+d*x)^19/d^10+1/20*b^9*(c+d*x)^20/d^10
+--R 
+--R
+--R   (2)
+--R        1  9 20 20     9    8 20   10  9   19  19
+--R       -- b d  x   + (-- a b d   + -- b c d  )x
+--R       20             19           19
+--R     + 
+--R          2 7 20       8   19   5  9 2 18  18
+--R       (2a b d   + 5a b c d   + - b c d  )x
+--R                                2
+--R     + 
+--R        84  3 6 20   360  2 7   19   405    8 2 18   120  9 3 17  17
+--R       (-- a b d   + --- a b c d   + --- a b c d   + --- b c d  )x
+--R        17            17              17              17
+--R     + 
+--R           63  4 5 20   105  3 6   19   405  2 7 2 18   135    8 3 17
+--R           -- a b d   + --- a b c d   + --- a b c d   + --- a b c d
+--R            8            2               4               2
+--R         + 
+--R           105  9 4 16
+--R           --- b c d
+--R            8
+--R      *
+--R          16
+--R         x
+--R     + 
+--R           42  5 4 20      4 5   19       3 6 2 18       2 7 3 17         8 4 16
+--R           -- a b d   + 84a b c d   + 252a b c d   + 288a b c d   + 126a b c d
+--R            5
+--R         + 
+--R           84  9 5 15
+--R           -- b c d
+--R            5
+--R      *
+--R          15
+--R         x
+--R     + 
+--R             6 3 20      5 4   19       4 5 2 18       3 6 3 17       2 7 4 16
+--R           6a b d   + 90a b c d   + 405a b c d   + 720a b c d   + 540a b c d
+--R         + 
+--R                 8 5 15      9 6 14
+--R           162a b c d   + 15b c d
+--R      *
+--R          14
+--R         x
+--R     + 
+--R           36  7 2 20   840  6 3   19   5670  5 4 2 18   15120  4 5 3 17
+--R           -- a b d   + --- a b c d   + ---- a b c d   + ----- a b c d
+--R           13            13              13                13
+--R         + 
+--R           17640  3 6 4 16   9072  2 7 5 15   1890    8 6 14   120  9 7 13
+--R           ----- a b c d   + ---- a b c d   + ---- a b c d   + --- b c d
+--R             13               13               13               13
+--R      *
+--R          13
+--R         x
+--R     + 
+--R           3  8   20      7 2   19       6 3 2 18        5 4 3 17
+--R           - a b d   + 30a b c d   + 315a b c d   + 1260a b c d
+--R           4
+--R         + 
+--R              4 5 4 16        3 6 5 15       2 7 6 14        8 7 13   15  9 8 12
+--R         2205a b c d   + 1764a b c d   + 630a b c d   + 90a b c d   + -- b c d
+--R                                                                       4
+--R      *
+--R          12
+--R         x
+--R     + 
+--R            1  9 20   90  8     19   1620  7 2 2 18   10080  6 3 3 17
+--R           -- a d   + -- a b c d   + ---- a b c d   + ----- a b c d
+--R           11         11              11                11
+--R         + 
+--R           26460  5 4 4 16   31752  4 5 5 15   17640  3 6 6 14   4320  2 7 7 13
+--R           ----- a b c d   + ----- a b c d   + ----- a b c d   + ---- a b c d
+--R             11                11                11               11
+--R         + 
+--R           405    8 8 12   10  9 9 11
+--R           --- a b c d   + -- b c d
+--R            11             11
+--R      *
+--R          11
+--R         x
+--R     + 
+--R            9   19   81  8   2 18       7 2 3 17        6 3 4 16
+--R           a c d   + -- a b c d   + 432a b c d   + 1764a b c d
+--R                      2
+--R         + 
+--R           15876  5 4 5 15        4 5 6 14        3 6 7 13       2 7 8 12
+--R           ----- a b c d   + 2646a b c d   + 1008a b c d   + 162a b c d
+--R             5
+--R         + 
+--R               8 9 11    1  9 10 10
+--R           9a b c d   + -- b c  d
+--R                        10
+--R      *
+--R          10
+--R         x
+--R     + 
+--R             9 2 18       8   3 17       7 2 4 16        6 3 5 15
+--R           5a c d   + 120a b c d   + 840a b c d   + 2352a b c d
+--R         + 
+--R              5 4 6 14        4 5 7 13       3 6 8 12      2 7 9 11      8 10 10
+--R         2940a b c d   + 1680a b c d   + 420a b c d   + 40a b c d   + a b c  d
+--R      *
+--R          9
+--R         x
+--R     + 
+--R              9 3 17   945  8   4 16        7 2 5 15        6 3 6 14
+--R           15a c d   + --- a b c d   + 1134a b c d   + 2205a b c d
+--R                        4
+--R         + 
+--R                5 4 7 13   2835  4 5 8 12       3 6 9 11   9  2 7 10 10
+--R           1890a b c d   + ---- a b c d   + 105a b c d   + - a b c  d
+--R                             4                             2
+--R      *
+--R          8
+--R         x
+--R     + 
+--R              9 4 16       8   5 15        7 2 6 14        6 3 7 13
+--R           30a c d   + 324a b c d   + 1080a b c d   + 1440a b c d
+--R         + 
+--R               5 4 8 12       4 5 9 11      3 6 10 10
+--R           810a b c d   + 180a b c d   + 12a b c  d
+--R      *
+--R          7
+--R         x
+--R     + 
+--R              9 5 15       8   6 14       7 2 7 13       6 3 8 12       5 4 9 11
+--R           42a c d   + 315a b c d   + 720a b c d   + 630a b c d   + 210a b c d
+--R         + 
+--R              4 5 10 10
+--R           21a b c  d
+--R      *
+--R          6
+--R         x
+--R     + 
+--R                9 6 14       8   7 13       7 2 8 12       6 3 9 11
+--R             42a c d   + 216a b c d   + 324a b c d   + 168a b c d
+--R           + 
+--R             126  5 4 10 10
+--R             --- a b c  d
+--R              5
+--R      *
+--R          5
+--R         x
+--R     + 
+--R           9 7 13   405  8   8 12      7 2 9 11      6 3 10 10  4
+--R       (30a c d   + --- a b c d   + 90a b c d   + 21a b c  d  )x
+--R                     4
+--R     + 
+--R           9 8 12      8   9 11      7 2 10 10  3      9 9 11   9  8   10 10  2
+--R       (15a c d   + 30a b c d   + 12a b c  d  )x  + (5a c d   + - a b c  d  )x
+--R                                                                2
+--R     + 
+--R        9 10 10     1  9 11 9    3  8   12 8    6   7 2 13 7    3   6 3 14 6
+--R       a c  d  x + -- a c  d  - -- a b c  d  + --- a b c  d  - --- a b c  d
+--R                   11           44             143             143
+--R     + 
+--R        6   5 4 15 5     3   4 5 16 4     3   3 6 17 3     1   2 7 18 2
+--R       --- a b c  d  - ---- a b c  d  + ---- a b c  d  - ---- a b c  d
+--R       715             1144             4862             9724
+--R     + 
+--R         1      8 19       1     9 20
+--R       ----- a b c  d - ------- b c
+--R       92378            1847560
+--R  /
+--R      10
+--R     d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 747
+
+--S 748 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R      1  9 10 20     9    8 10   10  9   9  19
+--R     -- b d  x   + (-- a b d   + -- b c d )x
+--R     20             19           19
+--R   + 
+--R        2 7 10       8   9   5  9 2 8  18
+--R     (2a b d   + 5a b c d  + - b c d )x
+--R                             2
+--R   + 
+--R      84  3 6 10   360  2 7   9   405    8 2 8   120  9 3 7  17
+--R     (-- a b d   + --- a b c d  + --- a b c d  + --- b c d )x
+--R      17            17             17             17
+--R   + 
+--R      63  4 5 10   105  3 6   9   405  2 7 2 8   135    8 3 7   105  9 4 6  16
+--R     (-- a b d   + --- a b c d  + --- a b c d  + --- a b c d  + --- b c d )x
+--R       8            2              4              2              8
+--R   + 
+--R         42  5 4 10      4 5   9       3 6 2 8       2 7 3 7         8 4 6
+--R         -- a b d   + 84a b c d  + 252a b c d  + 288a b c d  + 126a b c d
+--R          5
+--R       + 
+--R         84  9 5 5
+--R         -- b c d
+--R          5
+--R    *
+--R        15
+--R       x
+--R   + 
+--R           6 3 10      5 4   9       4 5 2 8       3 6 3 7       2 7 4 6
+--R         6a b d   + 90a b c d  + 405a b c d  + 720a b c d  + 540a b c d
+--R       + 
+--R               8 5 5      9 6 4
+--R         162a b c d  + 15b c d
+--R    *
+--R        14
+--R       x
+--R   + 
+--R         36  7 2 10   840  6 3   9   5670  5 4 2 8   15120  4 5 3 7
+--R         -- a b d   + --- a b c d  + ---- a b c d  + ----- a b c d
+--R         13            13             13               13
+--R       + 
+--R         17640  3 6 4 6   9072  2 7 5 5   1890    8 6 4   120  9 7 3
+--R         ----- a b c d  + ---- a b c d  + ---- a b c d  + --- b c d
+--R           13              13              13              13
+--R    *
+--R        13
+--R       x
+--R   + 
+--R         3  8   10      7 2   9       6 3 2 8        5 4 3 7        4 5 4 6
+--R         - a b d   + 30a b c d  + 315a b c d  + 1260a b c d  + 2205a b c d
+--R         4
+--R       + 
+--R              3 6 5 5       2 7 6 4        8 7 3   15  9 8 2
+--R         1764a b c d  + 630a b c d  + 90a b c d  + -- b c d
+--R                                                    4
+--R    *
+--R        12
+--R       x
+--R   + 
+--R          1  9 10   90  8     9   1620  7 2 2 8   10080  6 3 3 7
+--R         -- a d   + -- a b c d  + ---- a b c d  + ----- a b c d
+--R         11         11             11               11
+--R       + 
+--R         26460  5 4 4 6   31752  4 5 5 5   17640  3 6 6 4   4320  2 7 7 3
+--R         ----- a b c d  + ----- a b c d  + ----- a b c d  + ---- a b c d
+--R           11               11               11              11
+--R       + 
+--R         405    8 8 2   10  9 9
+--R         --- a b c d  + -- b c d
+--R          11            11
+--R    *
+--R        11
+--R       x
+--R   + 
+--R          9   9   81  8   2 8       7 2 3 7        6 3 4 6   15876  5 4 5 5
+--R         a c d  + -- a b c d  + 432a b c d  + 1764a b c d  + ----- a b c d
+--R                   2                                           5
+--R       + 
+--R              4 5 6 4        3 6 7 3       2 7 8 2       8 9     1  9 10
+--R         2646a b c d  + 1008a b c d  + 162a b c d  + 9a b c d + -- b c
+--R                                                                10
+--R    *
+--R        10
+--R       x
+--R   + 
+--R           9 2 8       8   3 7       7 2 4 6        6 3 5 5        5 4 6 4
+--R         5a c d  + 120a b c d  + 840a b c d  + 2352a b c d  + 2940a b c d
+--R       + 
+--R              4 5 7 3       3 6 8 2      2 7 9       8 10
+--R         1680a b c d  + 420a b c d  + 40a b c d + a b c
+--R    *
+--R        9
+--R       x
+--R   + 
+--R            9 3 7   945  8   4 6        7 2 5 5        6 3 6 4        5 4 7 3
+--R         15a c d  + --- a b c d  + 1134a b c d  + 2205a b c d  + 1890a b c d
+--R                     4
+--R       + 
+--R         2835  4 5 8 2       3 6 9    9  2 7 10
+--R         ---- a b c d  + 105a b c d + - a b c
+--R           4                          2
+--R    *
+--R        8
+--R       x
+--R   + 
+--R            9 4 6       8   5 5        7 2 6 4        6 3 7 3       5 4 8 2
+--R         30a c d  + 324a b c d  + 1080a b c d  + 1440a b c d  + 810a b c d
+--R       + 
+--R             4 5 9       3 6 10
+--R         180a b c d + 12a b c
+--R    *
+--R        7
+--R       x
+--R   + 
+--R            9 5 5       8   6 4       7 2 7 3       6 3 8 2       5 4 9
+--R         42a c d  + 315a b c d  + 720a b c d  + 630a b c d  + 210a b c d
+--R       + 
+--R            4 5 10
+--R         21a b c
+--R    *
+--R        6
+--R       x
+--R   + 
+--R         9 6 4       8   7 3       7 2 8 2       6 3 9    126  5 4 10  5
+--R     (42a c d  + 216a b c d  + 324a b c d  + 168a b c d + --- a b c  )x
+--R                                                           5
+--R   + 
+--R         9 7 3   405  8   8 2      7 2 9       6 3 10  4
+--R     (30a c d  + --- a b c d  + 90a b c d + 21a b c  )x
+--R                  4
+--R   + 
+--R         9 8 2      8   9       7 2 10  3      9 9    9  8   10  2    9 10
+--R     (15a c d  + 30a b c d + 12a b c  )x  + (5a c d + - a b c  )x  + a c  x
+--R                                                      2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 748
+
+--S 749 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R          1  9 11 9    3  8   12 8    6   7 2 13 7    3   6 3 14 6
+--R       - -- a c  d  + -- a b c  d  - --- a b c  d  + --- a b c  d
+--R         11           44             143             143
+--R     + 
+--R          6   5 4 15 5     3   4 5 16 4     3   3 6 17 3     1   2 7 18 2
+--R       - --- a b c  d  + ---- a b c  d  - ---- a b c  d  + ---- a b c  d
+--R         715             1144             4862             9724
+--R     + 
+--R           1      8 19       1     9 20
+--R       - ----- a b c  d + ------- b c
+--R         92378            1847560
+--R  /
+--R      10
+--R     d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 749
+
+--S 750 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 750
+
+)clear all
+
+--S 751 of 2952
+t0000:=(a+b*x)^8*(c+d*x)^10
+--R 
+--R
+--R   (1)
+--R      8 10 18        7 10      8   9  17
+--R     b d  x   + (8a b d   + 10b c d )x
+--R   + 
+--R         2 6 10        7   9      8 2 8  16
+--R     (28a b d   + 80a b c d  + 45b c d )x
+--R   + 
+--R         3 5 10       2 6   9         7 2 8       8 3 7  15
+--R     (56a b d   + 280a b c d  + 360a b c d  + 120b c d )x
+--R   + 
+--R         4 4 10       3 5   9        2 6 2 8         7 3 7       8 4 6  14
+--R     (70a b d   + 560a b c d  + 1260a b c d  + 960a b c d  + 210b c d )x
+--R   + 
+--R            5 3 10       4 4   9        3 5 2 8        2 6 3 7          7 4 6
+--R         56a b d   + 700a b c d  + 2520a b c d  + 3360a b c d  + 1680a b c d
+--R       + 
+--R             8 5 5
+--R         252b c d
+--R    *
+--R        13
+--R       x
+--R   + 
+--R            6 2 10       5 3   9        4 4 2 8        3 5 3 7        2 6 4 6
+--R         28a b d   + 560a b c d  + 3150a b c d  + 6720a b c d  + 5880a b c d
+--R       + 
+--R                7 5 5       8 6 4
+--R         2016a b c d  + 210b c d
+--R    *
+--R        12
+--R       x
+--R   + 
+--R           7   10       6 2   9        5 3 2 8        4 4 3 7         3 5 4 6
+--R         8a b d   + 280a b c d  + 2520a b c d  + 8400a b c d  + 11760a b c d
+--R       + 
+--R              2 6 5 5          7 6 4       8 7 3
+--R         7056a b c d  + 1680a b c d  + 120b c d
+--R    *
+--R        11
+--R       x
+--R   + 
+--R          8 10      7     9        6 2 2 8        5 3 3 7         4 4 4 6
+--R         a d   + 80a b c d  + 1260a b c d  + 6720a b c d  + 14700a b c d
+--R       + 
+--R               3 5 5 5        2 6 6 4         7 7 3      8 8 2
+--R         14112a b c d  + 5880a b c d  + 960a b c d  + 45b c d
+--R    *
+--R        10
+--R       x
+--R   + 
+--R            8   9       7   2 8        6 2 3 7         5 3 4 6         4 4 5 5
+--R         10a c d  + 360a b c d  + 3360a b c d  + 11760a b c d  + 17640a b c d
+--R       + 
+--R               3 5 6 4        2 6 7 3         7 8 2      8 9
+--R         11760a b c d  + 3360a b c d  + 360a b c d  + 10b c d
+--R    *
+--R        9
+--R       x
+--R   + 
+--R            8 2 8       7   3 7        6 2 4 6         5 3 5 5         4 4 6 4
+--R         45a c d  + 960a b c d  + 5880a b c d  + 14112a b c d  + 14700a b c d
+--R       + 
+--R              3 5 7 3        2 6 8 2        7 9     8 10
+--R         6720a b c d  + 1260a b c d  + 80a b c d + b c
+--R    *
+--R        8
+--R       x
+--R   + 
+--R             8 3 7        7   4 6        6 2 5 5         5 3 6 4        4 4 7 3
+--R         120a c d  + 1680a b c d  + 7056a b c d  + 11760a b c d  + 8400a b c d
+--R       + 
+--R              3 5 8 2       2 6 9        7 10
+--R         2520a b c d  + 280a b c d + 8a b c
+--R    *
+--R        7
+--R       x
+--R   + 
+--R             8 4 6        7   5 5        6 2 6 4        5 3 7 3        4 4 8 2
+--R         210a c d  + 2016a b c d  + 5880a b c d  + 6720a b c d  + 3150a b c d
+--R       + 
+--R             3 5 9       2 6 10
+--R         560a b c d + 28a b c
+--R    *
+--R        6
+--R       x
+--R   + 
+--R             8 5 5        7   6 4        6 2 7 3        5 3 8 2       4 4 9
+--R         252a c d  + 1680a b c d  + 3360a b c d  + 2520a b c d  + 700a b c d
+--R       + 
+--R            3 5 10
+--R         56a b c
+--R    *
+--R        5
+--R       x
+--R   + 
+--R          8 6 4       7   7 3        6 2 8 2       5 3 9       4 4 10  4
+--R     (210a c d  + 960a b c d  + 1260a b c d  + 560a b c d + 70a b c  )x
+--R   + 
+--R          8 7 3       7   8 2       6 2 9       5 3 10  3
+--R     (120a c d  + 360a b c d  + 280a b c d + 56a b c  )x
+--R   + 
+--R         8 8 2      7   9       6 2 10  2       8 9      7   10      8 10
+--R     (45a c d  + 80a b c d + 28a b c  )x  + (10a c d + 8a b c  )x + a c
+--R                                                    Type: Polynomial(Integer)
+--E 751
+
+--S 752 of 2952
+r0000:=1/11*(b*c-a*d)^8*(c+d*x)^11/d^9-2/3*b*(b*c-a*d)^7*(c+d*x)^12/d^9+_
+     28/13*b^2*(b*c-a*d)^6*(c+d*x)^13/d^9-4*b^3*(b*c-a*d)^5*(c+d*x)^14/d^9+_
+     14/3*b^4*(b*c-a*d)^4*(c+d*x)^15/d^9-7/2*b^5*(b*c-a*d)^3*(c+d*x)^16/d^9+_
+     28/17*b^6*(b*c-a*d)^2*(c+d*x)^17/d^9-4/9*b^7*(b*c-a*d)*(c+d*x)^18/d^9+_
+     1/19*b^8*(c+d*x)^19/d^9
+--R 
+--R
+--R   (2)
+--R        1  8 19 19    4    7 19   5  8   18  18
+--R       -- b d  x   + (- a b d   + - b c d  )x
+--R       19             9           9
+--R     + 
+--R        28  2 6 19   80    7   18   45  8 2 17  17
+--R       (-- a b d   + -- a b c d   + -- b c d  )x
+--R        17           17             17
+--R     + 
+--R        7  3 5 19   35  2 6   18   45    7 2 17   15  8 3 16  16
+--R       (- a b d   + -- a b c d   + -- a b c d   + -- b c d  )x
+--R        2            2              2              2
+--R     + 
+--R        14  4 4 19   112  3 5   18      2 6 2 17        7 3 16      8 4 15  15
+--R       (-- a b d   + --- a b c d   + 84a b c d   + 64a b c d   + 14b c d  )x
+--R         3            3
+--R     + 
+--R             5 3 19      4 4   18       3 5 2 17       2 6 3 16         7 4 15
+--R           4a b d   + 50a b c d   + 180a b c d   + 240a b c d   + 120a b c d
+--R         + 
+--R              8 5 14
+--R           18b c d
+--R      *
+--R          14
+--R         x
+--R     + 
+--R           28  6 2 19   560  5 3   18   3150  4 4 2 17   6720  3 5 3 16
+--R           -- a b d   + --- a b c d   + ---- a b c d   + ---- a b c d
+--R           13            13              13               13
+--R         + 
+--R           5880  2 6 4 15   2016    7 5 14   210  8 6 13
+--R           ---- a b c d   + ---- a b c d   + --- b c d
+--R            13               13               13
+--R      *
+--R          13
+--R         x
+--R     + 
+--R           2  7   19   70  6 2   18       5 3 2 17       4 4 3 16       3 5 4 15
+--R           - a b d   + -- a b c d   + 210a b c d   + 700a b c d   + 980a b c d
+--R           3            3
+--R         + 
+--R               2 6 5 14         7 6 13      8 7 12
+--R           588a b c d   + 140a b c d   + 10b c d
+--R      *
+--R          12
+--R         x
+--R     + 
+--R            1  8 19   80  7     18   1260  6 2 2 17   6720  5 3 3 16
+--R           -- a d   + -- a b c d   + ---- a b c d   + ---- a b c d
+--R           11         11              11               11
+--R         + 
+--R           14700  4 4 4 15   14112  3 5 5 14   5880  2 6 6 13   960    7 7 12
+--R           ----- a b c d   + ----- a b c d   + ---- a b c d   + --- a b c d
+--R             11                11               11               11
+--R         + 
+--R           45  8 8 11
+--R           -- b c d
+--R           11
+--R      *
+--R          11
+--R         x
+--R     + 
+--R            8   18      7   2 17       6 2 3 16        5 3 4 15        4 4 5 14
+--R           a c d   + 36a b c d   + 336a b c d   + 1176a b c d   + 1764a b c d
+--R         + 
+--R                3 5 6 13       2 6 7 12        7 8 11    8 9 10
+--R           1176a b c d   + 336a b c d   + 36a b c d   + b c d
+--R      *
+--R          10
+--R         x
+--R     + 
+--R             8 2 17   320  7   3 16   1960  6 2 4 15        5 3 5 14
+--R           5a c d   + --- a b c d   + ---- a b c d   + 1568a b c d
+--R                       3                3
+--R         + 
+--R           4900  4 4 6 13   2240  3 5 7 12       2 6 8 11   80    7 9 10
+--R           ---- a b c d   + ---- a b c d   + 140a b c d   + -- a b c d
+--R             3                3                              9
+--R         + 
+--R           1  8 10 9
+--R           - b c  d
+--R           9
+--R      *
+--R          9
+--R         x
+--R     + 
+--R              8 3 16       7   4 15       6 2 5 14        5 3 6 13
+--R           15a c d   + 210a b c d   + 882a b c d   + 1470a b c d
+--R         + 
+--R                4 4 7 12       3 5 8 11      2 6 9 10      7 10 9
+--R           1050a b c d   + 315a b c d   + 35a b c d   + a b c  d
+--R      *
+--R          8
+--R         x
+--R     + 
+--R              8 4 15       7   5 14       6 2 6 13       5 3 7 12       4 4 8 11
+--R           30a c d   + 288a b c d   + 840a b c d   + 960a b c d   + 450a b c d
+--R         + 
+--R              3 5 9 10     2 6 10 9
+--R           80a b c d   + 4a b c  d
+--R      *
+--R          7
+--R         x
+--R     + 
+--R              8 5 14       7   6 13       6 2 7 12       5 3 8 11
+--R           42a c d   + 280a b c d   + 560a b c d   + 420a b c d
+--R         + 
+--R           350  4 4 9 10   28  3 5 10 9
+--R           --- a b c d   + -- a b c  d
+--R            3               3
+--R      *
+--R          6
+--R         x
+--R     + 
+--R           8 6 13       7   7 12       6 2 8 11       5 3 9 10      4 4 10 9  5
+--R       (42a c d   + 192a b c d   + 252a b c d   + 112a b c d   + 14a b c  d )x
+--R     + 
+--R           8 7 12      7   8 11      6 2 9 10      5 3 10 9  4
+--R       (30a c d   + 90a b c d   + 70a b c d   + 14a b c  d )x
+--R     + 
+--R           8 8 11   80  7   9 10   28  6 2 10 9  3      8 9 10     7   10 9  2
+--R       (15a c d   + -- a b c d   + -- a b c  d )x  + (5a c d   + 4a b c  d )x
+--R                     3              3
+--R     + 
+--R        8 10 9     1  8 11 8    2  7   12 7    14  6 2 13 6    2   5 3 14 5
+--R       a c  d x + -- a c  d  - -- a b c  d  + --- a b c  d  - --- a b c  d
+--R                  11           33             429             143
+--R     + 
+--R        2   4 4 15 4    1   3 5 16 3     1   2 6 17 2     1      7 18
+--R       --- a b c  d  - --- a b c  d  + ---- a b c  d  - ----- a b c  d
+--R       429             858             4862             43758
+--R     + 
+--R          1    8 19
+--R       ------ b c
+--R       831402
+--R  /
+--R      9
+--R     d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 752
+
+--S 753 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R      1  8 10 19    4    7 10   5  8   9  18
+--R     -- b d  x   + (- a b d   + - b c d )x
+--R     19             9           9
+--R   + 
+--R      28  2 6 10   80    7   9   45  8 2 8  17
+--R     (-- a b d   + -- a b c d  + -- b c d )x
+--R      17           17            17
+--R   + 
+--R      7  3 5 10   35  2 6   9   45    7 2 8   15  8 3 7  16
+--R     (- a b d   + -- a b c d  + -- a b c d  + -- b c d )x
+--R      2            2             2             2
+--R   + 
+--R      14  4 4 10   112  3 5   9      2 6 2 8        7 3 7      8 4 6  15
+--R     (-- a b d   + --- a b c d  + 84a b c d  + 64a b c d  + 14b c d )x
+--R       3            3
+--R   + 
+--R           5 3 10      4 4   9       3 5 2 8       2 6 3 7         7 4 6
+--R         4a b d   + 50a b c d  + 180a b c d  + 240a b c d  + 120a b c d
+--R       + 
+--R            8 5 5
+--R         18b c d
+--R    *
+--R        14
+--R       x
+--R   + 
+--R         28  6 2 10   560  5 3   9   3150  4 4 2 8   6720  3 5 3 7
+--R         -- a b d   + --- a b c d  + ---- a b c d  + ---- a b c d
+--R         13            13             13              13
+--R       + 
+--R         5880  2 6 4 6   2016    7 5 5   210  8 6 4
+--R         ---- a b c d  + ---- a b c d  + --- b c d
+--R          13              13              13
+--R    *
+--R        13
+--R       x
+--R   + 
+--R         2  7   10   70  6 2   9       5 3 2 8       4 4 3 7       3 5 4 6
+--R         - a b d   + -- a b c d  + 210a b c d  + 700a b c d  + 980a b c d
+--R         3            3
+--R       + 
+--R             2 6 5 5         7 6 4      8 7 3
+--R         588a b c d  + 140a b c d  + 10b c d
+--R    *
+--R        12
+--R       x
+--R   + 
+--R          1  8 10   80  7     9   1260  6 2 2 8   6720  5 3 3 7   14700  4 4 4 6
+--R         -- a d   + -- a b c d  + ---- a b c d  + ---- a b c d  + ----- a b c d
+--R         11         11             11              11               11
+--R       + 
+--R         14112  3 5 5 5   5880  2 6 6 4   960    7 7 3   45  8 8 2
+--R         ----- a b c d  + ---- a b c d  + --- a b c d  + -- b c d
+--R           11              11              11            11
+--R    *
+--R        11
+--R       x
+--R   + 
+--R          8   9      7   2 8       6 2 3 7        5 3 4 6        4 4 5 5
+--R         a c d  + 36a b c d  + 336a b c d  + 1176a b c d  + 1764a b c d
+--R       + 
+--R              3 5 6 4       2 6 7 3        7 8 2    8 9
+--R         1176a b c d  + 336a b c d  + 36a b c d  + b c d
+--R    *
+--R        10
+--R       x
+--R   + 
+--R           8 2 8   320  7   3 7   1960  6 2 4 6        5 3 5 5   4900  4 4 6 4
+--R         5a c d  + --- a b c d  + ---- a b c d  + 1568a b c d  + ---- a b c d
+--R                    3               3                              3
+--R       + 
+--R         2240  3 5 7 3       2 6 8 2   80    7 9    1  8 10
+--R         ---- a b c d  + 140a b c d  + -- a b c d + - b c
+--R           3                            9           9
+--R    *
+--R        9
+--R       x
+--R   + 
+--R            8 3 7       7   4 6       6 2 5 5        5 3 6 4        4 4 7 3
+--R         15a c d  + 210a b c d  + 882a b c d  + 1470a b c d  + 1050a b c d
+--R       + 
+--R             3 5 8 2      2 6 9       7 10
+--R         315a b c d  + 35a b c d + a b c
+--R    *
+--R        8
+--R       x
+--R   + 
+--R            8 4 6       7   5 5       6 2 6 4       5 3 7 3       4 4 8 2
+--R         30a c d  + 288a b c d  + 840a b c d  + 960a b c d  + 450a b c d
+--R       + 
+--R            3 5 9      2 6 10
+--R         80a b c d + 4a b c
+--R    *
+--R        7
+--R       x
+--R   + 
+--R            8 5 5       7   6 4       6 2 7 3       5 3 8 2   350  4 4 9
+--R         42a c d  + 280a b c d  + 560a b c d  + 420a b c d  + --- a b c d
+--R                                                               3
+--R       + 
+--R         28  3 5 10
+--R         -- a b c
+--R          3
+--R    *
+--R        6
+--R       x
+--R   + 
+--R         8 6 4       7   7 3       6 2 8 2       5 3 9       4 4 10  5
+--R     (42a c d  + 192a b c d  + 252a b c d  + 112a b c d + 14a b c  )x
+--R   + 
+--R         8 7 3      7   8 2      6 2 9       5 3 10  4
+--R     (30a c d  + 90a b c d  + 70a b c d + 14a b c  )x
+--R   + 
+--R         8 8 2   80  7   9    28  6 2 10  3      8 9      7   10  2    8 10
+--R     (15a c d  + -- a b c d + -- a b c  )x  + (5a c d + 4a b c  )x  + a c  x
+--R                  3            3
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 753
+
+--S 754 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R          1  8 11 8    2  7   12 7    14  6 2 13 6    2   5 3 14 5
+--R       - -- a c  d  + -- a b c  d  - --- a b c  d  + --- a b c  d
+--R         11           33             429             143
+--R     + 
+--R          2   4 4 15 4    1   3 5 16 3     1   2 6 17 2     1      7 18
+--R       - --- a b c  d  + --- a b c  d  - ---- a b c  d  + ----- a b c  d
+--R         429             858             4862             43758
+--R     + 
+--R            1    8 19
+--R       - ------ b c
+--R         831402
+--R  /
+--R      9
+--R     d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 754
+
+--S 755 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 755
+
+)clear all
+
+--S 756 of 2952
+t0000:=(a+b*x)^7*(c+d*x)^10
+--R 
+--R
+--R   (1)
+--R      7 10 17        6 10      7   9  16
+--R     b d  x   + (7a b d   + 10b c d )x
+--R   + 
+--R         2 5 10        6   9      7 2 8  15
+--R     (21a b d   + 70a b c d  + 45b c d )x
+--R   + 
+--R         3 4 10       2 5   9         6 2 8       7 3 7  14
+--R     (35a b d   + 210a b c d  + 315a b c d  + 120b c d )x
+--R   + 
+--R         4 3 10       3 4   9       2 5 2 8         6 3 7       7 4 6  13
+--R     (35a b d   + 350a b c d  + 945a b c d  + 840a b c d  + 210b c d )x
+--R   + 
+--R            5 2 10       4 3   9        3 4 2 8        2 5 3 7          6 4 6
+--R         21a b d   + 350a b c d  + 1575a b c d  + 2520a b c d  + 1470a b c d
+--R       + 
+--R             7 5 5
+--R         252b c d
+--R    *
+--R        12
+--R       x
+--R   + 
+--R           6   10       5 2   9        4 3 2 8        3 4 3 7        2 5 4 6
+--R         7a b d   + 210a b c d  + 1575a b c d  + 4200a b c d  + 4410a b c d
+--R       + 
+--R                6 5 5       7 6 4
+--R         1764a b c d  + 210b c d
+--R    *
+--R        11
+--R       x
+--R   + 
+--R          7 10      6     9       5 2 2 8        4 3 3 7        3 4 4 6
+--R         a d   + 70a b c d  + 945a b c d  + 4200a b c d  + 7350a b c d
+--R       + 
+--R              2 5 5 5          6 6 4       7 7 3
+--R         5292a b c d  + 1470a b c d  + 120b c d
+--R    *
+--R        10
+--R       x
+--R   + 
+--R            7   9       6   2 8        5 2 3 7        4 3 4 6        3 4 5 5
+--R         10a c d  + 315a b c d  + 2520a b c d  + 7350a b c d  + 8820a b c d
+--R       + 
+--R              2 5 6 4         6 7 3      7 8 2
+--R         4410a b c d  + 840a b c d  + 45b c d
+--R    *
+--R        9
+--R       x
+--R   + 
+--R            7 2 8       6   3 7        5 2 4 6        4 3 5 5        3 4 6 4
+--R         45a c d  + 840a b c d  + 4410a b c d  + 8820a b c d  + 7350a b c d
+--R       + 
+--R              2 5 7 3         6 8 2      7 9
+--R         2520a b c d  + 315a b c d  + 10b c d
+--R    *
+--R        8
+--R       x
+--R   + 
+--R             7 3 7        6   4 6        5 2 5 5        4 3 6 4        3 4 7 3
+--R         120a c d  + 1470a b c d  + 5292a b c d  + 7350a b c d  + 4200a b c d
+--R       + 
+--R             2 5 8 2        6 9     7 10
+--R         945a b c d  + 70a b c d + b c
+--R    *
+--R        7
+--R       x
+--R   + 
+--R             7 4 6        6   5 5        5 2 6 4        4 3 7 3        3 4 8 2
+--R         210a c d  + 1764a b c d  + 4410a b c d  + 4200a b c d  + 1575a b c d
+--R       + 
+--R             2 5 9        6 10
+--R         210a b c d + 7a b c
+--R    *
+--R        6
+--R       x
+--R   + 
+--R             7 5 5        6   6 4        5 2 7 3        4 3 8 2       3 4 9
+--R         252a c d  + 1470a b c d  + 2520a b c d  + 1575a b c d  + 350a b c d
+--R       + 
+--R            2 5 10
+--R         21a b c
+--R    *
+--R        5
+--R       x
+--R   + 
+--R          7 6 4       6   7 3       5 2 8 2       4 3 9       3 4 10  4
+--R     (210a c d  + 840a b c d  + 945a b c d  + 350a b c d + 35a b c  )x
+--R   + 
+--R          7 7 3       6   8 2       5 2 9       4 3 10  3
+--R     (120a c d  + 315a b c d  + 210a b c d + 35a b c  )x
+--R   + 
+--R         7 8 2      6   9       5 2 10  2       7 9      6   10      7 10
+--R     (45a c d  + 70a b c d + 21a b c  )x  + (10a c d + 7a b c  )x + a c
+--R                                                    Type: Polynomial(Integer)
+--E 756
+
+--S 757 of 2952
+r0000:=-1/11*(b*c-a*d)^7*(c+d*x)^11/d^8+7/12*b*(b*c-a*d)^6*(c+d*x)^12/d^8-_
+     21/13*b^2*(b*c-a*d)^5*(c+d*x)^13/d^8+_
+     5/2*b^3*(b*c-a*d)^4*(c+d*x)^14/d^8-_
+     7/3*b^4*(b*c-a*d)^3*(c+d*x)^15/d^8+_
+     21/16*b^5*(b*c-a*d)^2*(c+d*x)^16/d^8-_
+     7/17*b^6*(b*c-a*d)*(c+d*x)^17/d^8+1/18*b^7*(c+d*x)^18/d^8
+--R 
+--R
+--R   (2)
+--R        1  7 18 18     7    6 18   10  7   17  17
+--R       -- b d  x   + (-- a b d   + -- b c d  )x
+--R       18             17           17
+--R     + 
+--R        21  2 5 18   35    6   17   45  7 2 16  16
+--R       (-- a b d   + -- a b c d   + -- b c d  )x
+--R        16            8             16
+--R     + 
+--R        7  3 4 18      2 5   17        6 2 16     7 3 15  15
+--R       (- a b d   + 14a b c d   + 21a b c d   + 8b c d  )x
+--R        3
+--R     + 
+--R        5  4 3 18      3 4   17   135  2 5 2 16        6 3 15      7 4 14  14
+--R       (- a b d   + 25a b c d   + --- a b c d   + 60a b c d   + 15b c d  )x
+--R        2                          2
+--R     + 
+--R           21  5 2 18   350  4 3   17   1575  3 4 2 16   2520  2 5 3 15
+--R           -- a b d   + --- a b c d   + ---- a b c d   + ---- a b c d
+--R           13            13              13               13
+--R         + 
+--R           1470    6 4 14   252  7 5 13
+--R           ---- a b c d   + --- b c d
+--R            13               13
+--R      *
+--R          13
+--R         x
+--R     + 
+--R            7  6   18   35  5 2   17   525  4 3 2 16       3 4 3 15
+--R           -- a b d   + -- a b c d   + --- a b c d   + 350a b c d
+--R           12            2              4
+--R         + 
+--R           735  2 5 4 14         6 5 13   35  7 6 12
+--R           --- a b c d   + 147a b c d   + -- b c d
+--R            2                              2
+--R      *
+--R          12
+--R         x
+--R     + 
+--R            1  7 18   70  6     17   945  5 2 2 16   4200  4 3 3 15
+--R           -- a d   + -- a b c d   + --- a b c d   + ---- a b c d
+--R           11         11              11              11
+--R         + 
+--R           7350  3 4 4 14   5292  2 5 5 13   1470    6 6 12   120  7 7 11
+--R           ---- a b c d   + ---- a b c d   + ---- a b c d   + --- b c d
+--R            11               11               11               11
+--R      *
+--R          11
+--R         x
+--R     + 
+--R            7   17   63  6   2 16       5 2 3 15       4 3 4 14       3 4 5 13
+--R           a c d   + -- a b c d   + 252a b c d   + 735a b c d   + 882a b c d
+--R                      2
+--R         + 
+--R               2 5 6 12        6 7 11   9  7 8 10
+--R           441a b c d   + 84a b c d   + - b c d
+--R                                        2
+--R      *
+--R          10
+--R         x
+--R     + 
+--R             7 2 16   280  6   3 15       5 2 4 14       4 3 5 13
+--R           5a c d   + --- a b c d   + 490a b c d   + 980a b c d
+--R                       3
+--R         + 
+--R           2450  3 4 6 12       2 5 7 11        6 8 10   10  7 9 9
+--R           ---- a b c d   + 280a b c d   + 35a b c d   + -- b c d
+--R             3                                            9
+--R      *
+--R          9
+--R         x
+--R     + 
+--R              7 3 15   735  6   4 14   1323  5 2 5 13   3675  4 3 6 12
+--R           15a c d   + --- a b c d   + ---- a b c d   + ---- a b c d
+--R                        4                2                4
+--R         + 
+--R               3 4 7 11   945  2 5 8 10   35    6 9 9   1  7 10 8
+--R           525a b c d   + --- a b c d   + -- a b c d  + - b c  d
+--R                           8               4            8
+--R      *
+--R          8
+--R         x
+--R     + 
+--R              7 4 14       6   5 13       5 2 6 12       4 3 7 11       3 4 8 10
+--R           30a c d   + 252a b c d   + 630a b c d   + 600a b c d   + 225a b c d
+--R         + 
+--R              2 5 9 9      6 10 8
+--R           30a b c d  + a b c  d
+--R      *
+--R          7
+--R         x
+--R     + 
+--R              7 5 13       6   6 12       5 2 7 11   525  4 3 8 10
+--R           42a c d   + 245a b c d   + 420a b c d   + --- a b c d
+--R                                                      2
+--R         + 
+--R           175  3 4 9 9   7  2 5 10 8
+--R           --- a b c d  + - a b c  d
+--R            3             2
+--R      *
+--R          6
+--R         x
+--R     + 
+--R           7 6 12       6   7 11       5 2 8 10      4 3 9 9     3 4 10 8  5
+--R       (42a c d   + 168a b c d   + 189a b c d   + 70a b c d  + 7a b c  d )x
+--R     + 
+--R           7 7 11   315  6   8 10   105  5 2 9 9   35  4 3 10 8  4
+--R       (30a c d   + --- a b c d   + --- a b c d  + -- a b c  d )x
+--R                     4               2              4
+--R     + 
+--R           7 8 10   70  6   9 9     5 2 10 8  3      7 9 9   7  6   10 8  2
+--R       (15a c d   + -- a b c d  + 7a b c  d )x  + (5a c d  + - a b c  d )x
+--R                     3                                       2
+--R     + 
+--R        7 10 8     1  7 11 7    7   6   12 6    7   5 2 13 5    5   4 3 14 4
+--R       a c  d x + -- a c  d  - --- a b c  d  + --- a b c  d  - --- a b c  d
+--R                  11           132             286             572
+--R     + 
+--R        1   3 4 15 3     1   2 5 16 2     1      6 17       1    7 18
+--R       --- a b c  d  - ---- a b c  d  + ----- a b c  d - ------ b c
+--R       429             2288             19448            350064
+--R  /
+--R      8
+--R     d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 757
+
+--S 758 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R      1  7 10 18     7    6 10   10  7   9  17
+--R     -- b d  x   + (-- a b d   + -- b c d )x
+--R     18             17           17
+--R   + 
+--R      21  2 5 10   35    6   9   45  7 2 8  16
+--R     (-- a b d   + -- a b c d  + -- b c d )x
+--R      16            8            16
+--R   + 
+--R      7  3 4 10      2 5   9        6 2 8     7 3 7  15
+--R     (- a b d   + 14a b c d  + 21a b c d  + 8b c d )x
+--R      3
+--R   + 
+--R      5  4 3 10      3 4   9   135  2 5 2 8        6 3 7      7 4 6  14
+--R     (- a b d   + 25a b c d  + --- a b c d  + 60a b c d  + 15b c d )x
+--R      2                         2
+--R   + 
+--R         21  5 2 10   350  4 3   9   1575  3 4 2 8   2520  2 5 3 7
+--R         -- a b d   + --- a b c d  + ---- a b c d  + ---- a b c d
+--R         13            13             13              13
+--R       + 
+--R         1470    6 4 6   252  7 5 5
+--R         ---- a b c d  + --- b c d
+--R          13              13
+--R    *
+--R        13
+--R       x
+--R   + 
+--R          7  6   10   35  5 2   9   525  4 3 2 8       3 4 3 7   735  2 5 4 6
+--R         -- a b d   + -- a b c d  + --- a b c d  + 350a b c d  + --- a b c d
+--R         12            2             4                            2
+--R       + 
+--R               6 5 5   35  7 6 4
+--R         147a b c d  + -- b c d
+--R                        2
+--R    *
+--R        12
+--R       x
+--R   + 
+--R          1  7 10   70  6     9   945  5 2 2 8   4200  4 3 3 7   7350  3 4 4 6
+--R         -- a d   + -- a b c d  + --- a b c d  + ---- a b c d  + ---- a b c d
+--R         11         11             11             11              11
+--R       + 
+--R         5292  2 5 5 5   1470    6 6 4   120  7 7 3
+--R         ---- a b c d  + ---- a b c d  + --- b c d
+--R          11              11              11
+--R    *
+--R        11
+--R       x
+--R   + 
+--R          7   9   63  6   2 8       5 2 3 7       4 3 4 6       3 4 5 5
+--R         a c d  + -- a b c d  + 252a b c d  + 735a b c d  + 882a b c d
+--R                   2
+--R       + 
+--R             2 5 6 4        6 7 3   9  7 8 2
+--R         441a b c d  + 84a b c d  + - b c d
+--R                                    2
+--R    *
+--R        10
+--R       x
+--R   + 
+--R           7 2 8   280  6   3 7       5 2 4 6       4 3 5 5   2450  3 4 6 4
+--R         5a c d  + --- a b c d  + 490a b c d  + 980a b c d  + ---- a b c d
+--R                    3                                           3
+--R       + 
+--R             2 5 7 3        6 8 2   10  7 9
+--R         280a b c d  + 35a b c d  + -- b c d
+--R                                     9
+--R    *
+--R        9
+--R       x
+--R   + 
+--R            7 3 7   735  6   4 6   1323  5 2 5 5   3675  4 3 6 4       3 4 7 3
+--R         15a c d  + --- a b c d  + ---- a b c d  + ---- a b c d  + 525a b c d
+--R                     4               2               4
+--R       + 
+--R         945  2 5 8 2   35    6 9    1  7 10
+--R         --- a b c d  + -- a b c d + - b c
+--R          8              4           8
+--R    *
+--R        8
+--R       x
+--R   + 
+--R            7 4 6       6   5 5       5 2 6 4       4 3 7 3       3 4 8 2
+--R         30a c d  + 252a b c d  + 630a b c d  + 600a b c d  + 225a b c d
+--R       + 
+--R            2 5 9       6 10
+--R         30a b c d + a b c
+--R    *
+--R        7
+--R       x
+--R   + 
+--R            7 5 5       6   6 4       5 2 7 3   525  4 3 8 2   175  3 4 9
+--R         42a c d  + 245a b c d  + 420a b c d  + --- a b c d  + --- a b c d
+--R                                                 2              3
+--R       + 
+--R         7  2 5 10
+--R         - a b c
+--R         2
+--R    *
+--R        6
+--R       x
+--R   + 
+--R         7 6 4       6   7 3       5 2 8 2      4 3 9      3 4 10  5
+--R     (42a c d  + 168a b c d  + 189a b c d  + 70a b c d + 7a b c  )x
+--R   + 
+--R         7 7 3   315  6   8 2   105  5 2 9    35  4 3 10  4
+--R     (30a c d  + --- a b c d  + --- a b c d + -- a b c  )x
+--R                  4              2             4
+--R   + 
+--R         7 8 2   70  6   9      5 2 10  3      7 9    7  6   10  2    7 10
+--R     (15a c d  + -- a b c d + 7a b c  )x  + (5a c d + - a b c  )x  + a c  x
+--R                  3                                   2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 758
+
+--S 759 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R          1  7 11 7    7   6   12 6    7   5 2 13 5    5   4 3 14 4
+--R       - -- a c  d  + --- a b c  d  - --- a b c  d  + --- a b c  d
+--R         11           132             286             572
+--R     + 
+--R          1   3 4 15 3     1   2 5 16 2     1      6 17       1    7 18
+--R       - --- a b c  d  + ---- a b c  d  - ----- a b c  d + ------ b c
+--R         429             2288             19448            350064
+--R  /
+--R      8
+--R     d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 759
+
+--S 760 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 760
+
+)clear all
+
+--S 761 of 2952
+t0000:=(a+b*x)^6*(c+d*x)^10
+--R 
+--R
+--R   (1)
+--R      6 10 16        5 10      6   9  15
+--R     b d  x   + (6a b d   + 10b c d )x
+--R   + 
+--R         2 4 10        5   9      6 2 8  14
+--R     (15a b d   + 60a b c d  + 45b c d )x
+--R   + 
+--R         3 3 10       2 4   9         5 2 8       6 3 7  13
+--R     (20a b d   + 150a b c d  + 270a b c d  + 120b c d )x
+--R   + 
+--R         4 2 10       3 3   9       2 4 2 8         5 3 7       6 4 6  12
+--R     (15a b d   + 200a b c d  + 675a b c d  + 720a b c d  + 210b c d )x
+--R   + 
+--R           5   10       4 2   9       3 3 2 8        2 4 3 7          5 4 6
+--R         6a b d   + 150a b c d  + 900a b c d  + 1800a b c d  + 1260a b c d
+--R       + 
+--R             6 5 5
+--R         252b c d
+--R    *
+--R        11
+--R       x
+--R   + 
+--R          6 10      5     9       4 2 2 8        3 3 3 7        2 4 4 6
+--R         a d   + 60a b c d  + 675a b c d  + 2400a b c d  + 3150a b c d
+--R       + 
+--R                5 5 5       6 6 4
+--R         1512a b c d  + 210b c d
+--R    *
+--R        10
+--R       x
+--R   + 
+--R            6   9       5   2 8        4 2 3 7        3 3 4 6        2 4 5 5
+--R         10a c d  + 270a b c d  + 1800a b c d  + 4200a b c d  + 3780a b c d
+--R       + 
+--R                5 6 4       6 7 3
+--R         1260a b c d  + 120b c d
+--R    *
+--R        9
+--R       x
+--R   + 
+--R            6 2 8       5   3 7        4 2 4 6        3 3 5 5        2 4 6 4
+--R         45a c d  + 720a b c d  + 3150a b c d  + 5040a b c d  + 3150a b c d
+--R       + 
+--R               5 7 3      6 8 2
+--R         720a b c d  + 45b c d
+--R    *
+--R        8
+--R       x
+--R   + 
+--R             6 3 7        5   4 6        4 2 5 5        3 3 6 4        2 4 7 3
+--R         120a c d  + 1260a b c d  + 3780a b c d  + 4200a b c d  + 1800a b c d
+--R       + 
+--R               5 8 2      6 9
+--R         270a b c d  + 10b c d
+--R    *
+--R        7
+--R       x
+--R   + 
+--R             6 4 6        5   5 5        4 2 6 4        3 3 7 3       2 4 8 2
+--R         210a c d  + 1512a b c d  + 3150a b c d  + 2400a b c d  + 675a b c d
+--R       + 
+--R              5 9     6 10
+--R         60a b c d + b c
+--R    *
+--R        6
+--R       x
+--R   + 
+--R             6 5 5        5   6 4        4 2 7 3       3 3 8 2       2 4 9
+--R         252a c d  + 1260a b c d  + 1800a b c d  + 900a b c d  + 150a b c d
+--R       + 
+--R             5 10
+--R         6a b c
+--R    *
+--R        5
+--R       x
+--R   + 
+--R          6 6 4       5   7 3       4 2 8 2       3 3 9       2 4 10  4
+--R     (210a c d  + 720a b c d  + 675a b c d  + 200a b c d + 15a b c  )x
+--R   + 
+--R          6 7 3       5   8 2       4 2 9       3 3 10  3
+--R     (120a c d  + 270a b c d  + 150a b c d + 20a b c  )x
+--R   + 
+--R         6 8 2      5   9       4 2 10  2       6 9      5   10      6 10
+--R     (45a c d  + 60a b c d + 15a b c  )x  + (10a c d + 6a b c  )x + a c
+--R                                                    Type: Polynomial(Integer)
+--E 761
+
+--S 762 of 2952
+r0000:=1/11*(b*c-a*d)^6*(c+d*x)^11/d^7-1/2*b*(b*c-a*d)^5*(c+d*x)^12/d^7+_
+     15/13*b^2*(b*c-a*d)^4*(c+d*x)^13/d^7-_
+     10/7*b^3*(b*c-a*d)^3*(c+d*x)^14/d^7+b^4*(b*c-a*d)^2*(c+d*x)^15/d^7-_
+     3/8*b^5*(b*c-a*d)*(c+d*x)^16/d^7+1/17*b^6*(c+d*x)^17/d^7
+--R 
+--R
+--R   (2)
+--R        1  6 17 17    3    5 17   5  6   16  16
+--R       -- b d  x   + (- a b d   + - b c d  )x
+--R       17             8           8
+--R     + 
+--R         2 4 17       5   16     6 2 15  15
+--R       (a b d   + 4a b c d   + 3b c d  )x
+--R     + 
+--R        10  3 3 17   75  2 4   16   135    5 2 15   60  6 3 14  14
+--R       (-- a b d   + -- a b c d   + --- a b c d   + -- b c d  )x
+--R         7            7              7               7
+--R     + 
+--R           15  4 2 17   200  3 3   16   675  2 4 2 15   720    5 3 14
+--R           -- a b d   + --- a b c d   + --- a b c d   + --- a b c d
+--R           13            13              13              13
+--R         + 
+--R           210  6 4 13
+--R           --- b c d
+--R            13
+--R      *
+--R          13
+--R         x
+--R     + 
+--R           1  5   17   25  4 2   16      3 3 2 15       2 4 3 14         5 4 13
+--R           - a b d   + -- a b c d   + 75a b c d   + 150a b c d   + 105a b c d
+--R           2            2
+--R         + 
+--R              6 5 12
+--R           21b c d
+--R      *
+--R          12
+--R         x
+--R     + 
+--R            1  6 17   60  5     16   675  4 2 2 15   2400  3 3 3 14
+--R           -- a d   + -- a b c d   + --- a b c d   + ---- a b c d
+--R           11         11              11              11
+--R         + 
+--R           3150  2 4 4 13   1512    5 5 12   210  6 6 11
+--R           ---- a b c d   + ---- a b c d   + --- b c d
+--R            11               11               11
+--R      *
+--R          11
+--R         x
+--R     + 
+--R            6   16      5   2 15       4 2 3 14       3 3 4 13       2 4 5 12
+--R           a c d   + 27a b c d   + 180a b c d   + 420a b c d   + 378a b c d
+--R         + 
+--R                 5 6 11      6 7 10
+--R           126a b c d   + 12b c d
+--R      *
+--R          10
+--R         x
+--R     + 
+--R             6 2 15      5   3 14       4 2 4 13       3 3 5 12       2 4 6 11
+--R           5a c d   + 80a b c d   + 350a b c d   + 560a b c d   + 350a b c d
+--R         + 
+--R                5 7 10     6 8 9
+--R           80a b c d   + 5b c d
+--R      *
+--R          9
+--R         x
+--R     + 
+--R              6 3 14   315  5   4 13   945  4 2 5 12       3 3 6 11
+--R           15a c d   + --- a b c d   + --- a b c d   + 525a b c d
+--R                        2               2
+--R         + 
+--R               2 4 7 10   135    5 8 9   5  6 9 8
+--R           225a b c d   + --- a b c d  + - b c d
+--R                           4             4
+--R      *
+--R          8
+--R         x
+--R     + 
+--R              6 4 13       5   5 12       4 2 6 11   2400  3 3 7 10
+--R           30a c d   + 216a b c d   + 450a b c d   + ---- a b c d
+--R                                                       7
+--R         + 
+--R           675  2 4 8 9   60    5 9 8   1  6 10 7
+--R           --- a b c d  + -- a b c d  + - b c  d
+--R            7              7            7
+--R      *
+--R          7
+--R         x
+--R     + 
+--R              6 5 12       5   6 11       4 2 7 10       3 3 8 9      2 4 9 8
+--R           42a c d   + 210a b c d   + 300a b c d   + 150a b c d  + 25a b c d
+--R         + 
+--R              5 10 7
+--R           a b c  d
+--R      *
+--R          6
+--R         x
+--R     + 
+--R           6 6 11       5   7 10       4 2 8 9      3 3 9 8     2 4 10 7  5
+--R       (42a c d   + 144a b c d   + 135a b c d  + 40a b c d  + 3a b c  d )x
+--R     + 
+--R           6 7 10   135  5   8 9   75  4 2 9 8     3 3 10 7  4
+--R       (30a c d   + --- a b c d  + -- a b c d  + 5a b c  d )x
+--R                     2              2
+--R     + 
+--R           6 8 9      5   9 8     4 2 10 7  3      6 9 8     5   10 7  2
+--R       (15a c d  + 20a b c d  + 5a b c  d )x  + (5a c d  + 3a b c  d )x
+--R     + 
+--R        6 10 7     1  6 11 6    1  5   12 5    5   4 2 13 4     5   3 3 14 3
+--R       a c  d x + -- a c  d  - -- a b c  d  + --- a b c  d  - ---- a b c  d
+--R                  11           22             286             1001
+--R     + 
+--R         1   2 4 15 2     1     5 16       1    6 17
+--R       ---- a b c  d  - ---- a b c  d + ------ b c
+--R       1001             8008            136136
+--R  /
+--R      7
+--R     d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 762
+
+--S 763 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R      1  6 10 17    3    5 10   5  6   9  16
+--R     -- b d  x   + (- a b d   + - b c d )x
+--R     17             8           8
+--R   + 
+--R       2 4 10       5   9     6 2 8  15
+--R     (a b d   + 4a b c d  + 3b c d )x
+--R   + 
+--R      10  3 3 10   75  2 4   9   135    5 2 8   60  6 3 7  14
+--R     (-- a b d   + -- a b c d  + --- a b c d  + -- b c d )x
+--R       7            7             7              7
+--R   + 
+--R      15  4 2 10   200  3 3   9   675  2 4 2 8   720    5 3 7   210  6 4 6  13
+--R     (-- a b d   + --- a b c d  + --- a b c d  + --- a b c d  + --- b c d )x
+--R      13            13             13             13             13
+--R   + 
+--R         1  5   10   25  4 2   9      3 3 2 8       2 4 3 7         5 4 6
+--R         - a b d   + -- a b c d  + 75a b c d  + 150a b c d  + 105a b c d
+--R         2            2
+--R       + 
+--R            6 5 5
+--R         21b c d
+--R    *
+--R        12
+--R       x
+--R   + 
+--R          1  6 10   60  5     9   675  4 2 2 8   2400  3 3 3 7   3150  2 4 4 6
+--R         -- a d   + -- a b c d  + --- a b c d  + ---- a b c d  + ---- a b c d
+--R         11         11             11             11              11
+--R       + 
+--R         1512    5 5 5   210  6 6 4
+--R         ---- a b c d  + --- b c d
+--R          11              11
+--R    *
+--R        11
+--R       x
+--R   + 
+--R          6   9      5   2 8       4 2 3 7       3 3 4 6       2 4 5 5
+--R         a c d  + 27a b c d  + 180a b c d  + 420a b c d  + 378a b c d
+--R       + 
+--R               5 6 4      6 7 3
+--R         126a b c d  + 12b c d
+--R    *
+--R        10
+--R       x
+--R   + 
+--R           6 2 8      5   3 7       4 2 4 6       3 3 5 5       2 4 6 4
+--R         5a c d  + 80a b c d  + 350a b c d  + 560a b c d  + 350a b c d
+--R       + 
+--R              5 7 3     6 8 2
+--R         80a b c d  + 5b c d
+--R    *
+--R        9
+--R       x
+--R   + 
+--R            6 3 7   315  5   4 6   945  4 2 5 5       3 3 6 4       2 4 7 3
+--R         15a c d  + --- a b c d  + --- a b c d  + 525a b c d  + 225a b c d
+--R                     2              2
+--R       + 
+--R         135    5 8 2   5  6 9
+--R         --- a b c d  + - b c d
+--R          4             4
+--R    *
+--R        8
+--R       x
+--R   + 
+--R            6 4 6       5   5 5       4 2 6 4   2400  3 3 7 3   675  2 4 8 2
+--R         30a c d  + 216a b c d  + 450a b c d  + ---- a b c d  + --- a b c d
+--R                                                  7              7
+--R       + 
+--R         60    5 9    1  6 10
+--R         -- a b c d + - b c
+--R          7           7
+--R    *
+--R        7
+--R       x
+--R   + 
+--R              6 5 5       5   6 4       4 2 7 3       3 3 8 2      2 4 9
+--R           42a c d  + 210a b c d  + 300a b c d  + 150a b c d  + 25a b c d
+--R         + 
+--R              5 10
+--R           a b c
+--R    *
+--R        6
+--R       x
+--R   + 
+--R         6 6 4       5   7 3       4 2 8 2      3 3 9      2 4 10  5
+--R     (42a c d  + 144a b c d  + 135a b c d  + 40a b c d + 3a b c  )x
+--R   + 
+--R         6 7 3   135  5   8 2   75  4 2 9      3 3 10  4
+--R     (30a c d  + --- a b c d  + -- a b c d + 5a b c  )x
+--R                  2              2
+--R   + 
+--R         6 8 2      5   9      4 2 10  3      6 9      5   10  2    6 10
+--R     (15a c d  + 20a b c d + 5a b c  )x  + (5a c d + 3a b c  )x  + a c  x
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 763
+
+--S 764 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R          1  6 11 6    1  5   12 5    5   4 2 13 4     5   3 3 14 3
+--R       - -- a c  d  + -- a b c  d  - --- a b c  d  + ---- a b c  d
+--R         11           22             286             1001
+--R     + 
+--R           1   2 4 15 2     1     5 16       1    6 17
+--R       - ---- a b c  d  + ---- a b c  d - ------ b c
+--R         1001             8008            136136
+--R  /
+--R      7
+--R     d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 764
+
+--S 765 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 765
+
+)clear all
+
+--S 766 of 2952
+t0000:=(a+b*x)^5*(c+d*x)^10
+--R 
+--R
+--R   (1)
+--R      5 10 15        4 10      5   9  14
+--R     b d  x   + (5a b d   + 10b c d )x
+--R   + 
+--R         2 3 10        4   9      5 2 8  13
+--R     (10a b d   + 50a b c d  + 45b c d )x
+--R   + 
+--R         3 2 10       2 3   9         4 2 8       5 3 7  12
+--R     (10a b d   + 100a b c d  + 225a b c d  + 120b c d )x
+--R   + 
+--R        4   10       3 2   9       2 3 2 8         4 3 7       5 4 6  11
+--R     (5a b d   + 100a b c d  + 450a b c d  + 600a b c d  + 210b c d )x
+--R   + 
+--R          5 10      4     9       3 2 2 8        2 3 3 7          4 4 6
+--R         a d   + 50a b c d  + 450a b c d  + 1200a b c d  + 1050a b c d
+--R       + 
+--R             5 5 5
+--R         252b c d
+--R    *
+--R        10
+--R       x
+--R   + 
+--R            5   9       4   2 8        3 2 3 7        2 3 4 6          4 5 5
+--R         10a c d  + 225a b c d  + 1200a b c d  + 2100a b c d  + 1260a b c d
+--R       + 
+--R             5 6 4
+--R         210b c d
+--R    *
+--R        9
+--R       x
+--R   + 
+--R            5 2 8       4   3 7        3 2 4 6        2 3 5 5          4 6 4
+--R         45a c d  + 600a b c d  + 2100a b c d  + 2520a b c d  + 1050a b c d
+--R       + 
+--R             5 7 3
+--R         120b c d
+--R    *
+--R        8
+--R       x
+--R   + 
+--R             5 3 7        4   4 6        3 2 5 5        2 3 6 4         4 7 3
+--R         120a c d  + 1050a b c d  + 2520a b c d  + 2100a b c d  + 600a b c d
+--R       + 
+--R            5 8 2
+--R         45b c d
+--R    *
+--R        7
+--R       x
+--R   + 
+--R             5 4 6        4   5 5        3 2 6 4        2 3 7 3         4 8 2
+--R         210a c d  + 1260a b c d  + 2100a b c d  + 1200a b c d  + 225a b c d
+--R       + 
+--R            5 9
+--R         10b c d
+--R    *
+--R        6
+--R       x
+--R   + 
+--R               5 5 5        4   6 4        3 2 7 3       2 3 8 2        4 9
+--R           252a c d  + 1050a b c d  + 1200a b c d  + 450a b c d  + 50a b c d
+--R         + 
+--R            5 10
+--R           b c
+--R    *
+--R        5
+--R       x
+--R   + 
+--R          5 6 4       4   7 3       3 2 8 2       2 3 9        4 10  4
+--R     (210a c d  + 600a b c d  + 450a b c d  + 100a b c d + 5a b c  )x
+--R   + 
+--R          5 7 3       4   8 2       3 2 9       2 3 10  3
+--R     (120a c d  + 225a b c d  + 100a b c d + 10a b c  )x
+--R   + 
+--R         5 8 2      4   9       3 2 10  2       5 9      4   10      5 10
+--R     (45a c d  + 50a b c d + 10a b c  )x  + (10a c d + 5a b c  )x + a c
+--R                                                    Type: Polynomial(Integer)
+--E 766
+
+--S 767 of 2952
+r0000:=-1/11*(b*c-a*d)^5*(c+d*x)^11/d^6+5/12*b*(b*c-a*d)^4*(c+d*x)^12/d^6-_
+     10/13*b^2*(b*c-a*d)^3*(c+d*x)^13/d^6+_
+     5/7*b^3*(b*c-a*d)^2*(c+d*x)^14/d^6-_
+     1/3*b^4*(b*c-a*d)*(c+d*x)^15/d^6+1/16*b^5*(c+d*x)^16/d^6
+--R 
+--R
+--R   (2)
+--R        1  5 16 16    1    4 16   2  5   15  15
+--R       -- b d  x   + (- a b d   + - b c d  )x
+--R       16             3           3
+--R     + 
+--R        5  2 3 16   25    4   15   45  5 2 14  14
+--R       (- a b d   + -- a b c d   + -- b c d  )x
+--R        7            7             14
+--R     + 
+--R        10  3 2 16   100  2 3   15   225    4 2 14   120  5 3 13  13
+--R       (-- a b d   + --- a b c d   + --- a b c d   + --- b c d  )x
+--R        13            13              13              13
+--R     + 
+--R         5  4   16   25  3 2   15   75  2 3 2 14        4 3 13   35  5 4 12  12
+--R       (-- a b d   + -- a b c d   + -- a b c d   + 50a b c d   + -- b c d  )x
+--R        12            3              2                            2
+--R     + 
+--R            1  5 16   50  4     15   450  3 2 2 14   1200  2 3 3 13
+--R           -- a d   + -- a b c d   + --- a b c d   + ---- a b c d
+--R           11         11              11              11
+--R         + 
+--R           1050    4 4 12   252  5 5 11
+--R           ---- a b c d   + --- b c d
+--R            11               11
+--R      *
+--R          11
+--R         x
+--R     + 
+--R            5   15   45  4   2 14       3 2 3 13       2 3 4 12         4 5 11
+--R           a c d   + -- a b c d   + 120a b c d   + 210a b c d   + 126a b c d
+--R                      2
+--R         + 
+--R              5 6 10
+--R           21b c d
+--R      *
+--R          10
+--R         x
+--R     + 
+--R             5 2 14   200  4   3 13   700  3 2 4 12       2 3 5 11
+--R           5a c d   + --- a b c d   + --- a b c d   + 280a b c d
+--R                       3               3
+--R         + 
+--R           350    4 6 10   40  5 7 9
+--R           --- a b c d   + -- b c d
+--R            3               3
+--R      *
+--R          9
+--R         x
+--R     + 
+--R              5 3 13   525  4   4 12       3 2 5 11   525  2 3 6 10        4 7 9
+--R           15a c d   + --- a b c d   + 315a b c d   + --- a b c d   + 75a b c d
+--R                        4                              2
+--R         + 
+--R           45  5 8 8
+--R           -- b c d
+--R            8
+--R      *
+--R          8
+--R         x
+--R     + 
+--R              5 4 12       4   5 11       3 2 6 10   1200  2 3 7 9
+--R           30a c d   + 180a b c d   + 300a b c d   + ---- a b c d
+--R                                                       7
+--R         + 
+--R           225    4 8 8   10  5 9 7
+--R           --- a b c d  + -- b c d
+--R            7              7
+--R      *
+--R          7
+--R         x
+--R     + 
+--R              5 5 11       4   6 10       3 2 7 9      2 3 8 8   25    4 9 7
+--R           42a c d   + 175a b c d   + 200a b c d  + 75a b c d  + -- a b c d
+--R                                                                  3
+--R         + 
+--R           1  5 10 6
+--R           - b c  d
+--R           6
+--R      *
+--R          6
+--R         x
+--R     + 
+--R           5 6 10       4   7 9      3 2 8 8      2 3 9 7      4 10 6  5
+--R       (42a c d   + 120a b c d  + 90a b c d  + 20a b c d  + a b c  d )x
+--R     + 
+--R           5 7 9   225  4   8 8      3 2 9 7   5  2 3 10 6  4
+--R       (30a c d  + --- a b c d  + 25a b c d  + - a b c  d )x
+--R                    4                          2
+--R     + 
+--R           5 8 8   50  4   9 7   10  3 2 10 6  3      5 9 7   5  4   10 6  2
+--R       (15a c d  + -- a b c d  + -- a b c  d )x  + (5a c d  + - a b c  d )x
+--R                    3             3                           2
+--R     + 
+--R        5 10 6     1  5 11 5    5   4   12 4    5   3 2 13 3     5   2 3 14 2
+--R       a c  d x + -- a c  d  - --- a b c  d  + --- a b c  d  - ---- a b c  d
+--R                  11           132             429             2002
+--R     + 
+--R         1     4 15      1    5 16
+--R       ---- a b c  d - ----- b c
+--R       3003            48048
+--R  /
+--R      6
+--R     d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 767
+
+--S 768 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R      1  5 10 16    1    4 10   2  5   9  15
+--R     -- b d  x   + (- a b d   + - b c d )x
+--R     16             3           3
+--R   + 
+--R      5  2 3 10   25    4   9   45  5 2 8  14
+--R     (- a b d   + -- a b c d  + -- b c d )x
+--R      7            7            14
+--R   + 
+--R      10  3 2 10   100  2 3   9   225    4 2 8   120  5 3 7  13
+--R     (-- a b d   + --- a b c d  + --- a b c d  + --- b c d )x
+--R      13            13             13             13
+--R   + 
+--R       5  4   10   25  3 2   9   75  2 3 2 8        4 3 7   35  5 4 6  12
+--R     (-- a b d   + -- a b c d  + -- a b c d  + 50a b c d  + -- b c d )x
+--R      12            3             2                          2
+--R   + 
+--R          1  5 10   50  4     9   450  3 2 2 8   1200  2 3 3 7   1050    4 4 6
+--R         -- a d   + -- a b c d  + --- a b c d  + ---- a b c d  + ---- a b c d
+--R         11         11             11             11              11
+--R       + 
+--R         252  5 5 5
+--R         --- b c d
+--R          11
+--R    *
+--R        11
+--R       x
+--R   + 
+--R            5   9   45  4   2 8       3 2 3 7       2 3 4 6         4 5 5
+--R           a c d  + -- a b c d  + 120a b c d  + 210a b c d  + 126a b c d
+--R                     2
+--R         + 
+--R              5 6 4
+--R           21b c d
+--R    *
+--R        10
+--R       x
+--R   + 
+--R           5 2 8   200  4   3 7   700  3 2 4 6       2 3 5 5   350    4 6 4
+--R         5a c d  + --- a b c d  + --- a b c d  + 280a b c d  + --- a b c d
+--R                    3              3                            3
+--R       + 
+--R         40  5 7 3
+--R         -- b c d
+--R          3
+--R    *
+--R        9
+--R       x
+--R   + 
+--R            5 3 7   525  4   4 6       3 2 5 5   525  2 3 6 4        4 7 3
+--R         15a c d  + --- a b c d  + 315a b c d  + --- a b c d  + 75a b c d
+--R                     4                            2
+--R       + 
+--R         45  5 8 2
+--R         -- b c d
+--R          8
+--R    *
+--R        8
+--R       x
+--R   + 
+--R            5 4 6       4   5 5       3 2 6 4   1200  2 3 7 3   225    4 8 2
+--R         30a c d  + 180a b c d  + 300a b c d  + ---- a b c d  + --- a b c d
+--R                                                  7              7
+--R       + 
+--R         10  5 9
+--R         -- b c d
+--R          7
+--R    *
+--R        7
+--R       x
+--R   + 
+--R              5 5 5       4   6 4       3 2 7 3      2 3 8 2   25    4 9
+--R           42a c d  + 175a b c d  + 200a b c d  + 75a b c d  + -- a b c d
+--R                                                                3
+--R         + 
+--R           1  5 10
+--R           - b c
+--R           6
+--R    *
+--R        6
+--R       x
+--R   + 
+--R         5 6 4       4   7 3      3 2 8 2      2 3 9       4 10  5
+--R     (42a c d  + 120a b c d  + 90a b c d  + 20a b c d + a b c  )x
+--R   + 
+--R         5 7 3   225  4   8 2      3 2 9    5  2 3 10  4
+--R     (30a c d  + --- a b c d  + 25a b c d + - a b c  )x
+--R                  4                         2
+--R   + 
+--R         5 8 2   50  4   9    10  3 2 10  3      5 9    5  4   10  2    5 10
+--R     (15a c d  + -- a b c d + -- a b c  )x  + (5a c d + - a b c  )x  + a c  x
+--R                  3            3                        2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 768
+
+--S 769 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R          1  5 11 5    5   4   12 4    5   3 2 13 3     5   2 3 14 2
+--R       - -- a c  d  + --- a b c  d  - --- a b c  d  + ---- a b c  d
+--R         11           132             429             2002
+--R     + 
+--R           1     4 15      1    5 16
+--R       - ---- a b c  d + ----- b c
+--R         3003            48048
+--R  /
+--R      6
+--R     d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 769
+
+--S 770 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 770
+
+)clear all
+
+--S 771 of 2952
+t0000:=(a+b*x)^4*(c+d*x)^10
+--R 
+--R
+--R   (1)
+--R      4 10 14        3 10      4   9  13      2 2 10        3   9      4 2 8  12
+--R     b d  x   + (4a b d   + 10b c d )x   + (6a b d   + 40a b c d  + 45b c d )x
+--R   + 
+--R        3   10      2 2   9         3 2 8       4 3 7  11
+--R     (4a b d   + 60a b c d  + 180a b c d  + 120b c d )x
+--R   + 
+--R       4 10      3     9       2 2 2 8         3 3 7       4 4 6  10
+--R     (a d   + 40a b c d  + 270a b c d  + 480a b c d  + 210b c d )x
+--R   + 
+--R         4   9       3   2 8       2 2 3 7         3 4 6       4 5 5  9
+--R     (10a c d  + 180a b c d  + 720a b c d  + 840a b c d  + 252b c d )x
+--R   + 
+--R         4 2 8       3   3 7        2 2 4 6          3 5 5       4 6 4  8
+--R     (45a c d  + 480a b c d  + 1260a b c d  + 1008a b c d  + 210b c d )x
+--R   + 
+--R          4 3 7       3   4 6        2 2 5 5         3 6 4       4 7 3  7
+--R     (120a c d  + 840a b c d  + 1512a b c d  + 840a b c d  + 120b c d )x
+--R   + 
+--R          4 4 6        3   5 5        2 2 6 4         3 7 3      4 8 2  6
+--R     (210a c d  + 1008a b c d  + 1260a b c d  + 480a b c d  + 45b c d )x
+--R   + 
+--R          4 5 5       3   6 4       2 2 7 3         3 8 2      4 9   5
+--R     (252a c d  + 840a b c d  + 720a b c d  + 180a b c d  + 10b c d)x
+--R   + 
+--R          4 6 4       3   7 3       2 2 8 2        3 9     4 10  4
+--R     (210a c d  + 480a b c d  + 270a b c d  + 40a b c d + b c  )x
+--R   + 
+--R          4 7 3       3   8 2      2 2 9        3 10  3
+--R     (120a c d  + 180a b c d  + 60a b c d + 4a b c  )x
+--R   + 
+--R         4 8 2      3   9      2 2 10  2       4 9      3   10      4 10
+--R     (45a c d  + 40a b c d + 6a b c  )x  + (10a c d + 4a b c  )x + a c
+--R                                                    Type: Polynomial(Integer)
+--E 771
+
+--S 772 of 2952
+r0000:=1/11*(b*c-a*d)^4*(c+d*x)^11/d^5-1/3*b*(b*c-a*d)^3*(c+d*x)^12/d^5+_
+     6/13*b^2*(b*c-a*d)^2*(c+d*x)^13/d^5-2/7*b^3*(b*c-a*d)*(c+d*x)^14/d^5+_
+     1/15*b^4*(c+d*x)^15/d^5
+--R 
+--R
+--R   (2)
+--R        1  4 15 15    2    3 15   5  4   14  14
+--R       -- b d  x   + (- a b d   + - b c d  )x
+--R       15             7           7
+--R     + 
+--R         6  2 2 15   40    3   14   45  4 2 13  13
+--R       (-- a b d   + -- a b c d   + -- b c d  )x
+--R        13           13             13
+--R     + 
+--R        1  3   15     2 2   14        3 2 13      4 3 12  12
+--R       (- a b d   + 5a b c d   + 15a b c d   + 10b c d  )x
+--R        3
+--R     + 
+--R           1  4 15   40  3     14   270  2 2 2 13   480    3 3 12   210  4 4 11
+--R         (-- a d   + -- a b c d   + --- a b c d   + --- a b c d   + --- b c d  )
+--R          11         11              11              11              11
+--R      *
+--R          11
+--R         x
+--R     + 
+--R         4   14      3   2 13      2 2 3 12        3 4 11   126  4 5 10  10
+--R       (a c d   + 18a b c d   + 72a b c d   + 84a b c d   + --- b c d  )x
+--R                                                             5
+--R     + 
+--R          4 2 13   160  3   3 12       2 2 4 11         3 5 10   70  4 6 9  9
+--R       (5a c d   + --- a b c d   + 140a b c d   + 112a b c d   + -- b c d )x
+--R                    3                                             3
+--R     + 
+--R           4 3 12       3   4 11       2 2 5 10         3 6 9      4 7 8  8
+--R       (15a c d   + 105a b c d   + 189a b c d   + 105a b c d  + 15b c d )x
+--R     + 
+--R           4 4 11       3   5 10       2 2 6 9   480    3 7 8   45  4 8 7  7
+--R       (30a c d   + 144a b c d   + 180a b c d  + --- a b c d  + -- b c d )x
+--R                                                  7              7
+--R     + 
+--R           4 5 10       3   6 9       2 2 7 8        3 8 7   5  4 9 6  6
+--R       (42a c d   + 140a b c d  + 120a b c d  + 30a b c d  + - b c d )x
+--R                                                             3
+--R     + 
+--R           4 6 9      3   7 8      2 2 8 7       3 9 6   1  4 10 5  5
+--R       (42a c d  + 96a b c d  + 54a b c d  + 8a b c d  + - b c  d )x
+--R                                                         5
+--R     + 
+--R           4 7 8      3   8 7      2 2 9 6      3 10 5  4
+--R       (30a c d  + 45a b c d  + 15a b c d  + a b c  d )x
+--R     + 
+--R           4 8 7   40  3   9 6     2 2 10 5  3      4 9 6     3   10 5  2
+--R       (15a c d  + -- a b c d  + 2a b c  d )x  + (5a c d  + 2a b c  d )x
+--R                    3
+--R     + 
+--R        4 10 5     1  4 11 4    1  3   12 3    1   2 2 13 2     1     3 14
+--R       a c  d x + -- a c  d  - -- a b c  d  + --- a b c  d  - ---- a b c  d
+--R                  11           33             143             1001
+--R     + 
+--R         1    4 15
+--R       ----- b c
+--R       15015
+--R  /
+--R      5
+--R     d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 772
+
+--S 773 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R      1  4 10 15    2    3 10   5  4   9  14
+--R     -- b d  x   + (- a b d   + - b c d )x
+--R     15             7           7
+--R   + 
+--R       6  2 2 10   40    3   9   45  4 2 8  13
+--R     (-- a b d   + -- a b c d  + -- b c d )x
+--R      13           13            13
+--R   + 
+--R      1  3   10     2 2   9        3 2 8      4 3 7  12
+--R     (- a b d   + 5a b c d  + 15a b c d  + 10b c d )x
+--R      3
+--R   + 
+--R       1  4 10   40  3     9   270  2 2 2 8   480    3 3 7   210  4 4 6  11
+--R     (-- a d   + -- a b c d  + --- a b c d  + --- a b c d  + --- b c d )x
+--R      11         11             11             11             11
+--R   + 
+--R       4   9      3   2 8      2 2 3 7        3 4 6   126  4 5 5  10
+--R     (a c d  + 18a b c d  + 72a b c d  + 84a b c d  + --- b c d )x
+--R                                                       5
+--R   + 
+--R        4 2 8   160  3   3 7       2 2 4 6         3 5 5   70  4 6 4  9
+--R     (5a c d  + --- a b c d  + 140a b c d  + 112a b c d  + -- b c d )x
+--R                 3                                          3
+--R   + 
+--R         4 3 7       3   4 6       2 2 5 5         3 6 4      4 7 3  8
+--R     (15a c d  + 105a b c d  + 189a b c d  + 105a b c d  + 15b c d )x
+--R   + 
+--R         4 4 6       3   5 5       2 2 6 4   480    3 7 3   45  4 8 2  7
+--R     (30a c d  + 144a b c d  + 180a b c d  + --- a b c d  + -- b c d )x
+--R                                              7              7
+--R   + 
+--R         4 5 5       3   6 4       2 2 7 3        3 8 2   5  4 9   6
+--R     (42a c d  + 140a b c d  + 120a b c d  + 30a b c d  + - b c d)x
+--R                                                          3
+--R   + 
+--R         4 6 4      3   7 3      2 2 8 2       3 9    1  4 10  5
+--R     (42a c d  + 96a b c d  + 54a b c d  + 8a b c d + - b c  )x
+--R                                                      5
+--R   + 
+--R         4 7 3      3   8 2      2 2 9       3 10  4
+--R     (30a c d  + 45a b c d  + 15a b c d + a b c  )x
+--R   + 
+--R         4 8 2   40  3   9      2 2 10  3      4 9      3   10  2    4 10
+--R     (15a c d  + -- a b c d + 2a b c  )x  + (5a c d + 2a b c  )x  + a c  x
+--R                  3
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 773
+
+--S 774 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R      1  4 11 4    1  3   12 3    1   2 2 13 2     1     3 14      1    4 15
+--R   - -- a c  d  + -- a b c  d  - --- a b c  d  + ---- a b c  d - ----- b c
+--R     11           33             143             1001            15015
+--R   -------------------------------------------------------------------------
+--R                                        5
+--R                                       d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 774
+
+--S 775 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 775
+
+)clear all
+
+--S 776 of 2952
+t0000:=(a+b*x)^3*(c+d*x)^10
+--R 
+--R
+--R   (1)
+--R      3 10 13        2 10      3   9  12      2   10        2   9      3 2 8  11
+--R     b d  x   + (3a b d   + 10b c d )x   + (3a b d   + 30a b c d  + 45b c d )x
+--R   + 
+--R       3 10      2     9         2 2 8       3 3 7  10
+--R     (a d   + 30a b c d  + 135a b c d  + 120b c d )x
+--R   + 
+--R         3   9       2   2 8         2 3 7       3 4 6  9
+--R     (10a c d  + 135a b c d  + 360a b c d  + 210b c d )x
+--R   + 
+--R         3 2 8       2   3 7         2 4 6       3 5 5  8
+--R     (45a c d  + 360a b c d  + 630a b c d  + 252b c d )x
+--R   + 
+--R          3 3 7       2   4 6         2 5 5       3 6 4  7
+--R     (120a c d  + 630a b c d  + 756a b c d  + 210b c d )x
+--R   + 
+--R          3 4 6       2   5 5         2 6 4       3 7 3  6
+--R     (210a c d  + 756a b c d  + 630a b c d  + 120b c d )x
+--R   + 
+--R          3 5 5       2   6 4         2 7 3      3 8 2  5
+--R     (252a c d  + 630a b c d  + 360a b c d  + 45b c d )x
+--R   + 
+--R          3 6 4       2   7 3         2 8 2      3 9   4
+--R     (210a c d  + 360a b c d  + 135a b c d  + 10b c d)x
+--R   + 
+--R          3 7 3       2   8 2        2 9     3 10  3
+--R     (120a c d  + 135a b c d  + 30a b c d + b c  )x
+--R   + 
+--R         3 8 2      2   9        2 10  2       3 9      2   10      3 10
+--R     (45a c d  + 30a b c d + 3a b c  )x  + (10a c d + 3a b c  )x + a c
+--R                                                    Type: Polynomial(Integer)
+--E 776
+
+--S 777 of 2952
+r0000:=-1/11*(b*c-a*d)^3*(c+d*x)^11/d^4+_
+     1/4*b*(b*c-a*d)^2*(c+d*x)^12/d^4-3/13*b^2*(b*c-a*d)*(c+d*x)^13/d^4+_
+     1/14*b^3*(c+d*x)^14/d^4
+--R 
+--R
+--R   (2)
+--R        1  3 14 14     3    2 14   10  3   13  13
+--R       -- b d  x   + (-- a b d   + -- b c d  )x
+--R       14             13           13
+--R     + 
+--R        1  2   14   5    2   13   15  3 2 12  12
+--R       (- a b d   + - a b c d   + -- b c d  )x
+--R        4           2              4
+--R     + 
+--R         1  3 14   30  2     13   135    2 2 12   120  3 3 11  11
+--R       (-- a d   + -- a b c d   + --- a b c d   + --- b c d  )x
+--R        11         11              11              11
+--R     + 
+--R         3   13   27  2   2 12        2 3 11      3 4 10  10
+--R       (a c d   + -- a b c d   + 36a b c d   + 21b c d  )x
+--R                   2
+--R     + 
+--R          3 2 12      2   3 11        2 4 10      3 5 9  9
+--R       (5a c d   + 40a b c d   + 70a b c d   + 28b c d )x
+--R     + 
+--R           3 3 11   315  2   4 10   189    2 5 9   105  3 6 8  8
+--R       (15a c d   + --- a b c d   + --- a b c d  + --- b c d )x
+--R                     4               2              4
+--R     + 
+--R           3 4 10       2   5 9        2 6 8   120  3 7 7  7
+--R       (30a c d   + 108a b c d  + 90a b c d  + --- b c d )x
+--R                                                7
+--R     + 
+--R           3 5 9       2   6 8        2 7 7   15  3 8 6  6
+--R       (42a c d  + 105a b c d  + 60a b c d  + -- b c d )x
+--R                                               2
+--R     + 
+--R           3 6 8      2   7 7        2 8 6     3 9 5  5
+--R       (42a c d  + 72a b c d  + 27a b c d  + 2b c d )x
+--R     + 
+--R           3 7 7   135  2   8 6   15    2 9 5   1  3 10 4  4
+--R       (30a c d  + --- a b c d  + -- a b c d  + - b c  d )x
+--R                    4              2            4
+--R     + 
+--R           3 8 6      2   9 5      2 10 4  3      3 9 5   3  2   10 4  2
+--R       (15a c d  + 10a b c d  + a b c  d )x  + (5a c d  + - a b c  d )x
+--R                                                          2
+--R     + 
+--R        3 10 4     1  3 11 3    1  2   12 2    1     2 13      1   3 14
+--R       a c  d x + -- a c  d  - -- a b c  d  + --- a b c  d - ---- b c
+--R                  11           44             286            4004
+--R  /
+--R      4
+--R     d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 777
+
+--S 778 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R      1  3 10 14     3    2 10   10  3   9  13
+--R     -- b d  x   + (-- a b d   + -- b c d )x
+--R     14             13           13
+--R   + 
+--R      1  2   10   5    2   9   15  3 2 8  12
+--R     (- a b d   + - a b c d  + -- b c d )x
+--R      4           2             4
+--R   + 
+--R       1  3 10   30  2     9   135    2 2 8   120  3 3 7  11
+--R     (-- a d   + -- a b c d  + --- a b c d  + --- b c d )x
+--R      11         11             11             11
+--R   + 
+--R       3   9   27  2   2 8        2 3 7      3 4 6  10
+--R     (a c d  + -- a b c d  + 36a b c d  + 21b c d )x
+--R                2
+--R   + 
+--R        3 2 8      2   3 7        2 4 6      3 5 5  9
+--R     (5a c d  + 40a b c d  + 70a b c d  + 28b c d )x
+--R   + 
+--R         3 3 7   315  2   4 6   189    2 5 5   105  3 6 4  8
+--R     (15a c d  + --- a b c d  + --- a b c d  + --- b c d )x
+--R                  4              2              4
+--R   + 
+--R         3 4 6       2   5 5        2 6 4   120  3 7 3  7
+--R     (30a c d  + 108a b c d  + 90a b c d  + --- b c d )x
+--R                                             7
+--R   + 
+--R         3 5 5       2   6 4        2 7 3   15  3 8 2  6
+--R     (42a c d  + 105a b c d  + 60a b c d  + -- b c d )x
+--R                                             2
+--R   + 
+--R         3 6 4      2   7 3        2 8 2     3 9   5
+--R     (42a c d  + 72a b c d  + 27a b c d  + 2b c d)x
+--R   + 
+--R         3 7 3   135  2   8 2   15    2 9    1  3 10  4
+--R     (30a c d  + --- a b c d  + -- a b c d + - b c  )x
+--R                  4              2           4
+--R   + 
+--R         3 8 2      2   9       2 10  3      3 9    3  2   10  2    3 10
+--R     (15a c d  + 10a b c d + a b c  )x  + (5a c d + - a b c  )x  + a c  x
+--R                                                    2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 778
+
+--S 779 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R           1  3 11 3    1  2   12 2    1     2 13      1   3 14
+--R        - -- a c  d  + -- a b c  d  - --- a b c  d + ---- b c
+--R          11           44             286            4004
+--R   (4)  -------------------------------------------------------
+--R                                    4
+--R                                   d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 779
+
+--S 780 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 780
+
+)clear all
+
+--S 781 of 2952
+t0000:=(a+b*x)^2*(c+d*x)^10
+--R 
+--R
+--R   (1)
+--R      2 10 12          10      2   9  11     2 10            9      2 2 8  10
+--R     b d  x   + (2a b d   + 10b c d )x   + (a d   + 20a b c d  + 45b c d )x
+--R   + 
+--R         2   9          2 8       2 3 7  9
+--R     (10a c d  + 90a b c d  + 120b c d )x
+--R   + 
+--R         2 2 8           3 7       2 4 6  8
+--R     (45a c d  + 240a b c d  + 210b c d )x
+--R   + 
+--R          2 3 7           4 6       2 5 5  7
+--R     (120a c d  + 420a b c d  + 252b c d )x
+--R   + 
+--R          2 4 6           5 5       2 6 4  6
+--R     (210a c d  + 504a b c d  + 210b c d )x
+--R   + 
+--R          2 5 5           6 4       2 7 3  5
+--R     (252a c d  + 420a b c d  + 120b c d )x
+--R   + 
+--R          2 6 4           7 3      2 8 2  4
+--R     (210a c d  + 240a b c d  + 45b c d )x
+--R   + 
+--R          2 7 3          8 2      2 9   3       2 8 2          9     2 10  2
+--R     (120a c d  + 90a b c d  + 10b c d)x  + (45a c d  + 20a b c d + b c  )x
+--R   + 
+--R         2 9          10      2 10
+--R     (10a c d + 2a b c  )x + a c
+--R                                                    Type: Polynomial(Integer)
+--E 781
+
+--S 782 of 2952
+r0000:=1/11*(b*c-a*d)^2*(c+d*x)^11/d^3-_
+     1/6*b*(b*c-a*d)*(c+d*x)^12/d^3+1/13*b^2*(c+d*x)^13/d^3
+--R 
+--R
+--R   (2)
+--R        1  2 13 13    1      13   5  2   12  12
+--R       -- b d  x   + (- a b d   + - b c d  )x
+--R       13             6           6
+--R     + 
+--R         1  2 13   20        12   45  2 2 11  11
+--R       (-- a d   + -- a b c d   + -- b c d  )x
+--R        11         11             11
+--R     + 
+--R         2   12         2 11      2 3 10  10
+--R       (a c d   + 9a b c d   + 12b c d  )x
+--R     + 
+--R          2 2 11   80      3 10   70  2 4 9  9
+--R       (5a c d   + -- a b c d   + -- b c d )x
+--R                    3              3
+--R     + 
+--R           2 3 10   105      4 9   63  2 5 8  8
+--R       (15a c d   + --- a b c d  + -- b c d )x
+--R                     2              2
+--R     + 
+--R           2 4 9          5 8      2 6 7  7
+--R       (30a c d  + 72a b c d  + 30b c d )x
+--R     + 
+--R           2 5 8          6 7      2 7 6  6
+--R       (42a c d  + 70a b c d  + 20b c d )x
+--R     + 
+--R           2 6 7          7 6     2 8 5  5
+--R       (42a c d  + 48a b c d  + 9b c d )x
+--R     + 
+--R           2 7 6   45      8 5   5  2 9 4  4
+--R       (30a c d  + -- a b c d  + - b c d )x
+--R                    2            2
+--R     + 
+--R           2 8 5   20      9 4   1  2 10 3  3      2 9 4        10 3  2
+--R       (15a c d  + -- a b c d  + - b c  d )x  + (5a c d  + a b c  d )x
+--R                    3            3
+--R     + 
+--R        2 10 3     1  2 11 2    1      12     1   2 13
+--R       a c  d x + -- a c  d  - -- a b c  d + --- b c
+--R                  11           66            858
+--R  /
+--R      3
+--R     d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 782
+
+--S 783 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R      1  2 10 13    1      10   5  2   9  12
+--R     -- b d  x   + (- a b d   + - b c d )x
+--R     13             6           6
+--R   + 
+--R       1  2 10   20        9   45  2 2 8  11
+--R     (-- a d   + -- a b c d  + -- b c d )x
+--R      11         11            11
+--R   + 
+--R       2   9         2 8      2 3 7  10      2 2 8   80      3 7   70  2 4 6  9
+--R     (a c d  + 9a b c d  + 12b c d )x   + (5a c d  + -- a b c d  + -- b c d )x
+--R                                                      3             3
+--R   + 
+--R         2 3 7   105      4 6   63  2 5 5  8
+--R     (15a c d  + --- a b c d  + -- b c d )x
+--R                  2              2
+--R   + 
+--R         2 4 6          5 5      2 6 4  7       2 5 5          6 4      2 7 3  6
+--R     (30a c d  + 72a b c d  + 30b c d )x  + (42a c d  + 70a b c d  + 20b c d )x
+--R   + 
+--R         2 6 4          7 3     2 8 2  5       2 7 3   45      8 2   5  2 9   4
+--R     (42a c d  + 48a b c d  + 9b c d )x  + (30a c d  + -- a b c d  + - b c d)x
+--R                                                        2            2
+--R   + 
+--R         2 8 2   20      9    1  2 10  3      2 9         10  2    2 10
+--R     (15a c d  + -- a b c d + - b c  )x  + (5a c d + a b c  )x  + a c  x
+--R                  3           3
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 783
+
+--S 784 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R           1  2 11 2    1      12     1   2 13
+--R        - -- a c  d  + -- a b c  d - --- b c
+--R          11           66            858
+--R   (4)  --------------------------------------
+--R                           3
+--R                          d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 784
+
+--S 785 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 785
+
+)clear all
+
+--S 786 of 2952
+t0000:=(a+b*x)*(c+d*x)^10
+--R 
+--R
+--R   (1)
+--R        10 11       10          9  10           9        2 8  9
+--R     b d  x   + (a d   + 10b c d )x   + (10a c d  + 45b c d )x
+--R   + 
+--R           2 8         3 7  8          3 7         4 6  7
+--R     (45a c d  + 120b c d )x  + (120a c d  + 210b c d )x
+--R   + 
+--R            4 6         5 5  6          5 5         6 4  5
+--R     (210a c d  + 252b c d )x  + (252a c d  + 210b c d )x
+--R   + 
+--R            6 4         7 3  4          7 3        8 2  3
+--R     (210a c d  + 120b c d )x  + (120a c d  + 45b c d )x
+--R   + 
+--R           8 2        9   2         9       10        10
+--R     (45a c d  + 10b c d)x  + (10a c d + b c  )x + a c
+--R                                                    Type: Polynomial(Integer)
+--E 786
+
+--S 787 of 2952
+r0000:=-1/11*(b*c-a*d)*(c+d*x)^11/d^2+1/12*b*(c+d*x)^12/d^2
+--R 
+--R
+--R   (2)
+--R        1    12 12     1    12   10      11  11         11   9    2 10  10
+--R       -- b d  x   + (-- a d   + -- b c d  )x   + (a c d   + - b c d  )x
+--R       12             11         11                          2
+--R     + 
+--R            2 10   40    3 9  9         3 9   105    4 8  8
+--R       (5a c d   + -- b c d )x  + (15a c d  + --- b c d )x
+--R                    3                          4
+--R     + 
+--R             4 8        5 7  7         5 7        6 6  6
+--R       (30a c d  + 36b c d )x  + (42a c d  + 35b c d )x
+--R     + 
+--R             6 6        7 5  5         7 5   45    8 4  4
+--R       (42a c d  + 24b c d )x  + (30a c d  + -- b c d )x
+--R                                              4
+--R     + 
+--R             8 4   10    9 3  3        9 3   1    10 2  2      10 2     1    11
+--R       (15a c d  + -- b c d )x  + (5a c d  + - b c  d )x  + a c  d x + -- a c  d
+--R                    3                        2                         11
+--R     + 
+--R          1     12
+--R       - --- b c
+--R         132
+--R  /
+--R      2
+--R     d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 787
+
+--S 788 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R      1    10 12     1    10   10      9  11         9   9    2 8  10
+--R     -- b d  x   + (-- a d   + -- b c d )x   + (a c d  + - b c d )x
+--R     12             11         11                        2
+--R   + 
+--R          2 8   40    3 7  9         3 7   105    4 6  8
+--R     (5a c d  + -- b c d )x  + (15a c d  + --- b c d )x
+--R                 3                          4
+--R   + 
+--R           4 6        5 5  7         5 5        6 4  6         6 4        7 3  5
+--R     (30a c d  + 36b c d )x  + (42a c d  + 35b c d )x  + (42a c d  + 24b c d )x
+--R   + 
+--R           7 3   45    8 2  4         8 2   10    9   3        9    1    10  2
+--R     (30a c d  + -- b c d )x  + (15a c d  + -- b c d)x  + (5a c d + - b c  )x
+--R                  4                          3                      2
+--R   + 
+--R        10
+--R     a c  x
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 788
+
+--S 789 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R           1    11     1     12
+--R        - -- a c  d + --- b c
+--R          11          132
+--R   (4)  -----------------------
+--R                    2
+--R                   d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 789
+
+--S 790 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 790
+
+)clear all
+
+--S 791 of 2952
+t0000:=(c+d*x)^10
+--R 
+--R
+--R   (1)
+--R      10 10        9 9      2 8 8       3 7 7       4 6 6       5 5 5
+--R     d  x   + 10c d x  + 45c d x  + 120c d x  + 210c d x  + 252c d x
+--R   + 
+--R         6 4 4       7 3 3      8 2 2      9       10
+--R     210c d x  + 120c d x  + 45c d x  + 10c d x + c
+--R                                                    Type: Polynomial(Integer)
+--E 791
+
+--S 792 of 2952
+r0000:=1/11*(c+d*x)^11/d
+--R 
+--R
+--R   (2)
+--R        1  11 11      10 10     2 9 9      3 8 8      4 7 7      5 6 6
+--R       -- d  x   + c d  x   + 5c d x  + 15c d x  + 30c d x  + 42c d x
+--R       11
+--R     + 
+--R          6 5 5      7 4 4      8 3 3     9 2 2    10       1  11
+--R       42c d x  + 30c d x  + 15c d x  + 5c d x  + c  d x + -- c
+--R                                                           11
+--R  /
+--R     d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 792
+
+--S 793 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R      1  10 11      9 10     2 8 9      3 7 8      4 6 7      5 5 6      6 4 5
+--R     -- d  x   + c d x   + 5c d x  + 15c d x  + 30c d x  + 42c d x  + 42c d x
+--R     11
+--R   + 
+--R        7 3 4      8 2 3     9   2    10
+--R     30c d x  + 15c d x  + 5c d x  + c  x
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 793
+
+--S 794 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R           1  11
+--R          -- c
+--R          11
+--R   (4)  - ------
+--R             d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 794
+
+--S 795 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 795
+
+)clear all
+
+--S 796 of 2952
+t0000:=(c+d*x)^10/(a+b*x)
+--R 
+--R
+--R   (1)
+--R        10 10        9 9      2 8 8       3 7 7       4 6 6       5 5 5
+--R       d  x   + 10c d x  + 45c d x  + 120c d x  + 210c d x  + 252c d x
+--R     + 
+--R           6 4 4       7 3 3      8 2 2      9       10
+--R       210c d x  + 120c d x  + 45c d x  + 10c d x + c
+--R  /
+--R     b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 796
+
+--S 797 of 2952
+r0000:=d*(b*c-a*d)^9*x/b^10+1/2*(b*c-a*d)^8*(c+d*x)^2/b^9+_
+     1/3*(b*c-a*d)^7*(c+d*x)^3/b^8+1/4*(b*c-a*d)^6*(c+d*x)^4/b^7+_
+     1/5*(b*c-a*d)^5*(c+d*x)^5/b^6+1/6*(b*c-a*d)^4*(c+d*x)^6/b^5+_
+     1/7*(b*c-a*d)^3*(c+d*x)^7/b^4+1/8*(b*c-a*d)^2*(c+d*x)^8/b^3+_
+     1/9*(b*c-a*d)*(c+d*x)^9/b^2+1/10*(c+d*x)^10/b+_
+     (b*c-a*d)^10*log(a+b*x)/b^11
+--R 
+--R
+--R   (2)
+--R                10 10         9     9          8 2 2 8          7 3 3 7
+--R           2520a  d   - 25200a b c d  + 113400a b c d  - 302400a b c d
+--R         + 
+--R                  6 4 4 6          5 5 5 5          4 6 6 4          3 7 7 3
+--R           529200a b c d  - 635040a b c d  + 529200a b c d  - 302400a b c d
+--R         + 
+--R                  2 8 8 2           9 9         10 10
+--R           113400a b c d  - 25200a b c d + 2520b  c
+--R      *
+--R         log(b x + a)
+--R     + 
+--R           10 10 10            9 10        10   9  9
+--R       252b  d  x   + (- 280a b d   + 2800b  c d )x
+--R     + 
+--R            2 8 10          9   9         10 2 8  8
+--R       (315a b d   - 3150a b c d  + 14175b  c d )x
+--R     + 
+--R              3 7 10        2 8   9           9 2 8         10 3 7  7
+--R       (- 360a b d   + 3600a b c d  - 16200a b c d  + 43200b  c d )x
+--R     + 
+--R               4 6 10        3 7   9         2 8 2 8           9 3 7
+--R           420a b d   - 4200a b c d  + 18900a b c d  - 50400a b c d
+--R         + 
+--R                 10 4 6
+--R           88200b  c d
+--R      *
+--R          6
+--R         x
+--R     + 
+--R                 5 5 10        4 6   9         3 7 2 8         2 8 3 7
+--R           - 504a b d   + 5040a b c d  - 22680a b c d  + 60480a b c d
+--R         + 
+--R                      9 4 6          10 5 5
+--R           - 105840a b c d  + 127008b  c d
+--R      *
+--R          5
+--R         x
+--R     + 
+--R               6 4 10        5 5   9         4 6 2 8         3 7 3 7
+--R           630a b d   - 6300a b c d  + 28350a b c d  - 75600a b c d
+--R         + 
+--R                  2 8 4 6            9 5 5          10 6 4
+--R           132300a b c d  - 158760a b c d  + 132300b  c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                 7 3 10        6 4   9         5 5 2 8          4 6 3 7
+--R           - 840a b d   + 8400a b c d  - 37800a b c d  + 100800a b c d
+--R         + 
+--R                    3 7 4 6          2 8 5 5            9 6 4          10 7 3
+--R           - 176400a b c d  + 211680a b c d  - 176400a b c d  + 100800b  c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                8 2 10         7 3   9         6 4 2 8          5 5 3 7
+--R           1260a b d   - 12600a b c d  + 56700a b c d  - 151200a b c d
+--R         + 
+--R                  4 6 4 6          3 7 5 5          2 8 6 4            9 7 3
+--R           264600a b c d  - 317520a b c d  + 264600a b c d  - 151200a b c d
+--R         + 
+--R                 10 8 2
+--R           56700b  c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                  9   10         8 2   9          7 3 2 8          6 4 3 7
+--R           - 2520a b d   + 25200a b c d  - 113400a b c d  + 302400a b c d
+--R         + 
+--R                    5 5 4 6          4 6 5 5          3 7 6 4          2 8 7 3
+--R           - 529200a b c d  + 635040a b c d  - 529200a b c d  + 302400a b c d
+--R         + 
+--R                      9 8 2         10 9
+--R           - 113400a b c d  + 25200b  c d
+--R      *
+--R         x
+--R     + 
+--R            8 2 2 8         7 3 3 7         6 4 4 6         5 5 5 5
+--R       1260a b c d  - 10920a b c d  + 41790a b c d  - 92484a b c d
+--R     + 
+--R            4 6 6 4          3 7 7 3         2 8 8 2           9 9         10 10
+--R     129990a b c d  - 119640a b c d  + 71325a b c d  - 25930a b c d + 4861b  c
+--R  /
+--R          11
+--R     2520b
+--R                                                    Type: Expression(Integer)
+--E 797
+
+--S 798 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                10 10         9     9          8 2 2 8          7 3 3 7
+--R           2520a  d   - 25200a b c d  + 113400a b c d  - 302400a b c d
+--R         + 
+--R                  6 4 4 6          5 5 5 5          4 6 6 4          3 7 7 3
+--R           529200a b c d  - 635040a b c d  + 529200a b c d  - 302400a b c d
+--R         + 
+--R                  2 8 8 2           9 9         10 10
+--R           113400a b c d  - 25200a b c d + 2520b  c
+--R      *
+--R         log(b x + a)
+--R     + 
+--R           10 10 10            9 10        10   9  9
+--R       252b  d  x   + (- 280a b d   + 2800b  c d )x
+--R     + 
+--R            2 8 10          9   9         10 2 8  8
+--R       (315a b d   - 3150a b c d  + 14175b  c d )x
+--R     + 
+--R              3 7 10        2 8   9           9 2 8         10 3 7  7
+--R       (- 360a b d   + 3600a b c d  - 16200a b c d  + 43200b  c d )x
+--R     + 
+--R               4 6 10        3 7   9         2 8 2 8           9 3 7
+--R           420a b d   - 4200a b c d  + 18900a b c d  - 50400a b c d
+--R         + 
+--R                 10 4 6
+--R           88200b  c d
+--R      *
+--R          6
+--R         x
+--R     + 
+--R                 5 5 10        4 6   9         3 7 2 8         2 8 3 7
+--R           - 504a b d   + 5040a b c d  - 22680a b c d  + 60480a b c d
+--R         + 
+--R                      9 4 6          10 5 5
+--R           - 105840a b c d  + 127008b  c d
+--R      *
+--R          5
+--R         x
+--R     + 
+--R               6 4 10        5 5   9         4 6 2 8         3 7 3 7
+--R           630a b d   - 6300a b c d  + 28350a b c d  - 75600a b c d
+--R         + 
+--R                  2 8 4 6            9 5 5          10 6 4
+--R           132300a b c d  - 158760a b c d  + 132300b  c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                 7 3 10        6 4   9         5 5 2 8          4 6 3 7
+--R           - 840a b d   + 8400a b c d  - 37800a b c d  + 100800a b c d
+--R         + 
+--R                    3 7 4 6          2 8 5 5            9 6 4          10 7 3
+--R           - 176400a b c d  + 211680a b c d  - 176400a b c d  + 100800b  c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                8 2 10         7 3   9         6 4 2 8          5 5 3 7
+--R           1260a b d   - 12600a b c d  + 56700a b c d  - 151200a b c d
+--R         + 
+--R                  4 6 4 6          3 7 5 5          2 8 6 4            9 7 3
+--R           264600a b c d  - 317520a b c d  + 264600a b c d  - 151200a b c d
+--R         + 
+--R                 10 8 2
+--R           56700b  c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                  9   10         8 2   9          7 3 2 8          6 4 3 7
+--R           - 2520a b d   + 25200a b c d  - 113400a b c d  + 302400a b c d
+--R         + 
+--R                    5 5 4 6          4 6 5 5          3 7 6 4          2 8 7 3
+--R           - 529200a b c d  + 635040a b c d  - 529200a b c d  + 302400a b c d
+--R         + 
+--R                      9 8 2         10 9
+--R           - 113400a b c d  + 25200b  c d
+--R      *
+--R         x
+--R  /
+--R          11
+--R     2520b
+--R                                         Type: Union(Expression(Integer),...)
+--E 798
+
+--S 799 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R              8 2 8         7   3 7         6 2 4 6         5 3 5 5
+--R       - 1260a c d  + 10920a b c d  - 41790a b c d  + 92484a b c d
+--R     + 
+--R                4 4 6 4          3 5 7 3         2 6 8 2           7 9
+--R       - 129990a b c d  + 119640a b c d  - 71325a b c d  + 25930a b c d
+--R     + 
+--R              8 10
+--R       - 4861b c
+--R  /
+--R          9
+--R     2520b
+--R                                                    Type: Expression(Integer)
+--E 799
+
+--S 800 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 800
+
+)clear all
+
+--S 801 of 2952
+t0000:=(c+d*x)^10/(a+b*x)^2
+--R 
+--R
+--R   (1)
+--R        10 10        9 9      2 8 8       3 7 7       4 6 6       5 5 5
+--R       d  x   + 10c d x  + 45c d x  + 120c d x  + 210c d x  + 252c d x
+--R     + 
+--R           6 4 4       7 3 3      8 2 2      9       10
+--R       210c d x  + 120c d x  + 45c d x  + 10c d x + c
+--R  /
+--R      2 2             2
+--R     b x  + 2a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 801
+
+--S 802 of 2952
+r0000:=45*d^2*(b*c-a*d)^8*x/b^10-(b*c-a*d)^10/(b^11*(a+b*x))+_
+     60*d^3*(b*c-a*d)^7*(a+b*x)^2/b^11+70*d^4*(b*c-a*d)^6*(a+b*x)^3/b^11+_
+     63*d^5*(b*c-a*d)^5*(a+b*x)^4/b^11+42*d^6*(b*c-a*d)^4*(a+b*x)^5/b^11+_
+     20*d^7*(b*c-a*d)^3*(a+b*x)^6/b^11+45/7*d^8*(b*c-a*d)^2*(a+b*x)^7/b^11+_
+     5/4*d^9*(b*c-a*d)*(a+b*x)^8/b^11+1/9*d^10*(a+b*x)^9/b^11+_
+     10*d*(b*c-a*d)^9*log(a+b*x)/b^11
+--R 
+--R
+--R   (2)
+--R                      9   10         8 2   9         7 3 2 8          6 4 3 7
+--R               - 2520a b d   + 22680a b c d  - 90720a b c d  + 211680a b c d
+--R             + 
+--R                        5 5 4 6          4 6 5 5          3 7 6 4
+--R               - 317520a b c d  + 317520a b c d  - 211680a b c d
+--R             + 
+--R                     2 8 7 3           9 8 2        10 9
+--R               90720a b c d  - 22680a b c d  + 2520b  c d
+--R          *
+--R             x
+--R         + 
+--R                  10 10         9     9         8 2 2 8          7 3 3 7
+--R           - 2520a  d   + 22680a b c d  - 90720a b c d  + 211680a b c d
+--R         + 
+--R                    6 4 4 6          5 5 5 5          4 6 6 4         3 7 7 3
+--R           - 317520a b c d  + 317520a b c d  - 211680a b c d  + 90720a b c d
+--R         + 
+--R                   2 8 8 2          9 9
+--R           - 22680a b c d  + 2520a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R          10 10 10           9 10       10   9  9
+--R       28b  d  x   + (- 35a b d   + 315b  c d )x
+--R     + 
+--R           2 8 10         9   9        10 2 8  8
+--R       (45a b d   - 405a b c d  + 1620b  c d )x
+--R     + 
+--R             3 7 10       2 8   9          9 2 8        10 3 7  7
+--R       (- 60a b d   + 540a b c d  - 2160a b c d  + 5040b  c d )x
+--R     + 
+--R           4 6 10       3 7   9        2 8 2 8          9 3 7         10 4 6  6
+--R       (84a b d   - 756a b c d  + 3024a b c d  - 7056a b c d  + 10584b  c d )x
+--R     + 
+--R                 5 5 10        4 6   9        3 7 2 8         2 8 3 7
+--R           - 126a b d   + 1134a b c d  - 4536a b c d  + 10584a b c d
+--R         + 
+--R                     9 4 6         10 5 5
+--R           - 15876a b c d  + 15876b  c d
+--R      *
+--R          5
+--R         x
+--R     + 
+--R               6 4 10        5 5   9        4 6 2 8         3 7 3 7
+--R           210a b d   - 1890a b c d  + 7560a b c d  - 17640a b c d
+--R         + 
+--R                 2 8 4 6           9 5 5         10 6 4
+--R           26460a b c d  - 26460a b c d  + 17640b  c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                 7 3 10        6 4   9         5 5 2 8         4 6 3 7
+--R           - 420a b d   + 3780a b c d  - 15120a b c d  + 35280a b c d
+--R         + 
+--R                   3 7 4 6         2 8 5 5           9 6 4         10 7 3
+--R           - 52920a b c d  + 52920a b c d  - 35280a b c d  + 15120b  c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                8 2 10         7 3   9         6 4 2 8          5 5 3 7
+--R           1260a b d   - 11340a b c d  + 45360a b c d  - 105840a b c d
+--R         + 
+--R                  4 6 4 6          3 7 5 5          2 8 6 4           9 7 3
+--R           158760a b c d  - 158760a b c d  + 105840a b c d  - 45360a b c d
+--R         + 
+--R                 10 8 2
+--R           11340b  c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                  9   10         8 2   9         7 3 2 8          6 4 3 7
+--R           - 4211a b d   + 29079a b c d  - 82296a b c d  + 116424a b c d
+--R         + 
+--R                   5 5 4 6         4 6 5 5         3 7 6 4         2 8 7 3
+--R           - 68796a b c d  - 26460a b c d  + 70560a b c d  - 45360a b c d
+--R         + 
+--R                   9 8 2
+--R           11340a b c d
+--R      *
+--R         x
+--R     + 
+--R              10 10         9     9          8 2 2 8          7 3 3 7
+--R       - 6731a  d   + 51759a b c d  - 173016a b c d  + 328104a b c d
+--R     + 
+--R                6 4 4 6          5 5 5 5          4 6 6 4         3 7 7 3
+--R       - 386316a b c d  + 291060a b c d  - 141120a b c d  + 45360a b c d
+--R     + 
+--R               2 8 8 2          9 9        10 10
+--R       - 11340a b c d  + 2520a b c d - 252b  c
+--R  /
+--R         12          11
+--R     252b  x + 252a b
+--R                                                    Type: Expression(Integer)
+--E 802
+
+--S 803 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                      9   10         8 2   9         7 3 2 8          6 4 3 7
+--R               - 2520a b d   + 22680a b c d  - 90720a b c d  + 211680a b c d
+--R             + 
+--R                        5 5 4 6          4 6 5 5          3 7 6 4
+--R               - 317520a b c d  + 317520a b c d  - 211680a b c d
+--R             + 
+--R                     2 8 7 3           9 8 2        10 9
+--R               90720a b c d  - 22680a b c d  + 2520b  c d
+--R          *
+--R             x
+--R         + 
+--R                  10 10         9     9         8 2 2 8          7 3 3 7
+--R           - 2520a  d   + 22680a b c d  - 90720a b c d  + 211680a b c d
+--R         + 
+--R                    6 4 4 6          5 5 5 5          4 6 6 4         3 7 7 3
+--R           - 317520a b c d  + 317520a b c d  - 211680a b c d  + 90720a b c d
+--R         + 
+--R                   2 8 8 2          9 9
+--R           - 22680a b c d  + 2520a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R          10 10 10           9 10       10   9  9
+--R       28b  d  x   + (- 35a b d   + 315b  c d )x
+--R     + 
+--R           2 8 10         9   9        10 2 8  8
+--R       (45a b d   - 405a b c d  + 1620b  c d )x
+--R     + 
+--R             3 7 10       2 8   9          9 2 8        10 3 7  7
+--R       (- 60a b d   + 540a b c d  - 2160a b c d  + 5040b  c d )x
+--R     + 
+--R           4 6 10       3 7   9        2 8 2 8          9 3 7         10 4 6  6
+--R       (84a b d   - 756a b c d  + 3024a b c d  - 7056a b c d  + 10584b  c d )x
+--R     + 
+--R                 5 5 10        4 6   9        3 7 2 8         2 8 3 7
+--R           - 126a b d   + 1134a b c d  - 4536a b c d  + 10584a b c d
+--R         + 
+--R                     9 4 6         10 5 5
+--R           - 15876a b c d  + 15876b  c d
+--R      *
+--R          5
+--R         x
+--R     + 
+--R               6 4 10        5 5   9        4 6 2 8         3 7 3 7
+--R           210a b d   - 1890a b c d  + 7560a b c d  - 17640a b c d
+--R         + 
+--R                 2 8 4 6           9 5 5         10 6 4
+--R           26460a b c d  - 26460a b c d  + 17640b  c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                 7 3 10        6 4   9         5 5 2 8         4 6 3 7
+--R           - 420a b d   + 3780a b c d  - 15120a b c d  + 35280a b c d
+--R         + 
+--R                   3 7 4 6         2 8 5 5           9 6 4         10 7 3
+--R           - 52920a b c d  + 52920a b c d  - 35280a b c d  + 15120b  c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                8 2 10         7 3   9         6 4 2 8          5 5 3 7
+--R           1260a b d   - 11340a b c d  + 45360a b c d  - 105840a b c d
+--R         + 
+--R                  4 6 4 6          3 7 5 5          2 8 6 4           9 7 3
+--R           158760a b c d  - 158760a b c d  + 105840a b c d  - 45360a b c d
+--R         + 
+--R                 10 8 2
+--R           11340b  c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                9   10         8 2   9         7 3 2 8          6 4 3 7
+--R           2268a b d   - 20160a b c d  + 79380a b c d  - 181440a b c d
+--R         + 
+--R                  5 5 4 6          4 6 5 5          3 7 6 4         2 8 7 3
+--R           264600a b c d  - 254016a b c d  + 158760a b c d  - 60480a b c d
+--R         + 
+--R                   9 8 2
+--R           11340a b c d
+--R      *
+--R         x
+--R     + 
+--R             10 10        9     9         8 2 2 8         7 3 3 7
+--R       - 252a  d   + 2520a b c d  - 11340a b c d  + 30240a b c d
+--R     + 
+--R               6 4 4 6         5 5 5 5         4 6 6 4         3 7 7 3
+--R       - 52920a b c d  + 63504a b c d  - 52920a b c d  + 30240a b c d
+--R     + 
+--R               2 8 8 2          9 9        10 10
+--R       - 11340a b c d  + 2520a b c d - 252b  c
+--R  /
+--R         12          11
+--R     252b  x + 252a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 803
+
+--S 804 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R            9 10         8     9          7 2 2 8          6 3 3 7
+--R       6479a d   - 49239a b c d  + 161676a b c d  - 297864a b c d
+--R     + 
+--R              5 4 4 6          4 5 5 5         3 6 6 4         2 7 7 3
+--R       333396a b c d  - 227556a b c d  + 88200a b c d  - 15120a b c d
+--R  /
+--R         11
+--R     252b
+--R                                                    Type: Expression(Integer)
+--E 804
+
+--S 805 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 805
+
+)clear all
+
+--S 806 of 2952
+t0000:=(c+d*x)^10/(a+b*x)^3
+--R 
+--R
+--R   (1)
+--R        10 10        9 9      2 8 8       3 7 7       4 6 6       5 5 5
+--R       d  x   + 10c d x  + 45c d x  + 120c d x  + 210c d x  + 252c d x
+--R     + 
+--R           6 4 4       7 3 3      8 2 2      9       10
+--R       210c d x  + 120c d x  + 45c d x  + 10c d x + c
+--R  /
+--R      3 3       2 2     2       3
+--R     b x  + 3a b x  + 3a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 806
+
+--S 807 of 2952
+r0000:=120*d^3*(b*c-a*d)^7*x/b^10-1/2*(b*c-a*d)^10/(b^11*(a+b*x)^2)-_
+     10*d*(b*c-a*d)^9/(b^11*(a+b*x))+105*d^4*(b*c-a*d)^6*(a+b*x)^2/b^11+_
+     84*d^5*(b*c-a*d)^5*(a+b*x)^3/b^11+105/2*d^6*(b*c-a*d)^4*(a+b*x)^4/b^11+_
+     24*d^7*(b*c-a*d)^3*(a+b*x)^5/b^11+15/2*d^8*(b*c-a*d)^2*(a+b*x)^6/b^11+_
+     10/7*d^9*(b*c-a*d)*(a+b*x)^7/b^11+1/8*d^10*(a+b*x)^8/b^11+_
+     45*d^2*(b*c-a*d)^8*log(a+b*x)/b^11
+--R 
+--R
+--R   (2)
+--R                    8 2 10         7 3   9         6 4 2 8          5 5 3 7
+--R               2520a b d   - 20160a b c d  + 70560a b c d  - 141120a b c d
+--R             + 
+--R                      4 6 4 6          3 7 5 5         2 8 6 4           9 7 3
+--R               176400a b c d  - 141120a b c d  + 70560a b c d  - 20160a b c d
+--R             + 
+--R                    10 8 2
+--R               2520b  c d
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                    9   10         8 2   9          7 3 2 8          6 4 3 7
+--R               5040a b d   - 40320a b c d  + 141120a b c d  - 282240a b c d
+--R             + 
+--R                      5 5 4 6          4 6 5 5          3 7 6 4         2 8 7 3
+--R               352800a b c d  - 282240a b c d  + 141120a b c d  - 40320a b c d
+--R             + 
+--R                      9 8 2
+--R               5040a b c d
+--R          *
+--R             x
+--R         + 
+--R                10 10         9     9         8 2 2 8          7 3 3 7
+--R           2520a  d   - 20160a b c d  + 70560a b c d  - 141120a b c d
+--R         + 
+--R                  6 4 4 6          5 5 5 5         4 6 6 4         3 7 7 3
+--R           176400a b c d  - 141120a b c d  + 70560a b c d  - 20160a b c d
+--R         + 
+--R                2 8 8 2
+--R           2520a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         10 10 10           9 10      10   9  9
+--R       7b  d  x   + (- 10a b d   + 80b  c d )x
+--R     + 
+--R           2 8 10         9   9       10 2 8  8
+--R       (15a b d   - 120a b c d  + 420b  c d )x
+--R     + 
+--R             3 7 10       2 8   9         9 2 8        10 3 7  7
+--R       (- 24a b d   + 192a b c d  - 672a b c d  + 1344b  c d )x
+--R     + 
+--R           4 6 10       3 7   9        2 8 2 8          9 3 7        10 4 6  6
+--R       (42a b d   - 336a b c d  + 1176a b c d  - 2352a b c d  + 2940b  c d )x
+--R     + 
+--R                5 5 10       4 6   9        3 7 2 8        2 8 3 7
+--R           - 84a b d   + 672a b c d  - 2352a b c d  + 4704a b c d
+--R         + 
+--R                    9 4 6        10 5 5
+--R           - 5880a b c d  + 4704b  c d
+--R      *
+--R          5
+--R         x
+--R     + 
+--R               6 4 10        5 5   9        4 6 2 8         3 7 3 7
+--R           210a b d   - 1680a b c d  + 5880a b c d  - 11760a b c d
+--R         + 
+--R                 2 8 4 6           9 5 5        10 6 4
+--R           14700a b c d  - 11760a b c d  + 5880b  c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                 7 3 10        6 4   9         5 5 2 8         4 6 3 7
+--R           - 840a b d   + 6720a b c d  - 23520a b c d  + 47040a b c d
+--R         + 
+--R                   3 7 4 6         2 8 5 5           9 6 4        10 7 3
+--R           - 58800a b c d  + 47040a b c d  - 23520a b c d  + 6720b  c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                 8 2 10        7 3   9         6 4 2 8         5 5 3 7
+--R           - 129a b d   + 5232a b c d  - 31752a b c d  + 87024a b c d
+--R         + 
+--R                    4 6 4 6          3 7 5 5         2 8 6 4           9 7 3
+--R           - 132300a b c d  + 117600a b c d  - 58800a b c d  + 13440a b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                9   10         8 2   9         7 3 2 8          6 4 3 7
+--R           4782a b d   - 29856a b c d  + 77616a b c d  - 108192a b c d
+--R         + 
+--R                 5 5 4 6         4 6 5 5         3 7 6 4         2 8 7 3
+--R           88200a b c d  - 47040a b c d  + 23520a b c d  - 13440a b c d
+--R         + 
+--R                  9 8 2       10 9
+--R           5040a b c d  - 560b  c d
+--R      *
+--R         x
+--R     + 
+--R            10 10         9     9         8 2 2 8          7 3 3 7
+--R       3651a  d   - 25008a b c d  + 74088a b c d  - 124656a b c d
+--R     + 
+--R              6 4 4 6         5 5 5 5         4 6 6 4         3 7 7 3
+--R       132300a b c d  - 94080a b c d  + 47040a b c d  - 16800a b c d
+--R     + 
+--R            2 8 8 2         9 9       10 10
+--R       3780a b c d  - 280a b c d - 28b  c
+--R  /
+--R        13 2         12       2 11
+--R     56b  x  + 112a b  x + 56a b
+--R                                                    Type: Expression(Integer)
+--E 807
+
+--S 808 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                    8 2 10         7 3   9         6 4 2 8          5 5 3 7
+--R               2520a b d   - 20160a b c d  + 70560a b c d  - 141120a b c d
+--R             + 
+--R                      4 6 4 6          3 7 5 5         2 8 6 4           9 7 3
+--R               176400a b c d  - 141120a b c d  + 70560a b c d  - 20160a b c d
+--R             + 
+--R                    10 8 2
+--R               2520b  c d
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                    9   10         8 2   9          7 3 2 8          6 4 3 7
+--R               5040a b d   - 40320a b c d  + 141120a b c d  - 282240a b c d
+--R             + 
+--R                      5 5 4 6          4 6 5 5          3 7 6 4         2 8 7 3
+--R               352800a b c d  - 282240a b c d  + 141120a b c d  - 40320a b c d
+--R             + 
+--R                      9 8 2
+--R               5040a b c d
+--R          *
+--R             x
+--R         + 
+--R                10 10         9     9         8 2 2 8          7 3 3 7
+--R           2520a  d   - 20160a b c d  + 70560a b c d  - 141120a b c d
+--R         + 
+--R                  6 4 4 6          5 5 5 5         4 6 6 4         3 7 7 3
+--R           176400a b c d  - 141120a b c d  + 70560a b c d  - 20160a b c d
+--R         + 
+--R                2 8 8 2
+--R           2520a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         10 10 10           9 10      10   9  9
+--R       7b  d  x   + (- 10a b d   + 80b  c d )x
+--R     + 
+--R           2 8 10         9   9       10 2 8  8
+--R       (15a b d   - 120a b c d  + 420b  c d )x
+--R     + 
+--R             3 7 10       2 8   9         9 2 8        10 3 7  7
+--R       (- 24a b d   + 192a b c d  - 672a b c d  + 1344b  c d )x
+--R     + 
+--R           4 6 10       3 7   9        2 8 2 8          9 3 7        10 4 6  6
+--R       (42a b d   - 336a b c d  + 1176a b c d  - 2352a b c d  + 2940b  c d )x
+--R     + 
+--R                5 5 10       4 6   9        3 7 2 8        2 8 3 7
+--R           - 84a b d   + 672a b c d  - 2352a b c d  + 4704a b c d
+--R         + 
+--R                    9 4 6        10 5 5
+--R           - 5880a b c d  + 4704b  c d
+--R      *
+--R          5
+--R         x
+--R     + 
+--R               6 4 10        5 5   9        4 6 2 8         3 7 3 7
+--R           210a b d   - 1680a b c d  + 5880a b c d  - 11760a b c d
+--R         + 
+--R                 2 8 4 6           9 5 5        10 6 4
+--R           14700a b c d  - 11760a b c d  + 5880b  c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                 7 3 10        6 4   9         5 5 2 8         4 6 3 7
+--R           - 840a b d   + 6720a b c d  - 23520a b c d  + 47040a b c d
+--R         + 
+--R                   3 7 4 6         2 8 5 5           9 6 4        10 7 3
+--R           - 58800a b c d  + 47040a b c d  - 23520a b c d  + 6720b  c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                  8 2 10         7 3   9         6 4 2 8          5 5 3 7
+--R           - 3248a b d   + 25480a b c d  - 86940a b c d  + 168000a b c d
+--R         + 
+--R                    4 6 4 6          3 7 5 5         2 8 6 4           9 7 3
+--R           - 199920a b c d  + 148176a b c d  - 64680a b c d  + 13440a b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                  9   10         8 2   9         7 3 2 8         6 4 3 7
+--R           - 1456a b d   + 10640a b c d  - 32760a b c d  + 53760a b c d
+--R         + 
+--R                   5 5 4 6         4 6 5 5         3 7 6 4         2 8 7 3
+--R           - 47040a b c d  + 14112a b c d  + 11760a b c d  - 13440a b c d
+--R         + 
+--R                  9 8 2       10 9
+--R           5040a b c d  - 560b  c d
+--R      *
+--R         x
+--R     + 
+--R           10 10        9     9         8 2 2 8         7 3 3 7         6 4 4 6
+--R       532a  d   - 4760a b c d  + 18900a b c d  - 43680a b c d  + 64680a b c d
+--R     + 
+--R               5 5 5 5         4 6 6 4         3 7 7 3        2 8 8 2
+--R       - 63504a b c d  + 41160a b c d  - 16800a b c d  + 3780a b c d
+--R     + 
+--R               9 9       10 10
+--R       - 280a b c d - 28b  c
+--R  /
+--R        13 2         12       2 11
+--R     56b  x  + 112a b  x + 56a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 808
+
+--S 809 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R              8 10         7     9         6 2 2 8         5 3 3 7
+--R       - 3119a d   + 20248a b c d  - 55188a b c d  + 80976a b c d
+--R     + 
+--R               4 4 4 6         3 5 5 5        2 6 6 4
+--R       - 67620a b c d  + 30576a b c d  - 5880a b c d
+--R  /
+--R        11
+--R     56b
+--R                                                    Type: Expression(Integer)
+--E 809
+
+--S 810 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 810
+
+)clear all
+
+--S 811 of 2952
+t0000:=(c+d*x)^10/(a+b*x)^4
+--R 
+--R
+--R   (1)
+--R        10 10        9 9      2 8 8       3 7 7       4 6 6       5 5 5
+--R       d  x   + 10c d x  + 45c d x  + 120c d x  + 210c d x  + 252c d x
+--R     + 
+--R           6 4 4       7 3 3      8 2 2      9       10
+--R       210c d x  + 120c d x  + 45c d x  + 10c d x + c
+--R  /
+--R      4 4       3 3     2 2 2     3       4
+--R     b x  + 4a b x  + 6a b x  + 4a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 811
+
+--S 812 of 2952
+r0000:=210*d^4*(b*c-a*d)^6*x/b^10-1/3*(b*c-a*d)^10/(b^11*(a+b*x)^3)-_
+     5*d*(b*c-a*d)^9/(b^11*(a+b*x)^2)-45*d^2*(b*c-a*d)^8/(b^11*(a+b*x))+_
+     126*d^5*(b*c-a*d)^5*(a+b*x)^2/b^11+70*d^6*(b*c-a*d)^4*(a+b*x)^3/b^11+_
+     30*d^7*(b*c-a*d)^3*(a+b*x)^4/b^11+9*d^8*(b*c-a*d)^2*(a+b*x)^5/b^11+_
+     5/3*d^9*(b*c-a*d)*(a+b*x)^6/b^11+1/7*d^10*(a+b*x)^7/b^11+_
+     120*d^3*(b*c-a*d)^7*log(a+b*x)/b^11
+--R 
+--R
+--R   (2)
+--R                      7 3 10         6 4   9         5 5 2 8         4 6 3 7
+--R               - 2520a b d   + 17640a b c d  - 52920a b c d  + 88200a b c d
+--R             + 
+--R                       3 7 4 6         2 8 5 5           9 6 4        10 7 3
+--R               - 88200a b c d  + 52920a b c d  - 17640a b c d  + 2520b  c d
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                      8 2 10         7 3   9          6 4 2 8          5 5 3 7
+--R               - 7560a b d   + 52920a b c d  - 158760a b c d  + 264600a b c d
+--R             + 
+--R                        4 6 4 6          3 7 5 5         2 8 6 4          9 7 3
+--R               - 264600a b c d  + 158760a b c d  - 52920a b c d  + 7560a b c d
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                      9   10         8 2   9          7 3 2 8          6 4 3 7
+--R               - 7560a b d   + 52920a b c d  - 158760a b c d  + 264600a b c d
+--R             + 
+--R                        5 5 4 6          4 6 5 5         3 7 6 4        2 8 7 3
+--R               - 264600a b c d  + 158760a b c d  - 52920a b c d  + 7560a b c d
+--R          *
+--R             x
+--R         + 
+--R                  10 10         9     9         8 2 2 8         7 3 3 7
+--R           - 2520a  d   + 17640a b c d  - 52920a b c d  + 88200a b c d
+--R         + 
+--R                   6 4 4 6         5 5 5 5         4 6 6 4        3 7 7 3
+--R           - 88200a b c d  + 52920a b c d  - 17640a b c d  + 2520a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         10 10 10          9 10      10   9  9
+--R       3b  d  x   + (- 5a b d   + 35b  c d )x
+--R     + 
+--R          2 8 10        9   9       10 2 8  8
+--R       (9a b d   - 63a b c d  + 189b  c d )x
+--R     + 
+--R             3 7 10       2 8   9         9 2 8       10 3 7  7
+--R       (- 18a b d   + 126a b c d  - 378a b c d  + 630b  c d )x
+--R     + 
+--R           4 6 10       3 7   9       2 8 2 8          9 3 7        10 4 6  6
+--R       (42a b d   - 294a b c d  + 882a b c d  - 1470a b c d  + 1470b  c d )x
+--R     + 
+--R                 5 5 10       4 6   9        3 7 2 8        2 8 3 7
+--R           - 126a b d   + 882a b c d  - 2646a b c d  + 4410a b c d
+--R         + 
+--R                    9 4 6        10 5 5
+--R           - 4410a b c d  + 2646b  c d
+--R      *
+--R          5
+--R         x
+--R     + 
+--R               6 4 10        5 5   9         4 6 2 8         3 7 3 7
+--R           630a b d   - 4410a b c d  + 13230a b c d  - 22050a b c d
+--R         + 
+--R                 2 8 4 6           9 5 5        10 6 4
+--R           22050a b c d  - 13230a b c d  + 4410b  c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                7 3 10         6 4   9         5 5 2 8         4 6 3 7
+--R           2124a b d   - 16758a b c d  + 54684a b c d  - 95550a b c d
+--R         + 
+--R                 3 7 4 6         2 8 5 5           9 6 4
+--R           95550a b c d  - 52920a b c d  + 13230a b c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                  8 2 10        7 3   9        6 4 2 8         5 5 3 7
+--R           - 1188a b d   + 2646a b c d  + 5292a b c d  - 22050a b c d
+--R         + 
+--R                 4 6 4 6         2 8 6 4          9 7 3       10 8 2
+--R           22050a b c d  - 13230a b c d  + 7560a b c d  - 945b  c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                  9   10         8 2   9         7 3 2 8          6 4 3 7
+--R           - 4968a b d   + 29106a b c d  - 74088a b c d  + 110250a b c d
+--R         + 
+--R                    5 5 4 6         4 6 5 5         3 7 6 4         2 8 7 3
+--R           - 110250a b c d  + 79380a b c d  - 39690a b c d  + 11340a b c d
+--R         + 
+--R                   9 8 2       10 9
+--R           - 945a b c d  - 105b  c d
+--R      *
+--R         x
+--R     + 
+--R              10 10         9     9         8 2 2 8         7 3 3 7
+--R       - 2496a  d   + 15582a b c d  - 42336a b c d  + 66150a b c d
+--R     + 
+--R               6 4 4 6         5 5 5 5         4 6 6 4        3 7 7 3
+--R       - 66150a b c d  + 44100a b c d  - 19110a b c d  + 4620a b c d
+--R     + 
+--R             2 8 8 2        9 9      10 10
+--R       - 315a b c d  - 35a b c d - 7b  c
+--R  /
+--R        14 3        13 2      2 12       3 11
+--R     21b  x  + 63a b  x  + 63a b  x + 21a b
+--R                                                    Type: Expression(Integer)
+--E 812
+
+--S 813 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                      7 3 10         6 4   9         5 5 2 8         4 6 3 7
+--R               - 2520a b d   + 17640a b c d  - 52920a b c d  + 88200a b c d
+--R             + 
+--R                       3 7 4 6         2 8 5 5           9 6 4        10 7 3
+--R               - 88200a b c d  + 52920a b c d  - 17640a b c d  + 2520b  c d
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                      8 2 10         7 3   9          6 4 2 8          5 5 3 7
+--R               - 7560a b d   + 52920a b c d  - 158760a b c d  + 264600a b c d
+--R             + 
+--R                        4 6 4 6          3 7 5 5         2 8 6 4          9 7 3
+--R               - 264600a b c d  + 158760a b c d  - 52920a b c d  + 7560a b c d
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                      9   10         8 2   9          7 3 2 8          6 4 3 7
+--R               - 7560a b d   + 52920a b c d  - 158760a b c d  + 264600a b c d
+--R             + 
+--R                        5 5 4 6          4 6 5 5         3 7 6 4        2 8 7 3
+--R               - 264600a b c d  + 158760a b c d  - 52920a b c d  + 7560a b c d
+--R          *
+--R             x
+--R         + 
+--R                  10 10         9     9         8 2 2 8         7 3 3 7
+--R           - 2520a  d   + 17640a b c d  - 52920a b c d  + 88200a b c d
+--R         + 
+--R                   6 4 4 6         5 5 5 5         4 6 6 4        3 7 7 3
+--R           - 88200a b c d  + 52920a b c d  - 17640a b c d  + 2520a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         10 10 10          9 10      10   9  9
+--R       3b  d  x   + (- 5a b d   + 35b  c d )x
+--R     + 
+--R          2 8 10        9   9       10 2 8  8
+--R       (9a b d   - 63a b c d  + 189b  c d )x
+--R     + 
+--R             3 7 10       2 8   9         9 2 8       10 3 7  7
+--R       (- 18a b d   + 126a b c d  - 378a b c d  + 630b  c d )x
+--R     + 
+--R           4 6 10       3 7   9       2 8 2 8          9 3 7        10 4 6  6
+--R       (42a b d   - 294a b c d  + 882a b c d  - 1470a b c d  + 1470b  c d )x
+--R     + 
+--R                 5 5 10       4 6   9        3 7 2 8        2 8 3 7
+--R           - 126a b d   + 882a b c d  - 2646a b c d  + 4410a b c d
+--R         + 
+--R                    9 4 6        10 5 5
+--R           - 4410a b c d  + 2646b  c d
+--R      *
+--R          5
+--R         x
+--R     + 
+--R               6 4 10        5 5   9         4 6 2 8         3 7 3 7
+--R           630a b d   - 4410a b c d  + 13230a b c d  - 22050a b c d
+--R         + 
+--R                 2 8 4 6           9 5 5        10 6 4
+--R           22050a b c d  - 13230a b c d  + 4410b  c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                7 3 10         6 4   9         5 5 2 8          4 6 3 7
+--R           3773a b d   - 25655a b c d  + 74025a b c d  - 116760a b c d
+--R         + 
+--R                  3 7 4 6         2 8 5 5           9 6 4
+--R           107310a b c d  - 55566a b c d  + 13230a b c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                8 2 10         7 3   9         6 4 2 8         5 5 3 7
+--R           3759a b d   - 24045a b c d  + 63315a b c d  - 85680a b c d
+--R         + 
+--R                 4 6 4 6        3 7 5 5         2 8 6 4          9 7 3
+--R           57330a b c d  - 7938a b c d  - 13230a b c d  + 7560a b c d
+--R         + 
+--R                 10 8 2
+--R           - 945b  c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                9   10        8 2   9         7 3 2 8         6 4 3 7
+--R           - 21a b d   + 2415a b c d  - 16065a b c d  + 46620a b c d
+--R         + 
+--R                   5 5 4 6         4 6 5 5         3 7 6 4         2 8 7 3
+--R           - 74970a b c d  + 71442a b c d  - 39690a b c d  + 11340a b c d
+--R         + 
+--R                   9 8 2       10 9
+--R           - 945a b c d  - 105b  c d
+--R      *
+--R         x
+--R     + 
+--R             10 10        9     9         8 2 2 8         7 3 3 7
+--R       - 847a  d   + 6685a b c d  - 22995a b c d  + 44940a b c d
+--R     + 
+--R               6 4 4 6         5 5 5 5         4 6 6 4        3 7 7 3
+--R       - 54390a b c d  + 41454a b c d  - 19110a b c d  + 4620a b c d
+--R     + 
+--R             2 8 8 2        9 9      10 10
+--R       - 315a b c d  - 35a b c d - 7b  c
+--R  /
+--R        14 3        13 2      2 12       3 11
+--R     21b  x  + 63a b  x  + 63a b  x + 21a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 813
+
+--S 814 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R            7 10        6     9         5 2 2 8         4 3 3 7         3 4 4 6
+--R       1649a d   - 8897a b c d  + 19341a b c d  - 21210a b c d  + 11760a b c d
+--R     + 
+--R              2 5 5 5
+--R       - 2646a b c d
+--R  /
+--R        11
+--R     21b
+--R                                                    Type: Expression(Integer)
+--E 814
+
+--S 815 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 815
+
+)clear all
+
+--S 816 of 2952
+t0000:=(c+d*x)^10/(a+b*x)^5
+--R 
+--R
+--R   (1)
+--R        10 10        9 9      2 8 8       3 7 7       4 6 6       5 5 5
+--R       d  x   + 10c d x  + 45c d x  + 120c d x  + 210c d x  + 252c d x
+--R     + 
+--R           6 4 4       7 3 3      8 2 2      9       10
+--R       210c d x  + 120c d x  + 45c d x  + 10c d x + c
+--R  /
+--R      5 5       4 4      2 3 3      3 2 2     4       5
+--R     b x  + 5a b x  + 10a b x  + 10a b x  + 5a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 816
+
+--S 817 of 2952
+r0000:=252*d^5*(b*c-a*d)^5*x/b^10-1/4*(b*c-a*d)^10/(b^11*(a+b*x)^4)-_
+     10/3*d*(b*c-a*d)^9/(b^11*(a+b*x)^3)-_
+     45/2*d^2*(b*c-a*d)^8/(b^11*(a+b*x)^2)-_
+     120*d^3*(b*c-a*d)^7/(b^11*(a+b*x))+_
+     105*d^6*(b*c-a*d)^4*(a+b*x)^2/b^11+_
+     40*d^7*(b*c-a*d)^3*(a+b*x)^3/b^11+_
+     45/4*d^8*(b*c-a*d)^2*(a+b*x)^4/b^11+_
+     2*d^9*(b*c-a*d)*(a+b*x)^5/b^11+_
+     1/6*d^10*(a+b*x)^6/b^11+210*d^4*(b*c-a*d)^6*log(a+b*x)/b^11
+--R 
+--R
+--R   (2)
+--R                    6 4 10         5 5   9         4 6 2 8         3 7 3 7
+--R               2520a b d   - 15120a b c d  + 37800a b c d  - 50400a b c d
+--R             + 
+--R                     2 8 4 6           9 5 5        10 6 4
+--R               37800a b c d  - 15120a b c d  + 2520b  c d
+--R          *
+--R              4
+--R             x
+--R         + 
+--R                     7 3 10         6 4   9          5 5 2 8          4 6 3 7
+--R               10080a b d   - 60480a b c d  + 151200a b c d  - 201600a b c d
+--R             + 
+--R                      3 7 4 6         2 8 5 5           9 6 4
+--R               151200a b c d  - 60480a b c d  + 10080a b c d
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                     8 2 10         7 3   9          6 4 2 8          5 5 3 7
+--R               15120a b d   - 90720a b c d  + 226800a b c d  - 302400a b c d
+--R             + 
+--R                      4 6 4 6         3 7 5 5         2 8 6 4
+--R               226800a b c d  - 90720a b c d  + 15120a b c d
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                     9   10         8 2   9          7 3 2 8          6 4 3 7
+--R               10080a b d   - 60480a b c d  + 151200a b c d  - 201600a b c d
+--R             + 
+--R                      5 5 4 6         4 6 5 5         3 7 6 4
+--R               151200a b c d  - 60480a b c d  + 10080a b c d
+--R          *
+--R             x
+--R         + 
+--R                10 10         9     9         8 2 2 8         7 3 3 7
+--R           2520a  d   - 15120a b c d  + 37800a b c d  - 50400a b c d
+--R         + 
+--R                 6 4 4 6         5 5 5 5        4 6 6 4
+--R           37800a b c d  - 15120a b c d  + 2520a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         10 10 10          9 10      10   9  9
+--R       2b  d  x   + (- 4a b d   + 24b  c d )x
+--R     + 
+--R          2 8 10        9   9       10 2 8  8
+--R       (9a b d   - 54a b c d  + 135b  c d )x
+--R     + 
+--R             3 7 10       2 8   9         9 2 8       10 3 7  7
+--R       (- 24a b d   + 144a b c d  - 360a b c d  + 480b  c d )x
+--R     + 
+--R           4 6 10       3 7   9        2 8 2 8          9 3 7        10 4 6  6
+--R       (84a b d   - 504a b c d  + 1260a b c d  - 1680a b c d  + 1260b  c d )x
+--R     + 
+--R                 5 5 10        4 6   9        3 7 2 8         2 8 3 7
+--R           - 504a b d   + 3024a b c d  - 7560a b c d  + 10080a b c d
+--R         + 
+--R                    9 4 6        10 5 5
+--R           - 7560a b c d  + 3024b  c d
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                  6 4 10         5 5   9         4 6 2 8         3 7 3 7
+--R           - 3150a b d   + 19404a b c d  - 48510a b c d  + 62160a b c d
+--R         + 
+--R                   2 8 4 6           9 5 5
+--R           - 41580a b c d  + 12096a b c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                  7 3 10         6 4   9         5 5 2 8         4 6 3 7
+--R           - 2520a b d   + 17136a b c d  - 42840a b c d  + 47040a b c d
+--R         + 
+--R                   3 7 4 6         2 8 5 5           9 6 4        10 7 3
+--R           - 15120a b c d  - 12096a b c d  + 10080a b c d  - 1440b  c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                8 2 10         7 3   9         6 4 2 8         5 5 3 7
+--R           3780a b d   - 19656a b c d  + 49140a b c d  - 80640a b c d
+--R         + 
+--R                 4 6 4 6         3 7 5 5         2 8 6 4          9 7 3
+--R           90720a b c d  - 63504a b c d  + 22680a b c d  - 2160a b c d
+--R         + 
+--R                 10 8 2
+--R           - 270b  c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                9   10         8 2   9         7 3 2 8          6 4 3 7
+--R           5880a b d   - 33264a b c d  + 83160a b c d  - 120960a b c d
+--R         + 
+--R                  5 5 4 6         4 6 5 5         3 7 6 4        2 8 7 3
+--R           110880a b c d  - 62496a b c d  + 18480a b c d  - 1440a b c d
+--R         + 
+--R                   9 8 2      10 9
+--R           - 180a b c d  - 40b  c d
+--R      *
+--R         x
+--R     + 
+--R            10 10         9     9         8 2 2 8         7 3 3 7
+--R       2100a  d   - 12096a b c d  + 30240a b c d  - 42840a b c d
+--R     + 
+--R             6 4 4 6         5 5 5 5        4 6 6 4       3 7 7 3      2 8 8 2
+--R       37170a b c d  - 19404a b c d  + 5250a b c d  - 360a b c d  - 45a b c d
+--R     + 
+--R              9 9      10 10
+--R       - 10a b c d - 3b  c
+--R  /
+--R        15 4        14 3      2 13 2      3 12       4 11
+--R     12b  x  + 48a b  x  + 72a b  x  + 48a b  x + 12a b
+--R                                                    Type: Expression(Integer)
+--E 817
+
+--S 818 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                    6 4 10         5 5   9         4 6 2 8         3 7 3 7
+--R               2520a b d   - 15120a b c d  + 37800a b c d  - 50400a b c d
+--R             + 
+--R                     2 8 4 6           9 5 5        10 6 4
+--R               37800a b c d  - 15120a b c d  + 2520b  c d
+--R          *
+--R              4
+--R             x
+--R         + 
+--R                     7 3 10         6 4   9          5 5 2 8          4 6 3 7
+--R               10080a b d   - 60480a b c d  + 151200a b c d  - 201600a b c d
+--R             + 
+--R                      3 7 4 6         2 8 5 5           9 6 4
+--R               151200a b c d  - 60480a b c d  + 10080a b c d
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                     8 2 10         7 3   9          6 4 2 8          5 5 3 7
+--R               15120a b d   - 90720a b c d  + 226800a b c d  - 302400a b c d
+--R             + 
+--R                      4 6 4 6         3 7 5 5         2 8 6 4
+--R               226800a b c d  - 90720a b c d  + 15120a b c d
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                     9   10         8 2   9          7 3 2 8          6 4 3 7
+--R               10080a b d   - 60480a b c d  + 151200a b c d  - 201600a b c d
+--R             + 
+--R                      5 5 4 6         4 6 5 5         3 7 6 4
+--R               151200a b c d  - 60480a b c d  + 10080a b c d
+--R          *
+--R             x
+--R         + 
+--R                10 10         9     9         8 2 2 8         7 3 3 7
+--R           2520a  d   - 15120a b c d  + 37800a b c d  - 50400a b c d
+--R         + 
+--R                 6 4 4 6         5 5 5 5        4 6 6 4
+--R           37800a b c d  - 15120a b c d  + 2520a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         10 10 10          9 10      10   9  9
+--R       2b  d  x   + (- 4a b d   + 24b  c d )x
+--R     + 
+--R          2 8 10        9   9       10 2 8  8
+--R       (9a b d   - 54a b c d  + 135b  c d )x
+--R     + 
+--R             3 7 10       2 8   9         9 2 8       10 3 7  7
+--R       (- 24a b d   + 144a b c d  - 360a b c d  + 480b  c d )x
+--R     + 
+--R           4 6 10       3 7   9        2 8 2 8          9 3 7        10 4 6  6
+--R       (84a b d   - 504a b c d  + 1260a b c d  - 1680a b c d  + 1260b  c d )x
+--R     + 
+--R                 5 5 10        4 6   9        3 7 2 8         2 8 3 7
+--R           - 504a b d   + 3024a b c d  - 7560a b c d  + 10080a b c d
+--R         + 
+--R                    9 4 6        10 5 5
+--R           - 7560a b c d  + 3024b  c d
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                  6 4 10         5 5   9         4 6 2 8         3 7 3 7
+--R           - 4043a b d   + 23250a b c d  - 54765a b c d  + 66720a b c d
+--R         + 
+--R                   2 8 4 6           9 5 5
+--R           - 42840a b c d  + 12096a b c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                  7 3 10         6 4   9         5 5 2 8         4 6 3 7
+--R           - 6092a b d   + 32520a b c d  - 67860a b c d  + 65280a b c d
+--R         + 
+--R                   3 7 4 6         2 8 5 5           9 6 4        10 7 3
+--R           - 20160a b c d  - 12096a b c d  + 10080a b c d  - 1440b  c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                  8 2 10        7 3   9         6 4 2 8         5 5 3 7
+--R           - 1578a b d   + 3420a b c d  + 11610a b c d  - 53280a b c d
+--R         + 
+--R                 4 6 4 6         3 7 5 5         2 8 6 4          9 7 3
+--R           83160a b c d  - 63504a b c d  + 22680a b c d  - 2160a b c d
+--R         + 
+--R                 10 8 2
+--R           - 270b  c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                9   10         8 2   9         7 3 2 8          6 4 3 7
+--R           2308a b d   - 17880a b c d  + 58140a b c d  - 102720a b c d
+--R         + 
+--R                  5 5 4 6         4 6 5 5         3 7 6 4        2 8 7 3
+--R           105840a b c d  - 62496a b c d  + 18480a b c d  - 1440a b c d
+--R         + 
+--R                   9 8 2      10 9
+--R           - 180a b c d  - 40b  c d
+--R      *
+--R         x
+--R     + 
+--R            10 10        9     9         8 2 2 8         7 3 3 7         6 4 4 6
+--R       1207a  d   - 8250a b c d  + 23985a b c d  - 38280a b c d  + 35910a b c d
+--R     + 
+--R               5 5 5 5        4 6 6 4       3 7 7 3      2 8 8 2        9 9
+--R       - 19404a b c d  + 5250a b c d  - 360a b c d  - 45a b c d  - 10a b c d
+--R     + 
+--R           10 10
+--R       - 3b  c
+--R  /
+--R        15 4        14 3      2 13 2      3 12       4 11
+--R     12b  x  + 48a b  x  + 72a b  x  + 48a b  x + 12a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 818
+
+--S 819 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R              6 10        5     9        4 2 2 8        3 3 3 7        2 4 4 6
+--R        - 893a d   + 3846a b c d  - 6255a b c d  + 4560a b c d  - 1260a b c d
+--R   (4)  ----------------------------------------------------------------------
+--R                                            11
+--R                                         12b
+--R                                                    Type: Expression(Integer)
+--E 819
+
+--S 820 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 820
+
+)clear all
+
+--S 821 of 2952
+t0000:=(c+d*x)^10/(a+b*x)^6
+--R 
+--R
+--R   (1)
+--R        10 10        9 9      2 8 8       3 7 7       4 6 6       5 5 5
+--R       d  x   + 10c d x  + 45c d x  + 120c d x  + 210c d x  + 252c d x
+--R     + 
+--R           6 4 4       7 3 3      8 2 2      9       10
+--R       210c d x  + 120c d x  + 45c d x  + 10c d x + c
+--R  /
+--R      6 6       5 5      2 4 4      3 3 3      4 2 2     5       6
+--R     b x  + 6a b x  + 15a b x  + 20a b x  + 15a b x  + 6a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 821
+
+--S 822 of 2952
+r0000:=210*d^6*(b*c-a*d)^4*x/b^10-1/5*(b*c-a*d)^10/(b^11*(a+b*x)^5)-_
+     5/2*d*(b*c-a*d)^9/(b^11*(a+b*x)^4)-_
+     15*d^2*(b*c-a*d)^8/(b^11*(a+b*x)^3)-_
+     60*d^3*(b*c-a*d)^7/(b^11*(a+b*x)^2)-_
+     210*d^4*(b*c-a*d)^6/(b^11*(a+b*x))+_
+     60*d^7*(b*c-a*d)^3*(a+b*x)^2/b^11+_
+     15*d^8*(b*c-a*d)^2*(a+b*x)^3/b^11+_
+     5/2*d^9*(b*c-a*d)*(a+b*x)^4/b^11+1/5*d^10*(a+b*x)^5/b^11+_
+     252*d^5*(b*c-a*d)^5*log(a+b*x)/b^11
+--R 
+--R
+--R   (2)
+--R                      5 5 10         4 6   9         3 7 2 8         2 8 3 7
+--R               - 2520a b d   + 12600a b c d  - 25200a b c d  + 25200a b c d
+--R             + 
+--R                         9 4 6        10 5 5
+--R               - 12600a b c d  + 2520b  c d
+--R          *
+--R              5
+--R             x
+--R         + 
+--R                       6 4 10         5 5   9          4 6 2 8          3 7 3 7
+--R               - 12600a b d   + 63000a b c d  - 126000a b c d  + 126000a b c d
+--R             + 
+--R                       2 8 4 6           9 5 5
+--R               - 63000a b c d  + 12600a b c d
+--R          *
+--R              4
+--R             x
+--R         + 
+--R                       7 3 10          6 4   9          5 5 2 8          4 6 3 7
+--R               - 25200a b d   + 126000a b c d  - 252000a b c d  + 252000a b c d
+--R             + 
+--R                        3 7 4 6         2 8 5 5
+--R               - 126000a b c d  + 25200a b c d
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                       8 2 10          7 3   9          6 4 2 8          5 5 3 7
+--R               - 25200a b d   + 126000a b c d  - 252000a b c d  + 252000a b c d
+--R             + 
+--R                        4 6 4 6         3 7 5 5
+--R               - 126000a b c d  + 25200a b c d
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                       9   10         8 2   9          7 3 2 8          6 4 3 7
+--R               - 12600a b d   + 63000a b c d  - 126000a b c d  + 126000a b c d
+--R             + 
+--R                       5 5 4 6         4 6 5 5
+--R               - 63000a b c d  + 12600a b c d
+--R          *
+--R             x
+--R         + 
+--R                  10 10         9     9         8 2 2 8         7 3 3 7
+--R           - 2520a  d   + 12600a b c d  - 25200a b c d  + 25200a b c d
+--R         + 
+--R                   6 4 4 6        5 5 5 5
+--R           - 12600a b c d  + 2520a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         10 10 10          9 10      10   9  9
+--R       2b  d  x   + (- 5a b d   + 25b  c d )x
+--R     + 
+--R           2 8 10        9   9       10 2 8  8
+--R       (15a b d   - 75a b c d  + 150b  c d )x
+--R     + 
+--R             3 7 10       2 8   9         9 2 8       10 3 7  7
+--R       (- 60a b d   + 300a b c d  - 600a b c d  + 600b  c d )x
+--R     + 
+--R            4 6 10        3 7   9        2 8 2 8          9 3 7        10 4 6  6
+--R       (420a b d   - 2100a b c d  + 4200a b c d  - 4200a b c d  + 2100b  c d )x
+--R     + 
+--R                5 5 10         4 6   9         3 7 2 8         2 8 3 7
+--R           3654a b d   - 17850a b c d  + 33600a b c d  - 29400a b c d
+--R         + 
+--R                   9 4 6
+--R           10500a b c d
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                6 4 10         5 5   9         4 6 2 8         3 7 3 7
+--R           5670a b d   - 26250a b c d  + 42000a b c d  - 21000a b c d
+--R         + 
+--R                   2 8 4 6           9 5 5        10 6 4
+--R           - 10500a b c d  + 12600a b c d  - 2100b  c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                  7 3 10         6 4   9         5 5 2 8         4 6 3 7
+--R           - 1260a b d   + 10500a b c d  - 42000a b c d  + 84000a b c d
+--R         + 
+--R                   3 7 4 6         2 8 5 5          9 6 4       10 7 3
+--R           - 84000a b c d  + 37800a b c d  - 4200a b c d  - 600b  c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                  8 2 10         7 3   9          6 4 2 8          5 5 3 7
+--R           - 9660a b d   + 52500a b c d  - 126000a b c d  + 168000a b c d
+--R         + 
+--R                    4 6 4 6         3 7 5 5        2 8 6 4         9 7 3
+--R           - 126000a b c d  + 46200a b c d  - 4200a b c d  - 600a b c d
+--R         + 
+--R                 10 8 2
+--R           - 150b  c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                  9   10         8 2   9         7 3 2 8          6 4 3 7
+--R           - 7980a b d   + 42000a b c d  - 94500a b c d  + 115500a b c d
+--R         + 
+--R                   5 5 4 6         4 6 5 5        3 7 6 4       2 8 7 3
+--R           - 78750a b c d  + 26250a b c d  - 2100a b c d  - 300a b c d
+--R         + 
+--R                  9 8 2      10 9
+--R           - 75a b c d  - 25b  c d
+--R      *
+--R         x
+--R     + 
+--R              10 10         9     9         8 2 2 8         7 3 3 7
+--R       - 2100a  d   + 10920a b c d  - 23940a b c d  + 28140a b c d
+--R     + 
+--R               6 4 4 6        5 5 5 5       4 6 6 4      3 7 7 3      2 8 8 2
+--R       - 18270a b c d  + 5754a b c d  - 420a b c d  - 60a b c d  - 15a b c d
+--R     + 
+--R             9 9      10 10
+--R       - 5a b c d - 2b  c
+--R  /
+--R        16 5        15 4       2 14 3       3 13 2      4 12       5 11
+--R     10b  x  + 50a b  x  + 100a b  x  + 100a b  x  + 50a b  x + 10a b
+--R                                                    Type: Expression(Integer)
+--E 822
+
+--S 823 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                      5 5 10         4 6   9         3 7 2 8         2 8 3 7
+--R               - 2520a b d   + 12600a b c d  - 25200a b c d  + 25200a b c d
+--R             + 
+--R                         9 4 6        10 5 5
+--R               - 12600a b c d  + 2520b  c d
+--R          *
+--R              5
+--R             x
+--R         + 
+--R                       6 4 10         5 5   9          4 6 2 8          3 7 3 7
+--R               - 12600a b d   + 63000a b c d  - 126000a b c d  + 126000a b c d
+--R             + 
+--R                       2 8 4 6           9 5 5
+--R               - 63000a b c d  + 12600a b c d
+--R          *
+--R              4
+--R             x
+--R         + 
+--R                       7 3 10          6 4   9          5 5 2 8          4 6 3 7
+--R               - 25200a b d   + 126000a b c d  - 252000a b c d  + 252000a b c d
+--R             + 
+--R                        3 7 4 6         2 8 5 5
+--R               - 126000a b c d  + 25200a b c d
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                       8 2 10          7 3   9          6 4 2 8          5 5 3 7
+--R               - 25200a b d   + 126000a b c d  - 252000a b c d  + 252000a b c d
+--R             + 
+--R                        4 6 4 6         3 7 5 5
+--R               - 126000a b c d  + 25200a b c d
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                       9   10         8 2   9          7 3 2 8          6 4 3 7
+--R               - 12600a b d   + 63000a b c d  - 126000a b c d  + 126000a b c d
+--R             + 
+--R                       5 5 4 6         4 6 5 5
+--R               - 63000a b c d  + 12600a b c d
+--R          *
+--R             x
+--R         + 
+--R                  10 10         9     9         8 2 2 8         7 3 3 7
+--R           - 2520a  d   + 12600a b c d  - 25200a b c d  + 25200a b c d
+--R         + 
+--R                   6 4 4 6        5 5 5 5
+--R           - 12600a b c d  + 2520a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         10 10 10          9 10      10   9  9
+--R       2b  d  x   + (- 5a b d   + 25b  c d )x
+--R     + 
+--R           2 8 10        9   9       10 2 8  8
+--R       (15a b d   - 75a b c d  + 150b  c d )x
+--R     + 
+--R             3 7 10       2 8   9         9 2 8       10 3 7  7
+--R       (- 60a b d   + 300a b c d  - 600a b c d  + 600b  c d )x
+--R     + 
+--R            4 6 10        3 7   9        2 8 2 8          9 3 7        10 4 6  6
+--R       (420a b d   - 2100a b c d  + 4200a b c d  - 4200a b c d  + 2100b  c d )x
+--R     + 
+--R                5 5 10         4 6   9         3 7 2 8         2 8 3 7
+--R           4127a b d   - 19375a b c d  + 35250a b c d  - 30000a b c d
+--R         + 
+--R                   9 4 6
+--R           10500a b c d
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                6 4 10         5 5   9         4 6 2 8         3 7 3 7
+--R           8035a b d   - 33875a b c d  + 50250a b c d  - 24000a b c d
+--R         + 
+--R                   2 8 4 6           9 5 5        10 6 4
+--R           - 10500a b c d  + 12600a b c d  - 2100b  c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                7 3 10        6 4   9         5 5 2 8         4 6 3 7
+--R           3470a b d   - 4750a b c d  - 25500a b c d  + 78000a b c d
+--R         + 
+--R                   3 7 4 6         2 8 5 5          9 6 4       10 7 3
+--R           - 84000a b c d  + 37800a b c d  - 4200a b c d  - 600b  c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                  8 2 10         7 3   9          6 4 2 8          5 5 3 7
+--R           - 4930a b d   + 37250a b c d  - 109500a b c d  + 162000a b c d
+--R         + 
+--R                    4 6 4 6         3 7 5 5        2 8 6 4         9 7 3
+--R           - 126000a b c d  + 46200a b c d  - 4200a b c d  - 600a b c d
+--R         + 
+--R                 10 8 2
+--R           - 150b  c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                  9   10         8 2   9         7 3 2 8          6 4 3 7
+--R           - 5615a b d   + 34375a b c d  - 86250a b c d  + 112500a b c d
+--R         + 
+--R                   5 5 4 6         4 6 5 5        3 7 6 4       2 8 7 3
+--R           - 78750a b c d  + 26250a b c d  - 2100a b c d  - 300a b c d
+--R         + 
+--R                  9 8 2      10 9
+--R           - 75a b c d  - 25b  c d
+--R      *
+--R         x
+--R     + 
+--R              10 10        9     9         8 2 2 8         7 3 3 7
+--R       - 1627a  d   + 9395a b c d  - 22290a b c d  + 27540a b c d
+--R     + 
+--R               6 4 4 6        5 5 5 5       4 6 6 4      3 7 7 3      2 8 8 2
+--R       - 18270a b c d  + 5754a b c d  - 420a b c d  - 60a b c d  - 15a b c d
+--R     + 
+--R             9 9      10 10
+--R       - 5a b c d - 2b  c
+--R  /
+--R        16 5        15 4       2 14 3       3 13 2      4 12       5 11
+--R     10b  x  + 50a b  x  + 100a b  x  + 100a b  x  + 50a b  x + 10a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 823
+
+--S 824 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R            5 10        4     9        3 2 2 8       2 3 3 7
+--R        473a d   - 1525a b c d  + 1650a b c d  - 600a b c d
+--R   (4)  ----------------------------------------------------
+--R                                   11
+--R                                10b
+--R                                                    Type: Expression(Integer)
+--E 824
+
+--S 825 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 825
+
+)clear all
+
+--S 826 of 2952
+t0000:=(c+d*x)^10/(a+b*x)^7
+--R 
+--R
+--R   (1)
+--R        10 10        9 9      2 8 8       3 7 7       4 6 6       5 5 5
+--R       d  x   + 10c d x  + 45c d x  + 120c d x  + 210c d x  + 252c d x
+--R     + 
+--R           6 4 4       7 3 3      8 2 2      9       10
+--R       210c d x  + 120c d x  + 45c d x  + 10c d x + c
+--R  /
+--R      7 7       6 6      2 5 5      3 4 4      4 3 3      5 2 2     6       7
+--R     b x  + 7a b x  + 21a b x  + 35a b x  + 35a b x  + 21a b x  + 7a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 826
+
+--S 827 of 2952
+r0000:=120*d^7*(b*c-a*d)^3*x/b^10-1/6*(b*c-a*d)^10/(b^11*(a+b*x)^6)-_
+     2*d*(b*c-a*d)^9/(b^11*(a+b*x)^5)-_
+     45/4*d^2*(b*c-a*d)^8/(b^11*(a+b*x)^4)-_
+     40*d^3*(b*c-a*d)^7/(b^11*(a+b*x)^3)-_
+     105*d^4*(b*c-a*d)^6/(b^11*(a+b*x)^2)-_
+     252*d^5*(b*c-a*d)^5/(b^11*(a+b*x))+_
+     45/2*d^8*(b*c-a*d)^2*(a+b*x)^2/b^11+_
+     10/3*d^9*(b*c-a*d)*(a+b*x)^3/b^11+1/4*d^10*(a+b*x)^4/b^11+_
+     210*d^6*(b*c-a*d)^4*log(a+b*x)/b^11
+--R 
+--R
+--R   (2)
+--R                    4 6 10         3 7   9         2 8 2 8           9 3 7
+--R               2520a b d   - 10080a b c d  + 15120a b c d  - 10080a b c d
+--R             + 
+--R                    10 4 6
+--R               2520b  c d
+--R          *
+--R              6
+--R             x
+--R         + 
+--R                     5 5 10         4 6   9         3 7 2 8         2 8 3 7
+--R               15120a b d   - 60480a b c d  + 90720a b c d  - 60480a b c d
+--R             + 
+--R                       9 4 6
+--R               15120a b c d
+--R          *
+--R              5
+--R             x
+--R         + 
+--R                     6 4 10          5 5   9          4 6 2 8          3 7 3 7
+--R               37800a b d   - 151200a b c d  + 226800a b c d  - 151200a b c d
+--R             + 
+--R                     2 8 4 6
+--R               37800a b c d
+--R          *
+--R              4
+--R             x
+--R         + 
+--R                     7 3 10          6 4   9          5 5 2 8          4 6 3 7
+--R               50400a b d   - 201600a b c d  + 302400a b c d  - 201600a b c d
+--R             + 
+--R                     3 7 4 6
+--R               50400a b c d
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                     8 2 10          7 3   9          6 4 2 8          5 5 3 7
+--R               37800a b d   - 151200a b c d  + 226800a b c d  - 151200a b c d
+--R             + 
+--R                     4 6 4 6
+--R               37800a b c d
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                     9   10         8 2   9         7 3 2 8         6 4 3 7
+--R               15120a b d   - 60480a b c d  + 90720a b c d  - 60480a b c d
+--R             + 
+--R                     5 5 4 6
+--R               15120a b c d
+--R          *
+--R             x
+--R         + 
+--R                10 10         9     9         8 2 2 8         7 3 3 7
+--R           2520a  d   - 10080a b c d  + 15120a b c d  - 10080a b c d
+--R         + 
+--R                6 4 4 6
+--R           2520a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         10 10 10           9 10      10   9  9
+--R       3b  d  x   + (- 10a b d   + 40b  c d )x
+--R     + 
+--R           2 8 10         9   9       10 2 8  8
+--R       (45a b d   - 180a b c d  + 270b  c d )x
+--R     + 
+--R              3 7 10        2 8   9          9 2 8        10 3 7  7
+--R       (- 360a b d   + 1440a b c d  - 2160a b c d  + 1440b  c d )x
+--R     + 
+--R               4 6 10         3 7   9         2 8 2 8          9 3 7  6
+--R       (- 3810a b d   + 14160a b c d  - 18360a b c d  + 8640a b c d )x
+--R     + 
+--R                  5 5 10         4 6   9         3 7 2 8        2 8 3 7
+--R           - 7740a b d   + 24480a b c d  - 19440a b c d  - 8640a b c d
+--R         + 
+--R                   9 4 6        10 5 5
+--R           15120a b c d  - 3024b  c d
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                 6 4 10         5 5   9         4 6 2 8         3 7 3 7
+--R           - 450a b d   - 14400a b c d  + 64800a b c d  - 97200a b c d
+--R         + 
+--R                 2 8 4 6          9 5 5        10 6 4
+--R           56700a b c d  - 7560a b c d  - 1260b  c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                 7 3 10         6 4   9          5 5 2 8          4 6 3 7
+--R           16200a b d   - 86400a b c d  + 187200a b c d  - 196800a b c d
+--R         + 
+--R                 3 7 4 6         2 8 5 5          9 6 4       10 7 3
+--R           92400a b c d  - 10080a b c d  - 1680a b c d  - 480b  c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                 8 2 10          7 3   9          6 4 2 8          5 5 3 7
+--R           21600a b d   - 102600a b c d  + 197100a b c d  - 185400a b c d
+--R         + 
+--R               4 6 4 6        3 7 5 5        2 8 6 4         9 7 3       10 8 2
+--R         78750a b c d  - 7560a b c d  - 1260a b c d  - 360a b c d  - 135b  c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                 9   10         8 2   9         7 3 2 8         6 4 3 7
+--R           11664a b d   - 53136a b c d  + 96984a b c d  - 86256a b c d
+--R         + 
+--R                 5 5 4 6        4 6 5 5       3 7 6 4       2 8 7 3        9 8 2
+--R           34524a b c d  - 3024a b c d  - 504a b c d  - 144a b c d  - 54a b c d
+--R         + 
+--R                10 9
+--R           - 24b  c d
+--R      *
+--R         x
+--R     + 
+--R            10 10         9     9         8 2 2 8         7 3 3 7        6 4 4 6
+--R       2364a  d   - 10536a b c d  + 18684a b c d  - 16056a b c d  + 6174a b c d
+--R     + 
+--R             5 5 5 5      4 6 6 4      3 7 7 3     2 8 8 2       9 9      10 10
+--R       - 504a b c d  - 84a b c d  - 24a b c d  - 9a b c d  - 4a b c d - 2b  c
+--R  /
+--R          17 6        16 5       2 15 4       3 14 3       4 13 2      5 12
+--R       12b  x  + 72a b  x  + 180a b  x  + 240a b  x  + 180a b  x  + 72a b  x
+--R     + 
+--R          6 11
+--R       12a b
+--R                                                    Type: Expression(Integer)
+--E 827
+
+--S 828 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                    4 6 10         3 7   9         2 8 2 8           9 3 7
+--R               2520a b d   - 10080a b c d  + 15120a b c d  - 10080a b c d
+--R             + 
+--R                    10 4 6
+--R               2520b  c d
+--R          *
+--R              6
+--R             x
+--R         + 
+--R                     5 5 10         4 6   9         3 7 2 8         2 8 3 7
+--R               15120a b d   - 60480a b c d  + 90720a b c d  - 60480a b c d
+--R             + 
+--R                       9 4 6
+--R               15120a b c d
+--R          *
+--R              5
+--R             x
+--R         + 
+--R                     6 4 10          5 5   9          4 6 2 8          3 7 3 7
+--R               37800a b d   - 151200a b c d  + 226800a b c d  - 151200a b c d
+--R             + 
+--R                     2 8 4 6
+--R               37800a b c d
+--R          *
+--R              4
+--R             x
+--R         + 
+--R                     7 3 10          6 4   9          5 5 2 8          4 6 3 7
+--R               50400a b d   - 201600a b c d  + 302400a b c d  - 201600a b c d
+--R             + 
+--R                     3 7 4 6
+--R               50400a b c d
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                     8 2 10          7 3   9          6 4 2 8          5 5 3 7
+--R               37800a b d   - 151200a b c d  + 226800a b c d  - 151200a b c d
+--R             + 
+--R                     4 6 4 6
+--R               37800a b c d
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                     9   10         8 2   9         7 3 2 8         6 4 3 7
+--R               15120a b d   - 60480a b c d  + 90720a b c d  - 60480a b c d
+--R             + 
+--R                     5 5 4 6
+--R               15120a b c d
+--R          *
+--R             x
+--R         + 
+--R                10 10         9     9         8 2 2 8         7 3 3 7
+--R           2520a  d   - 10080a b c d  + 15120a b c d  - 10080a b c d
+--R         + 
+--R                6 4 4 6
+--R           2520a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         10 10 10           9 10      10   9  9
+--R       3b  d  x   + (- 10a b d   + 40b  c d )x
+--R     + 
+--R           2 8 10         9   9       10 2 8  8
+--R       (45a b d   - 180a b c d  + 270b  c d )x
+--R     + 
+--R              3 7 10        2 8   9          9 2 8        10 3 7  7
+--R       (- 360a b d   + 1440a b c d  - 2160a b c d  + 1440b  c d )x
+--R     + 
+--R               4 6 10         3 7   9         2 8 2 8          9 3 7  6
+--R       (- 4043a b d   + 14660a b c d  - 18630a b c d  + 8640a b c d )x
+--R     + 
+--R                  5 5 10         4 6   9         3 7 2 8        2 8 3 7
+--R           - 9138a b d   + 27480a b c d  - 21060a b c d  - 8640a b c d
+--R         + 
+--R                   9 4 6        10 5 5
+--R           15120a b c d  - 3024b  c d
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                  6 4 10        5 5   9         4 6 2 8         3 7 3 7
+--R           - 3945a b d   - 6900a b c d  + 60750a b c d  - 97200a b c d
+--R         + 
+--R                 2 8 4 6          9 5 5        10 6 4
+--R           56700a b c d  - 7560a b c d  - 1260b  c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                 7 3 10         6 4   9          5 5 2 8          4 6 3 7
+--R           11540a b d   - 76400a b c d  + 181800a b c d  - 196800a b c d
+--R         + 
+--R                 3 7 4 6         2 8 5 5          9 6 4       10 7 3
+--R           92400a b c d  - 10080a b c d  - 1680a b c d  - 480b  c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                 8 2 10         7 3   9          6 4 2 8          5 5 3 7
+--R           18105a b d   - 95100a b c d  + 193050a b c d  - 185400a b c d
+--R         + 
+--R               4 6 4 6        3 7 5 5        2 8 6 4         9 7 3       10 8 2
+--R         78750a b c d  - 7560a b c d  - 1260a b c d  - 360a b c d  - 135b  c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                 9   10         8 2   9         7 3 2 8         6 4 3 7
+--R           10266a b d   - 50136a b c d  + 95364a b c d  - 86256a b c d
+--R         + 
+--R                 5 5 4 6        4 6 5 5       3 7 6 4       2 8 7 3        9 8 2
+--R           34524a b c d  - 3024a b c d  - 504a b c d  - 144a b c d  - 54a b c d
+--R         + 
+--R                10 9
+--R           - 24b  c d
+--R      *
+--R         x
+--R     + 
+--R            10 10         9     9         8 2 2 8         7 3 3 7        6 4 4 6
+--R       2131a  d   - 10036a b c d  + 18414a b c d  - 16056a b c d  + 6174a b c d
+--R     + 
+--R             5 5 5 5      4 6 6 4      3 7 7 3     2 8 8 2       9 9      10 10
+--R       - 504a b c d  - 84a b c d  - 24a b c d  - 9a b c d  - 4a b c d - 2b  c
+--R  /
+--R          17 6        16 5       2 15 4       3 14 3       4 13 2      5 12
+--R       12b  x  + 72a b  x  + 180a b  x  + 240a b  x  + 180a b  x  + 72a b  x
+--R     + 
+--R          6 11
+--R       12a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 828
+
+--S 829 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R              4 10       3     9       2 2 2 8
+--R        - 233a d   + 500a b c d  - 270a b c d
+--R   (4)  --------------------------------------
+--R                            11
+--R                         12b
+--R                                                    Type: Expression(Integer)
+--E 829
+
+--S 830 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 830
+
+)clear all
+
+--S 831 of 2952
+t0000:=(c+d*x)^10/(a+b*x)^8
+--R 
+--R
+--R   (1)
+--R        10 10        9 9      2 8 8       3 7 7       4 6 6       5 5 5
+--R       d  x   + 10c d x  + 45c d x  + 120c d x  + 210c d x  + 252c d x
+--R     + 
+--R           6 4 4       7 3 3      8 2 2      9       10
+--R       210c d x  + 120c d x  + 45c d x  + 10c d x + c
+--R  /
+--R        8 8       7 7      2 6 6      3 5 5      4 4 4      5 3 3      6 2 2
+--R       b x  + 8a b x  + 28a b x  + 56a b x  + 70a b x  + 56a b x  + 28a b x
+--R     + 
+--R         7       8
+--R       8a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 831
+
+--S 832 of 2952
+r0000:=45*d^8*(b*c-a*d)^2*x/b^10-1/7*(b*c-a*d)^10/(b^11*(a+b*x)^7)-_
+     5/3*d*(b*c-a*d)^9/(b^11*(a+b*x)^6)-9*d^2*(b*c-a*d)^8/(b^11*(a+b*x)^5)-_
+     30*d^3*(b*c-a*d)^7/(b^11*(a+b*x)^4)-_
+     70*d^4*(b*c-a*d)^6/(b^11*(a+b*x)^3)-_
+     126*d^5*(b*c-a*d)^5/(b^11*(a+b*x)^2)-_
+     210*d^6*(b*c-a*d)^4/(b^11*(a+b*x))+_
+     5*d^9*(b*c-a*d)*(a+b*x)^2/b^11+_
+     1/3*d^10*(a+b*x)^3/b^11+120*d^7*(b*c-a*d)^3*log(a+b*x)/b^11
+--R 
+--R
+--R   (2)
+--R                   3 7 10        2 8   9          9 2 8        10 3 7  7
+--R           (- 2520a b d   + 7560a b c d  - 7560a b c d  + 2520b  c d )x
+--R         + 
+--R                    4 6 10         3 7   9         2 8 2 8           9 3 7  6
+--R           (- 17640a b d   + 52920a b c d  - 52920a b c d  + 17640a b c d )x
+--R         + 
+--R                    5 5 10          4 6   9          3 7 2 8         2 8 3 7  5
+--R           (- 52920a b d   + 158760a b c d  - 158760a b c d  + 52920a b c d )x
+--R         + 
+--R                    6 4 10          5 5   9          4 6 2 8         3 7 3 7  4
+--R           (- 88200a b d   + 264600a b c d  - 264600a b c d  + 88200a b c d )x
+--R         + 
+--R                    7 3 10          6 4   9          5 5 2 8         4 6 3 7  3
+--R           (- 88200a b d   + 264600a b c d  - 264600a b c d  + 88200a b c d )x
+--R         + 
+--R                    8 2 10          7 3   9          6 4 2 8         5 5 3 7  2
+--R           (- 52920a b d   + 158760a b c d  - 158760a b c d  + 52920a b c d )x
+--R         + 
+--R                    9   10         8 2   9         7 3 2 8         6 4 3 7
+--R           (- 17640a b d   + 52920a b c d  - 52920a b c d  + 17640a b c d )x
+--R         + 
+--R                  10 10        9     9        8 2 2 8        7 3 3 7
+--R           - 2520a  d   + 7560a b c d  - 7560a b c d  + 2520a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         10 10 10           9 10       10   9  9
+--R       7b  d  x   + (- 35a b d   + 105b  c d )x
+--R     + 
+--R            2 8 10         9   9       10 2 8  8
+--R       (315a b d   - 945a b c d  + 945b  c d )x
+--R     + 
+--R             3 7 10        2 8   9          9 2 8  7
+--R       (3675a b d   - 9450a b c d  + 6615a b c d )x
+--R     + 
+--R                4 6 10         3 7   9        2 8 2 8           9 3 7
+--R           8085a b d   - 13230a b c d  - 6615a b c d  + 17640a b c d
+--R         + 
+--R                  10 4 6
+--R           - 4410b  c d
+--R      *
+--R          6
+--R         x
+--R     + 
+--R                  5 5 10         4 6   9         3 7 2 8         2 8 3 7
+--R           - 2205a b d   + 39690a b c d  - 99225a b c d  + 79380a b c d
+--R         + 
+--R                     9 4 6        10 5 5
+--R           - 13230a b c d  - 2646b  c d
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                   6 4 10          5 5   9          4 6 2 8          3 7 3 7
+--R           - 33075a b d   + 154350a b c d  - 253575a b c d  + 161700a b c d
+--R         + 
+--R                   2 8 4 6          9 5 5        10 6 4
+--R           - 22050a b c d  - 4410a b c d  - 1470b  c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                   7 3 10          6 4   9          5 5 2 8          4 6 3 7
+--R           - 55125a b d   + 220500a b c d  - 319725a b c d  + 183750a b c d
+--R         + 
+--R                   3 7 4 6        2 8 5 5          9 6 4       10 7 3
+--R           - 22050a b c d  - 4410a b c d  - 1470a b c d  - 630b  c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                   8 2 10          7 3   9          6 4 2 8          5 5 3 7
+--R           - 43659a b d   + 164052a b c d  - 223587a b c d  + 120834a b c d
+--R         + 
+--R                 4 6 4 6        3 7 5 5       2 8 6 4         9 7 3       10 8 2
+--R         - 13230a b c d  - 2646a b c d  - 882a b c d  - 378a b c d  - 189b  c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                   9   10         8 2   9         7 3 2 8         6 4 3 7
+--R           - 17493a b d   + 63504a b c d  - 83349a b c d  + 43218a b c d
+--R         + 
+--R                  5 5 4 6       4 6 5 5       3 7 6 4       2 8 7 3        9 8 2
+--R           - 4410a b c d  - 882a b c d  - 294a b c d  - 126a b c d  - 63a b c d
+--R         + 
+--R                10 9
+--R           - 35b  c d
+--R      *
+--R         x
+--R     + 
+--R              10 10         9     9         8 2 2 8        7 3 3 7       6 4 4 6
+--R       - 2859a  d   + 10152a b c d  - 12987a b c d  + 6534a b c d  - 630a b c d
+--R     + 
+--R             5 5 5 5      4 6 6 4      3 7 7 3     2 8 8 2       9 9      10 10
+--R       - 126a b c d  - 42a b c d  - 18a b c d  - 9a b c d  - 5a b c d - 3b  c
+--R  /
+--R          18 7         17 6       2 16 5       3 15 4       4 14 3       5 13 2
+--R       21b  x  + 147a b  x  + 441a b  x  + 735a b  x  + 735a b  x  + 441a b  x
+--R     + 
+--R           6 12       7 11
+--R       147a b  x + 21a b
+--R                                                    Type: Expression(Integer)
+--E 832
+
+--S 833 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                   3 7 10        2 8   9          9 2 8        10 3 7  7
+--R           (- 2520a b d   + 7560a b c d  - 7560a b c d  + 2520b  c d )x
+--R         + 
+--R                    4 6 10         3 7   9         2 8 2 8           9 3 7  6
+--R           (- 17640a b d   + 52920a b c d  - 52920a b c d  + 17640a b c d )x
+--R         + 
+--R                    5 5 10          4 6   9          3 7 2 8         2 8 3 7  5
+--R           (- 52920a b d   + 158760a b c d  - 158760a b c d  + 52920a b c d )x
+--R         + 
+--R                    6 4 10          5 5   9          4 6 2 8         3 7 3 7  4
+--R           (- 88200a b d   + 264600a b c d  - 264600a b c d  + 88200a b c d )x
+--R         + 
+--R                    7 3 10          6 4   9          5 5 2 8         4 6 3 7  3
+--R           (- 88200a b d   + 264600a b c d  - 264600a b c d  + 88200a b c d )x
+--R         + 
+--R                    8 2 10          7 3   9          6 4 2 8         5 5 3 7  2
+--R           (- 52920a b d   + 158760a b c d  - 158760a b c d  + 52920a b c d )x
+--R         + 
+--R                    9   10         8 2   9         7 3 2 8         6 4 3 7
+--R           (- 17640a b d   + 52920a b c d  - 52920a b c d  + 17640a b c d )x
+--R         + 
+--R                  10 10        9     9        8 2 2 8        7 3 3 7
+--R           - 2520a  d   + 7560a b c d  - 7560a b c d  + 2520a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R         10 10 10           9 10       10   9  9
+--R       7b  d  x   + (- 35a b d   + 105b  c d )x
+--R     + 
+--R            2 8 10         9   9       10 2 8  8
+--R       (315a b d   - 945a b c d  + 945b  c d )x
+--R     + 
+--R             3 7 10        2 8   9          9 2 8  7
+--R       (3773a b d   - 9555a b c d  + 6615a b c d )x
+--R     + 
+--R                4 6 10         3 7   9        2 8 2 8           9 3 7
+--R           8771a b d   - 13965a b c d  - 6615a b c d  + 17640a b c d
+--R         + 
+--R                  10 4 6
+--R           - 4410b  c d
+--R      *
+--R          6
+--R         x
+--R     + 
+--R                 5 5 10         4 6   9         3 7 2 8         2 8 3 7
+--R           - 147a b d   + 37485a b c d  - 99225a b c d  + 79380a b c d
+--R         + 
+--R                     9 4 6        10 5 5
+--R           - 13230a b c d  - 2646b  c d
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                   6 4 10          5 5   9          4 6 2 8          3 7 3 7
+--R           - 29645a b d   + 150675a b c d  - 253575a b c d  + 161700a b c d
+--R         + 
+--R                   2 8 4 6          9 5 5        10 6 4
+--R           - 22050a b c d  - 4410a b c d  - 1470b  c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                   7 3 10          6 4   9          5 5 2 8          4 6 3 7
+--R           - 51695a b d   + 216825a b c d  - 319725a b c d  + 183750a b c d
+--R         + 
+--R                   3 7 4 6        2 8 5 5          9 6 4       10 7 3
+--R           - 22050a b c d  - 4410a b c d  - 1470a b c d  - 630b  c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                   8 2 10          7 3   9          6 4 2 8          5 5 3 7
+--R           - 41601a b d   + 161847a b c d  - 223587a b c d  + 120834a b c d
+--R         + 
+--R                 4 6 4 6        3 7 5 5       2 8 6 4         9 7 3       10 8 2
+--R         - 13230a b c d  - 2646a b c d  - 882a b c d  - 378a b c d  - 189b  c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                   9   10         8 2   9         7 3 2 8         6 4 3 7
+--R           - 16807a b d   + 62769a b c d  - 83349a b c d  + 43218a b c d
+--R         + 
+--R                  5 5 4 6       4 6 5 5       3 7 6 4       2 8 7 3        9 8 2
+--R           - 4410a b c d  - 882a b c d  - 294a b c d  - 126a b c d  - 63a b c d
+--R         + 
+--R                10 9
+--R           - 35b  c d
+--R      *
+--R         x
+--R     + 
+--R              10 10         9     9         8 2 2 8        7 3 3 7       6 4 4 6
+--R       - 2761a  d   + 10047a b c d  - 12987a b c d  + 6534a b c d  - 630a b c d
+--R     + 
+--R             5 5 5 5      4 6 6 4      3 7 7 3     2 8 8 2       9 9      10 10
+--R       - 126a b c d  - 42a b c d  - 18a b c d  - 9a b c d  - 5a b c d - 3b  c
+--R  /
+--R          18 7         17 6       2 16 5       3 15 4       4 14 3       5 13 2
+--R       21b  x  + 147a b  x  + 441a b  x  + 735a b  x  + 735a b  x  + 441a b  x
+--R     + 
+--R           6 12       7 11
+--R       147a b  x + 21a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 833
+
+--S 834 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R           3 10      2     9
+--R        14a d   - 15a b c d
+--R   (4)  --------------------
+--R                  11
+--R                3b
+--R                                                    Type: Expression(Integer)
+--E 834
+
+--S 835 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 835
+
+)clear all
+
+--S 836 of 2952
+t0000:=(c+d*x)^10/(a+b*x)^9
+--R 
+--R
+--R   (1)
+--R        10 10        9 9      2 8 8       3 7 7       4 6 6       5 5 5
+--R       d  x   + 10c d x  + 45c d x  + 120c d x  + 210c d x  + 252c d x
+--R     + 
+--R           6 4 4       7 3 3      8 2 2      9       10
+--R       210c d x  + 120c d x  + 45c d x  + 10c d x + c
+--R  /
+--R        9 9       8 8      2 7 7      3 6 6       4 5 5       5 4 4      6 3 3
+--R       b x  + 9a b x  + 36a b x  + 84a b x  + 126a b x  + 126a b x  + 84a b x
+--R     + 
+--R          7 2 2     8       9
+--R       36a b x  + 9a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 836
+
+--S 837 of 2952
+r0000:=d^9*(10*b*c-9*a*d)*x/b^10+1/2*d^10*x^2/b^9-_
+     1/8*(b*c-a*d)^10/(b^11*(a+b*x)^8)-_
+     10/7*d*(b*c-a*d)^9/(b^11*(a+b*x)^7)-_
+     15/2*d^2*(b*c-a*d)^8/(b^11*(a+b*x)^6)-_
+     24*d^3*(b*c-a*d)^7/(b^11*(a+b*x)^5)-_
+     105/2*d^4*(b*c-a*d)^6/(b^11*(a+b*x)^4)-_
+     84*d^5*(b*c-a*d)^5/(b^11*(a+b*x)^3)-_
+     105*d^6*(b*c-a*d)^4/(b^11*(a+b*x)^2)-_
+     120*d^7*(b*c-a*d)^3/(b^11*(a+b*x))+45*d^8*(b*c-a*d)^2*log(a+b*x)/b^11
+--R 
+--R
+--R   (2)
+--R                 2 8 10          9   9        10 2 8  8
+--R           (2520a b d   - 5040a b c d  + 2520b  c d )x
+--R         + 
+--R                  3 7 10         2 8   9           9 2 8  7
+--R           (20160a b d   - 40320a b c d  + 20160a b c d )x
+--R         + 
+--R                  4 6 10          3 7   9         2 8 2 8  6
+--R           (70560a b d   - 141120a b c d  + 70560a b c d )x
+--R         + 
+--R                   5 5 10          4 6   9          3 7 2 8  5
+--R           (141120a b d   - 282240a b c d  + 141120a b c d )x
+--R         + 
+--R                   6 4 10          5 5   9          4 6 2 8  4
+--R           (176400a b d   - 352800a b c d  + 176400a b c d )x
+--R         + 
+--R                   7 3 10          6 4   9          5 5 2 8  3
+--R           (141120a b d   - 282240a b c d  + 141120a b c d )x
+--R         + 
+--R                  8 2 10          7 3   9         6 4 2 8  2
+--R           (70560a b d   - 141120a b c d  + 70560a b c d )x
+--R         + 
+--R                  9   10         8 2   9         7 3 2 8          10 10
+--R           (20160a b d   - 40320a b c d  + 20160a b c d )x + 2520a  d
+--R         + 
+--R                  9     9        8 2 2 8
+--R           - 5040a b c d  + 2520a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R          10 10 10            9 10       10   9  9
+--R       28b  d  x   + (- 280a b d   + 560b  c d )x
+--R     + 
+--R               2 8 10          9   9  8
+--R       (- 3248a b d   + 4480a b c d )x
+--R     + 
+--R               3 7 10        2 8   9           9 2 8        10 3 7  7
+--R       (- 5824a b d   - 4480a b c d  + 20160a b c d  - 6720b  c d )x
+--R     + 
+--R                 4 6 10         3 7   9          2 8 2 8           9 3 7
+--R           14896a b d   - 86240a b c d  + 105840a b c d  - 23520a b c d
+--R         + 
+--R                  10 4 6
+--R           - 5880b  c d
+--R      *
+--R          6
+--R         x
+--R     + 
+--R                 5 5 10          4 6   9          3 7 2 8         2 8 3 7
+--R           76832a b d   - 266560a b c d  + 258720a b c d  - 47040a b c d
+--R         + 
+--R                     9 4 6        10 5 5
+--R           - 11760a b c d  - 4704b  c d
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                  6 4 10          5 5   9          4 6 2 8         3 7 3 7
+--R           140140a b d   - 421400a b c d  + 367500a b c d  - 58800a b c d
+--R         + 
+--R                   2 8 4 6          9 5 5        10 6 4
+--R           - 14700a b c d  - 5880a b c d  - 2940b  c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                  7 3 10          6 4   9          5 5 2 8         4 6 3 7
+--R           140336a b d   - 393568a b c d  + 322224a b c d  - 47040a b c d
+--R         + 
+--R                   3 7 4 6        2 8 5 5          9 6 4        10 7 3
+--R           - 11760a b c d  - 4704a b c d  - 2352a b c d  - 1344b  c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                 8 2 10          7 3   9          6 4 2 8         5 5 3 7
+--R           81928a b d   - 220304a b c d  + 172872a b c d  - 23520a b c d
+--R         + 
+--R                4 6 4 6        3 7 5 5        2 8 6 4         9 7 3       10 8 2
+--R         - 5880a b c d  - 2352a b c d  - 1176a b c d  - 672a b c d  - 420b  c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                 9   10         8 2   9         7 3 2 8        6 4 3 7
+--R           26288a b d   - 68704a b c d  + 52272a b c d  - 6720a b c d
+--R         + 
+--R                  5 5 4 6       4 6 5 5       3 7 6 4       2 8 7 3
+--R           - 1680a b c d  - 672a b c d  - 336a b c d  - 192a b c d
+--R         + 
+--R                   9 8 2      10 9
+--R           - 120a b c d  - 80b  c d
+--R      *
+--R         x
+--R     + 
+--R            10 10        9     9        8 2 2 8       7 3 3 7       6 4 4 6
+--R       3601a  d   - 9218a b c d  + 6849a b c d  - 840a b c d  - 210a b c d
+--R     + 
+--R          5 5 5 5      4 6 6 4      3 7 7 3      2 8 8 2        9 9      10 10
+--R     - 84a b c d  - 42a b c d  - 24a b c d  - 15a b c d  - 10a b c d - 7b  c
+--R  /
+--R          19 8         18 7        2 17 6        3 16 5        4 15 4
+--R       56b  x  + 448a b  x  + 1568a b  x  + 3136a b  x  + 3920a b  x
+--R     + 
+--R            5 14 3        6 13 2       7 12       8 11
+--R       3136a b  x  + 1568a b  x  + 448a b  x + 56a b
+--R                                                    Type: Expression(Integer)
+--E 837
+
+--S 838 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                 2 8 10          9   9        10 2 8  8
+--R           (2520a b d   - 5040a b c d  + 2520b  c d )x
+--R         + 
+--R                  3 7 10         2 8   9           9 2 8  7
+--R           (20160a b d   - 40320a b c d  + 20160a b c d )x
+--R         + 
+--R                  4 6 10          3 7   9         2 8 2 8  6
+--R           (70560a b d   - 141120a b c d  + 70560a b c d )x
+--R         + 
+--R                   5 5 10          4 6   9          3 7 2 8  5
+--R           (141120a b d   - 282240a b c d  + 141120a b c d )x
+--R         + 
+--R                   6 4 10          5 5   9          4 6 2 8  4
+--R           (176400a b d   - 352800a b c d  + 176400a b c d )x
+--R         + 
+--R                   7 3 10          6 4   9          5 5 2 8  3
+--R           (141120a b d   - 282240a b c d  + 141120a b c d )x
+--R         + 
+--R                  8 2 10          7 3   9         6 4 2 8  2
+--R           (70560a b d   - 141120a b c d  + 70560a b c d )x
+--R         + 
+--R                  9   10         8 2   9         7 3 2 8          10 10
+--R           (20160a b d   - 40320a b c d  + 20160a b c d )x + 2520a  d
+--R         + 
+--R                  9     9        8 2 2 8
+--R           - 5040a b c d  + 2520a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R          10 10 10            9 10       10   9  9
+--R       28b  d  x   + (- 280a b d   + 560b  c d )x
+--R     + 
+--R               2 8 10          9   9  8
+--R       (- 3248a b d   + 4480a b c d )x
+--R     + 
+--R               3 7 10        2 8   9           9 2 8        10 3 7  7
+--R       (- 5824a b d   - 4480a b c d  + 20160a b c d  - 6720b  c d )x
+--R     + 
+--R                 4 6 10         3 7   9          2 8 2 8           9 3 7
+--R           14896a b d   - 86240a b c d  + 105840a b c d  - 23520a b c d
+--R         + 
+--R                  10 4 6
+--R           - 5880b  c d
+--R      *
+--R          6
+--R         x
+--R     + 
+--R                 5 5 10          4 6   9          3 7 2 8         2 8 3 7
+--R           76832a b d   - 266560a b c d  + 258720a b c d  - 47040a b c d
+--R         + 
+--R                     9 4 6        10 5 5
+--R           - 11760a b c d  - 4704b  c d
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                  6 4 10          5 5   9          4 6 2 8         3 7 3 7
+--R           140140a b d   - 421400a b c d  + 367500a b c d  - 58800a b c d
+--R         + 
+--R                   2 8 4 6          9 5 5        10 6 4
+--R           - 14700a b c d  - 5880a b c d  - 2940b  c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                  7 3 10          6 4   9          5 5 2 8         4 6 3 7
+--R           140336a b d   - 393568a b c d  + 322224a b c d  - 47040a b c d
+--R         + 
+--R                   3 7 4 6        2 8 5 5          9 6 4        10 7 3
+--R           - 11760a b c d  - 4704a b c d  - 2352a b c d  - 1344b  c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                 8 2 10          7 3   9          6 4 2 8         5 5 3 7
+--R           81928a b d   - 220304a b c d  + 172872a b c d  - 23520a b c d
+--R         + 
+--R                4 6 4 6        3 7 5 5        2 8 6 4         9 7 3       10 8 2
+--R         - 5880a b c d  - 2352a b c d  - 1176a b c d  - 672a b c d  - 420b  c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                 9   10         8 2   9         7 3 2 8        6 4 3 7
+--R           26288a b d   - 68704a b c d  + 52272a b c d  - 6720a b c d
+--R         + 
+--R                  5 5 4 6       4 6 5 5       3 7 6 4       2 8 7 3
+--R           - 1680a b c d  - 672a b c d  - 336a b c d  - 192a b c d
+--R         + 
+--R                   9 8 2      10 9
+--R           - 120a b c d  - 80b  c d
+--R      *
+--R         x
+--R     + 
+--R            10 10        9     9        8 2 2 8       7 3 3 7       6 4 4 6
+--R       3601a  d   - 9218a b c d  + 6849a b c d  - 840a b c d  - 210a b c d
+--R     + 
+--R          5 5 5 5      4 6 6 4      3 7 7 3      2 8 8 2        9 9      10 10
+--R     - 84a b c d  - 42a b c d  - 24a b c d  - 15a b c d  - 10a b c d - 7b  c
+--R  /
+--R          19 8         18 7        2 17 6        3 16 5        4 15 4
+--R       56b  x  + 448a b  x  + 1568a b  x  + 3136a b  x  + 3920a b  x
+--R     + 
+--R            5 14 3        6 13 2       7 12       8 11
+--R       3136a b  x  + 1568a b  x  + 448a b  x + 56a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 838
+
+--S 839 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 839
+
+--S 840 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 840
+
+)clear all
+
+--S 841 of 2952
+t0000:=(c+d*x)^10/(a+b*x)^10
+--R 
+--R
+--R   (1)
+--R        10 10        9 9      2 8 8       3 7 7       4 6 6       5 5 5
+--R       d  x   + 10c d x  + 45c d x  + 120c d x  + 210c d x  + 252c d x
+--R     + 
+--R           6 4 4       7 3 3      8 2 2      9       10
+--R       210c d x  + 120c d x  + 45c d x  + 10c d x + c
+--R  /
+--R        10 10        9 9      2 8 8       3 7 7       4 6 6       5 5 5
+--R       b  x   + 10a b x  + 45a b x  + 120a b x  + 210a b x  + 252a b x
+--R     + 
+--R           6 4 4       7 3 3      8 2 2      9       10
+--R       210a b x  + 120a b x  + 45a b x  + 10a b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 841
+
+--S 842 of 2952
+r0000:=d^10*x/b^10-1/9*(b*c-a*d)^10/(b^11*(a+b*x)^9)-_
+     5/4*d*(b*c-a*d)^9/(b^11*(a+b*x)^8)-_
+     45/7*d^2*(b*c-a*d)^8/(b^11*(a+b*x)^7)-_
+     20*d^3*(b*c-a*d)^7/(b^11*(a+b*x)^6)-_
+     42*d^4*(b*c-a*d)^6/(b^11*(a+b*x)^5)-_
+     63*d^5*(b*c-a*d)^5/(b^11*(a+b*x)^4)-_
+     70*d^6*(b*c-a*d)^4/(b^11*(a+b*x)^3)-_
+     60*d^7*(b*c-a*d)^3/(b^11*(a+b*x)^2)-_
+     45*d^8*(b*c-a*d)^2/(b^11*(a+b*x))+10*d^9*(b*c-a*d)*log(a+b*x)/b^11
+--R 
+--R
+--R   (2)
+--R                     9 10        10   9  9            2 8 10           9   9  8
+--R           (- 2520a b d   + 2520b  c d )x  + (- 22680a b d   + 22680a b c d )x
+--R         + 
+--R                    3 7 10         2 8   9  7
+--R           (- 90720a b d   + 90720a b c d )x
+--R         + 
+--R                     4 6 10          3 7   9  6
+--R           (- 211680a b d   + 211680a b c d )x
+--R         + 
+--R                     5 5 10          4 6   9  5
+--R           (- 317520a b d   + 317520a b c d )x
+--R         + 
+--R                     6 4 10          5 5   9  4
+--R           (- 317520a b d   + 317520a b c d )x
+--R         + 
+--R                     7 3 10          6 4   9  3
+--R           (- 211680a b d   + 211680a b c d )x
+--R         + 
+--R                    8 2 10         7 3   9  2
+--R           (- 90720a b d   + 90720a b c d )x
+--R         + 
+--R                    9   10         8 2   9          10 10        9     9
+--R           (- 22680a b d   + 22680a b c d )x - 2520a  d   + 2520a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R           10 10 10          9 10 9
+--R       252b  d  x   + 2268a b d  x
+--R     + 
+--R               2 8 10           9   9         10 2 8  8
+--R       (- 2268a b d   + 22680a b c d  - 11340b  c d )x
+--R     + 
+--R                3 7 10          2 8   9           9 2 8         10 3 7  7
+--R       (- 54432a b d   + 136080a b c d  - 45360a b c d  - 15120b  c d )x
+--R     + 
+--R                    4 6 10          3 7   9          2 8 2 8           9 3 7
+--R           - 197568a b d   + 388080a b c d  - 105840a b c d  - 35280a b c d
+--R         + 
+--R                   10 4 6
+--R           - 17640b  c d
+--R      *
+--R          6
+--R         x
+--R     + 
+--R                    5 5 10          4 6   9          3 7 2 8         2 8 3 7
+--R           - 375732a b d   + 661500a b c d  - 158760a b c d  - 52920a b c d
+--R         + 
+--R                     9 4 6         10 5 5
+--R           - 26460a b c d  - 15876b  c d
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                    6 4 10          5 5   9          4 6 2 8         3 7 3 7
+--R           - 439236a b d   + 725004a b c d  - 158760a b c d  - 52920a b c d
+--R         + 
+--R                   2 8 4 6           9 5 5         10 6 4
+--R           - 26460a b c d  - 15876a b c d  - 10584b  c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                    7 3 10          6 4   9          5 5 2 8         4 6 3 7
+--R           - 328104a b d   + 518616a b c d  - 105840a b c d  - 35280a b c d
+--R         + 
+--R                   3 7 4 6         2 8 5 5          9 6 4        10 7 3
+--R           - 17640a b c d  - 10584a b c d  - 7056a b c d  - 5040b  c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                    8 2 10          7 3   9         6 4 2 8         5 5 3 7
+--R           - 153576a b d   + 235224a b c d  - 45360a b c d  - 15120a b c d
+--R         + 
+--R                  4 6 4 6        3 7 5 5        2 8 6 4          9 7 3
+--R           - 7560a b c d  - 4536a b c d  - 3024a b c d  - 2160a b c d
+--R         + 
+--R                  10 8 2
+--R           - 1620b  c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                   9   10         8 2   9         7 3 2 8        6 4 3 7
+--R           - 41229a b d   + 61641a b c d  - 11340a b c d  - 3780a b c d
+--R         + 
+--R                  5 5 4 6        4 6 5 5       3 7 6 4       2 8 7 3
+--R           - 1890a b c d  - 1134a b c d  - 756a b c d  - 540a b c d
+--R         + 
+--R                   9 8 2       10 9
+--R           - 405a b c d  - 315b  c d
+--R      *
+--R         x
+--R     + 
+--R              10 10        9     9        8 2 2 8       7 3 3 7       6 4 4 6
+--R       - 4861a  d   + 7129a b c d  - 1260a b c d  - 420a b c d  - 210a b c d
+--R     + 
+--R           5 5 5 5      4 6 6 4      3 7 7 3      2 8 8 2        9 9       10 10
+--R     - 126a b c d  - 84a b c d  - 60a b c d  - 45a b c d  - 35a b c d - 28b  c
+--R  /
+--R           20 9          19 8        2 18 7         3 17 6         4 16 5
+--R       252b  x  + 2268a b  x  + 9072a b  x  + 21168a b  x  + 31752a b  x
+--R     + 
+--R             5 15 4         6 14 3        7 13 2        8 12        9 11
+--R       31752a b  x  + 21168a b  x  + 9072a b  x  + 2268a b  x + 252a b
+--R                                                    Type: Expression(Integer)
+--E 842
+
+--S 843 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                     9 10        10   9  9            2 8 10           9   9  8
+--R           (- 2520a b d   + 2520b  c d )x  + (- 22680a b d   + 22680a b c d )x
+--R         + 
+--R                    3 7 10         2 8   9  7
+--R           (- 90720a b d   + 90720a b c d )x
+--R         + 
+--R                     4 6 10          3 7   9  6
+--R           (- 211680a b d   + 211680a b c d )x
+--R         + 
+--R                     5 5 10          4 6   9  5
+--R           (- 317520a b d   + 317520a b c d )x
+--R         + 
+--R                     6 4 10          5 5   9  4
+--R           (- 317520a b d   + 317520a b c d )x
+--R         + 
+--R                     7 3 10          6 4   9  3
+--R           (- 211680a b d   + 211680a b c d )x
+--R         + 
+--R                    8 2 10         7 3   9  2
+--R           (- 90720a b d   + 90720a b c d )x
+--R         + 
+--R                    9   10         8 2   9          10 10        9     9
+--R           (- 22680a b d   + 22680a b c d )x - 2520a  d   + 2520a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R           10 10 10          9 10 9
+--R       252b  d  x   + 2268a b d  x
+--R     + 
+--R               2 8 10           9   9         10 2 8  8
+--R       (- 2268a b d   + 22680a b c d  - 11340b  c d )x
+--R     + 
+--R                3 7 10          2 8   9           9 2 8         10 3 7  7
+--R       (- 54432a b d   + 136080a b c d  - 45360a b c d  - 15120b  c d )x
+--R     + 
+--R                    4 6 10          3 7   9          2 8 2 8           9 3 7
+--R           - 197568a b d   + 388080a b c d  - 105840a b c d  - 35280a b c d
+--R         + 
+--R                   10 4 6
+--R           - 17640b  c d
+--R      *
+--R          6
+--R         x
+--R     + 
+--R                    5 5 10          4 6   9          3 7 2 8         2 8 3 7
+--R           - 375732a b d   + 661500a b c d  - 158760a b c d  - 52920a b c d
+--R         + 
+--R                     9 4 6         10 5 5
+--R           - 26460a b c d  - 15876b  c d
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                    6 4 10          5 5   9          4 6 2 8         3 7 3 7
+--R           - 439236a b d   + 725004a b c d  - 158760a b c d  - 52920a b c d
+--R         + 
+--R                   2 8 4 6           9 5 5         10 6 4
+--R           - 26460a b c d  - 15876a b c d  - 10584b  c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                    7 3 10          6 4   9          5 5 2 8         4 6 3 7
+--R           - 328104a b d   + 518616a b c d  - 105840a b c d  - 35280a b c d
+--R         + 
+--R                   3 7 4 6         2 8 5 5          9 6 4        10 7 3
+--R           - 17640a b c d  - 10584a b c d  - 7056a b c d  - 5040b  c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                    8 2 10          7 3   9         6 4 2 8         5 5 3 7
+--R           - 153576a b d   + 235224a b c d  - 45360a b c d  - 15120a b c d
+--R         + 
+--R                  4 6 4 6        3 7 5 5        2 8 6 4          9 7 3
+--R           - 7560a b c d  - 4536a b c d  - 3024a b c d  - 2160a b c d
+--R         + 
+--R                  10 8 2
+--R           - 1620b  c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                   9   10         8 2   9         7 3 2 8        6 4 3 7
+--R           - 41229a b d   + 61641a b c d  - 11340a b c d  - 3780a b c d
+--R         + 
+--R                  5 5 4 6        4 6 5 5       3 7 6 4       2 8 7 3
+--R           - 1890a b c d  - 1134a b c d  - 756a b c d  - 540a b c d
+--R         + 
+--R                   9 8 2       10 9
+--R           - 405a b c d  - 315b  c d
+--R      *
+--R         x
+--R     + 
+--R              10 10        9     9        8 2 2 8       7 3 3 7       6 4 4 6
+--R       - 4861a  d   + 7129a b c d  - 1260a b c d  - 420a b c d  - 210a b c d
+--R     + 
+--R           5 5 5 5      4 6 6 4      3 7 7 3      2 8 8 2        9 9       10 10
+--R     - 126a b c d  - 84a b c d  - 60a b c d  - 45a b c d  - 35a b c d - 28b  c
+--R  /
+--R           20 9          19 8        2 18 7         3 17 6         4 16 5
+--R       252b  x  + 2268a b  x  + 9072a b  x  + 21168a b  x  + 31752a b  x
+--R     + 
+--R             5 15 4         6 14 3        7 13 2        8 12        9 11
+--R       31752a b  x  + 21168a b  x  + 9072a b  x  + 2268a b  x + 252a b
+--R                                         Type: Union(Expression(Integer),...)
+--E 843
+
+--S 844 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 844
+
+--S 845 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 845
+
+)clear all
+
+--S 846 of 2952
+t0000:=(c+d*x)^10/(a+b*x)^11
+--R 
+--R
+--R   (1)
+--R        10 10        9 9      2 8 8       3 7 7       4 6 6       5 5 5
+--R       d  x   + 10c d x  + 45c d x  + 120c d x  + 210c d x  + 252c d x
+--R     + 
+--R           6 4 4       7 3 3      8 2 2      9       10
+--R       210c d x  + 120c d x  + 45c d x  + 10c d x + c
+--R  /
+--R        11 11        10 10      2 9 9       3 8 8       4 7 7       5 6 6
+--R       b  x   + 11a b  x   + 55a b x  + 165a b x  + 330a b x  + 462a b x
+--R     + 
+--R           6 5 5       7 4 4       8 3 3      9 2 2      10       11
+--R       462a b x  + 330a b x  + 165a b x  + 55a b x  + 11a  b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 846
+
+--S 847 of 2952
+r0000:=-1/10*(b*c-a*d)^10/(b^11*(a+b*x)^10)-_
+     10/9*d*(b*c-a*d)^9/(b^11*(a+b*x)^9)-_
+     45/8*d^2*(b*c-a*d)^8/(b^11*(a+b*x)^8)-_
+     120/7*d^3*(b*c-a*d)^7/(b^11*(a+b*x)^7)-_
+     35*d^4*(b*c-a*d)^6/(b^11*(a+b*x)^6)-_
+     252/5*d^5*(b*c-a*d)^5/(b^11*(a+b*x)^5)-_
+     105/2*d^6*(b*c-a*d)^4/(b^11*(a+b*x)^4)-_
+     40*d^7*(b*c-a*d)^3/(b^11*(a+b*x)^3)-_
+     45/2*d^8*(b*c-a*d)^2/(b^11*(a+b*x)^2)-_
+     10*d^9*(b*c-a*d)/(b^11*(a+b*x))+d^10*log(a+b*x)/b^11
+--R 
+--R
+--R   (2)
+--R                10 10 10           9 10 9          2 8 10 8          3 7 10 7
+--R           2520b  d  x   + 25200a b d  x  + 113400a b d  x  + 302400a b d  x
+--R         + 
+--R                  4 6 10 6          5 5 10 5          6 4 10 4          7 3 10 3
+--R           529200a b d  x  + 635040a b d  x  + 529200a b d  x  + 302400a b d  x
+--R         + 
+--R                  8 2 10 2         9   10         10 10
+--R           113400a b d  x  + 25200a b d  x + 2520a  d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                9 10         10   9  9
+--R       (25200a b d   - 25200b  c d )x
+--R     + 
+--R               2 8 10            9   9         10 2 8  8
+--R       (170100a b d   - 113400a b c d  - 56700b  c d )x
+--R     + 
+--R               3 7 10          2 8   9            9 2 8          10 3 7  7
+--R       (554400a b d   - 302400a b c d  - 151200a b c d  - 100800b  c d )x
+--R     + 
+--R                   4 6 10          3 7   9          2 8 2 8            9 3 7
+--R           1102500a b d   - 529200a b c d  - 264600a b c d  - 176400a b c d
+--R         + 
+--R                    10 4 6
+--R           - 132300b  c d
+--R      *
+--R          6
+--R         x
+--R     + 
+--R                   5 5 10          4 6   9          3 7 2 8          2 8 3 7
+--R           1450008a b d   - 635040a b c d  - 317520a b c d  - 211680a b c d
+--R         + 
+--R                      9 4 6          10 5 5
+--R           - 158760a b c d  - 127008b  c d
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                   6 4 10          5 5   9          4 6 2 8          3 7 3 7
+--R           1296540a b d   - 529200a b c d  - 264600a b c d  - 176400a b c d
+--R         + 
+--R                    2 8 4 6            9 5 5         10 6 4
+--R           - 132300a b c d  - 105840a b c d  - 88200b  c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                  7 3 10          6 4   9          5 5 2 8          4 6 3 7
+--R           784080a b d   - 302400a b c d  - 151200a b c d  - 100800a b c d
+--R         + 
+--R                   3 7 4 6         2 8 5 5           9 6 4         10 7 3
+--R           - 75600a b c d  - 60480a b c d  - 50400a b c d  - 43200b  c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                  8 2 10          7 3   9         6 4 2 8         5 5 3 7
+--R           308205a b d   - 113400a b c d  - 56700a b c d  - 37800a b c d
+--R         + 
+--R                   4 6 4 6         3 7 5 5         2 8 6 4           9 7 3
+--R           - 28350a b c d  - 22680a b c d  - 18900a b c d  - 16200a b c d
+--R         + 
+--R                   10 8 2
+--R           - 14175b  c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                 9   10         8 2   9         7 3 2 8        6 4 3 7
+--R           71290a b d   - 25200a b c d  - 12600a b c d  - 8400a b c d
+--R         + 
+--R                  5 5 4 6        4 6 5 5        3 7 6 4        2 8 7 3
+--R           - 6300a b c d  - 5040a b c d  - 4200a b c d  - 3600a b c d
+--R         + 
+--R                    9 8 2        10 9
+--R           - 3150a b c d  - 2800b  c d
+--R      *
+--R         x
+--R     + 
+--R            10 10        9     9        8 2 2 8       7 3 3 7       6 4 4 6
+--R       7381a  d   - 2520a b c d  - 1260a b c d  - 840a b c d  - 630a b c d
+--R     + 
+--R             5 5 5 5       4 6 6 4       3 7 7 3       2 8 8 2         9 9
+--R       - 504a b c d  - 420a b c d  - 360a b c d  - 315a b c d  - 280a b c d
+--R     + 
+--R             10 10
+--R       - 252b  c
+--R  /
+--R            21 10           20 9          2 19 8          3 18 7          4 17 6
+--R       2520b  x   + 25200a b  x  + 113400a b  x  + 302400a b  x  + 529200a b  x
+--R     + 
+--R              5 16 5          6 15 4          7 14 3          8 13 2
+--R       635040a b  x  + 529200a b  x  + 302400a b  x  + 113400a b  x
+--R     + 
+--R             9 12         10 11
+--R       25200a b  x + 2520a  b
+--R                                                    Type: Expression(Integer)
+--E 847
+
+--S 848 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                10 10 10           9 10 9          2 8 10 8          3 7 10 7
+--R           2520b  d  x   + 25200a b d  x  + 113400a b d  x  + 302400a b d  x
+--R         + 
+--R                  4 6 10 6          5 5 10 5          6 4 10 4          7 3 10 3
+--R           529200a b d  x  + 635040a b d  x  + 529200a b d  x  + 302400a b d  x
+--R         + 
+--R                  8 2 10 2         9   10         10 10
+--R           113400a b d  x  + 25200a b d  x + 2520a  d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                9 10         10   9  9
+--R       (25200a b d   - 25200b  c d )x
+--R     + 
+--R               2 8 10            9   9         10 2 8  8
+--R       (170100a b d   - 113400a b c d  - 56700b  c d )x
+--R     + 
+--R               3 7 10          2 8   9            9 2 8          10 3 7  7
+--R       (554400a b d   - 302400a b c d  - 151200a b c d  - 100800b  c d )x
+--R     + 
+--R                   4 6 10          3 7   9          2 8 2 8            9 3 7
+--R           1102500a b d   - 529200a b c d  - 264600a b c d  - 176400a b c d
+--R         + 
+--R                    10 4 6
+--R           - 132300b  c d
+--R      *
+--R          6
+--R         x
+--R     + 
+--R                   5 5 10          4 6   9          3 7 2 8          2 8 3 7
+--R           1450008a b d   - 635040a b c d  - 317520a b c d  - 211680a b c d
+--R         + 
+--R                      9 4 6          10 5 5
+--R           - 158760a b c d  - 127008b  c d
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                   6 4 10          5 5   9          4 6 2 8          3 7 3 7
+--R           1296540a b d   - 529200a b c d  - 264600a b c d  - 176400a b c d
+--R         + 
+--R                    2 8 4 6            9 5 5         10 6 4
+--R           - 132300a b c d  - 105840a b c d  - 88200b  c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                  7 3 10          6 4   9          5 5 2 8          4 6 3 7
+--R           784080a b d   - 302400a b c d  - 151200a b c d  - 100800a b c d
+--R         + 
+--R                   3 7 4 6         2 8 5 5           9 6 4         10 7 3
+--R           - 75600a b c d  - 60480a b c d  - 50400a b c d  - 43200b  c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                  8 2 10          7 3   9         6 4 2 8         5 5 3 7
+--R           308205a b d   - 113400a b c d  - 56700a b c d  - 37800a b c d
+--R         + 
+--R                   4 6 4 6         3 7 5 5         2 8 6 4           9 7 3
+--R           - 28350a b c d  - 22680a b c d  - 18900a b c d  - 16200a b c d
+--R         + 
+--R                   10 8 2
+--R           - 14175b  c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                 9   10         8 2   9         7 3 2 8        6 4 3 7
+--R           71290a b d   - 25200a b c d  - 12600a b c d  - 8400a b c d
+--R         + 
+--R                  5 5 4 6        4 6 5 5        3 7 6 4        2 8 7 3
+--R           - 6300a b c d  - 5040a b c d  - 4200a b c d  - 3600a b c d
+--R         + 
+--R                    9 8 2        10 9
+--R           - 3150a b c d  - 2800b  c d
+--R      *
+--R         x
+--R     + 
+--R            10 10        9     9        8 2 2 8       7 3 3 7       6 4 4 6
+--R       7381a  d   - 2520a b c d  - 1260a b c d  - 840a b c d  - 630a b c d
+--R     + 
+--R             5 5 5 5       4 6 6 4       3 7 7 3       2 8 8 2         9 9
+--R       - 504a b c d  - 420a b c d  - 360a b c d  - 315a b c d  - 280a b c d
+--R     + 
+--R             10 10
+--R       - 252b  c
+--R  /
+--R            21 10           20 9          2 19 8          3 18 7          4 17 6
+--R       2520b  x   + 25200a b  x  + 113400a b  x  + 302400a b  x  + 529200a b  x
+--R     + 
+--R              5 16 5          6 15 4          7 14 3          8 13 2
+--R       635040a b  x  + 529200a b  x  + 302400a b  x  + 113400a b  x
+--R     + 
+--R             9 12         10 11
+--R       25200a b  x + 2520a  b
+--R                                         Type: Union(Expression(Integer),...)
+--E 848
+
+--S 849 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 849
+
+--S 850 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 850
+
+)clear all
+
+--S 851 of 2952
+t0000:=(c+d*x)^10/(a+b*x)^12
+--R 
+--R
+--R   (1)
+--R        10 10        9 9      2 8 8       3 7 7       4 6 6       5 5 5
+--R       d  x   + 10c d x  + 45c d x  + 120c d x  + 210c d x  + 252c d x
+--R     + 
+--R           6 4 4       7 3 3      8 2 2      9       10
+--R       210c d x  + 120c d x  + 45c d x  + 10c d x + c
+--R  /
+--R        12 12        11 11      2 10 10       3 9 9       4 8 8       5 7 7
+--R       b  x   + 12a b  x   + 66a b  x   + 220a b x  + 495a b x  + 792a b x
+--R     + 
+--R         6 6 6       7 5 5       8 4 4       9 3 3      10 2 2      11       12
+--R     924a b x  + 792a b x  + 495a b x  + 220a b x  + 66a  b x  + 12a  b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 851
+
+--S 852 of 2952
+r0000:=-1/11*(c+d*x)^11/((b*c-a*d)*(a+b*x)^11)
+--R 
+--R
+--R   (2)
+--R        1  11 11      10 10     2 9 9      3 8 8      4 7 7      5 6 6
+--R       -- d  x   + c d  x   + 5c d x  + 15c d x  + 30c d x  + 42c d x
+--R       11
+--R     + 
+--R          6 5 5      7 4 4      8 3 3     9 2 2    10       1  11
+--R       42c d x  + 30c d x  + 15c d x  + 5c d x  + c  d x + -- c
+--R                                                           11
+--R  /
+--R           11     12   11       2 10         11   10       3 9       2 10   9
+--R       (a b  d - b  c)x   + (11a b  d - 11a b  c)x   + (55a b d - 55a b  c)x
+--R     + 
+--R            4 8        3 9   8        5 7        4 8   7
+--R       (165a b d - 165a b c)x  + (330a b d - 330a b c)x
+--R     + 
+--R            6 6        5 7   6        7 5        6 6   5
+--R       (462a b d - 462a b c)x  + (462a b d - 462a b c)x
+--R     + 
+--R            8 4        7 5   4        9 3        8 4   3
+--R       (330a b d - 330a b c)x  + (165a b d - 165a b c)x
+--R     + 
+--R           10 2       9 3   2       11         10 2       12     11
+--R       (55a  b d - 55a b c)x  + (11a  b d - 11a  b c)x + a  d - a  b c
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 852
+
+--S 853 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R            10 10 10           9 10      10   9  9
+--R       - 11b  d  x   + (- 55a b d   - 55b  c d )x
+--R     + 
+--R              2 8 10         9   9       10 2 8  8
+--R       (- 165a b d   - 165a b c d  - 165b  c d )x
+--R     + 
+--R              3 7 10       2 8   9         9 2 8       10 3 7  7
+--R       (- 330a b d   - 330a b c d  - 330a b c d  - 330b  c d )x
+--R     + 
+--R              4 6 10       3 7   9       2 8 2 8         9 3 7       10 4 6  6
+--R       (- 462a b d   - 462a b c d  - 462a b c d  - 462a b c d  - 462b  c d )x
+--R     + 
+--R                 5 5 10       4 6   9       3 7 2 8       2 8 3 7         9 4 6
+--R           - 462a b d   - 462a b c d  - 462a b c d  - 462a b c d  - 462a b c d
+--R         + 
+--R                 10 5 5
+--R           - 462b  c d
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                 6 4 10       5 5   9       4 6 2 8       3 7 3 7       2 8 4 6
+--R           - 330a b d   - 330a b c d  - 330a b c d  - 330a b c d  - 330a b c d
+--R         + 
+--R                   9 5 5       10 6 4
+--R           - 330a b c d  - 330b  c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                 7 3 10       6 4   9       5 5 2 8       4 6 3 7       3 7 4 6
+--R           - 165a b d   - 165a b c d  - 165a b c d  - 165a b c d  - 165a b c d
+--R         + 
+--R                 2 8 5 5         9 6 4       10 7 3
+--R           - 165a b c d  - 165a b c d  - 165b  c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                8 2 10      7 3   9      6 4 2 8      5 5 3 7      4 6 4 6
+--R           - 55a b d   - 55a b c d  - 55a b c d  - 55a b c d  - 55a b c d
+--R         + 
+--R                3 7 5 5      2 8 6 4        9 7 3      10 8 2
+--R           - 55a b c d  - 55a b c d  - 55a b c d  - 55b  c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                9   10      8 2   9      7 3 2 8      6 4 3 7      5 5 4 6
+--R           - 11a b d   - 11a b c d  - 11a b c d  - 11a b c d  - 11a b c d
+--R         + 
+--R                4 6 5 5      3 7 6 4      2 8 7 3        9 8 2      10 9
+--R           - 11a b c d  - 11a b c d  - 11a b c d  - 11a b c d  - 11b  c d
+--R      *
+--R         x
+--R     + 
+--R          10 10    9     9    8 2 2 8    7 3 3 7    6 4 4 6    5 5 5 5
+--R       - a  d   - a b c d  - a b c d  - a b c d  - a b c d  - a b c d
+--R     + 
+--R          4 6 6 4    3 7 7 3    2 8 8 2      9 9     10 10
+--R       - a b c d  - a b c d  - a b c d  - a b c d - b  c
+--R  /
+--R          22 11         21 10       2 20 9        3 19 8        4 18 7
+--R       11b  x   + 121a b  x   + 605a b  x  + 1815a b  x  + 3630a b  x
+--R     + 
+--R            5 17 6        6 16 5        7 15 4        8 14 3       9 13 2
+--R       5082a b  x  + 5082a b  x  + 3630a b  x  + 1815a b  x  + 605a b  x
+--R     + 
+--R           10 12       11 11
+--R       121a  b  x + 11a  b
+--R                                         Type: Union(Expression(Integer),...)
+--E 853
+
+--S 854 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R                  11
+--R                 d
+--R   (4)  - -----------------
+--R               11       12
+--R          11a b  d - 11b  c
+--R                                                    Type: Expression(Integer)
+--E 854
+
+--S 855 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 855
+
+)clear all
+
+--S 856 of 2952
+t0000:=(c+d*x)^10/(a+b*x)^13
+--R 
+--R
+--R   (1)
+--R        10 10        9 9      2 8 8       3 7 7       4 6 6       5 5 5
+--R       d  x   + 10c d x  + 45c d x  + 120c d x  + 210c d x  + 252c d x
+--R     + 
+--R           6 4 4       7 3 3      8 2 2      9       10
+--R       210c d x  + 120c d x  + 45c d x  + 10c d x + c
+--R  /
+--R        13 13        12 12      2 11 11       3 10 10       4 9 9        5 8 8
+--R       b  x   + 13a b  x   + 78a b  x   + 286a b  x   + 715a b x  + 1287a b x
+--R     + 
+--R            6 7 7        7 6 6        8 5 5       9 4 4       10 3 3      11 2 2
+--R       1716a b x  + 1716a b x  + 1287a b x  + 715a b x  + 286a  b x  + 78a  b x
+--R     + 
+--R          12       13
+--R       13a  b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 856
+
+--S 857 of 2952
+r0000:=-1/12*(c+d*x)^11/((b*c-a*d)*(a+b*x)^12)+_
+     1/132*d*(c+d*x)^11/((b*c-a*d)^2*(a+b*x)^11)
+--R 
+--R
+--R   (2)
+--R        1     12 12    1    12 11         11   1    2 10  10
+--R       --- b d  x   + -- a d  x   + (a c d   - - b c d  )x
+--R       132            11                       2
+--R     + 
+--R            2 10   10    3 9  9         3 9   45    4 8  8
+--R       (5a c d   - -- b c d )x  + (15a c d  - -- b c d )x
+--R                    3                          4
+--R     + 
+--R             4 8        5 7  7         5 7        6 6  6
+--R       (30a c d  - 24b c d )x  + (42a c d  - 35b c d )x
+--R     + 
+--R             6 6        7 5  5         7 5   105    8 4  4
+--R       (42a c d  - 36b c d )x  + (30a c d  - --- b c d )x
+--R                                              4
+--R     + 
+--R             8 4   40    9 3  3        9 3   9    10 2  2
+--R       (15a c d  - -- b c d )x  + (5a c d  - - b c  d )x
+--R                    3                        2
+--R     + 
+--R           10 2   10    11       1    11     1    12
+--R       (a c  d  - -- b c  d)x + -- a c  d - -- b c
+--R                  11            11          12
+--R  /
+--R         2 12 2       13       14 2  12
+--R       (a b  d  - 2a b  c d + b  c )x
+--R     + 
+--R           3 11 2      2 12           13 2  11
+--R       (12a b  d  - 24a b  c d + 12a b  c )x
+--R     + 
+--R           4 10 2       3 11         2 12 2  10
+--R       (66a b  d  - 132a b  c d + 66a b  c )x
+--R     + 
+--R            5 9 2       4 10          3 11 2  9
+--R       (220a b d  - 440a b  c d + 220a b  c )x
+--R     + 
+--R            6 8 2       5 9          4 10 2  8
+--R       (495a b d  - 990a b c d + 495a b  c )x
+--R     + 
+--R            7 7 2        6 8          5 9 2  7
+--R       (792a b d  - 1584a b c d + 792a b c )x
+--R     + 
+--R            8 6 2        7 7          6 8 2  6
+--R       (924a b d  - 1848a b c d + 924a b c )x
+--R     + 
+--R            9 5 2        8 6          7 7 2  5
+--R       (792a b d  - 1584a b c d + 792a b c )x
+--R     + 
+--R            10 4 2       9 5          8 6 2  4
+--R       (495a  b d  - 990a b c d + 495a b c )x
+--R     + 
+--R            11 3 2       10 4          9 5 2  3
+--R       (220a  b d  - 440a  b c d + 220a b c )x
+--R     + 
+--R           12 2 2       11 3         10 4 2  2
+--R       (66a  b d  - 132a  b c d + 66a  b c )x
+--R     + 
+--R           13   2      12 2         11 3 2      14 2     13         12 2 2
+--R       (12a  b d  - 24a  b c d + 12a  b c )x + a  d  - 2a  b c d + a  b c
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 857
+
+--S 858 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R            10 10 10            9 10       10   9  9
+--R       - 66b  d  x   + (- 220a b d   - 440b  c d )x
+--R     + 
+--R              2 8 10         9   9        10 2 8  8
+--R       (- 495a b d   - 990a b c d  - 1485b  c d )x
+--R     + 
+--R              3 7 10        2 8   9          9 2 8        10 3 7  7
+--R       (- 792a b d   - 1584a b c d  - 2376a b c d  - 3168b  c d )x
+--R     + 
+--R                   4 6 10        3 7   9        2 8 2 8          9 3 7
+--R             - 924a b d   - 1848a b c d  - 2772a b c d  - 3696a b c d
+--R           + 
+--R                    10 4 6
+--R             - 4620b  c d
+--R      *
+--R          6
+--R         x
+--R     + 
+--R                 5 5 10        4 6   9        3 7 2 8        2 8 3 7
+--R           - 792a b d   - 1584a b c d  - 2376a b c d  - 3168a b c d
+--R         + 
+--R                    9 4 6        10 5 5
+--R           - 3960a b c d  - 4752b  c d
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                 6 4 10       5 5   9        4 6 2 8        3 7 3 7
+--R           - 495a b d   - 990a b c d  - 1485a b c d  - 1980a b c d
+--R         + 
+--R                  2 8 4 6          9 5 5        10 6 4
+--R           - 2475a b c d  - 2970a b c d  - 3465b  c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                 7 3 10       6 4   9       5 5 2 8       4 6 3 7        3 7 4 6
+--R           - 220a b d   - 440a b c d  - 660a b c d  - 880a b c d  - 1100a b c d
+--R         + 
+--R                  2 8 5 5          9 6 4        10 7 3
+--R           - 1320a b c d  - 1540a b c d  - 1760b  c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                8 2 10       7 3   9       6 4 2 8       5 5 3 7       4 6 4 6
+--R           - 66a b d   - 132a b c d  - 198a b c d  - 264a b c d  - 330a b c d
+--R         + 
+--R                 3 7 5 5       2 8 6 4         9 7 3       10 8 2
+--R           - 396a b c d  - 462a b c d  - 528a b c d  - 594b  c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                9   10      8 2   9      7 3 2 8      6 4 3 7      5 5 4 6
+--R           - 12a b d   - 24a b c d  - 36a b c d  - 48a b c d  - 60a b c d
+--R         + 
+--R                4 6 5 5      3 7 6 4      2 8 7 3         9 8 2       10 9
+--R           - 72a b c d  - 84a b c d  - 96a b c d  - 108a b c d  - 120b  c d
+--R      *
+--R         x
+--R     + 
+--R          10 10     9     9     8 2 2 8     7 3 3 7     6 4 4 6     5 5 5 5
+--R       - a  d   - 2a b c d  - 3a b c d  - 4a b c d  - 5a b c d  - 6a b c d
+--R     + 
+--R           4 6 6 4     3 7 7 3     2 8 8 2        9 9       10 10
+--R       - 7a b c d  - 8a b c d  - 9a b c d  - 10a b c d - 11b  c
+--R  /
+--R           23 12          22 11        2 21 10         3 20 9         4 19 8
+--R       132b  x   + 1584a b  x   + 8712a b  x   + 29040a b  x  + 65340a b  x
+--R     + 
+--R              5 18 7          6 17 6          7 16 5         8 15 4
+--R       104544a b  x  + 121968a b  x  + 104544a b  x  + 65340a b  x
+--R     + 
+--R             9 14 3        10 13 2        11 12        12 11
+--R       29040a b  x  + 8712a  b  x  + 1584a  b  x + 132a  b
+--R                                         Type: Union(Expression(Integer),...)
+--E 858
+
+--S 859 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R                           12
+--R                          d
+--R   (4)  - -----------------------------------
+--R              2 11 2         12          13 2
+--R          132a b  d  - 264a b  c d + 132b  c
+--R                                                    Type: Expression(Integer)
+--E 859
+
+--S 860 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 860
+
+)clear all
+
+--S 861 of 2952
+t0000:=(c+d*x)^10/(a+b*x)^14
+--R 
+--R
+--R   (1)
+--R        10 10        9 9      2 8 8       3 7 7       4 6 6       5 5 5
+--R       d  x   + 10c d x  + 45c d x  + 120c d x  + 210c d x  + 252c d x
+--R     + 
+--R           6 4 4       7 3 3      8 2 2      9       10
+--R       210c d x  + 120c d x  + 45c d x  + 10c d x + c
+--R  /
+--R        14 14        13 13      2 12 12       3 11 11        4 10 10
+--R       b  x   + 14a b  x   + 91a b  x   + 364a b  x   + 1001a b  x
+--R     + 
+--R            5 9 9        6 8 8        7 7 7        8 6 6        9 5 5
+--R       2002a b x  + 3003a b x  + 3432a b x  + 3003a b x  + 2002a b x
+--R     + 
+--R            10 4 4       11 3 3      12 2 2      13       14
+--R       1001a  b x  + 364a  b x  + 91a  b x  + 14a  b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 861
+
+--S 862 of 2952
+r0000:=-1/13*(c+d*x)^11/((b*c-a*d)*(a+b*x)^13)+_
+     1/78*d*(c+d*x)^11/((b*c-a*d)^2*(a+b*x)^12)-_
+     1/858*d^2*(c+d*x)^11/((b*c-a*d)^3*(a+b*x)^11)
+--R 
+--R
+--R   (2)
+--R        1   2 13 13    1      13 12    1  2 13 11
+--R       --- b d  x   + -- a b d  x   + -- a d  x
+--R       858            66              11
+--R     + 
+--R         2   12        2 11   1  2 3 10  10
+--R       (a c d   - a b c d   + - b c d  )x
+--R                              3
+--R     + 
+--R          2 2 11   20      3 10   5  2 4 9  9
+--R       (5a c d   - -- a b c d   + - b c d )x
+--R                    3             2
+--R     + 
+--R           2 3 10   45      4 9     2 5 8  8
+--R       (15a c d   - -- a b c d  + 9b c d )x
+--R                     2
+--R     + 
+--R           2 4 9          5 8      2 6 7  7
+--R       (30a c d  - 48a b c d  + 20b c d )x
+--R     + 
+--R           2 5 8          6 7      2 7 6  6
+--R       (42a c d  - 70a b c d  + 30b c d )x
+--R     + 
+--R           2 6 7          7 6   63  2 8 5  5
+--R       (42a c d  - 72a b c d  + -- b c d )x
+--R                                 2
+--R     + 
+--R           2 7 6   105      8 5   70  2 9 4  4
+--R       (30a c d  - --- a b c d  + -- b c d )x
+--R                    2              3
+--R     + 
+--R           2 8 5   80      9 4      2 10 3  3
+--R       (15a c d  - -- a b c d  + 12b c  d )x
+--R                    3
+--R     + 
+--R          2 9 4         10 3   45  2 11 2  2
+--R       (5a c d  - 9a b c  d  + -- b c  d )x
+--R                               11
+--R     + 
+--R       2 10 3   20      11 2   5  2 12       1  2 11 2   1      12     1  2 13
+--R     (a c  d  - -- a b c  d  + - b c  d)x + -- a c  d  - - a b c  d + -- b c
+--R                11             6            11           6            13
+--R  /
+--R         3 13 3     2 14   2       15 2     16 3  13
+--R       (a b  d  - 3a b  c d  + 3a b  c d - b  c )x
+--R     + 
+--R           4 12 3      3 13   2      2 14 2         15 3  12
+--R       (13a b  d  - 39a b  c d  + 39a b  c d - 13a b  c )x
+--R     + 
+--R           5 11 3       4 12   2       3 13 2       2 14 3  11
+--R       (78a b  d  - 234a b  c d  + 234a b  c d - 78a b  c )x
+--R     + 
+--R            6 10 3       5 11   2       4 12 2        3 13 3  10
+--R       (286a b  d  - 858a b  c d  + 858a b  c d - 286a b  c )x
+--R     + 
+--R            7 9 3        6 10   2        5 11 2        4 12 3  9
+--R       (715a b d  - 2145a b  c d  + 2145a b  c d - 715a b  c )x
+--R     + 
+--R             8 8 3        7 9   2        6 10 2         5 11 3  8
+--R       (1287a b d  - 3861a b c d  + 3861a b  c d - 1287a b  c )x
+--R     + 
+--R             9 7 3        8 8   2        7 9 2         6 10 3  7
+--R       (1716a b d  - 5148a b c d  + 5148a b c d - 1716a b  c )x
+--R     + 
+--R             10 6 3        9 7   2        8 8 2         7 9 3  6
+--R       (1716a  b d  - 5148a b c d  + 5148a b c d - 1716a b c )x
+--R     + 
+--R             11 5 3        10 6   2        9 7 2         8 8 3  5
+--R       (1287a  b d  - 3861a  b c d  + 3861a b c d - 1287a b c )x
+--R     + 
+--R            12 4 3        11 5   2        10 6 2        9 7 3  4
+--R       (715a  b d  - 2145a  b c d  + 2145a  b c d - 715a b c )x
+--R     + 
+--R            13 3 3       12 4   2       11 5 2        10 6 3  3
+--R       (286a  b d  - 858a  b c d  + 858a  b c d - 286a  b c )x
+--R     + 
+--R           14 2 3       13 3   2       12 4 2       11 5 3  2
+--R       (78a  b d  - 234a  b c d  + 234a  b c d - 78a  b c )x
+--R     + 
+--R           15   3      14 2   2      13 3 2       12 4 3      16 3     15     2
+--R       (13a  b d  - 39a  b c d  + 39a  b c d - 13a  b c )x + a  d  - 3a  b c d
+--R     + 
+--R         14 2 2     13 3 3
+--R       3a  b c d - a  b c
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 862
+
+--S 863 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R             10 10 10            9 10        10   9  9
+--R       - 286b  d  x   + (- 715a b d   - 2145b  c d )x
+--R     + 
+--R               2 8 10          9   9        10 2 8  8
+--R       (- 1287a b d   - 3861a b c d  - 7722b  c d )x
+--R     + 
+--R               3 7 10        2 8   9           9 2 8         10 3 7  7
+--R       (- 1716a b d   - 5148a b c d  - 10296a b c d  - 17160b  c d )x
+--R     + 
+--R                  4 6 10        3 7   9         2 8 2 8           9 3 7
+--R           - 1716a b d   - 5148a b c d  - 10296a b c d  - 17160a b c d
+--R         + 
+--R                   10 4 6
+--R           - 25740b  c d
+--R      *
+--R          6
+--R         x
+--R     + 
+--R                  5 5 10        4 6   9        3 7 2 8         2 8 3 7
+--R           - 1287a b d   - 3861a b c d  - 7722a b c d  - 12870a b c d
+--R         + 
+--R                     9 4 6         10 5 5
+--R           - 19305a b c d  - 27027b  c d
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                 6 4 10        5 5   9        4 6 2 8        3 7 3 7
+--R           - 715a b d   - 2145a b c d  - 4290a b c d  - 7150a b c d
+--R         + 
+--R                   2 8 4 6           9 5 5         10 6 4
+--R           - 10725a b c d  - 15015a b c d  - 20020b  c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                 7 3 10       6 4   9        5 5 2 8        4 6 3 7
+--R           - 286a b d   - 858a b c d  - 1716a b c d  - 2860a b c d
+--R         + 
+--R                  3 7 4 6        2 8 5 5          9 6 4         10 7 3
+--R           - 4290a b c d  - 6006a b c d  - 8008a b c d  - 10296b  c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                8 2 10       7 3   9       6 4 2 8       5 5 3 7        4 6 4 6
+--R           - 78a b d   - 234a b c d  - 468a b c d  - 780a b c d  - 1170a b c d
+--R         + 
+--R                  3 7 5 5        2 8 6 4          9 7 3        10 8 2
+--R           - 1638a b c d  - 2184a b c d  - 2808a b c d  - 3510b  c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                9   10      8 2   9      7 3 2 8       6 4 3 7       5 5 4 6
+--R           - 13a b d   - 39a b c d  - 78a b c d  - 130a b c d  - 195a b c d
+--R         + 
+--R                 4 6 5 5       3 7 6 4       2 8 7 3         9 8 2       10 9
+--R           - 273a b c d  - 364a b c d  - 468a b c d  - 585a b c d  - 715b  c d
+--R      *
+--R         x
+--R     + 
+--R          10 10     9     9     8 2 2 8      7 3 3 7      6 4 4 6      5 5 5 5
+--R       - a  d   - 3a b c d  - 6a b c d  - 10a b c d  - 15a b c d  - 21a b c d
+--R     + 
+--R            4 6 6 4      3 7 7 3      2 8 8 2        9 9       10 10
+--R       - 28a b c d  - 36a b c d  - 45a b c d  - 55a b c d - 66b  c
+--R  /
+--R           24 13           23 12         2 22 11          3 21 10
+--R       858b  x   + 11154a b  x   + 66924a b  x   + 245388a b  x
+--R     + 
+--R              4 20 9           5 19 8           6 18 7           7 17 6
+--R       613470a b  x  + 1104246a b  x  + 1472328a b  x  + 1472328a b  x
+--R     + 
+--R               8 16 5          9 15 4          10 14 3         11 13 2
+--R       1104246a b  x  + 613470a b  x  + 245388a  b  x  + 66924a  b  x
+--R     + 
+--R             12 12        13 11
+--R       11154a  b  x + 858a  b
+--R                                         Type: Union(Expression(Integer),...)
+--E 863
+
+--S 864 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R                                    13
+--R                                   d
+--R   (4)  - ----------------------------------------------------
+--R              3 11 3        2 12   2          13 2        14 3
+--R          858a b  d  - 2574a b  c d  + 2574a b  c d - 858b  c
+--R                                                    Type: Expression(Integer)
+--E 864
+
+--S 865 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 865
+
+)clear all
+
+--S 866 of 2952
+t0000:=(c+d*x)^10/(a+b*x)^15
+--R 
+--R
+--R   (1)
+--R        10 10        9 9      2 8 8       3 7 7       4 6 6       5 5 5
+--R       d  x   + 10c d x  + 45c d x  + 120c d x  + 210c d x  + 252c d x
+--R     + 
+--R           6 4 4       7 3 3      8 2 2      9       10
+--R       210c d x  + 120c d x  + 45c d x  + 10c d x + c
+--R  /
+--R        15 15        14 14       2 13 13       3 12 12        4 11 11
+--R       b  x   + 15a b  x   + 105a b  x   + 455a b  x   + 1365a b  x
+--R     + 
+--R            5 10 10        6 9 9        7 8 8        8 7 7        9 6 6
+--R       3003a b  x   + 5005a b x  + 6435a b x  + 6435a b x  + 5005a b x
+--R     + 
+--R            10 5 5        11 4 4       12 3 3       13 2 2      14       15
+--R       3003a  b x  + 1365a  b x  + 455a  b x  + 105a  b x  + 15a  b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 866
+
+--S 867 of 2952
+r0000:=-1/14*(c+d*x)^11/((b*c-a*d)*(a+b*x)^14)+_
+     3/182*d*(c+d*x)^11/((b*c-a*d)^2*(a+b*x)^13)-_
+     1/364*d^2*(c+d*x)^11/((b*c-a*d)^3*(a+b*x)^12)+_
+     1/4004*d^3*(c+d*x)^11/((b*c-a*d)^4*(a+b*x)^11)
+--R 
+--R
+--R   (2)
+--R         1   3 14 14    1     2 14 13    1  2   14 12    1  3 14 11
+--R       ---- b d  x   + --- a b d  x   + -- a b d  x   + -- a d  x
+--R       4004            286              44              11
+--R     + 
+--R         3   13   3  2   2 12      2 3 11   1  3 4 10  10
+--R       (a c d   - - a b c d   + a b c d   - - b c d  )x
+--R                  2                         4
+--R     + 
+--R          3 2 12      2   3 11   15    2 4 10     3 5 9  9
+--R       (5a c d   - 10a b c d   + -- a b c d   - 2b c d )x
+--R                                  2
+--R     + 
+--R           3 3 11   135  2   4 10        2 5 9   15  3 6 8  8
+--R       (15a c d   - --- a b c d   + 27a b c d  - -- b c d )x
+--R                     4                            2
+--R     + 
+--R           3 4 10      2   5 9        2 6 8   120  3 7 7  7
+--R       (30a c d   - 72a b c d  + 60a b c d  - --- b c d )x
+--R                                               7
+--R     + 
+--R           3 5 9       2   6 8        2 7 7   105  3 8 6  6
+--R       (42a c d  - 105a b c d  + 90a b c d  - --- b c d )x
+--R                                               4
+--R     + 
+--R           3 6 8       2   7 7   189    2 8 6      3 9 5  5
+--R       (42a c d  - 108a b c d  + --- a b c d  - 28b c d )x
+--R                                  2
+--R     + 
+--R           3 7 7   315  2   8 6        2 9 5      3 10 4  4
+--R       (30a c d  - --- a b c d  + 70a b c d  - 21b c  d )x
+--R                    4
+--R     + 
+--R           3 8 6      2   9 5        2 10 4   120  3 11 3  3
+--R       (15a c d  - 40a b c d  + 36a b c  d  - --- b c  d )x
+--R                                               11
+--R     + 
+--R          3 9 5   27  2   10 4   135    2 11 3   15  3 12 2  2
+--R       (5a c d  - -- a b c  d  + --- a b c  d  - -- b c  d )x
+--R                   2              11              4
+--R     + 
+--R         3 10 4   30  2   11 3   5    2 12 2   10  3 13       1  3 11 3
+--R       (a c  d  - -- a b c  d  + - a b c  d  - -- b c  d)x + -- a c  d
+--R                  11             2             13            11
+--R     + 
+--R         1  2   12 2    3    2 13     1  3 14
+--R       - - a b c  d  + -- a b c  d - -- b c
+--R         4             13            14
+--R  /
+--R         4 14 4     3 15   3     2 16 2 2       17 3     18 4  14
+--R       (a b  d  - 4a b  c d  + 6a b  c d  - 4a b  c d + b  c )x
+--R     + 
+--R           5 13 4      4 14   3      3 15 2 2      2 16 3         17 4  13
+--R       (14a b  d  - 56a b  c d  + 84a b  c d  - 56a b  c d + 14a b  c )x
+--R     + 
+--R           6 12 4       5 13   3       4 14 2 2       3 15 3       2 16 4  12
+--R       (91a b  d  - 364a b  c d  + 546a b  c d  - 364a b  c d + 91a b  c )x
+--R     + 
+--R                 7 11 4        6 12   3        5 13 2 2        4 14 3
+--R             364a b  d  - 1456a b  c d  + 2184a b  c d  - 1456a b  c d
+--R           + 
+--R                 3 15 4
+--R             364a b  c
+--R      *
+--R          11
+--R         x
+--R     + 
+--R                8 10 4        7 11   3        6 12 2 2        5 13 3
+--R           1001a b  d  - 4004a b  c d  + 6006a b  c d  - 4004a b  c d
+--R         + 
+--R                4 14 4
+--R           1001a b  c
+--R      *
+--R          10
+--R         x
+--R     + 
+--R                9 9 4        8 10   3         7 11 2 2        6 12 3
+--R           2002a b d  - 8008a b  c d  + 12012a b  c d  - 8008a b  c d
+--R         + 
+--R                5 13 4
+--R           2002a b  c
+--R      *
+--R          9
+--R         x
+--R     + 
+--R                10 8 4         9 9   3         8 10 2 2         7 11 3
+--R           3003a  b d  - 12012a b c d  + 18018a b  c d  - 12012a b  c d
+--R         + 
+--R                6 12 4
+--R           3003a b  c
+--R      *
+--R          8
+--R         x
+--R     + 
+--R                11 7 4         10 8   3         9 9 2 2         8 10 3
+--R           3432a  b d  - 13728a  b c d  + 20592a b c d  - 13728a b  c d
+--R         + 
+--R                7 11 4
+--R           3432a b  c
+--R      *
+--R          7
+--R         x
+--R     + 
+--R                12 6 4         11 7   3         10 8 2 2         9 9 3
+--R           3003a  b d  - 12012a  b c d  + 18018a  b c d  - 12012a b c d
+--R         + 
+--R                8 10 4
+--R           3003a b  c
+--R      *
+--R          6
+--R         x
+--R     + 
+--R                13 5 4        12 6   3         11 7 2 2        10 8 3
+--R           2002a  b d  - 8008a  b c d  + 12012a  b c d  - 8008a  b c d
+--R         + 
+--R                9 9 4
+--R           2002a b c
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                14 4 4        13 5   3        12 6 2 2        11 7 3
+--R           1001a  b d  - 4004a  b c d  + 6006a  b c d  - 4004a  b c d
+--R         + 
+--R                10 8 4
+--R           1001a  b c
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                 15 3 4        14 4   3        13 5 2 2        12 6 3
+--R             364a  b d  - 1456a  b c d  + 2184a  b c d  - 1456a  b c d
+--R           + 
+--R                 11 7 4
+--R             364a  b c
+--R      *
+--R          3
+--R         x
+--R     + 
+--R           16 2 4       15 3   3       14 4 2 2       13 5 3       12 6 4  2
+--R       (91a  b d  - 364a  b c d  + 546a  b c d  - 364a  b c d + 91a  b c )x
+--R     + 
+--R           17   4      16 2   3      15 3 2 2      14 4 3       13 5 4      18 4
+--R       (14a  b d  - 56a  b c d  + 84a  b c d  - 56a  b c d + 14a  b c )x + a  d
+--R     + 
+--R           17     3     16 2 2 2     15 3 3     14 4 4
+--R       - 4a  b c d  + 6a  b c d  - 4a  b c d + a  b c
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 867
+
+--S 868 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R              10 10 10             9 10        10   9  9
+--R       - 1001b  d  x   + (- 2002a b d   - 8008b  c d )x
+--R     + 
+--R               2 8 10           9   9         10 2 8  8
+--R       (- 3003a b d   - 12012a b c d  - 30030b  c d )x
+--R     + 
+--R               3 7 10         2 8   9           9 2 8         10 3 7  7
+--R       (- 3432a b d   - 13728a b c d  - 34320a b c d  - 68640b  c d )x
+--R     + 
+--R                  4 6 10         3 7   9         2 8 2 8           9 3 7
+--R           - 3003a b d   - 12012a b c d  - 30030a b c d  - 60060a b c d
+--R         + 
+--R                    10 4 6
+--R           - 105105b  c d
+--R      *
+--R          6
+--R         x
+--R     + 
+--R                  5 5 10        4 6   9         3 7 2 8         2 8 3 7
+--R           - 2002a b d   - 8008a b c d  - 20020a b c d  - 40040a b c d
+--R         + 
+--R                     9 4 6          10 5 5
+--R           - 70070a b c d  - 112112b  c d
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                  6 4 10        5 5   9         4 6 2 8         3 7 3 7
+--R           - 1001a b d   - 4004a b c d  - 10010a b c d  - 20020a b c d
+--R         + 
+--R                   2 8 4 6           9 5 5         10 6 4
+--R           - 35035a b c d  - 56056a b c d  - 84084b  c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                 7 3 10        6 4   9        5 5 2 8        4 6 3 7
+--R           - 364a b d   - 1456a b c d  - 3640a b c d  - 7280a b c d
+--R         + 
+--R                   3 7 4 6         2 8 5 5           9 6 4         10 7 3
+--R           - 12740a b c d  - 20384a b c d  - 30576a b c d  - 43680b  c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                8 2 10       7 3   9       6 4 2 8        5 5 3 7        4 6 4 6
+--R           - 91a b d   - 364a b c d  - 910a b c d  - 1820a b c d  - 3185a b c d
+--R         + 
+--R                  3 7 5 5        2 8 6 4           9 7 3         10 8 2
+--R           - 5096a b c d  - 7644a b c d  - 10920a b c d  - 15015b  c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                9   10      8 2   9       7 3 2 8       6 4 3 7       5 5 4 6
+--R           - 14a b d   - 56a b c d  - 140a b c d  - 280a b c d  - 490a b c d
+--R         + 
+--R               4 6 5 5        3 7 6 4        2 8 7 3          9 8 2        10 9
+--R         - 784a b c d  - 1176a b c d  - 1680a b c d  - 2310a b c d  - 3080b  c d
+--R      *
+--R         x
+--R     + 
+--R          10 10     9     9      8 2 2 8      7 3 3 7      6 4 4 6      5 5 5 5
+--R       - a  d   - 4a b c d  - 10a b c d  - 20a b c d  - 35a b c d  - 56a b c d
+--R     + 
+--R            4 6 6 4       3 7 7 3       2 8 8 2         9 9        10 10
+--R       - 84a b c d  - 120a b c d  - 165a b c d  - 220a b c d - 286b  c
+--R  /
+--R            25 14           24 13          2 23 12           3 22 11
+--R       4004b  x   + 56056a b  x   + 364364a b  x   + 1457456a b  x
+--R     + 
+--R               4 21 10           5 20 9            6 19 8            7 18 7
+--R       4008004a b  x   + 8016008a b  x  + 12024012a b  x  + 13741728a b  x
+--R     + 
+--R                8 17 6           9 16 5           10 15 4           11 14 3
+--R       12024012a b  x  + 8016008a b  x  + 4008004a  b  x  + 1457456a  b  x
+--R     + 
+--R              12 13 2         13 12         14 11
+--R       364364a  b  x  + 56056a  b  x + 4004a  b
+--R                                         Type: Union(Expression(Integer),...)
+--E 868
+
+--S 869 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R                                         14
+--R                                        d
+--R   - -------------------------------------------------------------------------
+--R          4 11 4         3 12   3         2 13 2 2           14 3         15 4
+--R     4004a b  d  - 16016a b  c d  + 24024a b  c d  - 16016a b  c d + 4004b  c
+--R                                                    Type: Expression(Integer)
+--E 869
+
+--S 870 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 870
+
+)clear all
+
+--S 871 of 2952
+t0000:=(c+d*x)^10/(a+b*x)^16
+--R 
+--R
+--R   (1)
+--R        10 10        9 9      2 8 8       3 7 7       4 6 6       5 5 5
+--R       d  x   + 10c d x  + 45c d x  + 120c d x  + 210c d x  + 252c d x
+--R     + 
+--R           6 4 4       7 3 3      8 2 2      9       10
+--R       210c d x  + 120c d x  + 45c d x  + 10c d x + c
+--R  /
+--R        16 16        15 15       2 14 14       3 13 13        4 12 12
+--R       b  x   + 16a b  x   + 120a b  x   + 560a b  x   + 1820a b  x
+--R     + 
+--R            5 11 11        6 10 10         7 9 9         8 8 8         9 7 7
+--R       4368a b  x   + 8008a b  x   + 11440a b x  + 12870a b x  + 11440a b x
+--R     + 
+--R            10 6 6        11 5 5        12 4 4       13 3 3       14 2 2
+--R       8008a  b x  + 4368a  b x  + 1820a  b x  + 560a  b x  + 120a  b x
+--R     + 
+--R          15       16
+--R       16a  b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 871
+
+--S 872 of 2952
+r0000:=-1/15*(c+d*x)^11/((b*c-a*d)*(a+b*x)^15)+_
+     2/105*d*(c+d*x)^11/((b*c-a*d)^2*(a+b*x)^14)-_
+     2/455*d^2*(c+d*x)^11/((b*c-a*d)^3*(a+b*x)^13)+_
+     1/1365*d^3*(c+d*x)^11/((b*c-a*d)^4*(a+b*x)^12)-_
+     1/15015*d^4*(c+d*x)^11/((b*c-a*d)^5*(a+b*x)^11)
+--R 
+--R
+--R   (2)
+--R         1    4 15 15     1     3 15 14    1   2 2 15 13    1  3   15 12
+--R       ----- b d  x   + ---- a b d  x   + --- a b d  x   + -- a b d  x
+--R       15015            1001              143              33
+--R     + 
+--R        1  4 15 11
+--R       -- a d  x
+--R       11
+--R     + 
+--R         4   14     3   2 13     2 2 3 12      3 4 11   1  4 5 10  10
+--R       (a c d   - 2a b c d   + 2a b c d   - a b c d   + - b c d  )x
+--R                                                        5
+--R     + 
+--R          4 2 13   40  3   3 12      2 2 4 11       3 5 10   5  4 6 9  9
+--R       (5a c d   - -- a b c d   + 15a b c d   - 8a b c d   + - b c d )x
+--R                    3                                        3
+--R     + 
+--R           4 3 12      3   4 11      2 2 5 10        3 6 9   45  4 7 8  8
+--R       (15a c d   - 45a b c d   + 54a b c d   - 30a b c d  + -- b c d )x
+--R                                                              7
+--R     + 
+--R           4 4 11      3   5 10       2 2 6 9   480    3 7 8      4 8 7  7
+--R       (30a c d   - 96a b c d   + 120a b c d  - --- a b c d  + 15b c d )x
+--R                                                 7
+--R     + 
+--R           4 5 10       3   6 9       2 2 7 8         3 8 7   70  4 9 6  6
+--R       (42a c d   - 140a b c d  + 180a b c d  - 105a b c d  + -- b c d )x
+--R                                                               3
+--R     + 
+--R           4 6 9       3   7 8       2 2 8 7         3 9 6   126  4 10 5  5
+--R       (42a c d  - 144a b c d  + 189a b c d  - 112a b c d  + --- b c  d )x
+--R                                                              5
+--R     + 
+--R           4 7 8       3   8 7       2 2 9 6        3 10 5   210  4 11 4  4
+--R       (30a c d  - 105a b c d  + 140a b c d  - 84a b c  d  + --- b c  d )x
+--R                                                              11
+--R     + 
+--R           4 8 7   160  3   9 6      2 2 10 5   480    3 11 4      4 12 3  3
+--R       (15a c d  - --- a b c d  + 72a b c  d  - --- a b c  d  + 10b c  d )x
+--R                    3                            11
+--R     + 
+--R          4 9 6      3   10 5   270  2 2 11 4        3 12 3   45  4 13 2  2
+--R       (5a c d  - 18a b c  d  + --- a b c  d  - 15a b c  d  + -- b c  d )x
+--R                                 11                           13
+--R     + 
+--R         4 10 5   40  3   11 4     2 2 12 3   40    3 13 2   5  4 14
+--R       (a c  d  - -- a b c  d  + 5a b c  d  - -- a b c  d  + - b c  d)x
+--R                  11                          13             7
+--R     + 
+--R        1  4 11 4   1  3   12 3    6  2 2 13 2   2    3 14     1  4 15
+--R       -- a c  d  - - a b c  d  + -- a b c  d  - - a b c  d + -- b c
+--R       11           3             13             7            15
+--R  /
+--R         5 15 5     4 16   4      3 17 2 3      2 18 3 2       19 4     20 5  15
+--R       (a b  d  - 5a b  c d  + 10a b  c d  - 10a b  c d  + 5a b  c d - b  c )x
+--R     + 
+--R              6 14 5      5 15   4       4 16 2 3       3 17 3 2      2 18 4
+--R           15a b  d  - 75a b  c d  + 150a b  c d  - 150a b  c d  + 75a b  c d
+--R         + 
+--R                  19 5
+--R           - 15a b  c
+--R      *
+--R          14
+--R         x
+--R     + 
+--R               7 13 5       6 14   4        5 15 2 3        4 16 3 2
+--R           105a b  d  - 525a b  c d  + 1050a b  c d  - 1050a b  c d
+--R         + 
+--R               3 17 4        2 18 5
+--R           525a b  c d - 105a b  c
+--R      *
+--R          13
+--R         x
+--R     + 
+--R               8 12 5        7 13   4        6 14 2 3        5 15 3 2
+--R           455a b  d  - 2275a b  c d  + 4550a b  c d  - 4550a b  c d
+--R         + 
+--R                4 16 4        3 17 5
+--R           2275a b  c d - 455a b  c
+--R      *
+--R          12
+--R         x
+--R     + 
+--R                9 11 5        8 12   4         7 13 2 3         6 14 3 2
+--R           1365a b  d  - 6825a b  c d  + 13650a b  c d  - 13650a b  c d
+--R         + 
+--R                5 15 4         4 16 5
+--R           6825a b  c d - 1365a b  c
+--R      *
+--R          11
+--R         x
+--R     + 
+--R                10 10 5         9 11   4         8 12 2 3         7 13 3 2
+--R           3003a  b  d  - 15015a b  c d  + 30030a b  c d  - 30030a b  c d
+--R         + 
+--R                 6 14 4         5 15 5
+--R           15015a b  c d - 3003a b  c
+--R      *
+--R          10
+--R         x
+--R     + 
+--R                11 9 5         10 10   4         9 11 2 3         8 12 3 2
+--R           5005a  b d  - 25025a  b  c d  + 50050a b  c d  - 50050a b  c d
+--R         + 
+--R                 7 13 4         6 14 5
+--R           25025a b  c d - 5005a b  c
+--R      *
+--R          9
+--R         x
+--R     + 
+--R                12 8 5         11 9   4         10 10 2 3         9 11 3 2
+--R           6435a  b d  - 32175a  b c d  + 64350a  b  c d  - 64350a b  c d
+--R         + 
+--R                 8 12 4         7 13 5
+--R           32175a b  c d - 6435a b  c
+--R      *
+--R          8
+--R         x
+--R     + 
+--R                13 7 5         12 8   4         11 9 2 3         10 10 3 2
+--R           6435a  b d  - 32175a  b c d  + 64350a  b c d  - 64350a  b  c d
+--R         + 
+--R                 9 11 4         8 12 5
+--R           32175a b  c d - 6435a b  c
+--R      *
+--R          7
+--R         x
+--R     + 
+--R                14 6 5         13 7   4         12 8 2 3         11 9 3 2
+--R           5005a  b d  - 25025a  b c d  + 50050a  b c d  - 50050a  b c d
+--R         + 
+--R                 10 10 4         9 11 5
+--R           25025a  b  c d - 5005a b  c
+--R      *
+--R          6
+--R         x
+--R     + 
+--R                15 5 5         14 6   4         13 7 2 3         12 8 3 2
+--R           3003a  b d  - 15015a  b c d  + 30030a  b c d  - 30030a  b c d
+--R         + 
+--R                 11 9 4         10 10 5
+--R           15015a  b c d - 3003a  b  c
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                16 4 5        15 5   4         14 6 2 3         13 7 3 2
+--R           1365a  b d  - 6825a  b c d  + 13650a  b c d  - 13650a  b c d
+--R         + 
+--R                12 8 4         11 9 5
+--R           6825a  b c d - 1365a  b c
+--R      *
+--R          4
+--R         x
+--R     + 
+--R               17 3 5        16 4   4        15 5 2 3        14 6 3 2
+--R           455a  b d  - 2275a  b c d  + 4550a  b c d  - 4550a  b c d
+--R         + 
+--R                13 7 4        12 8 5
+--R           2275a  b c d - 455a  b c
+--R      *
+--R          3
+--R         x
+--R     + 
+--R               18 2 5       17 3   4        16 4 2 3        15 5 3 2
+--R           105a  b d  - 525a  b c d  + 1050a  b c d  - 1050a  b c d
+--R         + 
+--R               14 6 4        13 7 5
+--R           525a  b c d - 105a  b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R              19   5      18 2   4       17 3 2 3       16 4 3 2      15 5 4
+--R           15a  b d  - 75a  b c d  + 150a  b c d  - 150a  b c d  + 75a  b c d
+--R         + 
+--R                14 6 5
+--R           - 15a  b c
+--R      *
+--R         x
+--R     + 
+--R        20 5     19     4      18 2 2 3      17 3 3 2     16 4 4     15 5 5
+--R       a  d  - 5a  b c d  + 10a  b c d  - 10a  b c d  + 5a  b c d - a  b c
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 872
+
+--S 873 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R              10 10 10             9 10         10   9  9
+--R       - 3003b  d  x   + (- 5005a b d   - 25025b  c d )x
+--R     + 
+--R               2 8 10           9   9         10 2 8  8
+--R       (- 6435a b d   - 32175a b c d  - 96525b  c d )x
+--R     + 
+--R               3 7 10         2 8   9           9 2 8          10 3 7  7
+--R       (- 6435a b d   - 32175a b c d  - 96525a b c d  - 225225b  c d )x
+--R     + 
+--R                  4 6 10         3 7   9         2 8 2 8            9 3 7
+--R           - 5005a b d   - 25025a b c d  - 75075a b c d  - 175175a b c d
+--R         + 
+--R                    10 4 6
+--R           - 350350b  c d
+--R      *
+--R          6
+--R         x
+--R     + 
+--R                  5 5 10         4 6   9         3 7 2 8          2 8 3 7
+--R           - 3003a b d   - 15015a b c d  - 45045a b c d  - 105105a b c d
+--R         + 
+--R                      9 4 6          10 5 5
+--R           - 210210a b c d  - 378378b  c d
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                  6 4 10        5 5   9         4 6 2 8         3 7 3 7
+--R           - 1365a b d   - 6825a b c d  - 20475a b c d  - 47775a b c d
+--R         + 
+--R                   2 8 4 6            9 5 5          10 6 4
+--R           - 95550a b c d  - 171990a b c d  - 286650b  c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                 7 3 10        6 4   9        5 5 2 8         4 6 3 7
+--R           - 455a b d   - 2275a b c d  - 6825a b c d  - 15925a b c d
+--R         + 
+--R                   3 7 4 6         2 8 5 5           9 6 4          10 7 3
+--R           - 31850a b c d  - 57330a b c d  - 95550a b c d  - 150150b  c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                 8 2 10       7 3   9        6 4 2 8        5 5 3 7
+--R           - 105a b d   - 525a b c d  - 1575a b c d  - 3675a b c d
+--R         + 
+--R                  4 6 4 6         3 7 5 5         2 8 6 4           9 7 3
+--R           - 7350a b c d  - 13230a b c d  - 22050a b c d  - 34650a b c d
+--R         + 
+--R                   10 8 2
+--R           - 51975b  c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                9   10      8 2   9       7 3 2 8       6 4 3 7        5 5 4 6
+--R           - 15a b d   - 75a b c d  - 225a b c d  - 525a b c d  - 1050a b c d
+--R         + 
+--R                  4 6 5 5        3 7 6 4        2 8 7 3          9 8 2
+--R           - 1890a b c d  - 3150a b c d  - 4950a b c d  - 7425a b c d
+--R         + 
+--R                   10 9
+--R           - 10725b  c d
+--R      *
+--R         x
+--R     + 
+--R          10 10     9     9      8 2 2 8      7 3 3 7      6 4 4 6       5 5 5 5
+--R       - a  d   - 5a b c d  - 15a b c d  - 35a b c d  - 70a b c d  - 126a b c d
+--R     + 
+--R             4 6 6 4       3 7 7 3       2 8 8 2         9 9         10 10
+--R       - 210a b c d  - 330a b c d  - 495a b c d  - 715a b c d - 1001b  c
+--R  /
+--R             26 15            25 14           2 24 13           3 23 12
+--R       15015b  x   + 225225a b  x   + 1576575a b  x   + 6831825a b  x
+--R     + 
+--R                4 22 11            5 21 10            6 20 9            7 19 8
+--R       20495475a b  x   + 45090045a b  x   + 75150075a b  x  + 96621525a b  x
+--R     + 
+--R                8 18 7            9 17 6            10 16 5            11 15 4
+--R       96621525a b  x  + 75150075a b  x  + 45090045a  b  x  + 20495475a  b  x
+--R     + 
+--R               12 14 3           13 13 2          14 12          15 11
+--R       6831825a  b  x  + 1576575a  b  x  + 225225a  b  x + 15015a  b
+--R                                         Type: Union(Expression(Integer),...)
+--E 873
+
+--S 874 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R   -
+--R         15
+--R        d
+--R     /
+--R                5 11 5         4 12   4          3 13 2 3          2 14 3 2
+--R          15015a b  d  - 75075a b  c d  + 150150a b  c d  - 150150a b  c d
+--R        + 
+--R                  15 4          16 5
+--R          75075a b  c d - 15015b  c
+--R                                                    Type: Expression(Integer)
+--E 874
+
+--S 875 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 875
+
+)clear all
+
+--S 876 of 2952
+t0000:=(c+d*x)^10/(a+b*x)^17
+--R 
+--R
+--R   (1)
+--R        10 10        9 9      2 8 8       3 7 7       4 6 6       5 5 5
+--R       d  x   + 10c d x  + 45c d x  + 120c d x  + 210c d x  + 252c d x
+--R     + 
+--R           6 4 4       7 3 3      8 2 2      9       10
+--R       210c d x  + 120c d x  + 45c d x  + 10c d x + c
+--R  /
+--R        17 17        16 16       2 15 15       3 14 14        4 13 13
+--R       b  x   + 17a b  x   + 136a b  x   + 680a b  x   + 2380a b  x
+--R     + 
+--R            5 12 12         6 11 11         7 10 10         8 9 9         9 8 8
+--R       6188a b  x   + 12376a b  x   + 19448a b  x   + 24310a b x  + 24310a b x
+--R     + 
+--R             10 7 7         11 6 6        12 5 5        13 4 4       14 3 3
+--R       19448a  b x  + 12376a  b x  + 6188a  b x  + 2380a  b x  + 680a  b x
+--R     + 
+--R           15 2 2      16       17
+--R       136a  b x  + 17a  b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 876
+
+--S 877 of 2952
+r0000:=-1/16*(c+d*x)^11/((b*c-a*d)*(a+b*x)^16)+_
+     1/48*d*(c+d*x)^11/((b*c-a*d)^2*(a+b*x)^15)-_
+     1/168*d^2*(c+d*x)^11/((b*c-a*d)^3*(a+b*x)^14)+_
+     1/728*d^3*(c+d*x)^11/((b*c-a*d)^4*(a+b*x)^13)-_
+     1/4368*d^4*(c+d*x)^11/((b*c-a*d)^5*(a+b*x)^12)+_
+     1/48048*d^5*(c+d*x)^11/((b*c-a*d)^6*(a+b*x)^11)
+--R 
+--R
+--R   (2)
+--R         1    5 16 16     1     4 16 15     5   2 3 16 14    5   3 2 16 13
+--R       ----- b d  x   + ---- a b d  x   + ---- a b d  x   + --- a b d  x
+--R       48048            3003              2002              429
+--R     + 
+--R        5   4   16 12    1  5 16 11
+--R       --- a b d  x   + -- a d  x
+--R       132              11
+--R     + 
+--R            5   15   5  4   2 14   10  3 2 3 13   5  2 3 4 12      4 5 11
+--R           a c d   - - a b c d   + -- a b c d   - - a b c d   + a b c d
+--R                     2              3             2
+--R         + 
+--R             1  5 6 10
+--R           - - b c d
+--R             6
+--R      *
+--R          10
+--R         x
+--R     + 
+--R             5 2 14   50  4   3 13      3 2 4 12      2 3 5 11   25    4 6 10
+--R           5a c d   - -- a b c d   + 25a b c d   - 20a b c d   + -- a b c d
+--R                       3                                          3
+--R         + 
+--R             10  5 7 9
+--R           - -- b c d
+--R              7
+--R      *
+--R          9
+--R         x
+--R     + 
+--R              5 3 13   225  4   4 12      3 2 5 11      2 3 6 10   225    4 7 9
+--R           15a c d   - --- a b c d   + 90a b c d   - 75a b c d   + --- a b c d
+--R                        4                                           7
+--R         + 
+--R             45  5 8 8
+--R           - -- b c d
+--R              8
+--R      *
+--R          8
+--R         x
+--R     + 
+--R              5 4 12       4   5 11       3 2 6 10   1200  2 3 7 9        4 8 8
+--R           30a c d   - 120a b c d   + 200a b c d   - ---- a b c d  + 75a b c d
+--R                                                       7
+--R         + 
+--R             40  5 9 7
+--R           - -- b c d
+--R              3
+--R      *
+--R          7
+--R         x
+--R     + 
+--R              5 5 11       4   6 10       3 2 7 9   525  2 3 8 8   350    4 9 7
+--R           42a c d   - 175a b c d   + 300a b c d  - --- a b c d  + --- a b c d
+--R                                                     2              3
+--R         + 
+--R                5 10 6
+--R           - 21b c  d
+--R      *
+--R          6
+--R         x
+--R     + 
+--R              5 6 10       4   7 9       3 2 8 8       2 3 9 7         4 10 6
+--R           42a c d   - 180a b c d  + 315a b c d  - 280a b c d  + 126a b c  d
+--R         + 
+--R             252  5 11 5
+--R           - --- b c  d
+--R              11
+--R      *
+--R          5
+--R         x
+--R     + 
+--R              5 7 9   525  4   8 8   700  3 2 9 7       2 3 10 6
+--R           30a c d  - --- a b c d  + --- a b c d  - 210a b c  d
+--R                       4              3
+--R         + 
+--R           1050    4 11 5   35  5 12 4
+--R           ---- a b c  d  - -- b c  d
+--R            11               2
+--R      *
+--R          4
+--R         x
+--R     + 
+--R              5 8 8   200  4   9 7       3 2 10 6   1200  2 3 11 5        4 12 4
+--R           15a c d  - --- a b c d  + 120a b c  d  - ---- a b c  d  + 50a b c  d
+--R                       3                             11
+--R         + 
+--R             120  5 13 3
+--R           - --- b c  d
+--R              13
+--R      *
+--R          3
+--R         x
+--R     + 
+--R             5 9 7   45  4   10 6   450  3 2 11 5   75  2 3 12 4   225    4 13 3
+--R           5a c d  - -- a b c  d  + --- a b c  d  - -- a b c  d  + --- a b c  d
+--R                      2              11              2              13
+--R         + 
+--R             45  5 14 2
+--R           - -- b c  d
+--R             14
+--R      *
+--R          2
+--R         x
+--R     + 
+--R            5 10 6   50  4   11 5   25  3 2 12 4   100  2 3 13 3   25    4 14 2
+--R           a c  d  - -- a b c  d  + -- a b c  d  - --- a b c  d  + -- a b c  d
+--R                     11              3              13              7
+--R         + 
+--R             2  5 15
+--R           - - b c  d
+--R             3
+--R      *
+--R         x
+--R     + 
+--R        1  5 11 5    5  4   12 4   10  3 2 13 3   5  2 3 14 2   1    4 15
+--R       -- a c  d  - -- a b c  d  + -- a b c  d  - - a b c  d  + - a b c  d
+--R       11           12             13             7             3
+--R     + 
+--R          1  5 16
+--R       - -- b c
+--R         16
+--R  /
+--R            6 16 6     5 17   5      4 18 2 4      3 19 3 3      2 20 4 2
+--R           a b  d  - 6a b  c d  + 15a b  c d  - 20a b  c d  + 15a b  c d
+--R         + 
+--R                 21 5     22 6
+--R           - 6a b  c d + b  c
+--R      *
+--R          16
+--R         x
+--R     + 
+--R              7 15 6      6 16   5       5 17 2 4       4 18 3 3       3 19 4 2
+--R           16a b  d  - 96a b  c d  + 240a b  c d  - 320a b  c d  + 240a b  c d
+--R         + 
+--R                2 20 5         21 6
+--R           - 96a b  c d + 16a b  c
+--R      *
+--R          15
+--R         x
+--R     + 
+--R               8 14 6       7 15   5        6 16 2 4        5 17 3 3
+--R           120a b  d  - 720a b  c d  + 1800a b  c d  - 2400a b  c d
+--R         + 
+--R                4 18 4 2       3 19 5        2 20 6
+--R           1800a b  c d  - 720a b  c d + 120a b  c
+--R      *
+--R          14
+--R         x
+--R     + 
+--R               9 13 6        8 14   5        7 15 2 4         6 16 3 3
+--R           560a b  d  - 3360a b  c d  + 8400a b  c d  - 11200a b  c d
+--R         + 
+--R                5 17 4 2        4 18 5        3 19 6
+--R           8400a b  c d  - 3360a b  c d + 560a b  c
+--R      *
+--R          13
+--R         x
+--R     + 
+--R                10 12 6         9 13   5         8 14 2 4         7 15 3 3
+--R           1820a  b  d  - 10920a b  c d  + 27300a b  c d  - 36400a b  c d
+--R         + 
+--R                 6 16 4 2         5 17 5         4 18 6
+--R           27300a b  c d  - 10920a b  c d + 1820a b  c
+--R      *
+--R          12
+--R         x
+--R     + 
+--R                11 11 6         10 12   5         9 13 2 4         8 14 3 3
+--R           4368a  b  d  - 26208a  b  c d  + 65520a b  c d  - 87360a b  c d
+--R         + 
+--R                 7 15 4 2         6 16 5         5 17 6
+--R           65520a b  c d  - 26208a b  c d + 4368a b  c
+--R      *
+--R          11
+--R         x
+--R     + 
+--R                12 10 6         11 11   5          10 12 2 4          9 13 3 3
+--R           8008a  b  d  - 48048a  b  c d  + 120120a  b  c d  - 160160a b  c d
+--R         + 
+--R                  8 14 4 2         7 15 5         6 16 6
+--R           120120a b  c d  - 48048a b  c d + 8008a b  c
+--R      *
+--R          10
+--R         x
+--R     + 
+--R                 13 9 6         12 10   5          11 11 2 4          10 12 3 3
+--R           11440a  b d  - 68640a  b  c d  + 171600a  b  c d  - 228800a  b  c d
+--R         + 
+--R                  9 13 4 2         8 14 5          7 15 6
+--R           171600a b  c d  - 68640a b  c d + 11440a b  c
+--R      *
+--R          9
+--R         x
+--R     + 
+--R                 14 8 6         13 9   5          12 10 2 4          11 11 3 3
+--R           12870a  b d  - 77220a  b c d  + 193050a  b  c d  - 257400a  b  c d
+--R         + 
+--R                  10 12 4 2         9 13 5          8 14 6
+--R           193050a  b  c d  - 77220a b  c d + 12870a b  c
+--R      *
+--R          8
+--R         x
+--R     + 
+--R                 15 7 6         14 8   5          13 9 2 4          12 10 3 3
+--R           11440a  b d  - 68640a  b c d  + 171600a  b c d  - 228800a  b  c d
+--R         + 
+--R                  11 11 4 2         10 12 5          9 13 6
+--R           171600a  b  c d  - 68640a  b  c d + 11440a b  c
+--R      *
+--R          7
+--R         x
+--R     + 
+--R                16 6 6         15 7   5          14 8 2 4          13 9 3 3
+--R           8008a  b d  - 48048a  b c d  + 120120a  b c d  - 160160a  b c d
+--R         + 
+--R                  12 10 4 2         11 11 5         10 12 6
+--R           120120a  b  c d  - 48048a  b  c d + 8008a  b  c
+--R      *
+--R          6
+--R         x
+--R     + 
+--R                17 5 6         16 6   5         15 7 2 4         14 8 3 3
+--R           4368a  b d  - 26208a  b c d  + 65520a  b c d  - 87360a  b c d
+--R         + 
+--R                 13 9 4 2         12 10 5         11 11 6
+--R           65520a  b c d  - 26208a  b  c d + 4368a  b  c
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                18 4 6         17 5   5         16 6 2 4         15 7 3 3
+--R           1820a  b d  - 10920a  b c d  + 27300a  b c d  - 36400a  b c d
+--R         + 
+--R                 14 8 4 2         13 9 5         12 10 6
+--R           27300a  b c d  - 10920a  b c d + 1820a  b  c
+--R      *
+--R          4
+--R         x
+--R     + 
+--R               19 3 6        18 4   5        17 5 2 4         16 6 3 3
+--R           560a  b d  - 3360a  b c d  + 8400a  b c d  - 11200a  b c d
+--R         + 
+--R                15 7 4 2        14 8 5        13 9 6
+--R           8400a  b c d  - 3360a  b c d + 560a  b c
+--R      *
+--R          3
+--R         x
+--R     + 
+--R               20 2 6       19 3   5        18 4 2 4        17 5 3 3
+--R           120a  b d  - 720a  b c d  + 1800a  b c d  - 2400a  b c d
+--R         + 
+--R                16 6 4 2       15 7 5        14 8 6
+--R           1800a  b c d  - 720a  b c d + 120a  b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R              21   6      20 2   5       19 3 2 4       18 4 3 3       17 5 4 2
+--R           16a  b d  - 96a  b c d  + 240a  b c d  - 320a  b c d  + 240a  b c d
+--R         + 
+--R                16 6 5       15 7 6
+--R           - 96a  b c d + 16a  b c
+--R      *
+--R         x
+--R     + 
+--R        22 6     21     5      20 2 2 4      19 3 3 3      18 4 4 2     17 5 5
+--R       a  d  - 6a  b c d  + 15a  b c d  - 20a  b c d  + 15a  b c d  - 6a  b c d
+--R     + 
+--R        16 6 6
+--R       a  b c
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 877
+
+--S 878 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R              10 10 10              9 10         10   9  9
+--R       - 8008b  d  x   + (- 11440a b d   - 68640b  c d )x
+--R     + 
+--R                2 8 10           9   9          10 2 8  8
+--R       (- 12870a b d   - 77220a b c d  - 270270b  c d )x
+--R     + 
+--R                3 7 10         2 8   9            9 2 8          10 3 7  7
+--R       (- 11440a b d   - 68640a b c d  - 240240a b c d  - 640640b  c d )x
+--R     + 
+--R                  4 6 10         3 7   9          2 8 2 8            9 3 7
+--R           - 8008a b d   - 48048a b c d  - 168168a b c d  - 448448a b c d
+--R         + 
+--R                     10 4 6
+--R           - 1009008b  c d
+--R      *
+--R          6
+--R         x
+--R     + 
+--R                  5 5 10         4 6   9         3 7 2 8          2 8 3 7
+--R           - 4368a b d   - 26208a b c d  - 91728a b c d  - 244608a b c d
+--R         + 
+--R                      9 4 6           10 5 5
+--R           - 550368a b c d  - 1100736b  c d
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                  6 4 10         5 5   9         4 6 2 8          3 7 3 7
+--R           - 1820a b d   - 10920a b c d  - 38220a b c d  - 101920a b c d
+--R         + 
+--R                    2 8 4 6            9 5 5          10 6 4
+--R           - 229320a b c d  - 458640a b c d  - 840840b  c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                 7 3 10        6 4   9         5 5 2 8         4 6 3 7
+--R           - 560a b d   - 3360a b c d  - 11760a b c d  - 31360a b c d
+--R         + 
+--R                   3 7 4 6          2 8 5 5            9 6 4          10 7 3
+--R           - 70560a b c d  - 141120a b c d  - 258720a b c d  - 443520b  c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                 8 2 10       7 3   9        6 4 2 8        5 5 3 7
+--R           - 120a b d   - 720a b c d  - 2520a b c d  - 6720a b c d
+--R         + 
+--R                   4 6 4 6         3 7 5 5         2 8 6 4           9 7 3
+--R           - 15120a b c d  - 30240a b c d  - 55440a b c d  - 95040a b c d
+--R         + 
+--R                    10 8 2
+--R           - 154440b  c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                9   10      8 2   9       7 3 2 8       6 4 3 7        5 5 4 6
+--R           - 16a b d   - 96a b c d  - 336a b c d  - 896a b c d  - 2016a b c d
+--R         + 
+--R                  4 6 5 5        3 7 6 4         2 8 7 3           9 8 2
+--R           - 4032a b c d  - 7392a b c d  - 12672a b c d  - 20592a b c d
+--R         + 
+--R                   10 9
+--R           - 32032b  c d
+--R      *
+--R         x
+--R     + 
+--R          10 10     9     9      8 2 2 8      7 3 3 7       6 4 4 6
+--R       - a  d   - 6a b c d  - 21a b c d  - 56a b c d  - 126a b c d
+--R     + 
+--R             5 5 5 5       4 6 6 4       3 7 7 3        2 8 8 2          9 9
+--R       - 252a b c d  - 462a b c d  - 792a b c d  - 1287a b c d  - 2002a b c d
+--R     + 
+--R              10 10
+--R       - 3003b  c
+--R  /
+--R             27 16            26 15           2 25 14            3 24 13
+--R       48048b  x   + 768768a b  x   + 5765760a b  x   + 26906880a b  x
+--R     + 
+--R                4 23 12             5 22 11             6 21 10
+--R       87447360a b  x   + 209873664a b  x   + 384768384a b  x
+--R     + 
+--R                 7 20 9             8 19 8             9 18 7
+--R       549669120a b  x  + 618377760a b  x  + 549669120a b  x
+--R     + 
+--R                 10 17 6             11 16 5            12 15 4
+--R       384768384a  b  x  + 209873664a  b  x  + 87447360a  b  x
+--R     + 
+--R                13 14 3           14 13 2          15 12          16 11
+--R       26906880a  b  x  + 5765760a  b  x  + 768768a  b  x + 48048a  b
+--R                                         Type: Union(Expression(Integer),...)
+--E 878
+
+--S 879 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R   -
+--R         16
+--R        d
+--R     /
+--R                6 11 6          5 12   5          4 13 2 4          3 14 3 3
+--R          48048a b  d  - 288288a b  c d  + 720720a b  c d  - 960960a b  c d
+--R        + 
+--R                 2 15 4 2            16 5          17 6
+--R          720720a b  c d  - 288288a b  c d + 48048b  c
+--R                                                    Type: Expression(Integer)
+--E 879
+
+--S 880 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 880
+
+)clear all
+
+--S 881 of 2952
+t0000:=(c+d*x)^10/(a+b*x)^18
+--R 
+--R
+--R   (1)
+--R        10 10        9 9      2 8 8       3 7 7       4 6 6       5 5 5
+--R       d  x   + 10c d x  + 45c d x  + 120c d x  + 210c d x  + 252c d x
+--R     + 
+--R           6 4 4       7 3 3      8 2 2      9       10
+--R       210c d x  + 120c d x  + 45c d x  + 10c d x + c
+--R  /
+--R        18 18        17 17       2 16 16       3 15 15        4 14 14
+--R       b  x   + 18a b  x   + 153a b  x   + 816a b  x   + 3060a b  x
+--R     + 
+--R            5 13 13         6 12 12         7 11 11         8 10 10
+--R       8568a b  x   + 18564a b  x   + 31824a b  x   + 43758a b  x
+--R     + 
+--R             9 9 9         10 8 8         11 7 7         12 6 6        13 5 5
+--R       48620a b x  + 43758a  b x  + 31824a  b x  + 18564a  b x  + 8568a  b x
+--R     + 
+--R            14 4 4       15 3 3       16 2 2      17       18
+--R       3060a  b x  + 816a  b x  + 153a  b x  + 18a  b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 881
+
+--S 882 of 2952
+r0000:=-1/17*(c+d*x)^11/((b*c-a*d)*(a+b*x)^17)+_
+     3/136*d*(c+d*x)^11/((b*c-a*d)^2*(a+b*x)^16)-_
+     1/136*d^2*(c+d*x)^11/((b*c-a*d)^3*(a+b*x)^15)+_
+     1/476*d^3*(c+d*x)^11/((b*c-a*d)^4*(a+b*x)^14)-_
+     3/6188*d^4*(c+d*x)^11/((b*c-a*d)^5*(a+b*x)^13)+_
+     1/12376*d^5*(c+d*x)^11/((b*c-a*d)^6*(a+b*x)^12)-_
+     1/136136*d^6*(c+d*x)^11/((b*c-a*d)^7*(a+b*x)^11)
+--R 
+--R
+--R   (2)
+--R          1    6 17 17     1     5 17 16     1   2 4 17 15     5   3 3 17 14
+--R       ------ b d  x   + ---- a b d  x   + ---- a b d  x   + ---- a b d  x
+--R       136136            8008              1001              1001
+--R     + 
+--R        5   4 2 17 13    1  5   17 12    1  6 17 11
+--R       --- a b d  x   + -- a b d  x   + -- a d  x
+--R       286              22              11
+--R     + 
+--R            6   16     5   2 15     4 2 3 14     3 3 4 13     2 4 5 12
+--R           a c d   - 3a b c d   + 5a b c d   - 5a b c d   + 3a b c d
+--R         + 
+--R                5 6 11   1  6 7 10
+--R           - a b c d   + - b c d
+--R                         7
+--R      *
+--R          10
+--R         x
+--R     + 
+--R             6 2 15      5   3 14   75  4 2 4 13      3 3 5 12      2 4 6 11
+--R           5a c d   - 20a b c d   + -- a b c d   - 40a b c d   + 25a b c d
+--R                                     2
+--R         + 
+--R             60    5 7 10   5  6 8 9
+--R           - -- a b c d   + - b c d
+--R              7             4
+--R      *
+--R          9
+--R         x
+--R     + 
+--R              6 3 14   135  5   4 13       4 2 5 12       3 3 6 11
+--R           15a c d   - --- a b c d   + 135a b c d   - 150a b c d
+--R                        2
+--R         + 
+--R           675  2 4 7 10   135    5 8 9     6 9 8
+--R           --- a b c d   - --- a b c d  + 5b c d
+--R            7               4
+--R      *
+--R          8
+--R         x
+--R     + 
+--R              6 4 13       5   5 12       4 2 6 11   2400  3 3 7 10
+--R           30a c d   - 144a b c d   + 300a b c d   - ---- a b c d
+--R                                                       7
+--R         + 
+--R               2 4 8 9        5 9 8      6 10 7
+--R           225a b c d  - 80a b c d  + 12b c  d
+--R      *
+--R          7
+--R         x
+--R     + 
+--R              6 5 12       5   6 11       4 2 7 10       3 3 8 9       2 4 9 8
+--R           42a c d   - 210a b c d   + 450a b c d   - 525a b c d  + 350a b c d
+--R         + 
+--R                   5 10 7   210  6 11 6
+--R           - 126a b c  d  + --- b c  d
+--R                             11
+--R      *
+--R          6
+--R         x
+--R     + 
+--R              6 6 11       5   7 10   945  4 2 8 9       3 3 9 8       2 4 10 7
+--R           42a c d   - 216a b c d   + --- a b c d  - 560a b c d  + 378a b c  d
+--R                                       2
+--R         + 
+--R             1512    5 11 6      6 12 5
+--R           - ---- a b c  d  + 21b c  d
+--R              11
+--R      *
+--R          5
+--R         x
+--R     + 
+--R              6 7 10   315  5   8 9       4 2 9 8       3 3 10 7
+--R           30a c d   - --- a b c d  + 350a b c d  - 420a b c  d
+--R                        2
+--R         + 
+--R           3150  2 4 11 6         5 12 5   210  6 13 4
+--R           ---- a b c  d  - 105a b c  d  + --- b c  d
+--R            11                              13
+--R      *
+--R          4
+--R         x
+--R     + 
+--R              6 8 9      5   9 8       4 2 10 7   2400  3 3 11 6       2 4 12 5
+--R           15a c d  - 80a b c d  + 180a b c  d  - ---- a b c  d  + 150a b c  d
+--R                                                   11
+--R         + 
+--R             720    5 13 4   60  6 14 3
+--R           - --- a b c  d  + -- b c  d
+--R              13              7
+--R      *
+--R          3
+--R         x
+--R     + 
+--R             6 9 8      5   10 7   675  4 2 11 6      3 3 12 5   675  2 4 13 4
+--R           5a c d  - 27a b c  d  + --- a b c  d  - 75a b c  d  + --- a b c  d
+--R                                    11                            13
+--R         + 
+--R             135    5 14 3     6 15 2
+--R           - --- a b c  d  + 3b c  d
+--R              7
+--R      *
+--R          2
+--R         x
+--R     + 
+--R            6 10 7   60  5   11 6   25  4 2 12 5   200  3 3 13 4   75  2 4 14 3
+--R           a c  d  - -- a b c  d  + -- a b c  d  - --- a b c  d  + -- a b c  d
+--R                     11              2              13              7
+--R         + 
+--R                 5 15 2   5  6 16
+--R           - 4a b c  d  + - b c  d
+--R                          8
+--R      *
+--R         x
+--R     + 
+--R        1  6 11 6   1  5   12 5   15  4 2 13 4   10  3 3 14 3    2 4 15 2
+--R       -- a c  d  - - a b c  d  + -- a b c  d  - -- a b c  d  + a b c  d
+--R       11           2             13              7
+--R     + 
+--R         3    5 16     1  6 17
+--R       - - a b c  d + -- b c
+--R         8            17
+--R  /
+--R            7 17 7     6 18   6      5 19 2 5      4 20 3 4      3 21 4 3
+--R           a b  d  - 7a b  c d  + 21a b  c d  - 35a b  c d  + 35a b  c d
+--R         + 
+--R                2 22 5 2       23 6     24 7
+--R           - 21a b  c d  + 7a b  c d - b  c
+--R      *
+--R          17
+--R         x
+--R     + 
+--R              8 16 7       7 17   6       6 18 2 5       5 19 3 4       4 20 4 3
+--R           17a b  d  - 119a b  c d  + 357a b  c d  - 595a b  c d  + 595a b  c d
+--R         + 
+--R                 3 21 5 2       2 22 6         23 7
+--R           - 357a b  c d  + 119a b  c d - 17a b  c
+--R      *
+--R          16
+--R         x
+--R     + 
+--R               9 15 7       8 16   6        7 17 2 5        6 18 3 4
+--R           136a b  d  - 952a b  c d  + 2856a b  c d  - 4760a b  c d
+--R         + 
+--R                5 19 4 3        4 20 5 2       3 21 6        2 22 7
+--R           4760a b  c d  - 2856a b  c d  + 952a b  c d - 136a b  c
+--R      *
+--R          15
+--R         x
+--R     + 
+--R               10 14 7        9 15   6         8 16 2 5         7 17 3 4
+--R           680a  b  d  - 4760a b  c d  + 14280a b  c d  - 23800a b  c d
+--R         + 
+--R                 6 18 4 3         5 19 5 2        4 20 6        3 21 7
+--R           23800a b  c d  - 14280a b  c d  + 4760a b  c d - 680a b  c
+--R      *
+--R          14
+--R         x
+--R     + 
+--R                11 13 7         10 14   6         9 15 2 5         8 16 3 4
+--R           2380a  b  d  - 16660a  b  c d  + 49980a b  c d  - 83300a b  c d
+--R         + 
+--R                 7 17 4 3         6 18 5 2         5 19 6         4 20 7
+--R           83300a b  c d  - 49980a b  c d  + 16660a b  c d - 2380a b  c
+--R      *
+--R          13
+--R         x
+--R     + 
+--R                12 12 7         11 13   6          10 14 2 5          9 15 3 4
+--R           6188a  b  d  - 43316a  b  c d  + 129948a  b  c d  - 216580a b  c d
+--R         + 
+--R                  8 16 4 3          7 17 5 2         6 18 6         5 19 7
+--R           216580a b  c d  - 129948a b  c d  + 43316a b  c d - 6188a b  c
+--R      *
+--R          12
+--R         x
+--R     + 
+--R                 13 11 7         12 12   6          11 13 2 5          10 14 3 4
+--R           12376a  b  d  - 86632a  b  c d  + 259896a  b  c d  - 433160a  b  c d
+--R         + 
+--R                  9 15 4 3          8 16 5 2         7 17 6          6 18 7
+--R           433160a b  c d  - 259896a b  c d  + 86632a b  c d - 12376a b  c
+--R      *
+--R          11
+--R         x
+--R     + 
+--R                 14 10 7          13 11   6          12 12 2 5
+--R           19448a  b  d  - 136136a  b  c d  + 408408a  b  c d
+--R         + 
+--R                    11 13 3 4          10 14 4 3          9 15 5 2
+--R           - 680680a  b  c d  + 680680a  b  c d  - 408408a b  c d
+--R         + 
+--R                  8 16 6          7 17 7
+--R           136136a b  c d - 19448a b  c
+--R      *
+--R          10
+--R         x
+--R     + 
+--R                 15 9 7          14 10   6          13 11 2 5          12 12 3 4
+--R           24310a  b d  - 170170a  b  c d  + 510510a  b  c d  - 850850a  b  c d
+--R         + 
+--R                  11 13 4 3          10 14 5 2          9 15 6          8 16 7
+--R           850850a  b  c d  - 510510a  b  c d  + 170170a b  c d - 24310a b  c
+--R      *
+--R          9
+--R         x
+--R     + 
+--R                 16 8 7          15 9   6          14 10 2 5          13 11 3 4
+--R           24310a  b d  - 170170a  b c d  + 510510a  b  c d  - 850850a  b  c d
+--R         + 
+--R                  12 12 4 3          11 13 5 2          10 14 6          9 15 7
+--R           850850a  b  c d  - 510510a  b  c d  + 170170a  b  c d - 24310a b  c
+--R      *
+--R          8
+--R         x
+--R     + 
+--R                 17 7 7          16 8   6          15 9 2 5          14 10 3 4
+--R           19448a  b d  - 136136a  b c d  + 408408a  b c d  - 680680a  b  c d
+--R         + 
+--R                13 11 4 3          12 12 5 2          11 13 6          10 14 7
+--R         680680a  b  c d  - 408408a  b  c d  + 136136a  b  c d - 19448a  b  c
+--R      *
+--R          7
+--R         x
+--R     + 
+--R                 18 6 7         17 7   6          16 8 2 5          15 9 3 4
+--R           12376a  b d  - 86632a  b c d  + 259896a  b c d  - 433160a  b c d
+--R         + 
+--R                  14 10 4 3          13 11 5 2         12 12 6          11 13 7
+--R           433160a  b  c d  - 259896a  b  c d  + 86632a  b  c d - 12376a  b  c
+--R      *
+--R          6
+--R         x
+--R     + 
+--R                19 5 7         18 6   6          17 7 2 5          16 8 3 4
+--R           6188a  b d  - 43316a  b c d  + 129948a  b c d  - 216580a  b c d
+--R         + 
+--R                  15 9 4 3          14 10 5 2         13 11 6         12 12 7
+--R           216580a  b c d  - 129948a  b  c d  + 43316a  b  c d - 6188a  b  c
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                20 4 7         19 5   6         18 6 2 5         17 7 3 4
+--R           2380a  b d  - 16660a  b c d  + 49980a  b c d  - 83300a  b c d
+--R         + 
+--R                 16 8 4 3         15 9 5 2         14 10 6         13 11 7
+--R           83300a  b c d  - 49980a  b c d  + 16660a  b  c d - 2380a  b  c
+--R      *
+--R          4
+--R         x
+--R     + 
+--R               21 3 7        20 4   6         19 5 2 5         18 6 3 4
+--R           680a  b d  - 4760a  b c d  + 14280a  b c d  - 23800a  b c d
+--R         + 
+--R                 17 7 4 3         16 8 5 2        15 9 6        14 10 7
+--R           23800a  b c d  - 14280a  b c d  + 4760a  b c d - 680a  b  c
+--R      *
+--R          3
+--R         x
+--R     + 
+--R               22 2 7       21 3   6        20 4 2 5        19 5 3 4
+--R           136a  b d  - 952a  b c d  + 2856a  b c d  - 4760a  b c d
+--R         + 
+--R                18 6 4 3        17 7 5 2       16 8 6        15 9 7
+--R           4760a  b c d  - 2856a  b c d  + 952a  b c d - 136a  b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R              23   7       22 2   6       21 3 2 5       20 4 3 4       19 5 4 3
+--R           17a  b d  - 119a  b c d  + 357a  b c d  - 595a  b c d  + 595a  b c d
+--R         + 
+--R                 18 6 5 2       17 7 6       16 8 7
+--R           - 357a  b c d  + 119a  b c d - 17a  b c
+--R      *
+--R         x
+--R     + 
+--R        24 7     23     6      22 2 2 5      21 3 3 4      20 4 4 3
+--R       a  d  - 7a  b c d  + 21a  b c d  - 35a  b c d  + 35a  b c d
+--R     + 
+--R            19 5 5 2     18 6 6     17 7 7
+--R       - 21a  b c d  + 7a  b c d - a  b c
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 882
+
+--S 883 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R               10 10 10              9 10          10   9  9
+--R       - 19448b  d  x   + (- 24310a b d   - 170170b  c d )x
+--R     + 
+--R                2 8 10            9   9          10 2 8  8
+--R       (- 24310a b d   - 170170a b c d  - 680680b  c d )x
+--R     + 
+--R                3 7 10          2 8   9            9 2 8           10 3 7  7
+--R       (- 19448a b d   - 136136a b c d  - 544544a b c d  - 1633632b  c d )x
+--R     + 
+--R                   4 6 10         3 7   9          2 8 2 8             9 3 7
+--R           - 12376a b d   - 86632a b c d  - 346528a b c d  - 1039584a b c d
+--R         + 
+--R                     10 4 6
+--R           - 2598960b  c d
+--R      *
+--R          6
+--R         x
+--R     + 
+--R                  5 5 10         4 6   9          3 7 2 8          2 8 3 7
+--R           - 6188a b d   - 43316a b c d  - 173264a b c d  - 519792a b c d
+--R         + 
+--R                       9 4 6           10 5 5
+--R           - 1299480a b c d  - 2858856b  c d
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                  6 4 10         5 5   9         4 6 2 8          3 7 3 7
+--R           - 2380a b d   - 16660a b c d  - 66640a b c d  - 199920a b c d
+--R         + 
+--R                    2 8 4 6             9 5 5           10 6 4
+--R           - 499800a b c d  - 1099560a b c d  - 2199120b  c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                 7 3 10        6 4   9         5 5 2 8         4 6 3 7
+--R           - 680a b d   - 4760a b c d  - 19040a b c d  - 57120a b c d
+--R         + 
+--R                    3 7 4 6          2 8 5 5            9 6 4           10 7 3
+--R           - 142800a b c d  - 314160a b c d  - 628320a b c d  - 1166880b  c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                 8 2 10       7 3   9        6 4 2 8         5 5 3 7
+--R           - 136a b d   - 952a b c d  - 3808a b c d  - 11424a b c d
+--R         + 
+--R                   4 6 4 6         3 7 5 5          2 8 6 4            9 7 3
+--R           - 28560a b c d  - 62832a b c d  - 125664a b c d  - 233376a b c d
+--R         + 
+--R                    10 8 2
+--R           - 408408b  c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                9   10       8 2   9       7 3 2 8        6 4 3 7        5 5 4 6
+--R           - 17a b d   - 119a b c d  - 476a b c d  - 1428a b c d  - 3570a b c d
+--R         + 
+--R                  4 6 5 5         3 7 6 4         2 8 7 3           9 8 2
+--R           - 7854a b c d  - 15708a b c d  - 29172a b c d  - 51051a b c d
+--R         + 
+--R                   10 9
+--R           - 85085b  c d
+--R      *
+--R         x
+--R     + 
+--R          10 10     9     9      8 2 2 8      7 3 3 7       6 4 4 6
+--R       - a  d   - 7a b c d  - 28a b c d  - 84a b c d  - 210a b c d
+--R     + 
+--R             5 5 5 5       4 6 6 4        3 7 7 3        2 8 8 2          9 9
+--R       - 462a b c d  - 924a b c d  - 1716a b c d  - 3003a b c d  - 5005a b c d
+--R     + 
+--R              10 10
+--R       - 8008b  c
+--R  /
+--R              28 17             27 16            2 26 15            3 25 14
+--R       136136b  x   + 2314312a b  x   + 18514496a b  x   + 92572480a b  x
+--R     + 
+--R                 4 24 13             5 23 12              6 22 11
+--R       324003680a b  x   + 842409568a b  x   + 1684819136a b  x
+--R     + 
+--R                  7 21 10              8 20 9              9 19 8
+--R       2647572928a b  x   + 3309466160a b  x  + 3309466160a b  x
+--R     + 
+--R                  10 18 7              11 17 6             12 16 5
+--R       2647572928a  b  x  + 1684819136a  b  x  + 842409568a  b  x
+--R     + 
+--R                 13 15 4            14 14 3            15 13 2           16 12
+--R       324003680a  b  x  + 92572480a  b  x  + 18514496a  b  x  + 2314312a  b  x
+--R     + 
+--R              17 11
+--R       136136a  b
+--R                                         Type: Union(Expression(Integer),...)
+--E 883
+
+--S 884 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R   -
+--R         17
+--R        d
+--R     /
+--R                 7 11 7          6 12   6           5 13 2 5           4 14 3 4
+--R          136136a b  d  - 952952a b  c d  + 2858856a b  c d  - 4764760a b  c d
+--R        + 
+--R                  3 15 4 3           2 16 5 2            17 6           18 7
+--R          4764760a b  c d  - 2858856a b  c d  + 952952a b  c d - 136136b  c
+--R                                                    Type: Expression(Integer)
+--E 884
+
+--S 885 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 885
+
+)clear all
+
+--S 886 of 2952
+t0000:=(c+d*x)^10/(a+b*x)^19
+--R 
+--R
+--R   (1)
+--R        10 10        9 9      2 8 8       3 7 7       4 6 6       5 5 5
+--R       d  x   + 10c d x  + 45c d x  + 120c d x  + 210c d x  + 252c d x
+--R     + 
+--R           6 4 4       7 3 3      8 2 2      9       10
+--R       210c d x  + 120c d x  + 45c d x  + 10c d x + c
+--R  /
+--R        19 19        18 18       2 17 17       3 16 16        4 15 15
+--R       b  x   + 19a b  x   + 171a b  x   + 969a b  x   + 3876a b  x
+--R     + 
+--R             5 14 14         6 13 13         7 12 12         8 11 11
+--R       11628a b  x   + 27132a b  x   + 50388a b  x   + 75582a b  x
+--R     + 
+--R             9 10 10         10 9 9         11 8 8         12 7 7         13 6 6
+--R       92378a b  x   + 92378a  b x  + 75582a  b x  + 50388a  b x  + 27132a  b x
+--R     + 
+--R             14 5 5        15 4 4       16 3 3       17 2 2      18       19
+--R       11628a  b x  + 3876a  b x  + 969a  b x  + 171a  b x  + 19a  b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 886
+
+--S 887 of 2952
+r0000:=-1/18*(c+d*x)^11/((b*c-a*d)*(a+b*x)^18)+_
+     7/306*d*(c+d*x)^11/((b*c-a*d)^2*(a+b*x)^17)-_
+     7/816*d^2*(c+d*x)^11/((b*c-a*d)^3*(a+b*x)^16)+_
+     7/2448*d^3*(c+d*x)^11/((b*c-a*d)^4*(a+b*x)^15)-_
+     1/1224*d^4*(c+d*x)^11/((b*c-a*d)^5*(a+b*x)^14)+_
+     1/5304*d^5*(c+d*x)^11/((b*c-a*d)^6*(a+b*x)^13)-_
+     1/31824*d^6*(c+d*x)^11/((b*c-a*d)^7*(a+b*x)^12)+_
+     1/350064*d^7*(c+d*x)^11/((b*c-a*d)^8*(a+b*x)^11)
+--R 
+--R
+--R   (2)
+--R          1    7 18 18     1      6 18 17     1   2 5 18 16    1   3 4 18 15
+--R       ------ b d  x   + ----- a b d  x   + ---- a b d  x   + --- a b d  x
+--R       350064            19448              2288              429
+--R     + 
+--R        5   4 3 18 14    7   5 2 18 13    7   6   18 12    1  7 18 11
+--R       --- a b d  x   + --- a b d  x   + --- a b d  x   + -- a d  x
+--R       572              286              132              11
+--R     + 
+--R            7   17   7  6   2 16     5 2 3 15   35  4 3 4 14     3 4 5 13
+--R           a c d   - - a b c d   + 7a b c d   - -- a b c d   + 7a b c d
+--R                     2                           4
+--R         + 
+--R             7  2 5 6 12      6 7 11   1  7 8 10
+--R           - - a b c d   + a b c d   - - b c d
+--R             2                         8
+--R      *
+--R          10
+--R         x
+--R     + 
+--R             7 2 16   70  6   3 15   105  5 2 4 14      4 3 5 13   175  3 4 6 12
+--R           5a c d   - -- a b c d   + --- a b c d   - 70a b c d   + --- a b c d
+--R                       3              2                             3
+--R         + 
+--R                2 5 7 11   35    6 8 10   10  7 9 9
+--R           - 30a b c d   + -- a b c d   - -- b c d
+--R                            4              9
+--R      *
+--R          9
+--R         x
+--R     + 
+--R              7 3 15   315  6   4 14       5 2 5 13   525  4 3 6 12
+--R           15a c d   - --- a b c d   + 189a b c d   - --- a b c d
+--R                        4                              2
+--R         + 
+--R               3 4 7 11   945  2 5 8 10        6 9 9   9  7 10 8
+--R           225a b c d   - --- a b c d   + 35a b c d  - - b c  d
+--R                           8                           2
+--R      *
+--R          8
+--R         x
+--R     + 
+--R              7 4 14       6   5 13       5 2 6 12       4 3 7 11       3 4 8 10
+--R           30a c d   - 168a b c d   + 420a b c d   - 600a b c d   + 525a b c d
+--R         + 
+--R                 2 5 9 9        6 10 8   120  7 11 7
+--R           - 280a b c d  + 84a b c  d  - --- b c  d
+--R                                          11
+--R      *
+--R          7
+--R         x
+--R     + 
+--R              7 5 13       6   6 12       5 2 7 11   3675  4 3 8 10
+--R           42a c d   - 245a b c d   + 630a b c d   - ---- a b c d
+--R                                                       4
+--R         + 
+--R           2450  3 4 9 9       2 5 10 8   1470    6 11 7   35  7 12 6
+--R           ---- a b c d  - 441a b c  d  + ---- a b c  d  - -- b c  d
+--R             3                             11               2
+--R      *
+--R          6
+--R         x
+--R     + 
+--R              7 6 12       6   7 11   1323  5 2 8 10       4 3 9 9
+--R           42a c d   - 252a b c d   + ---- a b c d   - 980a b c d
+--R                                        2
+--R         + 
+--R               3 4 10 8   5292  2 5 11 7         6 12 6   252  7 13 5
+--R           882a b c  d  - ---- a b c  d  + 147a b c  d  - --- b c  d
+--R                           11                              13
+--R      *
+--R          5
+--R         x
+--R     + 
+--R              7 7 11   735  6   8 10       5 2 9 9       4 3 10 8
+--R           30a c d   - --- a b c d   + 490a b c d  - 735a b c  d
+--R                        4
+--R         + 
+--R           7350  3 4 11 7   735  2 5 12 6   1470    6 13 5      7 14 4
+--R           ---- a b c  d  - --- a b c  d  + ---- a b c  d  - 15b c  d
+--R            11               2               13
+--R      *
+--R          4
+--R         x
+--R     + 
+--R              7 8 10   280  6   9 9       5 2 10 8   4200  4 3 11 7
+--R           15a c d   - --- a b c d  + 252a b c  d  - ---- a b c  d
+--R                        3                             11
+--R         + 
+--R               3 4 12 6   2520  2 5 13 5        6 14 4     7 15 3
+--R           350a b c  d  - ---- a b c  d  + 60a b c  d  - 8b c  d
+--R                           13
+--R      *
+--R          3
+--R         x
+--R     + 
+--R             7 9 9   63  6   10 8   945  5 2 11 7   525  4 3 12 6
+--R           5a c d  - -- a b c  d  + --- a b c  d  - --- a b c  d
+--R                      2              11              4
+--R         + 
+--R           1575  3 4 13 5   135  2 5 14 4        6 15 3   45  7 16 2
+--R           ---- a b c  d  - --- a b c  d  + 21a b c  d  - -- b c  d
+--R            13               2                            16
+--R      *
+--R          2
+--R         x
+--R     + 
+--R            7 10 8   70  6   11 7   35  5 2 12 6   350  4 3 13 5      3 4 14 4
+--R           a c  d  - -- a b c  d  + -- a b c  d  - --- a b c  d  + 25a b c  d
+--R                     11              2              13
+--R         + 
+--R                2 5 15 3   35    6 16 2   10  7 17
+--R           - 14a b c  d  + -- a b c  d  - -- b c  d
+--R                            8             17
+--R      *
+--R         x
+--R     + 
+--R        1  7 11 7    7  6   12 6   21  5 2 13 5   5  4 3 14 4   7  3 4 15 3
+--R       -- a c  d  - -- a b c  d  + -- a b c  d  - - a b c  d  + - a b c  d
+--R       11           12             13             2             3
+--R     + 
+--R         21  2 5 16 2    7    6 17     1  7 18
+--R       - -- a b c  d  + -- a b c  d - -- b c
+--R         16             17            18
+--R  /
+--R            8 18 8     7 19   7      6 20 2 6      5 21 3 5      4 22 4 4
+--R           a b  d  - 8a b  c d  + 28a b  c d  - 56a b  c d  + 70a b  c d
+--R         + 
+--R                3 23 5 3      2 24 6 2       25 7     26 8
+--R           - 56a b  c d  + 28a b  c d  - 8a b  c d + b  c
+--R      *
+--R          18
+--R         x
+--R     + 
+--R              9 17 8       8 18   7       7 19 2 6        6 20 3 5
+--R           18a b  d  - 144a b  c d  + 504a b  c d  - 1008a b  c d
+--R         + 
+--R              5 21 4 4        4 22 5 3       3 23 6 2       2 24 7         25 8
+--R         1260a b  c d  - 1008a b  c d  + 504a b  c d  - 144a b  c d + 18a b  c
+--R      *
+--R          17
+--R         x
+--R     + 
+--R               10 16 8        9 17   7        8 18 2 6        7 19 3 5
+--R           153a  b  d  - 1224a b  c d  + 4284a b  c d  - 8568a b  c d
+--R         + 
+--R                 6 20 4 4        5 21 5 3        4 22 6 2        3 23 7
+--R           10710a b  c d  - 8568a b  c d  + 4284a b  c d  - 1224a b  c d
+--R         + 
+--R               2 24 8
+--R           153a b  c
+--R      *
+--R          16
+--R         x
+--R     + 
+--R               11 15 8        10 16   7         9 17 2 6         8 18 3 5
+--R           816a  b  d  - 6528a  b  c d  + 22848a b  c d  - 45696a b  c d
+--R         + 
+--R                 7 19 4 4         6 20 5 3         5 21 6 2        4 22 7
+--R           57120a b  c d  - 45696a b  c d  + 22848a b  c d  - 6528a b  c d
+--R         + 
+--R               3 23 8
+--R           816a b  c
+--R      *
+--R          15
+--R         x
+--R     + 
+--R                12 14 8         11 15   7         10 16 2 6          9 17 3 5
+--R           3060a  b  d  - 24480a  b  c d  + 85680a  b  c d  - 171360a b  c d
+--R         + 
+--R                  8 18 4 4          7 19 5 3         6 20 6 2         5 21 7
+--R           214200a b  c d  - 171360a b  c d  + 85680a b  c d  - 24480a b  c d
+--R         + 
+--R                4 22 8
+--R           3060a b  c
+--R      *
+--R          14
+--R         x
+--R     + 
+--R                13 13 8         12 14   7          11 15 2 6          10 16 3 5
+--R           8568a  b  d  - 68544a  b  c d  + 239904a  b  c d  - 479808a  b  c d
+--R         + 
+--R                  9 17 4 4          8 18 5 3          7 19 6 2         6 20 7
+--R           599760a b  c d  - 479808a b  c d  + 239904a b  c d  - 68544a b  c d
+--R         + 
+--R                5 21 8
+--R           8568a b  c
+--R      *
+--R          13
+--R         x
+--R     + 
+--R                 14 12 8          13 13   7          12 14 2 6
+--R           18564a  b  d  - 148512a  b  c d  + 519792a  b  c d
+--R         + 
+--R                     11 15 3 5           10 16 4 4           9 17 5 3
+--R           - 1039584a  b  c d  + 1299480a  b  c d  - 1039584a b  c d
+--R         + 
+--R                  8 18 6 2          7 19 7          6 20 8
+--R           519792a b  c d  - 148512a b  c d + 18564a b  c
+--R      *
+--R          12
+--R         x
+--R     + 
+--R                 15 11 8          14 12   7          13 13 2 6
+--R           31824a  b  d  - 254592a  b  c d  + 891072a  b  c d
+--R         + 
+--R                     12 14 3 5           11 15 4 4           10 16 5 3
+--R           - 1782144a  b  c d  + 2227680a  b  c d  - 1782144a  b  c d
+--R         + 
+--R                  9 17 6 2          8 18 7          7 19 8
+--R           891072a b  c d  - 254592a b  c d + 31824a b  c
+--R      *
+--R          11
+--R         x
+--R     + 
+--R                 16 10 8          15 11   7           14 12 2 6
+--R           43758a  b  d  - 350064a  b  c d  + 1225224a  b  c d
+--R         + 
+--R                     13 13 3 5           12 14 4 4           11 15 5 3
+--R           - 2450448a  b  c d  + 3063060a  b  c d  - 2450448a  b  c d
+--R         + 
+--R                   10 16 6 2          9 17 7          8 18 8
+--R           1225224a  b  c d  - 350064a b  c d + 43758a b  c
+--R      *
+--R          10
+--R         x
+--R     + 
+--R                 17 9 8          16 10   7           15 11 2 6
+--R           48620a  b d  - 388960a  b  c d  + 1361360a  b  c d
+--R         + 
+--R                     14 12 3 5           13 13 4 4           12 14 5 3
+--R           - 2722720a  b  c d  + 3403400a  b  c d  - 2722720a  b  c d
+--R         + 
+--R                   11 15 6 2          10 16 7          9 17 8
+--R           1361360a  b  c d  - 388960a  b  c d + 48620a b  c
+--R      *
+--R          9
+--R         x
+--R     + 
+--R                 18 8 8          17 9   7           16 10 2 6
+--R           43758a  b d  - 350064a  b c d  + 1225224a  b  c d
+--R         + 
+--R                     15 11 3 5           14 12 4 4           13 13 5 3
+--R           - 2450448a  b  c d  + 3063060a  b  c d  - 2450448a  b  c d
+--R         + 
+--R                   12 14 6 2          11 15 7          10 16 8
+--R           1225224a  b  c d  - 350064a  b  c d + 43758a  b  c
+--R      *
+--R          8
+--R         x
+--R     + 
+--R                 19 7 8          18 8   7          17 9 2 6           16 10 3 5
+--R           31824a  b d  - 254592a  b c d  + 891072a  b c d  - 1782144a  b  c d
+--R         + 
+--R                   15 11 4 4           14 12 5 3          13 13 6 2
+--R           2227680a  b  c d  - 1782144a  b  c d  + 891072a  b  c d
+--R         + 
+--R                    12 14 7          11 15 8
+--R           - 254592a  b  c d + 31824a  b  c
+--R      *
+--R          7
+--R         x
+--R     + 
+--R                 20 6 8          19 7   7          18 8 2 6           17 9 3 5
+--R           18564a  b d  - 148512a  b c d  + 519792a  b c d  - 1039584a  b c d
+--R         + 
+--R                   16 10 4 4           15 11 5 3          14 12 6 2
+--R           1299480a  b  c d  - 1039584a  b  c d  + 519792a  b  c d
+--R         + 
+--R                    13 13 7          12 14 8
+--R           - 148512a  b  c d + 18564a  b  c
+--R      *
+--R          6
+--R         x
+--R     + 
+--R                21 5 8         20 6   7          19 7 2 6          18 8 3 5
+--R           8568a  b d  - 68544a  b c d  + 239904a  b c d  - 479808a  b c d
+--R         + 
+--R                  17 9 4 4          16 10 5 3          15 11 6 2
+--R           599760a  b c d  - 479808a  b  c d  + 239904a  b  c d
+--R         + 
+--R                   14 12 7         13 13 8
+--R           - 68544a  b  c d + 8568a  b  c
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                22 4 8         21 5   7         20 6 2 6          19 7 3 5
+--R           3060a  b d  - 24480a  b c d  + 85680a  b c d  - 171360a  b c d
+--R         + 
+--R                  18 8 4 4          17 9 5 3         16 10 6 2         15 11 7
+--R           214200a  b c d  - 171360a  b c d  + 85680a  b  c d  - 24480a  b  c d
+--R         + 
+--R                14 12 8
+--R           3060a  b  c
+--R      *
+--R          4
+--R         x
+--R     + 
+--R               23 3 8        22 4   7         21 5 2 6         20 6 3 5
+--R           816a  b d  - 6528a  b c d  + 22848a  b c d  - 45696a  b c d
+--R         + 
+--R                 19 7 4 4         18 8 5 3         17 9 6 2        16 10 7
+--R           57120a  b c d  - 45696a  b c d  + 22848a  b c d  - 6528a  b  c d
+--R         + 
+--R               15 11 8
+--R           816a  b  c
+--R      *
+--R          3
+--R         x
+--R     + 
+--R               24 2 8        23 3   7        22 4 2 6        21 5 3 5
+--R           153a  b d  - 1224a  b c d  + 4284a  b c d  - 8568a  b c d
+--R         + 
+--R                 20 6 4 4        19 7 5 3        18 8 6 2        17 9 7
+--R           10710a  b c d  - 8568a  b c d  + 4284a  b c d  - 1224a  b c d
+--R         + 
+--R               16 10 8
+--R           153a  b  c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R              25   8       24 2   7       23 3 2 6        22 4 3 5
+--R           18a  b d  - 144a  b c d  + 504a  b c d  - 1008a  b c d
+--R         + 
+--R              21 5 4 4        20 6 5 3       19 7 6 2       18 8 7       17 9 8
+--R         1260a  b c d  - 1008a  b c d  + 504a  b c d  - 144a  b c d + 18a  b c
+--R      *
+--R         x
+--R     + 
+--R        26 8     25     7      24 2 2 6      23 3 3 5      22 4 4 4
+--R       a  d  - 8a  b c d  + 28a  b c d  - 56a  b c d  + 70a  b c d
+--R     + 
+--R            21 5 5 3      20 6 6 2     19 7 7     18 8 8
+--R       - 56a  b c d  + 28a  b c d  - 8a  b c d + a  b c
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 887
+
+--S 888 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R               10 10 10              9 10          10   9  9
+--R       - 43758b  d  x   + (- 48620a b d   - 388960b  c d )x
+--R     + 
+--R                2 8 10            9   9           10 2 8  8
+--R       (- 43758a b d   - 350064a b c d  - 1575288b  c d )x
+--R     + 
+--R                3 7 10          2 8   9             9 2 8           10 3 7  7
+--R       (- 31824a b d   - 254592a b c d  - 1145664a b c d  - 3818880b  c d )x
+--R     + 
+--R                   4 6 10          3 7   9          2 8 2 8             9 3 7
+--R           - 18564a b d   - 148512a b c d  - 668304a b c d  - 2227680a b c d
+--R         + 
+--R                     10 4 6
+--R           - 6126120b  c d
+--R      *
+--R          6
+--R         x
+--R     + 
+--R                  5 5 10         4 6   9          3 7 2 8           2 8 3 7
+--R           - 8568a b d   - 68544a b c d  - 308448a b c d  - 1028160a b c d
+--R         + 
+--R                       9 4 6           10 5 5
+--R           - 2827440a b c d  - 6785856b  c d
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                  6 4 10         5 5   9          4 6 2 8          3 7 3 7
+--R           - 3060a b d   - 24480a b c d  - 110160a b c d  - 367200a b c d
+--R         + 
+--R                     2 8 4 6             9 5 5           10 6 4
+--R           - 1009800a b c d  - 2423520a b c d  - 5250960b  c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                 7 3 10        6 4   9         5 5 2 8         4 6 3 7
+--R           - 816a b d   - 6528a b c d  - 29376a b c d  - 97920a b c d
+--R         + 
+--R                    3 7 4 6          2 8 5 5             9 6 4           10 7 3
+--R           - 269280a b c d  - 646272a b c d  - 1400256a b c d  - 2800512b  c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                 8 2 10        7 3   9        6 4 2 8         5 5 3 7
+--R           - 153a b d   - 1224a b c d  - 5508a b c d  - 18360a b c d
+--R         + 
+--R                   4 6 4 6          3 7 5 5          2 8 6 4            9 7 3
+--R           - 50490a b c d  - 121176a b c d  - 262548a b c d  - 525096a b c d
+--R         + 
+--R                    10 8 2
+--R           - 984555b  c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                9   10       8 2   9       7 3 2 8        6 4 3 7        5 5 4 6
+--R           - 18a b d   - 144a b c d  - 648a b c d  - 2160a b c d  - 5940a b c d
+--R         + 
+--R                   4 6 5 5         3 7 6 4         2 8 7 3            9 8 2
+--R           - 14256a b c d  - 30888a b c d  - 61776a b c d  - 115830a b c d
+--R         + 
+--R                    10 9
+--R           - 205920b  c d
+--R      *
+--R         x
+--R     + 
+--R          10 10     9     9      8 2 2 8       7 3 3 7       6 4 4 6
+--R       - a  d   - 8a b c d  - 36a b c d  - 120a b c d  - 330a b c d
+--R     + 
+--R             5 5 5 5        4 6 6 4        3 7 7 3        2 8 8 2           9 9
+--R       - 792a b c d  - 1716a b c d  - 3432a b c d  - 6435a b c d  - 11440a b c d
+--R     + 
+--R               10 10
+--R       - 19448b  c
+--R  /
+--R              29 18             28 17            2 27 16             3 26 15
+--R       350064b  x   + 6301152a b  x   + 53559792a b  x   + 285652224a b  x
+--R     + 
+--R                  4 25 14              5 24 13              6 23 12
+--R       1071195840a b  x   + 2999348352a b  x   + 6498588096a b  x
+--R     + 
+--R                   7 22 11               8 21 10               9 20 9
+--R       11140436736a b  x   + 15318100512a b  x   + 17020111680a b  x
+--R     + 
+--R                   10 19 8               11 18 7              12 17 6
+--R       15318100512a  b  x  + 11140436736a  b  x  + 6498588096a  b  x
+--R     + 
+--R                  13 16 5              14 15 4             15 14 3
+--R       2999348352a  b  x  + 1071195840a  b  x  + 285652224a  b  x
+--R     + 
+--R                16 13 2           17 12           18 11
+--R       53559792a  b  x  + 6301152a  b  x + 350064a  b
+--R                                         Type: Union(Expression(Integer),...)
+--E 888
+
+--S 889 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R   -
+--R         18
+--R        d
+--R     /
+--R                 8 11 8           7 12   7           6 13 2 6
+--R          350064a b  d  - 2800512a b  c d  + 9801792a b  c d
+--R        + 
+--R                     5 14 3 5            4 15 4 4            3 16 5 3
+--R          - 19603584a b  c d  + 24504480a b  c d  - 19603584a b  c d
+--R        + 
+--R                  2 17 6 2             18 7           19 8
+--R          9801792a b  c d  - 2800512a b  c d + 350064b  c
+--R                                                    Type: Expression(Integer)
+--E 889
+
+--S 890 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 890
+
+)clear all
+
+--S 891 of 2952
+t0000:=(c+d*x)^10/(a+b*x)^20
+--R 
+--R
+--R   (1)
+--R        10 10        9 9      2 8 8       3 7 7       4 6 6       5 5 5
+--R       d  x   + 10c d x  + 45c d x  + 120c d x  + 210c d x  + 252c d x
+--R     + 
+--R           6 4 4       7 3 3      8 2 2      9       10
+--R       210c d x  + 120c d x  + 45c d x  + 10c d x + c
+--R  /
+--R        20 20        19 19       2 18 18        3 17 17        4 16 16
+--R       b  x   + 20a b  x   + 190a b  x   + 1140a b  x   + 4845a b  x
+--R     + 
+--R             5 15 15         6 14 14         7 13 13          8 12 12
+--R       15504a b  x   + 38760a b  x   + 77520a b  x   + 125970a b  x
+--R     + 
+--R              9 11 11          10 10 10          11 9 9          12 8 8
+--R       167960a b  x   + 184756a  b  x   + 167960a  b x  + 125970a  b x
+--R     + 
+--R             13 7 7         14 6 6         15 5 5        16 4 4        17 3 3
+--R       77520a  b x  + 38760a  b x  + 15504a  b x  + 4845a  b x  + 1140a  b x
+--R     + 
+--R           18 2 2      19       20
+--R       190a  b x  + 20a  b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 891
+
+--S 892 of 2952
+r0000:=-1/19*(b*c-a*d)^10/(b^11*(a+b*x)^19)-_
+     5/9*d*(b*c-a*d)^9/(b^11*(a+b*x)^18)-_
+     45/17*d^2*(b*c-a*d)^8/(b^11*(a+b*x)^17)-_
+     15/2*d^3*(b*c-a*d)^7/(b^11*(a+b*x)^16)-_
+     14*d^4*(b*c-a*d)^6/(b^11*(a+b*x)^15)-_
+     18*d^5*(b*c-a*d)^5/(b^11*(a+b*x)^14)-_
+     210/13*d^6*(b*c-a*d)^4/(b^11*(a+b*x)^13)-_
+     10*d^7*(b*c-a*d)^3/(b^11*(a+b*x)^12)-_
+     45/11*d^8*(b*c-a*d)^2/(b^11*(a+b*x)^11)-_
+     d^9*(b*c-a*d)/(b^11*(a+b*x)^10)-1/9*d^10/(b^11*(a+b*x)^9)
+--R 
+--R
+--R   (2)
+--R         1  10 10 10      1    9 10    10   9  9
+--R       - - b  d  x   + (- - a b d   - b  c d )x
+--R         9                9
+--R     + 
+--R           1  2 8 10    9    9   9   45  10 2 8  8
+--R       (- -- a b d   - -- a b c d  - -- b  c d )x
+--R          11           11            11
+--R     + 
+--R           2  3 7 10    6  2 8   9   30    9 2 8      10 3 7  7
+--R       (- -- a b d   - -- a b c d  - -- a b c d  - 10b  c d )x
+--R          33           11            11
+--R     + 
+--R                14  4 6 10    42  3 7   9   210  2 8 2 8   70    9 3 7
+--R             - --- a b d   - --- a b c d  - --- a b c d  - -- a b c d
+--R               429           143            143            13
+--R           + 
+--R               210  10 4 6
+--R             - --- b  c d
+--R                13
+--R      *
+--R          6
+--R         x
+--R     + 
+--R              2   5 5 10    18  4 6   9    90  3 7 2 8   30  2 8 3 7
+--R           - --- a b d   - --- a b c d  - --- a b c d  - -- a b c d
+--R             143           143            143            13
+--R         + 
+--R             90    9 4 6      10 5 5
+--R           - -- a b c d  - 18b  c d
+--R             13
+--R      *
+--R          5
+--R         x
+--R     + 
+--R              2   6 4 10    6   5 5   9    30  4 6 2 8   10  3 7 3 7
+--R           - --- a b d   - --- a b c d  - --- a b c d  - -- a b c d
+--R             429           143            143            13
+--R         + 
+--R             30  2 8 4 6       9 5 5      10 6 4
+--R           - -- a b c d  - 6a b c d  - 14b  c d
+--R             13
+--R      *
+--R          4
+--R         x
+--R     + 
+--R              1   7 3 10    3   6 4   9    15  5 5 2 8    5  4 6 3 7
+--R           - --- a b d   - --- a b c d  - --- a b c d  - -- a b c d
+--R             858           286            286            26
+--R         + 
+--R             15  3 7 4 6   3  2 8 5 5   7    9 6 4   15  10 7 3
+--R           - -- a b c d  - - a b c d  - - a b c d  - -- b  c d
+--R             26            2            2             2
+--R      *
+--R          3
+--R         x
+--R     + 
+--R               1   8 2 10     9   7 3   9    45   6 4 2 8    15  5 5 3 7
+--R           - ---- a b d   - ---- a b c d  - ---- a b c d  - --- a b c d
+--R             4862           4862            4862            442
+--R         + 
+--R            45  4 6 4 6    9  3 7 5 5   21  2 8 6 4   45    9 7 3   45  10 8 2
+--R         - --- a b c d  - -- a b c d  - -- a b c d  - -- a b c d  - -- b  c d
+--R           442            34            34            34            17
+--R      *
+--R          2
+--R         x
+--R     + 
+--R               1    9   10     1   8 2   9     5   7 3 2 8     5   6 4 3 7
+--R           - ----- a b d   - ---- a b c d  - ---- a b c d  - ---- a b c d
+--R             43758           4862            4862            1326
+--R         + 
+--R              5   5 5 4 6    1  4 6 5 5    7   3 7 6 4    5  2 8 7 3
+--R           - --- a b c d  - -- a b c d  - --- a b c d  - -- a b c d
+--R             442            34            102            34
+--R         + 
+--R              5    9 8 2   5  10 9
+--R           - -- a b c d  - - b  c d
+--R             17            9
+--R      *
+--R         x
+--R     + 
+--R            1    10 10     1    9     9     5    8 2 2 8     5    7 3 3 7
+--R       - ------ a  d   - ----- a b c d  - ----- a b c d  - ----- a b c d
+--R         831402          92378            92378            25194
+--R     + 
+--R           5   6 4 4 6    1   5 5 5 5     7   4 6 6 4    5   3 7 7 3
+--R       - ---- a b c d  - --- a b c d  - ---- a b c d  - --- a b c d
+--R         8398            646            1938            646
+--R     + 
+--R          5   2 8 8 2    5     9 9     1  10 10
+--R       - --- a b c d  - --- a b c d - -- b  c
+--R         323            171           19
+--R  /
+--R        30 19        29 18       2 28 17       3 27 16        4 26 15
+--R       b  x   + 19a b  x   + 171a b  x   + 969a b  x   + 3876a b  x
+--R     + 
+--R             5 25 14         6 24 13         7 23 12         8 22 11
+--R       11628a b  x   + 27132a b  x   + 50388a b  x   + 75582a b  x
+--R     + 
+--R             9 21 10         10 20 9         11 19 8         12 18 7
+--R       92378a b  x   + 92378a  b  x  + 75582a  b  x  + 50388a  b  x
+--R     + 
+--R             13 17 6         14 16 5        15 15 4       16 14 3       17 13 2
+--R       27132a  b  x  + 11628a  b  x  + 3876a  b  x  + 969a  b  x  + 171a  b  x
+--R     + 
+--R          18 12     19 11
+--R       19a  b  x + a  b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 892
+
+--S 893 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R               10 10 10              9 10          10   9  9
+--R       - 92378b  d  x   + (- 92378a b d   - 831402b  c d )x
+--R     + 
+--R                2 8 10            9   9           10 2 8  8
+--R       (- 75582a b d   - 680238a b c d  - 3401190b  c d )x
+--R     + 
+--R                3 7 10          2 8   9             9 2 8           10 3 7  7
+--R       (- 50388a b d   - 453492a b c d  - 2267460a b c d  - 8314020b  c d )x
+--R     + 
+--R                   4 6 10          3 7   9           2 8 2 8             9 3 7
+--R           - 27132a b d   - 244188a b c d  - 1220940a b c d  - 4476780a b c d
+--R         + 
+--R                      10 4 6
+--R           - 13430340b  c d
+--R      *
+--R          6
+--R         x
+--R     + 
+--R                   5 5 10          4 6   9          3 7 2 8           2 8 3 7
+--R           - 11628a b d   - 104652a b c d  - 523260a b c d  - 1918620a b c d
+--R         + 
+--R                       9 4 6            10 5 5
+--R           - 5755860a b c d  - 14965236b  c d
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                  6 4 10         5 5   9          4 6 2 8          3 7 3 7
+--R           - 3876a b d   - 34884a b c d  - 174420a b c d  - 639540a b c d
+--R         + 
+--R                     2 8 4 6             9 5 5            10 6 4
+--R           - 1918620a b c d  - 4988412a b c d  - 11639628b  c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                 7 3 10        6 4   9         5 5 2 8          4 6 3 7
+--R           - 969a b d   - 8721a b c d  - 43605a b c d  - 159885a b c d
+--R         + 
+--R                  3 7 4 6           2 8 5 5             9 6 4           10 7 3
+--R         - 479655a b c d  - 1247103a b c d  - 2909907a b c d  - 6235515b  c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                 8 2 10        7 3   9        6 4 2 8         5 5 3 7
+--R           - 171a b d   - 1539a b c d  - 7695a b c d  - 28215a b c d
+--R         + 
+--R                   4 6 4 6          3 7 5 5          2 8 6 4             9 7 3
+--R           - 84645a b c d  - 220077a b c d  - 513513a b c d  - 1100385a b c d
+--R         + 
+--R                     10 8 2
+--R           - 2200770b  c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                9   10       8 2   9       7 3 2 8        6 4 3 7        5 5 4 6
+--R           - 19a b d   - 171a b c d  - 855a b c d  - 3135a b c d  - 9405a b c d
+--R         + 
+--R                   4 6 5 5         3 7 6 4          2 8 7 3            9 8 2
+--R           - 24453a b c d  - 57057a b c d  - 122265a b c d  - 244530a b c d
+--R         + 
+--R                    10 9
+--R           - 461890b  c d
+--R      *
+--R         x
+--R     + 
+--R          10 10     9     9      8 2 2 8       7 3 3 7       6 4 4 6
+--R       - a  d   - 9a b c d  - 45a b c d  - 165a b c d  - 495a b c d
+--R     + 
+--R              5 5 5 5        4 6 6 4        3 7 7 3         2 8 8 2
+--R       - 1287a b c d  - 3003a b c d  - 6435a b c d  - 12870a b c d
+--R     + 
+--R                 9 9          10 10
+--R       - 24310a b c d - 43758b  c
+--R  /
+--R              30 19              29 18             2 28 17             3 27 16
+--R       831402b  x   + 15796638a b  x   + 142169742a b  x   + 805628538a b  x
+--R     + 
+--R                  4 26 15              5 25 14               6 24 13
+--R       3222514152a b  x   + 9667542456a b  x   + 22557599064a b  x
+--R     + 
+--R                   7 23 12               8 22 11               9 21 10
+--R       41892683976a b  x   + 62839025964a b  x   + 76803253956a b  x
+--R     + 
+--R                   10 20 9               11 19 8               12 18 7
+--R       76803253956a  b  x  + 62839025964a  b  x  + 41892683976a  b  x
+--R     + 
+--R                   13 17 6              14 16 5              15 15 4
+--R       22557599064a  b  x  + 9667542456a  b  x  + 3222514152a  b  x
+--R     + 
+--R                 16 14 3             17 13 2            18 12           19 11
+--R       805628538a  b  x  + 142169742a  b  x  + 15796638a  b  x + 831402a  b
+--R                                         Type: Union(Expression(Integer),...)
+--E 893
+
+--S 894 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 894
+
+--S 895 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 895
+
+)clear all
+
+--S 896 of 2952
+t0000:=(c+d*x)^10/(a+b*x)^21
+--R 
+--R
+--R   (1)
+--R        10 10        9 9      2 8 8       3 7 7       4 6 6       5 5 5
+--R       d  x   + 10c d x  + 45c d x  + 120c d x  + 210c d x  + 252c d x
+--R     + 
+--R           6 4 4       7 3 3      8 2 2      9       10
+--R       210c d x  + 120c d x  + 45c d x  + 10c d x + c
+--R  /
+--R        21 21        20 20       2 19 19        3 18 18        4 17 17
+--R       b  x   + 21a b  x   + 210a b  x   + 1330a b  x   + 5985a b  x
+--R     + 
+--R             5 16 16         6 15 15          7 14 14          8 13 13
+--R       20349a b  x   + 54264a b  x   + 116280a b  x   + 203490a b  x
+--R     + 
+--R              9 12 12          10 11 11          11 10 10          12 9 9
+--R       293930a b  x   + 352716a  b  x   + 352716a  b  x   + 293930a  b x
+--R     + 
+--R              13 8 8          14 7 7         15 6 6         16 5 5        17 4 4
+--R       203490a  b x  + 116280a  b x  + 54264a  b x  + 20349a  b x  + 5985a  b x
+--R     + 
+--R            18 3 3       19 2 2      20       21
+--R       1330a  b x  + 210a  b x  + 21a  b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 896
+
+--S 897 of 2952
+r0000:=-1/20*(b*c-a*d)^10/(b^11*(a+b*x)^20)-_
+     10/19*d*(b*c-a*d)^9/(b^11*(a+b*x)^19)-_
+     5/2*d^2*(b*c-a*d)^8/(b^11*(a+b*x)^18)-_
+     120/17*d^3*(b*c-a*d)^7/(b^11*(a+b*x)^17)-_
+     105/8*d^4*(b*c-a*d)^6/(b^11*(a+b*x)^16)-_
+     84/5*d^5*(b*c-a*d)^5/(b^11*(a+b*x)^15)-_
+     15*d^6*(b*c-a*d)^4/(b^11*(a+b*x)^14)-_
+     120/13*d^7*(b*c-a*d)^3/(b^11*(a+b*x)^13)-_
+     15/4*d^8*(b*c-a*d)^2/(b^11*(a+b*x)^12)-_
+     10/11*d^9*(b*c-a*d)/(b^11*(a+b*x)^11)-1/10*d^10/(b^11*(a+b*x)^10)
+--R 
+--R
+--R   (2)
+--R          1  10 10 10       1    9 10   10  10   9  9
+--R       - -- b  d  x   + (- -- a b d   - -- b  c d )x
+--R         10                11           11
+--R     + 
+--R           3  2 8 10   15    9   9   15  10 2 8  8
+--R       (- -- a b d   - -- a b c d  - -- b  c d )x
+--R          44           22             4
+--R     + 
+--R           6   3 7 10    60  2 8   9   30    9 2 8   120  10 3 7  7
+--R       (- --- a b d   - --- a b c d  - -- a b c d  - --- b  c d )x
+--R          143           143            13             13
+--R     + 
+--R           3   4 6 10    30  3 7   9   15  2 8 2 8   60    9 3 7      10 4 6  6
+--R       (- --- a b d   - --- a b c d  - -- a b c d  - -- a b c d  - 15b  c d )x
+--R          143           143            13            13
+--R     + 
+--R              6   5 5 10    12  4 6   9    6  3 7 2 8   24  2 8 3 7       9 4 6
+--R           - --- a b d   - --- a b c d  - -- a b c d  - -- a b c d  - 6a b c d
+--R             715           143            13            13
+--R         + 
+--R             84  10 5 5
+--R           - -- b  c d
+--R              5
+--R      *
+--R          5
+--R         x
+--R     + 
+--R               3   6 4 10    15  5 5   9    15  4 6 2 8   15  3 7 3 7
+--R           - ---- a b d   - --- a b c d  - --- a b c d  - -- a b c d
+--R             1144           572            104            26
+--R         + 
+--R             15  2 8 4 6   21    9 5 5   105  10 6 4
+--R           - -- a b c d  - -- a b c d  - --- b  c d
+--R              8             4             8
+--R      *
+--R          4
+--R         x
+--R     + 
+--R               3   7 3 10    15   6 4   9    15  5 5 2 8    30  4 6 3 7
+--R           - ---- a b d   - ---- a b c d  - --- a b c d  - --- a b c d
+--R             4862           2431            442            221
+--R         + 
+--R             15  3 7 4 6   21  2 8 5 5   105    9 6 4   120  10 7 3
+--R           - -- a b c d  - -- a b c d  - --- a b c d  - --- b  c d
+--R             34            17             34             17
+--R      *
+--R          3
+--R         x
+--R     + 
+--R               1   8 2 10     5   7 3   9    5   6 4 2 8    5   5 5 3 7
+--R           - ---- a b d   - ---- a b c d  - --- a b c d  - --- a b c d
+--R             9724           4862            884            221
+--R         + 
+--R              5  4 6 4 6    7  3 7 5 5   35  2 8 6 4   20    9 7 3   5  10 8 2
+--R           - -- a b c d  - -- a b c d  - -- a b c d  - -- a b c d  - - b  c d
+--R             68            34            68            17            2
+--R      *
+--R          2
+--R         x
+--R     + 
+--R               1    9   10     5    8 2   9     5   7 3 2 8    10   6 4 3 7
+--R           - ----- a b d   - ----- a b c d  - ---- a b c d  - ---- a b c d
+--R             92378           46189            8398            4199
+--R         + 
+--R              5   5 5 4 6    7   4 6 5 5    35  3 7 6 4    40  2 8 7 3
+--R           - --- a b c d  - --- a b c d  - --- a b c d  - --- a b c d
+--R             646            323            646            323
+--R         + 
+--R              5    9 8 2   10  10 9
+--R           - -- a b c d  - -- b  c d
+--R             19            19
+--R      *
+--R         x
+--R     + 
+--R            1     10 10      1    9     9     1    8 2 2 8     1   7 3 3 7
+--R       - ------- a  d   - ------ a b c d  - ----- a b c d  - ---- a b c d
+--R         1847560          184756            33592            8398
+--R     + 
+--R           1   6 4 4 6     7   5 5 5 5     7   4 6 6 4    2   3 7 7 3
+--R       - ---- a b c d  - ---- a b c d  - ---- a b c d  - --- a b c d
+--R         2584            6460            2584            323
+--R     + 
+--R          1  2 8 8 2    1    9 9     1  10 10
+--R       - -- a b c d  - -- a b c d - -- b  c
+--R         76            38           20
+--R  /
+--R        31 20        30 19       2 29 18        3 28 17        4 27 16
+--R       b  x   + 20a b  x   + 190a b  x   + 1140a b  x   + 4845a b  x
+--R     + 
+--R             5 26 15         6 25 14         7 24 13          8 23 12
+--R       15504a b  x   + 38760a b  x   + 77520a b  x   + 125970a b  x
+--R     + 
+--R              9 22 11          10 21 10          11 20 9          12 19 8
+--R       167960a b  x   + 184756a  b  x   + 167960a  b  x  + 125970a  b  x
+--R     + 
+--R             13 18 7         14 17 6         15 16 5        16 15 4
+--R       77520a  b  x  + 38760a  b  x  + 15504a  b  x  + 4845a  b  x
+--R     + 
+--R            17 14 3       18 13 2      19 12     20 11
+--R       1140a  b  x  + 190a  b  x  + 20a  b  x + a  b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 897
+
+--S 898 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                10 10 10               9 10           10   9  9
+--R       - 184756b  d  x   + (- 167960a b d   - 1679600b  c d )x
+--R     + 
+--R                 2 8 10             9   9           10 2 8  8
+--R       (- 125970a b d   - 1259700a b c d  - 6928350b  c d )x
+--R     + 
+--R                3 7 10          2 8   9             9 2 8            10 3 7  7
+--R       (- 77520a b d   - 775200a b c d  - 4263600a b c d  - 17054400b  c d )x
+--R     + 
+--R                   4 6 10          3 7   9           2 8 2 8             9 3 7
+--R           - 38760a b d   - 387600a b c d  - 2131800a b c d  - 8527200a b c d
+--R         + 
+--R                      10 4 6
+--R           - 27713400b  c d
+--R      *
+--R          6
+--R         x
+--R     + 
+--R                   5 5 10          4 6   9          3 7 2 8           2 8 3 7
+--R           - 15504a b d   - 155040a b c d  - 852720a b c d  - 3410880a b c d
+--R         + 
+--R                        9 4 6            10 5 5
+--R           - 11085360a b c d  - 31039008b  c d
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                  6 4 10         5 5   9          4 6 2 8           3 7 3 7
+--R           - 4845a b d   - 48450a b c d  - 266475a b c d  - 1065900a b c d
+--R         + 
+--R                     2 8 4 6             9 5 5            10 6 4
+--R           - 3464175a b c d  - 9699690a b c d  - 24249225b  c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                  7 3 10         6 4   9         5 5 2 8          4 6 3 7
+--R           - 1140a b d   - 11400a b c d  - 62700a b c d  - 250800a b c d
+--R         + 
+--R                  3 7 4 6           2 8 5 5             9 6 4            10 7 3
+--R         - 815100a b c d  - 2282280a b c d  - 5705700a b c d  - 13041600b  c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                 8 2 10        7 3   9         6 4 2 8         5 5 3 7
+--R           - 190a b d   - 1900a b c d  - 10450a b c d  - 41800a b c d
+--R         + 
+--R                    4 6 4 6          3 7 5 5          2 8 6 4             9 7 3
+--R           - 135850a b c d  - 380380a b c d  - 950950a b c d  - 2173600a b c d
+--R         + 
+--R                     10 8 2
+--R           - 4618900b  c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                9   10       8 2   9        7 3 2 8        6 4 3 7
+--R           - 20a b d   - 200a b c d  - 1100a b c d  - 4400a b c d
+--R         + 
+--R                   5 5 4 6         4 6 5 5          3 7 6 4          2 8 7 3
+--R           - 14300a b c d  - 40040a b c d  - 100100a b c d  - 228800a b c d
+--R         + 
+--R                      9 8 2          10 9
+--R           - 486200a b c d  - 972400b  c d
+--R      *
+--R         x
+--R     + 
+--R          10 10      9     9      8 2 2 8       7 3 3 7       6 4 4 6
+--R       - a  d   - 10a b c d  - 55a b c d  - 220a b c d  - 715a b c d
+--R     + 
+--R              5 5 5 5        4 6 6 4         3 7 7 3         2 8 8 2
+--R       - 2002a b c d  - 5005a b c d  - 11440a b c d  - 24310a b c d
+--R     + 
+--R                 9 9          10 10
+--R       - 48620a b c d - 92378b  c
+--R  /
+--R               31 20              30 19             2 29 18              3 28 17
+--R       1847560b  x   + 36951200a b  x   + 351036400a b  x   + 2106218400a b  x
+--R     + 
+--R                  4 27 16               5 26 15               6 25 14
+--R       8951428200a b  x   + 28644570240a b  x   + 71611425600a b  x
+--R     + 
+--R                    7 24 13                8 23 12                9 22 11
+--R       143222851200a b  x   + 232737133200a b  x   + 310316177600a b  x
+--R     + 
+--R                    10 21 10                11 20 9                12 19 8
+--R       341347795360a  b  x   + 310316177600a  b  x  + 232737133200a  b  x
+--R     + 
+--R                    13 18 7               14 17 6               15 16 5
+--R       143222851200a  b  x  + 71611425600a  b  x  + 28644570240a  b  x
+--R     + 
+--R                  16 15 4              17 14 3             18 13 2
+--R       8951428200a  b  x  + 2106218400a  b  x  + 351036400a  b  x
+--R     + 
+--R                19 12            20 11
+--R       36951200a  b  x + 1847560a  b
+--R                                         Type: Union(Expression(Integer),...)
+--E 898
+
+--S 899 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 899
+
+--S 900 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 900
+
+)clear all
+
+--S 901 of 2952
+t0000:=(c+d*x)^10/(a+b*x)^22
+--R 
+--R
+--R   (1)
+--R        10 10        9 9      2 8 8       3 7 7       4 6 6       5 5 5
+--R       d  x   + 10c d x  + 45c d x  + 120c d x  + 210c d x  + 252c d x
+--R     + 
+--R           6 4 4       7 3 3      8 2 2      9       10
+--R       210c d x  + 120c d x  + 45c d x  + 10c d x + c
+--R  /
+--R        22 22        21 21       2 20 20        3 19 19        4 18 18
+--R       b  x   + 22a b  x   + 231a b  x   + 1540a b  x   + 7315a b  x
+--R     + 
+--R             5 17 17         6 16 16          7 15 15          8 14 14
+--R       26334a b  x   + 74613a b  x   + 170544a b  x   + 319770a b  x
+--R     + 
+--R              9 13 13          10 12 12          11 11 11          12 10 10
+--R       497420a b  x   + 646646a  b  x   + 705432a  b  x   + 646646a  b  x
+--R     + 
+--R              13 9 9          14 8 8          15 7 7         16 6 6
+--R       497420a  b x  + 319770a  b x  + 170544a  b x  + 74613a  b x
+--R     + 
+--R             17 5 5        18 4 4        19 3 3       20 2 2      21       22
+--R       26334a  b x  + 7315a  b x  + 1540a  b x  + 231a  b x  + 22a  b x + a
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 901
+
+--S 902 of 2952
+r0000:=-1/21*(b*c-a*d)^10/(b^11*(a+b*x)^21)-_
+     1/2*d*(b*c-a*d)^9/(b^11*(a+b*x)^20)-_
+     45/19*d^2*(b*c-a*d)^8/(b^11*(a+b*x)^19)-_
+     20/3*d^3*(b*c-a*d)^7/(b^11*(a+b*x)^18)-_
+     210/17*d^4*(b*c-a*d)^6/(b^11*(a+b*x)^17)-_
+     63/4*d^5*(b*c-a*d)^5/(b^11*(a+b*x)^16)-_
+     14*d^6*(b*c-a*d)^4/(b^11*(a+b*x)^15)-_
+     60/7*d^7*(b*c-a*d)^3/(b^11*(a+b*x)^14)-_
+     45/13*d^8*(b*c-a*d)^2/(b^11*(a+b*x)^13)-_
+     5/6*d^9*(b*c-a*d)/(b^11*(a+b*x)^12)-1/11*d^10/(b^11*(a+b*x)^11)
+--R 
+--R
+--R   (2)
+--R          1  10 10 10       5    9 10   5  10   9  9
+--R       - -- b  d  x   + (- -- a b d   - - b  c d )x
+--R         11                66           6
+--R     + 
+--R           15  2 8 10   15    9   9   45  10 2 8  8
+--R       (- --- a b d   - -- a b c d  - -- b  c d )x
+--R          286           26            13
+--R     + 
+--R           30   3 7 10   30  2 8   9   180    9 2 8   60  10 3 7  7
+--R       (- ---- a b d   - -- a b c d  - --- a b c d  - -- b  c d )x
+--R          1001           91             91             7
+--R     + 
+--R           2   4 6 10    2  3 7   9   12  2 8 2 8       9 3 7      10 4 6  6
+--R       (- --- a b d   - -- a b c d  - -- a b c d  - 4a b c d  - 14b  c d )x
+--R          143           13            13
+--R     + 
+--R              3   5 5 10    3  4 6   9    9  3 7 2 8   3  2 8 3 7   21    9 4 6
+--R           - --- a b d   - -- a b c d  - -- a b c d  - - a b c d  - -- a b c d
+--R             572           52            26            2             4
+--R         + 
+--R             63  10 5 5
+--R           - -- b  c d
+--R              4
+--R      *
+--R          5
+--R         x
+--R     + 
+--R              15   6 4 10    15  5 5   9    45  4 6 2 8   15  3 7 3 7
+--R           - ---- a b d   - --- a b c d  - --- a b c d  - -- a b c d
+--R             9724           884            442            34
+--R         + 
+--R             105  2 8 4 6   315    9 5 5   210  10 6 4
+--R           - --- a b c d  - --- a b c d  - --- b  c d
+--R              68             68             17
+--R      *
+--R          4
+--R         x
+--R     + 
+--R               5    7 3 10     5   6 4   9    5   5 5 2 8    5  4 6 3 7
+--R           - ----- a b d   - ---- a b c d  - --- a b c d  - -- a b c d
+--R             14586           1326            221            51
+--R         + 
+--R              35  3 7 4 6   35  2 8 5 5   140    9 6 4   20  10 7 3
+--R           - --- a b c d  - -- a b c d  - --- a b c d  - -- b  c d
+--R             102            34             51             3
+--R      *
+--R          3
+--R         x
+--R     + 
+--R               5    8 2 10     5   7 3   9    15   6 4 2 8    5   5 5 3 7
+--R           - ----- a b d   - ---- a b c d  - ---- a b c d  - --- a b c d
+--R             92378           8398            4199            323
+--R         + 
+--R            35  4 6 4 6   105  3 7 5 5   140  2 8 6 4   20    9 7 3   45  10 8 2
+--R         - --- a b c d  - --- a b c d  - --- a b c d  - -- a b c d  - -- b  c d
+--R           646            646            323            19            19
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                1    9   10     1    8 2   9     3   7 3 2 8    1   6 4 3 7
+--R           - ------ a b d   - ----- a b c d  - ---- a b c d  - --- a b c d
+--R             184756           16796            8398            646
+--R         + 
+--R               7   5 5 4 6    21   4 6 5 5    14  3 7 6 4    2  2 8 7 3
+--R           - ---- a b c d  - ---- a b c d  - --- a b c d  - -- a b c d
+--R             1292            1292            323            19
+--R         + 
+--R              9    9 8 2   1  10 9
+--R           - -- a b c d  - - b  c d
+--R             38            2
+--R      *
+--R         x
+--R     + 
+--R            1     10 10      1    9     9     1    8 2 2 8     1    7 3 3 7
+--R       - ------- a  d   - ------ a b c d  - ----- a b c d  - ----- a b c d
+--R         3879876          352716            58786            13566
+--R     + 
+--R           1   6 4 4 6     1   5 5 5 5    2   4 6 6 4    2   3 7 7 3
+--R       - ---- a b c d  - ---- a b c d  - --- a b c d  - --- a b c d
+--R         3876            1292            969            399
+--R     + 
+--R          3   2 8 8 2    1    9 9     1  10 10
+--R       - --- a b c d  - -- a b c d - -- b  c
+--R         266            42           21
+--R  /
+--R        32 21        31 20       2 30 19        3 29 18        4 28 17
+--R       b  x   + 21a b  x   + 210a b  x   + 1330a b  x   + 5985a b  x
+--R     + 
+--R             5 27 16         6 26 15          7 25 14          8 24 13
+--R       20349a b  x   + 54264a b  x   + 116280a b  x   + 203490a b  x
+--R     + 
+--R              9 23 12          10 22 11          11 21 10          12 20 9
+--R       293930a b  x   + 352716a  b  x   + 352716a  b  x   + 293930a  b  x
+--R     + 
+--R              13 19 8          14 18 7         15 17 6         16 16 5
+--R       203490a  b  x  + 116280a  b  x  + 54264a  b  x  + 20349a  b  x
+--R     + 
+--R            17 15 4        18 14 3       19 13 2      20 12     21 11
+--R       5985a  b  x  + 1330a  b  x  + 210a  b  x  + 21a  b  x + a  b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 902
+
+--S 903 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                10 10 10               9 10           10   9  9
+--R       - 352716b  d  x   + (- 293930a b d   - 3233230b  c d )x
+--R     + 
+--R                 2 8 10             9   9            10 2 8  8
+--R       (- 203490a b d   - 2238390a b c d  - 13430340b  c d )x
+--R     + 
+--R                 3 7 10           2 8   9             9 2 8            10 3 7  7
+--R       (- 116280a b d   - 1279080a b c d  - 7674480a b c d  - 33256080b  c d )x
+--R     + 
+--R                   4 6 10          3 7   9           2 8 2 8              9 3 7
+--R           - 54264a b d   - 596904a b c d  - 3581424a b c d  - 15519504a b c d
+--R         + 
+--R                      10 4 6
+--R           - 54318264b  c d
+--R      *
+--R          6
+--R         x
+--R     + 
+--R                   5 5 10          4 6   9           3 7 2 8           2 8 3 7
+--R           - 20349a b d   - 223839a b c d  - 1343034a b c d  - 5819814a b c d
+--R         + 
+--R                        9 4 6            10 5 5
+--R           - 20369349a b c d  - 61108047b  c d
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                  6 4 10         5 5   9          4 6 2 8           3 7 3 7
+--R           - 5985a b d   - 65835a b c d  - 395010a b c d  - 1711710a b c d
+--R         + 
+--R                     2 8 4 6              9 5 5            10 6 4
+--R           - 5990985a b c d  - 17972955a b c d  - 47927880b  c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                  7 3 10         6 4   9         5 5 2 8          4 6 3 7
+--R           - 1330a b d   - 14630a b c d  - 87780a b c d  - 380380a b c d
+--R         + 
+--R                     3 7 4 6           2 8 5 5              9 6 4
+--R           - 1331330a b c d  - 3993990a b c d  - 10650640a b c d
+--R         + 
+--R                      10 7 3
+--R           - 25865840b  c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                 8 2 10        7 3   9         6 4 2 8         5 5 3 7
+--R           - 210a b d   - 2310a b c d  - 13860a b c d  - 60060a b c d
+--R         + 
+--R                    4 6 4 6          3 7 5 5           2 8 6 4             9 7 3
+--R           - 210210a b c d  - 630630a b c d  - 1681680a b c d  - 4084080a b c d
+--R         + 
+--R                     10 8 2
+--R           - 9189180b  c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                9   10       8 2   9        7 3 2 8        6 4 3 7
+--R           - 21a b d   - 231a b c d  - 1386a b c d  - 6006a b c d
+--R         + 
+--R                   5 5 4 6         4 6 5 5          3 7 6 4          2 8 7 3
+--R           - 21021a b c d  - 63063a b c d  - 168168a b c d  - 408408a b c d
+--R         + 
+--R                      9 8 2           10 9
+--R           - 918918a b c d  - 1939938b  c d
+--R      *
+--R         x
+--R     + 
+--R          10 10      9     9      8 2 2 8       7 3 3 7        6 4 4 6
+--R       - a  d   - 11a b c d  - 66a b c d  - 286a b c d  - 1001a b c d
+--R     + 
+--R              5 5 5 5        4 6 6 4         3 7 7 3         2 8 8 2
+--R       - 3003a b c d  - 8008a b c d  - 19448a b c d  - 43758a b c d
+--R     + 
+--R                 9 9           10 10
+--R       - 92378a b c d - 184756b  c
+--R  /
+--R               32 21              31 20             2 30 19              3 29 18
+--R       3879876b  x   + 81477396a b  x   + 814773960a b  x   + 5160235080a b  x
+--R     + 
+--R                   4 28 17               5 27 16                6 26 15
+--R       23221057860a b  x   + 78951596724a b  x   + 210537591264a b  x
+--R     + 
+--R                    7 25 14                8 24 13                 9 23 12
+--R       451151981280a b  x   + 789515967240a b  x   + 1140411952680a b  x
+--R     + 
+--R                     10 22 11                 11 21 10                 12 20 9
+--R       1368494343216a  b  x   + 1368494343216a  b  x   + 1140411952680a  b  x
+--R     + 
+--R                    13 19 8                14 18 7                15 17 6
+--R       789515967240a  b  x  + 451151981280a  b  x  + 210537591264a  b  x
+--R     + 
+--R                   16 16 5               17 15 4              18 14 3
+--R       78951596724a  b  x  + 23221057860a  b  x  + 5160235080a  b  x
+--R     + 
+--R                 19 13 2            20 12            21 11
+--R       814773960a  b  x  + 81477396a  b  x + 3879876a  b
+--R                                         Type: Union(Expression(Integer),...)
+--E 903
+
+--S 904 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 904
+
+--S 905 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 905
+
+)clear all
+
+--S 906 of 2952
+t0000:=(a+b*x)^m/(c+d*x)
+--R 
+--R
+--R                 m
+--R        (b x + a)
+--R   (1)  ----------
+--R          d x + c
+--R                                                    Type: Expression(Integer)
+--E 906
+
+--S 907 of 2952
+--r0000:=(a+b*x)^(1+m)*_
+--     hypergeometric(1,1+m,2+m,-d*(a+b*x)/(b*c-a*d))/((b*c-a*d)*(1+m))
+--E 907
+
+--S 908 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           x            m
+--R         ++  (%BJ b + a)
+--R   (2)   |   ------------ d%BJ
+--R        ++     %BJ d + c
+--R                                         Type: Union(Expression(Integer),...)
+--E 908
+
+--S 909 of 2952
+--m0000:=a0000 - r0000
+--E 909
+
+--S 910 of 2952
+--d0000:=D(m0000,x)
+--E 910
+
+)clear all
+
+--S 911 of 2952
+t0000:=(a+b*x)^5/(c+d*x)
+--R 
+--R
+--R         5 5       4 4      2 3 3      3 2 2     4       5
+--R        b x  + 5a b x  + 10a b x  + 10a b x  + 5a b x + a
+--R   (1)  --------------------------------------------------
+--R                              d x + c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 911
+
+--S 912 of 2952
+r0000:=b*(b*c-a*d)^4*x/d^5-1/2*(b*c-a*d)^3*(a+b*x)^2/d^4+_
+     1/3*(b*c-a*d)^2*(a+b*x)^3/d^3-1/4*(b*c-a*d)*(a+b*x)^4/d^2+_
+     1/5*(a+b*x)^5/d-(b*c-a*d)^5*log(c+d*x)/d^6
+--R 
+--R
+--R   (2)
+--R                5 5       4     4       3 2 2 3       2 3 3 2         4 4
+--R             60a d  - 300a b c d  + 600a b c d  - 600a b c d  + 300a b c d
+--R           + 
+--R                  5 5
+--R             - 60b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R          5 5 5         4 5      5   4  4
+--R       12b d x  + (75a b d  - 15b c d )x
+--R     + 
+--R            2 3 5         4   4      5 2 3  3
+--R       (200a b d  - 100a b c d  + 20b c d )x
+--R     + 
+--R            3 2 5       2 3   4         4 2 3      5 3 2  2
+--R       (300a b d  - 300a b c d  + 150a b c d  - 30b c d )x
+--R     + 
+--R            4   5       3 2   4       2 3 2 3         4 3 2      5 4         5 5
+--R       (300a b d  - 600a b c d  + 600a b c d  - 300a b c d  + 60b c d)x + 77a d
+--R     + 
+--R             4     4       3 2 2 3      2 3 3 2
+--R       - 145a b c d  + 110a b c d  - 30a b c d
+--R  /
+--R        6
+--R     60d
+--R                                                    Type: Expression(Integer)
+--E 912
+
+--S 913 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                5 5       4     4       3 2 2 3       2 3 3 2         4 4
+--R             60a d  - 300a b c d  + 600a b c d  - 600a b c d  + 300a b c d
+--R           + 
+--R                  5 5
+--R             - 60b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R          5 5 5         4 5      5   4  4
+--R       12b d x  + (75a b d  - 15b c d )x
+--R     + 
+--R            2 3 5         4   4      5 2 3  3
+--R       (200a b d  - 100a b c d  + 20b c d )x
+--R     + 
+--R            3 2 5       2 3   4         4 2 3      5 3 2  2
+--R       (300a b d  - 300a b c d  + 150a b c d  - 30b c d )x
+--R     + 
+--R            4   5       3 2   4       2 3 2 3         4 3 2      5 4
+--R       (300a b d  - 600a b c d  + 600a b c d  - 300a b c d  + 60b c d)x
+--R  /
+--R        6
+--R     60d
+--R                                         Type: Union(Expression(Integer),...)
+--E 913
+
+--S 914 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R             5 3       4     2       3 2 2       2 3 3
+--R        - 77a d  + 145a b c d  - 110a b c d + 30a b c
+--R   (4)  ----------------------------------------------
+--R                                4
+--R                             60d
+--R                                                    Type: Expression(Integer)
+--E 914
+
+--S 915 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 915
+
+)clear all
+
+--S 916 of 2952
+t0000:=(a+b*x)^4/(c+d*x)
+--R 
+--R
+--R         4 4       3 3     2 2 2     3       4
+--R        b x  + 4a b x  + 6a b x  + 4a b x + a
+--R   (1)  --------------------------------------
+--R                        d x + c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 916
+
+--S 917 of 2952
+r0000:=-b*(b*c-a*d)^3*x/d^4+1/2*(b*c-a*d)^2*(a+b*x)^2/d^3-_
+     1/3*(b*c-a*d)*(a+b*x)^3/d^2+1/4*(a+b*x)^4/d+(b*c-a*d)^4*log(c+d*x)/d^5
+--R 
+--R
+--R   (2)
+--R           4 4      3     3      2 2 2 2        3 3       4 4
+--R       (12a d  - 48a b c d  + 72a b c d  - 48a b c d + 12b c )log(d x + c)
+--R     + 
+--R         4 4 4         3 4     4   3  3       2 2 4        3   3     4 2 2  2
+--R       3b d x  + (16a b d  - 4b c d )x  + (36a b d  - 24a b c d  + 6b c d )x
+--R     + 
+--R           3   4      2 2   3        3 2 2      4 3         4 4      3     3
+--R       (48a b d  - 72a b c d  + 48a b c d  - 12b c d)x + 13a d  - 16a b c d
+--R     + 
+--R         2 2 2 2
+--R       6a b c d
+--R  /
+--R        5
+--R     12d
+--R                                                    Type: Expression(Integer)
+--E 917
+
+--S 918 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R           4 4      3     3      2 2 2 2        3 3       4 4
+--R       (12a d  - 48a b c d  + 72a b c d  - 48a b c d + 12b c )log(d x + c)
+--R     + 
+--R         4 4 4         3 4     4   3  3       2 2 4        3   3     4 2 2  2
+--R       3b d x  + (16a b d  - 4b c d )x  + (36a b d  - 24a b c d  + 6b c d )x
+--R     + 
+--R           3   4      2 2   3        3 2 2      4 3
+--R       (48a b d  - 72a b c d  + 48a b c d  - 12b c d)x
+--R  /
+--R        5
+--R     12d
+--R                                         Type: Union(Expression(Integer),...)
+--E 918
+
+--S 919 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R             4 2      3          2 2 2
+--R        - 13a d  + 16a b c d - 6a b c
+--R   (4)  ------------------------------
+--R                        3
+--R                     12d
+--R                                                    Type: Expression(Integer)
+--E 919
+
+--S 920 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 920
+
+)clear all
+
+--S 921 of 2952
+t0000:=(a+b*x)^3/(c+d*x)
+--R 
+--R
+--R         3 3       2 2     2       3
+--R        b x  + 3a b x  + 3a b x + a
+--R   (1)  ----------------------------
+--R                   d x + c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 921
+
+--S 922 of 2952
+r0000:=b*(b*c-a*d)^2*x/d^3-1/2*(b*c-a*d)*(a+b*x)^2/d^2+1/3*(a+b*x)^3/d-_
+     (b*c-a*d)^3*log(c+d*x)/d^4
+--R 
+--R
+--R   (2)
+--R          3 3      2     2        2 2      3 3                  3 3 3
+--R       (6a d  - 18a b c d  + 18a b c d - 6b c )log(d x + c) + 2b d x
+--R     + 
+--R            2 3     3   2  2       2   3        2   2     3 2        3 3
+--R       (9a b d  - 3b c d )x  + (18a b d  - 18a b c d  + 6b c d)x + 5a d
+--R     + 
+--R           2     2
+--R       - 3a b c d
+--R  /
+--R       4
+--R     6d
+--R                                                    Type: Expression(Integer)
+--E 922
+
+--S 923 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R          3 3      2     2        2 2      3 3                  3 3 3
+--R       (6a d  - 18a b c d  + 18a b c d - 6b c )log(d x + c) + 2b d x
+--R     + 
+--R            2 3     3   2  2       2   3        2   2     3 2
+--R       (9a b d  - 3b c d )x  + (18a b d  - 18a b c d  + 6b c d)x
+--R  /
+--R       4
+--R     6d
+--R                                         Type: Union(Expression(Integer),...)
+--E 923
+
+--S 924 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R            3      2
+--R        - 5a d + 3a b c
+--R   (4)  ---------------
+--R                2
+--R              6d
+--R                                                    Type: Expression(Integer)
+--E 924
+
+--S 925 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 925
+
+)clear all
+
+--S 926 of 2952
+t0000:=(a+b*x)^2/(c+d*x)
+--R 
+--R
+--R         2 2             2
+--R        b x  + 2a b x + a
+--R   (1)  ------------------
+--R              d x + c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 926
+
+--S 927 of 2952
+r0000:=-b*(b*c-a*d)*x/d^2+1/2*(a+b*x)^2/d+(b*c-a*d)^2*log(c+d*x)/d^3
+--R 
+--R
+--R   (2)
+--R      2 2                2 2                 2 2 2          2     2         2 2
+--R   (2a d  - 4a b c d + 2b c )log(d x + c) + b d x  + (4a b d  - 2b c d)x + a d
+--R   ----------------------------------------------------------------------------
+--R                                          3
+--R                                        2d
+--R                                                    Type: Expression(Integer)
+--E 927
+
+--S 928 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           2 2                2 2                 2 2 2          2     2
+--R        (2a d  - 4a b c d + 2b c )log(d x + c) + b d x  + (4a b d  - 2b c d)x
+--R   (3)  ---------------------------------------------------------------------
+--R                                           3
+--R                                         2d
+--R                                         Type: Union(Expression(Integer),...)
+--E 928
+
+--S 929 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R           2
+--R          a
+--R   (4)  - --
+--R          2d
+--R                                                    Type: Expression(Integer)
+--E 929
+
+--S 930 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 930
+
+)clear all
+
+--S 931 of 2952
+t0000:=(a+b*x)/(c+d*x)
+--R 
+--R
+--R        b x + a
+--R   (1)  -------
+--R        d x + c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 931
+
+--S 932 of 2952
+r0000:=b*x/d-(b*c-a*d)*log(c+d*x)/d^2
+--R 
+--R
+--R        (a d - b c)log(d x + c) + b d x
+--R   (2)  -------------------------------
+--R                        2
+--R                       d
+--R                                                    Type: Expression(Integer)
+--E 932
+
+--S 933 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        (a d - b c)log(d x + c) + b d x
+--R   (3)  -------------------------------
+--R                        2
+--R                       d
+--R                                         Type: Union(Expression(Integer),...)
+--E 933
+
+--S 934 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 934
+
+--S 935 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 935
+
+)clear all
+
+--S 936 of 2952
+t0000:=1/(c+d*x)
+--R 
+--R
+--R           1
+--R   (1)  -------
+--R        d x + c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 936
+
+--S 937 of 2952
+r0000:=log(c+d*x)/d
+--R 
+--R
+--R        log(d x + c)
+--R   (2)  ------------
+--R              d
+--R                                                    Type: Expression(Integer)
+--E 937
+
+--S 938 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        log(d x + c)
+--R   (3)  ------------
+--R              d
+--R                                         Type: Union(Expression(Integer),...)
+--E 938
+
+--S 939 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 939
+
+--S 940 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 940
+
+)clear all
+
+--S 941 of 2952
+t0000:=1/((a+b*x)*(c+d*x))
+--R 
+--R
+--R                     1
+--R   (1)  ---------------------------
+--R             2
+--R        b d x  + (a d + b c)x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 941
+
+--S 942 of 2952
+r0000:=log(a+b*x)/(b*c-a*d)-log(c+d*x)/(b*c-a*d)
+--R 
+--R
+--R        log(d x + c) - log(b x + a)
+--R   (2)  ---------------------------
+--R                 a d - b c
+--R                                                    Type: Expression(Integer)
+--E 942
+
+--S 943 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        log(d x + c) - log(b x + a)
+--R   (3)  ---------------------------
+--R                 a d - b c
+--R                                         Type: Union(Expression(Integer),...)
+--E 943
+
+--S 944 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 944
+
+--S 945 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 945
+
+)clear all
+
+--S 946 of 2952
+t0000:=1/((a+b*x)^2*(c+d*x))
+--R 
+--R
+--R                                1
+--R   (1)  -------------------------------------------------
+--R         2   3              2   2     2                2
+--R        b d x  + (2a b d + b c)x  + (a d + 2a b c)x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 946
+
+--S 947 of 2952
+r0000:=(-1)/((b*c-a*d)*(a+b*x))-d*log(a+b*x)/(b*c-a*d)^2+_
+     d*log(c+d*x)/(b*c-a*d)^2
+--R 
+--R
+--R        (b d x + a d)log(d x + c) + (- b d x - a d)log(b x + a) + a d - b c
+--R   (2)  -------------------------------------------------------------------
+--R                 2   2       2       3 2      3 2     2           2 2
+--R               (a b d  - 2a b c d + b c )x + a d  - 2a b c d + a b c
+--R                                                    Type: Expression(Integer)
+--E 947
+
+--S 948 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        (b d x + a d)log(d x + c) + (- b d x - a d)log(b x + a) + a d - b c
+--R   (3)  -------------------------------------------------------------------
+--R                 2   2       2       3 2      3 2     2           2 2
+--R               (a b d  - 2a b c d + b c )x + a d  - 2a b c d + a b c
+--R                                         Type: Union(Expression(Integer),...)
+--E 948
+
+--S 949 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 949
+
+--S 950 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 950
+
+)clear all
+
+--S 951 of 2952
+t0000:=1/((a+b*x)^3*(c+d*x))
+--R 
+--R
+--R   (1)
+--R                                      1
+--R   -----------------------------------------------------------------------
+--R    3   4        2     3   3      2          2   2     3      2         3
+--R   b d x  + (3a b d + b c)x  + (3a b d + 3a b c)x  + (a d + 3a b c)x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 951
+
+--S 952 of 2952
+r0000:=(-1/2)/((b*c-a*d)*(a+b*x)^2)+d/((b*c-a*d)^2*(a+b*x))+_
+     d^2*log(a+b*x)/(b*c-a*d)^3-d^2*log(c+d*x)/(b*c-a*d)^3
+--R 
+--R
+--R   (2)
+--R          2 2 2         2      2 2
+--R       (2b d x  + 4a b d x + 2a d )log(d x + c)
+--R     + 
+--R            2 2 2         2      2 2                       2     2          2 2
+--R       (- 2b d x  - 4a b d x - 2a d )log(b x + a) + (2a b d  - 2b c d)x + 3a d
+--R     + 
+--R                     2 2
+--R       - 4a b c d + b c
+--R  /
+--R          3 2 3     2 3   2       4 2      5 3  2
+--R       (2a b d  - 6a b c d  + 6a b c d - 2b c )x
+--R     + 
+--R          4   3      3 2   2      2 3 2        4 3       5 3     4     2
+--R       (4a b d  - 12a b c d  + 12a b c d - 4a b c )x + 2a d  - 6a b c d
+--R     + 
+--R         3 2 2      2 3 3
+--R       6a b c d - 2a b c
+--R                                                    Type: Expression(Integer)
+--E 952
+
+--S 953 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R          2 2 2         2      2 2
+--R       (2b d x  + 4a b d x + 2a d )log(d x + c)
+--R     + 
+--R            2 2 2         2      2 2                       2     2          2 2
+--R       (- 2b d x  - 4a b d x - 2a d )log(b x + a) + (2a b d  - 2b c d)x + 3a d
+--R     + 
+--R                     2 2
+--R       - 4a b c d + b c
+--R  /
+--R          3 2 3     2 3   2       4 2      5 3  2
+--R       (2a b d  - 6a b c d  + 6a b c d - 2b c )x
+--R     + 
+--R          4   3      3 2   2      2 3 2        4 3       5 3     4     2
+--R       (4a b d  - 12a b c d  + 12a b c d - 4a b c )x + 2a d  - 6a b c d
+--R     + 
+--R         3 2 2      2 3 3
+--R       6a b c d - 2a b c
+--R                                         Type: Union(Expression(Integer),...)
+--E 953
+
+--S 954 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 954
+
+--S 955 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 955
+
+)clear all
+
+--S 956 of 2952
+t0000:=(a+b*x)^m/(c+d*x)^2
+--R 
+--R
+--R                     m
+--R            (b x + a)
+--R   (1)  ------------------
+--R         2 2             2
+--R        d x  + 2c d x + c
+--R                                                    Type: Expression(Integer)
+--E 956
+
+--S 957 of 2952
+--r0000:=(a+b*x)^(1+m)/((b*c-a*d)*(c+d*x))-b*m*(a+b*x)^(1+m)*_
+--     hypergeometric(1,1+m,2+m,-d*(a+b*x)/(b*c-a*d))/((b*c-a*d)^2*(1+m))
+--E 957
+
+--S 958 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           x                 m
+--R         ++       (%BJ b + a)
+--R   (2)   |   ---------------------- d%BJ
+--R        ++      2 2               2
+--R             %BJ d  + 2%BJ c d + c
+--R                                         Type: Union(Expression(Integer),...)
+--E 958
+
+--S 959 of 2952
+--m0000:=a0000 - r0000
+--E 959
+
+--S 960 of 2952
+--d0000:=D(m0000,x)
+--E 960
+
+)clear all
+
+--S 961 of 2952
+t0000:=(a+b*x)^5/(c+d*x)^2
+--R 
+--R
+--R         5 5       4 4      2 3 3      3 2 2     4       5
+--R        b x  + 5a b x  + 10a b x  + 10a b x  + 5a b x + a
+--R   (1)  --------------------------------------------------
+--R                         2 2             2
+--R                        d x  + 2c d x + c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 961
+
+--S 962 of 2952
+r0000:=-10*b^2*(b*c-a*d)^3*x/d^5+(b*c-a*d)^5/(d^6*(c+d*x))+_
+     5*b^3*(b*c-a*d)^2*(c+d*x)^2/d^6-5/3*b^4*(b*c-a*d)*(c+d*x)^3/d^6+_
+     1/4*b^5*(c+d*x)^4/d^6+5*b*(b*c-a*d)^4*log(c+d*x)/d^6
+--R 
+--R
+--R   (2)
+--R               4   5       3 2   4       2 3 2 3         4 3 2      5 4
+--R           (60a b d  - 240a b c d  + 360a b c d  - 240a b c d  + 60b c d)x
+--R         + 
+--R              4     4       3 2 2 3       2 3 3 2         4 4       5 5
+--R           60a b c d  - 240a b c d  + 360a b c d  - 240a b c d + 60b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R         5 5 5         4 5     5   4  4       2 3 5        4   4      5 2 3  3
+--R       3b d x  + (20a b d  - 5b c d )x  + (60a b d  - 40a b c d  + 10b c d )x
+--R     + 
+--R            3 2 5       2 3   4         4 2 3      5 3 2  2
+--R       (120a b d  - 180a b c d  + 120a b c d  - 30b c d )x
+--R     + 
+--R            3 2   4       2 3 2 3        4 3 2     5 4         5 5      4     4
+--R       (120a b c d  - 180a b c d  + 80a b c d  - 5b c d)x - 12a d  + 60a b c d
+--R     + 
+--R             3 2 2 3       2 3 3 2         4 4       5 5
+--R       - 120a b c d  + 180a b c d  - 160a b c d + 55b c
+--R  /
+--R        7         6
+--R     12d x + 12c d
+--R                                                    Type: Expression(Integer)
+--E 962
+
+--S 963 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R               4   5       3 2   4       2 3 2 3         4 3 2      5 4
+--R           (60a b d  - 240a b c d  + 360a b c d  - 240a b c d  + 60b c d)x
+--R         + 
+--R              4     4       3 2 2 3       2 3 3 2         4 4       5 5
+--R           60a b c d  - 240a b c d  + 360a b c d  - 240a b c d + 60b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R         5 5 5         4 5     5   4  4       2 3 5        4   4      5 2 3  3
+--R       3b d x  + (20a b d  - 5b c d )x  + (60a b d  - 40a b c d  + 10b c d )x
+--R     + 
+--R            3 2 5       2 3   4         4 2 3      5 3 2  2
+--R       (120a b d  - 180a b c d  + 120a b c d  - 30b c d )x
+--R     + 
+--R            3 2   4       2 3 2 3         4 3 2      5 4         5 5
+--R       (120a b c d  - 240a b c d  + 180a b c d  - 48b c d)x - 12a d
+--R     + 
+--R          4     4       3 2 2 3       2 3 3 2        4 4       5 5
+--R       60a b c d  - 120a b c d  + 120a b c d  - 60a b c d + 12b c
+--R  /
+--R        7         6
+--R     12d x + 12c d
+--R                                         Type: Union(Expression(Integer),...)
+--E 963
+
+--S 964 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R             2 3 2 2         4 3       5 4
+--R        - 60a b c d  + 100a b c d - 43b c
+--R   (4)  ----------------------------------
+--R                          6
+--R                       12d
+--R                                                    Type: Expression(Integer)
+--E 964
+
+--S 965 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 965
+
+)clear all
+
+--S 966 of 2952
+t0000:=(a+b*x)^4/(c+d*x)^2
+--R 
+--R
+--R         4 4       3 3     2 2 2     3       4
+--R        b x  + 4a b x  + 6a b x  + 4a b x + a
+--R   (1)  --------------------------------------
+--R                   2 2             2
+--R                  d x  + 2c d x + c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 966
+
+--S 967 of 2952
+r0000:=6*b^2*(b*c-a*d)^2*x/d^4-(b*c-a*d)^4/(d^5*(c+d*x))-_
+     2*b^3*(b*c-a*d)*(c+d*x)^2/d^5+1/3*b^4*(c+d*x)^3/d^5-_
+     4*b*(b*c-a*d)^3*log(c+d*x)/d^5
+--R 
+--R
+--R   (2)
+--R               3   4      2 2   3        3 2 2      4 3         3     3
+--R           (12a b d  - 36a b c d  + 36a b c d  - 12b c d)x + 12a b c d
+--R         + 
+--R                2 2 2 2        3 3       4 4
+--R           - 36a b c d  + 36a b c d - 12b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R        4 4 4        3 4     4   3  3       2 2 4        3   3     4 2 2  2
+--R       b d x  + (6a b d  - 2b c d )x  + (18a b d  - 18a b c d  + 6b c d )x
+--R     + 
+--R           2 2   3        3 2 2     4 3        4 4      3     3      2 2 2 2
+--R       (18a b c d  - 18a b c d  + 4b c d)x - 3a d  + 12a b c d  - 18a b c d
+--R     + 
+--R            3 3      4 4
+--R       18a b c d - 8b c
+--R  /
+--R       6        5
+--R     3d x + 3c d
+--R                                                    Type: Expression(Integer)
+--E 967
+
+--S 968 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R               3   4      2 2   3        3 2 2      4 3         3     3
+--R           (12a b d  - 36a b c d  + 36a b c d  - 12b c d)x + 12a b c d
+--R         + 
+--R                2 2 2 2        3 3       4 4
+--R           - 36a b c d  + 36a b c d - 12b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R        4 4 4        3 4     4   3  3       2 2 4        3   3     4 2 2  2
+--R       b d x  + (6a b d  - 2b c d )x  + (18a b d  - 18a b c d  + 6b c d )x
+--R     + 
+--R           2 2   3        3 2 2     4 3        4 4      3     3      2 2 2 2
+--R       (18a b c d  - 24a b c d  + 9b c d)x - 3a d  + 12a b c d  - 18a b c d
+--R     + 
+--R            3 3      4 4
+--R       12a b c d - 3b c
+--R  /
+--R       6        5
+--R     3d x + 3c d
+--R                                         Type: Union(Expression(Integer),...)
+--E 968
+
+--S 969 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R              3 2      4 3
+--R        - 6a b c d + 5b c
+--R   (4)  ------------------
+--R                  5
+--R                3d
+--R                                                    Type: Expression(Integer)
+--E 969
+
+--S 970 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 970
+
+)clear all
+
+--S 971 of 2952
+t0000:=(a+b*x)^3/(c+d*x)^2
+--R 
+--R
+--R         3 3       2 2     2       3
+--R        b x  + 3a b x  + 3a b x + a
+--R   (1)  ----------------------------
+--R              2 2             2
+--R             d x  + 2c d x + c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 971
+
+--S 972 of 2952
+r0000:=-b^2*(2*b*c-3*a*d)*x/d^3+1/2*b^3*x^2/d^2+(b*c-a*d)^3/(d^4*(c+d*x))+_
+     3*b*(b*c-a*d)^2*log(c+d*x)/d^4
+--R 
+--R
+--R   (2)
+--R             2   3        2   2     3 2        2     2        2 2      3 3
+--R         ((6a b d  - 12a b c d  + 6b c d)x + 6a b c d  - 12a b c d + 6b c )
+--R      *
+--R         log(d x + c)
+--R     + 
+--R        3 3 3        2 3     3   2  2        2   2     3 2        3 3
+--R       b d x  + (6a b d  - 3b c d )x  + (6a b c d  - 4b c d)x - 2a d
+--R     + 
+--R         2     2       2 2      3 3
+--R       6a b c d  - 6a b c d + 2b c
+--R  /
+--R       5        4
+--R     2d x + 2c d
+--R                                                    Type: Expression(Integer)
+--E 972
+
+--S 973 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R             2   3        2   2     3 2        2     2        2 2      3 3
+--R         ((6a b d  - 12a b c d  + 6b c d)x + 6a b c d  - 12a b c d + 6b c )
+--R      *
+--R         log(d x + c)
+--R     + 
+--R        3 3 3        2 3     3   2  2        2   2     3 2        3 3
+--R       b d x  + (6a b d  - 3b c d )x  + (6a b c d  - 4b c d)x - 2a d
+--R     + 
+--R         2     2       2 2      3 3
+--R       6a b c d  - 6a b c d + 2b c
+--R  /
+--R       5        4
+--R     2d x + 2c d
+--R                                         Type: Union(Expression(Integer),...)
+--E 973
+
+--S 974 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 974
+
+--S 975 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 975
+
+)clear all
+
+--S 976 of 2952
+t0000:=(a+b*x)^2/(c+d*x)^2
+--R 
+--R
+--R         2 2             2
+--R        b x  + 2a b x + a
+--R   (1)  ------------------
+--R         2 2             2
+--R        d x  + 2c d x + c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 976
+
+--S 977 of 2952
+r0000:=b^2*x/d^2-(b*c-a*d)^2/(d^3*(c+d*x))-2*b*(b*c-a*d)*log(c+d*x)/d^3
+--R 
+--R
+--R   (2)
+--R               2     2                     2 2                 2 2 2    2
+--R       ((2a b d  - 2b c d)x + 2a b c d - 2b c )log(d x + c) + b d x  + b c d x
+--R     + 
+--R          2 2               2 2
+--R       - a d  + 2a b c d - b c
+--R  /
+--R      4       3
+--R     d x + c d
+--R                                                    Type: Expression(Integer)
+--E 977
+
+--S 978 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R               2     2                     2 2                 2 2 2    2
+--R       ((2a b d  - 2b c d)x + 2a b c d - 2b c )log(d x + c) + b d x  + b c d x
+--R     + 
+--R          2 2               2 2
+--R       - a d  + 2a b c d - b c
+--R  /
+--R      4       3
+--R     d x + c d
+--R                                         Type: Union(Expression(Integer),...)
+--E 978
+
+--S 979 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 979
+
+--S 980 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 980
+
+)clear all
+
+--S 981 of 2952
+t0000:=(a+b*x)/(c+d*x)^2
+--R 
+--R
+--R              b x + a
+--R   (1)  ------------------
+--R         2 2             2
+--R        d x  + 2c d x + c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 981
+
+--S 982 of 2952
+r0000:=(b*c-a*d)/(d^2*(c+d*x))+b*log(c+d*x)/d^2
+--R 
+--R
+--R        (b d x + b c)log(d x + c) - a d + b c
+--R   (2)  -------------------------------------
+--R                       3       2
+--R                      d x + c d
+--R                                                    Type: Expression(Integer)
+--E 982
+
+--S 983 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        (b d x + b c)log(d x + c) - a d + b c
+--R   (3)  -------------------------------------
+--R                       3       2
+--R                      d x + c d
+--R                                         Type: Union(Expression(Integer),...)
+--E 983
+
+--S 984 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 984
+
+--S 985 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 985
+
+)clear all
+
+--S 986 of 2952
+t0000:=1/(c+d*x)^2
+--R 
+--R
+--R                 1
+--R   (1)  ------------------
+--R         2 2             2
+--R        d x  + 2c d x + c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 986
+
+--S 987 of 2952
+r0000:=(-1)/(d*(c+d*x))
+--R 
+--R
+--R              1
+--R   (2)  - ---------
+--R           2
+--R          d x + c d
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 987
+
+--S 988 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R              1
+--R   (3)  - ---------
+--R           2
+--R          d x + c d
+--R                                         Type: Union(Expression(Integer),...)
+--E 988
+
+--S 989 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 989
+
+--S 990 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 990
+
+)clear all
+
+--S 991 of 2952
+t0000:=1/((a+b*x)*(c+d*x)^2)
+--R 
+--R
+--R                                  1
+--R   (1)  ----------------------------------------------------
+--R           2 3       2           2                2        2
+--R        b d x  + (a d  + 2b c d)x  + (2a c d + b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 991
+
+--S 992 of 2952
+r0000:=1/((b*c-a*d)*(c+d*x))+b*log(a+b*x)/(b*c-a*d)^2-b*log(c+d*x)/(b*c-a*d)^2
+--R 
+--R
+--R        (- b d x - b c)log(d x + c) + (b d x + b c)log(b x + a) - a d + b c
+--R   (2)  -------------------------------------------------------------------
+--R                 2 3           2    2 2       2   2         2     2 3
+--R               (a d  - 2a b c d  + b c d)x + a c d  - 2a b c d + b c
+--R                                                    Type: Expression(Integer)
+--E 992
+
+--S 993 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        (- b d x - b c)log(d x + c) + (b d x + b c)log(b x + a) - a d + b c
+--R   (3)  -------------------------------------------------------------------
+--R                 2 3           2    2 2       2   2         2     2 3
+--R               (a d  - 2a b c d  + b c d)x + a c d  - 2a b c d + b c
+--R                                         Type: Union(Expression(Integer),...)
+--E 993
+
+--S 994 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 994
+
+--S 995 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 995
+
+)clear all
+
+--S 996 of 2952
+t0000:=1/((a+b*x)^2*(c+d*x)^2)
+--R 
+--R
+--R   (1)
+--R     1
+--R  /
+--R        2 2 4          2     2     3     2 2               2 2  2
+--R       b d x  + (2a b d  + 2b c d)x  + (a d  + 4a b c d + b c )x
+--R     + 
+--R          2            2      2 2
+--R       (2a c d + 2a b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 996
+
+--S 997 of 2952
+r0000:=-b/((b*c-a*d)^2*(a+b*x))-d/((b*c-a*d)^2*(c+d*x))-_
+     2*b*d*log(a+b*x)/(b*c-a*d)^3+2*b*d*log(c+d*x)/(b*c-a*d)^3
+--R 
+--R
+--R   (2)
+--R            2 2 2            2     2
+--R       (- 2b d x  + (- 2a b d  - 2b c d)x - 2a b c d)log(d x + c)
+--R     + 
+--R          2 2 2          2     2
+--R       (2b d x  + (2a b d  + 2b c d)x + 2a b c d)log(b x + a)
+--R     + 
+--R                2     2         2 2    2 2
+--R       (- 2a b d  + 2b c d)x - a d  + b c
+--R  /
+--R         3   4     2 2   3       3 2 2    4 3   2
+--R       (a b d  - 3a b c d  + 3a b c d  - b c d)x
+--R     + 
+--R         4 4     3     3       3 3     4 4      4   3     3   2 2     2 2 3
+--R       (a d  - 2a b c d  + 2a b c d - b c )x + a c d  - 3a b c d  + 3a b c d
+--R     + 
+--R            3 4
+--R       - a b c
+--R                                                    Type: Expression(Integer)
+--E 997
+
+--S 998 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R            2 2 2            2     2
+--R       (- 2b d x  + (- 2a b d  - 2b c d)x - 2a b c d)log(d x + c)
+--R     + 
+--R          2 2 2          2     2
+--R       (2b d x  + (2a b d  + 2b c d)x + 2a b c d)log(b x + a)
+--R     + 
+--R                2     2         2 2    2 2
+--R       (- 2a b d  + 2b c d)x - a d  + b c
+--R  /
+--R         3   4     2 2   3       3 2 2    4 3   2
+--R       (a b d  - 3a b c d  + 3a b c d  - b c d)x
+--R     + 
+--R         4 4     3     3       3 3     4 4      4   3     3   2 2     2 2 3
+--R       (a d  - 2a b c d  + 2a b c d - b c )x + a c d  - 3a b c d  + 3a b c d
+--R     + 
+--R            3 4
+--R       - a b c
+--R                                         Type: Union(Expression(Integer),...)
+--E 998
+
+--S 999 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 999
+
+--S 1000 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1000
+
+)clear all
+
+--S 1001 of 2952
+t0000:=1/((a+b*x)^3*(c+d*x)^2)
+--R 
+--R
+--R   (1)
+--R     1
+--R  /
+--R        3 2 5        2 2     3     4      2   2       2       3 2  3
+--R       b d x  + (3a b d  + 2b c d)x  + (3a b d  + 6a b c d + b c )x
+--R     + 
+--R         3 2     2            2 2  2      3        2   2      3 2
+--R       (a d  + 6a b c d + 3a b c )x  + (2a c d + 3a b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1001
+
+--S 1002 of 2952
+r0000:=-1/2*b/((b*c-a*d)^2*(a+b*x)^2)+2*b*d/((b*c-a*d)^3*(a+b*x))+_
+     d^2/((b*c-a*d)^3*(c+d*x))+3*b*d^2*log(a+b*x)/(b*c-a*d)^4-_
+     3*b*d^2*log(c+d*x)/(b*c-a*d)^4
+--R 
+--R
+--R   (2)
+--R               3 3 3           2 3     3   2  2        2   3        2   2
+--R           - 6b d x  + (- 12a b d  - 6b c d )x  + (- 6a b d  - 12a b c d )x
+--R         + 
+--R               2     2
+--R           - 6a b c d
+--R      *
+--R         log(d x + c)
+--R     + 
+--R               3 3 3         2 3     3   2  2      2   3        2   2
+--R             6b d x  + (12a b d  + 6b c d )x  + (6a b d  + 12a b c d )x
+--R           + 
+--R               2     2
+--R             6a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R              2 3     3   2  2        2   3       2   2     3 2        3 3
+--R       (- 6a b d  + 6b c d )x  + (- 9a b d  + 6a b c d  + 3b c d)x - 2a d
+--R     + 
+--R           2     2       2 2     3 3
+--R       - 3a b c d  + 6a b c d - b c
+--R  /
+--R          4 2 5     3 3   4      2 4 2 3       5 3 2     6 4   3
+--R       (2a b d  - 8a b c d  + 12a b c d  - 8a b c d  + 2b c d)x
+--R     + 
+--R          5   5      4 2   4      3 3 2 3     2 4 3 2       5 4      6 5  2
+--R       (4a b d  - 14a b c d  + 16a b c d  - 4a b c d  - 4a b c d + 2b c )x
+--R     + 
+--R          6 5     5     4     4 2 2 3      3 3 3 2      2 4 4        5 5
+--R       (2a d  - 4a b c d  - 4a b c d  + 16a b c d  - 14a b c d + 4a b c )x
+--R     + 
+--R         6   4     5   2 3      4 2 3 2     3 3 4      2 4 5
+--R       2a c d  - 8a b c d  + 12a b c d  - 8a b c d + 2a b c
+--R                                                    Type: Expression(Integer)
+--E 1002
+
+--S 1003 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R               3 3 3           2 3     3   2  2        2   3        2   2
+--R           - 6b d x  + (- 12a b d  - 6b c d )x  + (- 6a b d  - 12a b c d )x
+--R         + 
+--R               2     2
+--R           - 6a b c d
+--R      *
+--R         log(d x + c)
+--R     + 
+--R               3 3 3         2 3     3   2  2      2   3        2   2
+--R             6b d x  + (12a b d  + 6b c d )x  + (6a b d  + 12a b c d )x
+--R           + 
+--R               2     2
+--R             6a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R              2 3     3   2  2        2   3       2   2     3 2        3 3
+--R       (- 6a b d  + 6b c d )x  + (- 9a b d  + 6a b c d  + 3b c d)x - 2a d
+--R     + 
+--R           2     2       2 2     3 3
+--R       - 3a b c d  + 6a b c d - b c
+--R  /
+--R          4 2 5     3 3   4      2 4 2 3       5 3 2     6 4   3
+--R       (2a b d  - 8a b c d  + 12a b c d  - 8a b c d  + 2b c d)x
+--R     + 
+--R          5   5      4 2   4      3 3 2 3     2 4 3 2       5 4      6 5  2
+--R       (4a b d  - 14a b c d  + 16a b c d  - 4a b c d  - 4a b c d + 2b c )x
+--R     + 
+--R          6 5     5     4     4 2 2 3      3 3 3 2      2 4 4        5 5
+--R       (2a d  - 4a b c d  - 4a b c d  + 16a b c d  - 14a b c d + 4a b c )x
+--R     + 
+--R         6   4     5   2 3      4 2 3 2     3 3 4      2 4 5
+--R       2a c d  - 8a b c d  + 12a b c d  - 8a b c d + 2a b c
+--R                                         Type: Union(Expression(Integer),...)
+--E 1003
+
+--S 1004 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1004
+
+--S 1005 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1005
+
+)clear all
+
+--S 1006 of 2952
+t0000:=(a+b*x)^m/(c+d*x)^3
+--R 
+--R
+--R                          m
+--R                 (b x + a)
+--R   (1)  ----------------------------
+--R         3 3       2 2     2       3
+--R        d x  + 3c d x  + 3c d x + c
+--R                                                    Type: Expression(Integer)
+--E 1006
+
+--S 1007 of 2952
+--r0000:=1/2*(a+b*x)^(1+m)/((b*c-a*d)*(c+d*x)^2)+_
+--     1/2*b*(1-m)*(a+b*x)^(1+m)/((b*c-a*d)^2*(c+d*x))-_
+--     1/2*b^2*(1-m)*m*(a+b*x)^(1+m)*_
+--     hypergeometric(1,1+m,2+m,-d*(a+b*x)/(b*c-a*d))/((b*c-a*d)^3*(1+m))
+--E 1007
+
+--S 1008 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           x                       m
+--R         ++             (%BJ b + a)
+--R   (2)   |   ---------------------------------- d%BJ
+--R        ++      3 3       2   2         2     3
+--R             %BJ d  + 3%BJ c d  + 3%BJ c d + c
+--R                                         Type: Union(Expression(Integer),...)
+--E 1008
+
+--S 1009 of 2952
+--m0000:=a0000 - r0000
+--E 1009
+
+--S 1010 of 2952
+--d0000:=D(m0000,x)
+--E 1010
+
+)clear all
+
+--S 1011 of 2952
+t0000:=(a+b*x)^6/(c+d*x)^3
+--R 
+--R
+--R         6 6       5 5      2 4 4      3 3 3      4 2 2     5       6
+--R        b x  + 6a b x  + 15a b x  + 20a b x  + 15a b x  + 6a b x + a
+--R   (1)  -------------------------------------------------------------
+--R                          3 3       2 2     2       3
+--R                         d x  + 3c d x  + 3c d x + c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1011
+
+--S 1012 of 2952
+r0000:=-20*b^3*(b*c-a*d)^3*x/d^6-1/2*(b*c-a*d)^6/(d^7*(c+d*x)^2)+_
+     6*b*(b*c-a*d)^5/(d^7*(c+d*x))+15/2*b^4*(b*c-a*d)^2*(c+d*x)^2/d^7-_
+     2*b^5*(b*c-a*d)*(c+d*x)^3/d^7+1/4*b^6*(c+d*x)^4/d^7+_
+     15*b^2*(b*c-a*d)^4*log(c+d*x)/d^7
+--R 
+--R
+--R   (2)
+--R               4 2 6       3 3   5       2 4 2 4         5 3 3      6 4 2  2
+--R           (60a b d  - 240a b c d  + 360a b c d  - 240a b c d  + 60b c d )x
+--R         + 
+--R                4 2   5       3 3 2 4       2 4 3 3         5 4 2       6 5
+--R           (120a b c d  - 480a b c d  + 720a b c d  - 480a b c d  + 120b c d)x
+--R         + 
+--R              4 2 2 4       3 3 3 3       2 4 4 2         5 5       6 6
+--R           60a b c d  - 240a b c d  + 360a b c d  - 240a b c d + 60b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R        6 6 6        5 6     6   5  5       2 4 6        5   5     6 2 4  4
+--R       b d x  + (8a b d  - 2b c d )x  + (30a b d  - 20a b c d  + 5b c d )x
+--R     + 
+--R           3 3 6       2 4   5        5 2 4      6 3 3  3
+--R       (80a b d  - 120a b c d  + 80a b c d  - 20b c d )x
+--R     + 
+--R            3 3   5       2 4 2 4         5 3 3      6 4 2  2
+--R       (160a b c d  - 300a b c d  + 200a b c d  - 45b c d )x
+--R     + 
+--R                5   6       4 2   5       3 3 2 4       2 4 3 3        5 4 2
+--R           - 24a b d  + 120a b c d  - 160a b c d  + 120a b c d  - 80a b c d
+--R         + 
+--R              6 5
+--R           30b c d
+--R      *
+--R         x
+--R     + 
+--R           6 6      5     5      4 2 2 4       3 3 3 3       2 4 4 2
+--R       - 2a d  - 12a b c d  + 90a b c d  - 200a b c d  + 240a b c d
+--R     + 
+--R               5 5       6 6
+--R       - 160a b c d + 45b c
+--R  /
+--R       9 2       8      2 7
+--R     4d x  + 8c d x + 4c d
+--R                                                    Type: Expression(Integer)
+--E 1012
+
+--S 1013 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R               4 2 6       3 3   5       2 4 2 4         5 3 3      6 4 2  2
+--R           (60a b d  - 240a b c d  + 360a b c d  - 240a b c d  + 60b c d )x
+--R         + 
+--R                4 2   5       3 3 2 4       2 4 3 3         5 4 2       6 5
+--R           (120a b c d  - 480a b c d  + 720a b c d  - 480a b c d  + 120b c d)x
+--R         + 
+--R              4 2 2 4       3 3 3 3       2 4 4 2         5 5       6 6
+--R           60a b c d  - 240a b c d  + 360a b c d  - 240a b c d + 60b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R        6 6 6        5 6     6   5  5       2 4 6        5   5     6 2 4  4
+--R       b d x  + (8a b d  - 2b c d )x  + (30a b d  - 20a b c d  + 5b c d )x
+--R     + 
+--R           3 3 6       2 4   5        5 2 4      6 3 3  3
+--R       (80a b d  - 120a b c d  + 80a b c d  - 20b c d )x
+--R     + 
+--R            3 3   5       2 4 2 4         5 3 3      6 4 2  2
+--R       (160a b c d  - 330a b c d  + 252a b c d  - 68b c d )x
+--R     + 
+--R                5   6       4 2   5       3 3 2 4      2 4 3 3        5 4 2
+--R           - 24a b d  + 120a b c d  - 160a b c d  + 60a b c d  + 24a b c d
+--R         + 
+--R                6 5
+--R           - 16b c d
+--R      *
+--R         x
+--R     + 
+--R           6 6      5     5      4 2 2 4       3 3 3 3       2 4 4 2
+--R       - 2a d  - 12a b c d  + 90a b c d  - 200a b c d  + 210a b c d
+--R     + 
+--R               5 5       6 6
+--R       - 108a b c d + 22b c
+--R  /
+--R       9 2       8      2 7
+--R     4d x  + 8c d x + 4c d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1013
+
+--S 1014 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R             2 4 2 2        5 3       6 4
+--R        - 30a b c d  + 52a b c d - 23b c
+--R   (4)  ---------------------------------
+--R                         7
+--R                       4d
+--R                                                    Type: Expression(Integer)
+--E 1014
+
+--S 1015 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1015
+
+)clear all
+
+--S 1016 of 2952
+t0000:=(a+b*x)^5/(c+d*x)^3
+--R 
+--R
+--R         5 5       4 4      2 3 3      3 2 2     4       5
+--R        b x  + 5a b x  + 10a b x  + 10a b x  + 5a b x + a
+--R   (1)  --------------------------------------------------
+--R                    3 3       2 2     2       3
+--R                   d x  + 3c d x  + 3c d x + c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1016
+
+--S 1017 of 2952
+r0000:=10*b^3*(b*c-a*d)^2*x/d^5+1/2*(b*c-a*d)^5/(d^6*(c+d*x)^2)-_
+     5*b*(b*c-a*d)^4/(d^6*(c+d*x))-5/2*b^4*(b*c-a*d)*(c+d*x)^2/d^6+_
+     1/3*b^5*(c+d*x)^3/d^6-10*b^2*(b*c-a*d)^3*log(c+d*x)/d^6
+--R 
+--R
+--R   (2)
+--R               3 2 5       2 3   4         4 2 3      5 3 2  2
+--R           (60a b d  - 180a b c d  + 180a b c d  - 60b c d )x
+--R         + 
+--R                3 2   4       2 3 2 3         4 3 2       5 4         3 2 2 3
+--R           (120a b c d  - 360a b c d  + 360a b c d  - 120b c d)x + 60a b c d
+--R         + 
+--R                 2 3 3 2         4 4       5 5
+--R           - 180a b c d  + 180a b c d - 60b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R         5 5 5         4 5     5   4  4       2 3 5        4   4      5 2 3  3
+--R       2b d x  + (15a b d  - 5b c d )x  + (60a b d  - 60a b c d  + 20b c d )x
+--R     + 
+--R            2 3   4         4 2 3      5 3 2  2
+--R       (120a b c d  - 150a b c d  + 50b c d )x
+--R     + 
+--R             4   5       3 2   4       2 3 2 3        4 3 2      5 4        5 5
+--R       (- 30a b d  + 120a b c d  - 120a b c d  + 60a b c d  - 20b c d)x - 3a d
+--R     + 
+--R            4     4      3 2 2 3       2 3 3 2         4 4       5 5
+--R       - 15a b c d  + 90a b c d  - 150a b c d  + 120a b c d - 40b c
+--R  /
+--R       8 2        7      2 6
+--R     6d x  + 12c d x + 6c d
+--R                                                    Type: Expression(Integer)
+--E 1017
+
+--S 1018 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R               3 2 5       2 3   4         4 2 3      5 3 2  2
+--R           (60a b d  - 180a b c d  + 180a b c d  - 60b c d )x
+--R         + 
+--R                3 2   4       2 3 2 3         4 3 2       5 4         3 2 2 3
+--R           (120a b c d  - 360a b c d  + 360a b c d  - 120b c d)x + 60a b c d
+--R         + 
+--R                 2 3 3 2         4 4       5 5
+--R           - 180a b c d  + 180a b c d - 60b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R         5 5 5         4 5     5   4  4       2 3 5        4   4      5 2 3  3
+--R       2b d x  + (15a b d  - 5b c d )x  + (60a b d  - 60a b c d  + 20b c d )x
+--R     + 
+--R            2 3   4         4 2 3      5 3 2  2
+--R       (120a b c d  - 165a b c d  + 63b c d )x
+--R     + 
+--R             4   5       3 2   4       2 3 2 3        4 3 2     5 4        5 5
+--R       (- 30a b d  + 120a b c d  - 120a b c d  + 30a b c d  + 6b c d)x - 3a d
+--R     + 
+--R            4     4      3 2 2 3       2 3 3 2         4 4       5 5
+--R       - 15a b c d  + 90a b c d  - 150a b c d  + 105a b c d - 27b c
+--R  /
+--R       8 2        7      2 6
+--R     6d x  + 12c d x + 6c d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1018
+
+--S 1019 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R               4 2       5 3
+--R        - 15a b c d + 13b c
+--R   (4)  --------------------
+--R                   6
+--R                 6d
+--R                                                    Type: Expression(Integer)
+--E 1019
+
+--S 1020 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1020
+
+)clear all
+
+--S 1021 of 2952
+t0000:=(a+b*x)^4/(c+d*x)^3
+--R 
+--R
+--R         4 4       3 3     2 2 2     3       4
+--R        b x  + 4a b x  + 6a b x  + 4a b x + a
+--R   (1)  --------------------------------------
+--R              3 3       2 2     2       3
+--R             d x  + 3c d x  + 3c d x + c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1021
+
+--S 1022 of 2952
+r0000:=-b^3*(3*b*c-4*a*d)*x/d^4+1/2*b^4*x^2/d^3-_
+     1/2*(b*c-a*d)^4/(d^5*(c+d*x)^2)+4*b*(b*c-a*d)^3/(d^5*(c+d*x))+_
+     6*b^2*(b*c-a*d)^2*log(c+d*x)/d^5
+--R 
+--R
+--R   (2)
+--R               2 2 4        3   3      4 2 2  2
+--R           (12a b d  - 24a b c d  + 12b c d )x
+--R         + 
+--R             2 2   3        3 2 2      4 3         2 2 2 2        3 3       4 4
+--R         (24a b c d  - 48a b c d  + 24b c d)x + 12a b c d  - 24a b c d + 12b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R        4 4 4        3 4     4   3  3         3   3      4 2 2  2
+--R       b d x  + (8a b d  - 4b c d )x  + (16a b c d  - 11b c d )x
+--R     + 
+--R            3   4      2 2   3        3 2 2     4 3       4 4     3     3
+--R       (- 8a b d  + 24a b c d  - 16a b c d  + 2b c d)x - a d  - 4a b c d
+--R     + 
+--R          2 2 2 2        3 3      4 4
+--R       18a b c d  - 20a b c d + 7b c
+--R  /
+--R       7 2       6      2 5
+--R     2d x  + 4c d x + 2c d
+--R                                                    Type: Expression(Integer)
+--E 1022
+
+--S 1023 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R               2 2 4        3   3      4 2 2  2
+--R           (12a b d  - 24a b c d  + 12b c d )x
+--R         + 
+--R             2 2   3        3 2 2      4 3         2 2 2 2        3 3       4 4
+--R         (24a b c d  - 48a b c d  + 24b c d)x + 12a b c d  - 24a b c d + 12b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R        4 4 4        3 4     4   3  3         3   3      4 2 2  2
+--R       b d x  + (8a b d  - 4b c d )x  + (16a b c d  - 11b c d )x
+--R     + 
+--R            3   4      2 2   3        3 2 2     4 3       4 4     3     3
+--R       (- 8a b d  + 24a b c d  - 16a b c d  + 2b c d)x - a d  - 4a b c d
+--R     + 
+--R          2 2 2 2        3 3      4 4
+--R       18a b c d  - 20a b c d + 7b c
+--R  /
+--R       7 2       6      2 5
+--R     2d x  + 4c d x + 2c d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1023
+
+--S 1024 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1024
+
+--S 1025 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1025
+
+)clear all
+
+--S 1026 of 2952
+t0000:=(a+b*x)^3/(c+d*x)^3
+--R 
+--R
+--R         3 3       2 2     2       3
+--R        b x  + 3a b x  + 3a b x + a
+--R   (1)  ----------------------------
+--R         3 3       2 2     2       3
+--R        d x  + 3c d x  + 3c d x + c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1026
+
+--S 1027 of 2952
+r0000:=b^3*x/d^3+1/2*(b*c-a*d)^3/(d^4*(c+d*x)^2)-_
+     3*b*(b*c-a*d)^2/(d^4*(c+d*x))-3*b^2*(b*c-a*d)*log(c+d*x)/d^4
+--R 
+--R
+--R   (2)
+--R               2 3     3   2  2         2   2      3 2          2 2      3 3
+--R         ((6a b d  - 6b c d )x  + (12a b c d  - 12b c d)x + 6a b c d - 6b c )
+--R      *
+--R         log(d x + c)
+--R     + 
+--R         3 3 3     3   2 2        2   3        2   2     3 2       3 3
+--R       2b d x  + 4b c d x  + (- 6a b d  + 12a b c d  - 4b c d)x - a d
+--R     + 
+--R           2     2       2 2      3 3
+--R       - 3a b c d  + 9a b c d - 5b c
+--R  /
+--R       6 2       5      2 4
+--R     2d x  + 4c d x + 2c d
+--R                                                    Type: Expression(Integer)
+--E 1027
+
+--S 1028 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R               2 3     3   2  2         2   2      3 2          2 2      3 3
+--R         ((6a b d  - 6b c d )x  + (12a b c d  - 12b c d)x + 6a b c d - 6b c )
+--R      *
+--R         log(d x + c)
+--R     + 
+--R         3 3 3     3   2 2        2   3        2   2     3 2       3 3
+--R       2b d x  + 4b c d x  + (- 6a b d  + 12a b c d  - 4b c d)x - a d
+--R     + 
+--R           2     2       2 2      3 3
+--R       - 3a b c d  + 9a b c d - 5b c
+--R  /
+--R       6 2       5      2 4
+--R     2d x  + 4c d x + 2c d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1028
+
+--S 1029 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1029
+
+--S 1030 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1030
+
+)clear all
+
+--S 1031 of 2952
+t0000:=(a+b*x)^2/(c+d*x)^3
+--R 
+--R
+--R              2 2             2
+--R             b x  + 2a b x + a
+--R   (1)  ----------------------------
+--R         3 3       2 2     2       3
+--R        d x  + 3c d x  + 3c d x + c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1031
+
+--S 1032 of 2952
+r0000:=-1/2*(b*c-a*d)^2/(d^3*(c+d*x)^2)+2*b*(b*c-a*d)/(d^3*(c+d*x))+_
+     b^2*log(c+d*x)/d^3
+--R 
+--R
+--R   (2)
+--R          2 2 2     2          2 2                         2     2         2 2
+--R       (2b d x  + 4b c d x + 2b c )log(d x + c) + (- 4a b d  + 4b c d)x - a d
+--R     + 
+--R                      2 2
+--R       - 2a b c d + 3b c
+--R  /
+--R       5 2       4      2 3
+--R     2d x  + 4c d x + 2c d
+--R                                                    Type: Expression(Integer)
+--E 1032
+
+--S 1033 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R          2 2 2     2          2 2                         2     2         2 2
+--R       (2b d x  + 4b c d x + 2b c )log(d x + c) + (- 4a b d  + 4b c d)x - a d
+--R     + 
+--R                      2 2
+--R       - 2a b c d + 3b c
+--R  /
+--R       5 2       4      2 3
+--R     2d x  + 4c d x + 2c d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1033
+
+--S 1034 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1034
+
+--S 1035 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1035
+
+)clear all
+
+--S 1036 of 2952
+t0000:=(a+b*x)/(c+d*x)^3
+--R 
+--R
+--R                   b x + a
+--R   (1)  ----------------------------
+--R         3 3       2 2     2       3
+--R        d x  + 3c d x  + 3c d x + c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1036
+
+--S 1037 of 2952
+r0000:=1/2*(a+b*x)^2/((b*c-a*d)*(c+d*x)^2)
+--R 
+--R
+--R                          1  2 2           1  2
+--R                        - - b x  - a b x - - a
+--R                          2                2
+--R   (2)  ------------------------------------------------------
+--R            3        2  2          2       2         2       3
+--R        (a d  - b c d )x  + (2a c d  - 2b c d)x + a c d - b c
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 1037
+
+--S 1038 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R         - 2b d x - a d - b c
+--R   (3)  ----------------------
+--R          4 2       3      2 2
+--R        2d x  + 4c d x + 2c d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1038
+
+--S 1039 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R                2
+--R               b
+--R   (4)  ---------------
+--R            3         2
+--R        2a d  - 2b c d
+--R                                                    Type: Expression(Integer)
+--E 1039
+
+--S 1040 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1040
+
+)clear all
+
+--S 1041 of 2952
+t0000:=1/(c+d*x)^3
+--R 
+--R
+--R                      1
+--R   (1)  ----------------------------
+--R         3 3       2 2     2       3
+--R        d x  + 3c d x  + 3c d x + c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1041
+
+--S 1042 of 2952
+r0000:=(-1/2)/(d*(c+d*x)^2)
+--R 
+--R
+--R                   1
+--R                   -
+--R                   2
+--R   (2)  - -------------------
+--R           3 2       2     2
+--R          d x  + 2c d x + c d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 1042
+
+--S 1043 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                    1
+--R   (3)  - ---------------------
+--R            3 2       2      2
+--R          2d x  + 4c d x + 2c d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1043
+
+--S 1044 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1044
+
+--S 1045 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1045
+
+)clear all
+
+--S 1046 of 2952
+t0000:=1/((a+b*x)*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R                                         1
+--R   ----------------------------------------------------------------------------
+--R      3 4       3         2  3          2       2   2        2       3        3
+--R   b d x  + (a d  + 3b c d )x  + (3a c d  + 3b c d)x  + (3a c d + b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1046
+
+--S 1047 of 2952
+r0000:=1/2/((b*c-a*d)*(c+d*x)^2)+b/((b*c-a*d)^2*(c+d*x))+_
+     b^2*log(a+b*x)/(b*c-a*d)^3-b^2*log(c+d*x)/(b*c-a*d)^3
+--R 
+--R
+--R   (2)
+--R          2 2 2     2          2 2
+--R       (2b d x  + 4b c d x + 2b c )log(d x + c)
+--R     + 
+--R            2 2 2     2          2 2                       2     2         2 2
+--R       (- 2b d x  - 4b c d x - 2b c )log(b x + a) + (2a b d  - 2b c d)x - a d
+--R     + 
+--R                    2 2
+--R       4a b c d - 3b c
+--R  /
+--R          3 5     2     4       2 2 3     3 3 2  2
+--R       (2a d  - 6a b c d  + 6a b c d  - 2b c d )x
+--R     + 
+--R          3   4      2   2 3        2 3 2     3 4        3 2 3     2   3 2
+--R       (4a c d  - 12a b c d  + 12a b c d  - 4b c d)x + 2a c d  - 6a b c d
+--R     + 
+--R           2 4      3 5
+--R       6a b c d - 2b c
+--R                                                    Type: Expression(Integer)
+--E 1047
+
+--S 1048 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R          2 2 2     2          2 2
+--R       (2b d x  + 4b c d x + 2b c )log(d x + c)
+--R     + 
+--R            2 2 2     2          2 2                       2     2         2 2
+--R       (- 2b d x  - 4b c d x - 2b c )log(b x + a) + (2a b d  - 2b c d)x - a d
+--R     + 
+--R                    2 2
+--R       4a b c d - 3b c
+--R  /
+--R          3 5     2     4       2 2 3     3 3 2  2
+--R       (2a d  - 6a b c d  + 6a b c d  - 2b c d )x
+--R     + 
+--R          3   4      2   2 3        2 3 2     3 4        3 2 3     2   3 2
+--R       (4a c d  - 12a b c d  + 12a b c d  - 4b c d)x + 2a c d  - 6a b c d
+--R     + 
+--R           2 4      3 5
+--R       6a b c d - 2b c
+--R                                         Type: Union(Expression(Integer),...)
+--E 1048
+
+--S 1049 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1049
+
+--S 1050 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1050
+
+)clear all
+
+--S 1051 of 2952
+t0000:=1/((a+b*x)^2*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R     1
+--R  /
+--R        2 3 5          3     2   2  4     2 3           2     2 2   3
+--R       b d x  + (2a b d  + 3b c d )x  + (a d  + 6a b c d  + 3b c d)x
+--R     + 
+--R          2   2         2     2 3  2      2 2          3      2 3
+--R       (3a c d  + 6a b c d + b c )x  + (3a c d + 2a b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1051
+
+--S 1052 of 2952
+r0000:=-b^2/((b*c-a*d)^3*(a+b*x))-1/2*d/((b*c-a*d)^2*(c+d*x)^2)-_
+     2*b*d/((b*c-a*d)^3*(c+d*x))-3*b^2*d*log(a+b*x)/(b*c-a*d)^4+_
+     3*b^2*d*log(c+d*x)/(b*c-a*d)^4
+--R 
+--R
+--R   (2)
+--R            3 3 3        2 3      3   2  2         2   2     3 2          2 2
+--R         (6b d x  + (6a b d  + 12b c d )x  + (12a b c d  + 6b c d)x + 6a b c d)
+--R      *
+--R         log(d x + c)
+--R     + 
+--R               3 3 3          2 3      3   2  2           2   2     3 2
+--R           - 6b d x  + (- 6a b d  - 12b c d )x  + (- 12a b c d  - 6b c d)x
+--R         + 
+--R                 2 2
+--R           - 6a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R            2 3     3   2  2      2   3       2   2     3 2       3 3
+--R       (6a b d  - 6b c d )x  + (3a b d  + 6a b c d  - 9b c d)x - a d
+--R     + 
+--R         2     2       2 2      3 3
+--R       6a b c d  - 3a b c d - 2b c
+--R  /
+--R          4   6     3 2   5      2 3 2 4       4 3 3     5 4 2  3
+--R       (2a b d  - 8a b c d  + 12a b c d  - 8a b c d  + 2b c d )x
+--R     + 
+--R          5 6     4     5     3 2 2 4      2 3 3 3        4 4 2     5 5   2
+--R       (2a d  - 4a b c d  - 4a b c d  + 16a b c d  - 14a b c d  + 4b c d)x
+--R     + 
+--R          5   5      4   2 4      3 2 3 3     2 3 4 2       4 5      5 6
+--R       (4a c d  - 14a b c d  + 16a b c d  - 4a b c d  - 4a b c d + 2b c )x
+--R     + 
+--R         5 2 4     4   3 3      3 2 4 2     2 3 5        4 6
+--R       2a c d  - 8a b c d  + 12a b c d  - 8a b c d + 2a b c
+--R                                                    Type: Expression(Integer)
+--E 1052
+
+--S 1053 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R            3 3 3        2 3      3   2  2         2   2     3 2          2 2
+--R         (6b d x  + (6a b d  + 12b c d )x  + (12a b c d  + 6b c d)x + 6a b c d)
+--R      *
+--R         log(d x + c)
+--R     + 
+--R               3 3 3          2 3      3   2  2           2   2     3 2
+--R           - 6b d x  + (- 6a b d  - 12b c d )x  + (- 12a b c d  - 6b c d)x
+--R         + 
+--R                 2 2
+--R           - 6a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R            2 3     3   2  2      2   3       2   2     3 2       3 3
+--R       (6a b d  - 6b c d )x  + (3a b d  + 6a b c d  - 9b c d)x - a d
+--R     + 
+--R         2     2       2 2      3 3
+--R       6a b c d  - 3a b c d - 2b c
+--R  /
+--R          4   6     3 2   5      2 3 2 4       4 3 3     5 4 2  3
+--R       (2a b d  - 8a b c d  + 12a b c d  - 8a b c d  + 2b c d )x
+--R     + 
+--R          5 6     4     5     3 2 2 4      2 3 3 3        4 4 2     5 5   2
+--R       (2a d  - 4a b c d  - 4a b c d  + 16a b c d  - 14a b c d  + 4b c d)x
+--R     + 
+--R          5   5      4   2 4      3 2 3 3     2 3 4 2       4 5      5 6
+--R       (4a c d  - 14a b c d  + 16a b c d  - 4a b c d  - 4a b c d + 2b c )x
+--R     + 
+--R         5 2 4     4   3 3      3 2 4 2     2 3 5        4 6
+--R       2a c d  - 8a b c d  + 12a b c d  - 8a b c d + 2a b c
+--R                                         Type: Union(Expression(Integer),...)
+--E 1053
+
+--S 1054 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1054
+
+--S 1055 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1055
+
+)clear all
+
+--S 1056 of 2952
+t0000:=1/((a+b*x)^3*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R     1
+--R  /
+--R        3 3 6        2 3     3   2  5      2   3       2   2     3 2   4
+--R       b d x  + (3a b d  + 3b c d )x  + (3a b d  + 9a b c d  + 3b c d)x
+--R     + 
+--R         3 3     2     2       2 2     3 3  3      3   2     2   2        2 3  2
+--R       (a d  + 9a b c d  + 9a b c d + b c )x  + (3a c d  + 9a b c d + 3a b c )x
+--R     + 
+--R          3 2      2   3      3 3
+--R       (3a c d + 3a b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1056
+
+--S 1057 of 2952
+r0000:=-1/2*b^2/((b*c-a*d)^3*(a+b*x)^2)+3*b^2*d/((b*c-a*d)^4*(a+b*x))+_
+     1/2*d^2/((b*c-a*d)^3*(c+d*x)^2)+3*b*d^2/((b*c-a*d)^4*(c+d*x))+_
+     6*b^2*d^2*log(a+b*x)/(b*c-a*d)^5-6*b^2*d^2*log(c+d*x)/(b*c-a*d)^5
+--R 
+--R
+--R   (2)
+--R              4 4 4         3 4      4   3  3
+--R           12b d x  + (24a b d  + 24b c d )x
+--R         + 
+--R               2 2 4        3   3      4 2 2  2       2 2   3        3 2 2
+--R           (12a b d  + 48a b c d  + 12b c d )x  + (24a b c d  + 24a b c d )x
+--R         + 
+--R              2 2 2 2
+--R           12a b c d
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                4 4 4           3 4      4   3  3
+--R           - 12b d x  + (- 24a b d  - 24b c d )x
+--R         + 
+--R                 2 2 4        3   3      4 2 2  2         2 2   3        3 2 2
+--R           (- 12a b d  - 48a b c d  - 12b c d )x  + (- 24a b c d  - 24a b c d )x
+--R         + 
+--R                2 2 2 2
+--R           - 12a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R             3 4      4   3  3       2 2 4      4 2 2  2
+--R       (12a b d  - 12b c d )x  + (18a b d  - 18b c d )x
+--R     + 
+--R          3   4      2 2   3        3 2 2     4 3       4 4     3     3
+--R       (4a b d  + 24a b c d  - 24a b c d  - 4b c d)x - a d  + 8a b c d
+--R     + 
+--R             3 3     4 4
+--R       - 8a b c d + b c
+--R  /
+--R          5 2 7      4 3   6      3 4 2 5      2 5 3 4        6 4 3     7 5 2  4
+--R       (2a b d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d  - 2b c d )x
+--R     + 
+--R          6   7      5 2   6      4 3 2 5      2 5 4 3        6 5 2     7 6   3
+--R       (4a b d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d  - 4b c d)x
+--R     + 
+--R             7 7     6     6      5 2 2 5      4 3 3 4      3 4 4 3      2 5 5 2
+--R           2a d  - 2a b c d  - 18a b c d  + 50a b c d  - 50a b c d  + 18a b c d
+--R         + 
+--R               6 6      7 7
+--R           2a b c d - 2b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R          7   6      6   2 5      5 2 3 4      3 4 5 2      2 5 6        6 7
+--R       (4a c d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d - 4a b c )x
+--R     + 
+--R         7 2 5      6   3 4      5 2 4 3      4 3 5 2      3 4 6      2 5 7
+--R       2a c d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d - 2a b c
+--R                                                    Type: Expression(Integer)
+--E 1057
+
+--S 1058 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R              4 4 4         3 4      4   3  3
+--R           12b d x  + (24a b d  + 24b c d )x
+--R         + 
+--R               2 2 4        3   3      4 2 2  2       2 2   3        3 2 2
+--R           (12a b d  + 48a b c d  + 12b c d )x  + (24a b c d  + 24a b c d )x
+--R         + 
+--R              2 2 2 2
+--R           12a b c d
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                4 4 4           3 4      4   3  3
+--R           - 12b d x  + (- 24a b d  - 24b c d )x
+--R         + 
+--R                 2 2 4        3   3      4 2 2  2         2 2   3        3 2 2
+--R           (- 12a b d  - 48a b c d  - 12b c d )x  + (- 24a b c d  - 24a b c d )x
+--R         + 
+--R                2 2 2 2
+--R           - 12a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R             3 4      4   3  3       2 2 4      4 2 2  2
+--R       (12a b d  - 12b c d )x  + (18a b d  - 18b c d )x
+--R     + 
+--R          3   4      2 2   3        3 2 2     4 3       4 4     3     3
+--R       (4a b d  + 24a b c d  - 24a b c d  - 4b c d)x - a d  + 8a b c d
+--R     + 
+--R             3 3     4 4
+--R       - 8a b c d + b c
+--R  /
+--R          5 2 7      4 3   6      3 4 2 5      2 5 3 4        6 4 3     7 5 2  4
+--R       (2a b d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d  - 2b c d )x
+--R     + 
+--R          6   7      5 2   6      4 3 2 5      2 5 4 3        6 5 2     7 6   3
+--R       (4a b d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d  - 4b c d)x
+--R     + 
+--R             7 7     6     6      5 2 2 5      4 3 3 4      3 4 4 3      2 5 5 2
+--R           2a d  - 2a b c d  - 18a b c d  + 50a b c d  - 50a b c d  + 18a b c d
+--R         + 
+--R               6 6      7 7
+--R           2a b c d - 2b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R          7   6      6   2 5      5 2 3 4      3 4 5 2      2 5 6        6 7
+--R       (4a c d  - 16a b c d  + 20a b c d  - 20a b c d  + 16a b c d - 4a b c )x
+--R     + 
+--R         7 2 5      6   3 4      5 2 4 3      4 3 5 2      3 4 6      2 5 7
+--R       2a c d  - 10a b c d  + 20a b c d  - 20a b c d  + 10a b c d - 2a b c
+--R                                         Type: Union(Expression(Integer),...)
+--E 1058
+
+--S 1059 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1059
+
+--S 1060 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1060
+
+)clear all
+
+--S 1061 of 2952
+t0000:=(a+b*x)^9/(c+d*x)^8
+--R 
+--R
+--R   (1)
+--R        9 9       8 8      2 7 7      3 6 6       4 5 5       5 4 4      6 3 3
+--R       b x  + 9a b x  + 36a b x  + 84a b x  + 126a b x  + 126a b x  + 84a b x
+--R     + 
+--R          7 2 2     8       9
+--R       36a b x  + 9a b x + a
+--R  /
+--R        8 8       7 7      2 6 6      3 5 5      4 4 4      5 3 3      6 2 2
+--R       d x  + 8c d x  + 28c d x  + 56c d x  + 70c d x  + 56c d x  + 28c d x
+--R     + 
+--R         7       8
+--R       8c d x + c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1061
+
+--S 1062 of 2952
+r0000:=-b^8*(8*b*c-9*a*d)*x/d^9+1/2*b^9*x^2/d^8+_
+     1/7*(b*c-a*d)^9/(d^10*(c+d*x)^7)-_
+     3/2*b*(b*c-a*d)^8/(d^10*(c+d*x)^6)+_
+     36/5*b^2*(b*c-a*d)^7/(d^10*(c+d*x)^5)-_
+     21*b^3*(b*c-a*d)^6/(d^10*(c+d*x)^4)+_
+     42*b^4*(b*c-a*d)^5/(d^10*(c+d*x)^3)-_
+     63*b^5*(b*c-a*d)^4/(d^10*(c+d*x)^2)+_
+     84*b^6*(b*c-a*d)^3/(d^10*(c+d*x))+36*b^7*(b*c-a*d)^2*log(c+d*x)/d^10
+--R 
+--R
+--R   (2)
+--R                 2 7 9          8   8        9 2 7  7
+--R           (2520a b d  - 5040a b c d  + 2520b c d )x
+--R         + 
+--R                  2 7   8           8 2 7         9 3 6  6
+--R           (17640a b c d  - 35280a b c d  + 17640b c d )x
+--R         + 
+--R                  2 7 2 7            8 3 6         9 4 5  5
+--R           (52920a b c d  - 105840a b c d  + 52920b c d )x
+--R         + 
+--R                  2 7 3 6            8 4 5         9 5 4  4
+--R           (88200a b c d  - 176400a b c d  + 88200b c d )x
+--R         + 
+--R                  2 7 4 5            8 5 4         9 6 3  3
+--R           (88200a b c d  - 176400a b c d  + 88200b c d )x
+--R         + 
+--R                  2 7 5 4            8 6 3         9 7 2  2
+--R           (52920a b c d  - 105840a b c d  + 52920b c d )x
+--R         + 
+--R                  2 7 6 3           8 7 2         9 8           2 7 7 2
+--R           (17640a b c d  - 35280a b c d  + 17640b c d)x + 2520a b c d
+--R         + 
+--R                    8 8         9 9
+--R           - 5040a b c d + 2520b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R          9 9 9          8 9       9   8  8           8   8        9 2 7  7
+--R       35b d x  + (630a b d  - 315b c d )x  + (4410a b c d  - 3185b c d )x
+--R     + 
+--R               3 6 9         2 7   8          8 2 7        9 3 6  6
+--R       (- 5880a b d  + 17640a b c d  - 4410a b c d  - 4655b c d )x
+--R     + 
+--R                  4 5 9         3 6   8         2 7 2 7           8 3 6
+--R           - 4410a b d  - 17640a b c d  + 79380a b c d  - 66150a b c d
+--R         + 
+--R                 9 4 5
+--R           12495b c d
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                  5 4 9        4 5   8         3 6 2 7          2 7 3 6
+--R           - 2940a b d  - 7350a b c d  - 29400a b c d  + 161700a b c d
+--R         + 
+--R                      8 4 5         9 5 4
+--R           - 169050a b c d  + 50225b c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                  6 3 9        5 4   8        4 5 2 7         3 6 3 6
+--R           - 1470a b d  - 2940a b c d  - 7350a b c d  - 29400a b c d
+--R         + 
+--R                  2 7 4 5            8 5 4         9 6 3
+--R           183750a b c d  - 213150a b c d  + 72275b c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                 7 2 9       6 3   8        5 4 2 7        4 5 3 6
+--R           - 504a b d  - 882a b c d  - 1764a b c d  - 4410a b c d
+--R         + 
+--R                   3 6 4 5          2 7 5 4            8 6 3         9 7 2
+--R           - 17640a b c d  + 120834a b c d  - 149058a b c d  + 53949b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                 8   9       7 2   8       6 3 2 7       5 4 3 6        4 5 4 5
+--R           - 105a b d  - 168a b c d  - 294a b c d  - 588a b c d  - 1470a b c d
+--R         + 
+--R                  3 6 5 4         2 7 6 3           8 7 2         9 8
+--R           - 5880a b c d  + 43218a b c d  - 55566a b c d  + 20923b c d
+--R      *
+--R         x
+--R     + 
+--R            9 9      8     8      7 2 2 7      6 3 3 6      5 4 4 5
+--R       - 10a d  - 15a b c d  - 24a b c d  - 42a b c d  - 84a b c d
+--R     + 
+--R             4 5 5 4       3 6 6 3        2 7 7 2          8 8         9 9
+--R       - 210a b c d  - 840a b c d  + 6534a b c d  - 8658a b c d + 3349b c
+--R  /
+--R          17 7         16 6        2 15 5        3 14 4        4 13 3
+--R       70d  x  + 490c d  x  + 1470c d  x  + 2450c d  x  + 2450c d  x
+--R     + 
+--R            5 12 2       6 11       7 10
+--R       1470c d  x  + 490c d  x + 70c d
+--R                                                    Type: Expression(Integer)
+--E 1062
+
+--S 1063 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                 2 7 9          8   8        9 2 7  7
+--R           (2520a b d  - 5040a b c d  + 2520b c d )x
+--R         + 
+--R                  2 7   8           8 2 7         9 3 6  6
+--R           (17640a b c d  - 35280a b c d  + 17640b c d )x
+--R         + 
+--R                  2 7 2 7            8 3 6         9 4 5  5
+--R           (52920a b c d  - 105840a b c d  + 52920b c d )x
+--R         + 
+--R                  2 7 3 6            8 4 5         9 5 4  4
+--R           (88200a b c d  - 176400a b c d  + 88200b c d )x
+--R         + 
+--R                  2 7 4 5            8 5 4         9 6 3  3
+--R           (88200a b c d  - 176400a b c d  + 88200b c d )x
+--R         + 
+--R                  2 7 5 4            8 6 3         9 7 2  2
+--R           (52920a b c d  - 105840a b c d  + 52920b c d )x
+--R         + 
+--R                  2 7 6 3           8 7 2         9 8           2 7 7 2
+--R           (17640a b c d  - 35280a b c d  + 17640b c d)x + 2520a b c d
+--R         + 
+--R                    8 8         9 9
+--R           - 5040a b c d + 2520b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R          9 9 9          8 9       9   8  8           8   8        9 2 7  7
+--R       35b d x  + (630a b d  - 315b c d )x  + (4410a b c d  - 3185b c d )x
+--R     + 
+--R               3 6 9         2 7   8          8 2 7        9 3 6  6
+--R       (- 5880a b d  + 17640a b c d  - 4410a b c d  - 4655b c d )x
+--R     + 
+--R                  4 5 9         3 6   8         2 7 2 7           8 3 6
+--R           - 4410a b d  - 17640a b c d  + 79380a b c d  - 66150a b c d
+--R         + 
+--R                 9 4 5
+--R           12495b c d
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                  5 4 9        4 5   8         3 6 2 7          2 7 3 6
+--R           - 2940a b d  - 7350a b c d  - 29400a b c d  + 161700a b c d
+--R         + 
+--R                      8 4 5         9 5 4
+--R           - 169050a b c d  + 50225b c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                  6 3 9        5 4   8        4 5 2 7         3 6 3 6
+--R           - 1470a b d  - 2940a b c d  - 7350a b c d  - 29400a b c d
+--R         + 
+--R                  2 7 4 5            8 5 4         9 6 3
+--R           183750a b c d  - 213150a b c d  + 72275b c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                 7 2 9       6 3   8        5 4 2 7        4 5 3 6
+--R           - 504a b d  - 882a b c d  - 1764a b c d  - 4410a b c d
+--R         + 
+--R                   3 6 4 5          2 7 5 4            8 6 3         9 7 2
+--R           - 17640a b c d  + 120834a b c d  - 149058a b c d  + 53949b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                 8   9       7 2   8       6 3 2 7       5 4 3 6        4 5 4 5
+--R           - 105a b d  - 168a b c d  - 294a b c d  - 588a b c d  - 1470a b c d
+--R         + 
+--R                  3 6 5 4         2 7 6 3           8 7 2         9 8
+--R           - 5880a b c d  + 43218a b c d  - 55566a b c d  + 20923b c d
+--R      *
+--R         x
+--R     + 
+--R            9 9      8     8      7 2 2 7      6 3 3 6      5 4 4 5
+--R       - 10a d  - 15a b c d  - 24a b c d  - 42a b c d  - 84a b c d
+--R     + 
+--R             4 5 5 4       3 6 6 3        2 7 7 2          8 8         9 9
+--R       - 210a b c d  - 840a b c d  + 6534a b c d  - 8658a b c d + 3349b c
+--R  /
+--R          17 7         16 6        2 15 5        3 14 4        4 13 3
+--R       70d  x  + 490c d  x  + 1470c d  x  + 2450c d  x  + 2450c d  x
+--R     + 
+--R            5 12 2       6 11       7 10
+--R       1470c d  x  + 490c d  x + 70c d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1063
+
+--S 1064 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1064
+
+--S 1065 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1065
+
+)clear all
+
+--S 1066 of 2952
+t0000:=(a+b*x)^8/(c+d*x)^8
+--R 
+--R
+--R   (1)
+--R        8 8       7 7      2 6 6      3 5 5      4 4 4      5 3 3      6 2 2
+--R       b x  + 8a b x  + 28a b x  + 56a b x  + 70a b x  + 56a b x  + 28a b x
+--R     + 
+--R         7       8
+--R       8a b x + a
+--R  /
+--R        8 8       7 7      2 6 6      3 5 5      4 4 4      5 3 3      6 2 2
+--R       d x  + 8c d x  + 28c d x  + 56c d x  + 70c d x  + 56c d x  + 28c d x
+--R     + 
+--R         7       8
+--R       8c d x + c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1066
+
+--S 1067 of 2952
+r0000:=b^8*x/d^8-1/7*(b*c-a*d)^8/(d^9*(c+d*x)^7)+_
+     4/3*b*(b*c-a*d)^7/(d^9*(c+d*x)^6)-_
+     28/5*b^2*(b*c-a*d)^6/(d^9*(c+d*x)^5)+_
+     14*b^3*(b*c-a*d)^5/(d^9*(c+d*x)^4)-_
+     70/3*b^4*(b*c-a*d)^4/(d^9*(c+d*x)^3)+_
+     28*b^5*(b*c-a*d)^3/(d^9*(c+d*x)^2)-_
+     28*b^6*(b*c-a*d)^2/(d^9*(c+d*x))-_
+     8*b^7*(b*c-a*d)*log(c+d*x)/d^9
+--R 
+--R
+--R   (2)
+--R                  7 8       8   7  7           7   7        8 2 6  6
+--R           (840a b d  - 840b c d )x  + (5880a b c d  - 5880b c d )x
+--R         + 
+--R                    7 2 6         8 3 5  5            7 3 5         8 4 4  4
+--R           (17640a b c d  - 17640b c d )x  + (29400a b c d  - 29400b c d )x
+--R         + 
+--R                    7 4 4         8 5 3  3            7 5 3         8 6 2  2
+--R           (29400a b c d  - 29400b c d )x  + (17640a b c d  - 17640b c d )x
+--R         + 
+--R                   7 6 2        8 7            7 7        8 8
+--R           (5880a b c d  - 5880b c d)x + 840a b c d - 840b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R           8 8 8       8   7 7           2 6 8          7   7       8 2 6  6
+--R       105b d x  + 735b c d x  + (- 2940a b d  + 5880a b c d  - 735b c d )x
+--R     + 
+--R               3 5 8        2 6   7           7 2 6         8 3 5  5
+--R       (- 2940a b d  - 8820a b c d  + 26460a b c d  - 11025b c d )x
+--R     + 
+--R                  4 4 8        3 5   7         2 6 2 6           7 3 5
+--R           - 2450a b d  - 4900a b c d  - 14700a b c d  + 53900a b c d
+--R         + 
+--R                   8 4 4
+--R           - 28175b c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                  5 3 8        4 4   7        3 5 2 6         2 6 3 5
+--R           - 1470a b d  - 2450a b c d  - 4900a b c d  - 14700a b c d
+--R         + 
+--R                   7 4 4         8 5 3
+--R           61250a b c d  - 35525b c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                 6 2 8       5 3   7        4 4 2 6        3 5 3 5
+--R           - 588a b d  - 882a b c d  - 1470a b c d  - 2940a b c d
+--R         + 
+--R                  2 6 4 4           7 5 3         8 6 2
+--R           - 8820a b c d  + 40278a b c d  - 24843b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                 7   8       6 2   7       5 3 2 6       4 4 3 5       3 5 4 4
+--R           - 140a b d  - 196a b c d  - 294a b c d  - 490a b c d  - 980a b c d
+--R         + 
+--R                  2 6 5 3           7 6 2        8 7
+--R           - 2940a b c d  + 14406a b c d  - 9261b c d
+--R      *
+--R         x
+--R     + 
+--R            8 8      7     7      6 2 2 6      5 3 3 5      4 4 4 4
+--R       - 15a d  - 20a b c d  - 28a b c d  - 42a b c d  - 70a b c d
+--R     + 
+--R             3 5 5 3       2 6 6 2          7 7         8 8
+--R       - 140a b c d  - 420a b c d  + 2178a b c d - 1443b c
+--R  /
+--R           16 7         15 6        2 14 5        3 13 4        4 12 3
+--R       105d  x  + 735c d  x  + 2205c d  x  + 3675c d  x  + 3675c d  x
+--R     + 
+--R            5 11 2       6 10        7 9
+--R       2205c d  x  + 735c d  x + 105c d
+--R                                                    Type: Expression(Integer)
+--E 1067
+
+--S 1068 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                  7 8       8   7  7           7   7        8 2 6  6
+--R           (840a b d  - 840b c d )x  + (5880a b c d  - 5880b c d )x
+--R         + 
+--R                    7 2 6         8 3 5  5            7 3 5         8 4 4  4
+--R           (17640a b c d  - 17640b c d )x  + (29400a b c d  - 29400b c d )x
+--R         + 
+--R                    7 4 4         8 5 3  3            7 5 3         8 6 2  2
+--R           (29400a b c d  - 29400b c d )x  + (17640a b c d  - 17640b c d )x
+--R         + 
+--R                   7 6 2        8 7            7 7        8 8
+--R           (5880a b c d  - 5880b c d)x + 840a b c d - 840b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R           8 8 8       8   7 7           2 6 8          7   7       8 2 6  6
+--R       105b d x  + 735b c d x  + (- 2940a b d  + 5880a b c d  - 735b c d )x
+--R     + 
+--R               3 5 8        2 6   7           7 2 6         8 3 5  5
+--R       (- 2940a b d  - 8820a b c d  + 26460a b c d  - 11025b c d )x
+--R     + 
+--R                  4 4 8        3 5   7         2 6 2 6           7 3 5
+--R           - 2450a b d  - 4900a b c d  - 14700a b c d  + 53900a b c d
+--R         + 
+--R                   8 4 4
+--R           - 28175b c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                  5 3 8        4 4   7        3 5 2 6         2 6 3 5
+--R           - 1470a b d  - 2450a b c d  - 4900a b c d  - 14700a b c d
+--R         + 
+--R                   7 4 4         8 5 3
+--R           61250a b c d  - 35525b c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                 6 2 8       5 3   7        4 4 2 6        3 5 3 5
+--R           - 588a b d  - 882a b c d  - 1470a b c d  - 2940a b c d
+--R         + 
+--R                  2 6 4 4           7 5 3         8 6 2
+--R           - 8820a b c d  + 40278a b c d  - 24843b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                 7   8       6 2   7       5 3 2 6       4 4 3 5       3 5 4 4
+--R           - 140a b d  - 196a b c d  - 294a b c d  - 490a b c d  - 980a b c d
+--R         + 
+--R                  2 6 5 3           7 6 2        8 7
+--R           - 2940a b c d  + 14406a b c d  - 9261b c d
+--R      *
+--R         x
+--R     + 
+--R            8 8      7     7      6 2 2 6      5 3 3 5      4 4 4 4
+--R       - 15a d  - 20a b c d  - 28a b c d  - 42a b c d  - 70a b c d
+--R     + 
+--R             3 5 5 3       2 6 6 2          7 7         8 8
+--R       - 140a b c d  - 420a b c d  + 2178a b c d - 1443b c
+--R  /
+--R           16 7         15 6        2 14 5        3 13 4        4 12 3
+--R       105d  x  + 735c d  x  + 2205c d  x  + 3675c d  x  + 3675c d  x
+--R     + 
+--R            5 11 2       6 10        7 9
+--R       2205c d  x  + 735c d  x + 105c d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1068
+
+--S 1069 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1069
+
+--S 1070 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1070
+
+)clear all
+
+--S 1071 of 2952
+t0000:=(a+b*x)^7/(c+d*x)^8
+--R 
+--R
+--R   (1)
+--R      7 7       6 6      2 5 5      3 4 4      4 3 3      5 2 2     6       7
+--R     b x  + 7a b x  + 21a b x  + 35a b x  + 35a b x  + 21a b x  + 7a b x + a
+--R  /
+--R        8 8       7 7      2 6 6      3 5 5      4 4 4      5 3 3      6 2 2
+--R       d x  + 8c d x  + 28c d x  + 56c d x  + 70c d x  + 56c d x  + 28c d x
+--R     + 
+--R         7       8
+--R       8c d x + c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1071
+
+--S 1072 of 2952
+r0000:=1/7*(b*c-a*d)^7/(d^8*(c+d*x)^7)-7/6*b*(b*c-a*d)^6/(d^8*(c+d*x)^6)+_
+     21/5*b^2*(b*c-a*d)^5/(d^8*(c+d*x)^5)-_
+     35/4*b^3*(b*c-a*d)^4/(d^8*(c+d*x)^4)+_
+     35/3*b^4*(b*c-a*d)^3/(d^8*(c+d*x)^3)-_
+     21/2*b^5*(b*c-a*d)^2/(d^8*(c+d*x)^2)+_
+     7*b^6*(b*c-a*d)/(d^8*(c+d*x))+b^7*log(c+d*x)/d^8
+--R 
+--R
+--R   (2)
+--R               7 7 7        7   6 6        7 2 5 5         7 3 4 4
+--R           420b d x  + 2940b c d x  + 8820b c d x  + 14700b c d x
+--R         + 
+--R                 7 4 3 3        7 5 2 2        7 6          7 7
+--R           14700b c d x  + 8820b c d x  + 2940b c d x + 420b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                 6 7        7   6  6
+--R       (- 2940a b d  + 2940b c d )x
+--R     + 
+--R               2 5 7          6   6         7 2 5  5
+--R       (- 4410a b d  - 8820a b c d  + 13230b c d )x
+--R     + 
+--R               3 4 7        2 5   6           6 2 5         7 3 4  4
+--R       (- 4900a b d  - 7350a b c d  - 14700a b c d  + 26950b c d )x
+--R     + 
+--R                  4 3 7        3 4   6        2 5 2 5           6 3 4
+--R           - 3675a b d  - 4900a b c d  - 7350a b c d  - 14700a b c d
+--R         + 
+--R                 7 4 3
+--R           30625b c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                  5 2 7        4 3   6        3 4 2 5        2 5 3 4
+--R           - 1764a b d  - 2205a b c d  - 2940a b c d  - 4410a b c d
+--R         + 
+--R                    6 4 3         7 5 2
+--R           - 8820a b c d  + 20139b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                 6   7       5 2   6       4 3 2 5       3 4 3 4        2 5 4 3
+--R           - 490a b d  - 588a b c d  - 735a b c d  - 980a b c d  - 1470a b c d
+--R         + 
+--R                    6 5 2        7 6
+--R           - 2940a b c d  + 7203b c d
+--R      *
+--R         x
+--R     + 
+--R            7 7      6     6      5 2 2 5       4 3 3 4       3 4 4 3
+--R       - 60a d  - 70a b c d  - 84a b c d  - 105a b c d  - 140a b c d
+--R     + 
+--R             2 5 5 2         6 6         7 7
+--R       - 210a b c d  - 420a b c d + 1089b c
+--R  /
+--R           15 7          14 6        2 13 5         3 12 4         4 11 3
+--R       420d  x  + 2940c d  x  + 8820c d  x  + 14700c d  x  + 14700c d  x
+--R     + 
+--R            5 10 2        6 9        7 8
+--R       8820c d  x  + 2940c d x + 420c d
+--R                                                    Type: Expression(Integer)
+--E 1072
+
+--S 1073 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R               7 7 7        7   6 6        7 2 5 5         7 3 4 4
+--R           420b d x  + 2940b c d x  + 8820b c d x  + 14700b c d x
+--R         + 
+--R                 7 4 3 3        7 5 2 2        7 6          7 7
+--R           14700b c d x  + 8820b c d x  + 2940b c d x + 420b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                 6 7        7   6  6
+--R       (- 2940a b d  + 2940b c d )x
+--R     + 
+--R               2 5 7          6   6         7 2 5  5
+--R       (- 4410a b d  - 8820a b c d  + 13230b c d )x
+--R     + 
+--R               3 4 7        2 5   6           6 2 5         7 3 4  4
+--R       (- 4900a b d  - 7350a b c d  - 14700a b c d  + 26950b c d )x
+--R     + 
+--R                  4 3 7        3 4   6        2 5 2 5           6 3 4
+--R           - 3675a b d  - 4900a b c d  - 7350a b c d  - 14700a b c d
+--R         + 
+--R                 7 4 3
+--R           30625b c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                  5 2 7        4 3   6        3 4 2 5        2 5 3 4
+--R           - 1764a b d  - 2205a b c d  - 2940a b c d  - 4410a b c d
+--R         + 
+--R                    6 4 3         7 5 2
+--R           - 8820a b c d  + 20139b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                 6   7       5 2   6       4 3 2 5       3 4 3 4        2 5 4 3
+--R           - 490a b d  - 588a b c d  - 735a b c d  - 980a b c d  - 1470a b c d
+--R         + 
+--R                    6 5 2        7 6
+--R           - 2940a b c d  + 7203b c d
+--R      *
+--R         x
+--R     + 
+--R            7 7      6     6      5 2 2 5       4 3 3 4       3 4 4 3
+--R       - 60a d  - 70a b c d  - 84a b c d  - 105a b c d  - 140a b c d
+--R     + 
+--R             2 5 5 2         6 6         7 7
+--R       - 210a b c d  - 420a b c d + 1089b c
+--R  /
+--R           15 7          14 6        2 13 5         3 12 4         4 11 3
+--R       420d  x  + 2940c d  x  + 8820c d  x  + 14700c d  x  + 14700c d  x
+--R     + 
+--R            5 10 2        6 9        7 8
+--R       8820c d  x  + 2940c d x + 420c d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1073
+
+--S 1074 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1074
+
+--S 1075 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1075
+
+)clear all
+
+--S 1076 of 2952
+t0000:=(a+b*x)^6/(c+d*x)^8
+--R 
+--R
+--R   (1)
+--R      6 6       5 5      2 4 4      3 3 3      4 2 2     5       6
+--R     b x  + 6a b x  + 15a b x  + 20a b x  + 15a b x  + 6a b x + a
+--R  /
+--R        8 8       7 7      2 6 6      3 5 5      4 4 4      5 3 3      6 2 2
+--R       d x  + 8c d x  + 28c d x  + 56c d x  + 70c d x  + 56c d x  + 28c d x
+--R     + 
+--R         7       8
+--R       8c d x + c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1076
+
+--S 1077 of 2952
+r0000:=1/7*(a+b*x)^7/((b*c-a*d)*(c+d*x)^7)
+--R 
+--R
+--R   (2)
+--R       1  7 7      6 6     2 5 5     3 4 4     4 3 3     5 2 2    6      1  7
+--R     - - b x  - a b x  - 3a b x  - 5a b x  - 5a b x  - 3a b x  - a b x - - a
+--R       7                                                                 7
+--R  /
+--R           8        7  7          7       2 6  6         2 6        3 5  5
+--R       (a d  - b c d )x  + (7a c d  - 7b c d )x  + (21a c d  - 21b c d )x
+--R     + 
+--R             3 5        4 4  4         4 4        5 3  3
+--R       (35a c d  - 35b c d )x  + (35a c d  - 35b c d )x
+--R     + 
+--R             5 3        6 2  2        6 2       7         7       8
+--R       (21a c d  - 21b c d )x  + (7a c d  - 7b c d)x + a c d - b c
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 1077
+
+--S 1078 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R           6 6 6           5 6      6   5  5
+--R       - 7b d x  + (- 21a b d  - 21b c d )x
+--R     + 
+--R             2 4 6        5   5      6 2 4  4
+--R       (- 35a b d  - 35a b c d  - 35b c d )x
+--R     + 
+--R             3 3 6      2 4   5        5 2 4      6 3 3  3
+--R       (- 35a b d  - 35a b c d  - 35a b c d  - 35b c d )x
+--R     + 
+--R             4 2 6      3 3   5      2 4 2 4        5 3 3      6 4 2  2
+--R       (- 21a b d  - 21a b c d  - 21a b c d  - 21a b c d  - 21b c d )x
+--R     + 
+--R            5   6     4 2   5     3 3 2 4     2 4 3 3       5 4 2     6 5
+--R       (- 7a b d  - 7a b c d  - 7a b c d  - 7a b c d  - 7a b c d  - 7b c d)x
+--R     + 
+--R          6 6    5     5    4 2 2 4    3 3 3 3    2 4 4 2      5 5     6 6
+--R       - a d  - a b c d  - a b c d  - a b c d  - a b c d  - a b c d - b c
+--R  /
+--R         14 7        13 6       2 12 5       3 11 4       4 10 3       5 9 2
+--R       7d  x  + 49c d  x  + 147c d  x  + 245c d  x  + 245c d  x  + 147c d x
+--R     + 
+--R          6 8      7 7
+--R       49c d x + 7c d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1078
+
+--S 1079 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R                7
+--R               b
+--R   (4)  ---------------
+--R            8         7
+--R        7a d  - 7b c d
+--R                                                    Type: Expression(Integer)
+--E 1079
+
+--S 1080 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1080
+
+)clear all
+
+--S 1081 of 2952
+t0000:=(a+b*x)^5/(c+d*x)^8
+--R 
+--R
+--R   (1)
+--R      5 5       4 4      2 3 3      3 2 2     4       5
+--R     b x  + 5a b x  + 10a b x  + 10a b x  + 5a b x + a
+--R  /
+--R        8 8       7 7      2 6 6      3 5 5      4 4 4      5 3 3      6 2 2
+--R       d x  + 8c d x  + 28c d x  + 56c d x  + 70c d x  + 56c d x  + 28c d x
+--R     + 
+--R         7       8
+--R       8c d x + c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1081
+
+--S 1082 of 2952
+r0000:=1/7*(a+b*x)^6/((b*c-a*d)*(c+d*x)^7)+_
+     1/42*b*(a+b*x)^6/((b*c-a*d)^2*(c+d*x)^6)
+--R 
+--R
+--R   (2)
+--R        1  7   7   1  7   6      1  2 5       6   5      5  3 4    5  2 5   4
+--R       -- b d x  + - b c x  + (- - a b d + a b c)x  + (- - a b d + - a b c)x
+--R       42          6             2                       3         2
+--R     + 
+--R          5  4 3    10  3 4   3        5 2    5  4 3   2      5  6       5 2
+--R       (- - a b d + -- a b c)x  + (- 2a b d + - a b c)x  + (- - a b d + a b c)x
+--R          2          3                        2               6
+--R     + 
+--R         1  7    1  6
+--R       - - a d + - a b c
+--R         7       6
+--R  /
+--R         2 9           8    2 2 7  7      2   8          2 7     2 3 6  6
+--R       (a d  - 2a b c d  + b c d )x  + (7a c d  - 14a b c d  + 7b c d )x
+--R     + 
+--R           2 2 7          3 6      2 4 5  5
+--R       (21a c d  - 42a b c d  + 21b c d )x
+--R     + 
+--R           2 3 6          4 5      2 5 4  4
+--R       (35a c d  - 70a b c d  + 35b c d )x
+--R     + 
+--R           2 4 5          5 4      2 6 3  3
+--R       (35a c d  - 70a b c d  + 35b c d )x
+--R     + 
+--R           2 5 4          6 3      2 7 2  2      2 6 3          7 2     2 8
+--R       (21a c d  - 42a b c d  + 21b c d )x  + (7a c d  - 14a b c d  + 7b c d)x
+--R     + 
+--R        2 7 2         8     2 9
+--R       a c d  - 2a b c d + b c
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 1082
+
+--S 1083 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R            5 5 5           4 5      5   4  4
+--R       - 21b d x  + (- 70a b d  - 35b c d )x
+--R     + 
+--R              2 3 5        4   4      5 2 3  3
+--R       (- 105a b d  - 70a b c d  - 35b c d )x
+--R     + 
+--R             3 2 5      2 3   4        4 2 3      5 3 2  2
+--R       (- 84a b d  - 63a b c d  - 42a b c d  - 21b c d )x
+--R     + 
+--R             4   5      3 2   4      2 3 2 3        4 3 2     5 4        5 5
+--R       (- 35a b d  - 28a b c d  - 21a b c d  - 14a b c d  - 7b c d)x - 6a d
+--R     + 
+--R           4     4     3 2 2 3     2 3 3 2       4 4     5 5
+--R       - 5a b c d  - 4a b c d  - 3a b c d  - 2a b c d - b c
+--R  /
+--R          13 7         12 6       2 11 5        3 10 4        4 9 3       5 8 2
+--R       42d  x  + 294c d  x  + 882c d  x  + 1470c d  x  + 1470c d x  + 882c d x
+--R     + 
+--R           6 7       7 6
+--R       294c d x + 42c d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1083
+
+--S 1084 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R                         7
+--R                        b
+--R   (4)  - ------------------------------
+--R             2 8            7      2 2 6
+--R          42a d  - 84a b c d  + 42b c d
+--R                                                    Type: Expression(Integer)
+--E 1084
+
+--S 1085 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1085
+
+)clear all
+
+--S 1086 of 2952
+t0000:=(a+b*x)^4/(c+d*x)^8
+--R 
+--R
+--R   (1)
+--R      4 4       3 3     2 2 2     3       4
+--R     b x  + 4a b x  + 6a b x  + 4a b x + a
+--R  /
+--R        8 8       7 7      2 6 6      3 5 5      4 4 4      5 3 3      6 2 2
+--R       d x  + 8c d x  + 28c d x  + 56c d x  + 70c d x  + 56c d x  + 28c d x
+--R     + 
+--R         7       8
+--R       8c d x + c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1086
+
+--S 1087 of 2952
+r0000:=1/7*(a+b*x)^5/((b*c-a*d)*(c+d*x)^7)+_
+     1/21*b*(a+b*x)^5/((b*c-a*d)^2*(c+d*x)^6)+_
+     1/105*b^2*(a+b*x)^5/((b*c-a*d)^3*(c+d*x)^5)
+--R 
+--R
+--R   (2)
+--R          1   7 2 7    1  7     6   1  7 2 5      1  3 4 2    2 5         6 2  4
+--R       - --- b d x  - -- b c d x  - - b c x  + (- - a b d  + a b c d - a b c )x
+--R         105          15            5             3
+--R     + 
+--R           4 3 2   8  3 4        2 5 2  3      6  5 2 2     4 3        3 4 2  2
+--R       (- a b d  + - a b c d - 2a b c )x  + (- - a b d  + 3a b c d - 2a b c )x
+--R                   3                           5
+--R     + 
+--R          2  6   2   8  5 2       4 3 2     1  7 2   1  6        1  5 2 2
+--R       (- - a b d  + - a b c d - a b c )x - - a d  + - a b c d - - a b c
+--R          3          5                      7        3           5
+--R  /
+--R         3 10     2     9       2 2 8    3 3 7  7
+--R       (a d   - 3a b c d  + 3a b c d  - b c d )x
+--R     + 
+--R          3   9      2   2 8        2 3 7     3 4 6  6
+--R       (7a c d  - 21a b c d  + 21a b c d  - 7b c d )x
+--R     + 
+--R           3 2 8      2   3 7        2 4 6      3 5 5  5
+--R       (21a c d  - 63a b c d  + 63a b c d  - 21b c d )x
+--R     + 
+--R           3 3 7       2   4 6         2 5 5      3 6 4  4
+--R       (35a c d  - 105a b c d  + 105a b c d  - 35b c d )x
+--R     + 
+--R           3 4 6       2   5 5         2 6 4      3 7 3  3
+--R       (35a c d  - 105a b c d  + 105a b c d  - 35b c d )x
+--R     + 
+--R           3 5 5      2   6 4        2 7 3      3 8 2  2
+--R       (21a c d  - 63a b c d  + 63a b c d  - 21b c d )x
+--R     + 
+--R          3 6 4      2   7 3        2 8 2     3 9       3 7 3     2   8 2
+--R       (7a c d  - 21a b c d  + 21a b c d  - 7b c d)x + a c d  - 3a b c d
+--R     + 
+--R           2 9     3 10
+--R       3a b c d - b c
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 1087
+
+--S 1088 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R            4 4 4            3 4      4   3  3
+--R       - 35b d x  + (- 105a b d  - 35b c d )x
+--R     + 
+--R              2 2 4        3   3      4 2 2  2
+--R       (- 126a b d  - 63a b c d  - 21b c d )x
+--R     + 
+--R             3   4      2 2   3        3 2 2     4 3         4 4      3     3
+--R       (- 70a b d  - 42a b c d  - 21a b c d  - 7b c d)x - 15a d  - 10a b c d
+--R     + 
+--R           2 2 2 2       3 3     4 4
+--R       - 6a b c d  - 3a b c d - b c
+--R  /
+--R           12 7         11 6        2 10 5        3 9 4        4 8 3
+--R       105d  x  + 735c d  x  + 2205c d  x  + 3675c d x  + 3675c d x
+--R     + 
+--R            5 7 2       6 6        7 5
+--R       2205c d x  + 735c d x + 105c d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1088
+
+--S 1089 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R                                7
+--R                               b
+--R   (4)  -----------------------------------------------
+--R            3 8       2     7         2 2 6       3 3 5
+--R        105a d  - 315a b c d  + 315a b c d  - 105b c d
+--R                                                    Type: Expression(Integer)
+--E 1089
+
+--S 1090 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1090
+
+)clear all
+
+--S 1091 of 2952
+t0000:=(a+b*x)^3/(c+d*x)^8
+--R 
+--R
+--R   (1)
+--R      3 3       2 2     2       3
+--R     b x  + 3a b x  + 3a b x + a
+--R  /
+--R        8 8       7 7      2 6 6      3 5 5      4 4 4      5 3 3      6 2 2
+--R       d x  + 8c d x  + 28c d x  + 56c d x  + 70c d x  + 56c d x  + 28c d x
+--R     + 
+--R         7       8
+--R       8c d x + c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1091
+
+--S 1092 of 2952
+r0000:=1/7*(b*c-a*d)^3/(d^4*(c+d*x)^7)-1/2*b*(b*c-a*d)^2/(d^4*(c+d*x)^6)+_
+     3/5*b^2*(b*c-a*d)/(d^4*(c+d*x)^5)-1/4*b^3/(d^4*(c+d*x)^4)
+--R 
+--R
+--R   (2)
+--R         1  3 3 3      3    2 3    3  3   2  2
+--R       - - b d x  + (- - a b d  - -- b c d )x
+--R         4             5          20
+--R     + 
+--R          1  2   3   1    2   2    1  3 2      1  3 3    1  2     2    1    2 2
+--R       (- - a b d  - - a b c d  - -- b c d)x - - a d  - -- a b c d  - -- a b c d
+--R          2          5            20           7        14            35
+--R     + 
+--R          1   3 3
+--R       - --- b c
+--R         140
+--R  /
+--R        11 7       10 6      2 9 5      3 8 4      4 7 3      5 6 2     6 5
+--R       d  x  + 7c d  x  + 21c d x  + 35c d x  + 35c d x  + 21c d x  + 7c d x
+--R     + 
+--R        7 4
+--R       c d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 1092
+
+--S 1093 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R            3 3 3           2 3      3   2  2
+--R       - 35b d x  + (- 84a b d  - 21b c d )x
+--R     + 
+--R           2   3        2   2     3 2         3 3      2     2       2 2     3 3
+--R     (- 70a b d  - 28a b c d  - 7b c d)x - 20a d  - 10a b c d  - 4a b c d - b c
+--R  /
+--R           11 7         10 6        2 9 5        3 8 4        4 7 3        5 6 2
+--R       140d  x  + 980c d  x  + 2940c d x  + 4900c d x  + 4900c d x  + 2940c d x
+--R     + 
+--R           6 5        7 4
+--R       980c d x + 140c d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1093
+
+--S 1094 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1094
+
+--S 1095 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1095
+
+)clear all
+
+--S 1096 of 2952
+t0000:=(a+b*x)^2/(c+d*x)^8
+--R 
+--R
+--R   (1)
+--R      2 2             2
+--R     b x  + 2a b x + a
+--R  /
+--R        8 8       7 7      2 6 6      3 5 5      4 4 4      5 3 3      6 2 2
+--R       d x  + 8c d x  + 28c d x  + 56c d x  + 70c d x  + 56c d x  + 28c d x
+--R     + 
+--R         7       8
+--R       8c d x + c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1096
+
+--S 1097 of 2952
+r0000:=-1/7*(b*c-a*d)^2/(d^3*(c+d*x)^7)+1/3*b*(b*c-a*d)/(d^3*(c+d*x)^6)-_
+     1/5*b^2/(d^3*(c+d*x)^5)
+--R 
+--R
+--R   (2)
+--R        1  2 2 2      1      2    1  2        1  2 2    1            1   2 2
+--R      - - b d x  + (- - a b d  - -- b c d)x - - a d  - -- a b c d - --- b c
+--R        5             3          15           7        21           105
+--R   ---------------------------------------------------------------------------
+--R    10 7       9 6      2 8 5      3 7 4      4 6 3      5 5 2     6 4     7 3
+--R   d  x  + 7c d x  + 21c d x  + 35c d x  + 35c d x  + 21c d x  + 7c d x + c d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 1097
+
+--S 1098 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R          2 2 2             2     2           2 2               2 2
+--R     - 21b d x  + (- 35a b d  - 7b c d)x - 15a d  - 5a b c d - b c
+--R  /
+--R           10 7         9 6        2 8 5        3 7 4        4 6 3        5 5 2
+--R       105d  x  + 735c d x  + 2205c d x  + 3675c d x  + 3675c d x  + 2205c d x
+--R     + 
+--R           6 4        7 3
+--R       735c d x + 105c d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1098
+
+--S 1099 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1099
+
+--S 1100 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1100
+
+)clear all
+
+--S 1101 of 2952
+t0000:=(a+b*x)/(c+d*x)^8
+--R 
+--R
+--R   (1)
+--R     b x + a
+--R  /
+--R        8 8       7 7      2 6 6      3 5 5      4 4 4      5 3 3      6 2 2
+--R       d x  + 8c d x  + 28c d x  + 56c d x  + 70c d x  + 56c d x  + 28c d x
+--R     + 
+--R         7       8
+--R       8c d x + c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1101
+
+--S 1102 of 2952
+r0000:=1/7*(b*c-a*d)/(d^2*(c+d*x)^7)-1/6*b/(d^2*(c+d*x)^6)
+--R 
+--R
+--R   (2)
+--R                             1         1        1
+--R                           - - b d x - - a d - -- b c
+--R                             6         7       42
+--R   --------------------------------------------------------------------------
+--R    9 7       8 6      2 7 5      3 6 4      4 5 3      5 4 2     6 3     7 2
+--R   d x  + 7c d x  + 21c d x  + 35c d x  + 35c d x  + 21c d x  + 7c d x + c d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 1102
+
+--S 1103 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R     - 7b d x - 6a d - b c
+--R  /
+--R          9 7         8 6       2 7 5        3 6 4        4 5 3       5 4 2
+--R       42d x  + 294c d x  + 882c d x  + 1470c d x  + 1470c d x  + 882c d x
+--R     + 
+--R           6 3       7 2
+--R       294c d x + 42c d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1103
+
+--S 1104 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1104
+
+--S 1105 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1105
+
+)clear all
+
+--S 1106 of 2952
+t0000:=1/(c+d*x)^8
+--R 
+--R
+--R   (1)
+--R     1
+--R  /
+--R        8 8       7 7      2 6 6      3 5 5      4 4 4      5 3 3      6 2 2
+--R       d x  + 8c d x  + 28c d x  + 56c d x  + 70c d x  + 56c d x  + 28c d x
+--R     + 
+--R         7       8
+--R       8c d x + c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1106
+
+--S 1107 of 2952
+r0000:=(-1/7)/(d*(c+d*x)^7)
+--R 
+--R
+--R   (2)
+--R                                         1
+--R                                         -
+--R                                         7
+--R   - -------------------------------------------------------------------------
+--R      8 7       7 6      2 6 5      3 5 4      4 4 3      5 3 2     6 2     7
+--R     d x  + 7c d x  + 21c d x  + 35c d x  + 35c d x  + 21c d x  + 7c d x + c d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 1107
+
+--S 1108 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   -
+--R        1
+--R     /
+--R            8 7        7 6       2 6 5       3 5 4       4 4 3       5 3 2
+--R          7d x  + 49c d x  + 147c d x  + 245c d x  + 245c d x  + 147c d x
+--R        + 
+--R             6 2      7
+--R          49c d x + 7c d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1108
+
+--S 1109 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1109
+
+--S 1110 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1110
+
+)clear all
+
+--S 1111 of 2952
+t0000:=1/((a+b*x)*(c+d*x)^8)
+--R 
+--R
+--R   (1)
+--R     1
+--R  /
+--R          8 9       8         7  8          7        2 6  7
+--R       b d x  + (a d  + 8b c d )x  + (8a c d  + 28b c d )x
+--R     + 
+--R             2 6        3 5  6         3 5        4 4  5
+--R       (28a c d  + 56b c d )x  + (56a c d  + 70b c d )x
+--R     + 
+--R             4 4        5 3  4         5 3        6 2  3         6 2       7   2
+--R       (70a c d  + 56b c d )x  + (56a c d  + 28b c d )x  + (28a c d  + 8b c d)x
+--R     + 
+--R            7       8        8
+--R       (8a c d + b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1111
+
+--S 1112 of 2952
+r0000:=1/7/((b*c-a*d)*(c+d*x)^7)+1/6*b/((b*c-a*d)^2*(c+d*x)^6)+_
+     1/5*b^2/((b*c-a*d)^3*(c+d*x)^5)+1/4*b^3/((b*c-a*d)^4*(c+d*x)^4)+_
+     1/3*b^4/((b*c-a*d)^5*(c+d*x)^3)+1/2*b^5/((b*c-a*d)^6*(c+d*x)^2)+_
+     b^6/((b*c-a*d)^7*(c+d*x))+b^7*log(a+b*x)/(b*c-a*d)^8-_
+     b^7*log(c+d*x)/(b*c-a*d)^8
+--R 
+--R
+--R   (2)
+--R                 7 7 7        7   6 6        7 2 5 5         7 3 4 4
+--R           - 420b d x  - 2940b c d x  - 8820b c d x  - 14700b c d x
+--R         + 
+--R                   7 4 3 3        7 5 2 2        7 6          7 7
+--R           - 14700b c d x  - 8820b c d x  - 2940b c d x - 420b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R               7 7 7        7   6 6        7 2 5 5         7 3 4 4
+--R           420b d x  + 2940b c d x  + 8820b c d x  + 14700b c d x
+--R         + 
+--R                 7 4 3 3        7 5 2 2        7 6          7 7
+--R           14700b c d x  + 8820b c d x  + 2940b c d x + 420b c
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                6 7       7   6  6        2 5 7          6   6        7 2 5  5
+--R       (- 420a b d  + 420b c d )x  + (210a b d  - 2940a b c d  + 2730b c d )x
+--R     + 
+--R              3 4 7        2 5   6          6 2 5        7 3 4  4
+--R       (- 140a b d  + 1470a b c d  - 8820a b c d  + 7490b c d )x
+--R     + 
+--R            4 3 7       3 4   6        2 5 2 5           6 3 4         7 4 3  3
+--R       (105a b d  - 980a b c d  + 4410a b c d  - 14700a b c d  + 11165b c d )x
+--R     + 
+--R                5 2 7       4 3   6        3 4 2 5        2 5 3 4
+--R           - 84a b d  + 735a b c d  - 2940a b c d  + 7350a b c d
+--R         + 
+--R                     6 4 3        7 5 2
+--R           - 14700a b c d  + 9639b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R              6   7       5 2   6        4 3 2 5        3 4 3 4        2 5 4 3
+--R           70a b d  - 588a b c d  + 2205a b c d  - 4900a b c d  + 7350a b c d
+--R         + 
+--R                    6 5 2        7 6
+--R           - 8820a b c d  + 4683b c d
+--R      *
+--R         x
+--R     + 
+--R            7 7       6     6        5 2 2 5        4 3 3 4        3 4 4 3
+--R       - 60a d  + 490a b c d  - 1764a b c d  + 3675a b c d  - 4900a b c d
+--R     + 
+--R            2 5 5 2          6 6         7 7
+--R       4410a b c d  - 2940a b c d + 1089b c
+--R  /
+--R               8 15        7     14         6 2 2 13         5 3 3 12
+--R           420a d   - 3360a b c d   + 11760a b c d   - 23520a b c d
+--R         + 
+--R                 4 4 4 11         3 5 5 10         2 6 6 9          7 7 8
+--R           29400a b c d   - 23520a b c d   + 11760a b c d  - 3360a b c d
+--R         + 
+--R               8 8 7
+--R           420b c d
+--R      *
+--R          7
+--R         x
+--R     + 
+--R                8   14         7   2 13         6 2 3 12          5 3 4 11
+--R           2940a c d   - 23520a b c d   + 82320a b c d   - 164640a b c d
+--R         + 
+--R                  4 4 5 10          3 5 6 9         2 6 7 8           7 8 7
+--R           205800a b c d   - 164640a b c d  + 82320a b c d  - 23520a b c d
+--R         + 
+--R                8 9 6
+--R           2940b c d
+--R      *
+--R          6
+--R         x
+--R     + 
+--R                8 2 13         7   3 12          6 2 4 11          5 3 5 10
+--R           8820a c d   - 70560a b c d   + 246960a b c d   - 493920a b c d
+--R         + 
+--R                  4 4 6 9          3 5 7 8          2 6 8 7           7 9 6
+--R           617400a b c d  - 493920a b c d  + 246960a b c d  - 70560a b c d
+--R         + 
+--R                8 10 5
+--R           8820b c  d
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                 8 3 12          7   4 11          6 2 5 10          5 3 6 9
+--R           14700a c d   - 117600a b c d   + 411600a b c d   - 823200a b c d
+--R         + 
+--R                   4 4 7 8          3 5 8 7          2 6 9 6            7 10 5
+--R           1029000a b c d  - 823200a b c d  + 411600a b c d  - 117600a b c  d
+--R         + 
+--R                 8 11 4
+--R           14700b c  d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                 8 4 11          7   5 10          6 2 6 9          5 3 7 8
+--R           14700a c d   - 117600a b c d   + 411600a b c d  - 823200a b c d
+--R         + 
+--R                   4 4 8 7          3 5 9 6          2 6 10 5            7 11 4
+--R           1029000a b c d  - 823200a b c d  + 411600a b c  d  - 117600a b c  d
+--R         + 
+--R                 8 12 3
+--R           14700b c  d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                8 5 10         7   6 9          6 2 7 8          5 3 8 7
+--R           8820a c d   - 70560a b c d  + 246960a b c d  - 493920a b c d
+--R         + 
+--R                  4 4 9 6          3 5 10 5          2 6 11 4           7 12 3
+--R           617400a b c d  - 493920a b c  d  + 246960a b c  d  - 70560a b c  d
+--R         + 
+--R                8 13 2
+--R           8820b c  d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                8 6 9         7   7 8         6 2 8 7          5 3 9 6
+--R           2940a c d  - 23520a b c d  + 82320a b c d  - 164640a b c d
+--R         + 
+--R                  4 4 10 5          3 5 11 4         2 6 12 3           7 13 2
+--R           205800a b c  d  - 164640a b c  d  + 82320a b c  d  - 23520a b c  d
+--R         + 
+--R                8 14
+--R           2940b c  d
+--R      *
+--R         x
+--R     + 
+--R           8 7 8        7   8 7         6 2 9 6         5 3 10 5
+--R       420a c d  - 3360a b c d  + 11760a b c d  - 23520a b c  d
+--R     + 
+--R           4 4 11 4         3 5 12 3         2 6 13 2          7 14        8 15
+--R     29400a b c  d  - 23520a b c  d  + 11760a b c  d  - 3360a b c  d + 420b c
+--R                                                    Type: Expression(Integer)
+--E 1112
+
+--S 1113 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                 7 7 7        7   6 6        7 2 5 5         7 3 4 4
+--R           - 420b d x  - 2940b c d x  - 8820b c d x  - 14700b c d x
+--R         + 
+--R                   7 4 3 3        7 5 2 2        7 6          7 7
+--R           - 14700b c d x  - 8820b c d x  - 2940b c d x - 420b c
+--R      *
+--R         log(d x + c)
+--R     + 
+--R               7 7 7        7   6 6        7 2 5 5         7 3 4 4
+--R           420b d x  + 2940b c d x  + 8820b c d x  + 14700b c d x
+--R         + 
+--R                 7 4 3 3        7 5 2 2        7 6          7 7
+--R           14700b c d x  + 8820b c d x  + 2940b c d x + 420b c
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                6 7       7   6  6        2 5 7          6   6        7 2 5  5
+--R       (- 420a b d  + 420b c d )x  + (210a b d  - 2940a b c d  + 2730b c d )x
+--R     + 
+--R              3 4 7        2 5   6          6 2 5        7 3 4  4
+--R       (- 140a b d  + 1470a b c d  - 8820a b c d  + 7490b c d )x
+--R     + 
+--R            4 3 7       3 4   6        2 5 2 5           6 3 4         7 4 3  3
+--R       (105a b d  - 980a b c d  + 4410a b c d  - 14700a b c d  + 11165b c d )x
+--R     + 
+--R                5 2 7       4 3   6        3 4 2 5        2 5 3 4
+--R           - 84a b d  + 735a b c d  - 2940a b c d  + 7350a b c d
+--R         + 
+--R                     6 4 3        7 5 2
+--R           - 14700a b c d  + 9639b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R              6   7       5 2   6        4 3 2 5        3 4 3 4        2 5 4 3
+--R           70a b d  - 588a b c d  + 2205a b c d  - 4900a b c d  + 7350a b c d
+--R         + 
+--R                    6 5 2        7 6
+--R           - 8820a b c d  + 4683b c d
+--R      *
+--R         x
+--R     + 
+--R            7 7       6     6        5 2 2 5        4 3 3 4        3 4 4 3
+--R       - 60a d  + 490a b c d  - 1764a b c d  + 3675a b c d  - 4900a b c d
+--R     + 
+--R            2 5 5 2          6 6         7 7
+--R       4410a b c d  - 2940a b c d + 1089b c
+--R  /
+--R               8 15        7     14         6 2 2 13         5 3 3 12
+--R           420a d   - 3360a b c d   + 11760a b c d   - 23520a b c d
+--R         + 
+--R                 4 4 4 11         3 5 5 10         2 6 6 9          7 7 8
+--R           29400a b c d   - 23520a b c d   + 11760a b c d  - 3360a b c d
+--R         + 
+--R               8 8 7
+--R           420b c d
+--R      *
+--R          7
+--R         x
+--R     + 
+--R                8   14         7   2 13         6 2 3 12          5 3 4 11
+--R           2940a c d   - 23520a b c d   + 82320a b c d   - 164640a b c d
+--R         + 
+--R                  4 4 5 10          3 5 6 9         2 6 7 8           7 8 7
+--R           205800a b c d   - 164640a b c d  + 82320a b c d  - 23520a b c d
+--R         + 
+--R                8 9 6
+--R           2940b c d
+--R      *
+--R          6
+--R         x
+--R     + 
+--R                8 2 13         7   3 12          6 2 4 11          5 3 5 10
+--R           8820a c d   - 70560a b c d   + 246960a b c d   - 493920a b c d
+--R         + 
+--R                  4 4 6 9          3 5 7 8          2 6 8 7           7 9 6
+--R           617400a b c d  - 493920a b c d  + 246960a b c d  - 70560a b c d
+--R         + 
+--R                8 10 5
+--R           8820b c  d
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                 8 3 12          7   4 11          6 2 5 10          5 3 6 9
+--R           14700a c d   - 117600a b c d   + 411600a b c d   - 823200a b c d
+--R         + 
+--R                   4 4 7 8          3 5 8 7          2 6 9 6            7 10 5
+--R           1029000a b c d  - 823200a b c d  + 411600a b c d  - 117600a b c  d
+--R         + 
+--R                 8 11 4
+--R           14700b c  d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                 8 4 11          7   5 10          6 2 6 9          5 3 7 8
+--R           14700a c d   - 117600a b c d   + 411600a b c d  - 823200a b c d
+--R         + 
+--R                   4 4 8 7          3 5 9 6          2 6 10 5            7 11 4
+--R           1029000a b c d  - 823200a b c d  + 411600a b c  d  - 117600a b c  d
+--R         + 
+--R                 8 12 3
+--R           14700b c  d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                8 5 10         7   6 9          6 2 7 8          5 3 8 7
+--R           8820a c d   - 70560a b c d  + 246960a b c d  - 493920a b c d
+--R         + 
+--R                  4 4 9 6          3 5 10 5          2 6 11 4           7 12 3
+--R           617400a b c d  - 493920a b c  d  + 246960a b c  d  - 70560a b c  d
+--R         + 
+--R                8 13 2
+--R           8820b c  d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                8 6 9         7   7 8         6 2 8 7          5 3 9 6
+--R           2940a c d  - 23520a b c d  + 82320a b c d  - 164640a b c d
+--R         + 
+--R                  4 4 10 5          3 5 11 4         2 6 12 3           7 13 2
+--R           205800a b c  d  - 164640a b c  d  + 82320a b c  d  - 23520a b c  d
+--R         + 
+--R                8 14
+--R           2940b c  d
+--R      *
+--R         x
+--R     + 
+--R           8 7 8        7   8 7         6 2 9 6         5 3 10 5
+--R       420a c d  - 3360a b c d  + 11760a b c d  - 23520a b c  d
+--R     + 
+--R           4 4 11 4         3 5 12 3         2 6 13 2          7 14        8 15
+--R     29400a b c  d  - 23520a b c  d  + 11760a b c  d  - 3360a b c  d + 420b c
+--R                                         Type: Union(Expression(Integer),...)
+--E 1113
+
+--S 1114 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1114
+
+--S 1115 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1115
+
+)clear all
+
+--S 1116 of 2952
+t0000:=1/((a+b*x)^2*(c+d*x)^8)
+--R 
+--R
+--R   (1)
+--R     1
+--R  /
+--R        2 8 10          8     2   7  9     2 8            7      2 2 6  8
+--R       b d x   + (2a b d  + 8b c d )x  + (a d  + 16a b c d  + 28b c d )x
+--R     + 
+--R          2   7          2 6      2 3 5  7
+--R       (8a c d  + 56a b c d  + 56b c d )x
+--R     + 
+--R           2 2 6           3 5      2 4 4  6
+--R       (28a c d  + 112a b c d  + 70b c d )x
+--R     + 
+--R           2 3 5           4 4      2 5 3  5
+--R       (56a c d  + 140a b c d  + 56b c d )x
+--R     + 
+--R           2 4 4           5 3      2 6 2  4
+--R       (70a c d  + 112a b c d  + 28b c d )x
+--R     + 
+--R           2 5 3          6 2     2 7   3       2 6 2          7     2 8  2
+--R       (56a c d  + 56a b c d  + 8b c d)x  + (28a c d  + 16a b c d + b c )x
+--R     + 
+--R          2 7          8      2 8
+--R       (8a c d + 2a b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1116
+
+--S 1117 of 2952
+r0000:=-b^7/((b*c-a*d)^8*(a+b*x))-1/7*d/((b*c-a*d)^2*(c+d*x)^7)-_
+     1/3*b*d/((b*c-a*d)^3*(c+d*x)^6)-3/5*b^2*d/((b*c-a*d)^4*(c+d*x)^5)-_
+     b^3*d/((b*c-a*d)^5*(c+d*x)^4)-5/3*b^4*d/((b*c-a*d)^6*(c+d*x)^3)-_
+     3*b^5*d/((b*c-a*d)^7*(c+d*x)^2)-7*b^6*d/((b*c-a*d)^8*(c+d*x))-_
+     8*b^7*d*log(a+b*x)/(b*c-a*d)^9+8*b^7*d*log(c+d*x)/(b*c-a*d)^9
+--R 
+--R
+--R   (2)
+--R                 8 8 8            7 8        8   7  7
+--R           - 840b d x  + (- 840a b d  - 5880b c d )x
+--R         + 
+--R                     7   7         8 2 6  6              7 2 6         8 3 5  5
+--R           (- 5880a b c d  - 17640b c d )x  + (- 17640a b c d  - 29400b c d )x
+--R         + 
+--R                      7 3 5         8 4 4  4              7 4 4         8 5 3  3
+--R           (- 29400a b c d  - 29400b c d )x  + (- 29400a b c d  - 17640b c d )x
+--R         + 
+--R                      7 5 3        8 6 2  2             7 6 2       8 7
+--R           (- 17640a b c d  - 5880b c d )x  + (- 5880a b c d  - 840b c d)x
+--R         + 
+--R                   7 7
+--R           - 840a b c d
+--R      *
+--R         log(d x + c)
+--R     + 
+--R               8 8 8          7 8        8   7  7
+--R           840b d x  + (840a b d  + 5880b c d )x
+--R         + 
+--R                   7   7         8 2 6  6            7 2 6         8 3 5  5
+--R           (5880a b c d  + 17640b c d )x  + (17640a b c d  + 29400b c d )x
+--R         + 
+--R                    7 3 5         8 4 4  4            7 4 4         8 5 3  3
+--R           (29400a b c d  + 29400b c d )x  + (29400a b c d  + 17640b c d )x
+--R         + 
+--R                    7 5 3        8 6 2  2           7 6 2       8 7
+--R           (17640a b c d  + 5880b c d )x  + (5880a b c d  + 840b c d)x
+--R         + 
+--R                 7 7
+--R           840a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                7 8       8   7  7          2 6 8          7   7        8 2 6  6
+--R       (- 840a b d  + 840b c d )x  + (- 420a b d  - 5040a b c d  + 5460b c d )x
+--R     + 
+--R            3 5 8        2 6   7           7 2 6         8 3 5  5
+--R       (140a b d  - 2940a b c d  - 12180a b c d  + 14980b c d )x
+--R     + 
+--R             4 4 8       3 5   7        2 6 2 6           7 3 5         8 4 4  4
+--R       (- 70a b d  + 980a b c d  - 8820a b c d  - 14420a b c d  + 22330b c d )x
+--R     + 
+--R              5 3 8       4 4   7        3 5 2 6         2 6 3 5          7 4 4
+--R           42a b d  - 490a b c d  + 2940a b c d  - 14700a b c d  - 7070a b c d
+--R         + 
+--R                 8 5 3
+--R           19278b c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                6 2 8       5 3   7        4 4 2 6        3 5 3 5
+--R           - 28a b d  + 294a b c d  - 1470a b c d  + 4900a b c d
+--R         + 
+--R                   2 6 4 4          7 5 3        8 6 2
+--R           - 14700a b c d  + 1638a b c d  + 9366b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R              7   8       6 2   7       5 3 2 6        4 4 3 5        3 5 4 4
+--R           20a b d  - 196a b c d  + 882a b c d  - 2450a b c d  + 4900a b c d
+--R         + 
+--R                  2 6 5 3          7 6 2        8 7
+--R           - 8820a b c d  + 3486a b c d  + 2178b c d
+--R      *
+--R         x
+--R     + 
+--R            8 8       7     7       6 2 2 6        5 3 3 5        4 4 4 4
+--R       - 15a d  + 140a b c d  - 588a b c d  + 1470a b c d  - 2450a b c d
+--R     + 
+--R            3 5 5 3        2 6 6 2          7 7        8 8
+--R       2940a b c d  - 2940a b c d  + 1338a b c d + 105b c
+--R  /
+--R               9   16       8 2   15        7 3 2 14        6 4 3 13
+--R           105a b d   - 945a b c d   + 3780a b c d   - 8820a b c d
+--R         + 
+--R                 5 5 4 12         4 6 5 11        3 7 6 10        2 8 7 9
+--R           13230a b c d   - 13230a b c d   + 8820a b c d   - 3780a b c d
+--R         + 
+--R                 9 8 8       10 9 7
+--R           945a b c d  - 105b  c d
+--R      *
+--R          8
+--R         x
+--R     + 
+--R               10 16       9     15        8 2 2 14         7 3 3 13
+--R           105a  d   - 210a b c d   - 2835a b c d   + 17640a b c d
+--R         + 
+--R                   6 4 4 12         5 5 5 11         4 6 6 10         3 7 7 9
+--R           - 48510a b c d   + 79380a b c d   - 83790a b c d   + 57960a b c d
+--R         + 
+--R                   2 8 8 8          9 9 7       10 10 6
+--R           - 25515a b c d  + 6510a b c d  - 735b  c  d
+--R      *
+--R          7
+--R         x
+--R     + 
+--R               10   15        9   2 14        8 2 3 13         7 3 4 12
+--R           735a  c d   - 4410a b c d   + 6615a b c d   + 17640a b c d
+--R         + 
+--R                   6 4 5 11          5 5 6 10          4 6 7 9          3 7 8 8
+--R           - 92610a b c d   + 185220a b c d   - 216090a b c d  + 158760a b c d
+--R         + 
+--R                   2 8 9 7           9 10 6        10 11 5
+--R           - 72765a b c d  + 19110a b c  d  - 2205b  c  d
+--R      *
+--R          6
+--R         x
+--R     + 
+--R                10 2 14         9   3 13         8 2 4 12         7 3 5 11
+--R           2205a  c d   - 16170a b c d   + 46305a b c d   - 52920a b c d
+--R         + 
+--R                   6 4 6 10          5 5 7 9          4 6 8 8          3 7 9 7
+--R           - 30870a b c d   + 185220a b c d  - 277830a b c d  + 229320a b c d
+--R         + 
+--R                    2 8 10 6           9 11 5        10 12 4
+--R           - 112455a b c  d  + 30870a b c  d  - 3675b  c  d
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                10 3 13         9   4 12         8 2 5 11          7 3 6 10
+--R           3675a  c d   - 29400a b c d   + 99225a b c d   - 176400a b c d
+--R         + 
+--R                  6 4 7 9          4 6 9 7          3 7 10 6         2 8 11 5
+--R           154350a b c d  - 154350a b c d  + 176400a b c  d  - 99225a b c  d
+--R         + 
+--R                   9 12 4        10 13 3
+--R           29400a b c  d  - 3675b  c  d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                10 4 12         9   5 11          8 2 6 10          7 3 7 9
+--R           3675a  c d   - 30870a b c d   + 112455a b c d   - 229320a b c d
+--R         + 
+--R                  6 4 8 8          5 5 9 7         4 6 10 6         3 7 11 5
+--R           277830a b c d  - 185220a b c d  + 30870a b c  d  + 52920a b c  d
+--R         + 
+--R                   2 8 12 4           9 13 3        10 14 2
+--R           - 46305a b c  d  + 16170a b c  d  - 2205b  c  d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                10 5 11         9   6 10         8 2 7 9          7 3 8 8
+--R           2205a  c d   - 19110a b c d   + 72765a b c d  - 158760a b c d
+--R         + 
+--R                  6 4 9 7          5 5 10 6         4 6 11 5         3 7 12 4
+--R           216090a b c d  - 185220a b c  d  + 92610a b c  d  - 17640a b c  d
+--R         + 
+--R                  2 8 13 3          9 14 2       10 15
+--R           - 6615a b c  d  + 4410a b c  d  - 735b  c  d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R               10 6 10        9   7 9         8 2 8 8         7 3 9 7
+--R           735a  c d   - 6510a b c d  + 25515a b c d  - 57960a b c d
+--R         + 
+--R                 6 4 10 6         5 5 11 5         4 6 12 4         3 7 13 3
+--R           83790a b c  d  - 79380a b c  d  + 48510a b c  d  - 17640a b c  d
+--R         + 
+--R                2 8 14 2         9 15        10 16
+--R           2835a b c  d  + 210a b c  d - 105b  c
+--R      *
+--R         x
+--R     + 
+--R           10 7 9       9   8 8        8 2 9 7        7 3 10 6         6 4 11 5
+--R       105a  c d  - 945a b c d  + 3780a b c d  - 8820a b c  d  + 13230a b c  d
+--R     + 
+--R             5 5 12 4        4 6 13 3        3 7 14 2       2 8 15          9 16
+--R     - 13230a b c  d  + 8820a b c  d  - 3780a b c  d  + 945a b c  d - 105a b c
+--R                                                    Type: Expression(Integer)
+--E 1117
+
+--S 1118 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                 8 8 8            7 8        8   7  7
+--R           - 840b d x  + (- 840a b d  - 5880b c d )x
+--R         + 
+--R                     7   7         8 2 6  6              7 2 6         8 3 5  5
+--R           (- 5880a b c d  - 17640b c d )x  + (- 17640a b c d  - 29400b c d )x
+--R         + 
+--R                      7 3 5         8 4 4  4              7 4 4         8 5 3  3
+--R           (- 29400a b c d  - 29400b c d )x  + (- 29400a b c d  - 17640b c d )x
+--R         + 
+--R                      7 5 3        8 6 2  2             7 6 2       8 7
+--R           (- 17640a b c d  - 5880b c d )x  + (- 5880a b c d  - 840b c d)x
+--R         + 
+--R                   7 7
+--R           - 840a b c d
+--R      *
+--R         log(d x + c)
+--R     + 
+--R               8 8 8          7 8        8   7  7
+--R           840b d x  + (840a b d  + 5880b c d )x
+--R         + 
+--R                   7   7         8 2 6  6            7 2 6         8 3 5  5
+--R           (5880a b c d  + 17640b c d )x  + (17640a b c d  + 29400b c d )x
+--R         + 
+--R                    7 3 5         8 4 4  4            7 4 4         8 5 3  3
+--R           (29400a b c d  + 29400b c d )x  + (29400a b c d  + 17640b c d )x
+--R         + 
+--R                    7 5 3        8 6 2  2           7 6 2       8 7
+--R           (17640a b c d  + 5880b c d )x  + (5880a b c d  + 840b c d)x
+--R         + 
+--R                 7 7
+--R           840a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                7 8       8   7  7          2 6 8          7   7        8 2 6  6
+--R       (- 840a b d  + 840b c d )x  + (- 420a b d  - 5040a b c d  + 5460b c d )x
+--R     + 
+--R            3 5 8        2 6   7           7 2 6         8 3 5  5
+--R       (140a b d  - 2940a b c d  - 12180a b c d  + 14980b c d )x
+--R     + 
+--R             4 4 8       3 5   7        2 6 2 6           7 3 5         8 4 4  4
+--R       (- 70a b d  + 980a b c d  - 8820a b c d  - 14420a b c d  + 22330b c d )x
+--R     + 
+--R              5 3 8       4 4   7        3 5 2 6         2 6 3 5          7 4 4
+--R           42a b d  - 490a b c d  + 2940a b c d  - 14700a b c d  - 7070a b c d
+--R         + 
+--R                 8 5 3
+--R           19278b c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                6 2 8       5 3   7        4 4 2 6        3 5 3 5
+--R           - 28a b d  + 294a b c d  - 1470a b c d  + 4900a b c d
+--R         + 
+--R                   2 6 4 4          7 5 3        8 6 2
+--R           - 14700a b c d  + 1638a b c d  + 9366b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R              7   8       6 2   7       5 3 2 6        4 4 3 5        3 5 4 4
+--R           20a b d  - 196a b c d  + 882a b c d  - 2450a b c d  + 4900a b c d
+--R         + 
+--R                  2 6 5 3          7 6 2        8 7
+--R           - 8820a b c d  + 3486a b c d  + 2178b c d
+--R      *
+--R         x
+--R     + 
+--R            8 8       7     7       6 2 2 6        5 3 3 5        4 4 4 4
+--R       - 15a d  + 140a b c d  - 588a b c d  + 1470a b c d  - 2450a b c d
+--R     + 
+--R            3 5 5 3        2 6 6 2          7 7        8 8
+--R       2940a b c d  - 2940a b c d  + 1338a b c d + 105b c
+--R  /
+--R               9   16       8 2   15        7 3 2 14        6 4 3 13
+--R           105a b d   - 945a b c d   + 3780a b c d   - 8820a b c d
+--R         + 
+--R                 5 5 4 12         4 6 5 11        3 7 6 10        2 8 7 9
+--R           13230a b c d   - 13230a b c d   + 8820a b c d   - 3780a b c d
+--R         + 
+--R                 9 8 8       10 9 7
+--R           945a b c d  - 105b  c d
+--R      *
+--R          8
+--R         x
+--R     + 
+--R               10 16       9     15        8 2 2 14         7 3 3 13
+--R           105a  d   - 210a b c d   - 2835a b c d   + 17640a b c d
+--R         + 
+--R                   6 4 4 12         5 5 5 11         4 6 6 10         3 7 7 9
+--R           - 48510a b c d   + 79380a b c d   - 83790a b c d   + 57960a b c d
+--R         + 
+--R                   2 8 8 8          9 9 7       10 10 6
+--R           - 25515a b c d  + 6510a b c d  - 735b  c  d
+--R      *
+--R          7
+--R         x
+--R     + 
+--R               10   15        9   2 14        8 2 3 13         7 3 4 12
+--R           735a  c d   - 4410a b c d   + 6615a b c d   + 17640a b c d
+--R         + 
+--R                   6 4 5 11          5 5 6 10          4 6 7 9          3 7 8 8
+--R           - 92610a b c d   + 185220a b c d   - 216090a b c d  + 158760a b c d
+--R         + 
+--R                   2 8 9 7           9 10 6        10 11 5
+--R           - 72765a b c d  + 19110a b c  d  - 2205b  c  d
+--R      *
+--R          6
+--R         x
+--R     + 
+--R                10 2 14         9   3 13         8 2 4 12         7 3 5 11
+--R           2205a  c d   - 16170a b c d   + 46305a b c d   - 52920a b c d
+--R         + 
+--R                   6 4 6 10          5 5 7 9          4 6 8 8          3 7 9 7
+--R           - 30870a b c d   + 185220a b c d  - 277830a b c d  + 229320a b c d
+--R         + 
+--R                    2 8 10 6           9 11 5        10 12 4
+--R           - 112455a b c  d  + 30870a b c  d  - 3675b  c  d
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                10 3 13         9   4 12         8 2 5 11          7 3 6 10
+--R           3675a  c d   - 29400a b c d   + 99225a b c d   - 176400a b c d
+--R         + 
+--R                  6 4 7 9          4 6 9 7          3 7 10 6         2 8 11 5
+--R           154350a b c d  - 154350a b c d  + 176400a b c  d  - 99225a b c  d
+--R         + 
+--R                   9 12 4        10 13 3
+--R           29400a b c  d  - 3675b  c  d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                10 4 12         9   5 11          8 2 6 10          7 3 7 9
+--R           3675a  c d   - 30870a b c d   + 112455a b c d   - 229320a b c d
+--R         + 
+--R                  6 4 8 8          5 5 9 7         4 6 10 6         3 7 11 5
+--R           277830a b c d  - 185220a b c d  + 30870a b c  d  + 52920a b c  d
+--R         + 
+--R                   2 8 12 4           9 13 3        10 14 2
+--R           - 46305a b c  d  + 16170a b c  d  - 2205b  c  d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                10 5 11         9   6 10         8 2 7 9          7 3 8 8
+--R           2205a  c d   - 19110a b c d   + 72765a b c d  - 158760a b c d
+--R         + 
+--R                  6 4 9 7          5 5 10 6         4 6 11 5         3 7 12 4
+--R           216090a b c d  - 185220a b c  d  + 92610a b c  d  - 17640a b c  d
+--R         + 
+--R                  2 8 13 3          9 14 2       10 15
+--R           - 6615a b c  d  + 4410a b c  d  - 735b  c  d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R               10 6 10        9   7 9         8 2 8 8         7 3 9 7
+--R           735a  c d   - 6510a b c d  + 25515a b c d  - 57960a b c d
+--R         + 
+--R                 6 4 10 6         5 5 11 5         4 6 12 4         3 7 13 3
+--R           83790a b c  d  - 79380a b c  d  + 48510a b c  d  - 17640a b c  d
+--R         + 
+--R                2 8 14 2         9 15        10 16
+--R           2835a b c  d  + 210a b c  d - 105b  c
+--R      *
+--R         x
+--R     + 
+--R           10 7 9       9   8 8        8 2 9 7        7 3 10 6         6 4 11 5
+--R       105a  c d  - 945a b c d  + 3780a b c d  - 8820a b c  d  + 13230a b c  d
+--R     + 
+--R             5 5 12 4        4 6 13 3        3 7 14 2       2 8 15          9 16
+--R     - 13230a b c  d  + 8820a b c  d  - 3780a b c  d  + 945a b c  d - 105a b c
+--R                                         Type: Union(Expression(Integer),...)
+--E 1118
+
+--S 1119 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1119
+
+--S 1120 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1120
+
+)clear all
+
+--S 1121 of 2952
+t0000:=1/((a+b*x)^3*(c+d*x)^8)
+--R 
+--R
+--R   (1)
+--R     1
+--R  /
+--R        3 8 11        2 8     3   7  10      2   8        2   7      3 2 6  9
+--R       b d x   + (3a b d  + 8b c d )x   + (3a b d  + 24a b c d  + 28b c d )x
+--R     + 
+--R         3 8      2     7        2 2 6      3 3 5  8
+--R       (a d  + 24a b c d  + 84a b c d  + 56b c d )x
+--R     + 
+--R          3   7      2   2 6         2 3 5      3 4 4  7
+--R       (8a c d  + 84a b c d  + 168a b c d  + 70b c d )x
+--R     + 
+--R           3 2 6       2   3 5         2 4 4      3 5 3  6
+--R       (28a c d  + 168a b c d  + 210a b c d  + 56b c d )x
+--R     + 
+--R           3 3 5       2   4 4         2 5 3      3 6 2  5
+--R       (56a c d  + 210a b c d  + 168a b c d  + 28b c d )x
+--R     + 
+--R           3 4 4       2   5 3        2 6 2     3 7   4
+--R       (70a c d  + 168a b c d  + 84a b c d  + 8b c d)x
+--R     + 
+--R           3 5 3      2   6 2        2 7     3 8  3
+--R       (56a c d  + 84a b c d  + 24a b c d + b c )x
+--R     + 
+--R           3 6 2      2   7        2 8  2      3 7      2   8      3 8
+--R       (28a c d  + 24a b c d + 3a b c )x  + (8a c d + 3a b c )x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 1121
+
+--S 1122 of 2952
+r0000:=-1/2*b^7/((b*c-a*d)^8*(a+b*x)^2)+8*b^7*d/((b*c-a*d)^9*(a+b*x))+_
+     1/7*d^2/((b*c-a*d)^3*(c+d*x)^7)+1/2*b*d^2/((b*c-a*d)^4*(c+d*x)^6)+_
+     6/5*b^2*d^2/((b*c-a*d)^5*(c+d*x)^5)+_
+     5/2*b^3*d^2/((b*c-a*d)^6*(c+d*x)^4)+_
+     5*b^4*d^2/((b*c-a*d)^7*(c+d*x)^3)+_
+     21/2*b^5*d^2/((b*c-a*d)^8*(c+d*x)^2)+_
+     28*b^6*d^2/((b*c-a*d)^9*(c+d*x))+_
+     36*b^7*d^2*log(a+b*x)/(b*c-a*d)^10-_
+     36*b^7*d^2*log(c+d*x)/(b*c-a*d)^10
+--R 
+--R
+--R   (2)
+--R                  9 9 9             8 9         9   8  8
+--R           - 2520b d x  + (- 5040a b d  - 17640b c d )x
+--R         + 
+--R                   2 7 9           8   8         9 2 7  7
+--R           (- 2520a b d  - 35280a b c d  - 52920b c d )x
+--R         + 
+--R                    2 7   8            8 2 7         9 3 6  6
+--R           (- 17640a b c d  - 105840a b c d  - 88200b c d )x
+--R         + 
+--R                    2 7 2 7            8 3 6         9 4 5  5
+--R           (- 52920a b c d  - 176400a b c d  - 88200b c d )x
+--R         + 
+--R                    2 7 3 6            8 4 5         9 5 4  4
+--R           (- 88200a b c d  - 176400a b c d  - 52920b c d )x
+--R         + 
+--R                    2 7 4 5            8 5 4         9 6 3  3
+--R           (- 88200a b c d  - 105840a b c d  - 17640b c d )x
+--R         + 
+--R                    2 7 5 4           8 6 3        9 7 2  2
+--R           (- 52920a b c d  - 35280a b c d  - 2520b c d )x
+--R         + 
+--R                    2 7 6 3          8 7 2          2 7 7 2
+--R           (- 17640a b c d  - 5040a b c d )x - 2520a b c d
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                9 9 9           8 9         9   8  8
+--R           2520b d x  + (5040a b d  + 17640b c d )x
+--R         + 
+--R                 2 7 9           8   8         9 2 7  7
+--R           (2520a b d  + 35280a b c d  + 52920b c d )x
+--R         + 
+--R                  2 7   8            8 2 7         9 3 6  6
+--R           (17640a b c d  + 105840a b c d  + 88200b c d )x
+--R         + 
+--R                  2 7 2 7            8 3 6         9 4 5  5
+--R           (52920a b c d  + 176400a b c d  + 88200b c d )x
+--R         + 
+--R                  2 7 3 6            8 4 5         9 5 4  4
+--R           (88200a b c d  + 176400a b c d  + 52920b c d )x
+--R         + 
+--R                  2 7 4 5            8 5 4         9 6 3  3
+--R           (88200a b c d  + 105840a b c d  + 17640b c d )x
+--R         + 
+--R                  2 7 5 4           8 6 3        9 7 2  2
+--R           (52920a b c d  + 35280a b c d  + 2520b c d )x
+--R         + 
+--R                  2 7 6 3          8 7 2          2 7 7 2
+--R           (17640a b c d  + 5040a b c d )x + 2520a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                 8 9        9   8  8
+--R       (- 2520a b d  + 2520b c d )x
+--R     + 
+--R               2 7 9           8   8         9 2 7  7
+--R       (- 3780a b d  - 12600a b c d  + 16380b c d )x
+--R     + 
+--R              3 6 9         2 7   8           8 2 7         9 3 6  6
+--R       (- 840a b d  - 23940a b c d  - 20160a b c d  + 44940b c d )x
+--R     + 
+--R            4 5 9        3 6   8         2 7 2 7          8 3 6         9 4 5  5
+--R       (210a b d  - 5880a b c d  - 63000a b c d  + 1680a b c d  + 66990b c d )x
+--R     + 
+--R                5 4 9        4 5   8         3 6 2 7         2 7 3 6
+--R           - 84a b d  + 1470a b c d  - 17640a b c d  - 87360a b c d
+--R         + 
+--R                   8 4 5         9 5 4
+--R           45780a b c d  + 57834b c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R              6 3 9       5 4   8        4 5 2 7         3 6 3 6         2 7 4 5
+--R           42a b d  - 588a b c d  + 4410a b c d  - 29400a b c d  - 65310a b c d
+--R         + 
+--R                   8 5 4         9 6 3
+--R           62748a b c d  + 28098b c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                7 2 9       6 3   8        5 4 2 7        4 5 3 6
+--R           - 24a b d  + 294a b c d  - 1764a b c d  + 7350a b c d
+--R         + 
+--R                   3 6 4 5         2 7 5 4           8 6 3        9 7 2
+--R           - 29400a b c d  - 21546a b c d  + 38556a b c d  + 6534b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R              8   9       7 2   8       6 3 2 7        5 4 3 6        4 5 4 5
+--R           15a b d  - 168a b c d  + 882a b c d  - 2940a b c d  + 7350a b c d
+--R         + 
+--R                   3 6 5 4        2 7 6 3           8 7 2       9 8
+--R           - 17640a b c d  + 1638a b c d  + 10548a b c d  + 315b c d
+--R      *
+--R         x
+--R     + 
+--R            9 9       8     8       7 2 2 7        6 3 3 6        5 4 4 5
+--R       - 10a d  + 105a b c d  - 504a b c d  + 1470a b c d  - 2940a b c d
+--R     + 
+--R            4 5 5 4        3 6 6 3        2 7 7 2         8 8       9 9
+--R       4410a b c d  - 5880a b c d  + 2754a b c d  + 630a b c d - 35b c
+--R  /
+--R              10 2 17       9 3   16        8 4 2 15        7 5 3 14
+--R           70a  b d   - 700a b c d   + 3150a b c d   - 8400a b c d
+--R         + 
+--R                 6 6 4 13         5 7 5 12         4 8 6 11        3 9 7 10
+--R           14700a b c d   - 17640a b c d   + 14700a b c d   - 8400a b c d
+--R         + 
+--R                2 10 8 9         11 9 8      12 10 7
+--R           3150a b  c d  - 700a b  c d  + 70b  c  d
+--R      *
+--R          9
+--R         x
+--R     + 
+--R               11   17       10 2   16        9 3 2 15        8 4 3 14
+--R           140a  b d   - 910a  b c d   + 1400a b c d   + 5250a b c d
+--R         + 
+--R                   7 5 4 13         6 6 5 12         5 7 6 11         4 8 7 10
+--R           - 29400a b c d   + 67620a b c d   - 94080a b c d   + 86100a b c d
+--R         + 
+--R                   3 9 8 9         2 10 9 8          11 10 7       12 11 6
+--R           - 52500a b c d  + 20650a b  c d  - 4760a b  c  d  + 490b  c  d
+--R      *
+--R          8
+--R         x
+--R     + 
+--R              12 17       11     16        10 2 2 15         9 3 3 14
+--R           70a  d   + 280a  b c d   - 5180a  b c d   + 21000a b c d
+--R         + 
+--R                   8 4 4 13         7 5 5 12         6 6 6 11          5 7 7 10
+--R           - 36750a b c d   + 11760a b c d   + 76440a b c d   - 173040a b c d
+--R         + 
+--R                  4 8 8 9          3 9 9 8         2 10 10 7           11 11 6
+--R           194250a b c d  - 133000a b c d  + 56420a b  c  d  - 13720a b  c  d
+--R         + 
+--R                12 12 5
+--R           1470b  c  d
+--R      *
+--R          7
+--R         x
+--R     + 
+--R               12   16        11   2 15        10 2 3 14         9 3 4 13
+--R           490a  c d   - 1960a  b c d   - 4900a  b c d   + 49000a b c d
+--R         + 
+--R                    8 4 5 12          7 5 6 11          6 6 7 10         5 7 8 9
+--R           - 139650a b c d   + 199920a b c d   - 123480a b c d   - 58800a b c d
+--R         + 
+--R                  4 8 9 8          3 9 10 7         2 10 11 6           11 12 5
+--R           183750a b c d  - 166600a b c  d  + 81340a b  c  d  - 21560a b  c  d
+--R         + 
+--R                12 13 4
+--R           2450b  c  d
+--R      *
+--R          6
+--R         x
+--R     + 
+--R                12 2 15        11   3 14         10 2 4 13         9 3 5 12
+--R           1470a  c d   - 9800a  b c d   + 19600a  b c d   + 19600a b c d
+--R         + 
+--R                    8 4 6 11          7 5 7 10          6 6 8 9          5 7 9 8
+--R           - 169050a b c d   + 364560a b c d   - 411600a b c d  + 235200a b c d
+--R         + 
+--R                  4 8 10 7         3 9 11 6         2 10 12 5           11 13 4
+--R           - 7350a b c  d  - 88200a b c  d  + 62720a b  c  d  - 19600a b  c  d
+--R         + 
+--R                12 14 3
+--R           2450b  c  d
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                12 3 14         11   4 13         10 2 5 12         9 3 6 11
+--R           2450a  c d   - 19600a  b c d   + 62720a  b c d   - 88200a b c d
+--R         + 
+--R                  8 4 7 10          7 5 8 9          6 6 9 8          5 7 10 7
+--R           - 7350a b c d   + 235200a b c d  - 411600a b c d  + 364560a b c  d
+--R         + 
+--R                    4 8 11 6         3 9 12 5         2 10 13 4          11 14 3
+--R           - 169050a b c  d  + 19600a b c  d  + 19600a b  c  d  - 9800a b  c  d
+--R         + 
+--R                12 15 2
+--R           1470b  c  d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                12 4 13         11   5 12         10 2 6 11          9 3 7 10
+--R           2450a  c d   - 21560a  b c d   + 81340a  b c d   - 166600a b c d
+--R         + 
+--R                  8 4 8 9         7 5 9 8          6 6 10 7          5 7 11 6
+--R           183750a b c d  - 58800a b c d  - 123480a b c  d  + 199920a b c  d
+--R         + 
+--R                    4 8 12 5         3 9 13 4        2 10 14 3          11 15 2
+--R           - 139650a b c  d  + 49000a b c  d  - 4900a b  c  d  - 1960a b  c  d
+--R         + 
+--R               12 16
+--R           490b  c  d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                12 5 12         11   6 11         10 2 7 10          9 3 8 9
+--R           1470a  c d   - 13720a  b c d   + 56420a  b c d   - 133000a b c d
+--R         + 
+--R                  8 4 9 8          7 5 10 7         6 6 11 6         5 7 12 5
+--R           194250a b c d  - 173040a b c  d  + 76440a b c  d  + 11760a b c  d
+--R         + 
+--R                   4 8 13 4         3 9 14 3        2 10 15 2         11 16
+--R           - 36750a b c  d  + 21000a b c  d  - 5180a b  c  d  + 280a b  c  d
+--R         + 
+--R              12 17
+--R           70b  c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R               12 6 11        11   7 10         10 2 8 9         9 3 9 8
+--R           490a  c d   - 4760a  b c d   + 20650a  b c d  - 52500a b c d
+--R         + 
+--R                 8 4 10 7         7 5 11 6         6 6 12 5         5 7 13 4
+--R           86100a b c  d  - 94080a b c  d  + 67620a b c  d  - 29400a b c  d
+--R         + 
+--R                4 8 14 3        3 9 15 2       2 10 16          11 17
+--R           5250a b c  d  + 1400a b c  d  - 910a b  c  d + 140a b  c
+--R      *
+--R         x
+--R     + 
+--R          12 7 10       11   8 9        10 2 9 8        9 3 10 7
+--R       70a  c d   - 700a  b c d  + 3150a  b c d  - 8400a b c  d
+--R     + 
+--R             8 4 11 6         7 5 12 5         6 6 13 4        5 7 14 3
+--R       14700a b c  d  - 17640a b c  d  + 14700a b c  d  - 8400a b c  d
+--R     + 
+--R            4 8 15 2       3 9 16       2 10 17
+--R       3150a b c  d  - 700a b c  d + 70a b  c
+--R                                                    Type: Expression(Integer)
+--E 1122
+
+--S 1123 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                  9 9 9             8 9         9   8  8
+--R           - 2520b d x  + (- 5040a b d  - 17640b c d )x
+--R         + 
+--R                   2 7 9           8   8         9 2 7  7
+--R           (- 2520a b d  - 35280a b c d  - 52920b c d )x
+--R         + 
+--R                    2 7   8            8 2 7         9 3 6  6
+--R           (- 17640a b c d  - 105840a b c d  - 88200b c d )x
+--R         + 
+--R                    2 7 2 7            8 3 6         9 4 5  5
+--R           (- 52920a b c d  - 176400a b c d  - 88200b c d )x
+--R         + 
+--R                    2 7 3 6            8 4 5         9 5 4  4
+--R           (- 88200a b c d  - 176400a b c d  - 52920b c d )x
+--R         + 
+--R                    2 7 4 5            8 5 4         9 6 3  3
+--R           (- 88200a b c d  - 105840a b c d  - 17640b c d )x
+--R         + 
+--R                    2 7 5 4           8 6 3        9 7 2  2
+--R           (- 52920a b c d  - 35280a b c d  - 2520b c d )x
+--R         + 
+--R                    2 7 6 3          8 7 2          2 7 7 2
+--R           (- 17640a b c d  - 5040a b c d )x - 2520a b c d
+--R      *
+--R         log(d x + c)
+--R     + 
+--R                9 9 9           8 9         9   8  8
+--R           2520b d x  + (5040a b d  + 17640b c d )x
+--R         + 
+--R                 2 7 9           8   8         9 2 7  7
+--R           (2520a b d  + 35280a b c d  + 52920b c d )x
+--R         + 
+--R                  2 7   8            8 2 7         9 3 6  6
+--R           (17640a b c d  + 105840a b c d  + 88200b c d )x
+--R         + 
+--R                  2 7 2 7            8 3 6         9 4 5  5
+--R           (52920a b c d  + 176400a b c d  + 88200b c d )x
+--R         + 
+--R                  2 7 3 6            8 4 5         9 5 4  4
+--R           (88200a b c d  + 176400a b c d  + 52920b c d )x
+--R         + 
+--R                  2 7 4 5            8 5 4         9 6 3  3
+--R           (88200a b c d  + 105840a b c d  + 17640b c d )x
+--R         + 
+--R                  2 7 5 4           8 6 3        9 7 2  2
+--R           (52920a b c d  + 35280a b c d  + 2520b c d )x
+--R         + 
+--R                  2 7 6 3          8 7 2          2 7 7 2
+--R           (17640a b c d  + 5040a b c d )x + 2520a b c d
+--R      *
+--R         log(b x + a)
+--R     + 
+--R                 8 9        9   8  8
+--R       (- 2520a b d  + 2520b c d )x
+--R     + 
+--R               2 7 9           8   8         9 2 7  7
+--R       (- 3780a b d  - 12600a b c d  + 16380b c d )x
+--R     + 
+--R              3 6 9         2 7   8           8 2 7         9 3 6  6
+--R       (- 840a b d  - 23940a b c d  - 20160a b c d  + 44940b c d )x
+--R     + 
+--R            4 5 9        3 6   8         2 7 2 7          8 3 6         9 4 5  5
+--R       (210a b d  - 5880a b c d  - 63000a b c d  + 1680a b c d  + 66990b c d )x
+--R     + 
+--R                5 4 9        4 5   8         3 6 2 7         2 7 3 6
+--R           - 84a b d  + 1470a b c d  - 17640a b c d  - 87360a b c d
+--R         + 
+--R                   8 4 5         9 5 4
+--R           45780a b c d  + 57834b c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R              6 3 9       5 4   8        4 5 2 7         3 6 3 6         2 7 4 5
+--R           42a b d  - 588a b c d  + 4410a b c d  - 29400a b c d  - 65310a b c d
+--R         + 
+--R                   8 5 4         9 6 3
+--R           62748a b c d  + 28098b c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                7 2 9       6 3   8        5 4 2 7        4 5 3 6
+--R           - 24a b d  + 294a b c d  - 1764a b c d  + 7350a b c d
+--R         + 
+--R                   3 6 4 5         2 7 5 4           8 6 3        9 7 2
+--R           - 29400a b c d  - 21546a b c d  + 38556a b c d  + 6534b c d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R              8   9       7 2   8       6 3 2 7        5 4 3 6        4 5 4 5
+--R           15a b d  - 168a b c d  + 882a b c d  - 2940a b c d  + 7350a b c d
+--R         + 
+--R                   3 6 5 4        2 7 6 3           8 7 2       9 8
+--R           - 17640a b c d  + 1638a b c d  + 10548a b c d  + 315b c d
+--R      *
+--R         x
+--R     + 
+--R            9 9       8     8       7 2 2 7        6 3 3 6        5 4 4 5
+--R       - 10a d  + 105a b c d  - 504a b c d  + 1470a b c d  - 2940a b c d
+--R     + 
+--R            4 5 5 4        3 6 6 3        2 7 7 2         8 8       9 9
+--R       4410a b c d  - 5880a b c d  + 2754a b c d  + 630a b c d - 35b c
+--R  /
+--R              10 2 17       9 3   16        8 4 2 15        7 5 3 14
+--R           70a  b d   - 700a b c d   + 3150a b c d   - 8400a b c d
+--R         + 
+--R                 6 6 4 13         5 7 5 12         4 8 6 11        3 9 7 10
+--R           14700a b c d   - 17640a b c d   + 14700a b c d   - 8400a b c d
+--R         + 
+--R                2 10 8 9         11 9 8      12 10 7
+--R           3150a b  c d  - 700a b  c d  + 70b  c  d
+--R      *
+--R          9
+--R         x
+--R     + 
+--R               11   17       10 2   16        9 3 2 15        8 4 3 14
+--R           140a  b d   - 910a  b c d   + 1400a b c d   + 5250a b c d
+--R         + 
+--R                   7 5 4 13         6 6 5 12         5 7 6 11         4 8 7 10
+--R           - 29400a b c d   + 67620a b c d   - 94080a b c d   + 86100a b c d
+--R         + 
+--R                   3 9 8 9         2 10 9 8          11 10 7       12 11 6
+--R           - 52500a b c d  + 20650a b  c d  - 4760a b  c  d  + 490b  c  d
+--R      *
+--R          8
+--R         x
+--R     + 
+--R              12 17       11     16        10 2 2 15         9 3 3 14
+--R           70a  d   + 280a  b c d   - 5180a  b c d   + 21000a b c d
+--R         + 
+--R                   8 4 4 13         7 5 5 12         6 6 6 11          5 7 7 10
+--R           - 36750a b c d   + 11760a b c d   + 76440a b c d   - 173040a b c d
+--R         + 
+--R                  4 8 8 9          3 9 9 8         2 10 10 7           11 11 6
+--R           194250a b c d  - 133000a b c d  + 56420a b  c  d  - 13720a b  c  d
+--R         + 
+--R                12 12 5
+--R           1470b  c  d
+--R      *
+--R          7
+--R         x
+--R     + 
+--R               12   16        11   2 15        10 2 3 14         9 3 4 13
+--R           490a  c d   - 1960a  b c d   - 4900a  b c d   + 49000a b c d
+--R         + 
+--R                    8 4 5 12          7 5 6 11          6 6 7 10         5 7 8 9
+--R           - 139650a b c d   + 199920a b c d   - 123480a b c d   - 58800a b c d
+--R         + 
+--R                  4 8 9 8          3 9 10 7         2 10 11 6           11 12 5
+--R           183750a b c d  - 166600a b c  d  + 81340a b  c  d  - 21560a b  c  d
+--R         + 
+--R                12 13 4
+--R           2450b  c  d
+--R      *
+--R          6
+--R         x
+--R     + 
+--R                12 2 15        11   3 14         10 2 4 13         9 3 5 12
+--R           1470a  c d   - 9800a  b c d   + 19600a  b c d   + 19600a b c d
+--R         + 
+--R                    8 4 6 11          7 5 7 10          6 6 8 9          5 7 9 8
+--R           - 169050a b c d   + 364560a b c d   - 411600a b c d  + 235200a b c d
+--R         + 
+--R                  4 8 10 7         3 9 11 6         2 10 12 5           11 13 4
+--R           - 7350a b c  d  - 88200a b c  d  + 62720a b  c  d  - 19600a b  c  d
+--R         + 
+--R                12 14 3
+--R           2450b  c  d
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                12 3 14         11   4 13         10 2 5 12         9 3 6 11
+--R           2450a  c d   - 19600a  b c d   + 62720a  b c d   - 88200a b c d
+--R         + 
+--R                  8 4 7 10          7 5 8 9          6 6 9 8          5 7 10 7
+--R           - 7350a b c d   + 235200a b c d  - 411600a b c d  + 364560a b c  d
+--R         + 
+--R                    4 8 11 6         3 9 12 5         2 10 13 4          11 14 3
+--R           - 169050a b c  d  + 19600a b c  d  + 19600a b  c  d  - 9800a b  c  d
+--R         + 
+--R                12 15 2
+--R           1470b  c  d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                12 4 13         11   5 12         10 2 6 11          9 3 7 10
+--R           2450a  c d   - 21560a  b c d   + 81340a  b c d   - 166600a b c d
+--R         + 
+--R                  8 4 8 9         7 5 9 8          6 6 10 7          5 7 11 6
+--R           183750a b c d  - 58800a b c d  - 123480a b c  d  + 199920a b c  d
+--R         + 
+--R                    4 8 12 5         3 9 13 4        2 10 14 3          11 15 2
+--R           - 139650a b c  d  + 49000a b c  d  - 4900a b  c  d  - 1960a b  c  d
+--R         + 
+--R               12 16
+--R           490b  c  d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                12 5 12         11   6 11         10 2 7 10          9 3 8 9
+--R           1470a  c d   - 13720a  b c d   + 56420a  b c d   - 133000a b c d
+--R         + 
+--R                  8 4 9 8          7 5 10 7         6 6 11 6         5 7 12 5
+--R           194250a b c d  - 173040a b c  d  + 76440a b c  d  + 11760a b c  d
+--R         + 
+--R                   4 8 13 4         3 9 14 3        2 10 15 2         11 16
+--R           - 36750a b c  d  + 21000a b c  d  - 5180a b  c  d  + 280a b  c  d
+--R         + 
+--R              12 17
+--R           70b  c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R               12 6 11        11   7 10         10 2 8 9         9 3 9 8
+--R           490a  c d   - 4760a  b c d   + 20650a  b c d  - 52500a b c d
+--R         + 
+--R                 8 4 10 7         7 5 11 6         6 6 12 5         5 7 13 4
+--R           86100a b c  d  - 94080a b c  d  + 67620a b c  d  - 29400a b c  d
+--R         + 
+--R                4 8 14 3        3 9 15 2       2 10 16          11 17
+--R           5250a b c  d  + 1400a b c  d  - 910a b  c  d + 140a b  c
+--R      *
+--R         x
+--R     + 
+--R          12 7 10       11   8 9        10 2 9 8        9 3 10 7
+--R       70a  c d   - 700a  b c d  + 3150a  b c d  - 8400a b c  d
+--R     + 
+--R             8 4 11 6         7 5 12 5         6 6 13 4        5 7 14 3
+--R       14700a b c  d  - 17640a b c  d  + 14700a b c  d  - 8400a b c  d
+--R     + 
+--R            4 8 15 2       3 9 16       2 10 17
+--R       3150a b c  d  - 700a b c  d + 70a b  c
+--R                                         Type: Union(Expression(Integer),...)
+--E 1123
+
+--S 1124 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1124
+
+--S 1125 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1125
+
+)clear all
+
+--S 1126 of 2952
+t0000:=(a+b*x)^5*(c+d*x)^(1/2)
+--R 
+--R
+--R          5 5       4 4      2 3 3      3 2 2     4       5  +-------+
+--R   (1)  (b x  + 5a b x  + 10a b x  + 10a b x  + 5a b x + a )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1126
+
+--S 1127 of 2952
+r0000:=-2/3*(b*c-a*d)^5*(c+d*x)^(3/2)/d^6+2*b*(b*c-a*d)^4*(c+d*x)^(5/2)/d^6-_
+     20/7*b^2*(b*c-a*d)^3*(c+d*x)^(7/2)/d^6+_
+     20/9*b^3*(b*c-a*d)^2*(c+d*x)^(9/2)/d^6-_
+     10/11*b^4*(b*c-a*d)*(c+d*x)^(11/2)/d^6+2/13*b^5*(c+d*x)^(13/2)/d^6
+--R 
+--R
+--R   (2)
+--R              5 6 6           4 6       5   5  5
+--R         1386b d x  + (8190a b d  + 126b c d )x
+--R       + 
+--R                2 3 6         4   5       5 2 4  4
+--R         (20020a b d  + 910a b c d  - 140b c d )x
+--R       + 
+--R                3 2 6        2 3   5          4 2 4       5 3 3  3
+--R         (25740a b d  + 2860a b c d  - 1040a b c d  + 160b c d )x
+--R       + 
+--R                     4   6        3 2   5        2 3 2 4          4 3 3
+--R               18018a b d  + 5148a b c d  - 3432a b c d  + 1248a b c d
+--R             + 
+--R                     5 4 2
+--R               - 192b c d
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                  5 6        4     5        3 2 2 4        2 3 3 3
+--R             6006a d  + 6006a b c d  - 6864a b c d  + 4576a b c d
+--R           + 
+--R                      4 4 2       5 5
+--R             - 1664a b c d  + 256b c d
+--R        *
+--R           x
+--R       + 
+--R              5   5         4   2 4         3 2 3 3        2 3 4 2          4 5
+--R         6006a c d  - 12012a b c d  + 13728a b c d  - 9152a b c d  + 3328a b c d
+--R       + 
+--R               5 6
+--R         - 512b c
+--R    *
+--R        +-------+
+--R       \|d x + c
+--R  /
+--R          6
+--R     9009d
+--R                                                    Type: Expression(Integer)
+--E 1127
+
+--S 1128 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R              5 6 6           4 6       5   5  5
+--R         1386b d x  + (8190a b d  + 126b c d )x
+--R       + 
+--R                2 3 6         4   5       5 2 4  4
+--R         (20020a b d  + 910a b c d  - 140b c d )x
+--R       + 
+--R                3 2 6        2 3   5          4 2 4       5 3 3  3
+--R         (25740a b d  + 2860a b c d  - 1040a b c d  + 160b c d )x
+--R       + 
+--R                     4   6        3 2   5        2 3 2 4          4 3 3
+--R               18018a b d  + 5148a b c d  - 3432a b c d  + 1248a b c d
+--R             + 
+--R                     5 4 2
+--R               - 192b c d
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                  5 6        4     5        3 2 2 4        2 3 3 3
+--R             6006a d  + 6006a b c d  - 6864a b c d  + 4576a b c d
+--R           + 
+--R                      4 4 2       5 5
+--R             - 1664a b c d  + 256b c d
+--R        *
+--R           x
+--R       + 
+--R              5   5         4   2 4         3 2 3 3        2 3 4 2          4 5
+--R         6006a c d  - 12012a b c d  + 13728a b c d  - 9152a b c d  + 3328a b c d
+--R       + 
+--R               5 6
+--R         - 512b c
+--R    *
+--R        +-------+
+--R       \|d x + c
+--R  /
+--R          6
+--R     9009d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1128
+
+--S 1129 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1129
+
+--S 1130 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1130
+
+)clear all
+
+--S 1131 of 2952
+t0000:=(a+b*x)^4*(c+d*x)^(1/2)
+--R 
+--R
+--R          4 4       3 3     2 2 2     3       4  +-------+
+--R   (1)  (b x  + 4a b x  + 6a b x  + 4a b x + a )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1131
+
+--S 1132 of 2952
+r0000:=2/3*(b*c-a*d)^4*(c+d*x)^(3/2)/d^5-_
+     8/5*b*(b*c-a*d)^3*(c+d*x)^(5/2)/d^5+_
+     12/7*b^2*(b*c-a*d)^2*(c+d*x)^(7/2)/d^5-_
+     8/9*b^3*(b*c-a*d)*(c+d*x)^(9/2)/d^5+2/11*b^4*(c+d*x)^(11/2)/d^5
+--R 
+--R
+--R   (2)
+--R             4 5 5           3 5      4   4  4
+--R         630b d x  + (3080a b d  + 70b c d )x
+--R       + 
+--R               2 2 5         3   4      4 2 3  3
+--R         (5940a b d  + 440a b c d  - 80b c d )x
+--R       + 
+--R               3   5        2 2   4         3 2 3      4 3 2  2
+--R         (5544a b d  + 1188a b c d  - 528a b c d  + 96b c d )x
+--R       + 
+--R               4 5        3     4        2 2 2 3         3 3 2       4 4
+--R         (2310a d  + 1848a b c d  - 1584a b c d  + 704a b c d  - 128b c d)x
+--R       + 
+--R              4   4        3   2 3        2 2 3 2          3 4        4 5
+--R         2310a c d  - 3696a b c d  + 3168a b c d  - 1408a b c d + 256b c
+--R    *
+--R        +-------+
+--R       \|d x + c
+--R  /
+--R          5
+--R     3465d
+--R                                                    Type: Expression(Integer)
+--E 1132
+
+--S 1133 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R             4 5 5           3 5      4   4  4
+--R         630b d x  + (3080a b d  + 70b c d )x
+--R       + 
+--R               2 2 5         3   4      4 2 3  3
+--R         (5940a b d  + 440a b c d  - 80b c d )x
+--R       + 
+--R               3   5        2 2   4         3 2 3      4 3 2  2
+--R         (5544a b d  + 1188a b c d  - 528a b c d  + 96b c d )x
+--R       + 
+--R               4 5        3     4        2 2 2 3         3 3 2       4 4
+--R         (2310a d  + 1848a b c d  - 1584a b c d  + 704a b c d  - 128b c d)x
+--R       + 
+--R              4   4        3   2 3        2 2 3 2          3 4        4 5
+--R         2310a c d  - 3696a b c d  + 3168a b c d  - 1408a b c d + 256b c
+--R    *
+--R        +-------+
+--R       \|d x + c
+--R  /
+--R          5
+--R     3465d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1133
+
+--S 1134 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1134
+
+--S 1135 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1135
+
+)clear all
+
+--S 1136 of 2952
+t0000:=(a+b*x)^3*(c+d*x)^(1/2)
+--R 
+--R
+--R          3 3       2 2     2       3  +-------+
+--R   (1)  (b x  + 3a b x  + 3a b x + a )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1136
+
+--S 1137 of 2952
+r0000:=-2/3*(b*c-a*d)^3*(c+d*x)^(3/2)/d^4+_
+     6/5*b*(b*c-a*d)^2*(c+d*x)^(5/2)/d^4-_
+     6/7*b^2*(b*c-a*d)*(c+d*x)^(7/2)/d^4+2/9*b^3*(c+d*x)^(9/2)/d^4
+--R 
+--R
+--R   (2)
+--R            3 4 4          2 4      3   3  3
+--R         70b d x  + (270a b d  + 10b c d )x
+--R       + 
+--R              2   4        2   3      3 2 2  2
+--R         (378a b d  + 54a b c d  - 12b c d )x
+--R       + 
+--R              3 4       2     3        2 2 2      3 3          3   3
+--R         (210a d  + 126a b c d  - 72a b c d  + 16b c d)x + 210a c d
+--R       + 
+--R               2   2 2         2 3       3 4
+--R         - 252a b c d  + 144a b c d - 32b c
+--R    *
+--R        +-------+
+--R       \|d x + c
+--R  /
+--R         4
+--R     315d
+--R                                                    Type: Expression(Integer)
+--E 1137
+
+--S 1138 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R            3 4 4          2 4      3   3  3
+--R         70b d x  + (270a b d  + 10b c d )x
+--R       + 
+--R              2   4        2   3      3 2 2  2
+--R         (378a b d  + 54a b c d  - 12b c d )x
+--R       + 
+--R              3 4       2     3        2 2 2      3 3          3   3
+--R         (210a d  + 126a b c d  - 72a b c d  + 16b c d)x + 210a c d
+--R       + 
+--R               2   2 2         2 3       3 4
+--R         - 252a b c d  + 144a b c d - 32b c
+--R    *
+--R        +-------+
+--R       \|d x + c
+--R  /
+--R         4
+--R     315d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1138
+
+--S 1139 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1139
+
+--S 1140 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1140
+
+)clear all
+
+--S 1141 of 2952
+t0000:=(a+b*x)^2*(c+d*x)^(1/2)
+--R 
+--R
+--R          2 2             2  +-------+
+--R   (1)  (b x  + 2a b x + a )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1141
+
+--S 1142 of 2952
+r0000:=2/3*(b*c-a*d)^2*(c+d*x)^(3/2)/d^3-4/5*b*(b*c-a*d)*(c+d*x)^(5/2)/d^3+_
+     2/7*b^2*(c+d*x)^(7/2)/d^3
+--R 
+--R
+--R   (2)
+--R            2 3 3           3     2   2  2       2 3            2     2 2
+--R         30b d x  + (84a b d  + 6b c d )x  + (70a d  + 28a b c d  - 8b c d)x
+--R       + 
+--R            2   2          2       2 3
+--R         70a c d  - 56a b c d + 16b c
+--R    *
+--R        +-------+
+--R       \|d x + c
+--R  /
+--R         3
+--R     105d
+--R                                                    Type: Expression(Integer)
+--E 1142
+
+--S 1143 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R            2 3 3           3     2   2  2       2 3            2     2 2
+--R         30b d x  + (84a b d  + 6b c d )x  + (70a d  + 28a b c d  - 8b c d)x
+--R       + 
+--R            2   2          2       2 3
+--R         70a c d  - 56a b c d + 16b c
+--R    *
+--R        +-------+
+--R       \|d x + c
+--R  /
+--R         3
+--R     105d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1143
+
+--S 1144 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1144
+
+--S 1145 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1145
+
+)clear all
+
+--S 1146 of 2952
+t0000:=(a+b*x)*(c+d*x)^(1/2)
+--R 
+--R
+--R                  +-------+
+--R   (1)  (b x + a)\|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1146
+
+--S 1147 of 2952
+r0000:=-2/3*(b*c-a*d)*(c+d*x)^(3/2)/d^2+2/5*b*(c+d*x)^(5/2)/d^2
+--R 
+--R
+--R             2 2         2                            2  +-------+
+--R        (6b d x  + (10a d  + 2b c d)x + 10a c d - 4b c )\|d x + c
+--R   (2)  ----------------------------------------------------------
+--R                                      2
+--R                                   15d
+--R                                                    Type: Expression(Integer)
+--E 1147
+
+--S 1148 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R             2 2         2                            2  +-------+
+--R        (6b d x  + (10a d  + 2b c d)x + 10a c d - 4b c )\|d x + c
+--R   (3)  ----------------------------------------------------------
+--R                                      2
+--R                                   15d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1148
+
+--S 1149 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1149
+
+--S 1150 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1150
+
+)clear all
+
+--S 1151 of 2952
+t0000:=(c+d*x)^(1/2)
+--R 
+--R
+--R         +-------+
+--R   (1)  \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1151
+
+--S 1152 of 2952
+r0000:=2/3*(c+d*x)^(3/2)/d
+--R 
+--R
+--R                    +-------+
+--R        (2d x + 2c)\|d x + c
+--R   (2)  ---------------------
+--R                  3d
+--R                                                    Type: Expression(Integer)
+--E 1152
+
+--S 1153 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                    +-------+
+--R        (2d x + 2c)\|d x + c
+--R   (3)  ---------------------
+--R                  3d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1153
+
+--S 1154 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1154
+
+--S 1155 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1155
+
+)clear all
+
+--S 1156 of 2952
+t0000:=(c+d*x)^(1/2)/(a+b*x)
+--R 
+--R
+--R         +-------+
+--R        \|d x + c
+--R   (1)  ----------
+--R          b x + a
+--R                                                    Type: Expression(Integer)
+--E 1156
+
+--S 1157 of 2952
+r0000:=-2*atanh(sqrt(b)*sqrt(c+d*x)/sqrt(b*c-a*d))*sqrt(b*c-a*d)/_
+     b^(3/2)+2*sqrt(c+d*x)/b
+--R 
+--R
+--R                                +-+ +-------+
+--R            +-----------+      \|b \|d x + c       +-+ +-------+
+--R        - 2\|- a d + b c atanh(--------------) + 2\|b \|d x + c
+--R                                +-----------+
+--R                               \|- a d + b c
+--R   (2)  --------------------------------------------------------
+--R                                    +-+
+--R                                  b\|b
+--R                                                    Type: Expression(Integer)
+--E 1157
+
+--S 1158 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                                +-----------+
+--R                                |- a d + b c  +-------+
+--R          +-----------+    - 2b |----------- \|d x + c  + b d x - a d + 2b c
+--R          |- a d + b c         \|     b
+--R          |----------- log(-------------------------------------------------)
+--R         \|     b                               b x + a
+--R       + 
+--R           +-------+
+--R         2\|d x + c
+--R    /
+--R       b
+--R     ,
+--R         +---------+       +-------+
+--R         |a d - b c       \|d x + c       +-------+
+--R    - 2  |--------- atan(------------ + 2\|d x + c
+--R        \|    b           +---------+
+--R                          |a d - b c
+--R                          |---------
+--R                         \|    b
+--R    -----------------------------------------------]
+--R                           b
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1158
+
+--S 1159 of 2952
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R   (4)
+--R                                  +-----------+
+--R                                  |- a d + b c  +-------+
+--R        +-----------+        - 2b |----------- \|d x + c  + b d x - a d + 2b c
+--R        |- a d + b c  +-+        \|     b
+--R        |----------- \|b log(-------------------------------------------------)
+--R       \|     b                                   b x + a
+--R     + 
+--R                             +-+ +-------+
+--R         +-----------+      \|b \|d x + c
+--R       2\|- a d + b c atanh(--------------)
+--R                             +-----------+
+--R                            \|- a d + b c
+--R  /
+--R       +-+
+--R     b\|b
+--R                                                    Type: Expression(Integer)
+--E 1159
+
+--S 1160 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1160
+
+--S 1161 of 2952
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R   (6)
+--R                         +-+ +-------+          +---------+       +-------+
+--R     +-----------+      \|b \|d x + c       +-+ |a d - b c       \|d x + c
+--R   2\|- a d + b c atanh(--------------) - 2\|b  |--------- atan(------------)
+--R                         +-----------+         \|    b           +---------+
+--R                        \|- a d + b c                            |a d - b c
+--R                                                                 |---------
+--R                                                                \|    b
+--R   --------------------------------------------------------------------------
+--R                                        +-+
+--R                                      b\|b
+--R                                                    Type: Expression(Integer)
+--E 1161
+
+--S 1162 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1162
+
+)clear all
+
+--S 1163 of 2952
+t0000:=(c+d*x)^(1/2)/(a+b*x)^2
+--R 
+--R
+--R             +-------+
+--R            \|d x + c
+--R   (1)  ------------------
+--R         2 2             2
+--R        b x  + 2a b x + a
+--R                                                    Type: Expression(Integer)
+--E 1163
+
+--S 1164 of 2952
+r0000:=-d*atanh(sqrt(b)*sqrt(c+d*x)/sqrt(b*c-a*d))/(b^(3/2)*sqrt(b*c-a*d))-_
+     sqrt(c+d*x)/(b*(a+b*x))
+--R 
+--R
+--R                              +-+ +-------+
+--R                             \|b \|d x + c      +-----------+ +-+ +-------+
+--R        (- b d x - a d)atanh(--------------) - \|- a d + b c \|b \|d x + c
+--R                              +-----------+
+--R                             \|- a d + b c
+--R   (2)  -------------------------------------------------------------------
+--R                             2         +-----------+ +-+
+--R                           (b x + a b)\|- a d + b c \|b
+--R                                                    Type: Expression(Integer)
+--E 1164
+
+--S 1165 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R           (b d x + a d)
+--R        *
+--R                                                              +-------------+
+--R                         2   +-------+                        |           2
+--R             (2a b d - 2b c)\|d x + c  + (b d x - a d + 2b c)\|- a b d + b c
+--R         log(----------------------------------------------------------------)
+--R                                          b x + a
+--R       + 
+--R             +-------------+
+--R             |           2   +-------+
+--R         - 2\|- a b d + b c \|d x + c
+--R    /
+--R                     +-------------+
+--R          2          |           2
+--R       (2b x + 2a b)\|- a b d + b c
+--R     ,
+--R                       +-----------+
+--R                       |         2   +-------+     +-----------+
+--R                      \|a b d - b c \|d x + c      |         2   +-------+
+--R    (b d x + a d)atan(------------------------) - \|a b d - b c \|d x + c
+--R                              a d - b c
+--R    ----------------------------------------------------------------------]
+--R                                       +-----------+
+--R                             2         |         2
+--R                           (b x + a b)\|a b d - b c
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1165
+
+--S 1166 of 2952
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R   (4)
+--R           +-----------+ +-+
+--R         d\|- a d + b c \|b
+--R      *
+--R                                                              +-------------+
+--R                         2   +-------+                        |           2
+--R             (2a b d - 2b c)\|d x + c  + (b d x - a d + 2b c)\|- a b d + b c
+--R         log(----------------------------------------------------------------)
+--R                                          b x + a
+--R     + 
+--R          +-------------+       +-+ +-------+
+--R          |           2        \|b \|d x + c
+--R       2d\|- a b d + b c atanh(--------------)
+--R                                +-----------+
+--R                               \|- a d + b c
+--R  /
+--R        +-------------+
+--R        |           2   +-----------+ +-+
+--R     2b\|- a b d + b c \|- a d + b c \|b
+--R                                                    Type: Expression(Integer)
+--E 1166
+
+--S 1167 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1167
+
+--S 1168 of 2952
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R   (6)
+--R         +-----------+       +-+ +-------+
+--R         |         2        \|b \|d x + c
+--R       d\|a b d - b c atanh(--------------)
+--R                             +-----------+
+--R                            \|- a d + b c
+--R     + 
+--R                                +-----------+
+--R                                |         2   +-------+
+--R         +-----------+ +-+     \|a b d - b c \|d x + c
+--R       d\|- a d + b c \|b atan(------------------------)
+--R                                       a d - b c
+--R  /
+--R                         +-----------+
+--R       +-----------+ +-+ |         2
+--R     b\|- a d + b c \|b \|a b d - b c
+--R                                                    Type: Expression(Integer)
+--E 1168
+
+--S 1169 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1169
+
+)clear all
+
+--S 1170 of 2952
+t0000:=(c+d*x)^(1/2)/(a+b*x)^3
+--R 
+--R
+--R                  +-------+
+--R                 \|d x + c
+--R   (1)  ----------------------------
+--R         3 3       2 2     2       3
+--R        b x  + 3a b x  + 3a b x + a
+--R                                                    Type: Expression(Integer)
+--E 1170
+
+--S 1171 of 2952
+r0000:=1/4*d^2*atanh(sqrt(b)*sqrt(c+d*x)/sqrt(b*c-a*d))/_
+     (b^(3/2)*(b*c-a*d)^(3/2))-1/2*sqrt(c+d*x)/(b*(a+b*x)^2)-_
+     1/4*d*sqrt(c+d*x)/(b*(b*c-a*d)*(a+b*x))
+--R 
+--R
+--R   (2)
+--R                                          +-+ +-------+
+--R           2 2 2         2     2 2       \|b \|d x + c
+--R       (- b d x  - 2a b d x - a d )atanh(--------------)
+--R                                          +-----------+
+--R                                         \|- a d + b c
+--R     + 
+--R                            +-----------+ +-+ +-------+
+--R       (b d x - a d + 2b c)\|- a d + b c \|b \|d x + c
+--R  /
+--R             3      4   2      2 2        3        3        2 2   +-----------+
+--R       ((4a b d - 4b c)x  + (8a b d - 8a b c)x + 4a b d - 4a b c)\|- a d + b c
+--R    *
+--R        +-+
+--R       \|b
+--R                                                    Type: Expression(Integer)
+--E 1171
+
+--S 1172 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R             2 2 2         2     2 2
+--R           (b d x  + 2a b d x + a d )
+--R        *
+--R                                                              +-------------+
+--R                         2   +-------+                        |           2
+--R             (2a b d - 2b c)\|d x + c  + (b d x - a d + 2b c)\|- a b d + b c
+--R         log(----------------------------------------------------------------)
+--R                                          b x + a
+--R       + 
+--R                                +-------------+
+--R                                |           2   +-------+
+--R         (2b d x - 2a d + 4b c)\|- a b d + b c \|d x + c
+--R    /
+--R               3      4   2       2 2         3        3        2 2
+--R         ((8a b d - 8b c)x  + (16a b d - 16a b c)x + 8a b d - 8a b c)
+--R      *
+--R          +-------------+
+--R          |           2
+--R         \|- a b d + b c
+--R     ,
+--R
+--R                                         +-----------+
+--R                                         |         2   +-------+
+--R           2 2 2         2     2 2      \|a b d - b c \|d x + c
+--R         (b d x  + 2a b d x + a d )atan(------------------------)
+--R                                                a d - b c
+--R       + 
+--R                              +-----------+
+--R                              |         2   +-------+
+--R         (b d x - a d + 2b c)\|a b d - b c \|d x + c
+--R    /
+--R                                                                  +-----------+
+--R             3      4   2      2 2        3        3        2 2   |         2
+--R       ((4a b d - 4b c)x  + (8a b d - 8a b c)x + 4a b d - 4a b c)\|a b d - b c
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1172
+
+--S 1173 of 2952
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R   (4)
+--R          2 +-----------+ +-+
+--R         d \|- a d + b c \|b
+--R      *
+--R                                                              +-------------+
+--R                         2   +-------+                        |           2
+--R             (2a b d - 2b c)\|d x + c  + (b d x - a d + 2b c)\|- a b d + b c
+--R         log(----------------------------------------------------------------)
+--R                                          b x + a
+--R     + 
+--R           +-------------+       +-+ +-------+
+--R         2 |           2        \|b \|d x + c
+--R       2d \|- a b d + b c atanh(--------------)
+--R                                 +-----------+
+--R                                \|- a d + b c
+--R  /
+--R                     +-------------+
+--R                 2   |           2   +-----------+ +-+
+--R     (8a b d - 8b c)\|- a b d + b c \|- a d + b c \|b
+--R                                                    Type: Expression(Integer)
+--E 1173
+
+--S 1174 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1174
+
+--S 1175 of 2952
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R   (6)
+--R          +-----------+       +-+ +-------+
+--R        2 |         2        \|b \|d x + c
+--R       d \|a b d - b c atanh(--------------)
+--R                              +-----------+
+--R                             \|- a d + b c
+--R     + 
+--R                                 +-----------+
+--R                                 |         2   +-------+
+--R        2 +-----------+ +-+     \|a b d - b c \|d x + c
+--R       d \|- a d + b c \|b atan(------------------------)
+--R                                        a d - b c
+--R  /
+--R                                       +-----------+
+--R                 2   +-----------+ +-+ |         2
+--R     (4a b d - 4b c)\|- a d + b c \|b \|a b d - b c
+--R                                                    Type: Expression(Integer)
+--E 1175
+
+--S 1176 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1176
+
+)clear all
+
+--S 1177 of 2952
+t0000:=(c+d*x)^(1/2)/(a+b*x)^4
+--R 
+--R
+--R                       +-------+
+--R                      \|d x + c
+--R   (1)  --------------------------------------
+--R         4 4       3 3     2 2 2     3       4
+--R        b x  + 4a b x  + 6a b x  + 4a b x + a
+--R                                                    Type: Expression(Integer)
+--E 1177
+
+--S 1178 of 2952
+r0000:=-1/8*d^3*atanh(sqrt(b)*sqrt(c+d*x)/sqrt(b*c-a*d))/_
+     (b^(3/2)*(b*c-a*d)^(5/2))-1/3*sqrt(c+d*x)/(b*(a+b*x)^3)-_
+     1/12*d*sqrt(c+d*x)/(b*(b*c-a*d)*(a+b*x)^2)+_
+     1/8*d^2*sqrt(c+d*x)/(b*(b*c-a*d)^2*(a+b*x))
+--R 
+--R
+--R   (2)
+--R                                                        +-+ +-------+
+--R            3 3 3       2 3 2     2   3      3 3       \|b \|d x + c
+--R       (- 3b d x  - 9a b d x  - 9a b d x - 3a d )atanh(--------------)
+--R                                                        +-----------+
+--R                                                       \|- a d + b c
+--R     + 
+--R            2 2 2          2     2          2 2                 2 2
+--R         (3b d x  + (8a b d  - 2b c d)x - 3a d  + 14a b c d - 8b c )
+--R      *
+--R          +-----------+ +-+ +-------+
+--R         \|- a d + b c \|b \|d x + c
+--R  /
+--R             2 4 2        5         6 2  3
+--R         (24a b d  - 48a b c d + 24b c )x
+--R       + 
+--R             3 3 2       2 4           5 2  2
+--R         (72a b d  - 144a b c d + 72a b c )x
+--R       + 
+--R             4 2 2       3 3         2 4 2        5   2      4 2         3 3 2
+--R         (72a b d  - 144a b c d + 72a b c )x + 24a b d  - 48a b c d + 24a b c
+--R    *
+--R        +-----------+ +-+
+--R       \|- a d + b c \|b
+--R                                                    Type: Expression(Integer)
+--E 1178
+
+--S 1179 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R              3 3 3       2 3 2     2   3      3 3
+--R           (3b d x  + 9a b d x  + 9a b d x + 3a d )
+--R        *
+--R                                                              +-------------+
+--R                         2   +-------+                        |           2
+--R             (2a b d - 2b c)\|d x + c  + (b d x - a d + 2b c)\|- a b d + b c
+--R         log(----------------------------------------------------------------)
+--R                                          b x + a
+--R       + 
+--R              2 2 2           2     2          2 2                  2 2
+--R           (6b d x  + (16a b d  - 4b c d)x - 6a d  + 28a b c d - 16b c )
+--R        *
+--R            +-------------+
+--R            |           2   +-------+
+--R           \|- a b d + b c \|d x + c
+--R    /
+--R               2 4 2        5         6 2  3
+--R           (48a b d  - 96a b c d + 48b c )x
+--R         + 
+--R                3 3 2       2 4            5 2  2
+--R           (144a b d  - 288a b c d + 144a b c )x
+--R         + 
+--R              4 2 2       3 3          2 4 2        5   2      4 2         3 3 2
+--R         (144a b d  - 288a b c d + 144a b c )x + 48a b d  - 96a b c d + 48a b c
+--R      *
+--R          +-------------+
+--R          |           2
+--R         \|- a b d + b c
+--R     ,
+--R
+--R                                                       +-----------+
+--R                                                       |         2   +-------+
+--R            3 3 3       2 3 2     2   3      3 3      \|a b d - b c \|d x + c
+--R         (3b d x  + 9a b d x  + 9a b d x + 3a d )atan(------------------------)
+--R                                                              a d - b c
+--R       + 
+--R              2 2 2          2     2          2 2                 2 2
+--R           (3b d x  + (8a b d  - 2b c d)x - 3a d  + 14a b c d - 8b c )
+--R        *
+--R            +-----------+
+--R            |         2   +-------+
+--R           \|a b d - b c \|d x + c
+--R    /
+--R               2 4 2        5         6 2  3
+--R           (24a b d  - 48a b c d + 24b c )x
+--R         + 
+--R               3 3 2       2 4           5 2  2
+--R           (72a b d  - 144a b c d + 72a b c )x
+--R         + 
+--R             4 2 2       3 3         2 4 2        5   2      4 2         3 3 2
+--R         (72a b d  - 144a b c d + 72a b c )x + 24a b d  - 48a b c d + 24a b c
+--R      *
+--R          +-----------+
+--R          |         2
+--R         \|a b d - b c
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1179
+
+--S 1180 of 2952
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R   (4)
+--R          3 +-----------+ +-+
+--R         d \|- a d + b c \|b
+--R      *
+--R                                                              +-------------+
+--R                         2   +-------+                        |           2
+--R             (2a b d - 2b c)\|d x + c  + (b d x - a d + 2b c)\|- a b d + b c
+--R         log(----------------------------------------------------------------)
+--R                                          b x + a
+--R     + 
+--R           +-------------+       +-+ +-------+
+--R         3 |           2        \|b \|d x + c
+--R       2d \|- a b d + b c atanh(--------------)
+--R                                 +-----------+
+--R                                \|- a d + b c
+--R  /
+--R                                     +-------------+
+--R         2   2        2         3 2  |           2   +-----------+ +-+
+--R     (16a b d  - 32a b c d + 16b c )\|- a b d + b c \|- a d + b c \|b
+--R                                                    Type: Expression(Integer)
+--E 1180
+
+--S 1181 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1181
+
+--S 1182 of 2952
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R   (6)
+--R          +-----------+       +-+ +-------+
+--R        3 |         2        \|b \|d x + c
+--R       d \|a b d - b c atanh(--------------)
+--R                              +-----------+
+--R                             \|- a d + b c
+--R     + 
+--R                                 +-----------+
+--R                                 |         2   +-------+
+--R        3 +-----------+ +-+     \|a b d - b c \|d x + c
+--R       d \|- a d + b c \|b atan(------------------------)
+--R                                        a d - b c
+--R  /
+--R                                                     +-----------+
+--R        2   2        2        3 2  +-----------+ +-+ |         2
+--R     (8a b d  - 16a b c d + 8b c )\|- a d + b c \|b \|a b d - b c
+--R                                                    Type: Expression(Integer)
+--E 1182
+
+--S 1183 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1183
+
+)clear all
+
+--S 1184 of 2952
+t0000:=(c+d*x)^(1/2)/(a+b*x)^5
+--R 
+--R
+--R                             +-------+
+--R                            \|d x + c
+--R   (1)  --------------------------------------------------
+--R         5 5       4 4      2 3 3      3 2 2     4       5
+--R        b x  + 5a b x  + 10a b x  + 10a b x  + 5a b x + a
+--R                                                    Type: Expression(Integer)
+--E 1184
+
+--S 1185 of 2952
+r0000:=5/64*d^4*atanh(sqrt(b)*sqrt(c+d*x)/sqrt(b*c-a*d))/_
+     (b^(3/2)*(b*c-a*d)^(7/2))-1/4*sqrt(c+d*x)/(b*(a+b*x)^4)-_
+     1/24*d*sqrt(c+d*x)/(b*(b*c-a*d)*(a+b*x)^3)+_
+     5/96*d^2*sqrt(c+d*x)/(b*(b*c-a*d)^2*(a+b*x)^2)-_
+     5/64*d^3*sqrt(c+d*x)/(b*(b*c-a*d)^3*(a+b*x))
+--R 
+--R
+--R   (2)
+--R               4 4 4        3 4 3      2 2 4 2      3   4       4 4
+--R         (- 15b d x  - 60a b d x  - 90a b d x  - 60a b d x - 15a d )
+--R      *
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R         atanh(--------------)
+--R                +-----------+
+--R               \|- a d + b c
+--R     + 
+--R              3 3 3         2 3      3   2  2
+--R           15b d x  + (55a b d  - 10b c d )x
+--R         + 
+--R               2   3        2   2     3 2         3 3       2     2         2 2
+--R           (73a b d  - 36a b c d  + 8b c d)x - 15a d  + 118a b c d  - 136a b c d
+--R         + 
+--R              3 3
+--R           48b c
+--R      *
+--R          +-----------+ +-+ +-------+
+--R         \|- a d + b c \|b \|d x + c
+--R  /
+--R              3 5 3       2 6   2         7 2        8 3  4
+--R         (192a b d  - 576a b c d  + 576a b c d - 192b c )x
+--R       + 
+--R              4 4 3        3 5   2        2 6 2          7 3  3
+--R         (768a b d  - 2304a b c d  + 2304a b c d - 768a b c )x
+--R       + 
+--R               5 3 3        4 4   2        3 5 2         2 6 3  2
+--R         (1152a b d  - 3456a b c d  + 3456a b c d - 1152a b c )x
+--R       + 
+--R              6 2 3        5 3   2        4 4 2        3 5 3         7   3
+--R         (768a b d  - 2304a b c d  + 2304a b c d - 768a b c )x + 192a b d
+--R       + 
+--R               6 2   2       5 3 2        4 4 3
+--R         - 576a b c d  + 576a b c d - 192a b c
+--R    *
+--R        +-----------+ +-+
+--R       \|- a d + b c \|b
+--R                                                    Type: Expression(Integer)
+--E 1185
+
+--S 1186 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R               4 4 4        3 4 3      2 2 4 2      3   4       4 4
+--R           (15b d x  + 60a b d x  + 90a b d x  + 60a b d x + 15a d )
+--R        *
+--R                                                              +-------------+
+--R                         2   +-------+                        |           2
+--R             (2a b d - 2b c)\|d x + c  + (b d x - a d + 2b c)\|- a b d + b c
+--R         log(----------------------------------------------------------------)
+--R                                          b x + a
+--R       + 
+--R                3 3 3          2 3      3   2  2
+--R             30b d x  + (110a b d  - 20b c d )x
+--R           + 
+--R                  2   3        2   2      3 2         3 3       2     2
+--R             (146a b d  - 72a b c d  + 16b c d)x - 30a d  + 236a b c d
+--R           + 
+--R                     2 2       3 3
+--R             - 272a b c d + 96b c
+--R        *
+--R            +-------------+
+--R            |           2   +-------+
+--R           \|- a b d + b c \|d x + c
+--R    /
+--R                3 5 3        2 6   2          7 2        8 3  4
+--R           (384a b d  - 1152a b c d  + 1152a b c d - 384b c )x
+--R         + 
+--R                 4 4 3        3 5   2        2 6 2           7 3  3
+--R           (1536a b d  - 4608a b c d  + 4608a b c d - 1536a b c )x
+--R         + 
+--R                 5 3 3        4 4   2        3 5 2         2 6 3  2
+--R           (2304a b d  - 6912a b c d  + 6912a b c d - 2304a b c )x
+--R         + 
+--R                 6 2 3        5 3   2        4 4 2         3 5 3         7   3
+--R           (1536a b d  - 4608a b c d  + 4608a b c d - 1536a b c )x + 384a b d
+--R         + 
+--R                  6 2   2        5 3 2        4 4 3
+--R           - 1152a b c d  + 1152a b c d - 384a b c
+--R      *
+--R          +-------------+
+--R          |           2
+--R         \|- a b d + b c
+--R     ,
+--R
+--R               4 4 4        3 4 3      2 2 4 2      3   4       4 4
+--R           (15b d x  + 60a b d x  + 90a b d x  + 60a b d x + 15a d )
+--R        *
+--R                 +-----------+
+--R                 |         2   +-------+
+--R                \|a b d - b c \|d x + c
+--R           atan(------------------------)
+--R                        a d - b c
+--R       + 
+--R                3 3 3         2 3      3   2  2
+--R             15b d x  + (55a b d  - 10b c d )x
+--R           + 
+--R                 2   3        2   2     3 2         3 3       2     2
+--R             (73a b d  - 36a b c d  + 8b c d)x - 15a d  + 118a b c d
+--R           + 
+--R                     2 2       3 3
+--R             - 136a b c d + 48b c
+--R        *
+--R            +-----------+
+--R            |         2   +-------+
+--R           \|a b d - b c \|d x + c
+--R    /
+--R                3 5 3       2 6   2         7 2        8 3  4
+--R           (192a b d  - 576a b c d  + 576a b c d - 192b c )x
+--R         + 
+--R                4 4 3        3 5   2        2 6 2          7 3  3
+--R           (768a b d  - 2304a b c d  + 2304a b c d - 768a b c )x
+--R         + 
+--R                 5 3 3        4 4   2        3 5 2         2 6 3  2
+--R           (1152a b d  - 3456a b c d  + 3456a b c d - 1152a b c )x
+--R         + 
+--R                6 2 3        5 3   2        4 4 2        3 5 3         7   3
+--R           (768a b d  - 2304a b c d  + 2304a b c d - 768a b c )x + 192a b d
+--R         + 
+--R                 6 2   2       5 3 2        4 4 3
+--R           - 576a b c d  + 576a b c d - 192a b c
+--R      *
+--R          +-----------+
+--R          |         2
+--R         \|a b d - b c
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1186
+
+--S 1187 of 2952
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R   (4)
+--R           4 +-----------+ +-+
+--R         5d \|- a d + b c \|b
+--R      *
+--R                                                              +-------------+
+--R                         2   +-------+                        |           2
+--R             (2a b d - 2b c)\|d x + c  + (b d x - a d + 2b c)\|- a b d + b c
+--R         log(----------------------------------------------------------------)
+--R                                          b x + a
+--R     + 
+--R            +-------------+       +-+ +-------+
+--R          4 |           2        \|b \|d x + c
+--R       10d \|- a b d + b c atanh(--------------)
+--R                                  +-----------+
+--R                                 \|- a d + b c
+--R  /
+--R                                                        +-------------+
+--R            3   3       2 2   2         3 2        4 3  |           2
+--R       (128a b d  - 384a b c d  + 384a b c d - 128b c )\|- a b d + b c
+--R    *
+--R        +-----------+ +-+
+--R       \|- a d + b c \|b
+--R                                                    Type: Expression(Integer)
+--E 1187
+
+--S 1188 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1188
+
+--S 1189 of 2952
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R   (6)
+--R           +-----------+       +-+ +-------+
+--R         4 |         2        \|b \|d x + c
+--R       5d \|a b d - b c atanh(--------------)
+--R                               +-----------+
+--R                              \|- a d + b c
+--R     + 
+--R                                  +-----------+
+--R                                  |         2   +-------+
+--R         4 +-----------+ +-+     \|a b d - b c \|d x + c
+--R       5d \|- a d + b c \|b atan(------------------------)
+--R                                         a d - b c
+--R  /
+--R           3   3       2 2   2         3 2       4 3  +-----------+ +-+
+--R       (64a b d  - 192a b c d  + 192a b c d - 64b c )\|- a d + b c \|b
+--R    *
+--R        +-----------+
+--R        |         2
+--R       \|a b d - b c
+--R                                                    Type: Expression(Integer)
+--E 1189
+
+--S 1190 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1190
+
+)clear all
+
+--S 1191 of 2952
+t0000:=(c+d*x)^(1/2)/(a+b*x)^6
+--R 
+--R
+--R                                   +-------+
+--R                                  \|d x + c
+--R   (1)  -------------------------------------------------------------
+--R         6 6       5 5      2 4 4      3 3 3      4 2 2     5       6
+--R        b x  + 6a b x  + 15a b x  + 20a b x  + 15a b x  + 6a b x + a
+--R                                                    Type: Expression(Integer)
+--E 1191
+
+--S 1192 of 2952
+r0000:=-7/128*d^5*atanh(sqrt(b)*sqrt(c+d*x)/sqrt(b*c-a*d))/_
+     (b^(3/2)*(b*c-a*d)^(9/2))-1/5*sqrt(c+d*x)/(b*(a+b*x)^5)-_
+     1/40*d*sqrt(c+d*x)/(b*(b*c-a*d)*(a+b*x)^4)+_
+     7/240*d^2*sqrt(c+d*x)/(b*(b*c-a*d)^2*(a+b*x)^3)-_
+     7/192*d^3*sqrt(c+d*x)/(b*(b*c-a*d)^3*(a+b*x)^2)+_
+     7/128*d^4*sqrt(c+d*x)/(b*(b*c-a*d)^4*(a+b*x))
+--R 
+--R
+--R   (2)
+--R                 5 5 5         4 5 4        2 3 5 3        3 2 5 2       4   5
+--R           - 105b d x  - 525a b d x  - 1050a b d x  - 1050a b d x  - 525a b d x
+--R         + 
+--R                 5 5
+--R           - 105a d
+--R      *
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R         atanh(--------------)
+--R                +-----------+
+--R               \|- a d + b c
+--R     + 
+--R               4 4 4          3 4      4   3  3
+--R           105b d x  + (490a b d  - 70b c d )x
+--R         + 
+--R                2 2 4         3   3      4 2 2  2
+--R           (896a b d  - 322a b c d  + 56b c d )x
+--R         + 
+--R                3   4       2 2   3         3 2 2      4 3          4 4
+--R           (790a b d  - 578a b c d  + 256a b c d  - 48b c d)x - 105a d
+--R         + 
+--R                3     3        2 2 2 2          3 3        4 4
+--R           1210a b c d  - 2104a b c d  + 1488a b c d - 384b c
+--R      *
+--R          +-----------+ +-+ +-------+
+--R         \|- a d + b c \|b \|d x + c
+--R  /
+--R               4 6 4        3 7   3         2 8 2 2          9 3         10 4  5
+--R         (1920a b d  - 7680a b c d  + 11520a b c d  - 7680a b c d + 1920b  c )x
+--R       + 
+--R                  5 5 4         4 6   3         3 7 2 2         2 8 3
+--R             9600a b d  - 38400a b c d  + 57600a b c d  - 38400a b c d
+--R           + 
+--R                    9 4
+--R             9600a b c
+--R        *
+--R            4
+--R           x
+--R       + 
+--R                   6 4 4         5 5   3          4 6 2 2         3 7 3
+--R             19200a b d  - 76800a b c d  + 115200a b c d  - 76800a b c d
+--R           + 
+--R                   2 8 4
+--R             19200a b c
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                   7 3 4         6 4   3          5 5 2 2         4 6 3
+--R             19200a b d  - 76800a b c d  + 115200a b c d  - 76800a b c d
+--R           + 
+--R                   3 7 4
+--R             19200a b c
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                  8 2 4         7 3   3         6 4 2 2         5 5 3
+--R             9600a b d  - 38400a b c d  + 57600a b c d  - 38400a b c d
+--R           + 
+--R                  4 6 4
+--R             9600a b c
+--R        *
+--R           x
+--R       + 
+--R              9   4        8 2   3         7 3 2 2        6 4 3         5 5 4
+--R         1920a b d  - 7680a b c d  + 11520a b c d  - 7680a b c d + 1920a b c
+--R    *
+--R        +-----------+ +-+
+--R       \|- a d + b c \|b
+--R                                                    Type: Expression(Integer)
+--E 1192
+
+--S 1193 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                 5 5 5         4 5 4        2 3 5 3        3 2 5 2       4   5
+--R             105b d x  + 525a b d x  + 1050a b d x  + 1050a b d x  + 525a b d x
+--R           + 
+--R                 5 5
+--R             105a d
+--R        *
+--R                                                              +-------------+
+--R                         2   +-------+                        |           2
+--R             (2a b d - 2b c)\|d x + c  + (b d x - a d + 2b c)\|- a b d + b c
+--R         log(----------------------------------------------------------------)
+--R                                          b x + a
+--R       + 
+--R                 4 4 4          3 4       4   3  3
+--R             210b d x  + (980a b d  - 140b c d )x
+--R           + 
+--R                   2 2 4         3   3       4 2 2  2
+--R             (1792a b d  - 644a b c d  + 112b c d )x
+--R           + 
+--R                   3   4        2 2   3         3 2 2      4 3          4 4
+--R             (1580a b d  - 1156a b c d  + 512a b c d  - 96b c d)x - 210a d
+--R           + 
+--R                  3     3        2 2 2 2          3 3        4 4
+--R             2420a b c d  - 4208a b c d  + 2976a b c d - 768b c
+--R        *
+--R            +-------------+
+--R            |           2   +-------+
+--R           \|- a b d + b c \|d x + c
+--R    /
+--R                    4 6 4         3 7   3         2 8 2 2           9 3
+--R               3840a b d  - 15360a b c d  + 23040a b c d  - 15360a b c d
+--R             + 
+--R                    10 4
+--R               3840b  c
+--R          *
+--R              5
+--R             x
+--R         + 
+--R                     5 5 4         4 6   3          3 7 2 2         2 8 3
+--R               19200a b d  - 76800a b c d  + 115200a b c d  - 76800a b c d
+--R             + 
+--R                       9 4
+--R               19200a b c
+--R          *
+--R              4
+--R             x
+--R         + 
+--R                     6 4 4          5 5   3          4 6 2 2          3 7 3
+--R               38400a b d  - 153600a b c d  + 230400a b c d  - 153600a b c d
+--R             + 
+--R                     2 8 4
+--R               38400a b c
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                     7 3 4          6 4   3          5 5 2 2          4 6 3
+--R               38400a b d  - 153600a b c d  + 230400a b c d  - 153600a b c d
+--R             + 
+--R                     3 7 4
+--R               38400a b c
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                     8 2 4         7 3   3          6 4 2 2         5 5 3
+--R               19200a b d  - 76800a b c d  + 115200a b c d  - 76800a b c d
+--R             + 
+--R                     4 6 4
+--R               19200a b c
+--R          *
+--R             x
+--R         + 
+--R              9   4         8 2   3         7 3 2 2         6 4 3         5 5 4
+--R         3840a b d  - 15360a b c d  + 23040a b c d  - 15360a b c d + 3840a b c
+--R      *
+--R          +-------------+
+--R          |           2
+--R         \|- a b d + b c
+--R     ,
+--R
+--R                 5 5 5         4 5 4        2 3 5 3        3 2 5 2       4   5
+--R             105b d x  + 525a b d x  + 1050a b d x  + 1050a b d x  + 525a b d x
+--R           + 
+--R                 5 5
+--R             105a d
+--R        *
+--R                 +-----------+
+--R                 |         2   +-------+
+--R                \|a b d - b c \|d x + c
+--R           atan(------------------------)
+--R                        a d - b c
+--R       + 
+--R                 4 4 4          3 4      4   3  3
+--R             105b d x  + (490a b d  - 70b c d )x
+--R           + 
+--R                  2 2 4         3   3      4 2 2  2
+--R             (896a b d  - 322a b c d  + 56b c d )x
+--R           + 
+--R                  3   4       2 2   3         3 2 2      4 3          4 4
+--R             (790a b d  - 578a b c d  + 256a b c d  - 48b c d)x - 105a d
+--R           + 
+--R                  3     3        2 2 2 2          3 3        4 4
+--R             1210a b c d  - 2104a b c d  + 1488a b c d - 384b c
+--R        *
+--R            +-----------+
+--R            |         2   +-------+
+--R           \|a b d - b c \|d x + c
+--R    /
+--R                      4 6 4        3 7   3         2 8 2 2          9 3
+--R                 1920a b d  - 7680a b c d  + 11520a b c d  - 7680a b c d
+--R               + 
+--R                      10 4
+--R                 1920b  c
+--R          *
+--R              5
+--R             x
+--R         + 
+--R                    5 5 4         4 6   3         3 7 2 2         2 8 3
+--R               9600a b d  - 38400a b c d  + 57600a b c d  - 38400a b c d
+--R             + 
+--R                      9 4
+--R               9600a b c
+--R          *
+--R              4
+--R             x
+--R         + 
+--R                     6 4 4         5 5   3          4 6 2 2         3 7 3
+--R               19200a b d  - 76800a b c d  + 115200a b c d  - 76800a b c d
+--R             + 
+--R                     2 8 4
+--R               19200a b c
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                     7 3 4         6 4   3          5 5 2 2         4 6 3
+--R               19200a b d  - 76800a b c d  + 115200a b c d  - 76800a b c d
+--R             + 
+--R                     3 7 4
+--R               19200a b c
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                    8 2 4         7 3   3         6 4 2 2         5 5 3
+--R               9600a b d  - 38400a b c d  + 57600a b c d  - 38400a b c d
+--R             + 
+--R                    4 6 4
+--R               9600a b c
+--R          *
+--R             x
+--R         + 
+--R                9   4        8 2   3         7 3 2 2        6 4 3         5 5 4
+--R           1920a b d  - 7680a b c d  + 11520a b c d  - 7680a b c d + 1920a b c
+--R      *
+--R          +-----------+
+--R          |         2
+--R         \|a b d - b c
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1193
+
+--S 1194 of 2952
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R   (4)
+--R           5 +-----------+ +-+
+--R         7d \|- a d + b c \|b
+--R      *
+--R                                                              +-------------+
+--R                         2   +-------+                        |           2
+--R             (2a b d - 2b c)\|d x + c  + (b d x - a d + 2b c)\|- a b d + b c
+--R         log(----------------------------------------------------------------)
+--R                                          b x + a
+--R     + 
+--R            +-------------+       +-+ +-------+
+--R          5 |           2        \|b \|d x + c
+--R       14d \|- a b d + b c atanh(--------------)
+--R                                  +-----------+
+--R                                 \|- a d + b c
+--R  /
+--R            4   4        3 2   3        2 3 2 2          4 3        5 4
+--R       (256a b d  - 1024a b c d  + 1536a b c d  - 1024a b c d + 256b c )
+--R    *
+--R        +-------------+
+--R        |           2   +-----------+ +-+
+--R       \|- a b d + b c \|- a d + b c \|b
+--R                                                    Type: Expression(Integer)
+--E 1194
+
+--S 1195 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1195
+
+--S 1196 of 2952
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R   (6)
+--R           +-----------+       +-+ +-------+
+--R         5 |         2        \|b \|d x + c
+--R       7d \|a b d - b c atanh(--------------)
+--R                               +-----------+
+--R                              \|- a d + b c
+--R     + 
+--R                                  +-----------+
+--R                                  |         2   +-------+
+--R         5 +-----------+ +-+     \|a b d - b c \|d x + c
+--R       7d \|- a d + b c \|b atan(------------------------)
+--R                                         a d - b c
+--R  /
+--R            4   4       3 2   3       2 3 2 2         4 3        5 4
+--R       (128a b d  - 512a b c d  + 768a b c d  - 512a b c d + 128b c )
+--R    *
+--R                          +-----------+
+--R        +-----------+ +-+ |         2
+--R       \|- a d + b c \|b \|a b d - b c
+--R                                                    Type: Expression(Integer)
+--E 1196
+
+--S 1197 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1197
+
+)clear all
+
+--S 1198 of 2952
+t0000:=(a+b*x)^5*(c+d*x)^(3/2)
+--R 
+--R
+--R   (1)
+--R        5   6        4     5   5       2 3        4   4       3 2       2 3   3
+--R       b d x  + (5a b d + b c)x  + (10a b d + 5a b c)x  + (10a b d + 10a b c)x
+--R     + 
+--R          4         3 2   2     5      4         5
+--R       (5a b d + 10a b c)x  + (a d + 5a b c)x + a c
+--R  *
+--R      +-------+
+--R     \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1198
+
+--S 1199 of 2952
+r0000:=-2/5*(b*c-a*d)^5*(c+d*x)^(5/2)/d^6+10/7*b*(b*c-a*d)^4*_
+     (c+d*x)^(7/2)/d^6-20/9*b^2*(b*c-a*d)^3*(c+d*x)^(9/2)/d^6+_
+     20/11*b^3*(b*c-a*d)^2*(c+d*x)^(11/2)/d^6-_
+     10/13*b^4*(b*c-a*d)*(c+d*x)^(13/2)/d^6+2/15*b^5*(c+d*x)^(15/2)/d^6
+--R 
+--R
+--R   (2)
+--R              5 7 7            4 7        5   6  6
+--R         6006b d x  + (34650a b d  + 7392b c d )x
+--R       + 
+--R                2 3 7           4   6       5 2 5  5
+--R         (81900a b d  + 44100a b c d  + 126b c d )x
+--R       + 
+--R                 3 2 7          2 3   6          4 2 5       5 3 4  4
+--R         (100100a b d  + 109200a b c d  + 1050a b c d  - 140b c d )x
+--R       + 
+--R                   4   7          3 2   6        2 3 2 5          4 3 4
+--R             64350a b d  + 143000a b c d  + 3900a b c d  - 1200a b c d
+--R           + 
+--R                 5 4 3
+--R             160b c d
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                   5 7          4     6        3 2 2 5        2 3 3 4
+--R             18018a d  + 102960a b c d  + 8580a b c d  - 4680a b c d
+--R           + 
+--R                    4 4 3       5 5 2
+--R             1440a b c d  - 192b c d
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                   5   6         4   2 5         3 2 3 4        2 3 4 3
+--R             36036a c d  + 12870a b c d  - 11440a b c d  + 6240a b c d
+--R           + 
+--R                      4 5 2       5 6
+--R             - 1920a b c d  + 256b c d
+--R        *
+--R           x
+--R       + 
+--R               5 2 5         4   3 4         3 2 4 3         2 3 5 2
+--R         18018a c d  - 25740a b c d  + 22880a b c d  - 12480a b c d
+--R       + 
+--R                4 6        5 7
+--R         3840a b c d - 512b c
+--R    *
+--R        +-------+
+--R       \|d x + c
+--R  /
+--R           6
+--R     45045d
+--R                                                    Type: Expression(Integer)
+--E 1199
+
+--S 1200 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R              5 7 7            4 7        5   6  6
+--R         6006b d x  + (34650a b d  + 7392b c d )x
+--R       + 
+--R                2 3 7           4   6       5 2 5  5
+--R         (81900a b d  + 44100a b c d  + 126b c d )x
+--R       + 
+--R                 3 2 7          2 3   6          4 2 5       5 3 4  4
+--R         (100100a b d  + 109200a b c d  + 1050a b c d  - 140b c d )x
+--R       + 
+--R                   4   7          3 2   6        2 3 2 5          4 3 4
+--R             64350a b d  + 143000a b c d  + 3900a b c d  - 1200a b c d
+--R           + 
+--R                 5 4 3
+--R             160b c d
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                   5 7          4     6        3 2 2 5        2 3 3 4
+--R             18018a d  + 102960a b c d  + 8580a b c d  - 4680a b c d
+--R           + 
+--R                    4 4 3       5 5 2
+--R             1440a b c d  - 192b c d
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                   5   6         4   2 5         3 2 3 4        2 3 4 3
+--R             36036a c d  + 12870a b c d  - 11440a b c d  + 6240a b c d
+--R           + 
+--R                      4 5 2       5 6
+--R             - 1920a b c d  + 256b c d
+--R        *
+--R           x
+--R       + 
+--R               5 2 5         4   3 4         3 2 4 3         2 3 5 2
+--R         18018a c d  - 25740a b c d  + 22880a b c d  - 12480a b c d
+--R       + 
+--R                4 6        5 7
+--R         3840a b c d - 512b c
+--R    *
+--R        +-------+
+--R       \|d x + c
+--R  /
+--R           6
+--R     45045d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1200
+
+--S 1201 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1201
+
+--S 1202 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1202
+
+)clear all
+
+--S 1203 of 2952
+t0000:=(a+b*x)^4*(c+d*x)^(3/2)
+--R 
+--R
+--R   (1)
+--R        4   5        3     4   4      2 2        3   3      3        2 2   2
+--R       b d x  + (4a b d + b c)x  + (6a b d + 4a b c)x  + (4a b d + 6a b c)x
+--R     + 
+--R         4      3         4
+--R       (a d + 4a b c)x + a c
+--R  *
+--R      +-------+
+--R     \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1203
+
+--S 1204 of 2952
+r0000:=2/5*(b*c-a*d)^4*(c+d*x)^(5/2)/d^5-8/7*b*(b*c-a*d)^3*(c+d*x)^(7/2)/d^5+_
+     4/3*b^2*(b*c-a*d)^2*(c+d*x)^(9/2)/d^5-_
+     8/11*b^3*(b*c-a*d)*(c+d*x)^(11/2)/d^5+2/13*b^4*(c+d*x)^(13/2)/d^5
+--R 
+--R
+--R   (2)
+--R              4 6 6            3 6        4   5  5
+--R         2310b d x  + (10920a b d  + 2940b c d )x
+--R       + 
+--R                2 2 6           3   5      4 2 4  4
+--R         (20020a b d  + 14560a b c d  + 70b c d )x
+--R       + 
+--R                3   6         2 2   5         3 2 4      4 3 3  3
+--R         (17160a b d  + 28600a b c d  + 520a b c d  - 80b c d )x
+--R       + 
+--R               4 6         3     5        2 2 2 4         3 3 3      4 4 2  2
+--R         (6006a d  + 27456a b c d  + 1716a b c d  - 624a b c d  + 96b c d )x
+--R       + 
+--R                4   5        3   2 4        2 2 3 3         3 4 2       4 5
+--R         (12012a c d  + 3432a b c d  - 2288a b c d  + 832a b c d  - 128b c d)x
+--R       + 
+--R              4 2 4        3   3 3        2 2 4 2          3 5        4 6
+--R         6006a c d  - 6864a b c d  + 4576a b c d  - 1664a b c d + 256b c
+--R    *
+--R        +-------+
+--R       \|d x + c
+--R  /
+--R           5
+--R     15015d
+--R                                                    Type: Expression(Integer)
+--E 1204
+
+--S 1205 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R              4 6 6            3 6        4   5  5
+--R         2310b d x  + (10920a b d  + 2940b c d )x
+--R       + 
+--R                2 2 6           3   5      4 2 4  4
+--R         (20020a b d  + 14560a b c d  + 70b c d )x
+--R       + 
+--R                3   6         2 2   5         3 2 4      4 3 3  3
+--R         (17160a b d  + 28600a b c d  + 520a b c d  - 80b c d )x
+--R       + 
+--R               4 6         3     5        2 2 2 4         3 3 3      4 4 2  2
+--R         (6006a d  + 27456a b c d  + 1716a b c d  - 624a b c d  + 96b c d )x
+--R       + 
+--R                4   5        3   2 4        2 2 3 3         3 4 2       4 5
+--R         (12012a c d  + 3432a b c d  - 2288a b c d  + 832a b c d  - 128b c d)x
+--R       + 
+--R              4 2 4        3   3 3        2 2 4 2          3 5        4 6
+--R         6006a c d  - 6864a b c d  + 4576a b c d  - 1664a b c d + 256b c
+--R    *
+--R        +-------+
+--R       \|d x + c
+--R  /
+--R           5
+--R     15015d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1205
+
+--S 1206 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1206
+
+--S 1207 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1207
+
+)clear all
+
+--S 1208 of 2952
+t0000:=(a+b*x)^3*(c+d*x)^(3/2)
+--R 
+--R
+--R   (1)
+--R       3   4        2     3   3      2          2   2     3      2         3
+--R     (b d x  + (3a b d + b c)x  + (3a b d + 3a b c)x  + (a d + 3a b c)x + a c)
+--R  *
+--R      +-------+
+--R     \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1208
+
+--S 1209 of 2952
+r0000:=-2/5*(b*c-a*d)^3*(c+d*x)^(5/2)/d^4+_
+     6/7*b*(b*c-a*d)^2*(c+d*x)^(7/2)/d^4-_
+     2/3*b^2*(b*c-a*d)*(c+d*x)^(9/2)/d^4+2/11*b^3*(c+d*x)^(11/2)/d^4
+--R 
+--R
+--R   (2)
+--R             3 5 5          2 5       3   4  4
+--R         210b d x  + (770a b d  + 280b c d )x
+--R       + 
+--R              2   5          2   4      3 2 3  3
+--R         (990a b d  + 1100a b c d  + 10b c d )x
+--R       + 
+--R              3 5        2     4        2 2 3      3 3 2  2
+--R         (462a d  + 1584a b c d  + 66a b c d  - 12b c d )x
+--R       + 
+--R              3   4       2   2 3        2 3 2      3 4          3 2 3
+--R         (924a c d  + 198a b c d  - 88a b c d  + 16b c d)x + 462a c d
+--R       + 
+--R               2   3 2         2 4       3 5
+--R         - 396a b c d  + 176a b c d - 32b c
+--R    *
+--R        +-------+
+--R       \|d x + c
+--R  /
+--R          4
+--R     1155d
+--R                                                    Type: Expression(Integer)
+--E 1209
+
+--S 1210 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R             3 5 5          2 5       3   4  4
+--R         210b d x  + (770a b d  + 280b c d )x
+--R       + 
+--R              2   5          2   4      3 2 3  3
+--R         (990a b d  + 1100a b c d  + 10b c d )x
+--R       + 
+--R              3 5        2     4        2 2 3      3 3 2  2
+--R         (462a d  + 1584a b c d  + 66a b c d  - 12b c d )x
+--R       + 
+--R              3   4       2   2 3        2 3 2      3 4          3 2 3
+--R         (924a c d  + 198a b c d  - 88a b c d  + 16b c d)x + 462a c d
+--R       + 
+--R               2   3 2         2 4       3 5
+--R         - 396a b c d  + 176a b c d - 32b c
+--R    *
+--R        +-------+
+--R       \|d x + c
+--R  /
+--R          4
+--R     1155d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1210
+
+--S 1211 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1211
+
+--S 1212 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1212
+
+)clear all
+
+--S 1213 of 2952
+t0000:=(a+b*x)^2*(c+d*x)^(3/2)
+--R 
+--R
+--R          2   3              2   2     2                2   +-------+
+--R   (1)  (b d x  + (2a b d + b c)x  + (a d + 2a b c)x + a c)\|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1213
+
+--S 1214 of 2952
+r0000:=2/5*(b*c-a*d)^2*(c+d*x)^(5/2)/d^3-4/7*b*(b*c-a*d)*(c+d*x)^(7/2)/d^3+_
+     2/9*b^2*(c+d*x)^(9/2)/d^3
+--R 
+--R
+--R   (2)
+--R            2 4 4            4       2   3  3
+--R         70b d x  + (180a b d  + 100b c d )x
+--R       + 
+--R              2 4             3     2 2 2  2
+--R         (126a d  + 288a b c d  + 6b c d )x
+--R       + 
+--R              2   3          2 2     2 3          2 2 2          3       2 4
+--R         (252a c d  + 36a b c d  - 8b c d)x + 126a c d  - 72a b c d + 16b c
+--R    *
+--R        +-------+
+--R       \|d x + c
+--R  /
+--R         3
+--R     315d
+--R                                                    Type: Expression(Integer)
+--E 1214
+
+--S 1215 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R            2 4 4            4       2   3  3
+--R         70b d x  + (180a b d  + 100b c d )x
+--R       + 
+--R              2 4             3     2 2 2  2
+--R         (126a d  + 288a b c d  + 6b c d )x
+--R       + 
+--R              2   3          2 2     2 3          2 2 2          3       2 4
+--R         (252a c d  + 36a b c d  - 8b c d)x + 126a c d  - 72a b c d + 16b c
+--R    *
+--R        +-------+
+--R       \|d x + c
+--R  /
+--R         3
+--R     315d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1215
+
+--S 1216 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1216
+
+--S 1217 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1217
+
+)clear all
+
+--S 1218 of 2952
+t0000:=(a+b*x)*(c+d*x)^(3/2)
+--R 
+--R
+--R              2                       +-------+
+--R   (1)  (b d x  + (a d + b c)x + a c)\|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1218
+
+--S 1219 of 2952
+r0000:=-2/5*(b*c-a*d)*(c+d*x)^(5/2)/d^2+2/7*b*(c+d*x)^(7/2)/d^2
+--R 
+--R
+--R   (2)
+--R                3 3         3          2  2           2       2           2
+--R           10b d x  + (14a d  + 16b c d )x  + (28a c d  + 2b c d)x + 14a c d
+--R         + 
+--R                 3
+--R           - 4b c
+--R    *
+--R        +-------+
+--R       \|d x + c
+--R  /
+--R        2
+--R     35d
+--R                                                    Type: Expression(Integer)
+--E 1219
+
+--S 1220 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                3 3         3          2  2           2       2           2
+--R           10b d x  + (14a d  + 16b c d )x  + (28a c d  + 2b c d)x + 14a c d
+--R         + 
+--R                 3
+--R           - 4b c
+--R    *
+--R        +-------+
+--R       \|d x + c
+--R  /
+--R        2
+--R     35d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1220
+
+--S 1221 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1221
+
+--S 1222 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1222
+
+)clear all
+
+--S 1223 of 2952
+t0000:=(c+d*x)^(3/2)
+--R 
+--R
+--R                  +-------+
+--R   (1)  (d x + c)\|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1223
+
+--S 1224 of 2952
+r0000:=2/5*(c+d*x)^(5/2)/d
+--R 
+--R
+--R           2 2              2  +-------+
+--R        (2d x  + 4c d x + 2c )\|d x + c
+--R   (2)  --------------------------------
+--R                       5d
+--R                                                    Type: Expression(Integer)
+--E 1224
+
+--S 1225 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           2 2              2  +-------+
+--R        (2d x  + 4c d x + 2c )\|d x + c
+--R   (3)  --------------------------------
+--R                       5d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1225
+
+--S 1226 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1226
+
+--S 1227 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1227
+
+)clear all
+
+--S 1228 of 2952
+t0000:=(c+d*x)^(3/2)/(a+b*x)
+--R 
+--R
+--R                  +-------+
+--R        (d x + c)\|d x + c
+--R   (1)  -------------------
+--R              b x + a
+--R                                                    Type: Expression(Integer)
+--E 1228
+
+--S 1229 of 2952
+r0000:=2/3*(c+d*x)^(3/2)/b-2*(b*c-a*d)^(3/2)*atanh(sqrt(b)*_
+     sqrt(c+d*x)/sqrt(b*c-a*d))/b^(5/2)+2*(b*c-a*d)*sqrt(c+d*x)/b^2
+--R 
+--R
+--R   (2)
+--R                                         +-+ +-------+
+--R                     +-----------+      \|b \|d x + c
+--R       (6a d - 6b c)\|- a d + b c atanh(--------------)
+--R                                         +-----------+
+--R                                        \|- a d + b c
+--R     + 
+--R                              +-+ +-------+
+--R       (2b d x - 6a d + 8b c)\|b \|d x + c
+--R  /
+--R       2 +-+
+--R     3b \|b
+--R                                                    Type: Expression(Integer)
+--E 1229
+
+--S 1230 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                         +-----------+
+--R                         |- a d + b c
+--R           (3a d - 3b c) |-----------
+--R                        \|     b
+--R        *
+--R                  +-----------+
+--R                  |- a d + b c  +-------+
+--R               2b |----------- \|d x + c  + b d x - a d + 2b c
+--R                 \|     b
+--R           log(-----------------------------------------------)
+--R                                   b x + a
+--R       + 
+--R                                +-------+
+--R         (2b d x - 6a d + 8b c)\|d x + c
+--R    /
+--R         2
+--R       3b
+--R     ,
+--R
+--R                       +---------+       +-------+
+--R                       |a d - b c       \|d x + c
+--R         (6a d - 6b c) |--------- atan(------------)
+--R                      \|    b           +---------+
+--R                                        |a d - b c
+--R                                        |---------
+--R                                       \|    b
+--R       + 
+--R                                +-------+
+--R         (2b d x - 6a d + 8b c)\|d x + c
+--R    /
+--R         2
+--R       3b
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1230
+
+--S 1231 of 2952
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R   (4)
+--R                     +-----------+
+--R                     |- a d + b c  +-+
+--R         (a d - b c) |----------- \|b
+--R                    \|     b
+--R      *
+--R                +-----------+
+--R                |- a d + b c  +-------+
+--R             2b |----------- \|d x + c  + b d x - a d + 2b c
+--R               \|     b
+--R         log(-----------------------------------------------)
+--R                                 b x + a
+--R     + 
+--R                                           +-+ +-------+
+--R                       +-----------+      \|b \|d x + c
+--R       (- 2a d + 2b c)\|- a d + b c atanh(--------------)
+--R                                           +-----------+
+--R                                          \|- a d + b c
+--R  /
+--R      2 +-+
+--R     b \|b
+--R                                                    Type: Expression(Integer)
+--E 1231
+
+--S 1232 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1232
+
+--S 1233 of 2952
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R   (6)
+--R                                           +-+ +-------+
+--R                       +-----------+      \|b \|d x + c
+--R       (- 2a d + 2b c)\|- a d + b c atanh(--------------)
+--R                                           +-----------+
+--R                                          \|- a d + b c
+--R     + 
+--R                         +---------+       +-------+
+--R                     +-+ |a d - b c       \|d x + c
+--R       (2a d - 2b c)\|b  |--------- atan(------------)
+--R                        \|    b           +---------+
+--R                                          |a d - b c
+--R                                          |---------
+--R                                         \|    b
+--R  /
+--R      2 +-+
+--R     b \|b
+--R                                                    Type: Expression(Integer)
+--E 1233
+
+--S 1234 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1234
+
+)clear all
+
+--S 1235 of 2952
+t0000:=(c+d*x)^(3/2)/(a+b*x)^2
+--R 
+--R
+--R                  +-------+
+--R        (d x + c)\|d x + c
+--R   (1)  -------------------
+--R          2 2             2
+--R         b x  + 2a b x + a
+--R                                                    Type: Expression(Integer)
+--E 1235
+
+--S 1236 of 2952
+r0000:=-(c+d*x)^(3/2)/(b*(a+b*x))-_
+     3*d*atanh(sqrt(b)*sqrt(c+d*x)/sqrt(b*c-a*d))*_
+     sqrt(b*c-a*d)/b^(5/2)+3*d*sqrt(c+d*x)/b^2
+--R 
+--R
+--R   (2)
+--R                                             +-+ +-------+
+--R                         +-----------+      \|b \|d x + c
+--R       (- 3b d x - 3a d)\|- a d + b c atanh(--------------)
+--R                                             +-----------+
+--R                                            \|- a d + b c
+--R     + 
+--R                             +-+ +-------+
+--R       (2b d x + 3a d - b c)\|b \|d x + c
+--R  /
+--R       3       2  +-+
+--R     (b x + a b )\|b
+--R                                                    Type: Expression(Integer)
+--E 1236
+
+--S 1237 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                           +-----------+
+--R                           |- a d + b c
+--R           (3b d x + 3a d) |-----------
+--R                          \|     b
+--R        *
+--R                    +-----------+
+--R                    |- a d + b c  +-------+
+--R               - 2b |----------- \|d x + c  + b d x - a d + 2b c
+--R                   \|     b
+--R           log(-------------------------------------------------)
+--R                                    b x + a
+--R       + 
+--R                                +-------+
+--R         (4b d x + 6a d - 2b c)\|d x + c
+--R    /
+--R         3        2
+--R       2b x + 2a b
+--R     ,
+--R
+--R                           +---------+       +-------+
+--R                           |a d - b c       \|d x + c
+--R         (- 3b d x - 3a d) |--------- atan(------------)
+--R                          \|    b           +---------+
+--R                                            |a d - b c
+--R                                            |---------
+--R                                           \|    b
+--R       + 
+--R                               +-------+
+--R         (2b d x + 3a d - b c)\|d x + c
+--R    /
+--R        3       2
+--R       b x + a b
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1237
+
+--S 1238 of 2952
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R   (4)
+--R            +-----------+
+--R            |- a d + b c  +-+
+--R         3d |----------- \|b
+--R           \|     b
+--R      *
+--R                  +-----------+
+--R                  |- a d + b c  +-------+
+--R             - 2b |----------- \|d x + c  + b d x - a d + 2b c
+--R                 \|     b
+--R         log(-------------------------------------------------)
+--R                                  b x + a
+--R     + 
+--R                              +-+ +-------+
+--R          +-----------+      \|b \|d x + c
+--R       6d\|- a d + b c atanh(--------------)
+--R                              +-----------+
+--R                             \|- a d + b c
+--R  /
+--R       2 +-+
+--R     2b \|b
+--R                                                    Type: Expression(Integer)
+--E 1238
+
+--S 1239 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1239
+
+--S 1240 of 2952
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R   (6)
+--R                          +-+ +-------+           +---------+       +-------+
+--R      +-----------+      \|b \|d x + c        +-+ |a d - b c       \|d x + c
+--R   3d\|- a d + b c atanh(--------------) - 3d\|b  |--------- atan(------------)
+--R                          +-----------+          \|    b           +---------+
+--R                         \|- a d + b c                             |a d - b c
+--R                                                                   |---------
+--R                                                                  \|    b
+--R   ----------------------------------------------------------------------------
+--R                                       2 +-+
+--R                                      b \|b
+--R                                                    Type: Expression(Integer)
+--E 1240
+
+--S 1241 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1241
+
+)clear all
+
+--S 1242 of 2952
+t0000:=(c+d*x)^(3/2)/(a+b*x)^3
+--R 
+--R
+--R                       +-------+
+--R             (d x + c)\|d x + c
+--R   (1)  ----------------------------
+--R         3 3       2 2     2       3
+--R        b x  + 3a b x  + 3a b x + a
+--R                                                    Type: Expression(Integer)
+--E 1242
+
+--S 1243 of 2952
+r0000:=-1/2*(c+d*x)^(3/2)/(b*(a+b*x)^2)-_
+     3/4*d^2*atanh(sqrt(b)*sqrt(c+d*x)/sqrt(b*c-a*d))/_
+     (b^(5/2)*sqrt(b*c-a*d))-3/4*d*sqrt(c+d*x)/(b^2*(a+b*x))
+--R 
+--R
+--R   (2)
+--R                                            +-+ +-------+
+--R            2 2 2         2      2 2       \|b \|d x + c
+--R       (- 3b d x  - 6a b d x - 3a d )atanh(--------------)
+--R                                            +-----------+
+--R                                           \|- a d + b c
+--R     + 
+--R                                +-----------+ +-+ +-------+
+--R       (- 5b d x - 3a d - 2b c)\|- a d + b c \|b \|d x + c
+--R  /
+--R        4 2       3      2 2  +-----------+ +-+
+--R     (4b x  + 8a b x + 4a b )\|- a d + b c \|b
+--R                                                    Type: Expression(Integer)
+--E 1243
+
+--S 1244 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R              2 2 2         2      2 2
+--R           (3b d x  + 6a b d x + 3a d )
+--R        *
+--R                                                              +-------------+
+--R                         2   +-------+                        |           2
+--R             (2a b d - 2b c)\|d x + c  + (b d x - a d + 2b c)\|- a b d + b c
+--R         log(----------------------------------------------------------------)
+--R                                          b x + a
+--R       + 
+--R                                   +-------------+
+--R                                   |           2   +-------+
+--R         (- 10b d x - 6a d - 4b c)\|- a b d + b c \|d x + c
+--R    /
+--R                                 +-------------+
+--R          4 2        3      2 2  |           2
+--R       (8b x  + 16a b x + 8a b )\|- a b d + b c
+--R     ,
+--R
+--R                                           +-----------+
+--R                                           |         2   +-------+
+--R            2 2 2         2      2 2      \|a b d - b c \|d x + c
+--R         (3b d x  + 6a b d x + 3a d )atan(------------------------)
+--R                                                  a d - b c
+--R       + 
+--R                                  +-----------+
+--R                                  |         2   +-------+
+--R         (- 5b d x - 3a d - 2b c)\|a b d - b c \|d x + c
+--R    /
+--R                                +-----------+
+--R          4 2       3      2 2  |         2
+--R       (4b x  + 8a b x + 4a b )\|a b d - b c
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1244
+
+--S 1245 of 2952
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R   (4)
+--R           2 +-----------+ +-+
+--R         3d \|- a d + b c \|b
+--R      *
+--R                                                              +-------------+
+--R                         2   +-------+                        |           2
+--R             (2a b d - 2b c)\|d x + c  + (b d x - a d + 2b c)\|- a b d + b c
+--R         log(----------------------------------------------------------------)
+--R                                          b x + a
+--R     + 
+--R           +-------------+       +-+ +-------+
+--R         2 |           2        \|b \|d x + c
+--R       6d \|- a b d + b c atanh(--------------)
+--R                                 +-----------+
+--R                                \|- a d + b c
+--R  /
+--R         +-------------+
+--R       2 |           2   +-----------+ +-+
+--R     8b \|- a b d + b c \|- a d + b c \|b
+--R                                                    Type: Expression(Integer)
+--E 1245
+
+--S 1246 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1246
+
+--S 1247 of 2952
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R   (6)
+--R           +-----------+       +-+ +-------+
+--R         2 |         2        \|b \|d x + c
+--R       3d \|a b d - b c atanh(--------------)
+--R                               +-----------+
+--R                              \|- a d + b c
+--R     + 
+--R                                  +-----------+
+--R                                  |         2   +-------+
+--R         2 +-----------+ +-+     \|a b d - b c \|d x + c
+--R       3d \|- a d + b c \|b atan(------------------------)
+--R                                         a d - b c
+--R  /
+--R                           +-----------+
+--R       2 +-----------+ +-+ |         2
+--R     4b \|- a d + b c \|b \|a b d - b c
+--R                                                    Type: Expression(Integer)
+--E 1247
+
+--S 1248 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1248
+
+)clear all
+
+--S 1249 of 2952
+t0000:=(c+d*x)^(3/2)/(a+b*x)^4
+--R 
+--R
+--R                            +-------+
+--R                  (d x + c)\|d x + c
+--R   (1)  --------------------------------------
+--R         4 4       3 3     2 2 2     3       4
+--R        b x  + 4a b x  + 6a b x  + 4a b x + a
+--R                                                    Type: Expression(Integer)
+--E 1249
+
+--S 1250 of 2952
+r0000:=-1/3*(c+d*x)^(3/2)/(b*(a+b*x)^3)+_
+     1/8*d^3*atanh(sqrt(b)*sqrt(c+d*x)/sqrt(b*c-a*d))/_
+     (b^(5/2)*(b*c-a*d)^(3/2))-_
+     1/4*d*sqrt(c+d*x)/(b^2*(a+b*x)^2)-_
+     1/8*d^2*sqrt(c+d*x)/(b^2*(b*c-a*d)*(a+b*x))
+--R 
+--R
+--R   (2)
+--R                                                        +-+ +-------+
+--R            3 3 3       2 3 2     2   3      3 3       \|b \|d x + c
+--R       (- 3b d x  - 9a b d x  - 9a b d x - 3a d )atanh(--------------)
+--R                                                        +-----------+
+--R                                                       \|- a d + b c
+--R     + 
+--R            2 2 2            2      2          2 2                2 2
+--R         (3b d x  + (- 8a b d  + 14b c d)x - 3a d  - 2a b c d + 8b c )
+--R      *
+--R          +-----------+ +-+ +-------+
+--R         \|- a d + b c \|b \|d x + c
+--R  /
+--R               5       6   3       2 4         5   2       3 3       2 4
+--R         (24a b d - 24b c)x  + (72a b d - 72a b c)x  + (72a b d - 72a b c)x
+--R       + 
+--R            4 2       3 3
+--R         24a b d - 24a b c
+--R    *
+--R        +-----------+ +-+
+--R       \|- a d + b c \|b
+--R                                                    Type: Expression(Integer)
+--E 1250
+
+--S 1251 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R              3 3 3       2 3 2     2   3      3 3
+--R           (3b d x  + 9a b d x  + 9a b d x + 3a d )
+--R        *
+--R                                                              +-------------+
+--R                         2   +-------+                        |           2
+--R             (2a b d - 2b c)\|d x + c  + (b d x - a d + 2b c)\|- a b d + b c
+--R         log(----------------------------------------------------------------)
+--R                                          b x + a
+--R       + 
+--R              2 2 2             2      2          2 2                 2 2
+--R           (6b d x  + (- 16a b d  + 28b c d)x - 6a d  - 4a b c d + 16b c )
+--R        *
+--R            +-------------+
+--R            |           2   +-------+
+--R           \|- a b d + b c \|d x + c
+--R    /
+--R                 5       6   3        2 4          5   2
+--R           (48a b d - 48b c)x  + (144a b d - 144a b c)x
+--R         + 
+--R                3 3        2 4         4 2       3 3
+--R           (144a b d - 144a b c)x + 48a b d - 48a b c
+--R      *
+--R          +-------------+
+--R          |           2
+--R         \|- a b d + b c
+--R     ,
+--R
+--R                                                       +-----------+
+--R                                                       |         2   +-------+
+--R            3 3 3       2 3 2     2   3      3 3      \|a b d - b c \|d x + c
+--R         (3b d x  + 9a b d x  + 9a b d x + 3a d )atan(------------------------)
+--R                                                              a d - b c
+--R       + 
+--R              2 2 2            2      2          2 2                2 2
+--R           (3b d x  + (- 8a b d  + 14b c d)x - 3a d  - 2a b c d + 8b c )
+--R        *
+--R            +-----------+
+--R            |         2   +-------+
+--R           \|a b d - b c \|d x + c
+--R    /
+--R                 5       6   3       2 4         5   2       3 3       2 4
+--R           (24a b d - 24b c)x  + (72a b d - 72a b c)x  + (72a b d - 72a b c)x
+--R         + 
+--R              4 2       3 3
+--R           24a b d - 24a b c
+--R      *
+--R          +-----------+
+--R          |         2
+--R         \|a b d - b c
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1251
+
+--S 1252 of 2952
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R   (4)
+--R          3 +-----------+ +-+
+--R         d \|- a d + b c \|b
+--R      *
+--R                                                              +-------------+
+--R                         2   +-------+                        |           2
+--R             (2a b d - 2b c)\|d x + c  + (b d x - a d + 2b c)\|- a b d + b c
+--R         log(----------------------------------------------------------------)
+--R                                          b x + a
+--R     + 
+--R           +-------------+       +-+ +-------+
+--R         3 |           2        \|b \|d x + c
+--R       2d \|- a b d + b c atanh(--------------)
+--R                                 +-----------+
+--R                                \|- a d + b c
+--R  /
+--R                       +-------------+
+--R           2       3   |           2   +-----------+ +-+
+--R     (16a b d - 16b c)\|- a b d + b c \|- a d + b c \|b
+--R                                                    Type: Expression(Integer)
+--E 1252
+
+--S 1253 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1253
+
+--S 1254 of 2952
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R   (6)
+--R          +-----------+       +-+ +-------+
+--R        3 |         2        \|b \|d x + c
+--R       d \|a b d - b c atanh(--------------)
+--R                              +-----------+
+--R                             \|- a d + b c
+--R     + 
+--R                                 +-----------+
+--R                                 |         2   +-------+
+--R        3 +-----------+ +-+     \|a b d - b c \|d x + c
+--R       d \|- a d + b c \|b atan(------------------------)
+--R                                        a d - b c
+--R  /
+--R                                       +-----------+
+--R          2      3   +-----------+ +-+ |         2
+--R     (8a b d - 8b c)\|- a d + b c \|b \|a b d - b c
+--R                                                    Type: Expression(Integer)
+--E 1254
+
+--S 1255 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1255
+
+)clear all
+
+--S 1256 of 2952
+t0000:=(c+d*x)^(3/2)/(a+b*x)^5
+--R 
+--R
+--R                                  +-------+
+--R                        (d x + c)\|d x + c
+--R   (1)  --------------------------------------------------
+--R         5 5       4 4      2 3 3      3 2 2     4       5
+--R        b x  + 5a b x  + 10a b x  + 10a b x  + 5a b x + a
+--R                                                    Type: Expression(Integer)
+--E 1256
+
+--S 1257 of 2952
+r0000:=-1/4*(c+d*x)^(3/2)/(b*(a+b*x)^4)-_
+     3/64*d^4*atanh(sqrt(b)*sqrt(c+d*x)/sqrt(b*c-a*d))/_
+     (b^(5/2)*(b*c-a*d)^(5/2))-1/8*d*sqrt(c+d*x)/(b^2*(a+b*x)^3)-_
+     1/32*d^2*sqrt(c+d*x)/(b^2*(b*c-a*d)*(a+b*x)^2)+_
+     3/64*d^3*sqrt(c+d*x)/(b^2*(b*c-a*d)^2*(a+b*x))
+--R 
+--R
+--R   (2)
+--R              4 4 4        3 4 3      2 2 4 2      3   4      4 4
+--R         (- 3b d x  - 12a b d x  - 18a b d x  - 12a b d x - 3a d )
+--R      *
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R         atanh(--------------)
+--R                +-----------+
+--R               \|- a d + b c
+--R     + 
+--R             3 3 3         2 3     3   2  2
+--R           3b d x  + (11a b d  - 2b c d )x
+--R         + 
+--R                 2   3        2   2      3 2        3 3     2     2        2 2
+--R           (- 11a b d  + 44a b c d  - 24b c d)x - 3a d  - 2a b c d  + 24a b c d
+--R         + 
+--R                3 3
+--R           - 16b c
+--R      *
+--R          +-----------+ +-+ +-------+
+--R         \|- a d + b c \|b \|d x + c
+--R  /
+--R             2 6 2         7         8 2  4
+--R         (64a b d  - 128a b c d + 64b c )x
+--R       + 
+--R              3 5 2       2 6            7 2  3
+--R         (256a b d  - 512a b c d + 256a b c )x
+--R       + 
+--R              4 4 2       3 5          2 6 2  2
+--R         (384a b d  - 768a b c d + 384a b c )x
+--R       + 
+--R            5 3 2       4 4          3 5 2        6 2 2       5 3         4 4 2
+--R       (256a b d  - 512a b c d + 256a b c )x + 64a b d  - 128a b c d + 64a b c
+--R    *
+--R        +-----------+ +-+
+--R       \|- a d + b c \|b
+--R                                                    Type: Expression(Integer)
+--E 1257
+
+--S 1258 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R              4 4 4        3 4 3      2 2 4 2      3   4      4 4
+--R           (3b d x  + 12a b d x  + 18a b d x  + 12a b d x + 3a d )
+--R        *
+--R                                                              +-------------+
+--R                         2   +-------+                        |           2
+--R             (2a b d - 2b c)\|d x + c  + (b d x - a d + 2b c)\|- a b d + b c
+--R         log(----------------------------------------------------------------)
+--R                                          b x + a
+--R       + 
+--R               3 3 3         2 3     3   2  2
+--R             6b d x  + (22a b d  - 4b c d )x
+--R           + 
+--R                   2   3        2   2      3 2        3 3     2     2
+--R             (- 22a b d  + 88a b c d  - 48b c d)x - 6a d  - 4a b c d
+--R           + 
+--R                  2 2       3 3
+--R             48a b c d - 32b c
+--R        *
+--R            +-------------+
+--R            |           2   +-------+
+--R           \|- a b d + b c \|d x + c
+--R    /
+--R                2 6 2         7          8 2  4
+--R           (128a b d  - 256a b c d + 128b c )x
+--R         + 
+--R                3 5 2        2 6            7 2  3
+--R           (512a b d  - 1024a b c d + 512a b c )x
+--R         + 
+--R                4 4 2        3 5          2 6 2  2
+--R           (768a b d  - 1536a b c d + 768a b c )x
+--R         + 
+--R                5 3 2        4 4          3 5 2         6 2 2       5 3
+--R           (512a b d  - 1024a b c d + 512a b c )x + 128a b d  - 256a b c d
+--R         + 
+--R               4 4 2
+--R           128a b c
+--R      *
+--R          +-------------+
+--R          |           2
+--R         \|- a b d + b c
+--R     ,
+--R
+--R              4 4 4        3 4 3      2 2 4 2      3   4      4 4
+--R           (3b d x  + 12a b d x  + 18a b d x  + 12a b d x + 3a d )
+--R        *
+--R                 +-----------+
+--R                 |         2   +-------+
+--R                \|a b d - b c \|d x + c
+--R           atan(------------------------)
+--R                        a d - b c
+--R       + 
+--R               3 3 3         2 3     3   2  2
+--R             3b d x  + (11a b d  - 2b c d )x
+--R           + 
+--R                   2   3        2   2      3 2        3 3     2     2
+--R             (- 11a b d  + 44a b c d  - 24b c d)x - 3a d  - 2a b c d
+--R           + 
+--R                  2 2       3 3
+--R             24a b c d - 16b c
+--R        *
+--R            +-----------+
+--R            |         2   +-------+
+--R           \|a b d - b c \|d x + c
+--R    /
+--R               2 6 2         7         8 2  4
+--R           (64a b d  - 128a b c d + 64b c )x
+--R         + 
+--R                3 5 2       2 6            7 2  3
+--R           (256a b d  - 512a b c d + 256a b c )x
+--R         + 
+--R                4 4 2       3 5          2 6 2  2
+--R           (384a b d  - 768a b c d + 384a b c )x
+--R         + 
+--R                5 3 2       4 4          3 5 2        6 2 2       5 3
+--R           (256a b d  - 512a b c d + 256a b c )x + 64a b d  - 128a b c d
+--R         + 
+--R              4 4 2
+--R           64a b c
+--R      *
+--R          +-----------+
+--R          |         2
+--R         \|a b d - b c
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1258
+
+--S 1259 of 2952
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R   (4)
+--R           4 +-----------+ +-+
+--R         3d \|- a d + b c \|b
+--R      *
+--R                                                              +-------------+
+--R                         2   +-------+                        |           2
+--R             (2a b d - 2b c)\|d x + c  + (b d x - a d + 2b c)\|- a b d + b c
+--R         log(----------------------------------------------------------------)
+--R                                          b x + a
+--R     + 
+--R           +-------------+       +-+ +-------+
+--R         4 |           2        \|b \|d x + c
+--R       6d \|- a b d + b c atanh(--------------)
+--R                                 +-----------+
+--R                                \|- a d + b c
+--R  /
+--R                                        +-------------+
+--R          2 2 2         3          4 2  |           2   +-----------+ +-+
+--R     (128a b d  - 256a b c d + 128b c )\|- a b d + b c \|- a d + b c \|b
+--R                                                    Type: Expression(Integer)
+--E 1259
+
+--S 1260 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1260
+
+--S 1261 of 2952
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R   (6)
+--R           +-----------+       +-+ +-------+
+--R         4 |         2        \|b \|d x + c
+--R       3d \|a b d - b c atanh(--------------)
+--R                               +-----------+
+--R                              \|- a d + b c
+--R     + 
+--R                                  +-----------+
+--R                                  |         2   +-------+
+--R         4 +-----------+ +-+     \|a b d - b c \|d x + c
+--R       3d \|- a d + b c \|b atan(------------------------)
+--R                                         a d - b c
+--R  /
+--R                                                        +-----------+
+--R         2 2 2         3         4 2  +-----------+ +-+ |         2
+--R     (64a b d  - 128a b c d + 64b c )\|- a d + b c \|b \|a b d - b c
+--R                                                    Type: Expression(Integer)
+--E 1261
+
+--S 1262 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1262
+
+)clear all
+
+--S 1263 of 2952
+t0000:=(c+d*x)^(3/2)/(a+b*x)^6
+--R 
+--R
+--R                                       +-------+
+--R                             (d x + c)\|d x + c
+--R   (1)  -------------------------------------------------------------
+--R         6 6       5 5      2 4 4      3 3 3      4 2 2     5       6
+--R        b x  + 6a b x  + 15a b x  + 20a b x  + 15a b x  + 6a b x + a
+--R                                                    Type: Expression(Integer)
+--E 1263
+
+--S 1264 of 2952
+r0000:=-1/5*(c+d*x)^(3/2)/(b*(a+b*x)^5)+_
+     3/128*d^5*atanh(sqrt(b)*sqrt(c+d*x)/sqrt(b*c-a*d))/_
+     (b^(5/2)*(b*c-a*d)^(7/2))-3/40*d*sqrt(c+d*x)/(b^2*(a+b*x)^4)-_
+     1/80*d^2*sqrt(c+d*x)/(b^2*(b*c-a*d)*(a+b*x)^3)+_
+     1/64*d^3*sqrt(c+d*x)/(b^2*(b*c-a*d)^2*(a+b*x)^2)-_
+     3/128*d^4*sqrt(c+d*x)/(b^2*(b*c-a*d)^3*(a+b*x))
+--R 
+--R
+--R   (2)
+--R                5 5 5        4 5 4       2 3 5 3       3 2 5 2      4   5
+--R           - 15b d x  - 75a b d x  - 150a b d x  - 150a b d x  - 75a b d x
+--R         + 
+--R                5 5
+--R           - 15a d
+--R      *
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R         atanh(--------------)
+--R                +-----------+
+--R               \|- a d + b c
+--R     + 
+--R              4 4 4         3 4      4   3  3
+--R           15b d x  + (70a b d  - 10b c d )x
+--R         + 
+--R                2 2 4        3   3     4 2 2  2
+--R           (128a b d  - 46a b c d  + 8b c d )x
+--R         + 
+--R                 3   4       2 2   3         3 2 2       4 3         4 4
+--R           (- 70a b d  + 466a b c d  - 512a b c d  + 176b c d)x - 15a d
+--R         + 
+--R                3     3       2 2 2 2         3 3        4 4
+--R           - 10a b c d  + 248a b c d  - 336a b c d + 128b c
+--R      *
+--R          +-----------+ +-+ +-------+
+--R         \|- a d + b c \|b \|d x + c
+--R  /
+--R              3 7 3        2 8   2          9 2        10 3  5
+--R         (640a b d  - 1920a b c d  + 1920a b c d - 640b  c )x
+--R       + 
+--R               4 6 3        3 7   2        2 8 2           9 3  4
+--R         (3200a b d  - 9600a b c d  + 9600a b c d - 3200a b c )x
+--R       + 
+--R               5 5 3         4 6   2         3 7 2         2 8 3  3
+--R         (6400a b d  - 19200a b c d  + 19200a b c d - 6400a b c )x
+--R       + 
+--R               6 4 3         5 5   2         4 6 2         3 7 3  2
+--R         (6400a b d  - 19200a b c d  + 19200a b c d - 6400a b c )x
+--R       + 
+--R               7 3 3        6 4   2        5 5 2         4 6 3         8 2 3
+--R         (3200a b d  - 9600a b c d  + 9600a b c d - 3200a b c )x + 640a b d
+--R       + 
+--R                7 3   2        6 4 2        5 5 3
+--R         - 1920a b c d  + 1920a b c d - 640a b c
+--R    *
+--R        +-----------+ +-+
+--R       \|- a d + b c \|b
+--R                                                    Type: Expression(Integer)
+--E 1264
+
+--S 1265 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                5 5 5        4 5 4       2 3 5 3       3 2 5 2      4   5
+--R             15b d x  + 75a b d x  + 150a b d x  + 150a b d x  + 75a b d x
+--R           + 
+--R                5 5
+--R             15a d
+--R        *
+--R                                                              +-------------+
+--R                         2   +-------+                        |           2
+--R             (2a b d - 2b c)\|d x + c  + (b d x - a d + 2b c)\|- a b d + b c
+--R         log(----------------------------------------------------------------)
+--R                                          b x + a
+--R       + 
+--R                4 4 4          3 4      4   3  3
+--R             30b d x  + (140a b d  - 20b c d )x
+--R           + 
+--R                  2 2 4        3   3      4 2 2  2
+--R             (256a b d  - 92a b c d  + 16b c d )x
+--R           + 
+--R                    3   4       2 2   3          3 2 2       4 3         4 4
+--R             (- 140a b d  + 932a b c d  - 1024a b c d  + 352b c d)x - 30a d
+--R           + 
+--R                  3     3       2 2 2 2         3 3        4 4
+--R             - 20a b c d  + 496a b c d  - 672a b c d + 256b c
+--R        *
+--R            +-------------+
+--R            |           2   +-------+
+--R           \|- a b d + b c \|d x + c
+--R    /
+--R                 3 7 3        2 8   2          9 2         10 3  5
+--R           (1280a b d  - 3840a b c d  + 3840a b c d - 1280b  c )x
+--R         + 
+--R                 4 6 3         3 7   2         2 8 2           9 3  4
+--R           (6400a b d  - 19200a b c d  + 19200a b c d - 6400a b c )x
+--R         + 
+--R                  5 5 3         4 6   2         3 7 2          2 8 3  3
+--R           (12800a b d  - 38400a b c d  + 38400a b c d - 12800a b c )x
+--R         + 
+--R                  6 4 3         5 5   2         4 6 2          3 7 3  2
+--R           (12800a b d  - 38400a b c d  + 38400a b c d - 12800a b c )x
+--R         + 
+--R                 7 3 3         6 4   2         5 5 2         4 6 3
+--R           (6400a b d  - 19200a b c d  + 19200a b c d - 6400a b c )x
+--R         + 
+--R                8 2 3        7 3   2        6 4 2         5 5 3
+--R           1280a b d  - 3840a b c d  + 3840a b c d - 1280a b c
+--R      *
+--R          +-------------+
+--R          |           2
+--R         \|- a b d + b c
+--R     ,
+--R
+--R                5 5 5        4 5 4       2 3 5 3       3 2 5 2      4   5
+--R             15b d x  + 75a b d x  + 150a b d x  + 150a b d x  + 75a b d x
+--R           + 
+--R                5 5
+--R             15a d
+--R        *
+--R                 +-----------+
+--R                 |         2   +-------+
+--R                \|a b d - b c \|d x + c
+--R           atan(------------------------)
+--R                        a d - b c
+--R       + 
+--R                4 4 4         3 4      4   3  3
+--R             15b d x  + (70a b d  - 10b c d )x
+--R           + 
+--R                  2 2 4        3   3     4 2 2  2
+--R             (128a b d  - 46a b c d  + 8b c d )x
+--R           + 
+--R                   3   4       2 2   3         3 2 2       4 3         4 4
+--R             (- 70a b d  + 466a b c d  - 512a b c d  + 176b c d)x - 15a d
+--R           + 
+--R                  3     3       2 2 2 2         3 3        4 4
+--R             - 10a b c d  + 248a b c d  - 336a b c d + 128b c
+--R        *
+--R            +-----------+
+--R            |         2   +-------+
+--R           \|a b d - b c \|d x + c
+--R    /
+--R                3 7 3        2 8   2          9 2        10 3  5
+--R           (640a b d  - 1920a b c d  + 1920a b c d - 640b  c )x
+--R         + 
+--R                 4 6 3        3 7   2        2 8 2           9 3  4
+--R           (3200a b d  - 9600a b c d  + 9600a b c d - 3200a b c )x
+--R         + 
+--R                 5 5 3         4 6   2         3 7 2         2 8 3  3
+--R           (6400a b d  - 19200a b c d  + 19200a b c d - 6400a b c )x
+--R         + 
+--R                 6 4 3         5 5   2         4 6 2         3 7 3  2
+--R           (6400a b d  - 19200a b c d  + 19200a b c d - 6400a b c )x
+--R         + 
+--R                 7 3 3        6 4   2        5 5 2         4 6 3         8 2 3
+--R           (3200a b d  - 9600a b c d  + 9600a b c d - 3200a b c )x + 640a b d
+--R         + 
+--R                  7 3   2        6 4 2        5 5 3
+--R           - 1920a b c d  + 1920a b c d - 640a b c
+--R      *
+--R          +-----------+
+--R          |         2
+--R         \|a b d - b c
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1265
+
+--S 1266 of 2952
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R   (4)
+--R           5 +-----------+ +-+
+--R         3d \|- a d + b c \|b
+--R      *
+--R                                                              +-------------+
+--R                         2   +-------+                        |           2
+--R             (2a b d - 2b c)\|d x + c  + (b d x - a d + 2b c)\|- a b d + b c
+--R         log(----------------------------------------------------------------)
+--R                                          b x + a
+--R     + 
+--R           +-------------+       +-+ +-------+
+--R         5 |           2        \|b \|d x + c
+--R       6d \|- a b d + b c atanh(--------------)
+--R                                 +-----------+
+--R                                \|- a d + b c
+--R  /
+--R                                                        +-------------+
+--R            3 2 3       2 3   2         4 2        5 3  |           2
+--R       (256a b d  - 768a b c d  + 768a b c d - 256b c )\|- a b d + b c
+--R    *
+--R        +-----------+ +-+
+--R       \|- a d + b c \|b
+--R                                                    Type: Expression(Integer)
+--E 1266
+
+--S 1267 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1267
+
+--S 1268 of 2952
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R   (6)
+--R           +-----------+       +-+ +-------+
+--R         5 |         2        \|b \|d x + c
+--R       3d \|a b d - b c atanh(--------------)
+--R                               +-----------+
+--R                              \|- a d + b c
+--R     + 
+--R                                  +-----------+
+--R                                  |         2   +-------+
+--R         5 +-----------+ +-+     \|a b d - b c \|d x + c
+--R       3d \|- a d + b c \|b atan(------------------------)
+--R                                         a d - b c
+--R  /
+--R            3 2 3       2 3   2         4 2        5 3  +-----------+ +-+
+--R       (128a b d  - 384a b c d  + 384a b c d - 128b c )\|- a d + b c \|b
+--R    *
+--R        +-----------+
+--R        |         2
+--R       \|a b d - b c
+--R                                                    Type: Expression(Integer)
+--E 1268
+
+--S 1269 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1269
+
+)clear all
+
+--S 1270 of 2952
+t0000:=(a+b*x)^5*(c+d*x)^(5/2)
+--R 
+--R
+--R   (1)
+--R        5 2 7        4 2     5     6       2 3 2        4       5 2  5
+--R       b d x  + (5a b d  + 2b c d)x  + (10a b d  + 10a b c d + b c )x
+--R     + 
+--R           3 2 2      2 3          4 2  4      4   2      3 2         2 3 2  3
+--R       (10a b d  + 20a b c d + 5a b c )x  + (5a b d  + 20a b c d + 10a b c )x
+--R     + 
+--R         5 2      4           3 2 2  2      5        4   2      5 2
+--R       (a d  + 10a b c d + 10a b c )x  + (2a c d + 5a b c )x + a c
+--R  *
+--R      +-------+
+--R     \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1270
+
+--S 1271 of 2952
+r0000:=-2/7*(b*c-a*d)^5*(c+d*x)^(7/2)/d^6+10/9*b*(b*c-a*d)^4*_
+     (c+d*x)^(9/2)/d^6-20/11*b^2*(b*c-a*d)^3*(c+d*x)^(11/2)/d^6+_
+     20/13*b^3*(b*c-a*d)^2*(c+d*x)^(13/2)/d^6-_
+     2/3*b^4*(b*c-a*d)*(c+d*x)^(15/2)/d^6+2/17*b^5*(c+d*x)^(17/2)/d^6
+--R 
+--R
+--R   (2)
+--R               5 8 8             4 8         5   7  7
+--R         18018b d x  + (102102a b d  + 42042b c d )x
+--R       + 
+--R                 2 3 8            4   7         5 2 6  6
+--R         (235620a b d  + 243474a b c d  + 25410b c d )x
+--R       + 
+--R                 3 2 8          2 3   7            4 2 6       5 3 5  5
+--R         (278460a b d  + 578340a b c d  + 152082a b c d  + 126b c d )x
+--R       + 
+--R                    4   8          3 2   7          2 3 2 6          4 3 5
+--R             170170a b d  + 711620a b c d  + 378420a b c d  + 1190a b c d
+--R           + 
+--R                   5 4 4
+--R             - 140b c d
+--R        *
+--R            4
+--R           x
+--R       + 
+--R                   5 8          4     7          3 2 2 6        2 3 3 5
+--R             43758a d  + 461890a b c d  + 499460a b c d  + 5100a b c d
+--R           + 
+--R                      4 4 4       5 5 3
+--R             - 1360a b c d  + 160b c d
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                    5   7          4   2 6         3 2 3 5        2 3 4 4
+--R             131274a c d  + 364650a b c d  + 13260a b c d  - 6120a b c d
+--R           + 
+--R                    4 5 3       5 6 2
+--R             1632a b c d  - 192b c d
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                    5 2 6         4   3 5         3 2 4 4        2 3 5 3
+--R             131274a c d  + 24310a b c d  - 17680a b c d  + 8160a b c d
+--R           + 
+--R                      4 6 2       5 7
+--R             - 2176a b c d  + 256b c d
+--R        *
+--R           x
+--R       + 
+--R               5 3 5         4   4 4         3 2 5 3         2 3 6 2
+--R         43758a c d  - 48620a b c d  + 35360a b c d  - 16320a b c d
+--R       + 
+--R                4 7        5 8
+--R         4352a b c d - 512b c
+--R    *
+--R        +-------+
+--R       \|d x + c
+--R  /
+--R            6
+--R     153153d
+--R                                                    Type: Expression(Integer)
+--E 1271
+
+--S 1272 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R               5 8 8             4 8         5   7  7
+--R         18018b d x  + (102102a b d  + 42042b c d )x
+--R       + 
+--R                 2 3 8            4   7         5 2 6  6
+--R         (235620a b d  + 243474a b c d  + 25410b c d )x
+--R       + 
+--R                 3 2 8          2 3   7            4 2 6       5 3 5  5
+--R         (278460a b d  + 578340a b c d  + 152082a b c d  + 126b c d )x
+--R       + 
+--R                    4   8          3 2   7          2 3 2 6          4 3 5
+--R             170170a b d  + 711620a b c d  + 378420a b c d  + 1190a b c d
+--R           + 
+--R                   5 4 4
+--R             - 140b c d
+--R        *
+--R            4
+--R           x
+--R       + 
+--R                   5 8          4     7          3 2 2 6        2 3 3 5
+--R             43758a d  + 461890a b c d  + 499460a b c d  + 5100a b c d
+--R           + 
+--R                      4 4 4       5 5 3
+--R             - 1360a b c d  + 160b c d
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                    5   7          4   2 6         3 2 3 5        2 3 4 4
+--R             131274a c d  + 364650a b c d  + 13260a b c d  - 6120a b c d
+--R           + 
+--R                    4 5 3       5 6 2
+--R             1632a b c d  - 192b c d
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                    5 2 6         4   3 5         3 2 4 4        2 3 5 3
+--R             131274a c d  + 24310a b c d  - 17680a b c d  + 8160a b c d
+--R           + 
+--R                      4 6 2       5 7
+--R             - 2176a b c d  + 256b c d
+--R        *
+--R           x
+--R       + 
+--R               5 3 5         4   4 4         3 2 5 3         2 3 6 2
+--R         43758a c d  - 48620a b c d  + 35360a b c d  - 16320a b c d
+--R       + 
+--R                4 7        5 8
+--R         4352a b c d - 512b c
+--R    *
+--R        +-------+
+--R       \|d x + c
+--R  /
+--R            6
+--R     153153d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1272
+
+--S 1273 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1273
+
+--S 1274 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1274
+
+)clear all
+
+--S 1275 of 2952
+t0000:=(a+b*x)^4*(c+d*x)^(5/2)
+--R 
+--R
+--R   (1)
+--R        4 2 6        3 2     4     5      2 2 2       3       4 2  4
+--R       b d x  + (4a b d  + 2b c d)x  + (6a b d  + 8a b c d + b c )x
+--R     + 
+--R          3   2      2 2          3 2  3     4 2     3          2 2 2  2
+--R       (4a b d  + 12a b c d + 4a b c )x  + (a d  + 8a b c d + 6a b c )x
+--R     + 
+--R          4        3   2      4 2
+--R       (2a c d + 4a b c )x + a c
+--R  *
+--R      +-------+
+--R     \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1275
+
+--S 1276 of 2952
+r0000:=2/7*(b*c-a*d)^4*(c+d*x)^(7/2)/d^5-_
+     8/9*b*(b*c-a*d)^3*(c+d*x)^(9/2)/d^5+_
+     12/11*b^2*(b*c-a*d)^2*(c+d*x)^(11/2)/d^5-_
+     8/13*b^3*(b*c-a*d)*(c+d*x)^(13/2)/d^5+2/15*b^4*(c+d*x)^(15/2)/d^5
+--R 
+--R
+--R   (2)
+--R              4 7 7            3 7         4   6  6
+--R         6006b d x  + (27720a b d  + 14322b c d )x
+--R       + 
+--R                2 2 7           3   6        4 2 5  5
+--R         (49140a b d  + 68040a b c d  + 8946b c d )x
+--R       + 
+--R                3   7          2 2   6           3 2 5      4 3 4  4
+--R         (40040a b d  + 125580a b c d  + 44520a b c d  + 70b c d )x
+--R       + 
+--R                4 7          3     6         2 2 2 5         3 3 4      4 4 3  3
+--R         (12870a d  + 108680a b c d  + 88140a b c d  + 600a b c d  - 80b c d )x
+--R       + 
+--R                4   6         3   2 5        2 2 3 4         3 4 3      4 5 2  2
+--R         (38610a c d  + 85800a b c d  + 2340a b c d  - 720a b c d  + 96b c d )x
+--R       + 
+--R                4 2 5        3   3 4        2 2 4 3         3 5 2       4 6
+--R         (38610a c d  + 5720a b c d  - 3120a b c d  + 960a b c d  - 128b c d)x
+--R       + 
+--R               4 3 4         3   4 3        2 2 5 2          3 6        4 7
+--R         12870a c d  - 11440a b c d  + 6240a b c d  - 1920a b c d + 256b c
+--R    *
+--R        +-------+
+--R       \|d x + c
+--R  /
+--R           5
+--R     45045d
+--R                                                    Type: Expression(Integer)
+--E 1276
+
+--S 1277 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R              4 7 7            3 7         4   6  6
+--R         6006b d x  + (27720a b d  + 14322b c d )x
+--R       + 
+--R                2 2 7           3   6        4 2 5  5
+--R         (49140a b d  + 68040a b c d  + 8946b c d )x
+--R       + 
+--R                3   7          2 2   6           3 2 5      4 3 4  4
+--R         (40040a b d  + 125580a b c d  + 44520a b c d  + 70b c d )x
+--R       + 
+--R                4 7          3     6         2 2 2 5         3 3 4      4 4 3  3
+--R         (12870a d  + 108680a b c d  + 88140a b c d  + 600a b c d  - 80b c d )x
+--R       + 
+--R                4   6         3   2 5        2 2 3 4         3 4 3      4 5 2  2
+--R         (38610a c d  + 85800a b c d  + 2340a b c d  - 720a b c d  + 96b c d )x
+--R       + 
+--R                4 2 5        3   3 4        2 2 4 3         3 5 2       4 6
+--R         (38610a c d  + 5720a b c d  - 3120a b c d  + 960a b c d  - 128b c d)x
+--R       + 
+--R               4 3 4         3   4 3        2 2 5 2          3 6        4 7
+--R         12870a c d  - 11440a b c d  + 6240a b c d  - 1920a b c d + 256b c
+--R    *
+--R        +-------+
+--R       \|d x + c
+--R  /
+--R           5
+--R     45045d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1277
+
+--S 1278 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1278
+
+--S 1279 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1279
+
+)clear all
+
+--S 1280 of 2952
+t0000:=(a+b*x)^3*(c+d*x)^(5/2)
+--R 
+--R
+--R   (1)
+--R        3 2 5        2 2     3     4      2   2       2       3 2  3
+--R       b d x  + (3a b d  + 2b c d)x  + (3a b d  + 6a b c d + b c )x
+--R     + 
+--R         3 2     2            2 2  2      3        2   2      3 2
+--R       (a d  + 6a b c d + 3a b c )x  + (2a c d + 3a b c )x + a c
+--R  *
+--R      +-------+
+--R     \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1280
+
+--S 1281 of 2952
+r0000:=-2/7*(b*c-a*d)^3*(c+d*x)^(7/2)/d^4+_
+     2/3*b*(b*c-a*d)^2*(c+d*x)^(9/2)/d^4-_
+     6/11*b^2*(b*c-a*d)*(c+d*x)^(11/2)/d^4+2/13*b^3*(c+d*x)^(13/2)/d^4
+--R 
+--R
+--R   (2)
+--R             3 6 6           2 6        3   5  5
+--R         462b d x  + (1638a b d  + 1134b c d )x
+--R       + 
+--R               2   6          2   5       3 2 4  4
+--R         (2002a b d  + 4186a b c d  + 742b c d )x
+--R       + 
+--R              3 6        2     5          2 2 4      3 3 3  3
+--R         (858a d  + 5434a b c d  + 2938a b c d  + 10b c d )x
+--R       + 
+--R               3   5        2   2 4        2 3 3      3 4 2  2
+--R         (2574a c d  + 4290a b c d  + 78a b c d  - 12b c d )x
+--R       + 
+--R               3 2 4       2   3 3         2 4 2      3 5          3 3 3
+--R         (2574a c d  + 286a b c d  - 104a b c d  + 16b c d)x + 858a c d
+--R       + 
+--R               2   4 2         2 5       3 6
+--R         - 572a b c d  + 208a b c d - 32b c
+--R    *
+--R        +-------+
+--R       \|d x + c
+--R  /
+--R          4
+--R     3003d
+--R                                                    Type: Expression(Integer)
+--E 1281
+
+--S 1282 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R             3 6 6           2 6        3   5  5
+--R         462b d x  + (1638a b d  + 1134b c d )x
+--R       + 
+--R               2   6          2   5       3 2 4  4
+--R         (2002a b d  + 4186a b c d  + 742b c d )x
+--R       + 
+--R              3 6        2     5          2 2 4      3 3 3  3
+--R         (858a d  + 5434a b c d  + 2938a b c d  + 10b c d )x
+--R       + 
+--R               3   5        2   2 4        2 3 3      3 4 2  2
+--R         (2574a c d  + 4290a b c d  + 78a b c d  - 12b c d )x
+--R       + 
+--R               3 2 4       2   3 3         2 4 2      3 5          3 3 3
+--R         (2574a c d  + 286a b c d  - 104a b c d  + 16b c d)x + 858a c d
+--R       + 
+--R               2   4 2         2 5       3 6
+--R         - 572a b c d  + 208a b c d - 32b c
+--R    *
+--R        +-------+
+--R       \|d x + c
+--R  /
+--R          4
+--R     3003d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1282
+
+--S 1283 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1283
+
+--S 1284 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1284
+
+)clear all
+
+--S 1285 of 2952
+t0000:=(a+b*x)^2*(c+d*x)^(5/2)
+--R 
+--R
+--R   (1)
+--R        2 2 4          2     2     3     2 2               2 2  2
+--R       b d x  + (2a b d  + 2b c d)x  + (a d  + 4a b c d + b c )x
+--R     + 
+--R          2            2      2 2
+--R       (2a c d + 2a b c )x + a c
+--R  *
+--R      +-------+
+--R     \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1285
+
+--S 1286 of 2952
+r0000:=2/7*(b*c-a*d)^2*(c+d*x)^(7/2)/d^3-4/9*b*(b*c-a*d)*(c+d*x)^(9/2)/d^3+_
+     2/11*b^2*(c+d*x)^(11/2)/d^3
+--R 
+--R
+--R   (2)
+--R             2 5 5            5       2   4  4
+--R         126b d x  + (308a b d  + 322b c d )x
+--R       + 
+--R              2 5             4       2 2 3  3
+--R         (198a d  + 836a b c d  + 226b c d )x
+--R       + 
+--R              2   4           2 3     2 3 2  2
+--R         (594a c d  + 660a b c d  + 6b c d )x
+--R       + 
+--R              2 2 3          3 2     2 4          2 3 2          4       2 5
+--R         (594a c d  + 44a b c d  - 8b c d)x + 198a c d  - 88a b c d + 16b c
+--R    *
+--R        +-------+
+--R       \|d x + c
+--R  /
+--R         3
+--R     693d
+--R                                                    Type: Expression(Integer)
+--E 1286
+
+--S 1287 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R             2 5 5            5       2   4  4
+--R         126b d x  + (308a b d  + 322b c d )x
+--R       + 
+--R              2 5             4       2 2 3  3
+--R         (198a d  + 836a b c d  + 226b c d )x
+--R       + 
+--R              2   4           2 3     2 3 2  2
+--R         (594a c d  + 660a b c d  + 6b c d )x
+--R       + 
+--R              2 2 3          3 2     2 4          2 3 2          4       2 5
+--R         (594a c d  + 44a b c d  - 8b c d)x + 198a c d  - 88a b c d + 16b c
+--R    *
+--R        +-------+
+--R       \|d x + c
+--R  /
+--R         3
+--R     693d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1287
+
+--S 1288 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1288
+
+--S 1289 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1289
+
+)clear all
+
+--S 1290 of 2952
+t0000:=(a+b*x)*(c+d*x)^(5/2)
+--R 
+--R
+--R            2 3       2           2                2        2  +-------+
+--R   (1)  (b d x  + (a d  + 2b c d)x  + (2a c d + b c )x + a c )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1290
+
+--S 1291 of 2952
+r0000:=-2/7*(b*c-a*d)*(c+d*x)^(7/2)/d^2+2/9*b*(c+d*x)^(9/2)/d^2
+--R 
+--R
+--R   (2)
+--R              4 4         4          3  3           3        2 2  2
+--R         14b d x  + (18a d  + 38b c d )x  + (54a c d  + 30b c d )x
+--R       + 
+--R               2 2       3           3        4
+--R         (54a c d  + 2b c d)x + 18a c d - 4b c
+--R    *
+--R        +-------+
+--R       \|d x + c
+--R  /
+--R        2
+--R     63d
+--R                                                    Type: Expression(Integer)
+--E 1291
+
+--S 1292 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R              4 4         4          3  3           3        2 2  2
+--R         14b d x  + (18a d  + 38b c d )x  + (54a c d  + 30b c d )x
+--R       + 
+--R               2 2       3           3        4
+--R         (54a c d  + 2b c d)x + 18a c d - 4b c
+--R    *
+--R        +-------+
+--R       \|d x + c
+--R  /
+--R        2
+--R     63d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1292
+
+--S 1293 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1293
+
+--S 1294 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1294
+
+)clear all
+
+--S 1295 of 2952
+t0000:=(c+d*x)^(5/2)
+--R 
+--R
+--R          2 2             2  +-------+
+--R   (1)  (d x  + 2c d x + c )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1295
+
+--S 1296 of 2952
+r0000:=2/7*(c+d*x)^(7/2)/d
+--R 
+--R
+--R           3 3       2 2     2        3  +-------+
+--R        (2d x  + 6c d x  + 6c d x + 2c )\|d x + c
+--R   (2)  ------------------------------------------
+--R                            7d
+--R                                                    Type: Expression(Integer)
+--E 1296
+
+--S 1297 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           3 3       2 2     2        3  +-------+
+--R        (2d x  + 6c d x  + 6c d x + 2c )\|d x + c
+--R   (3)  ------------------------------------------
+--R                            7d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1297
+
+--S 1298 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1298
+
+--S 1299 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1299
+
+)clear all
+
+--S 1300 of 2952
+t0000:=(c+d*x)^(5/2)/(a+b*x)
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R   (1)  ------------------------------
+--R                    b x + a
+--R                                                    Type: Expression(Integer)
+--E 1300
+
+--S 1301 of 2952
+r0000:=2/3*(b*c-a*d)*(c+d*x)^(3/2)/b^2+2/5*(c+d*x)^(5/2)/b-_
+     2*(b*c-a*d)^(5/2)*atanh(sqrt(b)*sqrt(c+d*x)/sqrt(b*c-a*d))/b^(7/2)+_
+     2*(b*c-a*d)^2*sqrt(c+d*x)/b^3
+--R 
+--R
+--R   (2)
+--R                                                           +-+ +-------+
+--R             2 2                  2 2  +-----------+      \|b \|d x + c
+--R       (- 30a d  + 60a b c d - 30b c )\|- a d + b c atanh(--------------)
+--R                                                           +-----------+
+--R                                                          \|- a d + b c
+--R     + 
+--R            2 2 2             2      2           2 2                  2 2  +-+
+--R         (6b d x  + (- 10a b d  + 22b c d)x + 30a d  - 70a b c d + 46b c )\|b
+--R      *
+--R          +-------+
+--R         \|d x + c
+--R  /
+--R        3 +-+
+--R     15b \|b
+--R                                                    Type: Expression(Integer)
+--E 1301
+
+--S 1302 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                                         +-----------+
+--R               2 2                  2 2  |- a d + b c
+--R           (15a d  - 30a b c d + 15b c ) |-----------
+--R                                        \|     b
+--R        *
+--R                    +-----------+
+--R                    |- a d + b c  +-------+
+--R               - 2b |----------- \|d x + c  + b d x - a d + 2b c
+--R                   \|     b
+--R           log(-------------------------------------------------)
+--R                                    b x + a
+--R       + 
+--R              2 2 2             2      2           2 2                  2 2
+--R           (6b d x  + (- 10a b d  + 22b c d)x + 30a d  - 70a b c d + 46b c )
+--R        *
+--R            +-------+
+--R           \|d x + c
+--R    /
+--R          3
+--R       15b
+--R     ,
+--R
+--R                                         +---------+       +-------+
+--R               2 2                  2 2  |a d - b c       \|d x + c
+--R         (- 30a d  + 60a b c d - 30b c ) |--------- atan(------------)
+--R                                        \|    b           +---------+
+--R                                                          |a d - b c
+--R                                                          |---------
+--R                                                         \|    b
+--R       + 
+--R              2 2 2             2      2           2 2                  2 2
+--R           (6b d x  + (- 10a b d  + 22b c d)x + 30a d  - 70a b c d + 46b c )
+--R        *
+--R            +-------+
+--R           \|d x + c
+--R    /
+--R          3
+--R       15b
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1302
+
+--S 1303 of 2952
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R   (4)
+--R                                  +-----------+
+--R           2 2               2 2  |- a d + b c  +-+
+--R         (a d  - 2a b c d + b c ) |----------- \|b
+--R                                 \|     b
+--R      *
+--R                  +-----------+
+--R                  |- a d + b c  +-------+
+--R             - 2b |----------- \|d x + c  + b d x - a d + 2b c
+--R                 \|     b
+--R         log(-------------------------------------------------)
+--R                                  b x + a
+--R     + 
+--R                                                      +-+ +-------+
+--R          2 2                2 2  +-----------+      \|b \|d x + c
+--R       (2a d  - 4a b c d + 2b c )\|- a d + b c atanh(--------------)
+--R                                                      +-----------+
+--R                                                     \|- a d + b c
+--R  /
+--R      3 +-+
+--R     b \|b
+--R                                                    Type: Expression(Integer)
+--E 1303
+
+--S 1304 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1304
+
+--S 1305 of 2952
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R   (6)
+--R                                                      +-+ +-------+
+--R          2 2                2 2  +-----------+      \|b \|d x + c
+--R       (2a d  - 4a b c d + 2b c )\|- a d + b c atanh(--------------)
+--R                                                      +-----------+
+--R                                                     \|- a d + b c
+--R     + 
+--R                                        +---------+       +-------+
+--R            2 2                2 2  +-+ |a d - b c       \|d x + c
+--R       (- 2a d  + 4a b c d - 2b c )\|b  |--------- atan(------------)
+--R                                       \|    b           +---------+
+--R                                                         |a d - b c
+--R                                                         |---------
+--R                                                        \|    b
+--R  /
+--R      3 +-+
+--R     b \|b
+--R                                                    Type: Expression(Integer)
+--E 1305
+
+--S 1306 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1306
+
+)clear all
+
+--S 1307 of 2952
+t0000:=(c+d*x)^(5/2)/(a+b*x)^2
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R   (1)  ------------------------------
+--R               2 2             2
+--R              b x  + 2a b x + a
+--R                                                    Type: Expression(Integer)
+--E 1307
+
+--S 1308 of 2952
+r0000:=5/3*d*(c+d*x)^(3/2)/b^2-(c+d*x)^(5/2)/(b*(a+b*x))-_
+     5*d*(b*c-a*d)^(3/2)*atanh(sqrt(b)*sqrt(c+d*x)/sqrt(b*c-a*d))/b^(7/2)+_
+     5*d*(b*c-a*d)*sqrt(c+d*x)/b^3
+--R 
+--R
+--R   (2)
+--R                  2      2           2 2              +-----------+
+--R         ((15a b d  - 15b c d)x + 15a d  - 15a b c d)\|- a d + b c
+--R      *
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R         atanh(--------------)
+--R                +-----------+
+--R               \|- a d + b c
+--R     + 
+--R            2 2 2             2      2           2 2                 2 2  +-+
+--R         (2b d x  + (- 10a b d  + 14b c d)x - 15a d  + 20a b c d - 3b c )\|b
+--R      *
+--R          +-------+
+--R         \|d x + c
+--R  /
+--R        4        3  +-+
+--R     (3b x + 3a b )\|b
+--R                                                    Type: Expression(Integer)
+--E 1308
+
+--S 1309 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                                                        +-----------+
+--R                    2      2           2 2              |- a d + b c
+--R           ((15a b d  - 15b c d)x + 15a d  - 15a b c d) |-----------
+--R                                                       \|     b
+--R        *
+--R                  +-----------+
+--R                  |- a d + b c  +-------+
+--R               2b |----------- \|d x + c  + b d x - a d + 2b c
+--R                 \|     b
+--R           log(-----------------------------------------------)
+--R                                   b x + a
+--R       + 
+--R              2 2 2             2      2           2 2                 2 2
+--R           (4b d x  + (- 20a b d  + 28b c d)x - 30a d  + 40a b c d - 6b c )
+--R        *
+--R            +-------+
+--R           \|d x + c
+--R    /
+--R         4        3
+--R       6b x + 6a b
+--R     ,
+--R
+--R                                                        +---------+
+--R                    2      2           2 2              |a d - b c
+--R           ((15a b d  - 15b c d)x + 15a d  - 15a b c d) |---------
+--R                                                       \|    b
+--R        *
+--R                  +-------+
+--R                 \|d x + c
+--R           atan(------------)
+--R                 +---------+
+--R                 |a d - b c
+--R                 |---------
+--R                \|    b
+--R       + 
+--R              2 2 2             2      2           2 2                 2 2
+--R           (2b d x  + (- 10a b d  + 14b c d)x - 15a d  + 20a b c d - 3b c )
+--R        *
+--R            +-------+
+--R           \|d x + c
+--R    /
+--R         4        3
+--R       3b x + 3a b
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1309
+
+--S 1310 of 2952
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R   (4)
+--R                          +-----------+
+--R              2           |- a d + b c  +-+
+--R         (5a d  - 5b c d) |----------- \|b
+--R                         \|     b
+--R      *
+--R                +-----------+
+--R                |- a d + b c  +-------+
+--R             2b |----------- \|d x + c  + b d x - a d + 2b c
+--R               \|     b
+--R         log(-----------------------------------------------)
+--R                                 b x + a
+--R     + 
+--R                                                +-+ +-------+
+--R               2            +-----------+      \|b \|d x + c
+--R       (- 10a d  + 10b c d)\|- a d + b c atanh(--------------)
+--R                                                +-----------+
+--R                                               \|- a d + b c
+--R  /
+--R       3 +-+
+--R     2b \|b
+--R                                                    Type: Expression(Integer)
+--E 1310
+
+--S 1311 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1311
+
+--S 1312 of 2952
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R   (6)
+--R                                              +-+ +-------+
+--R              2           +-----------+      \|b \|d x + c
+--R       (- 5a d  + 5b c d)\|- a d + b c atanh(--------------)
+--R                                              +-----------+
+--R                                             \|- a d + b c
+--R     + 
+--R                            +---------+       +-------+
+--R            2           +-+ |a d - b c       \|d x + c
+--R       (5a d  - 5b c d)\|b  |--------- atan(------------)
+--R                           \|    b           +---------+
+--R                                             |a d - b c
+--R                                             |---------
+--R                                            \|    b
+--R  /
+--R      3 +-+
+--R     b \|b
+--R                                                    Type: Expression(Integer)
+--E 1312
+
+--S 1313 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1313
+
+)clear all
+
+--S 1314 of 2952
+t0000:=(c+d*x)^(5/2)/(a+b*x)^3
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R   (1)  ------------------------------
+--R          3 3       2 2     2       3
+--R         b x  + 3a b x  + 3a b x + a
+--R                                                    Type: Expression(Integer)
+--E 1314
+
+--S 1315 of 2952
+r0000:=-5/4*d*(c+d*x)^(3/2)/(b^2*(a+b*x))-1/2*(c+d*x)^(5/2)/(b*(a+b*x)^2)-_
+     15/4*d^2*atanh(sqrt(b)*sqrt(c+d*x)/sqrt(b*c-a*d))*_
+     sqrt(b*c-a*d)/b^(7/2)+15/4*d^2*sqrt(c+d*x)/b^3
+--R 
+--R
+--R   (2)
+--R                                                             +-+ +-------+
+--R             2 2 2          2       2 2  +-----------+      \|b \|d x + c
+--R       (- 15b d x  - 30a b d x - 15a d )\|- a d + b c atanh(--------------)
+--R                                                             +-----------+
+--R                                                            \|- a d + b c
+--R     + 
+--R        2 2 2           2     2           2 2                2 2  +-+ +-------+
+--R     (8b d x  + (25a b d  - 9b c d)x + 15a d  - 5a b c d - 2b c )\|b \|d x + c
+--R  /
+--R        5 2       4      2 3  +-+
+--R     (4b x  + 8a b x + 4a b )\|b
+--R                                                    Type: Expression(Integer)
+--E 1315
+
+--S 1316 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                                           +-----------+
+--R               2 2 2          2       2 2  |- a d + b c
+--R           (15b d x  + 30a b d x + 15a d ) |-----------
+--R                                          \|     b
+--R        *
+--R                    +-----------+
+--R                    |- a d + b c  +-------+
+--R               - 2b |----------- \|d x + c  + b d x - a d + 2b c
+--R                   \|     b
+--R           log(-------------------------------------------------)
+--R                                    b x + a
+--R       + 
+--R           2 2 2           2      2           2 2                 2 2  +-------+
+--R       (16b d x  + (50a b d  - 18b c d)x + 30a d  - 10a b c d - 4b c )\|d x + c
+--R    /
+--R         5 2        4      2 3
+--R       8b x  + 16a b x + 8a b
+--R     ,
+--R
+--R                                           +---------+       +-------+
+--R               2 2 2          2       2 2  |a d - b c       \|d x + c
+--R         (- 15b d x  - 30a b d x - 15a d ) |--------- atan(------------)
+--R                                          \|    b           +---------+
+--R                                                            |a d - b c
+--R                                                            |---------
+--R                                                           \|    b
+--R       + 
+--R            2 2 2           2     2           2 2                2 2  +-------+
+--R         (8b d x  + (25a b d  - 9b c d)x + 15a d  - 5a b c d - 2b c )\|d x + c
+--R    /
+--R         5 2       4      2 3
+--R       4b x  + 8a b x + 4a b
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1316
+
+--S 1317 of 2952
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R   (4)
+--R              +-----------+
+--R            2 |- a d + b c  +-+
+--R         15d  |----------- \|b
+--R             \|     b
+--R      *
+--R                  +-----------+
+--R                  |- a d + b c  +-------+
+--R             - 2b |----------- \|d x + c  + b d x - a d + 2b c
+--R                 \|     b
+--R         log(-------------------------------------------------)
+--R                                  b x + a
+--R     + 
+--R                                +-+ +-------+
+--R          2 +-----------+      \|b \|d x + c
+--R       30d \|- a d + b c atanh(--------------)
+--R                                +-----------+
+--R                               \|- a d + b c
+--R  /
+--R       3 +-+
+--R     8b \|b
+--R                                                    Type: Expression(Integer)
+--E 1317
+
+--S 1318 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1318
+
+--S 1319 of 2952
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R   (6)
+--R                                +-+ +-------+
+--R          2 +-----------+      \|b \|d x + c
+--R       15d \|- a d + b c atanh(--------------)
+--R                                +-----------+
+--R                               \|- a d + b c
+--R     + 
+--R                  +---------+       +-------+
+--R            2 +-+ |a d - b c       \|d x + c
+--R       - 15d \|b  |--------- atan(------------)
+--R                 \|    b           +---------+
+--R                                   |a d - b c
+--R                                   |---------
+--R                                  \|    b
+--R  /
+--R       3 +-+
+--R     4b \|b
+--R                                                    Type: Expression(Integer)
+--E 1319
+
+--S 1320 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1320
+
+)clear all
+
+--S 1321 of 2952
+t0000:=(c+d*x)^(5/2)/(a+b*x)^4
+--R 
+--R
+--R              2 2             2  +-------+
+--R            (d x  + 2c d x + c )\|d x + c
+--R   (1)  --------------------------------------
+--R         4 4       3 3     2 2 2     3       4
+--R        b x  + 4a b x  + 6a b x  + 4a b x + a
+--R                                                    Type: Expression(Integer)
+--E 1321
+
+--S 1322 of 2952
+r0000:=-5/12*d*(c+d*x)^(3/2)/(b^2*(a+b*x)^2)-1/3*(c+d*x)^(5/2)/(b*(a+b*x)^3)-_
+     5/8*d^3*atanh(sqrt(b)*sqrt(c+d*x)/sqrt(b*c-a*d))/(b^(7/2)*_
+     sqrt(b*c-a*d))-5/8*d^2*sqrt(c+d*x)/(b^3*(a+b*x))
+--R 
+--R
+--R   (2)
+--R                                                            +-+ +-------+
+--R             3 3 3        2 3 2      2   3       3 3       \|b \|d x + c
+--R       (- 15b d x  - 45a b d x  - 45a b d x - 15a d )atanh(--------------)
+--R                                                            +-----------+
+--R                                                           \|- a d + b c
+--R     + 
+--R               2 2 2             2      2           2 2                 2 2
+--R         (- 33b d x  + (- 40a b d  - 26b c d)x - 15a d  - 10a b c d - 8b c )
+--R      *
+--R          +-----------+ +-+ +-------+
+--R         \|- a d + b c \|b \|d x + c
+--R  /
+--R         6 3        5 2      2 4       3 3  +-----------+ +-+
+--R     (24b x  + 72a b x  + 72a b x + 24a b )\|- a d + b c \|b
+--R                                                    Type: Expression(Integer)
+--E 1322
+
+--S 1323 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R               3 3 3        2 3 2      2   3       3 3
+--R           (15b d x  + 45a b d x  + 45a b d x + 15a d )
+--R        *
+--R                                                              +-------------+
+--R                         2   +-------+                        |           2
+--R             (2a b d - 2b c)\|d x + c  + (b d x - a d + 2b c)\|- a b d + b c
+--R         log(----------------------------------------------------------------)
+--R                                          b x + a
+--R       + 
+--R                 2 2 2             2      2           2 2                  2 2
+--R           (- 66b d x  + (- 80a b d  - 52b c d)x - 30a d  - 20a b c d - 16b c )
+--R        *
+--R            +-------------+
+--R            |           2   +-------+
+--R           \|- a b d + b c \|d x + c
+--R    /
+--R                                                +-------------+
+--R           6 3         5 2       2 4       3 3  |           2
+--R       (48b x  + 144a b x  + 144a b x + 48a b )\|- a b d + b c
+--R     ,
+--R
+--R               3 3 3        2 3 2      2   3       3 3
+--R           (15b d x  + 45a b d x  + 45a b d x + 15a d )
+--R        *
+--R                 +-----------+
+--R                 |         2   +-------+
+--R                \|a b d - b c \|d x + c
+--R           atan(------------------------)
+--R                        a d - b c
+--R       + 
+--R                 2 2 2             2      2           2 2                 2 2
+--R           (- 33b d x  + (- 40a b d  - 26b c d)x - 15a d  - 10a b c d - 8b c )
+--R        *
+--R            +-----------+
+--R            |         2   +-------+
+--R           \|a b d - b c \|d x + c
+--R    /
+--R                                              +-----------+
+--R           6 3        5 2      2 4       3 3  |         2
+--R       (24b x  + 72a b x  + 72a b x + 24a b )\|a b d - b c
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1323
+
+--S 1324 of 2952
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R   (4)
+--R           3 +-----------+ +-+
+--R         5d \|- a d + b c \|b
+--R      *
+--R                                                              +-------------+
+--R                         2   +-------+                        |           2
+--R             (2a b d - 2b c)\|d x + c  + (b d x - a d + 2b c)\|- a b d + b c
+--R         log(----------------------------------------------------------------)
+--R                                          b x + a
+--R     + 
+--R            +-------------+       +-+ +-------+
+--R          3 |           2        \|b \|d x + c
+--R       10d \|- a b d + b c atanh(--------------)
+--R                                  +-----------+
+--R                                 \|- a d + b c
+--R  /
+--R          +-------------+
+--R        3 |           2   +-----------+ +-+
+--R     16b \|- a b d + b c \|- a d + b c \|b
+--R                                                    Type: Expression(Integer)
+--E 1324
+
+--S 1325 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1325
+
+--S 1326 of 2952
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R   (6)
+--R           +-----------+       +-+ +-------+
+--R         3 |         2        \|b \|d x + c
+--R       5d \|a b d - b c atanh(--------------)
+--R                               +-----------+
+--R                              \|- a d + b c
+--R     + 
+--R                                  +-----------+
+--R                                  |         2   +-------+
+--R         3 +-----------+ +-+     \|a b d - b c \|d x + c
+--R       5d \|- a d + b c \|b atan(------------------------)
+--R                                         a d - b c
+--R  /
+--R                           +-----------+
+--R       3 +-----------+ +-+ |         2
+--R     8b \|- a d + b c \|b \|a b d - b c
+--R                                                    Type: Expression(Integer)
+--E 1326
+
+--S 1327 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1327
+
+)clear all
+
+--S 1328 of 2952
+t0000:=(c+d*x)^(5/2)/(a+b*x)^5
+--R 
+--R
+--R                    2 2             2  +-------+
+--R                  (d x  + 2c d x + c )\|d x + c
+--R   (1)  --------------------------------------------------
+--R         5 5       4 4      2 3 3      3 2 2     4       5
+--R        b x  + 5a b x  + 10a b x  + 10a b x  + 5a b x + a
+--R                                                    Type: Expression(Integer)
+--E 1328
+
+--S 1329 of 2952
+r0000:=-5/24*d*(c+d*x)^(3/2)/(b^2*(a+b*x)^3)-1/4*(c+d*x)^(5/2)/(b*(a+b*x)^4)+_
+     5/64*d^4*atanh(sqrt(b)*sqrt(c+d*x)/sqrt(b*c-a*d))/(b^(7/2)*_
+     (b*c-a*d)^(3/2))-5/32*d^2*sqrt(c+d*x)/(b^3*(a+b*x)^2)-_
+     5/64*d^3*sqrt(c+d*x)/(b^3*(b*c-a*d)*(a+b*x))
+--R 
+--R
+--R   (2)
+--R               4 4 4        3 4 3      2 2 4 2      3   4       4 4
+--R         (- 15b d x  - 60a b d x  - 90a b d x  - 60a b d x - 15a d )
+--R      *
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R         atanh(--------------)
+--R                +-----------+
+--R               \|- a d + b c
+--R     + 
+--R              3 3 3           2 3       3   2  2
+--R           15b d x  + (- 73a b d  + 118b c d )x
+--R         + 
+--R                 2   3        2   2       3 2         3 3      2     2
+--R           (- 55a b d  - 36a b c d  + 136b c d)x - 15a d  - 10a b c d
+--R         + 
+--R                 2 2       3 3
+--R           - 8a b c d + 48b c
+--R      *
+--R          +-----------+ +-+ +-------+
+--R         \|- a d + b c \|b \|d x + c
+--R  /
+--R                7        8   4        2 6          7   3
+--R         (192a b d - 192b c)x  + (768a b d - 768a b c)x
+--R       + 
+--R             3 5         2 6   2        4 4        3 5          5 3        4 4
+--R       (1152a b d - 1152a b c)x  + (768a b d - 768a b c)x + 192a b d - 192a b c
+--R    *
+--R        +-----------+ +-+
+--R       \|- a d + b c \|b
+--R                                                    Type: Expression(Integer)
+--E 1329
+
+--S 1330 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R               4 4 4        3 4 3      2 2 4 2      3   4       4 4
+--R           (15b d x  + 60a b d x  + 90a b d x  + 60a b d x + 15a d )
+--R        *
+--R                                                              +-------------+
+--R                         2   +-------+                        |           2
+--R             (2a b d - 2b c)\|d x + c  + (b d x - a d + 2b c)\|- a b d + b c
+--R         log(----------------------------------------------------------------)
+--R                                          b x + a
+--R       + 
+--R                3 3 3            2 3       3   2  2
+--R             30b d x  + (- 146a b d  + 236b c d )x
+--R           + 
+--R                    2   3        2   2       3 2         3 3      2     2
+--R             (- 110a b d  - 72a b c d  + 272b c d)x - 30a d  - 20a b c d
+--R           + 
+--R                    2 2       3 3
+--R             - 16a b c d + 96b c
+--R        *
+--R            +-------------+
+--R            |           2   +-------+
+--R           \|- a b d + b c \|d x + c
+--R    /
+--R                  7        8   4         2 6           7   3
+--R           (384a b d - 384b c)x  + (1536a b d - 1536a b c)x
+--R         + 
+--R                 3 5         2 6   2         4 4         3 5          5 3
+--R           (2304a b d - 2304a b c)x  + (1536a b d - 1536a b c)x + 384a b d
+--R         + 
+--R                 4 4
+--R           - 384a b c
+--R      *
+--R          +-------------+
+--R          |           2
+--R         \|- a b d + b c
+--R     ,
+--R
+--R               4 4 4        3 4 3      2 2 4 2      3   4       4 4
+--R           (15b d x  + 60a b d x  + 90a b d x  + 60a b d x + 15a d )
+--R        *
+--R                 +-----------+
+--R                 |         2   +-------+
+--R                \|a b d - b c \|d x + c
+--R           atan(------------------------)
+--R                        a d - b c
+--R       + 
+--R                3 3 3           2 3       3   2  2
+--R             15b d x  + (- 73a b d  + 118b c d )x
+--R           + 
+--R                   2   3        2   2       3 2         3 3      2     2
+--R             (- 55a b d  - 36a b c d  + 136b c d)x - 15a d  - 10a b c d
+--R           + 
+--R                   2 2       3 3
+--R             - 8a b c d + 48b c
+--R        *
+--R            +-----------+
+--R            |         2   +-------+
+--R           \|a b d - b c \|d x + c
+--R    /
+--R                  7        8   4        2 6          7   3
+--R           (192a b d - 192b c)x  + (768a b d - 768a b c)x
+--R         + 
+--R                 3 5         2 6   2        4 4        3 5          5 3
+--R           (1152a b d - 1152a b c)x  + (768a b d - 768a b c)x + 192a b d
+--R         + 
+--R                 4 4
+--R           - 192a b c
+--R      *
+--R          +-----------+
+--R          |         2
+--R         \|a b d - b c
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1330
+
+--S 1331 of 2952
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R   (4)
+--R           4 +-----------+ +-+
+--R         5d \|- a d + b c \|b
+--R      *
+--R                                                              +-------------+
+--R                         2   +-------+                        |           2
+--R             (2a b d - 2b c)\|d x + c  + (b d x - a d + 2b c)\|- a b d + b c
+--R         log(----------------------------------------------------------------)
+--R                                          b x + a
+--R     + 
+--R            +-------------+       +-+ +-------+
+--R          4 |           2        \|b \|d x + c
+--R       10d \|- a b d + b c atanh(--------------)
+--R                                  +-----------+
+--R                                 \|- a d + b c
+--R  /
+--R                         +-------------+
+--R            3        4   |           2   +-----------+ +-+
+--R     (128a b d - 128b c)\|- a b d + b c \|- a d + b c \|b
+--R                                                    Type: Expression(Integer)
+--E 1331
+
+--S 1332 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1332
+
+--S 1333 of 2952
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R   (6)
+--R           +-----------+       +-+ +-------+
+--R         4 |         2        \|b \|d x + c
+--R       5d \|a b d - b c atanh(--------------)
+--R                               +-----------+
+--R                              \|- a d + b c
+--R     + 
+--R                                  +-----------+
+--R                                  |         2   +-------+
+--R         4 +-----------+ +-+     \|a b d - b c \|d x + c
+--R       5d \|- a d + b c \|b atan(------------------------)
+--R                                         a d - b c
+--R  /
+--R                                         +-----------+
+--R           3       4   +-----------+ +-+ |         2
+--R     (64a b d - 64b c)\|- a d + b c \|b \|a b d - b c
+--R                                                    Type: Expression(Integer)
+--E 1333
+
+--S 1334 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1334
+
+)clear all
+
+--S 1335 of 2952
+t0000:=(c+d*x)^(5/2)/(a+b*x)^6
+--R 
+--R
+--R                          2 2             2  +-------+
+--R                        (d x  + 2c d x + c )\|d x + c
+--R   (1)  -------------------------------------------------------------
+--R         6 6       5 5      2 4 4      3 3 3      4 2 2     5       6
+--R        b x  + 6a b x  + 15a b x  + 20a b x  + 15a b x  + 6a b x + a
+--R                                                    Type: Expression(Integer)
+--E 1335
+
+--S 1336 of 2952
+r0000:=-1/8*d*(c+d*x)^(3/2)/(b^2*(a+b*x)^4)-1/5*(c+d*x)^(5/2)/_
+     (b*(a+b*x)^5)-3/128*d^5*atanh(sqrt(b)*sqrt(c+d*x)/sqrt(b*c-a*d))/_
+     (b^(7/2)*(b*c-a*d)^(5/2))-1/16*d^2*sqrt(c+d*x)/(b^3*(a+b*x)^3)-_
+     1/64*d^3*sqrt(c+d*x)/(b^3*(b*c-a*d)*(a+b*x)^2)+_
+     3/128*d^4*sqrt(c+d*x)/(b^3*(b*c-a*d)^2*(a+b*x))
+--R 
+--R
+--R   (2)
+--R                5 5 5        4 5 4       2 3 5 3       3 2 5 2      4   5
+--R           - 15b d x  - 75a b d x  - 150a b d x  - 150a b d x  - 75a b d x
+--R         + 
+--R                5 5
+--R           - 15a d
+--R      *
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R         atanh(--------------)
+--R                +-----------+
+--R               \|- a d + b c
+--R     + 
+--R              4 4 4         3 4      4   3  3
+--R           15b d x  + (70a b d  - 10b c d )x
+--R         + 
+--R                  2 2 4         3   3       4 2 2  2
+--R           (- 128a b d  + 466a b c d  - 248b c d )x
+--R         + 
+--R                 3   4      2 2   3         3 2 2       4 3         4 4
+--R           (- 70a b d  - 46a b c d  + 512a b c d  - 336b c d)x - 15a d
+--R         + 
+--R                3     3     2 2 2 2         3 3        4 4
+--R           - 10a b c d  - 8a b c d  + 176a b c d - 128b c
+--R      *
+--R          +-----------+ +-+ +-------+
+--R         \|- a d + b c \|b \|d x + c
+--R  /
+--R              2 8 2          9          10 2  5
+--R         (640a b d  - 1280a b c d + 640b  c )x
+--R       + 
+--R               3 7 2        2 8             9 2  4
+--R         (3200a b d  - 6400a b c d + 3200a b c )x
+--R       + 
+--R               4 6 2         3 7           2 8 2  3
+--R         (6400a b d  - 12800a b c d + 6400a b c )x
+--R       + 
+--R               5 5 2         4 6           3 7 2  2
+--R         (6400a b d  - 12800a b c d + 6400a b c )x
+--R       + 
+--R               6 4 2        5 5           4 6 2         7 3 2        6 4
+--R         (3200a b d  - 6400a b c d + 3200a b c )x + 640a b d  - 1280a b c d
+--R       + 
+--R             5 5 2
+--R         640a b c
+--R    *
+--R        +-----------+ +-+
+--R       \|- a d + b c \|b
+--R                                                    Type: Expression(Integer)
+--E 1336
+
+--S 1337 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                5 5 5        4 5 4       2 3 5 3       3 2 5 2      4   5
+--R             15b d x  + 75a b d x  + 150a b d x  + 150a b d x  + 75a b d x
+--R           + 
+--R                5 5
+--R             15a d
+--R        *
+--R                                                              +-------------+
+--R                         2   +-------+                        |           2
+--R             (2a b d - 2b c)\|d x + c  + (b d x - a d + 2b c)\|- a b d + b c
+--R         log(----------------------------------------------------------------)
+--R                                          b x + a
+--R       + 
+--R                4 4 4          3 4      4   3  3
+--R             30b d x  + (140a b d  - 20b c d )x
+--R           + 
+--R                    2 2 4         3   3       4 2 2  2
+--R             (- 256a b d  + 932a b c d  - 496b c d )x
+--R           + 
+--R                    3   4      2 2   3          3 2 2       4 3         4 4
+--R             (- 140a b d  - 92a b c d  + 1024a b c d  - 672b c d)x - 30a d
+--R           + 
+--R                  3     3      2 2 2 2         3 3        4 4
+--R             - 20a b c d  - 16a b c d  + 352a b c d - 256b c
+--R        *
+--R            +-------------+
+--R            |           2   +-------+
+--R           \|- a b d + b c \|d x + c
+--R    /
+--R                 2 8 2          9           10 2  5
+--R           (1280a b d  - 2560a b c d + 1280b  c )x
+--R         + 
+--R                 3 7 2         2 8             9 2  4
+--R           (6400a b d  - 12800a b c d + 6400a b c )x
+--R         + 
+--R                  4 6 2         3 7            2 8 2  3
+--R           (12800a b d  - 25600a b c d + 12800a b c )x
+--R         + 
+--R                  5 5 2         4 6            3 7 2  2
+--R           (12800a b d  - 25600a b c d + 12800a b c )x
+--R         + 
+--R                 6 4 2         5 5           4 6 2          7 3 2        6 4
+--R           (6400a b d  - 12800a b c d + 6400a b c )x + 1280a b d  - 2560a b c d
+--R         + 
+--R                5 5 2
+--R           1280a b c
+--R      *
+--R          +-------------+
+--R          |           2
+--R         \|- a b d + b c
+--R     ,
+--R
+--R                5 5 5        4 5 4       2 3 5 3       3 2 5 2      4   5
+--R             15b d x  + 75a b d x  + 150a b d x  + 150a b d x  + 75a b d x
+--R           + 
+--R                5 5
+--R             15a d
+--R        *
+--R                 +-----------+
+--R                 |         2   +-------+
+--R                \|a b d - b c \|d x + c
+--R           atan(------------------------)
+--R                        a d - b c
+--R       + 
+--R                4 4 4         3 4      4   3  3
+--R             15b d x  + (70a b d  - 10b c d )x
+--R           + 
+--R                    2 2 4         3   3       4 2 2  2
+--R             (- 128a b d  + 466a b c d  - 248b c d )x
+--R           + 
+--R                   3   4      2 2   3         3 2 2       4 3         4 4
+--R             (- 70a b d  - 46a b c d  + 512a b c d  - 336b c d)x - 15a d
+--R           + 
+--R                  3     3     2 2 2 2         3 3        4 4
+--R             - 10a b c d  - 8a b c d  + 176a b c d - 128b c
+--R        *
+--R            +-----------+
+--R            |         2   +-------+
+--R           \|a b d - b c \|d x + c
+--R    /
+--R                2 8 2          9          10 2  5
+--R           (640a b d  - 1280a b c d + 640b  c )x
+--R         + 
+--R                 3 7 2        2 8             9 2  4
+--R           (3200a b d  - 6400a b c d + 3200a b c )x
+--R         + 
+--R                 4 6 2         3 7           2 8 2  3
+--R           (6400a b d  - 12800a b c d + 6400a b c )x
+--R         + 
+--R                 5 5 2         4 6           3 7 2  2
+--R           (6400a b d  - 12800a b c d + 6400a b c )x
+--R         + 
+--R                 6 4 2        5 5           4 6 2         7 3 2        6 4
+--R           (3200a b d  - 6400a b c d + 3200a b c )x + 640a b d  - 1280a b c d
+--R         + 
+--R               5 5 2
+--R           640a b c
+--R      *
+--R          +-----------+
+--R          |         2
+--R         \|a b d - b c
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1337
+
+--S 1338 of 2952
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R   (4)
+--R           5 +-----------+ +-+
+--R         3d \|- a d + b c \|b
+--R      *
+--R                                                              +-------------+
+--R                         2   +-------+                        |           2
+--R             (2a b d - 2b c)\|d x + c  + (b d x - a d + 2b c)\|- a b d + b c
+--R         log(----------------------------------------------------------------)
+--R                                          b x + a
+--R     + 
+--R           +-------------+       +-+ +-------+
+--R         5 |           2        \|b \|d x + c
+--R       6d \|- a b d + b c atanh(--------------)
+--R                                 +-----------+
+--R                                \|- a d + b c
+--R  /
+--R                                        +-------------+
+--R          2 3 2         4          5 2  |           2   +-----------+ +-+
+--R     (256a b d  - 512a b c d + 256b c )\|- a b d + b c \|- a d + b c \|b
+--R                                                    Type: Expression(Integer)
+--E 1338
+
+--S 1339 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1339
+
+--S 1340 of 2952
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R   (6)
+--R           +-----------+       +-+ +-------+
+--R         5 |         2        \|b \|d x + c
+--R       3d \|a b d - b c atanh(--------------)
+--R                               +-----------+
+--R                              \|- a d + b c
+--R     + 
+--R                                  +-----------+
+--R                                  |         2   +-------+
+--R         5 +-----------+ +-+     \|a b d - b c \|d x + c
+--R       3d \|- a d + b c \|b atan(------------------------)
+--R                                         a d - b c
+--R  /
+--R                                                          +-----------+
+--R          2 3 2         4          5 2  +-----------+ +-+ |         2
+--R     (128a b d  - 256a b c d + 128b c )\|- a d + b c \|b \|a b d - b c
+--R                                                    Type: Expression(Integer)
+--E 1340
+
+--S 1341 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1341
+
+)clear all
+
+--S 1342 of 2952
+t0000:=sqrt(-1+x)/(1+x)^2
+--R 
+--R
+--R           +-----+
+--R          \|x - 1
+--R   (1)  -----------
+--R         2
+--R        x  + 2x + 1
+--R                                                    Type: Expression(Integer)
+--E 1342
+
+--S 1343 of 2952
+r0000:=atan(sqrt(-1+x)/sqrt(2))/sqrt(2)-sqrt(-1+x)/(1+x)
+--R 
+--R
+--R                     +-----+
+--R                    \|x - 1      +-+ +-----+
+--R        (x + 1)atan(--------) - \|2 \|x - 1
+--R                       +-+
+--R                      \|2
+--R   (2)  ------------------------------------
+--R                             +-+
+--R                     (x + 1)\|2
+--R                                                    Type: Expression(Integer)
+--E 1343
+
+--S 1344 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                     +-+ +-----+
+--R                    \|2 \|x - 1      +-+ +-----+
+--R        (x + 1)atan(------------) - \|2 \|x - 1
+--R                          2
+--R   (3)  ----------------------------------------
+--R                               +-+
+--R                       (x + 1)\|2
+--R                                         Type: Union(Expression(Integer),...)
+--E 1344
+
+--S 1345 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R              +-+ +-----+          +-----+
+--R             \|2 \|x - 1          \|x - 1
+--R        atan(------------) - atan(--------)
+--R                   2                 +-+
+--R                                    \|2
+--R   (4)  -----------------------------------
+--R                         +-+
+--R                        \|2
+--R                                                    Type: Expression(Integer)
+--E 1345
+
+--S 1346 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1346
+
+)clear all
+
+--S 1347 of 2952
+t0000:=sqrt(-1+x)/(1+x)^3
+--R 
+--R
+--R              +-----+
+--R             \|x - 1
+--R   (1)  -----------------
+--R         3     2
+--R        x  + 3x  + 3x + 1
+--R                                                    Type: Expression(Integer)
+--E 1347
+
+--S 1348 of 2952
+r0000:=1/8*atan(sqrt(-1+x)/sqrt(2))/sqrt(2)-_
+     1/2*sqrt(-1+x)/(1+x)^2+1/8*sqrt(-1+x)/(1+x)
+--R 
+--R
+--R                           +-----+
+--R          2               \|x - 1             +-+ +-----+
+--R        (x  + 2x + 1)atan(--------) + (x - 3)\|2 \|x - 1
+--R                             +-+
+--R                            \|2
+--R   (2)  -------------------------------------------------
+--R                          2            +-+
+--R                       (8x  + 16x + 8)\|2
+--R                                                    Type: Expression(Integer)
+--E 1348
+
+--S 1349 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                           +-+ +-----+
+--R          2               \|2 \|x - 1             +-+ +-----+
+--R        (x  + 2x + 1)atan(------------) + (x - 3)\|2 \|x - 1
+--R                                2
+--R   (3)  -----------------------------------------------------
+--R                            2            +-+
+--R                         (8x  + 16x + 8)\|2
+--R                                         Type: Union(Expression(Integer),...)
+--E 1349
+
+--S 1350 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R              +-+ +-----+          +-----+
+--R             \|2 \|x - 1          \|x - 1
+--R        atan(------------) - atan(--------)
+--R                   2                 +-+
+--R                                    \|2
+--R   (4)  -----------------------------------
+--R                         +-+
+--R                       8\|2
+--R                                                    Type: Expression(Integer)
+--E 1350
+
+--S 1351 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1351
+
+)clear all
+
+--S 1352 of 2952
+t0000:=(a+b*x)^5/(c+d*x)^(1/2)
+--R 
+--R
+--R         5 5       4 4      2 3 3      3 2 2     4       5
+--R        b x  + 5a b x  + 10a b x  + 10a b x  + 5a b x + a
+--R   (1)  --------------------------------------------------
+--R                             +-------+
+--R                            \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1352
+
+--S 1353 of 2952
+r0000:=10/3*b*(b*c-a*d)^4*(c+d*x)^(3/2)/d^6-_
+     4*b^2*(b*c-a*d)^3*(c+d*x)^(5/2)/d^6+_
+     20/7*b^3*(b*c-a*d)^2*(c+d*x)^(7/2)/d^6-_
+     10/9*b^4*(b*c-a*d)*(c+d*x)^(9/2)/d^6+2/11*b^5*(c+d*x)^(11/2)/d^6-_
+     2*(b*c-a*d)^5*sqrt(c+d*x)/d^6
+--R 
+--R
+--R   (2)
+--R             5 5 5          4 5       5   4  4
+--R         126b d x  + (770a b d  - 140b c d )x
+--R       + 
+--R               2 3 5         4   4       5 2 3  3
+--R         (1980a b d  - 880a b c d  + 160b c d )x
+--R       + 
+--R               3 2 5        2 3   4          4 2 3       5 3 2  2
+--R         (2772a b d  - 2376a b c d  + 1056a b c d  - 192b c d )x
+--R       + 
+--R               4   5        3 2   4        2 3 2 3          4 3 2       5 4
+--R         (2310a b d  - 3696a b c d  + 3168a b c d  - 1408a b c d  + 256b c d)x
+--R       + 
+--R              5 5        4     4        3 2 2 3        2 3 3 2          4 4
+--R         1386a d  - 4620a b c d  + 7392a b c d  - 6336a b c d  + 2816a b c d
+--R       + 
+--R               5 5
+--R         - 512b c
+--R    *
+--R        +-------+
+--R       \|d x + c
+--R  /
+--R         6
+--R     693d
+--R                                                    Type: Expression(Integer)
+--E 1353
+
+--S 1354 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R             5 5 5          4 5       5   4  4
+--R         126b d x  + (770a b d  - 140b c d )x
+--R       + 
+--R               2 3 5         4   4       5 2 3  3
+--R         (1980a b d  - 880a b c d  + 160b c d )x
+--R       + 
+--R               3 2 5        2 3   4          4 2 3       5 3 2  2
+--R         (2772a b d  - 2376a b c d  + 1056a b c d  - 192b c d )x
+--R       + 
+--R               4   5        3 2   4        2 3 2 3          4 3 2       5 4
+--R         (2310a b d  - 3696a b c d  + 3168a b c d  - 1408a b c d  + 256b c d)x
+--R       + 
+--R              5 5        4     4        3 2 2 3        2 3 3 2          4 4
+--R         1386a d  - 4620a b c d  + 7392a b c d  - 6336a b c d  + 2816a b c d
+--R       + 
+--R               5 5
+--R         - 512b c
+--R    *
+--R        +-------+
+--R       \|d x + c
+--R  /
+--R         6
+--R     693d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1354
+
+--S 1355 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1355
+
+--S 1356 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1356
+
+)clear all
+
+--S 1357 of 2952
+t0000:=(a+b*x)^4/(c+d*x)^(1/2)
+--R 
+--R
+--R         4 4       3 3     2 2 2     3       4
+--R        b x  + 4a b x  + 6a b x  + 4a b x + a
+--R   (1)  --------------------------------------
+--R                       +-------+
+--R                      \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1357
+
+--S 1358 of 2952
+r0000:=-8/3*b*(b*c-a*d)^3*(c+d*x)^(3/2)/d^5+_
+     12/5*b^2*(b*c-a*d)^2*(c+d*x)^(5/2)/d^5-_
+     8/7*b^3*(b*c-a*d)*(c+d*x)^(7/2)/d^5+_
+     2/9*b^4*(c+d*x)^(9/2)/d^5+2*(b*c-a*d)^4*sqrt(c+d*x)/d^5
+--R 
+--R
+--R   (2)
+--R            4 4 4          3 4      4   3  3
+--R         70b d x  + (360a b d  - 80b c d )x
+--R       + 
+--R              2 2 4         3   3      4 2 2  2
+--R         (756a b d  - 432a b c d  + 96b c d )x
+--R       + 
+--R              3   4        2 2   3         3 2 2       4 3          4 4
+--R         (840a b d  - 1008a b c d  + 576a b c d  - 128b c d)x + 630a d
+--R       + 
+--R                3     3        2 2 2 2          3 3        4 4
+--R         - 1680a b c d  + 2016a b c d  - 1152a b c d + 256b c
+--R    *
+--R        +-------+
+--R       \|d x + c
+--R  /
+--R         5
+--R     315d
+--R                                                    Type: Expression(Integer)
+--E 1358
+
+--S 1359 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R            4 4 4          3 4      4   3  3
+--R         70b d x  + (360a b d  - 80b c d )x
+--R       + 
+--R              2 2 4         3   3      4 2 2  2
+--R         (756a b d  - 432a b c d  + 96b c d )x
+--R       + 
+--R              3   4        2 2   3         3 2 2       4 3          4 4
+--R         (840a b d  - 1008a b c d  + 576a b c d  - 128b c d)x + 630a d
+--R       + 
+--R                3     3        2 2 2 2          3 3        4 4
+--R         - 1680a b c d  + 2016a b c d  - 1152a b c d + 256b c
+--R    *
+--R        +-------+
+--R       \|d x + c
+--R  /
+--R         5
+--R     315d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1359
+
+--S 1360 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1360
+
+--S 1361 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1361
+
+)clear all
+
+--S 1362 of 2952
+t0000:=(a+b*x)^3/(c+d*x)^(1/2)
+--R 
+--R
+--R         3 3       2 2     2       3
+--R        b x  + 3a b x  + 3a b x + a
+--R   (1)  ----------------------------
+--R                  +-------+
+--R                 \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1362
+
+--S 1363 of 2952
+r0000:=2*b*(b*c-a*d)^2*(c+d*x)^(3/2)/d^4-6/5*b^2*(b*c-a*d)*(c+d*x)^(5/2)/d^4+_
+     2/7*b^3*(c+d*x)^(7/2)/d^4-2*(b*c-a*d)^3*sqrt(c+d*x)/d^4
+--R 
+--R
+--R   (2)
+--R            3 3 3         2 3      3   2  2       2   3        2   2      3 2
+--R         10b d x  + (42a b d  - 12b c d )x  + (70a b d  - 56a b c d  + 16b c d)x
+--R       + 
+--R            3 3       2     2         2 2       3 3
+--R         70a d  - 140a b c d  + 112a b c d - 32b c
+--R    *
+--R        +-------+
+--R       \|d x + c
+--R  /
+--R        4
+--R     35d
+--R                                                    Type: Expression(Integer)
+--E 1363
+
+--S 1364 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R            3 3 3         2 3      3   2  2       2   3        2   2      3 2
+--R         10b d x  + (42a b d  - 12b c d )x  + (70a b d  - 56a b c d  + 16b c d)x
+--R       + 
+--R            3 3       2     2         2 2       3 3
+--R         70a d  - 140a b c d  + 112a b c d - 32b c
+--R    *
+--R        +-------+
+--R       \|d x + c
+--R  /
+--R        4
+--R     35d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1364
+
+--S 1365 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1365
+
+--S 1366 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1366
+
+)clear all
+
+--S 1367 of 2952
+t0000:=(a+b*x)^2/(c+d*x)^(1/2)
+--R 
+--R
+--R         2 2             2
+--R        b x  + 2a b x + a
+--R   (1)  ------------------
+--R             +-------+
+--R            \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1367
+
+--S 1368 of 2952
+r0000:=-4/3*b*(b*c-a*d)*(c+d*x)^(3/2)/d^3+2/5*b^2*(c+d*x)^(5/2)/d^3+_
+     2*(b*c-a*d)^2*sqrt(c+d*x)/d^3
+--R 
+--R
+--R   (2)
+--R      2 2 2           2     2           2 2                  2 2  +-------+
+--R   (6b d x  + (20a b d  - 8b c d)x + 30a d  - 40a b c d + 16b c )\|d x + c
+--R   ------------------------------------------------------------------------
+--R                                        3
+--R                                     15d
+--R                                                    Type: Expression(Integer)
+--E 1368
+
+--S 1369 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R      2 2 2           2     2           2 2                  2 2  +-------+
+--R   (6b d x  + (20a b d  - 8b c d)x + 30a d  - 40a b c d + 16b c )\|d x + c
+--R   ------------------------------------------------------------------------
+--R                                        3
+--R                                     15d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1369
+
+--S 1370 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1370
+
+--S 1371 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1371
+
+)clear all
+
+--S 1372 of 2952
+t0000:=(a+b*x)/(c+d*x)^(1/2)
+--R 
+--R
+--R          b x + a
+--R   (1)  ----------
+--R         +-------+
+--R        \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1372
+
+--S 1373 of 2952
+r0000:=2/3*b*(c+d*x)^(3/2)/d^2-2*(b*c-a*d)*sqrt(c+d*x)/d^2
+--R 
+--R
+--R                               +-------+
+--R        (2b d x + 6a d - 4b c)\|d x + c
+--R   (2)  --------------------------------
+--R                         2
+--R                       3d
+--R                                                    Type: Expression(Integer)
+--E 1373
+
+--S 1374 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                               +-------+
+--R        (2b d x + 6a d - 4b c)\|d x + c
+--R   (3)  --------------------------------
+--R                         2
+--R                       3d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1374
+
+--S 1375 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1375
+
+--S 1376 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1376
+
+)clear all
+
+--S 1377 of 2952
+t0000:=1/(c+d*x)^(1/2)
+--R 
+--R
+--R             1
+--R   (1)  ----------
+--R         +-------+
+--R        \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1377
+
+--S 1378 of 2952
+r0000:=2*sqrt(c+d*x)/d
+--R 
+--R
+--R          +-------+
+--R        2\|d x + c
+--R   (2)  -----------
+--R             d
+--R                                                    Type: Expression(Integer)
+--E 1378
+
+--S 1379 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R          +-------+
+--R        2\|d x + c
+--R   (3)  -----------
+--R             d
+--R                                         Type: Union(Expression(Integer),...)
+--E 1379
+
+--S 1380 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1380
+
+--S 1381 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1381
+
+)clear all
+
+--S 1382 of 2952
+t0000:=1/((a+b*x)*(c+d*x)^(1/2))
+--R 
+--R
+--R                 1
+--R   (1)  -------------------
+--R                  +-------+
+--R        (b x + a)\|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1382
+
+--S 1383 of 2952
+r0000:=-2*atanh(sqrt(b)*sqrt(c+d*x)/sqrt(b*c-a*d))/(sqrt(b)*sqrt(b*c-a*d))
+--R 
+--R
+--R                  +-+ +-------+
+--R                 \|b \|d x + c
+--R          2atanh(--------------)
+--R                  +-----------+
+--R                 \|- a d + b c
+--R   (2)  - ----------------------
+--R             +-----------+ +-+
+--R            \|- a d + b c \|b
+--R                                                    Type: Expression(Integer)
+--E 1383
+
+--S 1384 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                                                         +-------------+
+--R                    2   +-------+                        |           2
+--R        (2a b d - 2b c)\|d x + c  + (b d x - a d + 2b c)\|- a b d + b c
+--R    log(----------------------------------------------------------------)
+--R                                     b x + a
+--R   [---------------------------------------------------------------------,
+--R                                +-------------+
+--R                                |           2
+--R                               \|- a b d + b c
+--R           +-----------+
+--R           |         2   +-------+
+--R          \|a b d - b c \|d x + c
+--R    2atan(------------------------)
+--R                  a d - b c
+--R    -------------------------------]
+--R              +-----------+
+--R              |         2
+--R             \|a b d - b c
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1384
+
+--S 1385 of 2952
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R   (4)
+--R          +-----------+ +-+
+--R         \|- a d + b c \|b
+--R      *
+--R                                                              +-------------+
+--R                         2   +-------+                        |           2
+--R             (2a b d - 2b c)\|d x + c  + (b d x - a d + 2b c)\|- a b d + b c
+--R         log(----------------------------------------------------------------)
+--R                                          b x + a
+--R     + 
+--R         +-------------+       +-+ +-------+
+--R         |           2        \|b \|d x + c
+--R       2\|- a b d + b c atanh(--------------)
+--R                               +-----------+
+--R                              \|- a d + b c
+--R  /
+--R      +-------------+
+--R      |           2   +-----------+ +-+
+--R     \|- a b d + b c \|- a d + b c \|b
+--R                                                    Type: Expression(Integer)
+--E 1385
+
+--S 1386 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1386
+
+--S 1387 of 2952
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R   (6)
+--R         +-----------+       +-+ +-------+
+--R         |         2        \|b \|d x + c
+--R       2\|a b d - b c atanh(--------------)
+--R                             +-----------+
+--R                            \|- a d + b c
+--R     + 
+--R                                +-----------+
+--R                                |         2   +-------+
+--R         +-----------+ +-+     \|a b d - b c \|d x + c
+--R       2\|- a d + b c \|b atan(------------------------)
+--R                                       a d - b c
+--R  /
+--R                        +-----------+
+--R      +-----------+ +-+ |         2
+--R     \|- a d + b c \|b \|a b d - b c
+--R                                                    Type: Expression(Integer)
+--E 1387
+
+--S 1388 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1388
+
+)clear all
+
+--S 1389 of 2952
+t0000:=1/((a+b*x)^2*(c+d*x)^(1/2))
+--R 
+--R
+--R                       1
+--R   (1)  ------------------------------
+--R          2 2             2  +-------+
+--R        (b x  + 2a b x + a )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1389
+
+--S 1390 of 2952
+r0000:=d*atanh(sqrt(b)*sqrt(c+d*x)/sqrt(b*c-a*d))/_
+     ((b*c-a*d)^(3/2)*sqrt(b))-sqrt(c+d*x)/((b*c-a*d)*(a+b*x))
+--R 
+--R
+--R                              +-+ +-------+
+--R                             \|b \|d x + c      +-----------+ +-+ +-------+
+--R        (- b d x - a d)atanh(--------------) + \|- a d + b c \|b \|d x + c
+--R                              +-----------+
+--R                             \|- a d + b c
+--R   (2)  -------------------------------------------------------------------
+--R                             2       2           +-----------+ +-+
+--R                  ((a b d - b c)x + a d - a b c)\|- a d + b c \|b
+--R                                                    Type: Expression(Integer)
+--E 1390
+
+--S 1391 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R           (b d x + a d)
+--R        *
+--R                                                              +-------------+
+--R                         2   +-------+                        |           2
+--R             (2a b d - 2b c)\|d x + c  + (b d x - a d + 2b c)\|- a b d + b c
+--R         log(----------------------------------------------------------------)
+--R                                          b x + a
+--R       + 
+--R           +-------------+
+--R           |           2   +-------+
+--R         2\|- a b d + b c \|d x + c
+--R    /
+--R                                          +-------------+
+--R                    2        2            |           2
+--R       ((2a b d - 2b c)x + 2a d - 2a b c)\|- a b d + b c
+--R     ,
+--R                       +-----------+
+--R                       |         2   +-------+     +-----------+
+--R                      \|a b d - b c \|d x + c      |         2   +-------+
+--R    (b d x + a d)atan(------------------------) + \|a b d - b c \|d x + c
+--R                              a d - b c
+--R    ----------------------------------------------------------------------]
+--R                                                +-----------+
+--R                            2       2           |         2
+--R                 ((a b d - b c)x + a d - a b c)\|a b d - b c
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1391
+
+--S 1392 of 2952
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R   (4)
+--R           +-----------+ +-+
+--R         d\|- a d + b c \|b
+--R      *
+--R                                                              +-------------+
+--R                         2   +-------+                        |           2
+--R             (2a b d - 2b c)\|d x + c  + (b d x - a d + 2b c)\|- a b d + b c
+--R         log(----------------------------------------------------------------)
+--R                                          b x + a
+--R     + 
+--R          +-------------+       +-+ +-------+
+--R          |           2        \|b \|d x + c
+--R       2d\|- a b d + b c atanh(--------------)
+--R                                +-----------+
+--R                               \|- a d + b c
+--R  /
+--R                   +-------------+
+--R                   |           2   +-----------+ +-+
+--R     (2a d - 2b c)\|- a b d + b c \|- a d + b c \|b
+--R                                                    Type: Expression(Integer)
+--E 1392
+
+--S 1393 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1393
+
+--S 1394 of 2952
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R   (6)
+--R         +-----------+       +-+ +-------+
+--R         |         2        \|b \|d x + c
+--R       d\|a b d - b c atanh(--------------)
+--R                             +-----------+
+--R                            \|- a d + b c
+--R     + 
+--R                                +-----------+
+--R                                |         2   +-------+
+--R         +-----------+ +-+     \|a b d - b c \|d x + c
+--R       d\|- a d + b c \|b atan(------------------------)
+--R                                       a d - b c
+--R  /
+--R                                   +-----------+
+--R                 +-----------+ +-+ |         2
+--R     (a d - b c)\|- a d + b c \|b \|a b d - b c
+--R                                                    Type: Expression(Integer)
+--E 1394
+
+--S 1395 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1395
+
+)clear all
+
+--S 1396 of 2952
+t0000:=1/((a+b*x)^3*(c+d*x)^(1/2))
+--R 
+--R
+--R                            1
+--R   (1)  ----------------------------------------
+--R          3 3       2 2     2       3  +-------+
+--R        (b x  + 3a b x  + 3a b x + a )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1396
+
+--S 1397 of 2952
+r0000:=-3/4*d^2*atanh(sqrt(b)*sqrt(c+d*x)/sqrt(b*c-a*d))/_
+     ((b*c-a*d)^(5/2)*sqrt(b))-1/2*sqrt(c+d*x)/((b*c-a*d)*(a+b*x)^2)+_
+     3/4*d*sqrt(c+d*x)/((b*c-a*d)^2*(a+b*x))
+--R 
+--R
+--R   (2)
+--R                                            +-+ +-------+
+--R            2 2 2         2      2 2       \|b \|d x + c
+--R       (- 3b d x  - 6a b d x - 3a d )atanh(--------------)
+--R                                            +-----------+
+--R                                           \|- a d + b c
+--R     + 
+--R                              +-----------+ +-+ +-------+
+--R       (3b d x + 5a d - 2b c)\|- a d + b c \|b \|d x + c
+--R  /
+--R            2 2 2       3        4 2  2      3   2      2 2          3 2
+--R         (4a b d  - 8a b c d + 4b c )x  + (8a b d  - 16a b c d + 8a b c )x
+--R       + 
+--R           4 2     3          2 2 2
+--R         4a d  - 8a b c d + 4a b c
+--R    *
+--R        +-----------+ +-+
+--R       \|- a d + b c \|b
+--R                                                    Type: Expression(Integer)
+--E 1397
+
+--S 1398 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R              2 2 2         2      2 2
+--R           (3b d x  + 6a b d x + 3a d )
+--R        *
+--R                                                              +-------------+
+--R                         2   +-------+                        |           2
+--R             (2a b d - 2b c)\|d x + c  + (b d x - a d + 2b c)\|- a b d + b c
+--R         log(----------------------------------------------------------------)
+--R                                          b x + a
+--R       + 
+--R                                 +-------------+
+--R                                 |           2   +-------+
+--R         (6b d x + 10a d - 4b c)\|- a b d + b c \|d x + c
+--R    /
+--R              2 2 2        3        4 2  2       3   2      2 2           3 2
+--R           (8a b d  - 16a b c d + 8b c )x  + (16a b d  - 32a b c d + 16a b c )x
+--R         + 
+--R             4 2      3          2 2 2
+--R           8a d  - 16a b c d + 8a b c
+--R      *
+--R          +-------------+
+--R          |           2
+--R         \|- a b d + b c
+--R     ,
+--R
+--R                                           +-----------+
+--R                                           |         2   +-------+
+--R            2 2 2         2      2 2      \|a b d - b c \|d x + c
+--R         (3b d x  + 6a b d x + 3a d )atan(------------------------)
+--R                                                  a d - b c
+--R       + 
+--R                                +-----------+
+--R                                |         2   +-------+
+--R         (3b d x + 5a d - 2b c)\|a b d - b c \|d x + c
+--R    /
+--R              2 2 2       3        4 2  2      3   2      2 2          3 2
+--R           (4a b d  - 8a b c d + 4b c )x  + (8a b d  - 16a b c d + 8a b c )x
+--R         + 
+--R             4 2     3          2 2 2
+--R           4a d  - 8a b c d + 4a b c
+--R      *
+--R          +-----------+
+--R          |         2
+--R         \|a b d - b c
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1398
+
+--S 1399 of 2952
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R   (4)
+--R           2 +-----------+ +-+
+--R         3d \|- a d + b c \|b
+--R      *
+--R                                                              +-------------+
+--R                         2   +-------+                        |           2
+--R             (2a b d - 2b c)\|d x + c  + (b d x - a d + 2b c)\|- a b d + b c
+--R         log(----------------------------------------------------------------)
+--R                                          b x + a
+--R     + 
+--R           +-------------+       +-+ +-------+
+--R         2 |           2        \|b \|d x + c
+--R       6d \|- a b d + b c atanh(--------------)
+--R                                 +-----------+
+--R                                \|- a d + b c
+--R  /
+--R                                 +-------------+
+--R        2 2                 2 2  |           2   +-----------+ +-+
+--R     (8a d  - 16a b c d + 8b c )\|- a b d + b c \|- a d + b c \|b
+--R                                                    Type: Expression(Integer)
+--E 1399
+
+--S 1400 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1400
+
+--S 1401 of 2952
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R   (6)
+--R           +-----------+       +-+ +-------+
+--R         2 |         2        \|b \|d x + c
+--R       3d \|a b d - b c atanh(--------------)
+--R                               +-----------+
+--R                              \|- a d + b c
+--R     + 
+--R                                  +-----------+
+--R                                  |         2   +-------+
+--R         2 +-----------+ +-+     \|a b d - b c \|d x + c
+--R       3d \|- a d + b c \|b atan(------------------------)
+--R                                         a d - b c
+--R  /
+--R                                                  +-----------+
+--R        2 2                2 2  +-----------+ +-+ |         2
+--R     (4a d  - 8a b c d + 4b c )\|- a d + b c \|b \|a b d - b c
+--R                                                    Type: Expression(Integer)
+--E 1401
+
+--S 1402 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1402
+
+)clear all
+
+--S 1403 of 2952
+t0000:=1/((a+b*x)^4*(c+d*x)^(1/2))
+--R 
+--R
+--R                                 1
+--R   (1)  --------------------------------------------------
+--R          4 4       3 3     2 2 2     3       4  +-------+
+--R        (b x  + 4a b x  + 6a b x  + 4a b x + a )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1403
+
+--S 1404 of 2952
+r0000:=5/8*d^3*atanh(sqrt(b)*sqrt(c+d*x)/sqrt(b*c-a*d))/_
+     ((b*c-a*d)^(7/2)*sqrt(b))-1/3*sqrt(c+d*x)/((b*c-a*d)*(a+b*x)^3)+_
+     5/12*d*sqrt(c+d*x)/((b*c-a*d)^2*(a+b*x)^2)-_
+     5/8*d^2*sqrt(c+d*x)/((b*c-a*d)^3*(a+b*x))
+--R 
+--R
+--R   (2)
+--R                                                            +-+ +-------+
+--R             3 3 3        2 3 2      2   3       3 3       \|b \|d x + c
+--R       (- 15b d x  - 45a b d x  - 45a b d x - 15a d )atanh(--------------)
+--R                                                            +-----------+
+--R                                                           \|- a d + b c
+--R     + 
+--R             2 2 2           2      2           2 2                 2 2
+--R         (15b d x  + (40a b d  - 10b c d)x + 33a d  - 26a b c d + 8b c )
+--R      *
+--R          +-----------+ +-+ +-------+
+--R         \|- a d + b c \|b \|d x + c
+--R  /
+--R             3 3 3      2 4   2        5 2       6 3  3
+--R         (24a b d  - 72a b c d  + 72a b c d - 24b c )x
+--R       + 
+--R             4 2 3       3 3   2       2 4 2         5 3  2
+--R         (72a b d  - 216a b c d  + 216a b c d - 72a b c )x
+--R       + 
+--R             5   3       4 2   2       3 3 2       2 4 3        6 3      5     2
+--R         (72a b d  - 216a b c d  + 216a b c d - 72a b c )x + 24a d  - 72a b c d
+--R       + 
+--R            4 2 2       3 3 3
+--R         72a b c d - 24a b c
+--R    *
+--R        +-----------+ +-+
+--R       \|- a d + b c \|b
+--R                                                    Type: Expression(Integer)
+--E 1404
+
+--S 1405 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R               3 3 3        2 3 2      2   3       3 3
+--R           (15b d x  + 45a b d x  + 45a b d x + 15a d )
+--R        *
+--R                                                              +-------------+
+--R                         2   +-------+                        |           2
+--R             (2a b d - 2b c)\|d x + c  + (b d x - a d + 2b c)\|- a b d + b c
+--R         log(----------------------------------------------------------------)
+--R                                          b x + a
+--R       + 
+--R               2 2 2           2      2           2 2                  2 2
+--R           (30b d x  + (80a b d  - 20b c d)x + 66a d  - 52a b c d + 16b c )
+--R        *
+--R            +-------------+
+--R            |           2   +-------+
+--R           \|- a b d + b c \|d x + c
+--R    /
+--R               3 3 3       2 4   2         5 2       6 3  3
+--R           (48a b d  - 144a b c d  + 144a b c d - 48b c )x
+--R         + 
+--R                4 2 3       3 3   2       2 4 2          5 3  2
+--R           (144a b d  - 432a b c d  + 432a b c d - 144a b c )x
+--R         + 
+--R                5   3       4 2   2       3 3 2        2 4 3        6 3
+--R           (144a b d  - 432a b c d  + 432a b c d - 144a b c )x + 48a d
+--R         + 
+--R                 5     2       4 2 2       3 3 3
+--R           - 144a b c d  + 144a b c d - 48a b c
+--R      *
+--R          +-------------+
+--R          |           2
+--R         \|- a b d + b c
+--R     ,
+--R
+--R               3 3 3        2 3 2      2   3       3 3
+--R           (15b d x  + 45a b d x  + 45a b d x + 15a d )
+--R        *
+--R                 +-----------+
+--R                 |         2   +-------+
+--R                \|a b d - b c \|d x + c
+--R           atan(------------------------)
+--R                        a d - b c
+--R       + 
+--R               2 2 2           2      2           2 2                 2 2
+--R           (15b d x  + (40a b d  - 10b c d)x + 33a d  - 26a b c d + 8b c )
+--R        *
+--R            +-----------+
+--R            |         2   +-------+
+--R           \|a b d - b c \|d x + c
+--R    /
+--R               3 3 3      2 4   2        5 2       6 3  3
+--R           (24a b d  - 72a b c d  + 72a b c d - 24b c )x
+--R         + 
+--R               4 2 3       3 3   2       2 4 2         5 3  2
+--R           (72a b d  - 216a b c d  + 216a b c d - 72a b c )x
+--R         + 
+--R               5   3       4 2   2       3 3 2       2 4 3        6 3
+--R           (72a b d  - 216a b c d  + 216a b c d - 72a b c )x + 24a d
+--R         + 
+--R                5     2      4 2 2       3 3 3
+--R           - 72a b c d  + 72a b c d - 24a b c
+--R      *
+--R          +-----------+
+--R          |         2
+--R         \|a b d - b c
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1405
+
+--S 1406 of 2952
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R   (4)
+--R           3 +-----------+ +-+
+--R         5d \|- a d + b c \|b
+--R      *
+--R                                                              +-------------+
+--R                         2   +-------+                        |           2
+--R             (2a b d - 2b c)\|d x + c  + (b d x - a d + 2b c)\|- a b d + b c
+--R         log(----------------------------------------------------------------)
+--R                                          b x + a
+--R     + 
+--R            +-------------+       +-+ +-------+
+--R          3 |           2        \|b \|d x + c
+--R       10d \|- a b d + b c atanh(--------------)
+--R                                  +-----------+
+--R                                 \|- a d + b c
+--R  /
+--R                                                  +-------------+
+--R           3 3      2     2        2 2       3 3  |           2   +-----------+
+--R       (16a d  - 48a b c d  + 48a b c d - 16b c )\|- a b d + b c \|- a d + b c
+--R    *
+--R        +-+
+--R       \|b
+--R                                                    Type: Expression(Integer)
+--E 1406
+
+--S 1407 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1407
+
+--S 1408 of 2952
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R   (6)
+--R           +-----------+       +-+ +-------+
+--R         3 |         2        \|b \|d x + c
+--R       5d \|a b d - b c atanh(--------------)
+--R                               +-----------+
+--R                              \|- a d + b c
+--R     + 
+--R                                  +-----------+
+--R                                  |         2   +-------+
+--R         3 +-----------+ +-+     \|a b d - b c \|d x + c
+--R       5d \|- a d + b c \|b atan(------------------------)
+--R                                         a d - b c
+--R  /
+--R                                                                +-----------+
+--R        3 3      2     2        2 2      3 3  +-----------+ +-+ |         2
+--R     (8a d  - 24a b c d  + 24a b c d - 8b c )\|- a d + b c \|b \|a b d - b c
+--R                                                    Type: Expression(Integer)
+--E 1408
+
+--S 1409 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1409
+
+)clear all
+
+--S 1410 of 2952
+t0000:=1/((a+b*x)^5*(c+d*x)^(1/2))
+--R 
+--R
+--R                                       1
+--R   (1)  --------------------------------------------------------------
+--R          5 5       4 4      2 3 3      3 2 2     4       5  +-------+
+--R        (b x  + 5a b x  + 10a b x  + 10a b x  + 5a b x + a )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1410
+
+--S 1411 of 2952
+r0000:=-35/64*d^4*atanh(sqrt(b)*sqrt(c+d*x)/sqrt(b*c-a*d))/_
+     ((b*c-a*d)^(9/2)*sqrt(b))-1/4*sqrt(c+d*x)/((b*c-a*d)*(a+b*x)^4)+_
+     7/24*d*sqrt(c+d*x)/((b*c-a*d)^2*(a+b*x)^3)-_
+     35/96*d^2*sqrt(c+d*x)/((b*c-a*d)^3*(a+b*x)^2)+_
+     35/64*d^3*sqrt(c+d*x)/((b*c-a*d)^4*(a+b*x))
+--R 
+--R
+--R   (2)
+--R                4 4 4         3 4 3       2 2 4 2       3   4        4 4
+--R         (- 105b d x  - 420a b d x  - 630a b d x  - 420a b d x - 105a d )
+--R      *
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R         atanh(--------------)
+--R                +-----------+
+--R               \|- a d + b c
+--R     + 
+--R               3 3 3          2 3      3   2  2
+--R           105b d x  + (385a b d  - 70b c d )x
+--R         + 
+--R                2   3         2   2      3 2          3 3       2     2
+--R           (511a b d  - 252a b c d  + 56b c d)x + 279a d  - 326a b c d
+--R         + 
+--R                 2 2       3 3
+--R           200a b c d - 48b c
+--R      *
+--R          +-----------+ +-+ +-------+
+--R         \|- a d + b c \|b \|d x + c
+--R  /
+--R              4 4 4       3 5   3        2 6 2 2         7 3        8 4  4
+--R         (192a b d  - 768a b c d  + 1152a b c d  - 768a b c d + 192b c )x
+--R       + 
+--R              5 3 4        4 4   3        3 5 2 2        2 6 3          7 4  3
+--R         (768a b d  - 3072a b c d  + 4608a b c d  - 3072a b c d + 768a b c )x
+--R       + 
+--R               6 2 4        5 3   3        4 4 2 2        3 5 3         2 6 4  2
+--R         (1152a b d  - 4608a b c d  + 6912a b c d  - 4608a b c d + 1152a b c )x
+--R       + 
+--R              7   4        6 2   3        5 3 2 2        4 4 3        3 5 4
+--R         (768a b d  - 3072a b c d  + 4608a b c d  - 3072a b c d + 768a b c )x
+--R       + 
+--R             8 4       7     3        6 2 2 2       5 3 3        4 4 4
+--R         192a d  - 768a b c d  + 1152a b c d  - 768a b c d + 192a b c
+--R    *
+--R        +-----------+ +-+
+--R       \|- a d + b c \|b
+--R                                                    Type: Expression(Integer)
+--E 1411
+
+--S 1412 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                4 4 4         3 4 3       2 2 4 2       3   4        4 4
+--R           (105b d x  + 420a b d x  + 630a b d x  + 420a b d x + 105a d )
+--R        *
+--R                                                              +-------------+
+--R                         2   +-------+                        |           2
+--R             (2a b d - 2b c)\|d x + c  + (b d x - a d + 2b c)\|- a b d + b c
+--R         log(----------------------------------------------------------------)
+--R                                          b x + a
+--R       + 
+--R                 3 3 3          2 3       3   2  2
+--R             210b d x  + (770a b d  - 140b c d )x
+--R           + 
+--R                   2   3         2   2       3 2          3 3       2     2
+--R             (1022a b d  - 504a b c d  + 112b c d)x + 558a d  - 652a b c d
+--R           + 
+--R                   2 2       3 3
+--R             400a b c d - 96b c
+--R        *
+--R            +-------------+
+--R            |           2   +-------+
+--R           \|- a b d + b c \|d x + c
+--R    /
+--R                4 4 4        3 5   3        2 6 2 2          7 3        8 4  4
+--R           (384a b d  - 1536a b c d  + 2304a b c d  - 1536a b c d + 384b c )x
+--R         + 
+--R                      5 3 4        4 4   3        3 5 2 2        2 6 3
+--R                 1536a b d  - 6144a b c d  + 9216a b c d  - 6144a b c d
+--R               + 
+--R                        7 4
+--R                 1536a b c
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                    6 2 4        5 3   3         4 4 2 2        3 5 3
+--R               2304a b d  - 9216a b c d  + 13824a b c d  - 9216a b c d
+--R             + 
+--R                    2 6 4
+--R               2304a b c
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                      7   4        6 2   3        5 3 2 2        4 4 3
+--R                 1536a b d  - 6144a b c d  + 9216a b c d  - 6144a b c d
+--R               + 
+--R                      3 5 4
+--R                 1536a b c
+--R          *
+--R             x
+--R         + 
+--R               8 4        7     3        6 2 2 2        5 3 3        4 4 4
+--R           384a d  - 1536a b c d  + 2304a b c d  - 1536a b c d + 384a b c
+--R      *
+--R          +-------------+
+--R          |           2
+--R         \|- a b d + b c
+--R     ,
+--R
+--R                4 4 4         3 4 3       2 2 4 2       3   4        4 4
+--R           (105b d x  + 420a b d x  + 630a b d x  + 420a b d x + 105a d )
+--R        *
+--R                 +-----------+
+--R                 |         2   +-------+
+--R                \|a b d - b c \|d x + c
+--R           atan(------------------------)
+--R                        a d - b c
+--R       + 
+--R                 3 3 3          2 3      3   2  2
+--R             105b d x  + (385a b d  - 70b c d )x
+--R           + 
+--R                  2   3         2   2      3 2          3 3       2     2
+--R             (511a b d  - 252a b c d  + 56b c d)x + 279a d  - 326a b c d
+--R           + 
+--R                   2 2       3 3
+--R             200a b c d - 48b c
+--R        *
+--R            +-----------+
+--R            |         2   +-------+
+--R           \|a b d - b c \|d x + c
+--R    /
+--R                4 4 4       3 5   3        2 6 2 2         7 3        8 4  4
+--R           (192a b d  - 768a b c d  + 1152a b c d  - 768a b c d + 192b c )x
+--R         + 
+--R                5 3 4        4 4   3        3 5 2 2        2 6 3          7 4  3
+--R           (768a b d  - 3072a b c d  + 4608a b c d  - 3072a b c d + 768a b c )x
+--R         + 
+--R                      6 2 4        5 3   3        4 4 2 2        3 5 3
+--R                 1152a b d  - 4608a b c d  + 6912a b c d  - 4608a b c d
+--R               + 
+--R                      2 6 4
+--R                 1152a b c
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                7   4        6 2   3        5 3 2 2        4 4 3        3 5 4
+--R           (768a b d  - 3072a b c d  + 4608a b c d  - 3072a b c d + 768a b c )x
+--R         + 
+--R               8 4       7     3        6 2 2 2       5 3 3        4 4 4
+--R           192a d  - 768a b c d  + 1152a b c d  - 768a b c d + 192a b c
+--R      *
+--R          +-----------+
+--R          |         2
+--R         \|a b d - b c
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1412
+
+--S 1413 of 2952
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R   (4)
+--R            4 +-----------+ +-+
+--R         35d \|- a d + b c \|b
+--R      *
+--R                                                              +-------------+
+--R                         2   +-------+                        |           2
+--R             (2a b d - 2b c)\|d x + c  + (b d x - a d + 2b c)\|- a b d + b c
+--R         log(----------------------------------------------------------------)
+--R                                          b x + a
+--R     + 
+--R            +-------------+       +-+ +-------+
+--R          4 |           2        \|b \|d x + c
+--R       70d \|- a b d + b c atanh(--------------)
+--R                                  +-----------+
+--R                                 \|- a d + b c
+--R  /
+--R            4 4       3     3       2 2 2 2         3 3        4 4
+--R       (128a d  - 512a b c d  + 768a b c d  - 512a b c d + 128b c )
+--R    *
+--R        +-------------+
+--R        |           2   +-----------+ +-+
+--R       \|- a b d + b c \|- a d + b c \|b
+--R                                                    Type: Expression(Integer)
+--E 1413
+
+--S 1414 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1414
+
+--S 1415 of 2952
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R   (6)
+--R            +-----------+       +-+ +-------+
+--R          4 |         2        \|b \|d x + c
+--R       35d \|a b d - b c atanh(--------------)
+--R                                +-----------+
+--R                               \|- a d + b c
+--R     + 
+--R                                   +-----------+
+--R                                   |         2   +-------+
+--R          4 +-----------+ +-+     \|a b d - b c \|d x + c
+--R       35d \|- a d + b c \|b atan(------------------------)
+--R                                          a d - b c
+--R  /
+--R           4 4       3     3       2 2 2 2         3 3       4 4  +-----------+
+--R       (64a d  - 256a b c d  + 384a b c d  - 256a b c d + 64b c )\|- a d + b c
+--R    *
+--R            +-----------+
+--R        +-+ |         2
+--R       \|b \|a b d - b c
+--R                                                    Type: Expression(Integer)
+--E 1415
+
+--S 1416 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1416
+
+)clear all
+
+--S 1417 of 2952
+t0000:=(a+b*x)^5/(c+d*x)^(3/2)
+--R 
+--R
+--R         5 5       4 4      2 3 3      3 2 2     4       5
+--R        b x  + 5a b x  + 10a b x  + 10a b x  + 5a b x + a
+--R   (1)  --------------------------------------------------
+--R                                  +-------+
+--R                        (d x + c)\|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1417
+
+--S 1418 of 2952
+r0000:=-20/3*b^2*(b*c-a*d)^3*(c+d*x)^(3/2)/d^6+_
+     4*b^3*(b*c-a*d)^2*(c+d*x)^(5/2)/d^6-_
+     10/7*b^4*(b*c-a*d)*(c+d*x)^(7/2)/d^6+_
+     2/9*b^5*(c+d*x)^(9/2)/d^6+2*(b*c-a*d)^5/(d^6*sqrt(c+d*x))+_
+     10*b*(b*c-a*d)^4*sqrt(c+d*x)/d^6
+--R 
+--R
+--R   (2)
+--R          5 5 5         4 5      5   4  4
+--R       14b d x  + (90a b d  - 20b c d )x
+--R     + 
+--R            2 3 5         4   4      5 2 3  3
+--R       (252a b d  - 144a b c d  + 32b c d )x
+--R     + 
+--R            3 2 5       2 3   4         4 2 3      5 3 2  2
+--R       (420a b d  - 504a b c d  + 288a b c d  - 64b c d )x
+--R     + 
+--R            4   5        3 2   4        2 3 2 3          4 3 2       5 4
+--R       (630a b d  - 1680a b c d  + 2016a b c d  - 1152a b c d  + 256b c d)x
+--R     + 
+--R             5 5        4     4        3 2 2 3        2 3 3 2          4 4
+--R       - 126a d  + 1260a b c d  - 3360a b c d  + 4032a b c d  - 2304a b c d
+--R     + 
+--R           5 5
+--R       512b c
+--R  /
+--R        6 +-------+
+--R     63d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1418
+
+--S 1419 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R          5 5 5         4 5      5   4  4
+--R       14b d x  + (90a b d  - 20b c d )x
+--R     + 
+--R            2 3 5         4   4      5 2 3  3
+--R       (252a b d  - 144a b c d  + 32b c d )x
+--R     + 
+--R            3 2 5       2 3   4         4 2 3      5 3 2  2
+--R       (420a b d  - 504a b c d  + 288a b c d  - 64b c d )x
+--R     + 
+--R            4   5        3 2   4        2 3 2 3          4 3 2       5 4
+--R       (630a b d  - 1680a b c d  + 2016a b c d  - 1152a b c d  + 256b c d)x
+--R     + 
+--R             5 5        4     4        3 2 2 3        2 3 3 2          4 4
+--R       - 126a d  + 1260a b c d  - 3360a b c d  + 4032a b c d  - 2304a b c d
+--R     + 
+--R           5 5
+--R       512b c
+--R  /
+--R        6 +-------+
+--R     63d \|d x + c
+--R                                         Type: Union(Expression(Integer),...)
+--E 1419
+
+--S 1420 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1420
+
+--S 1421 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1421
+
+)clear all
+
+--S 1422 of 2952
+t0000:=(a+b*x)^4/(c+d*x)^(3/2)
+--R 
+--R
+--R         4 4       3 3     2 2 2     3       4
+--R        b x  + 4a b x  + 6a b x  + 4a b x + a
+--R   (1)  --------------------------------------
+--R                            +-------+
+--R                  (d x + c)\|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1422
+
+--S 1423 of 2952
+r0000:=4*b^2*(b*c-a*d)^2*(c+d*x)^(3/2)/d^5-_
+     8/5*b^3*(b*c-a*d)*(c+d*x)^(5/2)/d^5+2/7*b^4*(c+d*x)^(7/2)/d^5-_
+     2*(b*c-a*d)^4/(d^5*sqrt(c+d*x))-8*b*(b*c-a*d)^3*sqrt(c+d*x)/d^5
+--R 
+--R
+--R   (2)
+--R          4 4 4         3 4      4   3  3
+--R       10b d x  + (56a b d  - 16b c d )x
+--R     + 
+--R            2 2 4         3   3      4 2 2  2
+--R       (140a b d  - 112a b c d  + 32b c d )x
+--R     + 
+--R            3   4       2 2   3         3 2 2       4 3         4 4
+--R       (280a b d  - 560a b c d  + 448a b c d  - 128b c d)x - 70a d
+--R     + 
+--R           3     3        2 2 2 2         3 3        4 4
+--R       560a b c d  - 1120a b c d  + 896a b c d - 256b c
+--R  /
+--R        5 +-------+
+--R     35d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1423
+
+--S 1424 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R          4 4 4         3 4      4   3  3
+--R       10b d x  + (56a b d  - 16b c d )x
+--R     + 
+--R            2 2 4         3   3      4 2 2  2
+--R       (140a b d  - 112a b c d  + 32b c d )x
+--R     + 
+--R            3   4       2 2   3         3 2 2       4 3         4 4
+--R       (280a b d  - 560a b c d  + 448a b c d  - 128b c d)x - 70a d
+--R     + 
+--R           3     3        2 2 2 2         3 3        4 4
+--R       560a b c d  - 1120a b c d  + 896a b c d - 256b c
+--R  /
+--R        5 +-------+
+--R     35d \|d x + c
+--R                                         Type: Union(Expression(Integer),...)
+--E 1424
+
+--S 1425 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1425
+
+--S 1426 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1426
+
+)clear all
+
+--S 1427 of 2952
+t0000:=(a+b*x)^3/(c+d*x)^(3/2)
+--R 
+--R
+--R         3 3       2 2     2       3
+--R        b x  + 3a b x  + 3a b x + a
+--R   (1)  ----------------------------
+--R                       +-------+
+--R             (d x + c)\|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1427
+
+--S 1428 of 2952
+r0000:=-2*b^2*(b*c-a*d)*(c+d*x)^(3/2)/d^4+2/5*b^3*(c+d*x)^(5/2)/d^4+_
+     2*(b*c-a*d)^3/(d^4*sqrt(c+d*x))+6*b*(b*c-a*d)^2*sqrt(c+d*x)/d^4
+--R 
+--R
+--R   (2)
+--R         3 3 3         2 3     3   2  2       2   3        2   2      3 2
+--R       2b d x  + (10a b d  - 4b c d )x  + (30a b d  - 40a b c d  + 16b c d)x
+--R     + 
+--R            3 3      2     2        2 2       3 3
+--R       - 10a d  + 60a b c d  - 80a b c d + 32b c
+--R  /
+--R       4 +-------+
+--R     5d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1428
+
+--S 1429 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R         3 3 3         2 3     3   2  2       2   3        2   2      3 2
+--R       2b d x  + (10a b d  - 4b c d )x  + (30a b d  - 40a b c d  + 16b c d)x
+--R     + 
+--R            3 3      2     2        2 2       3 3
+--R       - 10a d  + 60a b c d  - 80a b c d + 32b c
+--R  /
+--R       4 +-------+
+--R     5d \|d x + c
+--R                                         Type: Union(Expression(Integer),...)
+--E 1429
+
+--S 1430 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1430
+
+--S 1431 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1431
+
+)clear all
+
+--S 1432 of 2952
+t0000:=(a+b*x)^2/(c+d*x)^(3/2)
+--R 
+--R
+--R          2 2             2
+--R         b x  + 2a b x + a
+--R   (1)  -------------------
+--R                  +-------+
+--R        (d x + c)\|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1432
+
+--S 1433 of 2952
+r0000:=2/3*b^2*(c+d*x)^(3/2)/d^3-2*(b*c-a*d)^2/(d^3*sqrt(c+d*x))-_
+     4*b*(b*c-a*d)*sqrt(c+d*x)/d^3
+--R 
+--R
+--R          2 2 2           2     2          2 2                  2 2
+--R        2b d x  + (12a b d  - 8b c d)x - 6a d  + 24a b c d - 16b c
+--R   (2)  -----------------------------------------------------------
+--R                                 3 +-------+
+--R                               3d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1433
+
+--S 1434 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R          2 2 2           2     2          2 2                  2 2
+--R        2b d x  + (12a b d  - 8b c d)x - 6a d  + 24a b c d - 16b c
+--R   (3)  -----------------------------------------------------------
+--R                                 3 +-------+
+--R                               3d \|d x + c
+--R                                         Type: Union(Expression(Integer),...)
+--E 1434
+
+--S 1435 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1435
+
+--S 1436 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1436
+
+)clear all
+
+--S 1437 of 2952
+t0000:=(a+b*x)/(c+d*x)^(3/2)
+--R 
+--R
+--R              b x + a
+--R   (1)  -------------------
+--R                  +-------+
+--R        (d x + c)\|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1437
+
+--S 1438 of 2952
+r0000:=2*(b*c-a*d)/(d^2*sqrt(c+d*x))+2*b*sqrt(c+d*x)/d^2
+--R 
+--R
+--R        2b d x - 2a d + 4b c
+--R   (2)  --------------------
+--R             2 +-------+
+--R            d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1438
+
+--S 1439 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        2b d x - 2a d + 4b c
+--R   (3)  --------------------
+--R             2 +-------+
+--R            d \|d x + c
+--R                                         Type: Union(Expression(Integer),...)
+--E 1439
+
+--S 1440 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1440
+
+--S 1441 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1441
+
+)clear all
+
+--S 1442 of 2952
+t0000:=1/(c+d*x)^(3/2)
+--R 
+--R
+--R                 1
+--R   (1)  -------------------
+--R                  +-------+
+--R        (d x + c)\|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1442
+
+--S 1443 of 2952
+r0000:=(-2)/(d*sqrt(c+d*x))
+--R 
+--R
+--R               2
+--R   (2)  - -----------
+--R            +-------+
+--R          d\|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1443
+
+--S 1444 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R               2
+--R   (3)  - -----------
+--R            +-------+
+--R          d\|d x + c
+--R                                         Type: Union(Expression(Integer),...)
+--E 1444
+
+--S 1445 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1445
+
+--S 1446 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1446
+
+)clear all
+
+--S 1447 of 2952
+t0000:=1/((a+b*x)*(c+d*x)^(3/2))
+--R 
+--R
+--R                           1
+--R   (1)  ---------------------------------------
+--R              2                       +-------+
+--R        (b d x  + (a d + b c)x + a c)\|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1447
+
+--S 1448 of 2952
+r0000:=-2*atanh(sqrt(b)*sqrt(c+d*x)/sqrt(b*c-a*d))*sqrt(b)/(b*c-a*d)^(3/2)+_
+     2/((b*c-a*d)*sqrt(c+d*x))
+--R 
+--R
+--R                              +-+ +-------+
+--R          +-+ +-------+      \|b \|d x + c       +-----------+
+--R        2\|b \|d x + c atanh(--------------) - 2\|- a d + b c
+--R                              +-----------+
+--R                             \|- a d + b c
+--R   (2)  ------------------------------------------------------
+--R                              +-----------+ +-------+
+--R                  (a d - b c)\|- a d + b c \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1448
+
+--S 1449 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R            +-----------+
+--R            |      b      +-------+
+--R            |- --------- \|d x + c
+--R           \|  a d - b c
+--R        *
+--R                               +-----------+
+--R                               |      b      +-------+
+--R               (- 2a d + 2b c) |- --------- \|d x + c  + b d x - a d + 2b c
+--R                              \|  a d - b c
+--R           log(------------------------------------------------------------)
+--R                                          b x + a
+--R       + 
+--R         - 2
+--R    /
+--R                   +-------+
+--R       (a d - b c)\|d x + c
+--R     ,
+--R         +---------+                       +-------+
+--R         |    b      +-------+           b\|d x + c
+--R    - 2  |--------- \|d x + c atan(----------------------- - 2
+--R        \|a d - b c                            +---------+
+--R                                               |    b
+--R                                   (a d - b c) |---------
+--R                                              \|a d - b c
+--R    ----------------------------------------------------------]
+--R                                   +-------+
+--R                       (a d - b c)\|d x + c
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1449
+
+--S 1450 of 2952
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R   (4)
+--R                        +-----------+
+--R          +-----------+ |      b
+--R         \|- a d + b c  |- ---------
+--R                       \|  a d - b c
+--R      *
+--R                             +-----------+
+--R                             |      b      +-------+
+--R             (- 2a d + 2b c) |- --------- \|d x + c  + b d x - a d + 2b c
+--R                            \|  a d - b c
+--R         log(------------------------------------------------------------)
+--R                                        b x + a
+--R     + 
+--R                     +-+ +-------+
+--R           +-+      \|b \|d x + c
+--R       - 2\|b atanh(--------------)
+--R                     +-----------+
+--R                    \|- a d + b c
+--R  /
+--R                 +-----------+
+--R     (a d - b c)\|- a d + b c
+--R                                                    Type: Expression(Integer)
+--E 1450
+
+--S 1451 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1451
+
+--S 1452 of 2952
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R   (6)
+--R                     +-+ +-------+
+--R           +-+      \|b \|d x + c
+--R       - 2\|b atanh(--------------)
+--R                     +-----------+
+--R                    \|- a d + b c
+--R     + 
+--R                         +---------+             +-------+
+--R           +-----------+ |    b                b\|d x + c
+--R       - 2\|- a d + b c  |--------- atan(-----------------------)
+--R                        \|a d - b c                  +---------+
+--R                                                     |    b
+--R                                         (a d - b c) |---------
+--R                                                    \|a d - b c
+--R  /
+--R                 +-----------+
+--R     (a d - b c)\|- a d + b c
+--R                                                    Type: Expression(Integer)
+--E 1452
+
+--S 1453 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1453
+
+)clear all
+
+--S 1454 of 2952
+t0000:=1/((a+b*x)^2*(c+d*x)^(3/2))
+--R 
+--R
+--R                                      1
+--R   (1)  -------------------------------------------------------------
+--R          2   3              2   2     2                2   +-------+
+--R        (b d x  + (2a b d + b c)x  + (a d + 2a b c)x + a c)\|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1454
+
+--S 1455 of 2952
+r0000:=3*d*atanh(sqrt(b)*sqrt(c+d*x)/sqrt(b*c-a*d))*sqrt(b)/(b*c-a*d)^(5/2)-_
+     3*d/((b*c-a*d)^2*sqrt(c+d*x))+(-1)/((b*c-a*d)*(a+b*x)*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R                                           +-+ +-------+
+--R                       +-+ +-------+      \|b \|d x + c
+--R       (3b d x + 3a d)\|b \|d x + c atanh(--------------)
+--R                                           +-----------+
+--R                                          \|- a d + b c
+--R     + 
+--R                               +-----------+
+--R       (- 3b d x - 2a d - b c)\|- a d + b c
+--R  /
+--R          2   2       2       3 2      3 2     2           2 2  +-----------+
+--R       ((a b d  - 2a b c d + b c )x + a d  - 2a b c d + a b c )\|- a d + b c
+--R    *
+--R        +-------+
+--R       \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1455
+
+--S 1456 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                           +-----------+
+--R                           |      b      +-------+
+--R           (3b d x + 3a d) |- --------- \|d x + c
+--R                          \|  a d - b c
+--R        *
+--R                               +-----------+
+--R                               |      b      +-------+
+--R               (- 2a d + 2b c) |- --------- \|d x + c  + b d x - a d + 2b c
+--R                              \|  a d - b c
+--R           log(------------------------------------------------------------)
+--R                                          b x + a
+--R       + 
+--R         - 6b d x - 4a d - 2b c
+--R    /
+--R           2   2       2        3 2       3 2     2            2 2  +-------+
+--R       ((2a b d  - 4a b c d + 2b c )x + 2a d  - 4a b c d + 2a b c )\|d x + c
+--R     ,
+--R
+--R                           +---------+                       +-------+
+--R                           |    b      +-------+           b\|d x + c
+--R         (- 3b d x - 3a d) |--------- \|d x + c atan(-----------------------)
+--R                          \|a d - b c                            +---------+
+--R                                                                 |    b
+--R                                                     (a d - b c) |---------
+--R                                                                \|a d - b c
+--R       + 
+--R         - 3b d x - 2a d - b c
+--R    /
+--R          2   2       2       3 2      3 2     2           2 2  +-------+
+--R       ((a b d  - 2a b c d + b c )x + a d  - 2a b c d + a b c )\|d x + c
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1456
+
+--S 1457 of 2952
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R   (4)
+--R                          +-----------+
+--R            +-----------+ |      b
+--R         3d\|- a d + b c  |- ---------
+--R                         \|  a d - b c
+--R      *
+--R                             +-----------+
+--R                             |      b      +-------+
+--R             (- 2a d + 2b c) |- --------- \|d x + c  + b d x - a d + 2b c
+--R                            \|  a d - b c
+--R         log(------------------------------------------------------------)
+--R                                        b x + a
+--R     + 
+--R                      +-+ +-------+
+--R            +-+      \|b \|d x + c
+--R       - 6d\|b atanh(--------------)
+--R                      +-----------+
+--R                     \|- a d + b c
+--R  /
+--R        2 2                2 2  +-----------+
+--R     (2a d  - 4a b c d + 2b c )\|- a d + b c
+--R                                                    Type: Expression(Integer)
+--E 1457
+
+--S 1458 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1458
+
+--S 1459 of 2952
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R   (6)
+--R                      +-+ +-------+
+--R            +-+      \|b \|d x + c
+--R       - 3d\|b atanh(--------------)
+--R                      +-----------+
+--R                     \|- a d + b c
+--R     + 
+--R                          +---------+             +-------+
+--R            +-----------+ |    b                b\|d x + c
+--R       - 3d\|- a d + b c  |--------- atan(-----------------------)
+--R                         \|a d - b c                  +---------+
+--R                                                      |    b
+--R                                          (a d - b c) |---------
+--R                                                     \|a d - b c
+--R  /
+--R       2 2               2 2  +-----------+
+--R     (a d  - 2a b c d + b c )\|- a d + b c
+--R                                                    Type: Expression(Integer)
+--E 1459
+
+--S 1460 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1460
+
+)clear all
+
+--S 1461 of 2952
+t0000:=1/((a+b*x)^3*(c+d*x)^(3/2))
+--R 
+--R
+--R   (1)
+--R     1
+--R  /
+--R         3   4        2     3   3      2          2   2     3      2         3
+--R       (b d x  + (3a b d + b c)x  + (3a b d + 3a b c)x  + (a d + 3a b c)x + a c)
+--R    *
+--R        +-------+
+--R       \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1461
+
+--S 1462 of 2952
+r0000:=-15/4*d^2*atanh(sqrt(b)*sqrt(c+d*x)/sqrt(b*c-a*d))*sqrt(b)/_
+     (b*c-a*d)^(7/2)+15/4*d^2/((b*c-a*d)^3*sqrt(c+d*x))+_
+     (-1/2)/((b*c-a*d)*(a+b*x)^2*sqrt(c+d*x))+_
+     5/4*d/((b*c-a*d)^2*(a+b*x)*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R                                                           +-+ +-------+
+--R           2 2 2          2       2 2  +-+ +-------+      \|b \|d x + c
+--R       (15b d x  + 30a b d x + 15a d )\|b \|d x + c atanh(--------------)
+--R                                                           +-----------+
+--R                                                          \|- a d + b c
+--R     + 
+--R               2 2 2             2     2          2 2                2 2
+--R         (- 15b d x  + (- 25a b d  - 5b c d)x - 8a d  - 9a b c d + 2b c )
+--R      *
+--R          +-----------+
+--R         \|- a d + b c
+--R  /
+--R            3 2 3      2 3   2        4 2      5 3  2
+--R         (4a b d  - 12a b c d  + 12a b c d - 4b c )x
+--R       + 
+--R            4   3      3 2   2      2 3 2        4 3       5 3      4     2
+--R         (8a b d  - 24a b c d  + 24a b c d - 8a b c )x + 4a d  - 12a b c d
+--R       + 
+--R            3 2 2      2 3 3
+--R         12a b c d - 4a b c
+--R    *
+--R        +-----------+ +-------+
+--R       \|- a d + b c \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1462
+
+--S 1463 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                                           +-----------+
+--R               2 2 2          2       2 2  |      b      +-------+
+--R           (15b d x  + 30a b d x + 15a d ) |- --------- \|d x + c
+--R                                          \|  a d - b c
+--R        *
+--R                               +-----------+
+--R                               |      b      +-------+
+--R               (- 2a d + 2b c) |- --------- \|d x + c  + b d x - a d + 2b c
+--R                              \|  a d - b c
+--R           log(------------------------------------------------------------)
+--R                                          b x + a
+--R       + 
+--R              2 2 2             2      2           2 2                 2 2
+--R         - 30b d x  + (- 50a b d  - 10b c d)x - 16a d  - 18a b c d + 4b c
+--R    /
+--R              3 2 3      2 3   2        4 2      5 3  2
+--R           (8a b d  - 24a b c d  + 24a b c d - 8b c )x
+--R         + 
+--R               4   3      3 2   2      2 3 2         4 3       5 3      4     2
+--R           (16a b d  - 48a b c d  + 48a b c d - 16a b c )x + 8a d  - 24a b c d
+--R         + 
+--R              3 2 2      2 3 3
+--R           24a b c d - 8a b c
+--R      *
+--R          +-------+
+--R         \|d x + c
+--R     ,
+--R
+--R                                             +---------+
+--R                 2 2 2          2       2 2  |    b      +-------+
+--R           (- 15b d x  - 30a b d x - 15a d ) |--------- \|d x + c
+--R                                            \|a d - b c
+--R        *
+--R                        +-------+
+--R                      b\|d x + c
+--R           atan(-----------------------)
+--R                            +---------+
+--R                            |    b
+--R                (a d - b c) |---------
+--R                           \|a d - b c
+--R       + 
+--R              2 2 2             2     2          2 2                2 2
+--R         - 15b d x  + (- 25a b d  - 5b c d)x - 8a d  - 9a b c d + 2b c
+--R    /
+--R              3 2 3      2 3   2        4 2      5 3  2
+--R           (4a b d  - 12a b c d  + 12a b c d - 4b c )x
+--R         + 
+--R              4   3      3 2   2      2 3 2        4 3       5 3      4     2
+--R           (8a b d  - 24a b c d  + 24a b c d - 8a b c )x + 4a d  - 12a b c d
+--R         + 
+--R              3 2 2      2 3 3
+--R           12a b c d - 4a b c
+--R      *
+--R          +-------+
+--R         \|d x + c
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1463
+
+--S 1464 of 2952
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R   (4)
+--R                            +-----------+
+--R            2 +-----------+ |      b
+--R         15d \|- a d + b c  |- ---------
+--R                           \|  a d - b c
+--R      *
+--R                             +-----------+
+--R                             |      b      +-------+
+--R             (- 2a d + 2b c) |- --------- \|d x + c  + b d x - a d + 2b c
+--R                            \|  a d - b c
+--R         log(------------------------------------------------------------)
+--R                                        b x + a
+--R     + 
+--R                        +-+ +-------+
+--R            2 +-+      \|b \|d x + c
+--R       - 30d \|b atanh(--------------)
+--R                        +-----------+
+--R                       \|- a d + b c
+--R  /
+--R        3 3      2     2        2 2      3 3  +-----------+
+--R     (8a d  - 24a b c d  + 24a b c d - 8b c )\|- a d + b c
+--R                                                    Type: Expression(Integer)
+--E 1464
+
+--S 1465 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1465
+
+--S 1466 of 2952
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R   (6)
+--R                        +-+ +-------+
+--R            2 +-+      \|b \|d x + c
+--R       - 15d \|b atanh(--------------)
+--R                        +-----------+
+--R                       \|- a d + b c
+--R     + 
+--R                            +---------+             +-------+
+--R            2 +-----------+ |    b                b\|d x + c
+--R       - 15d \|- a d + b c  |--------- atan(-----------------------)
+--R                           \|a d - b c                  +---------+
+--R                                                        |    b
+--R                                            (a d - b c) |---------
+--R                                                       \|a d - b c
+--R  /
+--R        3 3      2     2        2 2      3 3  +-----------+
+--R     (4a d  - 12a b c d  + 12a b c d - 4b c )\|- a d + b c
+--R                                                    Type: Expression(Integer)
+--E 1466
+
+--S 1467 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1467
+
+)clear all
+
+--S 1468 of 2952
+t0000:=1/((a+b*x)^4*(c+d*x)^(3/2))
+--R 
+--R
+--R   (1)
+--R     1
+--R  /
+--R          4   5        3     4   4      2 2        3   3      3        2 2   2
+--R         b d x  + (4a b d + b c)x  + (6a b d + 4a b c)x  + (4a b d + 6a b c)x
+--R       + 
+--R           4      3         4
+--R         (a d + 4a b c)x + a c
+--R    *
+--R        +-------+
+--R       \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1468
+
+--S 1469 of 2952
+r0000:=35/8*d^3*atanh(sqrt(b)*sqrt(c+d*x)/sqrt(b*c-a*d))*sqrt(b)/_
+     (b*c-a*d)^(9/2)-35/8*d^3/((b*c-a*d)^4*sqrt(c+d*x))+(-1/3)/_
+     ((b*c-a*d)*(a+b*x)^3*sqrt(c+d*x))+_
+     7/12*d/((b*c-a*d)^2*(a+b*x)^2*sqrt(c+d*x))-_
+     35/24*d^2/((b*c-a*d)^3*(a+b*x)*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R              3 3 3         2 3 2       2   3        3 3  +-+ +-------+
+--R         (105b d x  + 315a b d x  + 315a b d x + 105a d )\|b \|d x + c
+--R      *
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R         atanh(--------------)
+--R                +-----------+
+--R               \|- a d + b c
+--R     + 
+--R                 3 3 3            2 3      3   2  2
+--R           - 105b d x  + (- 280a b d  - 35b c d )x
+--R         + 
+--R                  2   3        2   2      3 2         3 3      2     2
+--R           (- 231a b d  - 98a b c d  + 14b c d)x - 48a d  - 87a b c d
+--R         + 
+--R                2 2      3 3
+--R           38a b c d - 8b c
+--R      *
+--R          +-----------+
+--R         \|- a d + b c
+--R  /
+--R             4 3 4      3 4   3       2 5 2 2        6 3       7 4  3
+--R         (24a b d  - 96a b c d  + 144a b c d  - 96a b c d + 24b c )x
+--R       + 
+--R             5 2 4       4 3   3       3 4 2 2       2 5 3         6 4  2
+--R         (72a b d  - 288a b c d  + 432a b c d  - 288a b c d + 72a b c )x
+--R       + 
+--R             6   4       5 2   3       4 3 2 2       3 4 3       2 5 4
+--R         (72a b d  - 288a b c d  + 432a b c d  - 288a b c d + 72a b c )x
+--R       + 
+--R            7 4      6     3       5 2 2 2      4 3 3       3 4 4
+--R         24a d  - 96a b c d  + 144a b c d  - 96a b c d + 24a b c
+--R    *
+--R        +-----------+ +-------+
+--R       \|- a d + b c \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1469
+
+--S 1470 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                                                            +-----------+
+--R                3 3 3         2 3 2       2   3        3 3  |      b
+--R           (105b d x  + 315a b d x  + 315a b d x + 105a d ) |- ---------
+--R                                                           \|  a d - b c
+--R        *
+--R            +-------+
+--R           \|d x + c
+--R        *
+--R                               +-----------+
+--R                               |      b      +-------+
+--R               (- 2a d + 2b c) |- --------- \|d x + c  + b d x - a d + 2b c
+--R                              \|  a d - b c
+--R           log(------------------------------------------------------------)
+--R                                          b x + a
+--R       + 
+--R               3 3 3            2 3      3   2  2
+--R         - 210b d x  + (- 560a b d  - 70b c d )x
+--R       + 
+--R                2   3         2   2      3 2         3 3       2     2
+--R         (- 462a b d  - 196a b c d  + 28b c d)x - 96a d  - 174a b c d
+--R       + 
+--R              2 2       3 3
+--R         76a b c d - 16b c
+--R    /
+--R               4 3 4       3 4   3       2 5 2 2         6 3       7 4  3
+--R           (48a b d  - 192a b c d  + 288a b c d  - 192a b c d + 48b c )x
+--R         + 
+--R                5 2 4       4 3   3       3 4 2 2       2 5 3          6 4  2
+--R           (144a b d  - 576a b c d  + 864a b c d  - 576a b c d + 144a b c )x
+--R         + 
+--R                6   4       5 2   3       4 3 2 2       3 4 3        2 5 4
+--R           (144a b d  - 576a b c d  + 864a b c d  - 576a b c d + 144a b c )x
+--R         + 
+--R              7 4       6     3       5 2 2 2       4 3 3       3 4 4
+--R           48a d  - 192a b c d  + 288a b c d  - 192a b c d + 48a b c
+--R      *
+--R          +-------+
+--R         \|d x + c
+--R     ,
+--R
+--R                                                              +---------+
+--R                  3 3 3         2 3 2       2   3        3 3  |    b
+--R           (- 105b d x  - 315a b d x  - 315a b d x - 105a d ) |---------
+--R                                                             \|a d - b c
+--R        *
+--R                                  +-------+
+--R            +-------+           b\|d x + c
+--R           \|d x + c atan(-----------------------)
+--R                                      +---------+
+--R                                      |    b
+--R                          (a d - b c) |---------
+--R                                     \|a d - b c
+--R       + 
+--R               3 3 3            2 3      3   2  2
+--R         - 105b d x  + (- 280a b d  - 35b c d )x
+--R       + 
+--R                2   3        2   2      3 2         3 3      2     2        2 2
+--R         (- 231a b d  - 98a b c d  + 14b c d)x - 48a d  - 87a b c d  + 38a b c d
+--R       + 
+--R             3 3
+--R         - 8b c
+--R    /
+--R               4 3 4      3 4   3       2 5 2 2        6 3       7 4  3
+--R           (24a b d  - 96a b c d  + 144a b c d  - 96a b c d + 24b c )x
+--R         + 
+--R               5 2 4       4 3   3       3 4 2 2       2 5 3         6 4  2
+--R           (72a b d  - 288a b c d  + 432a b c d  - 288a b c d + 72a b c )x
+--R         + 
+--R               6   4       5 2   3       4 3 2 2       3 4 3       2 5 4
+--R           (72a b d  - 288a b c d  + 432a b c d  - 288a b c d + 72a b c )x
+--R         + 
+--R              7 4      6     3       5 2 2 2      4 3 3       3 4 4
+--R           24a d  - 96a b c d  + 144a b c d  - 96a b c d + 24a b c
+--R      *
+--R          +-------+
+--R         \|d x + c
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1470
+
+--S 1471 of 2952
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R   (4)
+--R                            +-----------+
+--R            3 +-----------+ |      b
+--R         35d \|- a d + b c  |- ---------
+--R                           \|  a d - b c
+--R      *
+--R                             +-----------+
+--R                             |      b      +-------+
+--R             (- 2a d + 2b c) |- --------- \|d x + c  + b d x - a d + 2b c
+--R                            \|  a d - b c
+--R         log(------------------------------------------------------------)
+--R                                        b x + a
+--R     + 
+--R                        +-+ +-------+
+--R            3 +-+      \|b \|d x + c
+--R       - 70d \|b atanh(--------------)
+--R                        +-----------+
+--R                       \|- a d + b c
+--R  /
+--R         4 4      3     3      2 2 2 2        3 3       4 4  +-----------+
+--R     (16a d  - 64a b c d  + 96a b c d  - 64a b c d + 16b c )\|- a d + b c
+--R                                                    Type: Expression(Integer)
+--E 1471
+
+--S 1472 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1472
+
+--S 1473 of 2952
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R   (6)
+--R                        +-+ +-------+
+--R            3 +-+      \|b \|d x + c
+--R       - 35d \|b atanh(--------------)
+--R                        +-----------+
+--R                       \|- a d + b c
+--R     + 
+--R                            +---------+             +-------+
+--R            3 +-----------+ |    b                b\|d x + c
+--R       - 35d \|- a d + b c  |--------- atan(-----------------------)
+--R                           \|a d - b c                  +---------+
+--R                                                        |    b
+--R                                            (a d - b c) |---------
+--R                                                       \|a d - b c
+--R  /
+--R        4 4      3     3      2 2 2 2        3 3      4 4  +-----------+
+--R     (8a d  - 32a b c d  + 48a b c d  - 32a b c d + 8b c )\|- a d + b c
+--R                                                    Type: Expression(Integer)
+--E 1473
+
+--S 1474 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1474
+
+)clear all
+
+--S 1475 of 2952
+t0000:=(a+b*x)^5/(c+d*x)^(5/2)
+--R 
+--R
+--R         5 5       4 4      2 3 3      3 2 2     4       5
+--R        b x  + 5a b x  + 10a b x  + 10a b x  + 5a b x + a
+--R   (1)  --------------------------------------------------
+--R                    2 2             2  +-------+
+--R                  (d x  + 2c d x + c )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1475
+
+--S 1476 of 2952
+r0000:=2/3*(b*c-a*d)^5/(d^6*(c+d*x)^(3/2))+20/3*b^3*(b*c-a*d)^2*_
+     (c+d*x)^(3/2)/d^6-2*b^4*(b*c-a*d)*(c+d*x)^(5/2)/d^6+_
+     2/7*b^5*(c+d*x)^(7/2)/d^6-10*b*(b*c-a*d)^4/(d^6*sqrt(c+d*x))-_
+     20*b^2*(b*c-a*d)^3*sqrt(c+d*x)/d^6
+--R 
+--R
+--R   (2)
+--R         5 5 5         4 5      5   4  4
+--R       6b d x  + (42a b d  - 12b c d )x
+--R     + 
+--R            2 3 5         4   4      5 2 3  3
+--R       (140a b d  - 112a b c d  + 32b c d )x
+--R     + 
+--R            3 2 5       2 3   4         4 2 3       5 3 2  2
+--R       (420a b d  - 840a b c d  + 672a b c d  - 192b c d )x
+--R     + 
+--R              4   5        3 2   4        2 3 2 3          4 3 2       5 4
+--R       (- 210a b d  + 1680a b c d  - 3360a b c d  + 2688a b c d  - 768b c d)x
+--R     + 
+--R            5 5       4     4        3 2 2 3        2 3 3 2          4 4
+--R       - 14a d  - 140a b c d  + 1120a b c d  - 2240a b c d  + 1792a b c d
+--R     + 
+--R             5 5
+--R       - 512b c
+--R  /
+--R         7         6  +-------+
+--R     (21d x + 21c d )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1476
+
+--S 1477 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R         5 5 5         4 5      5   4  4
+--R       6b d x  + (42a b d  - 12b c d )x
+--R     + 
+--R            2 3 5         4   4      5 2 3  3
+--R       (140a b d  - 112a b c d  + 32b c d )x
+--R     + 
+--R            3 2 5       2 3   4         4 2 3       5 3 2  2
+--R       (420a b d  - 840a b c d  + 672a b c d  - 192b c d )x
+--R     + 
+--R              4   5        3 2   4        2 3 2 3          4 3 2       5 4
+--R       (- 210a b d  + 1680a b c d  - 3360a b c d  + 2688a b c d  - 768b c d)x
+--R     + 
+--R            5 5       4     4        3 2 2 3        2 3 3 2          4 4
+--R       - 14a d  - 140a b c d  + 1120a b c d  - 2240a b c d  + 1792a b c d
+--R     + 
+--R             5 5
+--R       - 512b c
+--R  /
+--R         7         6  +-------+
+--R     (21d x + 21c d )\|d x + c
+--R                                         Type: Union(Expression(Integer),...)
+--E 1477
+
+--S 1478 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1478
+
+--S 1479 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1479
+
+)clear all
+
+--S 1480 of 2952
+t0000:=(a+b*x)^4/(c+d*x)^(5/2)
+--R 
+--R
+--R         4 4       3 3     2 2 2     3       4
+--R        b x  + 4a b x  + 6a b x  + 4a b x + a
+--R   (1)  --------------------------------------
+--R              2 2             2  +-------+
+--R            (d x  + 2c d x + c )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1480
+
+--S 1481 of 2952
+r0000:=-2/3*(b*c-a*d)^4/(d^5*(c+d*x)^(3/2))-_
+     8/3*b^3*(b*c-a*d)*(c+d*x)^(3/2)/d^5+_
+     2/5*b^4*(c+d*x)^(5/2)/d^5+8*b*(b*c-a*d)^3/(d^5*sqrt(c+d*x))+_
+     12*b^2*(b*c-a*d)^2*sqrt(c+d*x)/d^5
+--R 
+--R
+--R   (2)
+--R         4 4 4         3 4      4   3  3
+--R       6b d x  + (40a b d  - 16b c d )x
+--R     + 
+--R            2 2 4         3   3      4 2 2  2
+--R       (180a b d  - 240a b c d  + 96b c d )x
+--R     + 
+--R              3   4       2 2   3         3 2 2       4 3         4 4
+--R       (- 120a b d  + 720a b c d  - 960a b c d  + 384b c d)x - 10a d
+--R     + 
+--R            3     3       2 2 2 2         3 3        4 4
+--R       - 80a b c d  + 480a b c d  - 640a b c d + 256b c
+--R  /
+--R         6         5  +-------+
+--R     (15d x + 15c d )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1481
+
+--S 1482 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R         4 4 4         3 4      4   3  3
+--R       6b d x  + (40a b d  - 16b c d )x
+--R     + 
+--R            2 2 4         3   3      4 2 2  2
+--R       (180a b d  - 240a b c d  + 96b c d )x
+--R     + 
+--R              3   4       2 2   3         3 2 2       4 3         4 4
+--R       (- 120a b d  + 720a b c d  - 960a b c d  + 384b c d)x - 10a d
+--R     + 
+--R            3     3       2 2 2 2         3 3        4 4
+--R       - 80a b c d  + 480a b c d  - 640a b c d + 256b c
+--R  /
+--R         6         5  +-------+
+--R     (15d x + 15c d )\|d x + c
+--R                                         Type: Union(Expression(Integer),...)
+--E 1482
+
+--S 1483 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1483
+
+--S 1484 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1484
+
+)clear all
+
+--S 1485 of 2952
+t0000:=(a+b*x)^3/(c+d*x)^(5/2)
+--R 
+--R
+--R          3 3       2 2     2       3
+--R         b x  + 3a b x  + 3a b x + a
+--R   (1)  ------------------------------
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1485
+
+--S 1486 of 2952
+r0000:=2/3*(b*c-a*d)^3/(d^4*(c+d*x)^(3/2))+2/3*b^3*(c+d*x)^(3/2)/d^4-_
+     6*b*(b*c-a*d)^2/(d^4*sqrt(c+d*x))-6*b^2*(b*c-a*d)*sqrt(c+d*x)/d^4
+--R 
+--R
+--R   (2)
+--R         3 3 3         2 3      3   2  2         2   3        2   2      3 2
+--R       2b d x  + (18a b d  - 12b c d )x  + (- 18a b d  + 72a b c d  - 48b c d)x
+--R     + 
+--R           3 3      2     2        2 2       3 3
+--R       - 2a d  - 12a b c d  + 48a b c d - 32b c
+--R  /
+--R        5        4  +-------+
+--R     (3d x + 3c d )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1486
+
+--S 1487 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R         3 3 3         2 3      3   2  2         2   3        2   2      3 2
+--R       2b d x  + (18a b d  - 12b c d )x  + (- 18a b d  + 72a b c d  - 48b c d)x
+--R     + 
+--R           3 3      2     2        2 2       3 3
+--R       - 2a d  - 12a b c d  + 48a b c d - 32b c
+--R  /
+--R        5        4  +-------+
+--R     (3d x + 3c d )\|d x + c
+--R                                         Type: Union(Expression(Integer),...)
+--E 1487
+
+--S 1488 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1488
+
+--S 1489 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1489
+
+)clear all
+
+--S 1490 of 2952
+t0000:=(a+b*x)^2/(c+d*x)^(5/2)
+--R 
+--R
+--R               2 2             2
+--R              b x  + 2a b x + a
+--R   (1)  ------------------------------
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1490
+
+--S 1491 of 2952
+r0000:=-2/3*(b*c-a*d)^2/(d^3*(c+d*x)^(3/2))+4*b*(b*c-a*d)/(d^3*sqrt(c+d*x))+_
+     2*b^2*sqrt(c+d*x)/d^3
+--R 
+--R
+--R          2 2 2             2      2          2 2                 2 2
+--R        6b d x  + (- 12a b d  + 24b c d)x - 2a d  - 8a b c d + 16b c
+--R   (2)  -------------------------------------------------------------
+--R                              4        3  +-------+
+--R                           (3d x + 3c d )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1491
+
+--S 1492 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R          2 2 2             2      2          2 2                 2 2
+--R        6b d x  + (- 12a b d  + 24b c d)x - 2a d  - 8a b c d + 16b c
+--R   (3)  -------------------------------------------------------------
+--R                              4        3  +-------+
+--R                           (3d x + 3c d )\|d x + c
+--R                                         Type: Union(Expression(Integer),...)
+--E 1492
+
+--S 1493 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1493
+
+--S 1494 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1494
+
+)clear all
+
+--S 1495 of 2952
+t0000:=(a+b*x)/(c+d*x)^(5/2)
+--R 
+--R
+--R                    b x + a
+--R   (1)  ------------------------------
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1495
+
+--S 1496 of 2952
+r0000:=2/3*(b*c-a*d)/(d^2*(c+d*x)^(3/2))-2*b/(d^2*sqrt(c+d*x))
+--R 
+--R
+--R         - 6b d x - 2a d - 4b c
+--R   (2)  ------------------------
+--R           3        2  +-------+
+--R        (3d x + 3c d )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1496
+
+--S 1497 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R         - 6b d x - 2a d - 4b c
+--R   (3)  ------------------------
+--R           3        2  +-------+
+--R        (3d x + 3c d )\|d x + c
+--R                                         Type: Union(Expression(Integer),...)
+--E 1497
+
+--S 1498 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1498
+
+--S 1499 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1499
+
+)clear all
+
+--S 1500 of 2952
+t0000:=1/(c+d*x)^(5/2)
+--R 
+--R
+--R                       1
+--R   (1)  ------------------------------
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1500
+
+--S 1501 of 2952
+r0000:=(-2/3)/(d*(c+d*x)^(3/2))
+--R 
+--R
+--R                     2
+--R   (2)  - -----------------------
+--R             2          +-------+
+--R          (3d x + 3c d)\|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1501
+
+--S 1502 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                     2
+--R   (3)  - -----------------------
+--R             2          +-------+
+--R          (3d x + 3c d)\|d x + c
+--R                                         Type: Union(Expression(Integer),...)
+--E 1502
+
+--S 1503 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1503
+
+--S 1504 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1504
+
+)clear all
+
+--S 1505 of 2952
+t0000:=1/((a+b*x)*(c+d*x)^(5/2))
+--R 
+--R
+--R                                        1
+--R   (1)  ----------------------------------------------------------------
+--R            2 3       2           2                2        2  +-------+
+--R        (b d x  + (a d  + 2b c d)x  + (2a c d + b c )x + a c )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1505
+
+--S 1506 of 2952
+r0000:=2/3/((b*c-a*d)*(c+d*x)^(3/2))-2*b^(3/2)*atanh(sqrt(b)*sqrt(c+d*x)/_
+     sqrt(b*c-a*d))/(b*c-a*d)^(5/2)+2*b/((b*c-a*d)^2*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R                                             +-+ +-------+
+--R                         +-+ +-------+      \|b \|d x + c
+--R       (- 6b d x - 6b c)\|b \|d x + c atanh(--------------)
+--R                                             +-----------+
+--R                                            \|- a d + b c
+--R     + 
+--R                              +-----------+
+--R       (6b d x - 2a d + 8b c)\|- a d + b c
+--R  /
+--R           2 3           2     2 2        2   2         2      2 3
+--R       ((3a d  - 6a b c d  + 3b c d)x + 3a c d  - 6a b c d + 3b c )
+--R    *
+--R        +-----------+ +-------+
+--R       \|- a d + b c \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1506
+
+--S 1507 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                           +-----------+
+--R                           |      b      +-------+
+--R           (3b d x + 3b c) |- --------- \|d x + c
+--R                          \|  a d - b c
+--R        *
+--R                             +-----------+
+--R                             |      b      +-------+
+--R               (2a d - 2b c) |- --------- \|d x + c  + b d x - a d + 2b c
+--R                            \|  a d - b c
+--R           log(----------------------------------------------------------)
+--R                                         b x + a
+--R       + 
+--R         6b d x - 2a d + 8b c
+--R    /
+--R           2 3           2     2 2        2   2         2      2 3  +-------+
+--R       ((3a d  - 6a b c d  + 3b c d)x + 3a c d  - 6a b c d + 3b c )\|d x + c
+--R     ,
+--R
+--R                         +---------+                       +-------+
+--R                         |    b      +-------+           b\|d x + c
+--R         (6b d x + 6b c) |--------- \|d x + c atan(-----------------------)
+--R                        \|a d - b c                            +---------+
+--R                                                               |    b
+--R                                                   (a d - b c) |---------
+--R                                                              \|a d - b c
+--R       + 
+--R         6b d x - 2a d + 8b c
+--R    /
+--R           2 3           2     2 2        2   2         2      2 3  +-------+
+--R       ((3a d  - 6a b c d  + 3b c d)x + 3a c d  - 6a b c d + 3b c )\|d x + c
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1507
+
+--S 1508 of 2952
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R   (4)
+--R                         +-----------+
+--R           +-----------+ |      b
+--R         b\|- a d + b c  |- ---------
+--R                        \|  a d - b c
+--R      *
+--R                           +-----------+
+--R                           |      b      +-------+
+--R             (2a d - 2b c) |- --------- \|d x + c  + b d x - a d + 2b c
+--R                          \|  a d - b c
+--R         log(----------------------------------------------------------)
+--R                                       b x + a
+--R     + 
+--R                    +-+ +-------+
+--R          +-+      \|b \|d x + c
+--R       2b\|b atanh(--------------)
+--R                    +-----------+
+--R                   \|- a d + b c
+--R  /
+--R       2 2               2 2  +-----------+
+--R     (a d  - 2a b c d + b c )\|- a d + b c
+--R                                                    Type: Expression(Integer)
+--E 1508
+
+--S 1509 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1509
+
+--S 1510 of 2952
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R   (6)
+--R                    +-+ +-------+
+--R          +-+      \|b \|d x + c
+--R       2b\|b atanh(--------------)
+--R                    +-----------+
+--R                   \|- a d + b c
+--R     + 
+--R                        +---------+             +-------+
+--R          +-----------+ |    b                b\|d x + c
+--R       2b\|- a d + b c  |--------- atan(-----------------------)
+--R                       \|a d - b c                  +---------+
+--R                                                    |    b
+--R                                        (a d - b c) |---------
+--R                                                   \|a d - b c
+--R  /
+--R       2 2               2 2  +-----------+
+--R     (a d  - 2a b c d + b c )\|- a d + b c
+--R                                                    Type: Expression(Integer)
+--E 1510
+
+--S 1511 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1511
+
+)clear all
+
+--S 1512 of 2952
+t0000:=1/((a+b*x)^2*(c+d*x)^(5/2))
+--R 
+--R
+--R   (1)
+--R     1
+--R  /
+--R          2 2 4          2     2     3     2 2               2 2  2
+--R         b d x  + (2a b d  + 2b c d)x  + (a d  + 4a b c d + b c )x
+--R       + 
+--R            2            2      2 2
+--R         (2a c d + 2a b c )x + a c
+--R    *
+--R        +-------+
+--R       \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1512
+
+--S 1513 of 2952
+r0000:=-5/3*d/((b*c-a*d)^2*(c+d*x)^(3/2))+(-1)/((b*c-a*d)*_
+     (a+b*x)*(c+d*x)^(3/2))+5*b^(3/2)*d*atanh(sqrt(b)*sqrt(c+d*x)/_
+     sqrt(b*c-a*d))/(b*c-a*d)^(7/2)-5*b*d/((b*c-a*d)^3*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R               2 2 2             2      2                   +-+ +-------+
+--R         (- 15b d x  + (- 15a b d  - 15b c d)x - 15a b c d)\|b \|d x + c
+--R      *
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R         atanh(--------------)
+--R                +-----------+
+--R               \|- a d + b c
+--R     + 
+--R             2 2 2           2      2          2 2                 2 2
+--R         (15b d x  + (10a b d  + 20b c d)x - 2a d  + 14a b c d + 3b c )
+--R      *
+--R          +-----------+
+--R         \|- a d + b c
+--R  /
+--R            3   4     2 2   3       3 2 2     4 3   2
+--R         (3a b d  - 9a b c d  + 9a b c d  - 3b c d)x
+--R       + 
+--R            4 4     3     3       3 3      4 4       4   3     3   2 2
+--R         (3a d  - 6a b c d  + 6a b c d - 3b c )x + 3a c d  - 9a b c d
+--R       + 
+--R           2 2 3        3 4
+--R         9a b c d - 3a b c
+--R    *
+--R        +-----------+ +-------+
+--R       \|- a d + b c \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1513
+
+--S 1514 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                                                          +-----------+
+--R               2 2 2           2      2                   |      b
+--R           (15b d x  + (15a b d  + 15b c d)x + 15a b c d) |- ---------
+--R                                                         \|  a d - b c
+--R        *
+--R            +-------+
+--R           \|d x + c
+--R        *
+--R                             +-----------+
+--R                             |      b      +-------+
+--R               (2a d - 2b c) |- --------- \|d x + c  + b d x - a d + 2b c
+--R                            \|  a d - b c
+--R           log(----------------------------------------------------------)
+--R                                         b x + a
+--R       + 
+--R            2 2 2           2      2          2 2                 2 2
+--R         30b d x  + (20a b d  + 40b c d)x - 4a d  + 28a b c d + 6b c
+--R    /
+--R              3   4      2 2   3        3 2 2     4 3   2
+--R           (6a b d  - 18a b c d  + 18a b c d  - 6b c d)x
+--R         + 
+--R              4 4      3     3        3 3      4 4       4   3      3   2 2
+--R           (6a d  - 12a b c d  + 12a b c d - 6b c )x + 6a c d  - 18a b c d
+--R         + 
+--R              2 2 3        3 4
+--R           18a b c d - 6a b c
+--R      *
+--R          +-------+
+--R         \|d x + c
+--R     ,
+--R
+--R                                                          +---------+
+--R               2 2 2           2      2                   |    b      +-------+
+--R           (15b d x  + (15a b d  + 15b c d)x + 15a b c d) |--------- \|d x + c
+--R                                                         \|a d - b c
+--R        *
+--R                        +-------+
+--R                      b\|d x + c
+--R           atan(-----------------------)
+--R                            +---------+
+--R                            |    b
+--R                (a d - b c) |---------
+--R                           \|a d - b c
+--R       + 
+--R            2 2 2           2      2          2 2                 2 2
+--R         15b d x  + (10a b d  + 20b c d)x - 2a d  + 14a b c d + 3b c
+--R    /
+--R              3   4     2 2   3       3 2 2     4 3   2
+--R           (3a b d  - 9a b c d  + 9a b c d  - 3b c d)x
+--R         + 
+--R              4 4     3     3       3 3      4 4       4   3     3   2 2
+--R           (3a d  - 6a b c d  + 6a b c d - 3b c )x + 3a c d  - 9a b c d
+--R         + 
+--R             2 2 3        3 4
+--R           9a b c d - 3a b c
+--R      *
+--R          +-------+
+--R         \|d x + c
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1514
+
+--S 1515 of 2952
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R   (4)
+--R                            +-----------+
+--R              +-----------+ |      b
+--R         5b d\|- a d + b c  |- ---------
+--R                           \|  a d - b c
+--R      *
+--R                           +-----------+
+--R                           |      b      +-------+
+--R             (2a d - 2b c) |- --------- \|d x + c  + b d x - a d + 2b c
+--R                          \|  a d - b c
+--R         log(----------------------------------------------------------)
+--R                                       b x + a
+--R     + 
+--R                       +-+ +-------+
+--R             +-+      \|b \|d x + c
+--R       10b d\|b atanh(--------------)
+--R                       +-----------+
+--R                      \|- a d + b c
+--R  /
+--R        3 3     2     2       2 2      3 3  +-----------+
+--R     (2a d  - 6a b c d  + 6a b c d - 2b c )\|- a d + b c
+--R                                                    Type: Expression(Integer)
+--E 1515
+
+--S 1516 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1516
+
+--S 1517 of 2952
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R   (6)
+--R                      +-+ +-------+
+--R            +-+      \|b \|d x + c
+--R       5b d\|b atanh(--------------)
+--R                      +-----------+
+--R                     \|- a d + b c
+--R     + 
+--R                          +---------+             +-------+
+--R            +-----------+ |    b                b\|d x + c
+--R       5b d\|- a d + b c  |--------- atan(-----------------------)
+--R                         \|a d - b c                  +---------+
+--R                                                      |    b
+--R                                          (a d - b c) |---------
+--R                                                     \|a d - b c
+--R  /
+--R       3 3     2     2       2 2     3 3  +-----------+
+--R     (a d  - 3a b c d  + 3a b c d - b c )\|- a d + b c
+--R                                                    Type: Expression(Integer)
+--E 1517
+
+--S 1518 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1518
+
+)clear all
+
+--S 1519 of 2952
+t0000:=1/((a+b*x)^3*(c+d*x)^(5/2))
+--R 
+--R
+--R   (1)
+--R     1
+--R  /
+--R          3 2 5        2 2     3     4      2   2       2       3 2  3
+--R         b d x  + (3a b d  + 2b c d)x  + (3a b d  + 6a b c d + b c )x
+--R       + 
+--R           3 2     2            2 2  2      3        2   2      3 2
+--R         (a d  + 6a b c d + 3a b c )x  + (2a c d + 3a b c )x + a c
+--R    *
+--R        +-------+
+--R       \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1519
+
+--S 1520 of 2952
+r0000:=35/12*d^2/((b*c-a*d)^3*(c+d*x)^(3/2))+(-1/2)/((b*c-a*d)*(a+b*x)^2*_
+     (c+d*x)^(3/2))+7/4*d/((b*c-a*d)^2*(a+b*x)*(c+d*x)^(3/2))-_
+     35/4*b^(3/2)*d^2*atanh(sqrt(b)*sqrt(c+d*x)/sqrt(b*c-a*d))/_
+     (b*c-a*d)^(9/2)+35/4*b*d^2/((b*c-a*d)^4*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R                 3 3 3            2 3       3   2  2
+--R           - 105b d x  + (- 210a b d  - 105b c d )x
+--R         + 
+--R                  2   3         2   2         2     2
+--R           (- 105a b d  - 210a b c d )x - 105a b c d
+--R      *
+--R                              +-+ +-------+
+--R          +-+ +-------+      \|b \|d x + c
+--R         \|b \|d x + c atanh(--------------)
+--R                              +-----------+
+--R                             \|- a d + b c
+--R     + 
+--R               3 3 3          2 3       3   2  2
+--R           105b d x  + (175a b d  + 140b c d )x
+--R         + 
+--R               2   3         2   2      3 2        3 3      2     2        2 2
+--R           (56a b d  + 238a b c d  + 21b c d)x - 8a d  + 80a b c d  + 39a b c d
+--R         + 
+--R               3 3
+--R           - 6b c
+--R      *
+--R          +-----------+
+--R         \|- a d + b c
+--R  /
+--R             4 2 5      3 3   4      2 4 2 3        5 3 2      6 4   3
+--R         (12a b d  - 48a b c d  + 72a b c d  - 48a b c d  + 12b c d)x
+--R       + 
+--R                  5   5      4 2   4      3 3 2 3      2 4 3 2        5 4
+--R               24a b d  - 84a b c d  + 96a b c d  - 24a b c d  - 24a b c d
+--R             + 
+--R                  6 5
+--R               12b c
+--R        *
+--R            2
+--R           x
+--R       + 
+--R             6 5      5     4      4 2 2 3      3 3 3 2      2 4 4         5 5
+--R         (12a d  - 24a b c d  - 24a b c d  + 96a b c d  - 84a b c d + 24a b c )x
+--R       + 
+--R            6   4      5   2 3      4 2 3 2      3 3 4       2 4 5
+--R         12a c d  - 48a b c d  + 72a b c d  - 48a b c d + 12a b c
+--R    *
+--R        +-----------+ +-------+
+--R       \|- a d + b c \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1520
+
+--S 1521 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                 3 3 3          2 3       3   2  2        2   3         2   2
+--R             105b d x  + (210a b d  + 105b c d )x  + (105a b d  + 210a b c d )x
+--R           + 
+--R                 2     2
+--R             105a b c d
+--R        *
+--R            +-----------+
+--R            |      b      +-------+
+--R            |- --------- \|d x + c
+--R           \|  a d - b c
+--R        *
+--R                             +-----------+
+--R                             |      b      +-------+
+--R               (2a d - 2b c) |- --------- \|d x + c  + b d x - a d + 2b c
+--R                            \|  a d - b c
+--R           log(----------------------------------------------------------)
+--R                                         b x + a
+--R       + 
+--R             3 3 3          2 3       3   2  2
+--R         210b d x  + (350a b d  + 280b c d )x
+--R       + 
+--R              2   3         2   2      3 2         3 3       2     2        2 2
+--R         (112a b d  + 476a b c d  + 42b c d)x - 16a d  + 160a b c d  + 78a b c d
+--R       + 
+--R              3 3
+--R         - 12b c
+--R    /
+--R               4 2 5      3 3   4       2 4 2 3        5 3 2      6 4   3
+--R           (24a b d  - 96a b c d  + 144a b c d  - 96a b c d  + 24b c d)x
+--R         + 
+--R                  5   5       4 2   4       3 3 2 3      2 4 3 2        5 4
+--R               48a b d  - 168a b c d  + 192a b c d  - 48a b c d  - 48a b c d
+--R             + 
+--R                  6 5
+--R               24b c
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                  6 5      5     4      4 2 2 3       3 3 3 2       2 4 4
+--R               24a d  - 48a b c d  - 48a b c d  + 192a b c d  - 168a b c d
+--R             + 
+--R                    5 5
+--R               48a b c
+--R          *
+--R             x
+--R         + 
+--R              6   4      5   2 3       4 2 3 2      3 3 4       2 4 5
+--R           24a c d  - 96a b c d  + 144a b c d  - 96a b c d + 24a b c
+--R      *
+--R          +-------+
+--R         \|d x + c
+--R     ,
+--R
+--R                 3 3 3          2 3       3   2  2        2   3         2   2
+--R             105b d x  + (210a b d  + 105b c d )x  + (105a b d  + 210a b c d )x
+--R           + 
+--R                 2     2
+--R             105a b c d
+--R        *
+--R            +---------+                       +-------+
+--R            |    b      +-------+           b\|d x + c
+--R            |--------- \|d x + c atan(-----------------------)
+--R           \|a d - b c                            +---------+
+--R                                                  |    b
+--R                                      (a d - b c) |---------
+--R                                                 \|a d - b c
+--R       + 
+--R             3 3 3          2 3       3   2  2
+--R         105b d x  + (175a b d  + 140b c d )x
+--R       + 
+--R             2   3         2   2      3 2        3 3      2     2        2 2
+--R         (56a b d  + 238a b c d  + 21b c d)x - 8a d  + 80a b c d  + 39a b c d
+--R       + 
+--R             3 3
+--R         - 6b c
+--R    /
+--R               4 2 5      3 3   4      2 4 2 3        5 3 2      6 4   3
+--R           (12a b d  - 48a b c d  + 72a b c d  - 48a b c d  + 12b c d)x
+--R         + 
+--R                  5   5      4 2   4      3 3 2 3      2 4 3 2        5 4
+--R               24a b d  - 84a b c d  + 96a b c d  - 24a b c d  - 24a b c d
+--R             + 
+--R                  6 5
+--R               12b c
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                  6 5      5     4      4 2 2 3      3 3 3 2      2 4 4
+--R               12a d  - 24a b c d  - 24a b c d  + 96a b c d  - 84a b c d
+--R             + 
+--R                    5 5
+--R               24a b c
+--R          *
+--R             x
+--R         + 
+--R              6   4      5   2 3      4 2 3 2      3 3 4       2 4 5
+--R           12a c d  - 48a b c d  + 72a b c d  - 48a b c d + 12a b c
+--R      *
+--R          +-------+
+--R         \|d x + c
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1521
+
+--S 1522 of 2952
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R   (4)
+--R                              +-----------+
+--R              2 +-----------+ |      b
+--R         35b d \|- a d + b c  |- ---------
+--R                             \|  a d - b c
+--R      *
+--R                           +-----------+
+--R                           |      b      +-------+
+--R             (2a d - 2b c) |- --------- \|d x + c  + b d x - a d + 2b c
+--R                          \|  a d - b c
+--R         log(----------------------------------------------------------)
+--R                                       b x + a
+--R     + 
+--R                        +-+ +-------+
+--R            2 +-+      \|b \|d x + c
+--R       70b d \|b atanh(--------------)
+--R                        +-----------+
+--R                       \|- a d + b c
+--R  /
+--R        4 4      3     3      2 2 2 2        3 3      4 4  +-----------+
+--R     (8a d  - 32a b c d  + 48a b c d  - 32a b c d + 8b c )\|- a d + b c
+--R                                                    Type: Expression(Integer)
+--E 1522
+
+--S 1523 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1523
+
+--S 1524 of 2952
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R   (6)
+--R                        +-+ +-------+
+--R            2 +-+      \|b \|d x + c
+--R       35b d \|b atanh(--------------)
+--R                        +-----------+
+--R                       \|- a d + b c
+--R     + 
+--R                            +---------+             +-------+
+--R            2 +-----------+ |    b                b\|d x + c
+--R       35b d \|- a d + b c  |--------- atan(-----------------------)
+--R                           \|a d - b c                  +---------+
+--R                                                        |    b
+--R                                            (a d - b c) |---------
+--R                                                       \|a d - b c
+--R  /
+--R        4 4      3     3      2 2 2 2        3 3      4 4  +-----------+
+--R     (4a d  - 16a b c d  + 24a b c d  - 16a b c d + 4b c )\|- a d + b c
+--R                                                    Type: Expression(Integer)
+--E 1524
+
+--S 1525 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1525
+
+)clear all
+
+--S 1526 of 2952
+t0000:=1/((a+b*x)^4*(c+d*x)^(5/2))
+--R 
+--R
+--R   (1)
+--R     1
+--R  /
+--R          4 2 6        3 2     4     5      2 2 2       3       4 2  4
+--R         b d x  + (4a b d  + 2b c d)x  + (6a b d  + 8a b c d + b c )x
+--R       + 
+--R            3   2      2 2          3 2  3     4 2     3          2 2 2  2
+--R         (4a b d  + 12a b c d + 4a b c )x  + (a d  + 8a b c d + 6a b c )x
+--R       + 
+--R            4        3   2      4 2
+--R         (2a c d + 4a b c )x + a c
+--R    *
+--R        +-------+
+--R       \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1526
+
+--S 1527 of 2952
+r0000:=-35/8*d^3/((b*c-a*d)^4*(c+d*x)^(3/2))+(-1/3)/((b*c-a*d)*(a+b*x)^3*_
+     (c+d*x)^(3/2))+3/4*d/((b*c-a*d)^2*(a+b*x)^2*(c+d*x)^(3/2))-_
+     21/8*d^2/((b*c-a*d)^3*(a+b*x)*(c+d*x)^(3/2))+_
+     105/8*b^(3/2)*d^3*atanh(sqrt(b)*sqrt(c+d*x)/sqrt(b*c-a*d))/_
+     (b*c-a*d)^(11/2)-105/8*b*d^3/((b*c-a*d)^5*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R                 4 4 4            3 4       4   3  3
+--R           - 315b d x  + (- 945a b d  - 315b c d )x
+--R         + 
+--R                  2 2 4         3   3  2          3   4       2 2   3
+--R           (- 945a b d  - 945a b c d )x  + (- 315a b d  - 945a b c d )x
+--R         + 
+--R                 3     3
+--R           - 315a b c d
+--R      *
+--R                              +-+ +-------+
+--R          +-+ +-------+      \|b \|d x + c
+--R         \|b \|d x + c atanh(--------------)
+--R                              +-----------+
+--R                             \|- a d + b c
+--R     + 
+--R               4 4 4          3 4       4   3  3
+--R           315b d x  + (840a b d  + 420b c d )x
+--R         + 
+--R                2 2 4          3   3      4 2 2  2
+--R           (693a b d  + 1134a b c d  + 63b c d )x
+--R         + 
+--R                3   4       2 2   3         3 2 2      4 3         4 4
+--R           (144a b d  + 954a b c d  + 180a b c d  - 18b c d)x - 16a d
+--R         + 
+--R               3     3       2 2 2 2        3 3      4 4
+--R           208a b c d  + 165a b c d  - 50a b c d + 8b c
+--R      *
+--R          +-----------+
+--R         \|- a d + b c
+--R  /
+--R                5 3 6       4 4   5       3 5 2 4       2 6 3 3         7 4 2
+--R             24a b d  - 120a b c d  + 240a b c d  - 240a b c d  + 120a b c d
+--R           + 
+--R                  8 5
+--R             - 24b c d
+--R        *
+--R            4
+--R           x
+--R       + 
+--R                6 2 6       5 3   5       4 4 2 4       3 5 3 3       2 6 4 2
+--R             72a b d  - 336a b c d  + 600a b c d  - 480a b c d  + 120a b c d
+--R           + 
+--R                  7 5       8 6
+--R             48a b c d - 24b c
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                7   6       6 2   5       5 3 2 4       3 5 4 2       2 6 5
+--R             72a b d  - 288a b c d  + 360a b c d  - 360a b c d  + 288a b c d
+--R           + 
+--R                    7 6
+--R             - 72a b c
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                8 6      7     5       6 2 2 4       5 3 3 3       4 4 4 2
+--R             24a d  - 48a b c d  - 120a b c d  + 480a b c d  - 600a b c d
+--R           + 
+--R                 3 5 5       2 6 6
+--R             336a b c d - 72a b c
+--R        *
+--R           x
+--R       + 
+--R            8   5       7   2 4       6 2 3 3       5 3 4 2       4 4 5
+--R         24a c d  - 120a b c d  + 240a b c d  - 240a b c d  + 120a b c d
+--R       + 
+--R              3 5 6
+--R         - 24a b c
+--R    *
+--R        +-----------+ +-------+
+--R       \|- a d + b c \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1527
+
+--S 1528 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   [
+--R                 4 4 4          3 4       4   3  3        2 2 4         3   3  2
+--R             315b d x  + (945a b d  + 315b c d )x  + (945a b d  + 945a b c d )x
+--R           + 
+--R                  3   4       2 2   3         3     3
+--R             (315a b d  + 945a b c d )x + 315a b c d
+--R        *
+--R            +-----------+
+--R            |      b      +-------+
+--R            |- --------- \|d x + c
+--R           \|  a d - b c
+--R        *
+--R                             +-----------+
+--R                             |      b      +-------+
+--R               (2a d - 2b c) |- --------- \|d x + c  + b d x - a d + 2b c
+--R                            \|  a d - b c
+--R           log(----------------------------------------------------------)
+--R                                         b x + a
+--R       + 
+--R             4 4 4           3 4       4   3  3
+--R         630b d x  + (1680a b d  + 840b c d )x
+--R       + 
+--R               2 2 4          3   3       4 2 2  2
+--R         (1386a b d  + 2268a b c d  + 126b c d )x
+--R       + 
+--R              3   4        2 2   3         3 2 2      4 3         4 4
+--R         (288a b d  + 1908a b c d  + 360a b c d  - 36b c d)x - 32a d
+--R       + 
+--R             3     3       2 2 2 2         3 3       4 4
+--R         416a b c d  + 330a b c d  - 100a b c d + 16b c
+--R    /
+--R                  5 3 6       4 4   5       3 5 2 4       2 6 3 3         7 4 2
+--R               48a b d  - 240a b c d  + 480a b c d  - 480a b c d  + 240a b c d
+--R             + 
+--R                    8 5
+--R               - 48b c d
+--R          *
+--R              4
+--R             x
+--R         + 
+--R                   6 2 6       5 3   5        4 4 2 4       3 5 3 3
+--R               144a b d  - 672a b c d  + 1200a b c d  - 960a b c d
+--R             + 
+--R                   2 6 4 2        7 5       8 6
+--R               240a b c d  + 96a b c d - 48b c
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                   7   6       6 2   5       5 3 2 4       3 5 4 2       2 6 5
+--R               144a b d  - 576a b c d  + 720a b c d  - 720a b c d  + 576a b c d
+--R             + 
+--R                       7 6
+--R               - 144a b c
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                  8 6      7     5       6 2 2 4       5 3 3 3        4 4 4 2
+--R               48a d  - 96a b c d  - 240a b c d  + 960a b c d  - 1200a b c d
+--R             + 
+--R                   3 5 5        2 6 6
+--R               672a b c d - 144a b c
+--R          *
+--R             x
+--R         + 
+--R              8   5       7   2 4       6 2 3 3       5 3 4 2       4 4 5
+--R           48a c d  - 240a b c d  + 480a b c d  - 480a b c d  + 240a b c d
+--R         + 
+--R                3 5 6
+--R           - 48a b c
+--R      *
+--R          +-------+
+--R         \|d x + c
+--R     ,
+--R
+--R                 4 4 4          3 4       4   3  3        2 2 4         3   3  2
+--R             315b d x  + (945a b d  + 315b c d )x  + (945a b d  + 945a b c d )x
+--R           + 
+--R                  3   4       2 2   3         3     3
+--R             (315a b d  + 945a b c d )x + 315a b c d
+--R        *
+--R            +---------+                       +-------+
+--R            |    b      +-------+           b\|d x + c
+--R            |--------- \|d x + c atan(-----------------------)
+--R           \|a d - b c                            +---------+
+--R                                                  |    b
+--R                                      (a d - b c) |---------
+--R                                                 \|a d - b c
+--R       + 
+--R             4 4 4          3 4       4   3  3
+--R         315b d x  + (840a b d  + 420b c d )x
+--R       + 
+--R              2 2 4          3   3      4 2 2  2
+--R         (693a b d  + 1134a b c d  + 63b c d )x
+--R       + 
+--R              3   4       2 2   3         3 2 2      4 3         4 4
+--R         (144a b d  + 954a b c d  + 180a b c d  - 18b c d)x - 16a d
+--R       + 
+--R             3     3       2 2 2 2        3 3      4 4
+--R         208a b c d  + 165a b c d  - 50a b c d + 8b c
+--R    /
+--R                  5 3 6       4 4   5       3 5 2 4       2 6 3 3         7 4 2
+--R               24a b d  - 120a b c d  + 240a b c d  - 240a b c d  + 120a b c d
+--R             + 
+--R                    8 5
+--R               - 24b c d
+--R          *
+--R              4
+--R             x
+--R         + 
+--R                  6 2 6       5 3   5       4 4 2 4       3 5 3 3       2 6 4 2
+--R               72a b d  - 336a b c d  + 600a b c d  - 480a b c d  + 120a b c d
+--R             + 
+--R                    7 5       8 6
+--R               48a b c d - 24b c
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                  7   6       6 2   5       5 3 2 4       3 5 4 2       2 6 5
+--R               72a b d  - 288a b c d  + 360a b c d  - 360a b c d  + 288a b c d
+--R             + 
+--R                      7 6
+--R               - 72a b c
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                  8 6      7     5       6 2 2 4       5 3 3 3       4 4 4 2
+--R               24a d  - 48a b c d  - 120a b c d  + 480a b c d  - 600a b c d
+--R             + 
+--R                   3 5 5       2 6 6
+--R               336a b c d - 72a b c
+--R          *
+--R             x
+--R         + 
+--R              8   5       7   2 4       6 2 3 3       5 3 4 2       4 4 5
+--R           24a c d  - 120a b c d  + 240a b c d  - 240a b c d  + 120a b c d
+--R         + 
+--R                3 5 6
+--R           - 24a b c
+--R      *
+--R          +-------+
+--R         \|d x + c
+--R     ]
+--R                                   Type: Union(List(Expression(Integer)),...)
+--E 1528
+
+--S 1529 of 2952
+m0000:=a0000.1 - r0000
+--R 
+--R
+--R   (4)
+--R                               +-----------+
+--R               3 +-----------+ |      b
+--R         105b d \|- a d + b c  |- ---------
+--R                              \|  a d - b c
+--R      *
+--R                           +-----------+
+--R                           |      b      +-------+
+--R             (2a d - 2b c) |- --------- \|d x + c  + b d x - a d + 2b c
+--R                          \|  a d - b c
+--R         log(----------------------------------------------------------)
+--R                                       b x + a
+--R     + 
+--R                         +-+ +-------+
+--R             3 +-+      \|b \|d x + c
+--R       210b d \|b atanh(--------------)
+--R                         +-----------+
+--R                        \|- a d + b c
+--R  /
+--R           5 5      4     4       3 2 2 3       2 3 3 2        4 4       5 5
+--R       (16a d  - 80a b c d  + 160a b c d  - 160a b c d  + 80a b c d - 16b c )
+--R    *
+--R        +-----------+
+--R       \|- a d + b c
+--R                                                    Type: Expression(Integer)
+--E 1529
+
+--S 1530 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1530
+
+--S 1531 of 2952
+m0000:=a0000.2 - r0000
+--R 
+--R
+--R   (6)
+--R                         +-+ +-------+
+--R             3 +-+      \|b \|d x + c
+--R       105b d \|b atanh(--------------)
+--R                         +-----------+
+--R                        \|- a d + b c
+--R     + 
+--R                             +---------+             +-------+
+--R             3 +-----------+ |    b                b\|d x + c
+--R       105b d \|- a d + b c  |--------- atan(-----------------------)
+--R                            \|a d - b c                  +---------+
+--R                                                         |    b
+--R                                             (a d - b c) |---------
+--R                                                        \|a d - b c
+--R  /
+--R          5 5      4     4      3 2 2 3      2 3 3 2        4 4      5 5
+--R       (8a d  - 40a b c d  + 80a b c d  - 80a b c d  + 40a b c d - 8b c )
+--R    *
+--R        +-----------+
+--R       \|- a d + b c
+--R                                                    Type: Expression(Integer)
+--E 1531
+
+--S 1532 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (7)  0
+--R                                                    Type: Expression(Integer)
+--E 1532
+
+)clear all
+
+--S 1533 of 2952
+t0000:=(a+b*x)^5*(a*c+b*c*x)^(3/2)
+--R 
+--R
+--R   (1)
+--R          6   6       5   5      2 4   4      3 3   3      4 2   2     5
+--R         b c x  + 6a b c x  + 15a b c x  + 20a b c x  + 15a b c x  + 6a b c x
+--R       + 
+--R          6
+--R         a c
+--R  *
+--R      +-----------+
+--R     \|b c x + a c
+--R                                                    Type: Expression(Integer)
+--E 1533
+
+--S 1534 of 2952
+r0000:=2/15*(a*c+b*c*x)^(15/2)/(b*c^6)
+--R 
+--R
+--R   (2)
+--R           7   7        6   6      2 5   5      3 4   4      4 3   3
+--R         2b c x  + 14a b c x  + 42a b c x  + 70a b c x  + 70a b c x
+--R       + 
+--R            5 2   2      6          7
+--R         42a b c x  + 14a b c x + 2a c
+--R    *
+--R        +-----------+
+--R       \|b c x + a c
+--R  /
+--R     15b
+--R                                                    Type: Expression(Integer)
+--E 1534
+
+--S 1535 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R           7   7        6   6      2 5   5      3 4   4      4 3   3
+--R         2b c x  + 14a b c x  + 42a b c x  + 70a b c x  + 70a b c x
+--R       + 
+--R            5 2   2      6          7
+--R         42a b c x  + 14a b c x + 2a c
+--R    *
+--R        +-----------+
+--R       \|b c x + a c
+--R  /
+--R     15b
+--R                                         Type: Union(Expression(Integer),...)
+--E 1535
+
+--S 1536 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1536
+
+--S 1537 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1537
+
+)clear all
+
+--S 1538 of 2952
+t0000:=(a+b*x)^5*(a*c+b*c*x)^(1/2)
+--R 
+--R
+--R          5 5       4 4      2 3 3      3 2 2     4       5  +-----------+
+--R   (1)  (b x  + 5a b x  + 10a b x  + 10a b x  + 5a b x + a )\|b c x + a c
+--R                                                    Type: Expression(Integer)
+--E 1538
+
+--S 1539 of 2952
+r0000:=2/13*(a*c+b*c*x)^(13/2)/(b*c^6)
+--R 
+--R
+--R   (2)
+--R          6 6        5 5      2 4 4      3 3 3      4 2 2      5        6
+--R       (2b x  + 12a b x  + 30a b x  + 40a b x  + 30a b x  + 12a b x + 2a )
+--R    *
+--R        +-----------+
+--R       \|b c x + a c
+--R  /
+--R     13b
+--R                                                    Type: Expression(Integer)
+--E 1539
+
+--S 1540 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R          6 6        5 5      2 4 4      3 3 3      4 2 2      5        6
+--R       (2b x  + 12a b x  + 30a b x  + 40a b x  + 30a b x  + 12a b x + 2a )
+--R    *
+--R        +-----------+
+--R       \|b c x + a c
+--R  /
+--R     13b
+--R                                         Type: Union(Expression(Integer),...)
+--E 1540
+
+--S 1541 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1541
+
+--S 1542 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1542
+
+)clear all
+
+--S 1543 of 2952
+t0000:=(a+b*x)^5/(a*c+b*c*x)^(1/2)
+--R 
+--R
+--R         5 5       4 4      2 3 3      3 2 2     4       5
+--R        b x  + 5a b x  + 10a b x  + 10a b x  + 5a b x + a
+--R   (1)  --------------------------------------------------
+--R                           +-----------+
+--R                          \|b c x + a c
+--R                                                    Type: Expression(Integer)
+--E 1543
+
+--S 1544 of 2952
+r0000:=2/11*(a*c+b*c*x)^(11/2)/(b*c^6)
+--R 
+--R
+--R           5 5        4 4      2 3 3      3 2 2      4        5  +-----------+
+--R        (2b x  + 10a b x  + 20a b x  + 20a b x  + 10a b x + 2a )\|b c x + a c
+--R   (2)  ----------------------------------------------------------------------
+--R                                         11b c
+--R                                                    Type: Expression(Integer)
+--E 1544
+
+--S 1545 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           5 5        4 4      2 3 3      3 2 2      4        5  +-----------+
+--R        (2b x  + 10a b x  + 20a b x  + 20a b x  + 10a b x + 2a )\|b c x + a c
+--R   (3)  ----------------------------------------------------------------------
+--R                                         11b c
+--R                                         Type: Union(Expression(Integer),...)
+--E 1545
+
+--S 1546 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1546
+
+--S 1547 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1547
+
+)clear all
+
+--S 1548 of 2952
+t0000:=(a+b*x)^5/(a*c+b*c*x)^(3/2)
+--R 
+--R
+--R         4 4       3 3     2 2 2     3       4
+--R        b x  + 4a b x  + 6a b x  + 4a b x + a
+--R   (1)  --------------------------------------
+--R                      +-----------+
+--R                    c\|b c x + a c
+--R                                                    Type: Expression(Integer)
+--E 1548
+
+--S 1549 of 2952
+r0000:=2/9*(a*c+b*c*x)^(9/2)/(b*c^6)
+--R 
+--R
+--R           4 4       3 3      2 2 2     3        4  +-----------+
+--R        (2b x  + 8a b x  + 12a b x  + 8a b x + 2a )\|b c x + a c
+--R   (2)  ---------------------------------------------------------
+--R                                      2
+--R                                  9b c
+--R                                                    Type: Expression(Integer)
+--E 1549
+
+--S 1550 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           4 4       3 3      2 2 2     3        4  +-----------+
+--R        (2b x  + 8a b x  + 12a b x  + 8a b x + 2a )\|b c x + a c
+--R   (3)  ---------------------------------------------------------
+--R                                      2
+--R                                  9b c
+--R                                         Type: Union(Expression(Integer),...)
+--E 1550
+
+--S 1551 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1551
+
+--S 1552 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1552
+
+)clear all
+
+--S 1553 of 2952
+t0000:=(a+b*x)^5/(a*c+b*c*x)^(5/2)
+--R 
+--R
+--R         3 3       2 2     2       3
+--R        b x  + 3a b x  + 3a b x + a
+--R   (1)  ----------------------------
+--R               2 +-----------+
+--R              c \|b c x + a c
+--R                                                    Type: Expression(Integer)
+--E 1553
+
+--S 1554 of 2952
+r0000:=2/7*(a*c+b*c*x)^(7/2)/(b*c^6)
+--R 
+--R
+--R           3 3       2 2     2        3  +-----------+
+--R        (2b x  + 6a b x  + 6a b x + 2a )\|b c x + a c
+--R   (2)  ----------------------------------------------
+--R                                 3
+--R                             7b c
+--R                                                    Type: Expression(Integer)
+--E 1554
+
+--S 1555 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           3 3       2 2     2        3  +-----------+
+--R        (2b x  + 6a b x  + 6a b x + 2a )\|b c x + a c
+--R   (3)  ----------------------------------------------
+--R                                 3
+--R                             7b c
+--R                                         Type: Union(Expression(Integer),...)
+--E 1555
+
+--S 1556 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1556
+
+--S 1557 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1557
+
+)clear all
+
+--S 1558 of 2952
+t0000:=(a+b*x)^5/(a*c+b*c*x)^(7/2)
+--R 
+--R
+--R         2 2             2
+--R        b x  + 2a b x + a
+--R   (1)  ------------------
+--R          3 +-----------+
+--R         c \|b c x + a c
+--R                                                    Type: Expression(Integer)
+--E 1558
+
+--S 1559 of 2952
+r0000:=2/5*(a*c+b*c*x)^(5/2)/(b*c^6)
+--R 
+--R
+--R           2 2              2  +-----------+
+--R        (2b x  + 4a b x + 2a )\|b c x + a c
+--R   (2)  ------------------------------------
+--R                            4
+--R                        5b c
+--R                                                    Type: Expression(Integer)
+--E 1559
+
+--S 1560 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           2 2              2  +-----------+
+--R        (2b x  + 4a b x + 2a )\|b c x + a c
+--R   (3)  ------------------------------------
+--R                            4
+--R                        5b c
+--R                                         Type: Union(Expression(Integer),...)
+--E 1560
+
+--S 1561 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1561
+
+--S 1562 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1562
+
+)clear all
+
+--S 1563 of 2952
+t0000:=(a+b*x)^5/(a*c+b*c*x)^(9/2)
+--R 
+--R
+--R             b x + a
+--R   (1)  ----------------
+--R         4 +-----------+
+--R        c \|b c x + a c
+--R                                                    Type: Expression(Integer)
+--E 1563
+
+--S 1564 of 2952
+r0000:=2/3*(a*c+b*c*x)^(3/2)/(b*c^6)
+--R 
+--R
+--R                    +-----------+
+--R        (2b x + 2a)\|b c x + a c
+--R   (2)  -------------------------
+--R                      5
+--R                  3b c
+--R                                                    Type: Expression(Integer)
+--E 1564
+
+--S 1565 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                    +-----------+
+--R        (2b x + 2a)\|b c x + a c
+--R   (3)  -------------------------
+--R                      5
+--R                  3b c
+--R                                         Type: Union(Expression(Integer),...)
+--E 1565
+
+--S 1566 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1566
+
+--S 1567 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1567
+
+)clear all
+
+--S 1568 of 2952
+t0000:=(a+b*x)^5/(a*c+b*c*x)^(11/2)
+--R 
+--R
+--R                1
+--R   (1)  ----------------
+--R         5 +-----------+
+--R        c \|b c x + a c
+--R                                                    Type: Expression(Integer)
+--E 1568
+
+--S 1569 of 2952
+r0000:=2*sqrt(a*c+b*c*x)/(b*c^6)
+--R 
+--R
+--R          +-----------+
+--R        2\|b c x + a c
+--R   (2)  ---------------
+--R                 6
+--R              b c
+--R                                                    Type: Expression(Integer)
+--E 1569
+
+--S 1570 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R          +-----------+
+--R        2\|b c x + a c
+--R   (3)  ---------------
+--R                 6
+--R              b c
+--R                                         Type: Union(Expression(Integer),...)
+--E 1570
+
+--S 1571 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1571
+
+--S 1572 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1572
+
+)clear all
+
+--S 1573 of 2952
+t0000:=(a+b*x)^5/(a*c+b*c*x)^(13/2)
+--R 
+--R
+--R                      1
+--R   (1)  ----------------------------
+--R            6       6  +-----------+
+--R        (b c x + a c )\|b c x + a c
+--R                                                    Type: Expression(Integer)
+--E 1573
+
+--S 1574 of 2952
+r0000:=(-2)/(b*c^6*sqrt(a*c+b*c*x))
+--R 
+--R
+--R                   2
+--R   (2)  - ------------------
+--R             6 +-----------+
+--R          b c \|b c x + a c
+--R                                                    Type: Expression(Integer)
+--E 1574
+
+--S 1575 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                   2
+--R   (3)  - ------------------
+--R             6 +-----------+
+--R          b c \|b c x + a c
+--R                                         Type: Union(Expression(Integer),...)
+--E 1575
+
+--S 1576 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1576
+
+--S 1577 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1577
+
+)clear all
+
+--S 1578 of 2952
+t0000:=1/((-2+x)*sqrt(2+x))
+--R 
+--R
+--R               1
+--R   (1)  ---------------
+--R                +-----+
+--R        (x - 2)\|x + 2
+--R                                                    Type: Expression(Integer)
+--E 1578
+
+--S 1579 of 2952
+r0000:=-atanh(1/2*sqrt(2+x))
+--R 
+--R
+--R                 +-----+
+--R                \|x + 2
+--R   (2)  - atanh(--------)
+--R                    2
+--R                                                    Type: Expression(Integer)
+--E 1579
+
+--S 1580 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R               +-----+             +-----+
+--R        - log(\|x + 2  + 2) + log(\|x + 2  - 2)
+--R   (3)  ---------------------------------------
+--R                           2
+--R                                         Type: Union(Expression(Integer),...)
+--E 1580
+
+--S 1581 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R                                                          +-----+
+--R               +-----+             +-----+               \|x + 2
+--R        - log(\|x + 2  + 2) + log(\|x + 2  - 2) + 2atanh(--------)
+--R                                                             2
+--R   (4)  ----------------------------------------------------------
+--R                                     2
+--R                                                    Type: Expression(Integer)
+--E 1581
+
+--S 1582 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1582
+
+)clear all
+
+--S 1583 of 2952
+t0000:=1/((2+3*x)*sqrt(1+5*x))
+--R 
+--R
+--R                1
+--R   (1)  -----------------
+--R                 +------+
+--R        (3x + 2)\|5x + 1
+--R                                                    Type: Expression(Integer)
+--E 1583
+
+--S 1584 of 2952
+r0000:=2*atan(sqrt(3/7)*sqrt(1+5*x))/sqrt(21)
+--R 
+--R
+--R               +-+ +------+
+--R              \|3 \|5x + 1
+--R        2atan(-------------)
+--R                    +-+
+--R                   \|7
+--R   (2)  --------------------
+--R                 +--+
+--R                \|21
+--R                                                    Type: Expression(Integer)
+--E 1584
+
+--S 1585 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R               +--+ +------+
+--R              \|21 \|5x + 1
+--R        2atan(--------------)
+--R                     7
+--R   (3)  ---------------------
+--R                 +--+
+--R                \|21
+--R                                         Type: Union(Expression(Integer),...)
+--E 1585
+
+--S 1586 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R               +--+ +------+           +-+ +------+
+--R              \|21 \|5x + 1           \|3 \|5x + 1
+--R        2atan(--------------) - 2atan(-------------)
+--R                     7                      +-+
+--R                                           \|7
+--R   (4)  --------------------------------------------
+--R                             +--+
+--R                            \|21
+--R                                                    Type: Expression(Integer)
+--E 1586
+
+--S 1587 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R           +-+ +-+ +--+
+--R        - \|3 \|7 \|21  + 21
+--R   (5)  --------------------
+--R                    +------+
+--R         (63x + 42)\|5x + 1
+--R                                                    Type: Expression(Integer)
+--E 1587
+
+)clear all
+
+--S 1588 of 2952
+t0000:=(1-x)^(1/3)/(1+x)
+--R 
+--R
+--R        3+-------+
+--R        \|- x + 1
+--R   (1)  ----------
+--R           x + 1
+--R                                                    Type: Expression(Integer)
+--E 1588
+
+--S 1589 of 2952
+r0000:=3*(1-x)^(1/3)+2^(1/3)*log(2^(1/3)-(1-x)^(1/3))-_
+     log(2^(2/3)+2^(1/3)*(1-x)^(1/3)+(1-x)^(2/3))/2^(2/3)-_
+     2^(1/3)*atan((1+2^(2/3)*(1-x)^(1/3))/sqrt(3))*sqrt(3)
+--R 
+--R
+--R   (2)
+--R             3+-------+2   3+-+3+-------+   3+-+2           3+-------+   3+-+
+--R       - log(\|- x + 1   + \|2 \|- x + 1  + \|2  ) + 2log(- \|- x + 1  + \|2 )
+--R     + 
+--R                   3+-+2 3+-------+
+--R           +-+     \|2   \|- x + 1 + 1     3+-+2 3+-------+
+--R       - 2\|3 atan(-------------------) + 3\|2   \|- x + 1
+--R                            +-+
+--R                           \|3
+--R  /
+--R     3+-+2
+--R     \|2
+--R                                                    Type: Expression(Integer)
+--E 1589
+
+--S 1590 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R         3+-+    3+-------+2   3+-+3+-------+   3+-+2
+--R       - \|2 log(\|- x + 1   + \|2 \|- x + 1  + \|2  )
+--R     + 
+--R                                                    3+-------+   3+-+
+--R        3+-+    3+-------+   3+-+     3+-+ +-+     2\|- x + 1  + \|2
+--R       2\|2 log(\|- x + 1  - \|2 ) - 2\|2 \|3 atan(------------------)
+--R                                                        3+-+ +-+
+--R                                                        \|2 \|3
+--R     + 
+--R        3+-------+
+--R       6\|- x + 1
+--R  /
+--R     2
+--R                                         Type: Union(Expression(Integer),...)
+--E 1590
+
+--S 1591 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R            3+-------+   3+-+           3+-------+   3+-+
+--R       2log(\|- x + 1  - \|2 ) - 2log(- \|- x + 1  + \|2 )
+--R     + 
+--R                 3+-+2 3+-------+                  3+-------+   3+-+
+--R         +-+     \|2   \|- x + 1 + 1      +-+     2\|- x + 1  + \|2
+--R       2\|3 atan(-------------------) - 2\|3 atan(------------------)
+--R                          +-+                          3+-+ +-+
+--R                         \|3                           \|2 \|3
+--R  /
+--R     3+-+2
+--R     \|2
+--R                                                    Type: Expression(Integer)
+--E 1591
+
+--S 1592 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1592
+
+)clear all
+
+--S 1593 of 2952
+t0000:=(3-2*x)^(1/3)*(7+x)
+--R 
+--R
+--R               3+--------+
+--R   (1)  (x + 7)\|- 2x + 3
+--R                                                    Type: Expression(Integer)
+--E 1593
+
+--S 1594 of 2952
+r0000:=-51/16*(3-2*x)^(4/3)+3/28*(3-2*x)^(7/3)
+--R 
+--R
+--R            2              3+--------+
+--R        (48x  + 570x - 963)\|- 2x + 3
+--R   (2)  ------------------------------
+--R                      112
+--R                                                    Type: Expression(Integer)
+--E 1594
+
+--S 1595 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R            2              3+--------+
+--R        (48x  + 570x - 963)\|- 2x + 3
+--R   (3)  ------------------------------
+--R                      112
+--R                                         Type: Union(Expression(Integer),...)
+--E 1595
+
+--S 1596 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1596
+
+--S 1597 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1597
+
+)clear all
+
+--S 1598 of 2952
+t0000:=(1-x)^(1/3)*(1+x)^2
+--R 
+--R
+--R          2          3+-------+
+--R   (1)  (x  + 2x + 1)\|- x + 1
+--R                                                    Type: Expression(Integer)
+--E 1598
+
+--S 1599 of 2952
+r0000:=-3*(1-x)^(4/3)+12/7*(1-x)^(7/3)-3/10*(1-x)^(10/3)
+--R 
+--R
+--R            3      2             3+-------+
+--R        (21x  + 57x  + 33x - 111)\|- x + 1
+--R   (2)  -----------------------------------
+--R                         70
+--R                                                    Type: Expression(Integer)
+--E 1599
+
+--S 1600 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R            3      2             3+-------+
+--R        (21x  + 57x  + 33x - 111)\|- x + 1
+--R   (3)  -----------------------------------
+--R                         70
+--R                                         Type: Union(Expression(Integer),...)
+--E 1600
+
+--S 1601 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1601
+
+--S 1602 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1602
+
+)clear all
+
+--S 1603 of 2952
+t0000:=(a+b*x)^(7/2)*(c+d*x)^(1/2)
+--R 
+--R
+--R          3 3       2 2     2       3  +-------+ +-------+
+--R   (1)  (b x  + 3a b x  + 3a b x + a )\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1603
+
+--S 1604 of 2952
+r0000:=7/128*(b*c-a*d)^5*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     (b^(3/2)*d^(9/2))+7/192*(b*c-a*d)^3*(a+b*x)^(3/2)*sqrt(c+d*x)/(b*d^3)-_
+     7/240*(b*c-a*d)^2*(a+b*x)^(5/2)*sqrt(c+d*x)/(b*d^2)+_
+     1/40*(b*c-a*d)*(a+b*x)^(7/2)*sqrt(c+d*x)/(b*d)+_
+     1/5*(a+b*x)^(9/2)*sqrt(c+d*x)/b-_
+     7/128*(b*c-a*d)^4*sqrt(a+b*x)*sqrt(c+d*x)/(b*d^4)
+--R 
+--R
+--R   (2)
+--R                 5 5       4     4        3 2 2 3        2 3 3 2         4 4
+--R           - 105a d  + 525a b c d  - 1050a b c d  + 1050a b c d  - 525a b c d
+--R         + 
+--R               5 5
+--R           105b c
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R               4 4 4           3 4      4   3  3
+--R           384b d x  + (1488a b d  + 48b c d )x
+--R         + 
+--R                 2 2 4         3   3      4 2 2  2
+--R           (2104a b d  + 256a b c d  - 56b c d )x
+--R         + 
+--R                 3   4       2 2   3         3 2 2      4 3          4 4
+--R           (1210a b d  + 578a b c d  - 322a b c d  + 70b c d)x + 105a d
+--R         + 
+--R               3     3       2 2 2 2         3 3        4 4
+--R           790a b c d  - 896a b c d  + 490a b c d - 105b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R            4 +-+ +-+
+--R     1920b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E 1604
+
+--S 1605 of 2952
+--a0000:=integrate(t0000,x)
+--E 1605
+
+--S 1606 of 2952
+--m0000:=a0000 - r0000
+--E 1606
+
+--S 1607 of 2952
+--d0000:=D(m0000,x)
+--E 1607
+
+)clear all
+
+--S 1608 of 2952
+t0000:=(a+b*x)^(5/2)*(c+d*x)^(1/2)
+--R 
+--R
+--R          2 2             2  +-------+ +-------+
+--R   (1)  (b x  + 2a b x + a )\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1608
+
+--S 1609 of 2952
+r0000:=-5/64*(b*c-a*d)^4*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     (b^(3/2)*d^(7/2))-5/96*(b*c-a*d)^2*(a+b*x)^(3/2)*sqrt(c+d*x)/(b*d^2)+_
+     1/24*(b*c-a*d)*(a+b*x)^(5/2)*sqrt(c+d*x)/(b*d)+_
+     1/4*(a+b*x)^(7/2)*sqrt(c+d*x)/b+_
+     5/64*(b*c-a*d)^3*sqrt(a+b*x)*sqrt(c+d*x)/(b*d^3)
+--R 
+--R
+--R   (2)
+--R               4 4      3     3      2 2 2 2        3 3       4 4
+--R         (- 15a d  + 60a b c d  - 90a b c d  + 60a b c d - 15b c )
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R              3 3 3          2 3     3   2  2
+--R           48b d x  + (136a b d  + 8b c d )x
+--R         + 
+--R                2   3        2   2      3 2         3 3      2     2        2 2
+--R           (118a b d  + 36a b c d  - 10b c d)x + 15a d  + 73a b c d  - 55a b c d
+--R         + 
+--R              3 3
+--R           15b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R           3 +-+ +-+
+--R     192b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E 1609
+
+--S 1610 of 2952
+--a0000:=integrate(t0000,x)
+--E 1610
+
+--S 1611 of 2952
+--m0000:=a0000 - r0000
+--E 1611
+
+--S 1612 of 2952
+--d0000:=D(m0000,x)
+--E 1612
+
+)clear all
+
+--S 1613 of 2952
+t0000:=(a+b*x)^(3/2)*(c+d*x)^(1/2)
+--R 
+--R
+--R                  +-------+ +-------+
+--R   (1)  (b x + a)\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1613
+
+--S 1614 of 2952
+r0000:=1/8*(b*c-a*d)^3*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     (b^(3/2)*d^(5/2))+1/12*(b*c-a*d)*(a+b*x)^(3/2)*sqrt(c+d*x)/(b*d)+_
+     1/3*(a+b*x)^(5/2)*sqrt(c+d*x)/b-1/8*(b*c-a*d)^2*_
+     sqrt(a+b*x)*sqrt(c+d*x)/(b*d^2)
+--R 
+--R
+--R   (2)
+--R                                                      +-+ +-------+
+--R            3 3     2     2       2 2      3 3       \|d \|b x + a
+--R       (- 3a d  + 9a b c d  - 9a b c d + 3b c )atanh(--------------)
+--R                                                      +-+ +-------+
+--R                                                     \|b \|d x + c
+--R     + 
+--R            2 2 2           2     2          2 2                2 2  +-+ +-+
+--R         (8b d x  + (14a b d  + 2b c d)x + 3a d  + 8a b c d - 3b c )\|b \|d
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|d x + c
+--R  /
+--R          2 +-+ +-+
+--R     24b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E 1614
+
+--S 1615 of 2952
+--a0000:=integrate(t0000,x)
+--E 1615
+
+--S 1616 of 2952
+--m0000:=a0000 - r0000
+--E 1616
+
+--S 1617 of 2952
+--d0000:=D(m0000,x)
+--E 1617
+
+)clear all
+
+--S 1618 of 2952
+t0000:=(a+b*x)^(1/2)*(c+d*x)^(1/2)
+--R 
+--R
+--R         +-------+ +-------+
+--R   (1)  \|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1618
+
+--S 1619 of 2952
+r0000:=-1/4*(b*c-a*d)^2*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     (b^(3/2)*d^(3/2))+1/2*(a+b*x)^(3/2)*sqrt(c+d*x)/b+_
+     1/4*(b*c-a*d)*sqrt(a+b*x)*sqrt(c+d*x)/(b*d)
+--R 
+--R
+--R   (2)
+--R                                        +-+ +-------+
+--R           2 2               2 2       \|d \|b x + a
+--R       (- a d  + 2a b c d - b c )atanh(--------------)
+--R                                        +-+ +-------+
+--R                                       \|b \|d x + c
+--R     + 
+--R                            +-+ +-+ +-------+ +-------+
+--R       (2b d x + a d + b c)\|b \|d \|b x + a \|d x + c
+--R  /
+--R          +-+ +-+
+--R     4b d\|b \|d
+--R                                                    Type: Expression(Integer)
+--E 1619
+
+--S 1620 of 2952
+--a0000:=integrate(t0000,x)
+--E 1620
+
+--S 1621 of 2952
+--m0000:=a0000 - r0000
+--E 1621
+
+--S 1622 of 2952
+--d0000:=D(m0000,x)
+--E 1622
+
+)clear all
+
+--S 1623 of 2952
+t0000:=(c+d*x)^(1/2)/(a+b*x)^(1/2)
+--R 
+--R
+--R         +-------+
+--R        \|d x + c
+--R   (1)  ----------
+--R         +-------+
+--R        \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1623
+
+--S 1624 of 2952
+r0000:=(b*c-a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     (b^(3/2)*sqrt(d))+sqrt(a+b*x)*sqrt(c+d*x)/b
+--R 
+--R
+--R                            +-+ +-------+
+--R                           \|d \|b x + a      +-+ +-+ +-------+ +-------+
+--R        (- a d + b c)atanh(--------------) + \|b \|d \|b x + a \|d x + c
+--R                            +-+ +-------+
+--R                           \|b \|d x + c
+--R   (2)  -----------------------------------------------------------------
+--R                                      +-+ +-+
+--R                                    b\|b \|d
+--R                                                    Type: Expression(Integer)
+--E 1624
+
+--S 1625 of 2952
+--a0000:=integrate(t0000,x)
+--E 1625
+
+--S 1626 of 2952
+--m0000:=a0000 - r0000
+--E 1626
+
+--S 1627 of 2952
+--d0000:=D(m0000,x)
+--E 1627
+
+)clear all
+
+--S 1628 of 2952
+t0000:=(c+d*x)^(1/2)/(a+b*x)^(3/2)
+--R 
+--R
+--R              +-------+
+--R             \|d x + c
+--R   (1)  -------------------
+--R                  +-------+
+--R        (b x + a)\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1628
+
+--S 1629 of 2952
+r0000:=2*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))*sqrt(d)/b^(3/2)-_
+     2*sqrt(c+d*x)/(b*sqrt(a+b*x))
+--R 
+--R
+--R                              +-+ +-------+
+--R          +-+ +-------+      \|d \|b x + a       +-+ +-------+
+--R        2\|d \|b x + a atanh(--------------) - 2\|b \|d x + c
+--R                              +-+ +-------+
+--R                             \|b \|d x + c
+--R   (2)  ------------------------------------------------------
+--R                              +-+ +-------+
+--R                            b\|b \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1629
+
+--S 1630 of 2952
+--a0000:=integrate(t0000,x)
+--E 1630
+
+--S 1631 of 2952
+--m0000:=a0000 - r0000
+--E 1631
+
+--S 1632 of 2952
+--d0000:=D(m0000,x)
+--E 1632
+
+)clear all
+
+--S 1633 of 2952
+t0000:=(c+d*x)^(1/2)/(a+b*x)^(5/2)
+--R 
+--R
+--R                   +-------+
+--R                  \|d x + c
+--R   (1)  ------------------------------
+--R          2 2             2  +-------+
+--R        (b x  + 2a b x + a )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1633
+
+--S 1634 of 2952
+r0000:=-2/3*(c+d*x)^(3/2)/((b*c-a*d)*(a+b*x)^(3/2))
+--R 
+--R
+--R                                +-------+
+--R                    (2d x + 2c)\|d x + c
+--R   (2)  --------------------------------------------
+--R                     2        2            +-------+
+--R        ((3a b d - 3b c)x + 3a d - 3a b c)\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1634
+
+--S 1635 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R          2        2   +-------+ +-------+     2 2       2   2
+--R       (4a d x + 4a c)\|b x + a \|d x + c  + (b c  + 4a b c)x
+--R     + 
+--R              2     2         2 2     3
+--R       (2a b c  + 8a b c)x + a c  + 4a c
+--R  /
+--R        3 2      2 3   2       4         3 2        5      4
+--R     (6a b d - 6a b c)x  + (12a b d - 12a b c)x + 6a d - 6a b c
+--R                                         Type: Union(Expression(Integer),...)
+--E 1635
+
+--S 1636 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R           2
+--R          c  + 4a c
+--R   (4)  -------------
+--R          3      2
+--R        6a d - 6a b c
+--R                                                    Type: Expression(Integer)
+--E 1636
+
+--S 1637 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1637
+
+)clear all
+
+--S 1638 of 2952
+t0000:=(c+d*x)^(1/2)/(a+b*x)^(7/2)
+--R 
+--R
+--R                        +-------+
+--R                       \|d x + c
+--R   (1)  ----------------------------------------
+--R          3 3       2 2     2       3  +-------+
+--R        (b x  + 3a b x  + 3a b x + a )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1638
+
+--S 1639 of 2952
+r0000:=-2/5*(c+d*x)^(3/2)/((b*c-a*d)*(a+b*x)^(5/2))+_
+     4/15*d*(c+d*x)^(3/2)/((b*c-a*d)^2*(a+b*x)^(3/2))
+--R 
+--R
+--R   (2)
+--R          2 2         2                            2  +-------+
+--R     (4b d x  + (10a d  - 2b c d)x + 10a c d - 6b c )\|d x + c
+--R  /
+--R             2 2 2        3         4 2  2       3   2      2 2           3 2
+--R         (15a b d  - 30a b c d + 15b c )x  + (30a b d  - 60a b c d + 30a b c )x
+--R       + 
+--R            4 2      3           2 2 2
+--R         15a d  - 30a b c d + 15a b c
+--R    *
+--R        +-------+
+--R       \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1639
+
+--S 1640 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R             3   2 2       4 2     3             4         3   2  +-------+
+--R         (12a b d x  + (30a d  - 6a b c d)x + 30a c d - 18a b c )\|b x + a
+--R      *
+--R          +-------+
+--R         \|d x + c
+--R     + 
+--R               3 2      2 3        4 3        4 2  3
+--R       ((- 5a b c  - 45a b c)d + 3b c  + 27a b c )x
+--R     + 
+--R              2 2 2       3 2          3 3      2 3 2  2
+--R       ((- 15a b c  - 135a b c)d + 9a b c  + 81a b c )x
+--R     + 
+--R              3   2       4          2 2 3      3 2 2          4 2      5
+--R       ((- 15a b c  - 135a b c)d + 9a b c  + 81a b c )x + (- 5a c  - 45a c)d
+--R     + 
+--R         3   3      4   2
+--R       3a b c  + 27a b c
+--R  /
+--R           5 3 2      4 4         3 5 2  3
+--R       (45a b d  - 90a b c d + 45a b c )x
+--R     + 
+--R            6 2 2       5 3          4 4 2  2
+--R       (135a b d  - 270a b c d + 135a b c )x
+--R     + 
+--R            7   2       6 2          5 3 2        8 2      7           6 2 2
+--R       (135a b d  - 270a b c d + 135a b c )x + 45a d  - 90a b c d + 45a b c
+--R                                         Type: Union(Expression(Integer),...)
+--E 1640
+
+--S 1641 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R               2      2          3          2
+--R        (- 5a c  - 45a c)d + 3b c  + 27a b c
+--R   (4)  -------------------------------------
+--R               5 2      4           3 2 2
+--R            45a d  - 90a b c d + 45a b c
+--R                                                    Type: Expression(Integer)
+--E 1641
+
+--S 1642 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1642
+
+)clear all
+
+--S 1643 of 2952
+t0000:=(c+d*x)^(1/2)/(a+b*x)^(9/2)
+--R 
+--R
+--R                             +-------+
+--R                            \|d x + c
+--R   (1)  --------------------------------------------------
+--R          4 4       3 3     2 2 2     3       4  +-------+
+--R        (b x  + 4a b x  + 6a b x  + 4a b x + a )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1643
+
+--S 1644 of 2952
+r0000:=-2/7*(c+d*x)^(3/2)/((b*c-a*d)*(a+b*x)^(7/2))+_
+     8/35*d*(c+d*x)^(3/2)/((b*c-a*d)^2*(a+b*x)^(5/2))-_
+     16/105*d^2*(c+d*x)^(3/2)/((b*c-a*d)^3*(a+b*x)^(3/2))
+--R 
+--R
+--R   (2)
+--R            2 3 3           3     2   2  2       2 3            2     2 2
+--R         16b d x  + (56a b d  - 8b c d )x  + (70a d  - 28a b c d  + 6b c d)x
+--R       + 
+--R            2   2          2       2 3
+--R         70a c d  - 84a b c d + 30b c
+--R    *
+--R        +-------+
+--R       \|d x + c
+--R  /
+--R              3 3 3       2 4   2         5 2        6 3  3
+--R         (105a b d  - 315a b c d  + 315a b c d - 105b c )x
+--R       + 
+--R              4 2 3       3 3   2       2 4 2          5 3  2
+--R         (315a b d  - 945a b c d  + 945a b c d - 315a b c )x
+--R       + 
+--R              5   3       4 2   2       3 3 2        2 4 3         6 3
+--R         (315a b d  - 945a b c d  + 945a b c d - 315a b c )x + 105a d
+--R       + 
+--R               5     2       4 2 2        3 3 3
+--R         - 315a b c d  + 315a b c d - 105a b c
+--R    *
+--R        +-------+
+--R       \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1644
+
+--S 1645 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R              4 2 3 3        5   3      4 2   2  2
+--R           64a b d x  + (224a b d  - 32a b c d )x
+--R         + 
+--R                6 3       5     2      4 2 2          6   2       5   2
+--R           (280a d  - 112a b c d  + 24a b c d)x + 280a c d  - 336a b c d
+--R         + 
+--R               4 2 3
+--R           120a b c
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|d x + c
+--R     + 
+--R               2 4 2       3 4   2           5 3       2 5 2        6 4
+--R           (35a b c  + 560a b c)d  + (- 42a b c  - 672a b c )d + 15b c
+--R         + 
+--R                 6 3
+--R           240a b c
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                3 3 2        4 3   2          2 4 3        3 4 2          5 4
+--R           (140a b c  + 2240a b c)d  + (- 168a b c  - 2688a b c )d + 60a b c
+--R         + 
+--R               2 5 3
+--R           960a b c
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                4 2 2        5 2   2          3 3 3        4 3 2        2 4 4
+--R           (210a b c  + 3360a b c)d  + (- 252a b c  - 4032a b c )d + 90a b c
+--R         + 
+--R                3 4 3
+--R           1440a b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                5   2        6     2          4 2 3        5 2 2        3 3 4
+--R           (140a b c  + 2240a b c)d  + (- 168a b c  - 2688a b c )d + 60a b c
+--R         + 
+--R               4 3 3
+--R           960a b c
+--R      *
+--R         x
+--R     + 
+--R           6 2       7   2         5   3       6   2        4 2 4       5 2 3
+--R       (35a c  + 560a c)d  + (- 42a b c  - 672a b c )d + 15a b c  + 240a b c
+--R  /
+--R            7 4 3        6 5   2        5 6 2        4 7 3  4
+--R       (420a b d  - 1260a b c d  + 1260a b c d - 420a b c )x
+--R     + 
+--R             8 3 3        7 4   2        6 5 2         5 6 3  3
+--R       (1680a b d  - 5040a b c d  + 5040a b c d - 1680a b c )x
+--R     + 
+--R             9 2 3        8 3   2        7 4 2         6 5 3  2
+--R       (2520a b d  - 7560a b c d  + 7560a b c d - 2520a b c )x
+--R     + 
+--R             10   3        9 2   2        8 3 2         7 4 3         11 3
+--R       (1680a  b d  - 5040a b c d  + 5040a b c d - 1680a b c )x + 420a  d
+--R     + 
+--R              10     2        9 2 2        8 3 3
+--R       - 1260a  b c d  + 1260a b c d - 420a b c
+--R                                         Type: Union(Expression(Integer),...)
+--E 1645
+
+--S 1646 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R            2 2       3   2             3       2   2        2 4         2 3
+--R        (35a c  + 560a c)d  + (- 42a b c  - 672a b c )d + 15b c  + 240a b c
+--R   (4)  --------------------------------------------------------------------
+--R                      7 3        6     2        5 2 2        4 3 3
+--R                  420a d  - 1260a b c d  + 1260a b c d - 420a b c
+--R                                                    Type: Expression(Integer)
+--E 1646
+
+--S 1647 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1647
+
+)clear all
+
+--S 1648 of 2952
+t0000:=(c+d*x)^(1/2)/(a+b*x)^(11/2)
+--R 
+--R
+--R                                   +-------+
+--R                                  \|d x + c
+--R   (1)  --------------------------------------------------------------
+--R          5 5       4 4      2 3 3      3 2 2     4       5  +-------+
+--R        (b x  + 5a b x  + 10a b x  + 10a b x  + 5a b x + a )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1648
+
+--S 1649 of 2952
+r0000:=-2/9*(c+d*x)^(3/2)/((b*c-a*d)*(a+b*x)^(9/2))+_
+     4/21*d*(c+d*x)^(3/2)/((b*c-a*d)^2*(a+b*x)^(7/2))-_
+     16/105*d^2*(c+d*x)^(3/2)/((b*c-a*d)^3*(a+b*x)^(5/2))+_
+     32/315*d^3*(c+d*x)^(3/2)/((b*c-a*d)^4*(a+b*x)^(3/2))
+--R 
+--R
+--R   (2)
+--R            3 4 4          2 4      3   3  3
+--R         32b d x  + (144a b d  - 16b c d )x
+--R       + 
+--R              2   4        2   3      3 2 2  2
+--R         (252a b d  - 72a b c d  + 12b c d )x
+--R       + 
+--R              3 4       2     3        2 2 2      3 3          3   3
+--R         (210a d  - 126a b c d  + 54a b c d  - 10b c d)x + 210a c d
+--R       + 
+--R               2   2 2         2 3       3 4
+--R         - 378a b c d  + 270a b c d - 70b c
+--R    *
+--R        +-------+
+--R       \|d x + c
+--R  /
+--R              4 4 4        3 5   3        2 6 2 2          7 3        8 4  4
+--R         (315a b d  - 1260a b c d  + 1890a b c d  - 1260a b c d + 315b c )x
+--R       + 
+--R               5 3 4        4 4   3        3 5 2 2        2 6 3           7 4  3
+--R         (1260a b d  - 5040a b c d  + 7560a b c d  - 5040a b c d + 1260a b c )x
+--R       + 
+--R                    6 2 4        5 3   3         4 4 2 2        3 5 3
+--R               1890a b d  - 7560a b c d  + 11340a b c d  - 7560a b c d
+--R             + 
+--R                    2 6 4
+--R               1890a b c
+--R        *
+--R            2
+--R           x
+--R       + 
+--R               7   4        6 2   3        5 3 2 2        4 4 3         3 5 4
+--R         (1260a b d  - 5040a b c d  + 7560a b c d  - 5040a b c d + 1260a b c )x
+--R       + 
+--R             8 4        7     3        6 2 2 2        5 3 3        4 4 4
+--R         315a d  - 1260a b c d  + 1890a b c d  - 1260a b c d + 315a b c
+--R    *
+--R        +-------+
+--R       \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1649
+
+--S 1650 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R              5 3 4 4        6 2 4      5 3   3  3
+--R           32a b d x  + (144a b d  - 16a b c d )x
+--R         + 
+--R                7   4      6 2   3      5 3 2 2  2
+--R           (252a b d  - 72a b c d  + 12a b c d )x
+--R         + 
+--R                8 4       7     3      6 2 2 2      5 3 3          8   3
+--R           (210a d  - 126a b c d  + 54a b c d  - 10a b c d)x + 210a c d
+--R         + 
+--R                 7   2 2       6 2 3       5 3 4
+--R           - 378a b c d  + 270a b c d - 70a b c
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|d x + c
+--R     + 
+--R                3 5 2       4 5   3          2 6 3       3 6 2  2
+--R           (105a b c  + 105a b c)d  + (- 189a b c  - 189a b c )d
+--R         + 
+--R                  7 4       2 7 3        8 5        8 4
+--R           (135a b c  + 135a b c )d - 35b c  - 35a b c
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                4 4 2       5 4   3          3 5 3       4 5 2  2
+--R           (525a b c  + 525a b c)d  + (- 945a b c  - 945a b c )d
+--R         + 
+--R                2 6 4       3 6 3           7 5       2 7 4
+--R           (675a b c  + 675a b c )d - 175a b c  - 175a b c
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                 5 3 2        6 3   3           4 4 3        5 4 2  2
+--R           (1050a b c  + 1050a b c)d  + (- 1890a b c  - 1890a b c )d
+--R         + 
+--R                 3 5 4        4 5 3         2 6 5       3 6 4
+--R           (1350a b c  + 1350a b c )d - 350a b c  - 350a b c
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                 6 2 2        7 2   3           5 3 3        6 3 2  2
+--R           (1050a b c  + 1050a b c)d  + (- 1890a b c  - 1890a b c )d
+--R         + 
+--R                 4 4 4        5 4 3         3 5 5       4 5 4
+--R           (1350a b c  + 1350a b c )d - 350a b c  - 350a b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                7   2       8     3          6 2 3       7 2 2  2
+--R           (525a b c  + 525a b c)d  + (- 945a b c  - 945a b c )d
+--R         + 
+--R                5 3 4       6 3 3         4 4 5       5 4 4
+--R           (675a b c  + 675a b c )d - 175a b c  - 175a b c
+--R      *
+--R         x
+--R     + 
+--R            8 2       9   3          7   3       8   2  2
+--R       (105a c  + 105a c)d  + (- 189a b c  - 189a b c )d
+--R     + 
+--R            6 2 4       7 2 3        5 3 5      6 3 4
+--R       (135a b c  + 135a b c )d - 35a b c  - 35a b c
+--R  /
+--R            9 5 4        8 6   3        7 7 2 2        6 8 3        5 9 4  5
+--R       (315a b d  - 1260a b c d  + 1890a b c d  - 1260a b c d + 315a b c )x
+--R     + 
+--R             10 4 4        9 5   3        8 6 2 2        7 7 3         6 8 4  4
+--R       (1575a  b d  - 6300a b c d  + 9450a b c d  - 6300a b c d + 1575a b c )x
+--R     + 
+--R                11 3 4         10 4   3         9 5 2 2         8 6 3
+--R           3150a  b d  - 12600a  b c d  + 18900a b c d  - 12600a b c d
+--R         + 
+--R                7 7 4
+--R           3150a b c
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                12 2 4         11 3   3         10 4 2 2         9 5 3
+--R           3150a  b d  - 12600a  b c d  + 18900a  b c d  - 12600a b c d
+--R         + 
+--R                8 6 4
+--R           3150a b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                  13   4        12 2   3        11 3 2 2        10 4 3
+--R             1575a  b d  - 6300a  b c d  + 9450a  b c d  - 6300a  b c d
+--R           + 
+--R                  9 5 4
+--R             1575a b c
+--R      *
+--R         x
+--R     + 
+--R           14 4        13     3        12 2 2 2        11 3 3        10 4 4
+--R       315a  d  - 1260a  b c d  + 1890a  b c d  - 1260a  b c d + 315a  b c
+--R                                         Type: Union(Expression(Integer),...)
+--E 1650
+
+--S 1651 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R            3 2       4   3          2   3       3   2  2
+--R       (105a c  + 105a c)d  + (- 189a b c  - 189a b c )d
+--R     + 
+--R              2 4       2 2 3        3 5        3 4
+--R       (135a b c  + 135a b c )d - 35b c  - 35a b c
+--R  /
+--R         9 4        8     3        7 2 2 2        6 3 3        5 4 4
+--R     315a d  - 1260a b c d  + 1890a b c d  - 1260a b c d + 315a b c
+--R                                                    Type: Expression(Integer)
+--E 1651
+
+--S 1652 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1652
+
+)clear all
+
+--S 1653 of 2952
+t0000:=(c+d*x)^(1/2)/(a+b*x)^(13/2)
+--R 
+--R
+--R   (1)
+--R                                    +-------+
+--R                                   \|d x + c
+--R   -------------------------------------------------------------------------
+--R     6 6       5 5      2 4 4      3 3 3      4 2 2     5       6  +-------+
+--R   (b x  + 6a b x  + 15a b x  + 20a b x  + 15a b x  + 6a b x + a )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1653
+
+--S 1654 of 2952
+r0000:=-2/11*(c+d*x)^(3/2)/((b*c-a*d)*(a+b*x)^(11/2))+_
+     16/99*d*(c+d*x)^(3/2)/((b*c-a*d)^2*(a+b*x)^(9/2))-_
+     32/231*d^2*(c+d*x)^(3/2)/((b*c-a*d)^3*(a+b*x)^(7/2))+_
+     128/1155*d^3*(c+d*x)^(3/2)/((b*c-a*d)^4*(a+b*x)^(5/2))-_
+     256/3465*d^4*(c+d*x)^(3/2)/((b*c-a*d)^5*(a+b*x)^(3/2))
+--R 
+--R
+--R   (2)
+--R             4 5 5           3 5       4   4  4
+--R         256b d x  + (1408a b d  - 128b c d )x
+--R       + 
+--R               2 2 5         3   4      4 2 3  3
+--R         (3168a b d  - 704a b c d  + 96b c d )x
+--R       + 
+--R               3   5        2 2   4         3 2 3      4 3 2  2
+--R         (3696a b d  - 1584a b c d  + 528a b c d  - 80b c d )x
+--R       + 
+--R               4 5        3     4        2 2 2 3         3 3 2      4 4
+--R         (2310a d  - 1848a b c d  + 1188a b c d  - 440a b c d  + 70b c d)x
+--R       + 
+--R              4   4        3   2 3        2 2 3 2          3 4        4 5
+--R         2310a c d  - 5544a b c d  + 5940a b c d  - 3080a b c d + 630b c
+--R    *
+--R        +-------+
+--R       \|d x + c
+--R  /
+--R                  5 5 5         4 6   4         3 7 2 3         2 8 3 2
+--R             3465a b d  - 17325a b c d  + 34650a b c d  - 34650a b c d
+--R           + 
+--R                     9 4         10 5
+--R             17325a b c d - 3465b  c
+--R        *
+--R            5
+--R           x
+--R       + 
+--R                   6 4 5         5 5   4          4 6 2 3          3 7 3 2
+--R             17325a b d  - 86625a b c d  + 173250a b c d  - 173250a b c d
+--R           + 
+--R                   2 8 4            9 5
+--R             86625a b c d - 17325a b c
+--R        *
+--R            4
+--R           x
+--R       + 
+--R                   7 3 5          6 4   4          5 5 2 3          4 6 3 2
+--R             34650a b d  - 173250a b c d  + 346500a b c d  - 346500a b c d
+--R           + 
+--R                    3 7 4          2 8 5
+--R             173250a b c d - 34650a b c
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                   8 2 5          7 3   4          6 4 2 3          5 5 3 2
+--R             34650a b d  - 173250a b c d  + 346500a b c d  - 346500a b c d
+--R           + 
+--R                    4 6 4          3 7 5
+--R             173250a b c d - 34650a b c
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                   9   5         8 2   4          7 3 2 3          6 4 3 2
+--R             17325a b d  - 86625a b c d  + 173250a b c d  - 173250a b c d
+--R           + 
+--R                   5 5 4          4 6 5
+--R             86625a b c d - 17325a b c
+--R        *
+--R           x
+--R       + 
+--R              10 5         9     4         8 2 2 3         7 3 3 2
+--R         3465a  d  - 17325a b c d  + 34650a b c d  - 34650a b c d
+--R       + 
+--R               6 4 4         5 5 5
+--R         17325a b c d - 3465a b c
+--R    *
+--R        +-------+
+--R       \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1654
+
+--S 1655 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R               6 4 5 5         7 3 5       6 4   4  4
+--R           256a b d x  + (1408a b d  - 128a b c d )x
+--R         + 
+--R                 8 2 5       7 3   4      6 4 2 3  3
+--R           (3168a b d  - 704a b c d  + 96a b c d )x
+--R         + 
+--R                 9   5        8 2   4       7 3 2 3      6 4 3 2  2
+--R           (3696a b d  - 1584a b c d  + 528a b c d  - 80a b c d )x
+--R         + 
+--R                 10 5        9     4        8 2 2 3       7 3 3 2      6 4 4
+--R           (2310a  d  - 1848a b c d  + 1188a b c d  - 440a b c d  + 70a b c d)x
+--R         + 
+--R                10   4        9   2 3        8 2 3 2        7 3 4        6 4 5
+--R           2310a  c d  - 5544a b c d  + 5940a b c d  - 3080a b c d + 630a b c
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|d x + c
+--R     + 
+--R                   4 6 2        5 6   4         3 7 3        4 7 2  3
+--R           (- 1155a b c  - 1155a b c)d  + (2772a b c  + 2772a b c )d
+--R         + 
+--R                   2 8 4        3 8 3  2           9 5        2 9 4         10 6
+--R           (- 2970a b c  - 2970a b c )d  + (1540a b c  + 1540a b c )d - 315b  c
+--R         + 
+--R                   10 5
+--R           - 315a b  c
+--R      *
+--R          6
+--R         x
+--R     + 
+--R                   5 5 2        6 5   4          4 6 3         5 6 2  3
+--R           (- 6930a b c  - 6930a b c)d  + (16632a b c  + 16632a b c )d
+--R         + 
+--R                    3 7 4         4 7 3  2         2 8 5        3 8 4
+--R           (- 17820a b c  - 17820a b c )d  + (9240a b c  + 9240a b c )d
+--R         + 
+--R                    9 6        2 9 5
+--R           - 1890a b c  - 1890a b c
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                    6 4 2         7 4   4          5 5 3         6 5 2  3
+--R           (- 17325a b c  - 17325a b c)d  + (41580a b c  + 41580a b c )d
+--R         + 
+--R                    4 6 4         5 6 3  2          3 7 5         4 7 4
+--R           (- 44550a b c  - 44550a b c )d  + (23100a b c  + 23100a b c )d
+--R         + 
+--R                  2 8 6        3 8 5
+--R           - 4725a b c  - 4725a b c
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                    7 3 2         8 3   4          6 4 3         7 4 2  3
+--R           (- 23100a b c  - 23100a b c)d  + (55440a b c  + 55440a b c )d
+--R         + 
+--R                    5 5 4         6 5 3  2          4 6 5         5 6 4
+--R           (- 59400a b c  - 59400a b c )d  + (30800a b c  + 30800a b c )d
+--R         + 
+--R                  3 7 6        4 7 5
+--R           - 6300a b c  - 6300a b c
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                    8 2 2         9 2   4          7 3 3         8 3 2  3
+--R           (- 17325a b c  - 17325a b c)d  + (41580a b c  + 41580a b c )d
+--R         + 
+--R                    6 4 4         7 4 3  2          5 5 5         6 5 4
+--R           (- 44550a b c  - 44550a b c )d  + (23100a b c  + 23100a b c )d
+--R         + 
+--R                  4 6 6        5 6 5
+--R           - 4725a b c  - 4725a b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                   9   2        10     4          8 2 3         9 2 2  3
+--R           (- 6930a b c  - 6930a  b c)d  + (16632a b c  + 16632a b c )d
+--R         + 
+--R                    7 3 4         8 3 3  2         6 4 5        7 4 4
+--R           (- 17820a b c  - 17820a b c )d  + (9240a b c  + 9240a b c )d
+--R         + 
+--R                  5 5 6        6 5 5
+--R           - 1890a b c  - 1890a b c
+--R      *
+--R         x
+--R     + 
+--R               10 2        11   4         9   3        10   2  3
+--R       (- 1155a  c  - 1155a  c)d  + (2772a b c  + 2772a  b c )d
+--R     + 
+--R               8 2 4        9 2 3  2         7 3 5        8 3 4         6 4 6
+--R       (- 2970a b c  - 2970a b c )d  + (1540a b c  + 1540a b c )d - 315a b c
+--R     + 
+--R             7 4 5
+--R       - 315a b c
+--R  /
+--R                11 6 5         10 7   4         9 8 2 3         8 9 3 2
+--R           3465a  b d  - 17325a  b c d  + 34650a b c d  - 34650a b c d
+--R         + 
+--R                 7 10 4         6 11 5
+--R           17325a b  c d - 3465a b  c
+--R      *
+--R          6
+--R         x
+--R     + 
+--R                 12 5 5          11 6   4          10 7 2 3          9 8 3 2
+--R           20790a  b d  - 103950a  b c d  + 207900a  b c d  - 207900a b c d
+--R         + 
+--R                  8 9 4          7 10 5
+--R           103950a b c d - 20790a b  c
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                 13 4 5          12 5   4          11 6 2 3          10 7 3 2
+--R           51975a  b d  - 259875a  b c d  + 519750a  b c d  - 519750a  b c d
+--R         + 
+--R                  9 8 4          8 9 5
+--R           259875a b c d - 51975a b c
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                 14 3 5          13 4   4          12 5 2 3          11 6 3 2
+--R           69300a  b d  - 346500a  b c d  + 693000a  b c d  - 693000a  b c d
+--R         + 
+--R                  10 7 4          9 8 5
+--R           346500a  b c d - 69300a b c
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                 15 2 5          14 3   4          13 4 2 3          12 5 3 2
+--R           51975a  b d  - 259875a  b c d  + 519750a  b c d  - 519750a  b c d
+--R         + 
+--R                  11 6 4          10 7 5
+--R           259875a  b c d - 51975a  b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                 16   5          15 2   4          14 3 2 3          13 4 3 2
+--R           20790a  b d  - 103950a  b c d  + 207900a  b c d  - 207900a  b c d
+--R         + 
+--R                  12 5 4          11 6 5
+--R           103950a  b c d - 20790a  b c
+--R      *
+--R         x
+--R     + 
+--R            17 5         16     4         15 2 2 3         14 3 3 2
+--R       3465a  d  - 17325a  b c d  + 34650a  b c d  - 34650a  b c d
+--R     + 
+--R             13 4 4         12 5 5
+--R       17325a  b c d - 3465a  b c
+--R                                         Type: Union(Expression(Integer),...)
+--E 1655
+
+--S 1656 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R               4 2        5   4         3   3        4   2  3
+--R       (- 1155a c  - 1155a c)d  + (2772a b c  + 2772a b c )d
+--R     + 
+--R               2 2 4        3 2 3  2           3 5        2 3 4         4 6
+--R       (- 2970a b c  - 2970a b c )d  + (1540a b c  + 1540a b c )d - 315b c
+--R     + 
+--R               4 5
+--R       - 315a b c
+--R  /
+--R            11 5         10     4         9 2 2 3         8 3 3 2         7 4 4
+--R       3465a  d  - 17325a  b c d  + 34650a b c d  - 34650a b c d  + 17325a b c d
+--R     + 
+--R              6 5 5
+--R       - 3465a b c
+--R                                                    Type: Expression(Integer)
+--E 1656
+
+--S 1657 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1657
+
+)clear all
+
+--S 1658 of 2952
+t0000:=(a+b*x)^(5/2)*(c+d*x)^(3/2)
+--R 
+--R
+--R   (1)
+--R     2   3              2   2     2                2   +-------+ +-------+
+--R   (b d x  + (2a b d + b c)x  + (a d + 2a b c)x + a c)\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1658
+
+--S 1659 of 2952
+r0000:=1/5*(a+b*x)^(7/2)*(c+d*x)^(3/2)/b-_
+     3/128*(b*c-a*d)^5*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     (b^(5/2)*d^(7/2))-1/64*(b*c-a*d)^3*(a+b*x)^(3/2)*sqrt(c+d*x)/_
+     (b^2*d^2)+1/80*(b*c-a*d)^2*(a+b*x)^(5/2)*sqrt(c+d*x)/(b^2*d)+_
+     3/40*(b*c-a*d)*(a+b*x)^(7/2)*sqrt(c+d*x)/b^2+_
+     3/128*(b*c-a*d)^4*sqrt(a+b*x)*sqrt(c+d*x)/(b^2*d^3)
+--R 
+--R
+--R   (2)
+--R             5 5      4     4       3 2 2 3       2 3 3 2        4 4       5 5
+--R         (15a d  - 75a b c d  + 150a b c d  - 150a b c d  + 75a b c d - 15b c )
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R               4 4 4          3 4       4   3  3
+--R           128b d x  + (336a b d  + 176b c d )x
+--R         + 
+--R                2 2 4         3   3     4 2 2  2
+--R           (248a b d  + 512a b c d  + 8b c d )x
+--R         + 
+--R               3   4       2 2   3        3 2 2      4 3         4 4
+--R           (10a b d  + 466a b c d  + 46a b c d  - 10b c d)x - 15a d
+--R         + 
+--R              3     3       2 2 2 2        3 3       4 4
+--R           70a b c d  + 128a b c d  - 70a b c d + 15b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R         2 3 +-+ +-+
+--R     640b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E 1659
+
+--S 1660 of 2952
+--a0000:=integrate(t0000,x)
+--E 1660
+
+--S 1661 of 2952
+--m0000:=a0000 - r0000
+--E 1661
+
+--S 1662 of 2952
+--d0000:=D(m0000,x)
+--E 1662
+
+)clear all
+
+--S 1663 of 2952
+t0000:=(a+b*x)^(3/2)*(c+d*x)^(3/2)
+--R 
+--R
+--R              2                       +-------+ +-------+
+--R   (1)  (b d x  + (a d + b c)x + a c)\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1663
+
+--S 1664 of 2952
+r0000:=1/4*(a+b*x)^(5/2)*(c+d*x)^(3/2)/b+_
+     3/64*(b*c-a*d)^4*atanh(sqrt(d)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(c+d*x)))/(b^(5/2)*d^(5/2))+_
+     1/32*(b*c-a*d)^2*(a+b*x)^(3/2)*sqrt(c+d*x)/(b^2*d)+_
+     1/8*(b*c-a*d)*(a+b*x)^(5/2)*sqrt(c+d*x)/b^2-_
+     3/64*(b*c-a*d)^3*sqrt(a+b*x)*sqrt(c+d*x)/(b^2*d^2)
+--R 
+--R
+--R   (2)
+--R            4 4      3     3      2 2 2 2        3 3      4 4
+--R         (3a d  - 12a b c d  + 18a b c d  - 12a b c d + 3b c )
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R              3 3 3         2 3      3   2  2      2   3        2   2     3 2
+--R           16b d x  + (24a b d  + 24b c d )x  + (2a b d  + 44a b c d  + 2b c d)x
+--R         + 
+--R               3 3      2     2        2 2      3 3
+--R           - 3a d  + 11a b c d  + 11a b c d - 3b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R        2 2 +-+ +-+
+--R     64b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E 1664
+
+--S 1665 of 2952
+--a0000:=integrate(t0000,x)
+--E 1665
+
+--S 1666 of 2952
+--m0000:=a0000 - r0000
+--E 1666
+
+--S 1667 of 2952
+--d0000:=D(m0000,x)
+--E 1667
+
+)clear all
+
+--S 1668 of 2952
+t0000:=(a+b*x)^(1/2)*(c+d*x)^(3/2)
+--R 
+--R
+--R                  +-------+ +-------+
+--R   (1)  (d x + c)\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1668
+
+--S 1669 of 2952
+r0000:=1/3*(a+b*x)^(3/2)*(c+d*x)^(3/2)/b-1/8*(b*c-a*d)^3*_
+     atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(b^(5/2)*d^(3/2))+_
+     1/4*(b*c-a*d)*(a+b*x)^(3/2)*sqrt(c+d*x)/b^2+_
+     1/8*(b*c-a*d)^2*sqrt(a+b*x)*sqrt(c+d*x)/(b^2*d)
+--R 
+--R
+--R   (2)
+--R                                                    +-+ +-------+
+--R          3 3     2     2       2 2      3 3       \|d \|b x + a
+--R       (3a d  - 9a b c d  + 9a b c d - 3b c )atanh(--------------)
+--R                                                    +-+ +-------+
+--R                                                   \|b \|d x + c
+--R     + 
+--R            2 2 2          2      2          2 2                2 2  +-+ +-+
+--R         (8b d x  + (2a b d  + 14b c d)x - 3a d  + 8a b c d + 3b c )\|b \|d
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|d x + c
+--R  /
+--R        2  +-+ +-+
+--R     24b d\|b \|d
+--R                                                    Type: Expression(Integer)
+--E 1669
+
+--S 1670 of 2952
+--a0000:=integrate(t0000,x)
+--E 1670
+
+--S 1671 of 2952
+--m0000:=a0000 - r0000
+--E 1671
+
+--S 1672 of 2952
+--d0000:=D(m0000,x)
+--E 1672
+
+)clear all
+
+--S 1673 of 2952
+t0000:=(c+d*x)^(3/2)/(a+b*x)^(1/2)
+--R 
+--R
+--R                  +-------+
+--R        (d x + c)\|d x + c
+--R   (1)  -------------------
+--R              +-------+
+--R             \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1673
+
+--S 1674 of 2952
+r0000:=3/4*(b*c-a*d)^2*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     (b^(5/2)*sqrt(d))+1/2*(c+d*x)^(3/2)*sqrt(a+b*x)/b+_
+     3/4*(b*c-a*d)*sqrt(a+b*x)*sqrt(c+d*x)/b^2
+--R 
+--R
+--R   (2)
+--R                                        +-+ +-------+
+--R          2 2                2 2       \|d \|b x + a
+--R       (3a d  - 6a b c d + 3b c )atanh(--------------)
+--R                                        +-+ +-------+
+--R                                       \|b \|d x + c
+--R     + 
+--R                              +-+ +-+ +-------+ +-------+
+--R       (2b d x - 3a d + 5b c)\|b \|d \|b x + a \|d x + c
+--R  /
+--R       2 +-+ +-+
+--R     4b \|b \|d
+--R                                                    Type: Expression(Integer)
+--E 1674
+
+--S 1675 of 2952
+--a0000:=integrate(t0000,x)
+--E 1675
+
+--S 1676 of 2952
+--m0000:=a0000 - r0000
+--E 1676
+
+--S 1677 of 2952
+--d0000:=D(m0000,x)
+--E 1677
+
+)clear all
+
+--S 1678 of 2952
+t0000:=(c+d*x)^(3/2)/(a+b*x)^(3/2)
+--R 
+--R
+--R                  +-------+
+--R        (d x + c)\|d x + c
+--R   (1)  -------------------
+--R                  +-------+
+--R        (b x + a)\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1678
+
+--S 1679 of 2952
+r0000:=3*(b*c-a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))*_
+     sqrt(d)/b^(5/2)-2*(c+d*x)^(3/2)/(b*sqrt(a+b*x))+_
+     3*d*sqrt(a+b*x)*sqrt(c+d*x)/b^2
+--R 
+--R
+--R   (2)
+--R                                           +-+ +-------+
+--R                       +-+ +-------+      \|d \|b x + a
+--R       (- 3a d + 3b c)\|d \|b x + a atanh(--------------)
+--R                                           +-+ +-------+
+--R                                          \|b \|d x + c
+--R     + 
+--R                             +-+ +-------+
+--R       (b d x + 3a d - 2b c)\|b \|d x + c
+--R  /
+--R      2 +-+ +-------+
+--R     b \|b \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1679
+
+--S 1680 of 2952
+--a0000:=integrate(t0000,x)
+--E 1680
+
+--S 1681 of 2952
+--m0000:=a0000 - r0000
+--E 1681
+
+--S 1682 of 2952
+--d0000:=D(m0000,x)
+--E 1682
+
+)clear all
+
+--S 1683 of 2952
+t0000:=(c+d*x)^(3/2)/(a+b*x)^(5/2)
+--R 
+--R
+--R                        +-------+
+--R              (d x + c)\|d x + c
+--R   (1)  ------------------------------
+--R          2 2             2  +-------+
+--R        (b x  + 2a b x + a )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1683
+
+--S 1684 of 2952
+r0000:=-2/3*(c+d*x)^(3/2)/(b*(a+b*x)^(3/2))+_
+     2*d^(3/2)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/b^(5/2)-_
+     2*d*sqrt(c+d*x)/(b^2*sqrt(a+b*x))
+--R 
+--R
+--R   (2)
+--R                                           +-+ +-------+
+--R                       +-+ +-------+      \|d \|b x + a
+--R       (6b d x + 6a d)\|d \|b x + a atanh(--------------)
+--R                                           +-+ +-------+
+--R                                          \|b \|d x + c
+--R     + 
+--R                                +-+ +-------+
+--R       (- 8b d x - 6a d - 2b c)\|b \|d x + c
+--R  /
+--R        3        2  +-+ +-------+
+--R     (3b x + 3a b )\|b \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1684
+
+--S 1685 of 2952
+--a0000:=integrate(t0000,x)
+--E 1685
+
+--S 1686 of 2952
+--m0000:=a0000 - r0000
+--E 1686
+
+--S 1687 of 2952
+--d0000:=D(m0000,x)
+--E 1687
+
+)clear all
+
+--S 1688 of 2952
+t0000:=(c+d*x)^(3/2)/(a+b*x)^(7/2)
+--R 
+--R
+--R                             +-------+
+--R                   (d x + c)\|d x + c
+--R   (1)  ----------------------------------------
+--R          3 3       2 2     2       3  +-------+
+--R        (b x  + 3a b x  + 3a b x + a )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1688
+
+--S 1689 of 2952
+r0000:=-2/5*(c+d*x)^(5/2)/((b*c-a*d)*(a+b*x)^(5/2))
+--R 
+--R
+--R                             2 2              2  +-------+
+--R                          (2d x  + 4c d x + 2c )\|d x + c
+--R   (2)  --------------------------------------------------------------------
+--R              2      3   2       2           2        3      2     +-------+
+--R        ((5a b d - 5b c)x  + (10a b d - 10a b c)x + 5a d - 5a b c)\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1689
+
+--S 1690 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R          3 2 2     3          3 2  +-------+ +-------+     3 3       3 2  3
+--R       (4a d x  + 8a c d x + 4a c )\|b x + a \|d x + c  + (b c  + 4a b c )x
+--R     + 
+--R            2 3      2 2 2  2      2   3      3   2      3 3     4 2
+--R       (3a b c  + 12a b c )x  + (3a b c  + 12a b c )x + a c  + 4a c
+--R  /
+--R           4 3       3 4   3       5 2       4 3   2       6         5 2
+--R       (10a b d - 10a b c)x  + (30a b d - 30a b c)x  + (30a b d - 30a b c)x
+--R     + 
+--R          7       6
+--R       10a d - 10a b c
+--R                                         Type: Union(Expression(Integer),...)
+--E 1690
+
+--S 1691 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R            3       2
+--R           c  + 4a c
+--R   (4)  ---------------
+--R           4       3
+--R        10a d - 10a b c
+--R                                                    Type: Expression(Integer)
+--E 1691
+
+--S 1692 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1692
+
+)clear all
+
+--S 1693 of 2952
+t0000:=(c+d*x)^(3/2)/(a+b*x)^(9/2)
+--R 
+--R
+--R                                  +-------+
+--R                        (d x + c)\|d x + c
+--R   (1)  --------------------------------------------------
+--R          4 4       3 3     2 2 2     3       4  +-------+
+--R        (b x  + 4a b x  + 6a b x  + 4a b x + a )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1693
+
+--S 1694 of 2952
+r0000:=-2/7*(c+d*x)^(5/2)/((b*c-a*d)*(a+b*x)^(7/2))+_
+     4/35*d*(c+d*x)^(5/2)/((b*c-a*d)^2*(a+b*x)^(5/2))
+--R 
+--R
+--R   (2)
+--R               3 3         3         2  2           2        2           2
+--R           4b d x  + (14a d  - 2b c d )x  + (28a c d  - 16b c d)x + 14a c d
+--R         + 
+--R                  3
+--R           - 10b c
+--R    *
+--R        +-------+
+--R       \|d x + c
+--R  /
+--R             2 3 2        4         5 2  3
+--R         (35a b d  - 70a b c d + 35b c )x
+--R       + 
+--R              3 2 2       2 3            4 2  2
+--R         (105a b d  - 210a b c d + 105a b c )x
+--R       + 
+--R              4   2       3 2          2 3 2        5 2      4           3 2 2
+--R         (105a b d  - 210a b c d + 105a b c )x + 35a d  - 70a b c d + 35a b c
+--R    *
+--R        +-------+
+--R       \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1694
+
+--S 1695 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R              4   3 3       5 3     4     2  2        5   2      4   2
+--R           16a b d x  + (56a d  - 8a b c d )x  + (112a c d  - 64a b c d)x
+--R         + 
+--R              5 2       4   3
+--R           56a c d - 40a b c
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|d x + c
+--R     + 
+--R             4 3       2 4 2       5 4        5 3  4
+--R       ((7a b c  + 112a b c )d - 5b c  - 80a b c )x
+--R     + 
+--R            2 3 3       3 3 2          4 4       2 4 3  3
+--R       ((28a b c  + 448a b c )d - 20a b c  - 320a b c )x
+--R     + 
+--R            3 2 3       4 2 2        2 3 4       3 3 3  2
+--R       ((42a b c  + 672a b c )d - 30a b c  - 480a b c )x
+--R     + 
+--R            4   3       5   2        3 2 4       4 2 3        5 3       6 2
+--R       ((28a b c  + 448a b c )d - 20a b c  - 320a b c )x + (7a c  + 112a c )d
+--R     + 
+--R           4   4      5   3
+--R       - 5a b c  - 80a b c
+--R  /
+--R            6 4 2       5 5          4 6 2  4
+--R       (140a b d  - 280a b c d + 140a b c )x
+--R     + 
+--R            7 3 2        6 4          5 5 2  3
+--R       (560a b d  - 1120a b c d + 560a b c )x
+--R     + 
+--R            8 2 2        7 3          6 4 2  2
+--R       (840a b d  - 1680a b c d + 840a b c )x
+--R     + 
+--R          9   2        8 2          7 3 2         10 2       9            8 2 2
+--R     (560a b d  - 1120a b c d + 560a b c )x + 140a  d  - 280a b c d + 140a b c
+--R                                         Type: Union(Expression(Integer),...)
+--E 1695
+
+--S 1696 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R             3       2 2         4          3
+--R        (7a c  + 112a c )d - 5b c  - 80a b c
+--R   (4)  -------------------------------------
+--R               6 2       5            4 2 2
+--R           140a d  - 280a b c d + 140a b c
+--R                                                    Type: Expression(Integer)
+--E 1696
+
+--S 1697 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1697
+
+)clear all
+
+--S 1698 of 2952
+t0000:=(c+d*x)^(3/2)/(a+b*x)^(11/2)
+--R 
+--R
+--R                                        +-------+
+--R                              (d x + c)\|d x + c
+--R   (1)  --------------------------------------------------------------
+--R          5 5       4 4      2 3 3      3 2 2     4       5  +-------+
+--R        (b x  + 5a b x  + 10a b x  + 10a b x  + 5a b x + a )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1698
+
+--S 1699 of 2952
+r0000:=-2/9*(c+d*x)^(5/2)/((b*c-a*d)*(a+b*x)^(9/2))+_
+     8/63*d*(c+d*x)^(5/2)/((b*c-a*d)^2*(a+b*x)^(7/2))-_
+     16/315*d^2*(c+d*x)^(5/2)/((b*c-a*d)^3*(a+b*x)^(5/2))
+--R 
+--R
+--R   (2)
+--R            2 4 4           4     2   3  3        2 4            3     2 2 2  2
+--R         16b d x  + (72a b d  - 8b c d )x  + (126a d  - 36a b c d  + 6b c d )x
+--R       + 
+--R            2   3           2 2       2 3          2 2 2           3       2 4
+--R       (252a c d  - 288a b c d  + 100b c d)x + 126a c d  - 180a b c d + 70b c
+--R    *
+--R        +-------+
+--R       \|d x + c
+--R  /
+--R              3 4 3       2 5   2         6 2        7 3  4
+--R         (315a b d  - 945a b c d  + 945a b c d - 315b c )x
+--R       + 
+--R               4 3 3        3 4   2        2 5 2           6 3  3
+--R         (1260a b d  - 3780a b c d  + 3780a b c d - 1260a b c )x
+--R       + 
+--R               5 2 3        4 3   2        3 4 2         2 5 3  2
+--R         (1890a b d  - 5670a b c d  + 5670a b c d - 1890a b c )x
+--R       + 
+--R               6   3        5 2   2        4 3 2         3 4 3         7 3
+--R         (1260a b d  - 3780a b c d  + 3780a b c d - 1260a b c )x + 315a d
+--R       + 
+--R               6     2       5 2 2        4 3 3
+--R         - 945a b c d  + 945a b c d - 315a b c
+--R    *
+--R        +-------+
+--R       \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1699
+
+--S 1700 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R              5 2 4 4        6   4      5 2   3  3
+--R           64a b d x  + (288a b d  - 32a b c d )x
+--R         + 
+--R                7 4       6     3      5 2 2 2  2
+--R           (504a d  - 144a b c d  + 24a b c d )x
+--R         + 
+--R                 7   3        6   2 2       5 2 3          7 2 2       6   3
+--R           (1008a c d  - 1152a b c d  + 400a b c d)x + 504a c d  - 720a b c d
+--R         + 
+--R               5 2 4
+--R           280a b c
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|d x + c
+--R     + 
+--R               2 5 3        3 5 2  2           6 4        2 6 3        7 5
+--R           (63a b c  + 1008a b c )d  + (- 90a b c  - 1440a b c )d + 35b c
+--R         + 
+--R                 7 4
+--R           560a b c
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                3 4 3        4 4 2  2          2 5 4        3 5 3           6 5
+--R           (315a b c  + 5040a b c )d  + (- 450a b c  - 7200a b c )d + 175a b c
+--R         + 
+--R                2 6 4
+--R           2800a b c
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                4 3 3         5 3 2  2          3 4 4         4 4 3
+--R           (630a b c  + 10080a b c )d  + (- 900a b c  - 14400a b c )d
+--R         + 
+--R               2 5 5        3 5 4
+--R           350a b c  + 5600a b c
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                5 2 3         6 2 2  2          4 3 4         5 3 3
+--R           (630a b c  + 10080a b c )d  + (- 900a b c  - 14400a b c )d
+--R         + 
+--R               3 4 5        4 4 4
+--R           350a b c  + 5600a b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                6   3        7   2  2          5 2 4        6 2 3         4 3 5
+--R           (315a b c  + 5040a b c )d  + (- 450a b c  - 7200a b c )d + 175a b c
+--R         + 
+--R                5 3 4
+--R           2800a b c
+--R      *
+--R         x
+--R     + 
+--R         7 3        8 2  2         6   4        7   3        5 2 5       6 2 4
+--R     (63a c  + 1008a c )d  + (- 90a b c  - 1440a b c )d + 35a b c  + 560a b c
+--R  /
+--R             8 5 3        7 6   2        6 7 2         5 8 3  5
+--R       (1260a b d  - 3780a b c d  + 3780a b c d - 1260a b c )x
+--R     + 
+--R             9 4 3         8 5   2         7 6 2         6 7 3  4
+--R       (6300a b d  - 18900a b c d  + 18900a b c d - 6300a b c )x
+--R     + 
+--R              10 3 3         9 4   2         8 5 2          7 6 3  3
+--R       (12600a  b d  - 37800a b c d  + 37800a b c d - 12600a b c )x
+--R     + 
+--R              11 2 3         10 3   2         9 4 2          8 5 3  2
+--R       (12600a  b d  - 37800a  b c d  + 37800a b c d - 12600a b c )x
+--R     + 
+--R             12   3         11 2   2         10 3 2         9 4 3          13 3
+--R       (6300a  b d  - 18900a  b c d  + 18900a  b c d - 6300a b c )x + 1260a  d
+--R     + 
+--R              12     2        11 2 2         10 3 3
+--R       - 3780a  b c d  + 3780a  b c d - 1260a  b c
+--R                                         Type: Union(Expression(Integer),...)
+--E 1700
+
+--S 1701 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R       2 3        3 2  2             4        2   3        2 5         2 4
+--R   (63a c  + 1008a c )d  + (- 90a b c  - 1440a b c )d + 35b c  + 560a b c
+--R   -----------------------------------------------------------------------
+--R                   8 3        7     2        6 2 2         5 3 3
+--R              1260a d  - 3780a b c d  + 3780a b c d - 1260a b c
+--R                                                    Type: Expression(Integer)
+--E 1701
+
+--S 1702 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1702
+
+)clear all
+
+--S 1703 of 2952
+t0000:=(c+d*x)^(3/2)/(a+b*x)^(13/2)
+--R 
+--R
+--R   (1)
+--R                                        +-------+
+--R                              (d x + c)\|d x + c
+--R   -------------------------------------------------------------------------
+--R     6 6       5 5      2 4 4      3 3 3      4 2 2     5       6  +-------+
+--R   (b x  + 6a b x  + 15a b x  + 20a b x  + 15a b x  + 6a b x + a )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1703
+
+--S 1704 of 2952
+r0000:=-2/11*(c+d*x)^(5/2)/((b*c-a*d)*(a+b*x)^(11/2))+_
+     4/33*d*(c+d*x)^(5/2)/((b*c-a*d)^2*(a+b*x)^(9/2))-_
+     16/231*d^2*(c+d*x)^(5/2)/((b*c-a*d)^3*(a+b*x)^(7/2))+_
+     32/1155*d^3*(c+d*x)^(5/2)/((b*c-a*d)^4*(a+b*x)^(5/2))
+--R 
+--R
+--R   (2)
+--R            3 5 5          2 5      3   4  4
+--R         32b d x  + (176a b d  - 16b c d )x
+--R       + 
+--R              2   5        2   4      3 2 3  3
+--R         (396a b d  - 88a b c d  + 12b c d )x
+--R       + 
+--R              3 5       2     4        2 2 3      3 3 2  2
+--R         (462a d  - 198a b c d  + 66a b c d  - 10b c d )x
+--R       + 
+--R              3   4        2   2 3          2 3 2       3 4          3 2 3
+--R         (924a c d  - 1584a b c d  + 1100a b c d  - 280b c d)x + 462a c d
+--R       + 
+--R               2   3 2         2 4        3 5
+--R         - 990a b c d  + 770a b c d - 210b c
+--R    *
+--R        +-------+
+--R       \|d x + c
+--R  /
+--R               4 5 4        3 6   3        2 7 2 2          8 3         9 4  5
+--R         (1155a b d  - 4620a b c d  + 6930a b c d  - 4620a b c d + 1155b c )x
+--R       + 
+--R                  5 4 4         4 5   3         3 6 2 2         2 7 3
+--R             5775a b d  - 23100a b c d  + 34650a b c d  - 23100a b c d
+--R           + 
+--R                    8 4
+--R             5775a b c
+--R        *
+--R            4
+--R           x
+--R       + 
+--R                   6 3 4         5 4   3         4 5 2 2         3 6 3
+--R             11550a b d  - 46200a b c d  + 69300a b c d  - 46200a b c d
+--R           + 
+--R                   2 7 4
+--R             11550a b c
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                   7 2 4         6 3   3         5 4 2 2         4 5 3
+--R             11550a b d  - 46200a b c d  + 69300a b c d  - 46200a b c d
+--R           + 
+--R                   3 6 4
+--R             11550a b c
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                  8   4         7 2   3         6 3 2 2         5 4 3
+--R             5775a b d  - 23100a b c d  + 34650a b c d  - 23100a b c d
+--R           + 
+--R                  4 5 4
+--R             5775a b c
+--R        *
+--R           x
+--R       + 
+--R              9 4        8     3        7 2 2 2        6 3 3         5 4 4
+--R         1155a d  - 4620a b c d  + 6930a b c d  - 4620a b c d + 1155a b c
+--R    *
+--R        +-------+
+--R       \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1704
+
+--S 1705 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R              6 3 5 5        7 2 5      6 3   4  4
+--R           96a b d x  + (528a b d  - 48a b c d )x
+--R         + 
+--R                 8   5       7 2   4      6 3 2 3  3
+--R           (1188a b d  - 264a b c d  + 36a b c d )x
+--R         + 
+--R                 9 5       8     4       7 2 2 3      6 3 3 2  2
+--R           (1386a d  - 594a b c d  + 198a b c d  - 30a b c d )x
+--R         + 
+--R                 9   4        8   2 3        7 2 3 2       6 3 4           9 2 3
+--R           (2772a c d  - 4752a b c d  + 3300a b c d  - 840a b c d)x + 1386a c d
+--R         + 
+--R                  8   3 2        7 2 4        6 3 5
+--R           - 2970a b c d  + 2310a b c d - 630a b c
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|d x + c
+--R     + 
+--R                3 6 3        4 6 2  3          2 7 4        3 7 3  2
+--R           (231a b c  + 2079a b c )d  + (- 495a b c  - 4455a b c )d
+--R         + 
+--R                  8 5        2 8 4         9 6         9 5
+--R           (385a b c  + 3465a b c )d - 105b c  - 945a b c
+--R      *
+--R          6
+--R         x
+--R     + 
+--R                 4 5 3         5 5 2  3           3 6 4         4 6 3  2
+--R           (1386a b c  + 12474a b c )d  + (- 2970a b c  - 26730a b c )d
+--R         + 
+--R                 2 7 5         3 7 4           8 6        2 8 5
+--R           (2310a b c  + 20790a b c )d - 630a b c  - 5670a b c
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                 5 4 3         6 4 2  3           4 5 4         5 5 3  2
+--R           (3465a b c  + 31185a b c )d  + (- 7425a b c  - 66825a b c )d
+--R         + 
+--R                 3 6 5         4 6 4          2 7 6         3 7 5
+--R           (5775a b c  + 51975a b c )d - 1575a b c  - 14175a b c
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                 6 3 3         7 3 2  3           5 4 4         6 4 3  2
+--R           (4620a b c  + 41580a b c )d  + (- 9900a b c  - 89100a b c )d
+--R         + 
+--R                 4 5 5         5 5 4          3 6 6         4 6 5
+--R           (7700a b c  + 69300a b c )d - 2100a b c  - 18900a b c
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                 7 2 3         8 2 2  3           6 3 4         7 3 3  2
+--R           (3465a b c  + 31185a b c )d  + (- 7425a b c  - 66825a b c )d
+--R         + 
+--R                 5 4 5         6 4 4          4 5 6         5 5 5
+--R           (5775a b c  + 51975a b c )d - 1575a b c  - 14175a b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                 8   3         9   2  3           7 2 4         8 2 3  2
+--R           (1386a b c  + 12474a b c )d  + (- 2970a b c  - 26730a b c )d
+--R         + 
+--R                 6 3 5         7 3 4         5 4 6        6 4 5
+--R           (2310a b c  + 20790a b c )d - 630a b c  - 5670a b c
+--R      *
+--R         x
+--R     + 
+--R            9 3        10 2  3          8   4        9   3  2
+--R       (231a c  + 2079a  c )d  + (- 495a b c  - 4455a b c )d
+--R     + 
+--R            7 2 5        8 2 4         6 3 6       7 3 5
+--R       (385a b c  + 3465a b c )d - 105a b c  - 945a b c
+--R  /
+--R                10 6 4         9 7   3         8 8 2 2         7 9 3
+--R           3465a  b d  - 13860a b c d  + 20790a b c d  - 13860a b c d
+--R         + 
+--R                6 10 4
+--R           3465a b  c
+--R      *
+--R          6
+--R         x
+--R     + 
+--R                 11 5 4         10 6   3          9 7 2 2         8 8 3
+--R           20790a  b d  - 83160a  b c d  + 124740a b c d  - 83160a b c d
+--R         + 
+--R                 7 9 4
+--R           20790a b c
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                 12 4 4          11 5   3          10 6 2 2          9 7 3
+--R           51975a  b d  - 207900a  b c d  + 311850a  b c d  - 207900a b c d
+--R         + 
+--R                 8 8 4
+--R           51975a b c
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                 13 3 4          12 4   3          11 5 2 2          10 6 3
+--R           69300a  b d  - 277200a  b c d  + 415800a  b c d  - 277200a  b c d
+--R         + 
+--R                 9 7 4
+--R           69300a b c
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                 14 2 4          13 3   3          12 4 2 2          11 5 3
+--R           51975a  b d  - 207900a  b c d  + 311850a  b c d  - 207900a  b c d
+--R         + 
+--R                 10 6 4
+--R           51975a  b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                 15   4         14 2   3          13 3 2 2         12 4 3
+--R           20790a  b d  - 83160a  b c d  + 124740a  b c d  - 83160a  b c d
+--R         + 
+--R                 11 5 4
+--R           20790a  b c
+--R      *
+--R         x
+--R     + 
+--R          16 4         15     3         14 2 2 2         13 3 3         12 4 4
+--R     3465a  d  - 13860a  b c d  + 20790a  b c d  - 13860a  b c d + 3465a  b c
+--R                                         Type: Union(Expression(Integer),...)
+--E 1705
+
+--S 1706 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R            3 3        4 2  3          2   4        3   3  2
+--R       (231a c  + 2079a c )d  + (- 495a b c  - 4455a b c )d
+--R     + 
+--R              2 5        2 2 4         3 6         3 5
+--R       (385a b c  + 3465a b c )d - 105b c  - 945a b c
+--R  /
+--R          10 4         9     3         8 2 2 2         7 3 3         6 4 4
+--R     3465a  d  - 13860a b c d  + 20790a b c d  - 13860a b c d + 3465a b c
+--R                                                    Type: Expression(Integer)
+--E 1706
+
+--S 1707 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1707
+
+)clear all
+
+--S 1708 of 2952
+t0000:=(a+b*x)^(5/2)*(c+d*x)^(5/2)
+--R 
+--R
+--R   (1)
+--R        2 2 4          2     2     3     2 2               2 2  2
+--R       b d x  + (2a b d  + 2b c d)x  + (a d  + 4a b c d + b c )x
+--R     + 
+--R          2            2      2 2
+--R       (2a c d + 2a b c )x + a c
+--R  *
+--R      +-------+ +-------+
+--R     \|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1708
+
+--S 1709 of 2952
+r0000:=1/12*(b*c-a*d)*(a+b*x)^(7/2)*(c+d*x)^(3/2)/b^2+_
+     1/6*(a+b*x)^(7/2)*(c+d*x)^(5/2)/b-_
+     5/512*(b*c-a*d)^6*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     (b^(7/2)*d^(7/2))-5/768*(b*c-a*d)^4*(a+b*x)^(3/2)*_
+     sqrt(c+d*x)/(b^3*d^2)+1/192*(b*c-a*d)^3*(a+b*x)^(5/2)*_
+     sqrt(c+d*x)/(b^3*d)+1/32*(b*c-a*d)^2*(a+b*x)^(7/2)*_
+     sqrt(c+d*x)/b^3+5/512*(b*c-a*d)^5*sqrt(a+b*x)*sqrt(c+d*x)/(b^3*d^3)
+--R 
+--R
+--R   (2)
+--R                6 6      5     5       4 2 2 4       3 3 3 3       2 4 4 2
+--R           - 15a d  + 90a b c d  - 225a b c d  + 300a b c d  - 225a b c d
+--R         + 
+--R                5 5       6 6
+--R           90a b c d - 15b c
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R               5 5 5          4 5       5   4  4
+--R           256b d x  + (640a b d  + 640b c d )x
+--R         + 
+--R                2 3 5          4   4       5 2 3  3
+--R           (432a b d  + 1696a b c d  + 432b c d )x
+--R         + 
+--R              3 2 5        2 3   4          4 2 3     5 3 2  2
+--R           (8a b d  + 1272a b c d  + 1272a b c d  + 8b c d )x
+--R         + 
+--R                 4   5      3 2   4        2 3 2 3        4 3 2      5 4
+--R           (- 10a b d  + 56a b c d  + 1188a b c d  + 56a b c d  - 10b c d)x
+--R         + 
+--R              5 5      4     4       3 2 2 3       2 3 3 2        4 4       5 5
+--R           15a d  - 85a b c d  + 198a b c d  + 198a b c d  - 85a b c d + 15b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R          3 3 +-+ +-+
+--R     1536b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E 1709
+
+--S 1710 of 2952
+--a0000:=integrate(t0000,x)
+--E 1710
+
+--S 1711 of 2952
+--m0000:=a0000 - r0000
+--E 1711
+
+--S 1712 of 2952
+--d0000:=D(m0000,x)
+--E 1712
+
+)clear all
+
+--S 1713 of 2952
+t0000:=(a+b*x)^(3/2)*(c+d*x)^(5/2)
+--R 
+--R
+--R   (1)
+--R       2 3       2           2                2        2  +-------+ +-------+
+--R   (b d x  + (a d  + 2b c d)x  + (2a c d + b c )x + a c )\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1713
+
+--S 1714 of 2952
+r0000:=1/8*(b*c-a*d)*(a+b*x)^(5/2)*(c+d*x)^(3/2)/b^2+_
+     1/5*(a+b*x)^(5/2)*(c+d*x)^(5/2)/b+_
+     3/128*(b*c-a*d)^5*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     (b^(7/2)*d^(5/2))+1/64*(b*c-a*d)^3*(a+b*x)^(3/2)*sqrt(c+d*x)/_
+     (b^3*d)+1/16*(b*c-a*d)^2*(a+b*x)^(5/2)*sqrt(c+d*x)/b^3-_
+     3/128*(b*c-a*d)^4*sqrt(a+b*x)*sqrt(c+d*x)/(b^3*d^2)
+--R 
+--R
+--R   (2)
+--R                  5 5      4     4       3 2 2 3       2 3 3 2        4 4
+--R             - 15a d  + 75a b c d  - 150a b c d  + 150a b c d  - 75a b c d
+--R           + 
+--R                5 5
+--R             15b c
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R               4 4 4          3 4       4   3  3
+--R           128b d x  + (176a b d  + 336b c d )x
+--R         + 
+--R              2 2 4         3   3       4 2 2  2
+--R           (8a b d  + 512a b c d  + 248b c d )x
+--R         + 
+--R                 3   4      2 2   3         3 2 2      4 3         4 4
+--R           (- 10a b d  + 46a b c d  + 466a b c d  + 10b c d)x + 15a d
+--R         + 
+--R                3     3       2 2 2 2        3 3       4 4
+--R           - 70a b c d  + 128a b c d  + 70a b c d - 15b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R         3 2 +-+ +-+
+--R     640b d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E 1714
+
+--S 1715 of 2952
+--a0000:=integrate(t0000,x)
+--E 1715
+
+--S 1716 of 2952
+--m0000:=a0000 - r0000
+--E 1716
+
+--S 1717 of 2952
+--d0000:=D(m0000,x)
+--E 1717
+
+)clear all
+
+--S 1718 of 2952
+t0000:=(a+b*x)^(1/2)*(c+d*x)^(5/2)
+--R 
+--R
+--R          2 2             2  +-------+ +-------+
+--R   (1)  (d x  + 2c d x + c )\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1718
+
+--S 1719 of 2952
+r0000:=5/24*(b*c-a*d)*(a+b*x)^(3/2)*(c+d*x)^(3/2)/b^2+_
+     1/4*(a+b*x)^(3/2)*(c+d*x)^(5/2)/b-_
+     5/64*(b*c-a*d)^4*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     (b^(7/2)*d^(3/2))+5/32*(b*c-a*d)^2*(a+b*x)^(3/2)*sqrt(c+d*x)/b^3+_
+     5/64*(b*c-a*d)^3*sqrt(a+b*x)*sqrt(c+d*x)/(b^3*d)
+--R 
+--R
+--R   (2)
+--R               4 4      3     3      2 2 2 2        3 3       4 4
+--R         (- 15a d  + 60a b c d  - 90a b c d  + 60a b c d - 15b c )
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R              3 3 3        2 3       3   2  2
+--R           48b d x  + (8a b d  + 136b c d )x
+--R         + 
+--R                 2   3        2   2       3 2         3 3      2     2
+--R           (- 10a b d  + 36a b c d  + 118b c d)x + 15a d  - 55a b c d
+--R         + 
+--R                2 2       3 3
+--R           73a b c d + 15b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R         3  +-+ +-+
+--R     192b d\|b \|d
+--R                                                    Type: Expression(Integer)
+--E 1719
+
+--S 1720 of 2952
+--a0000:=integrate(t0000,x)
+--E 1720
+
+--S 1721 of 2952
+--m0000:=a0000 - r0000
+--E 1721
+
+--S 1722 of 2952
+--d0000:=D(m0000,x)
+--E 1722
+
+)clear all
+
+--S 1723 of 2952
+t0000:=(c+d*x)^(5/2)/(a+b*x)^(1/2)
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R   (1)  ------------------------------
+--R                   +-------+
+--R                  \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1723
+
+--S 1724 of 2952
+r0000:=5/8*(b*c-a*d)^3*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     (b^(7/2)*sqrt(d))+5/12*(b*c-a*d)*(c+d*x)^(3/2)*sqrt(a+b*x)/b^2+_
+     1/3*(c+d*x)^(5/2)*sqrt(a+b*x)/b+_
+     5/8*(b*c-a*d)^2*sqrt(a+b*x)*sqrt(c+d*x)/b^3
+--R 
+--R
+--R   (2)
+--R                                                          +-+ +-------+
+--R             3 3      2     2        2 2       3 3       \|d \|b x + a
+--R       (- 15a d  + 45a b c d  - 45a b c d + 15b c )atanh(--------------)
+--R                                                          +-+ +-------+
+--R                                                         \|b \|d x + c
+--R     + 
+--R            2 2 2             2      2           2 2                  2 2  +-+
+--R         (8b d x  + (- 10a b d  + 26b c d)x + 15a d  - 40a b c d + 33b c )\|b
+--R      *
+--R          +-+ +-------+ +-------+
+--R         \|d \|b x + a \|d x + c
+--R  /
+--R        3 +-+ +-+
+--R     24b \|b \|d
+--R                                                    Type: Expression(Integer)
+--E 1724
+
+--S 1725 of 2952
+--a0000:=integrate(t0000,x)
+--E 1725
+
+--S 1726 of 2952
+--m0000:=a0000 - r0000
+--E 1726
+
+--S 1727 of 2952
+--d0000:=D(m0000,x)
+--E 1727
+
+)clear all
+
+--S 1728 of 2952
+t0000:=(c+d*x)^(5/2)/(a+b*x)^(3/2)
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R   (1)  ------------------------------
+--R                        +-------+
+--R              (b x + a)\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1728
+
+--S 1729 of 2952
+r0000:=15/4*(b*c-a*d)^2*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))*_
+     sqrt(d)/b^(7/2)-2*(c+d*x)^(5/2)/(b*sqrt(a+b*x))+_
+     5/2*d*(c+d*x)^(3/2)*sqrt(a+b*x)/b^2+_
+     15/4*d*(b*c-a*d)*sqrt(a+b*x)*sqrt(c+d*x)/b^3
+--R 
+--R
+--R   (2)
+--R                                                         +-+ +-------+
+--R           2 2                  2 2  +-+ +-------+      \|d \|b x + a
+--R       (15a d  - 30a b c d + 15b c )\|d \|b x + a atanh(--------------)
+--R                                                         +-+ +-------+
+--R                                                        \|b \|d x + c
+--R     + 
+--R            2 2 2            2     2           2 2                 2 2  +-+
+--R         (2b d x  + (- 5a b d  + 9b c d)x - 15a d  + 25a b c d - 8b c )\|b
+--R      *
+--R          +-------+
+--R         \|d x + c
+--R  /
+--R       3 +-+ +-------+
+--R     4b \|b \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1729
+
+--S 1730 of 2952
+--a0000:=integrate(t0000,x)
+--E 1730
+
+--S 1731 of 2952
+--m0000:=a0000 - r0000
+--E 1731
+
+--S 1732 of 2952
+--d0000:=D(m0000,x)
+--E 1732
+
+)clear all
+
+--S 1733 of 2952
+t0000:=(c+d*x)^(5/2)/(a+b*x)^(5/2)
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R   (1)  ------------------------------
+--R          2 2             2  +-------+
+--R        (b x  + 2a b x + a )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1733
+
+--S 1734 of 2952
+r0000:=-2/3*(c+d*x)^(5/2)/(b*(a+b*x)^(3/2))+_
+     5*d^(3/2)*(b*c-a*d)*atanh(sqrt(d)*_
+     sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/b^(7/2)-_
+     10/3*d*(c+d*x)^(3/2)/(b^2*sqrt(a+b*x))+_
+     5*d^2*sqrt(a+b*x)*sqrt(c+d*x)/b^3
+--R 
+--R
+--R   (2)
+--R                    2      2           2 2              +-+ +-------+
+--R         ((- 15a b d  + 15b c d)x - 15a d  + 15a b c d)\|d \|b x + a
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R            2 2 2           2      2           2 2                 2 2  +-+
+--R         (3b d x  + (20a b d  - 14b c d)x + 15a d  - 10a b c d - 2b c )\|b
+--R      *
+--R          +-------+
+--R         \|d x + c
+--R  /
+--R        4        3  +-+ +-------+
+--R     (3b x + 3a b )\|b \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1734
+
+--S 1735 of 2952
+--a0000:=integrate(t0000,x)
+--E 1735
+
+--S 1736 of 2952
+--m0000:=a0000 - r0000
+--E 1736
+
+--S 1737 of 2952
+--d0000:=D(m0000,x)
+--E 1737
+
+)clear all
+
+--S 1738 of 2952
+t0000:=(c+d*x)^(5/2)/(a+b*x)^(7/2)
+--R 
+--R
+--R               2 2             2  +-------+
+--R             (d x  + 2c d x + c )\|d x + c
+--R   (1)  ----------------------------------------
+--R          3 3       2 2     2       3  +-------+
+--R        (b x  + 3a b x  + 3a b x + a )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1738
+
+--S 1739 of 2952
+r0000:=-2/3*d*(c+d*x)^(3/2)/(b^2*(a+b*x)^(3/2))-_
+     2/5*(c+d*x)^(5/2)/(b*(a+b*x)^(5/2))+_
+     2*d^(5/2)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/b^(7/2)-_
+     2*d^2*sqrt(c+d*x)/(b^3*sqrt(a+b*x))
+--R 
+--R
+--R   (2)
+--R                                                           +-+ +-------+
+--R           2 2 2          2       2 2  +-+ +-------+      \|d \|b x + a
+--R       (30b d x  + 60a b d x + 30a d )\|d \|b x + a atanh(--------------)
+--R                                                           +-+ +-------+
+--R                                                          \|b \|d x + c
+--R     + 
+--R               2 2 2             2      2           2 2                 2 2  +-+
+--R         (- 46b d x  + (- 70a b d  - 22b c d)x - 30a d  - 10a b c d - 6b c )\|b
+--R      *
+--R          +-------+
+--R         \|d x + c
+--R  /
+--R         5 2        4       2 3  +-+ +-------+
+--R     (15b x  + 30a b x + 15a b )\|b \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1739
+
+--S 1740 of 2952
+--a0000:=integrate(t0000,x)
+--E 1740
+
+--S 1741 of 2952
+--m0000:=a0000 - r0000
+--E 1741
+
+--S 1742 of 2952
+--d0000:=D(m0000,x)
+--E 1742
+
+)clear all
+
+--S 1743 of 2952
+t0000:=(c+d*x)^(5/2)/(a+b*x)^(9/2)
+--R 
+--R
+--R                    2 2             2  +-------+
+--R                  (d x  + 2c d x + c )\|d x + c
+--R   (1)  --------------------------------------------------
+--R          4 4       3 3     2 2 2     3       4  +-------+
+--R        (b x  + 4a b x  + 6a b x  + 4a b x + a )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1743
+
+--S 1744 of 2952
+r0000:=-2/7*(c+d*x)^(7/2)/((b*c-a*d)*(a+b*x)^(7/2))
+--R 
+--R
+--R   (2)
+--R        3 3       2 2     2        3  +-------+
+--R     (2d x  + 6c d x  + 6c d x + 2c )\|d x + c
+--R  /
+--R              3      4   3       2 2         3   2       3         2 2        4
+--R         (7a b d - 7b c)x  + (21a b d - 21a b c)x  + (21a b d - 21a b c)x + 7a d
+--R       + 
+--R             3
+--R         - 7a b c
+--R    *
+--R        +-------+
+--R       \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1744
+
+--S 1745 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R          4 3 3      4   2 2      4 2        4 3  +-------+ +-------+
+--R       (4a d x  + 12a c d x  + 12a c d x + 4a c )\|b x + a \|d x + c
+--R     + 
+--R         4 4       4 3  4        3 4      2 3 3  3      2 2 4      3 2 3  2
+--R       (b c  + 4a b c )x  + (4a b c  + 16a b c )x  + (6a b c  + 24a b c )x
+--R     + 
+--R          3   4      4   3      4 4     5 3
+--R       (4a b c  + 16a b c )x + a c  + 4a c
+--R  /
+--R           5 4       4 5   4       6 3       5 4   3       7 2       6 3   2
+--R       (14a b d - 14a b c)x  + (56a b d - 56a b c)x  + (84a b d - 84a b c)x
+--R     + 
+--R           8         7 2         9       8
+--R       (56a b d - 56a b c)x + 14a d - 14a b c
+--R                                         Type: Union(Expression(Integer),...)
+--E 1745
+
+--S 1746 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R            4       3
+--R           c  + 4a c
+--R   (4)  ---------------
+--R           5       4
+--R        14a d - 14a b c
+--R                                                    Type: Expression(Integer)
+--E 1746
+
+--S 1747 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1747
+
+)clear all
+
+--S 1748 of 2952
+t0000:=(c+d*x)^(5/2)/(a+b*x)^(11/2)
+--R 
+--R
+--R                          2 2             2  +-------+
+--R                        (d x  + 2c d x + c )\|d x + c
+--R   (1)  --------------------------------------------------------------
+--R          5 5       4 4      2 3 3      3 2 2     4       5  +-------+
+--R        (b x  + 5a b x  + 10a b x  + 10a b x  + 5a b x + a )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1748
+
+--S 1749 of 2952
+r0000:=-2/9*(c+d*x)^(7/2)/((b*c-a*d)*(a+b*x)^(9/2))+_
+     4/63*d*(c+d*x)^(7/2)/((b*c-a*d)^2*(a+b*x)^(7/2))
+--R 
+--R
+--R   (2)
+--R             4 4         4         3  3           3        2 2  2
+--R         4b d x  + (18a d  - 2b c d )x  + (54a c d  - 30b c d )x
+--R       + 
+--R               2 2        3           3         4
+--R         (54a c d  - 38b c d)x + 18a c d - 14b c
+--R    *
+--R        +-------+
+--R       \|d x + c
+--R  /
+--R             2 4 2         5         6 2  4
+--R         (63a b d  - 126a b c d + 63b c )x
+--R       + 
+--R              3 3 2       2 4            5 2  3
+--R         (252a b d  - 504a b c d + 252a b c )x
+--R       + 
+--R              4 2 2       3 3          2 4 2  2
+--R         (378a b d  - 756a b c d + 378a b c )x
+--R       + 
+--R              5   2       4 2          3 3 2        6 2       5           4 2 2
+--R         (252a b d  - 504a b c d + 252a b c )x + 63a d  - 126a b c d + 63a b c
+--R    *
+--R        +-------+
+--R       \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1749
+
+--S 1750 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R             5   4 4       6 4     5     3  3       6   3      5   2 2  2
+--R           4a b d x  + (18a d  - 2a b c d )x  + (54a c d  - 30a b c d )x
+--R         + 
+--R               6 2 2      5   3         6 3       5   4
+--R           (54a c d  - 38a b c d)x + 18a c d - 14a b c
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|d x + c
+--R     + 
+--R               5 4     2 5 3       6 5       6 4  5
+--R       ((- 9a b c  - 9a b c )d + 7b c  + 7a b c )x
+--R     + 
+--R              2 4 4      3 4 3          5 5      2 5 4  4
+--R       ((- 45a b c  - 45a b c )d + 35a b c  + 35a b c )x
+--R     + 
+--R              3 3 4      4 3 3        2 4 5      3 4 4  3
+--R       ((- 90a b c  - 90a b c )d + 70a b c  + 70a b c )x
+--R     + 
+--R              4 2 4      5 2 3        3 3 5      4 3 4  2
+--R       ((- 90a b c  - 90a b c )d + 70a b c  + 70a b c )x
+--R     + 
+--R              5   4      6   3        4 2 5      5 2 4          6 4     7 3
+--R       ((- 45a b c  - 45a b c )d + 35a b c  + 35a b c )x + (- 9a c  - 9a c )d
+--R     + 
+--R         5   5     6   4
+--R       7a b c  + 7a b c
+--R  /
+--R           7 5 2       6 6         5 7 2  5
+--R       (63a b d  - 126a b c d + 63a b c )x
+--R     + 
+--R            8 4 2       7 5          6 6 2  4
+--R       (315a b d  - 630a b c d + 315a b c )x
+--R     + 
+--R            9 3 2        8 4          7 5 2  3
+--R       (630a b d  - 1260a b c d + 630a b c )x
+--R     + 
+--R            10 2 2        9 3          8 4 2  2
+--R       (630a  b d  - 1260a b c d + 630a b c )x
+--R     + 
+--R          11   2       10 2          9 3 2        12 2       11           10 2 2
+--R     (315a  b d  - 630a  b c d + 315a b c )x + 63a  d  - 126a  b c d + 63a  b c
+--R                                         Type: Union(Expression(Integer),...)
+--E 1750
+
+--S 1751 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R               4     2 3         5         4
+--R        (- 9a c  - 9a c )d + 7b c  + 7a b c
+--R   (4)  ------------------------------------
+--R              7 2       6           5 2 2
+--R           63a d  - 126a b c d + 63a b c
+--R                                                    Type: Expression(Integer)
+--E 1751
+
+--S 1752 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1752
+
+)clear all
+
+--S 1753 of 2952
+t0000:=(c+d*x)^(5/2)/(a+b*x)^(13/2)
+--R 
+--R
+--R   (1)
+--R                           2 2             2  +-------+
+--R                         (d x  + 2c d x + c )\|d x + c
+--R   -------------------------------------------------------------------------
+--R     6 6       5 5      2 4 4      3 3 3      4 2 2     5       6  +-------+
+--R   (b x  + 6a b x  + 15a b x  + 20a b x  + 15a b x  + 6a b x + a )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1753
+
+--S 1754 of 2952
+r0000:=-2/11*(c+d*x)^(7/2)/((b*c-a*d)*(a+b*x)^(11/2))+_
+     8/99*d*(c+d*x)^(7/2)/((b*c-a*d)^2*(a+b*x)^(9/2))-_
+     16/693*d^2*(c+d*x)^(7/2)/((b*c-a*d)^3*(a+b*x)^(7/2))
+--R 
+--R
+--R   (2)
+--R            2 5 5           5     2   4  4        2 5            4     2 2 3  3
+--R         16b d x  + (88a b d  - 8b c d )x  + (198a d  - 44a b c d  + 6b c d )x
+--R       + 
+--R              2   4           2 3       2 3 2  2
+--R         (594a c d  - 660a b c d  + 226b c d )x
+--R       + 
+--R            2 2 3           3 2       2 4          2 3 2           4        2 5
+--R       (594a c d  - 836a b c d  + 322b c d)x + 198a c d  - 308a b c d + 126b c
+--R    *
+--R        +-------+
+--R       \|d x + c
+--R  /
+--R              3 5 3        2 6   2          7 2        8 3  5
+--R         (693a b d  - 2079a b c d  + 2079a b c d - 693b c )x
+--R       + 
+--R               4 4 3         3 5   2         2 6 2           7 3  4
+--R         (3465a b d  - 10395a b c d  + 10395a b c d - 3465a b c )x
+--R       + 
+--R               5 3 3         4 4   2         3 5 2         2 6 3  3
+--R         (6930a b d  - 20790a b c d  + 20790a b c d - 6930a b c )x
+--R       + 
+--R               6 2 3         5 3   2         4 4 2         3 5 3  2
+--R         (6930a b d  - 20790a b c d  + 20790a b c d - 6930a b c )x
+--R       + 
+--R               7   3         6 2   2         5 3 2         4 4 3         8 3
+--R         (3465a b d  - 10395a b c d  + 10395a b c d - 3465a b c )x + 693a d
+--R       + 
+--R                7     2        6 2 2        5 3 3
+--R         - 2079a b c d  + 2079a b c d - 693a b c
+--R    *
+--R        +-------+
+--R       \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1754
+
+--S 1755 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R              6 2 5 5        7   5      6 2   4  4
+--R           48a b d x  + (264a b d  - 24a b c d )x
+--R         + 
+--R                8 5       7     4      6 2 2 3  3
+--R           (594a d  - 132a b c d  + 18a b c d )x
+--R         + 
+--R                 8   4        7   2 3       6 2 3 2  2
+--R           (1782a c d  - 1980a b c d  + 678a b c d )x
+--R         + 
+--R                 8 2 3        7   3 2       6 2 4          8 3 2       7   4
+--R           (1782a c d  - 2508a b c d  + 966a b c d)x + 594a c d  - 924a b c d
+--R         + 
+--R               6 2 5
+--R           378a b c
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|d x + c
+--R     + 
+--R                 2 6 4       3 6 3  2          7 5        2 7 4        8 6
+--R           (- 99a b c  - 891a b c )d  + (154a b c  + 1386a b c )d - 63b c
+--R         + 
+--R                   8 5
+--R           - 567a b c
+--R      *
+--R          6
+--R         x
+--R     + 
+--R                  3 5 4        4 5 3  2        2 6 5        3 6 4           7 6
+--R           (- 594a b c  - 5346a b c )d  + (924a b c  + 8316a b c )d - 378a b c
+--R         + 
+--R                  2 7 5
+--R           - 3402a b c
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                   4 4 4         5 4 3  2         3 5 5         4 5 4
+--R           (- 1485a b c  - 13365a b c )d  + (2310a b c  + 20790a b c )d
+--R         + 
+--R                 2 6 6        3 6 5
+--R           - 945a b c  - 8505a b c
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                   5 3 4         6 3 3  2         4 4 5         5 4 4
+--R           (- 1980a b c  - 17820a b c )d  + (3080a b c  + 27720a b c )d
+--R         + 
+--R                  3 5 6         4 5 5
+--R           - 1260a b c  - 11340a b c
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                   6 2 4         7 2 3  2         5 3 5         6 3 4
+--R           (- 1485a b c  - 13365a b c )d  + (2310a b c  + 20790a b c )d
+--R         + 
+--R                 4 4 6        5 4 5
+--R           - 945a b c  - 8505a b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                  7   4        8   3  2        6 2 5        7 2 4         5 3 6
+--R           (- 594a b c  - 5346a b c )d  + (924a b c  + 8316a b c )d - 378a b c
+--R         + 
+--R                  6 3 5
+--R           - 3402a b c
+--R      *
+--R         x
+--R     + 
+--R           8 4       9 3  2        7   5        8   4        6 2 6       7 2 5
+--R     (- 99a c  - 891a c )d  + (154a b c  + 1386a b c )d - 63a b c  - 567a b c
+--R  /
+--R             9 6 3        8 7   2        7 8 2         6 9 3  6
+--R       (2079a b d  - 6237a b c d  + 6237a b c d - 2079a b c )x
+--R     + 
+--R              10 5 3         9 6   2         8 7 2          7 8 3  5
+--R       (12474a  b d  - 37422a b c d  + 37422a b c d - 12474a b c )x
+--R     + 
+--R              11 4 3         10 5   2         9 6 2          8 7 3  4
+--R       (31185a  b d  - 93555a  b c d  + 93555a b c d - 31185a b c )x
+--R     + 
+--R              12 3 3          11 4   2          10 5 2          9 6 3  3
+--R       (41580a  b d  - 124740a  b c d  + 124740a  b c d - 41580a b c )x
+--R     + 
+--R              13 2 3         12 3   2         11 4 2          10 5 3  2
+--R       (31185a  b d  - 93555a  b c d  + 93555a  b c d - 31185a  b c )x
+--R     + 
+--R              14   3         13 2   2         12 3 2          11 4 3
+--R       (12474a  b d  - 37422a  b c d  + 37422a  b c d - 12474a  b c )x
+--R     + 
+--R            15 3        14     2        13 2 2         12 3 3
+--R       2079a  d  - 6237a  b c d  + 6237a  b c d - 2079a  b c
+--R                                         Type: Union(Expression(Integer),...)
+--E 1755
+
+--S 1756 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R         2 4       3 3  2            5        2   4        2 6         2 5
+--R   (- 99a c  - 891a c )d  + (154a b c  + 1386a b c )d - 63b c  - 567a b c
+--R   -----------------------------------------------------------------------
+--R                   9 3        8     2        7 2 2         6 3 3
+--R              2079a d  - 6237a b c d  + 6237a b c d - 2079a b c
+--R                                                    Type: Expression(Integer)
+--E 1756
+
+--S 1757 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1757
+
+)clear all
+
+--S 1758 of 2952
+t0000:=(c+d*x)^(5/2)/(a+b*x)^(15/2)
+--R 
+--R
+--R   (1)
+--R       2 2             2  +-------+
+--R     (d x  + 2c d x + c )\|d x + c
+--R  /
+--R            7 7       6 6      2 5 5      3 4 4      4 3 3      5 2 2     6
+--R           b x  + 7a b x  + 21a b x  + 35a b x  + 35a b x  + 21a b x  + 7a b x
+--R         + 
+--R            7
+--R           a
+--R    *
+--R        +-------+
+--R       \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1758
+
+--S 1759 of 2952
+r0000:=-2/13*(c+d*x)^(7/2)/((b*c-a*d)*(a+b*x)^(13/2))+_
+     12/143*d*(c+d*x)^(7/2)/((b*c-a*d)^2*(a+b*x)^(11/2))-_
+     16/429*d^2*(c+d*x)^(7/2)/((b*c-a*d)^3*(a+b*x)^(9/2))+_
+     32/3003*d^3*(c+d*x)^(7/2)/((b*c-a*d)^4*(a+b*x)^(7/2))
+--R 
+--R
+--R   (2)
+--R            3 6 6          2 6      3   5  5
+--R         32b d x  + (208a b d  - 16b c d )x
+--R       + 
+--R              2   6         2   5      3 2 4  4
+--R         (572a b d  - 104a b c d  + 12b c d )x
+--R       + 
+--R              3 6       2     5        2 2 4      3 3 3  3
+--R         (858a d  - 286a b c d  + 78a b c d  - 10b c d )x
+--R       + 
+--R               3   5        2   2 4          2 3 3       3 4 2  2
+--R         (2574a c d  - 4290a b c d  + 2938a b c d  - 742b c d )x
+--R       + 
+--R               3 2 4        2   3 3          2 4 2        3 5          3 3 3
+--R         (2574a c d  - 5434a b c d  + 4186a b c d  - 1134b c d)x + 858a c d
+--R       + 
+--R                2   4 2          2 5        3 6
+--R         - 2002a b c d  + 1638a b c d - 462b c
+--R    *
+--R        +-------+
+--R       \|d x + c
+--R  /
+--R                    4 6 4         3 7   3         2 8 2 2           9 3
+--R               3003a b d  - 12012a b c d  + 18018a b c d  - 12012a b c d
+--R             + 
+--R                    10 4
+--R               3003b  c
+--R        *
+--R            6
+--R           x
+--R       + 
+--R                   5 5 4         4 6   3          3 7 2 2         2 8 3
+--R             18018a b d  - 72072a b c d  + 108108a b c d  - 72072a b c d
+--R           + 
+--R                     9 4
+--R             18018a b c
+--R        *
+--R            5
+--R           x
+--R       + 
+--R                   6 4 4          5 5   3          4 6 2 2          3 7 3
+--R             45045a b d  - 180180a b c d  + 270270a b c d  - 180180a b c d
+--R           + 
+--R                   2 8 4
+--R             45045a b c
+--R        *
+--R            4
+--R           x
+--R       + 
+--R                   7 3 4          6 4   3          5 5 2 2          4 6 3
+--R             60060a b d  - 240240a b c d  + 360360a b c d  - 240240a b c d
+--R           + 
+--R                   3 7 4
+--R             60060a b c
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                   8 2 4          7 3   3          6 4 2 2          5 5 3
+--R             45045a b d  - 180180a b c d  + 270270a b c d  - 180180a b c d
+--R           + 
+--R                   4 6 4
+--R             45045a b c
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                   9   4         8 2   3          7 3 2 2         6 4 3
+--R             18018a b d  - 72072a b c d  + 108108a b c d  - 72072a b c d
+--R           + 
+--R                   5 5 4
+--R             18018a b c
+--R        *
+--R           x
+--R       + 
+--R              10 4         9     3         8 2 2 2         7 3 3         6 4 4
+--R         3003a  d  - 12012a b c d  + 18018a b c d  - 12012a b c d + 3003a b c
+--R    *
+--R        +-------+
+--R       \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1759
+
+--S 1760 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R               7 3 6 6         8 2 6      7 3   5  5
+--R           160a b d x  + (1040a b d  - 80a b c d )x
+--R         + 
+--R                 9   6       8 2   5      7 3 2 4  4
+--R           (2860a b d  - 520a b c d  + 60a b c d )x
+--R         + 
+--R                 10 6        9     5       8 2 2 4      7 3 3 3  3
+--R           (4290a  d  - 1430a b c d  + 390a b c d  - 50a b c d )x
+--R         + 
+--R                  10   5         9   2 4         8 2 3 3        7 3 4 2  2
+--R           (12870a  c d  - 21450a b c d  + 14690a b c d  - 3710a b c d )x
+--R         + 
+--R                  10 2 4         9   3 3         8 2 4 2        7 3 5
+--R           (12870a  c d  - 27170a b c d  + 20930a b c d  - 5670a b c d)x
+--R         + 
+--R                10 3 3         9   4 2        8 2 5         7 3 6
+--R           4290a  c d  - 10010a b c d  + 8190a b c d - 2310a b c
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|d x + c
+--R     + 
+--R                3 7 4         4 7 3  3           2 8 5         3 8 4  2
+--R           (429a b c  + 10725a b c )d  + (- 1001a b c  - 25025a b c )d
+--R         + 
+--R                  9 6         2 9 5         10 7          10 6
+--R           (819a b c  + 20475a b c )d - 231b  c  - 5775a b  c
+--R      *
+--R          7
+--R         x
+--R     + 
+--R                 4 6 4         5 6 3  3           3 7 5          4 7 4  2
+--R           (3003a b c  + 75075a b c )d  + (- 7007a b c  - 175175a b c )d
+--R         + 
+--R                 2 8 6          3 8 5            9 7         2 9 6
+--R           (5733a b c  + 143325a b c )d - 1617a b c  - 40425a b c
+--R      *
+--R          6
+--R         x
+--R     + 
+--R                 5 5 4          6 5 3  3            4 6 5          5 6 4  2
+--R           (9009a b c  + 225225a b c )d  + (- 21021a b c  - 525525a b c )d
+--R         + 
+--R                  3 7 6          4 7 5          2 8 7          3 8 6
+--R           (17199a b c  + 429975a b c )d - 4851a b c  - 121275a b c
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                  6 4 4          7 4 3  3            5 5 5          6 5 4  2
+--R           (15015a b c  + 375375a b c )d  + (- 35035a b c  - 875875a b c )d
+--R         + 
+--R                  4 6 6          5 6 5          3 7 7          4 7 6
+--R           (28665a b c  + 716625a b c )d - 8085a b c  - 202125a b c
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                  7 3 4          8 3 3  3            6 4 5          7 4 4  2
+--R           (15015a b c  + 375375a b c )d  + (- 35035a b c  - 875875a b c )d
+--R         + 
+--R                  5 5 6          6 5 5          4 6 7          5 6 6
+--R           (28665a b c  + 716625a b c )d - 8085a b c  - 202125a b c
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                 8 2 4          9 2 3  3            7 3 5          8 3 4  2
+--R           (9009a b c  + 225225a b c )d  + (- 21021a b c  - 525525a b c )d
+--R         + 
+--R                  6 4 6          7 4 5          5 5 7          6 5 6
+--R           (17199a b c  + 429975a b c )d - 4851a b c  - 121275a b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                 9   4         10   3  3           8 2 5          9 2 4  2
+--R           (3003a b c  + 75075a  b c )d  + (- 7007a b c  - 175175a b c )d
+--R         + 
+--R                 7 3 6          8 3 5          6 4 7         7 4 6
+--R           (5733a b c  + 143325a b c )d - 1617a b c  - 40425a b c
+--R      *
+--R         x
+--R     + 
+--R            10 4         11 3  3           9   5         10   4  2
+--R       (429a  c  + 10725a  c )d  + (- 1001a b c  - 25025a  b c )d
+--R     + 
+--R            8 2 6         9 2 5         7 3 7        8 3 6
+--R       (819a b c  + 20475a b c )d - 231a b c  - 5775a b c
+--R  /
+--R                 11 7 4         10 8   3         9 9 2 2         8 10 3
+--R           15015a  b d  - 60060a  b c d  + 90090a b c d  - 60060a b  c d
+--R         + 
+--R                 7 11 4
+--R           15015a b  c
+--R      *
+--R          7
+--R         x
+--R     + 
+--R                  12 6 4          11 7   3          10 8 2 2          9 9 3
+--R           105105a  b d  - 420420a  b c d  + 630630a  b c d  - 420420a b c d
+--R         + 
+--R                  8 10 4
+--R           105105a b  c
+--R      *
+--R          6
+--R         x
+--R     + 
+--R                  13 5 4           12 6   3           11 7 2 2           10 8 3
+--R           315315a  b d  - 1261260a  b c d  + 1891890a  b c d  - 1261260a  b c d
+--R         + 
+--R                  9 9 4
+--R           315315a b c
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                  14 4 4           13 5   3           12 6 2 2           11 7 3
+--R           525525a  b d  - 2102100a  b c d  + 3153150a  b c d  - 2102100a  b c d
+--R         + 
+--R                  10 8 4
+--R           525525a  b c
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                  15 3 4           14 4   3           13 5 2 2           12 6 3
+--R           525525a  b d  - 2102100a  b c d  + 3153150a  b c d  - 2102100a  b c d
+--R         + 
+--R                  11 7 4
+--R           525525a  b c
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                  16 2 4           15 3   3           14 4 2 2           13 5 3
+--R           315315a  b d  - 1261260a  b c d  + 1891890a  b c d  - 1261260a  b c d
+--R         + 
+--R                  12 6 4
+--R           315315a  b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                  17   4          16 2   3          15 3 2 2          14 4 3
+--R           105105a  b d  - 420420a  b c d  + 630630a  b c d  - 420420a  b c d
+--R         + 
+--R                  13 5 4
+--R           105105a  b c
+--R      *
+--R         x
+--R     + 
+--R           18 4         17     3         16 2 2 2         15 3 3          14 4 4
+--R     15015a  d  - 60060a  b c d  + 90090a  b c d  - 60060a  b c d + 15015a  b c
+--R                                         Type: Union(Expression(Integer),...)
+--E 1760
+
+--S 1761 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R            3 4         4 3  3           2   5         3   4  2
+--R       (429a c  + 10725a c )d  + (- 1001a b c  - 25025a b c )d
+--R     + 
+--R              2 6         2 2 5         3 7          3 6
+--R       (819a b c  + 20475a b c )d - 231b c  - 5775a b c
+--R  /
+--R           11 4         10     3         9 2 2 2         8 3 3          7 4 4
+--R     15015a  d  - 60060a  b c d  + 90090a b c d  - 60060a b c d + 15015a b c
+--R                                                    Type: Expression(Integer)
+--E 1761
+
+--S 1762 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1762
+
+)clear all
+
+--S 1763 of 2952
+t0000:=(a+b*x)^(7/2)/(c+d*x)^(1/2)
+--R 
+--R
+--R          3 3       2 2     2       3  +-------+
+--R        (b x  + 3a b x  + 3a b x + a )\|b x + a
+--R   (1)  ----------------------------------------
+--R                        +-------+
+--R                       \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1763
+
+--S 1764 of 2952
+r0000:=35/64*(b*c-a*d)^4*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     (d^(9/2)*sqrt(b))+35/96*(b*c-a*d)^2*(a+b*x)^(3/2)*sqrt(c+d*x)/d^3-_
+     7/24*(b*c-a*d)*(a+b*x)^(5/2)*sqrt(c+d*x)/d^2+_
+     1/4*(a+b*x)^(7/2)*sqrt(c+d*x)/d-_
+     35/64*(b*c-a*d)^3*sqrt(a+b*x)*sqrt(c+d*x)/d^4
+--R 
+--R
+--R   (2)
+--R              4 4       3     3       2 2 2 2         3 3        4 4
+--R         (105a d  - 420a b c d  + 630a b c d  - 420a b c d + 105b c )
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R              3 3 3          2 3      3   2  2
+--R           48b d x  + (200a b d  - 56b c d )x
+--R         + 
+--R                2   3         2   2      3 2          3 3       2     2
+--R           (326a b d  - 252a b c d  + 70b c d)x + 279a d  - 511a b c d
+--R         + 
+--R                 2 2        3 3
+--R           385a b c d - 105b c
+--R      *
+--R          +-+ +-+ +-------+ +-------+
+--R         \|b \|d \|b x + a \|d x + c
+--R  /
+--R         4 +-+ +-+
+--R     192d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E 1764
+
+--S 1765 of 2952
+--a0000:=integrate(t0000,x)
+--E 1765
+
+--S 1766 of 2952
+--m0000:=a0000 - r0000
+--E 1766
+
+--S 1767 of 2952
+--d0000:=D(m0000,x)
+--E 1767
+
+)clear all
+
+--S 1768 of 2952
+t0000:=(a+b*x)^(5/2)/(c+d*x)^(1/2)
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (b x  + 2a b x + a )\|b x + a
+--R   (1)  ------------------------------
+--R                   +-------+
+--R                  \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1768
+
+--S 1769 of 2952
+r0000:=-5/8*(b*c-a*d)^3*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     (d^(7/2)*sqrt(b))-5/12*(b*c-a*d)*(a+b*x)^(3/2)*sqrt(c+d*x)/d^2+_
+     1/3*(a+b*x)^(5/2)*sqrt(c+d*x)/d+_
+     5/8*(b*c-a*d)^2*sqrt(a+b*x)*sqrt(c+d*x)/d^3
+--R 
+--R
+--R   (2)
+--R                                                        +-+ +-------+
+--R           3 3      2     2        2 2       3 3       \|d \|b x + a
+--R       (15a d  - 45a b c d  + 45a b c d - 15b c )atanh(--------------)
+--R                                                        +-+ +-------+
+--R                                                       \|b \|d x + c
+--R     + 
+--R            2 2 2           2      2           2 2                  2 2  +-+ +-+
+--R         (8b d x  + (26a b d  - 10b c d)x + 33a d  - 40a b c d + 15b c )\|b \|d
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|d x + c
+--R  /
+--R        3 +-+ +-+
+--R     24d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E 1769
+
+--S 1770 of 2952
+--a0000:=integrate(t0000,x)
+--E 1770
+
+--S 1771 of 2952
+--m0000:=a0000 - r0000
+--E 1771
+
+--S 1772 of 2952
+--d0000:=D(m0000,x)
+--E 1772
+
+)clear all
+
+--S 1773 of 2952
+t0000:=(a+b*x)^(3/2)/(c+d*x)^(1/2)
+--R 
+--R
+--R                  +-------+
+--R        (b x + a)\|b x + a
+--R   (1)  -------------------
+--R              +-------+
+--R             \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1773
+
+--S 1774 of 2952
+r0000:=3/4*(b*c-a*d)^2*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     (d^(5/2)*sqrt(b))+1/2*(a+b*x)^(3/2)*sqrt(c+d*x)/d-_
+     3/4*(b*c-a*d)*sqrt(a+b*x)*sqrt(c+d*x)/d^2
+--R 
+--R
+--R   (2)
+--R                                        +-+ +-------+
+--R          2 2                2 2       \|d \|b x + a
+--R       (3a d  - 6a b c d + 3b c )atanh(--------------)
+--R                                        +-+ +-------+
+--R                                       \|b \|d x + c
+--R     + 
+--R                              +-+ +-+ +-------+ +-------+
+--R       (2b d x + 5a d - 3b c)\|b \|d \|b x + a \|d x + c
+--R  /
+--R       2 +-+ +-+
+--R     4d \|b \|d
+--R                                                    Type: Expression(Integer)
+--E 1774
+
+--S 1775 of 2952
+--a0000:=integrate(t0000,x)
+--E 1775
+
+--S 1776 of 2952
+--m0000:=a0000 - r0000
+--E 1776
+
+--S 1777 of 2952
+--d0000:=D(m0000,x)
+--E 1777
+
+)clear all
+
+--S 1778 of 2952
+t0000:=(a+b*x)^(1/2)/(c+d*x)^(1/2)
+--R 
+--R
+--R         +-------+
+--R        \|b x + a
+--R   (1)  ----------
+--R         +-------+
+--R        \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1778
+
+--S 1779 of 2952
+r0000:=-(b*c-a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     (d^(3/2)*sqrt(b))+sqrt(a+b*x)*sqrt(c+d*x)/d
+--R 
+--R
+--R                          +-+ +-------+
+--R                         \|d \|b x + a      +-+ +-+ +-------+ +-------+
+--R        (a d - b c)atanh(--------------) + \|b \|d \|b x + a \|d x + c
+--R                          +-+ +-------+
+--R                         \|b \|d x + c
+--R   (2)  ---------------------------------------------------------------
+--R                                     +-+ +-+
+--R                                   d\|b \|d
+--R                                                    Type: Expression(Integer)
+--E 1779
+
+--S 1780 of 2952
+--a0000:=integrate(t0000,x)
+--E 1780
+
+--S 1781 of 2952
+--m0000:=a0000 - r0000
+--E 1781
+
+--S 1782 of 2952
+--d0000:=D(m0000,x)
+--E 1782
+
+)clear all
+
+--S 1783 of 2952
+t0000:=1/((a+b*x)^(1/2)*(c+d*x)^(1/2))
+--R 
+--R
+--R                  1
+--R   (1)  --------------------
+--R         +-------+ +-------+
+--R        \|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1783
+
+--S 1784 of 2952
+r0000:=2*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(sqrt(b)*sqrt(d))
+--R 
+--R
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R        2atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R   (2)  ----------------------
+--R                +-+ +-+
+--R               \|b \|d
+--R                                                    Type: Expression(Integer)
+--E 1784
+
+--S 1785 of 2952
+--a0000:=integrate(t0000,x)
+--E 1785
+
+--S 1786 of 2952
+--m0000:=a0000 - r0000
+--E 1786
+
+--S 1787 of 2952
+--d0000:=D(m0000,x)
+--E 1787
+
+)clear all
+
+--S 1788 of 2952
+t0000:=1/((a+b*x)^(3/2)*(c+d*x)^(1/2))
+--R 
+--R
+--R                      1
+--R   (1)  -----------------------------
+--R                  +-------+ +-------+
+--R        (b x + a)\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1788
+
+--S 1789 of 2952
+r0000:=-2*sqrt(c+d*x)/((b*c-a*d)*sqrt(a+b*x))
+--R 
+--R
+--R               +-------+
+--R             2\|d x + c
+--R   (2)  ---------------------
+--R                    +-------+
+--R        (a d - b c)\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1789
+
+--S 1790 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           +-------+ +-------+                             2
+--R        6a\|b x + a \|d x + c  + (- b c - 9a b)x - a c - 9a
+--R   (3)  ----------------------------------------------------
+--R                    2          2        3      2
+--R                 (3a b d - 3a b c)x + 3a d - 3a b c
+--R                                         Type: Union(Expression(Integer),...)
+--E 1790
+
+--S 1791 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R           - c - 9a
+--R   (4)  -------------
+--R          2
+--R        3a d - 3a b c
+--R                                                    Type: Expression(Integer)
+--E 1791
+
+--S 1792 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1792
+
+)clear all
+
+--S 1793 of 2952
+t0000:=1/((a+b*x)^(5/2)*(c+d*x)^(1/2))
+--R 
+--R
+--R                            1
+--R   (1)  ----------------------------------------
+--R          2 2             2  +-------+ +-------+
+--R        (b x  + 2a b x + a )\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1793
+
+--S 1794 of 2952
+r0000:=-2/3*sqrt(c+d*x)/((b*c-a*d)*(a+b*x)^(3/2))+_
+     4/3*d*sqrt(c+d*x)/((b*c-a*d)^2*sqrt(a+b*x))
+--R 
+--R
+--R                                                  +-------+
+--R                           (4b d x + 6a d - 2b c)\|d x + c
+--R   (2)  ----------------------------------------------------------------------
+--R            2   2       2        3 2       3 2     2            2 2  +-------+
+--R        ((3a b d  - 6a b c d + 3b c )x + 3a d  - 6a b c d + 3a b c )\|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1794
+
+--S 1795 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R           2           3      2     +-------+ +-------+
+--R       (12a b d x + 18a d - 6a b c)\|b x + a \|d x + c
+--R     + 
+--R               2       2 2      3 2       3   2
+--R       ((- 3a b c - 27a b )d + b c  + 9a b c)x
+--R     + 
+--R             2         3          2 2      2 2           3       4      2   2
+--R       ((- 6a b c - 54a b)d + 2a b c  + 18a b c)x + (- 3a c - 27a )d + a b c
+--R     + 
+--R         3
+--R       9a b c
+--R  /
+--R          4 2 2      3 3        2 4 2  2       5   2      4 2         3 3 2
+--R       (9a b d  - 18a b c d + 9a b c )x  + (18a b d  - 36a b c d + 18a b c )x
+--R     + 
+--R         6 2      5          4 2 2
+--R       9a d  - 18a b c d + 9a b c
+--R                                         Type: Union(Expression(Integer),...)
+--E 1795
+
+--S 1796 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R                     2        2
+--R        (- 3a c - 27a )d + b c  + 9a b c
+--R   (4)  --------------------------------
+--R             4 2      3          2 2 2
+--R           9a d  - 18a b c d + 9a b c
+--R                                                    Type: Expression(Integer)
+--E 1796
+
+--S 1797 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1797
+
+)clear all
+
+--S 1798 of 2952
+t0000:=1/((a+b*x)^(7/2)*(c+d*x)^(1/2))
+--R 
+--R
+--R                                 1
+--R   (1)  --------------------------------------------------
+--R          3 3       2 2     2       3  +-------+ +-------+
+--R        (b x  + 3a b x  + 3a b x + a )\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1798
+
+--S 1799 of 2952
+r0000:=-2/5*sqrt(c+d*x)/((b*c-a*d)*(a+b*x)^(5/2))+_
+     8/15*d*sqrt(c+d*x)/((b*c-a*d)^2*(a+b*x)^(3/2))-_
+     16/15*d^2*sqrt(c+d*x)/((b*c-a*d)^3*sqrt(a+b*x))
+--R 
+--R
+--R   (2)
+--R         2 2 2           2     2           2 2                 2 2  +-------+
+--R     (16b d x  + (40a b d  - 8b c d)x + 30a d  - 20a b c d + 6b c )\|d x + c
+--R  /
+--R             3 2 3      2 3   2        4 2       5 3  2
+--R         (15a b d  - 45a b c d  + 45a b c d - 15b c )x
+--R       + 
+--R             4   3      3 2   2      2 3 2         4 3        5 3      4     2
+--R         (30a b d  - 90a b c d  + 90a b c d - 30a b c )x + 15a d  - 45a b c d
+--R       + 
+--R            3 2 2       2 3 3
+--R         45a b c d - 15a b c
+--R    *
+--R        +-------+
+--R       \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1799
+
+--S 1800 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R             3 2 2 2       4   2     3 2           5 2      4          3 2 2
+--R         (16a b d x  + (40a b d  - 8a b c d)x + 30a d  - 20a b c d + 6a b c )
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|d x + c
+--R     + 
+--R            2 3       3 3  2           4 2      2 4        5 3       5 2  3
+--R       ((15a b c + 15a b )d  + (- 10a b c  - 10a b c)d + 3b c  + 3a b c )x
+--R     + 
+--R            3 2       4 2  2         2 3 2      3 3          4 3     2 4 2  2
+--R       ((45a b c + 45a b )d  + (- 30a b c  - 30a b c)d + 9a b c  + 9a b c )x
+--R     + 
+--R            4         5   2         3 2 2      4 2        2 3 3     3 3 2
+--R       ((45a b c + 45a b)d  + (- 30a b c  - 30a b c)d + 9a b c  + 9a b c )x
+--R     + 
+--R           5       6  2         4   2      5          3 2 3     4 2 2
+--R       (15a c + 15a )d  + (- 10a b c  - 10a b c)d + 3a b c  + 3a b c
+--R  /
+--R           6 3 3      5 4   2      4 5 2       3 6 3  3
+--R       (15a b d  - 45a b c d  + 45a b c d - 15a b c )x
+--R     + 
+--R           7 2 3       6 3   2       5 4 2       4 5 3  2
+--R       (45a b d  - 135a b c d  + 135a b c d - 45a b c )x
+--R     + 
+--R           8   3       7 2   2       6 3 2       5 4 3        9 3      8     2
+--R       (45a b d  - 135a b c d  + 135a b c d - 45a b c )x + 15a d  - 45a b c d
+--R     + 
+--R          7 2 2       6 3 3
+--R       45a b c d - 15a b c
+--R                                         Type: Union(Expression(Integer),...)
+--E 1800
+
+--S 1801 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R            2       3  2             2      2          2 3       2 2
+--R        (15a c + 15a )d  + (- 10a b c  - 10a b c)d + 3b c  + 3a b c
+--R   (4)  ------------------------------------------------------------
+--R                    6 3      5     2      4 2 2       3 3 3
+--R                 15a d  - 45a b c d  + 45a b c d - 15a b c
+--R                                                    Type: Expression(Integer)
+--E 1801
+
+--S 1802 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1802
+
+)clear all
+
+--S 1803 of 2952
+t0000:=1/((a+b*x)^(9/2)*(c+d*x)^(1/2))
+--R 
+--R
+--R                                      1
+--R   (1)  ------------------------------------------------------------
+--R          4 4       3 3     2 2 2     3       4  +-------+ +-------+
+--R        (b x  + 4a b x  + 6a b x  + 4a b x + a )\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1803
+
+--S 1804 of 2952
+r0000:=-2/7*sqrt(c+d*x)/((b*c-a*d)*(a+b*x)^(7/2))+_
+     12/35*d*sqrt(c+d*x)/((b*c-a*d)^2*(a+b*x)^(5/2))-_
+     16/35*d^2*sqrt(c+d*x)/((b*c-a*d)^3*(a+b*x)^(3/2))+_
+     32/35*d^3*sqrt(c+d*x)/((b*c-a*d)^4*sqrt(a+b*x))
+--R 
+--R
+--R   (2)
+--R            3 3 3          2 3      3   2  2
+--R         32b d x  + (112a b d  - 16b c d )x
+--R       + 
+--R              2   3        2   2      3 2         3 3      2     2        2 2
+--R         (140a b d  - 56a b c d  + 12b c d)x + 70a d  - 70a b c d  + 42a b c d
+--R       + 
+--R              3 3
+--R         - 10b c
+--R    *
+--R        +-------+
+--R       \|d x + c
+--R  /
+--R             4 3 4       3 4   3       2 5 2 2         6 3       7 4  3
+--R         (35a b d  - 140a b c d  + 210a b c d  - 140a b c d + 35b c )x
+--R       + 
+--R              5 2 4       4 3   3       3 4 2 2       2 5 3          6 4  2
+--R         (105a b d  - 420a b c d  + 630a b c d  - 420a b c d + 105a b c )x
+--R       + 
+--R              6   4       5 2   3       4 3 2 2       3 4 3        2 5 4
+--R         (105a b d  - 420a b c d  + 630a b c d  - 420a b c d + 105a b c )x
+--R       + 
+--R            7 4       6     3       5 2 2 2       4 3 3       3 4 4
+--R         35a d  - 140a b c d  + 210a b c d  - 140a b c d + 35a b c
+--R    *
+--R        +-------+
+--R       \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1804
+
+--S 1805 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R              4 3 3 3        5 2 3      4 3   2  2
+--R           96a b d x  + (336a b d  - 48a b c d )x
+--R         + 
+--R                6   3       5 2   2      4 3 2          7 3       6     2
+--R           (420a b d  - 168a b c d  + 36a b c d)x + 210a d  - 210a b c d
+--R         + 
+--R               5 2 2       4 3 3
+--R           126a b c d - 30a b c
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|d x + c
+--R     + 
+--R               3 4        4 4  3         2 5 2       3 5   2
+--R           (35a b c + 315a b )d  + (- 35a b c  - 315a b c)d
+--R         + 
+--R                 6 3       2 6 2       7 4        7 3
+--R           (21a b c  + 189a b c )d - 5b c  - 45a b c
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                4 3         5 3  3          3 4 2        4 4   2
+--R           (140a b c + 1260a b )d  + (- 140a b c  - 1260a b c)d
+--R         + 
+--R               2 5 3       3 5 2          6 4       2 6 3
+--R           (84a b c  + 756a b c )d - 20a b c  - 180a b c
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                5 2         6 2  3          4 3 2        5 3   2
+--R           (210a b c + 1890a b )d  + (- 210a b c  - 1890a b c)d
+--R         + 
+--R                3 4 3        4 4 2        2 5 4       3 5 3
+--R           (126a b c  + 1134a b c )d - 30a b c  - 270a b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                6           7   3          5 2 2        6 2   2
+--R           (140a b c + 1260a b)d  + (- 140a b c  - 1260a b c)d
+--R         + 
+--R               4 3 3       5 3 2        3 4 4       4 4 3
+--R           (84a b c  + 756a b c )d - 20a b c  - 180a b c
+--R      *
+--R         x
+--R     + 
+--R           7        8  3         6   2       7     2       5 2 3       6 2 2
+--R       (35a c + 315a )d  + (- 35a b c  - 315a b c)d  + (21a b c  + 189a b c )d
+--R     + 
+--R           4 3 4      5 3 3
+--R       - 5a b c  - 45a b c
+--R  /
+--R            8 4 4       7 5   3       6 6 2 2       5 7 3        4 8 4  4
+--R       (105a b d  - 420a b c d  + 630a b c d  - 420a b c d + 105a b c )x
+--R     + 
+--R            9 3 4        8 4   3        7 5 2 2        6 6 3        5 7 4  3
+--R       (420a b d  - 1680a b c d  + 2520a b c d  - 1680a b c d + 420a b c )x
+--R     + 
+--R            10 2 4        9 3   3        8 4 2 2        7 5 3        6 6 4  2
+--R       (630a  b d  - 2520a b c d  + 3780a b c d  - 2520a b c d + 630a b c )x
+--R     + 
+--R            11   4        10 2   3        9 3 2 2        8 4 3        7 5 4
+--R       (420a  b d  - 1680a  b c d  + 2520a b c d  - 1680a b c d + 420a b c )x
+--R     + 
+--R           12 4       11     3       10 2 2 2       9 3 3        8 4 4
+--R       105a  d  - 420a  b c d  + 630a  b c d  - 420a b c d + 105a b c
+--R                                         Type: Union(Expression(Integer),...)
+--E 1805
+
+--S 1806 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R           3        4  3         2   2       3     2         2 3       2 2 2
+--R       (35a c + 315a )d  + (- 35a b c  - 315a b c)d  + (21a b c  + 189a b c )d
+--R     + 
+--R           3 4        3 3
+--R       - 5b c  - 45a b c
+--R  /
+--R         8 4       7     3       6 2 2 2       5 3 3        4 4 4
+--R     105a d  - 420a b c d  + 630a b c d  - 420a b c d + 105a b c
+--R                                                    Type: Expression(Integer)
+--E 1806
+
+--S 1807 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1807
+
+)clear all
+
+--S 1808 of 2952
+t0000:=1/((a+b*x)^(11/2)*(c+d*x)^(1/2))
+--R 
+--R
+--R   (1)
+--R                                       1
+--R   ------------------------------------------------------------------------
+--R     5 5       4 4      2 3 3      3 2 2     4       5  +-------+ +-------+
+--R   (b x  + 5a b x  + 10a b x  + 10a b x  + 5a b x + a )\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1808
+
+--S 1809 of 2952
+r0000:=-2/9*sqrt(c+d*x)/((b*c-a*d)*(a+b*x)^(9/2))+_
+     16/63*d*sqrt(c+d*x)/((b*c-a*d)^2*(a+b*x)^(7/2))-_
+     32/105*d^2*sqrt(c+d*x)/((b*c-a*d)^3*(a+b*x)^(5/2))+_
+     128/315*d^3*sqrt(c+d*x)/((b*c-a*d)^4*(a+b*x)^(3/2))-_
+     256/315*d^4*sqrt(c+d*x)/((b*c-a*d)^5*sqrt(a+b*x))
+--R 
+--R
+--R   (2)
+--R             4 4 4           3 4       4   3  3
+--R         256b d x  + (1152a b d  - 128b c d )x
+--R       + 
+--R               2 2 4         3   3      4 2 2  2
+--R         (2016a b d  - 576a b c d  + 96b c d )x
+--R       + 
+--R               3   4        2 2   3         3 2 2      4 3          4 4
+--R         (1680a b d  - 1008a b c d  + 432a b c d  - 80b c d)x + 630a d
+--R       + 
+--R               3     3       2 2 2 2         3 3       4 4
+--R         - 840a b c d  + 756a b c d  - 360a b c d + 70b c
+--R    *
+--R        +-------+
+--R       \|d x + c
+--R  /
+--R                 5 4 5        4 5   4        3 6 2 3        2 7 3 2
+--R             315a b d  - 1575a b c d  + 3150a b c d  - 3150a b c d
+--R           + 
+--R                    8 4        9 5
+--R             1575a b c d - 315b c
+--R        *
+--R            4
+--R           x
+--R       + 
+--R                  6 3 5        5 4   4         4 5 2 3         3 6 3 2
+--R             1260a b d  - 6300a b c d  + 12600a b c d  - 12600a b c d
+--R           + 
+--R                  2 7 4           8 5
+--R             6300a b c d - 1260a b c
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                  7 2 5        6 3   4         5 4 2 3         4 5 3 2
+--R             1890a b d  - 9450a b c d  + 18900a b c d  - 18900a b c d
+--R           + 
+--R                  3 6 4         2 7 5
+--R             9450a b c d - 1890a b c
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                  8   5        7 2   4         6 3 2 3         5 4 3 2
+--R             1260a b d  - 6300a b c d  + 12600a b c d  - 12600a b c d
+--R           + 
+--R                  4 5 4         3 6 5
+--R             6300a b c d - 1260a b c
+--R        *
+--R           x
+--R       + 
+--R             9 5        8     4        7 2 2 3        6 3 3 2        5 4 4
+--R         315a d  - 1575a b c d  + 3150a b c d  - 3150a b c d  + 1575a b c d
+--R       + 
+--R               4 5 5
+--R         - 315a b c
+--R    *
+--R        +-------+
+--R       \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 1809
+
+--S 1810 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R               5 4 4 4         6 3 4       5 4   3  3
+--R           256a b d x  + (1152a b d  - 128a b c d )x
+--R         + 
+--R                 7 2 4       6 3   3      5 4 2 2  2
+--R           (2016a b d  - 576a b c d  + 96a b c d )x
+--R         + 
+--R                 8   4        7 2   3       6 3 2 2      5 4 3          9 4
+--R           (1680a b d  - 1008a b c d  + 432a b c d  - 80a b c d)x + 630a d
+--R         + 
+--R                 8     3       7 2 2 2       6 3 3       5 4 4
+--R           - 840a b c d  + 756a b c d  - 360a b c d + 70a b c
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|d x + c
+--R     + 
+--R                4 5        5 5  4          3 6 2       4 6   3
+--R           (315a b c + 315a b )d  + (- 420a b c  - 420a b c)d
+--R         + 
+--R                2 7 3       3 7 2  2            8 4       2 8 3        9 5
+--R           (378a b c  + 378a b c )d  + (- 180a b c  - 180a b c )d + 35b c
+--R         + 
+--R                9 4
+--R           35a b c
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                 5 4         6 4  4           4 5 2        5 5   3
+--R           (1575a b c + 1575a b )d  + (- 2100a b c  - 2100a b c)d
+--R         + 
+--R                 3 6 3        4 6 2  2          2 7 4       3 7 3           8 5
+--R           (1890a b c  + 1890a b c )d  + (- 900a b c  - 900a b c )d + 175a b c
+--R         + 
+--R               2 8 4
+--R           175a b c
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                 6 3         7 3  4           5 4 2        6 4   3
+--R           (3150a b c + 3150a b )d  + (- 4200a b c  - 4200a b c)d
+--R         + 
+--R                 4 5 3        5 5 2  2           3 6 4        4 6 3
+--R           (3780a b c  + 3780a b c )d  + (- 1800a b c  - 1800a b c )d
+--R         + 
+--R               2 7 5       3 7 4
+--R           350a b c  + 350a b c
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                 7 2         8 2  4           6 3 2        7 3   3
+--R           (3150a b c + 3150a b )d  + (- 4200a b c  - 4200a b c)d
+--R         + 
+--R                 5 4 3        6 4 2  2           4 5 4        5 5 3
+--R           (3780a b c  + 3780a b c )d  + (- 1800a b c  - 1800a b c )d
+--R         + 
+--R               3 6 5       4 6 4
+--R           350a b c  + 350a b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                 8           9   4           7 2 2        8 2   3
+--R           (1575a b c + 1575a b)d  + (- 2100a b c  - 2100a b c)d
+--R         + 
+--R                 6 3 3        7 3 2  2          5 4 4       6 4 3         4 5 5
+--R           (1890a b c  + 1890a b c )d  + (- 900a b c  - 900a b c )d + 175a b c
+--R         + 
+--R               5 5 4
+--R           175a b c
+--R      *
+--R         x
+--R     + 
+--R            9        10  4          8   2       9     3
+--R       (315a c + 315a  )d  + (- 420a b c  - 420a b c)d
+--R     + 
+--R            7 2 3       8 2 2  2          6 3 4       7 3 3        5 4 5
+--R       (378a b c  + 378a b c )d  + (- 180a b c  - 180a b c )d + 35a b c
+--R     + 
+--R          6 4 4
+--R       35a b c
+--R  /
+--R               10 5 5        9 6   4        8 7 2 3        7 8 3 2        6 9 4
+--R           315a  b d  - 1575a b c d  + 3150a b c d  - 3150a b c d  + 1575a b c d
+--R         + 
+--R                 5 10 5
+--R           - 315a b  c
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                11 4 5        10 5   4         9 6 2 3         8 7 3 2
+--R           1575a  b d  - 7875a  b c d  + 15750a b c d  - 15750a b c d
+--R         + 
+--R                7 8 4         6 9 5
+--R           7875a b c d - 1575a b c
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                12 3 5         11 4   4         10 5 2 3         9 6 3 2
+--R           3150a  b d  - 15750a  b c d  + 31500a  b c d  - 31500a b c d
+--R         + 
+--R                 8 7 4         7 8 5
+--R           15750a b c d - 3150a b c
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                13 2 5         12 3   4         11 4 2 3         10 5 3 2
+--R           3150a  b d  - 15750a  b c d  + 31500a  b c d  - 31500a  b c d
+--R         + 
+--R                 9 6 4         8 7 5
+--R           15750a b c d - 3150a b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                14   5        13 2   4         12 3 2 3         11 4 3 2
+--R           1575a  b d  - 7875a  b c d  + 15750a  b c d  - 15750a  b c d
+--R         + 
+--R                10 5 4         9 6 5
+--R           7875a  b c d - 1575a b c
+--R      *
+--R         x
+--R     + 
+--R           15 5        14     4        13 2 2 3        12 3 3 2        11 4 4
+--R       315a  d  - 1575a  b c d  + 3150a  b c d  - 3150a  b c d  + 1575a  b c d
+--R     + 
+--R             10 5 5
+--R       - 315a  b c
+--R                                         Type: Union(Expression(Integer),...)
+--E 1810
+
+--S 1811 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R            4        5  4          3   2       4     3
+--R       (315a c + 315a )d  + (- 420a b c  - 420a b c)d
+--R     + 
+--R          2 2 3       3 2 2  2            3 4       2 3 3        4 5        4 4
+--R     (378a b c  + 378a b c )d  + (- 180a b c  - 180a b c )d + 35b c  + 35a b c
+--R  /
+--R           10 5        9     4        8 2 2 3        7 3 3 2        6 4 4
+--R       315a  d  - 1575a b c d  + 3150a b c d  - 3150a b c d  + 1575a b c d
+--R     + 
+--R             5 5 5
+--R       - 315a b c
+--R                                                    Type: Expression(Integer)
+--E 1811
+
+--S 1812 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1812
+
+)clear all
+
+--S 1813 of 2952
+t0000:=(a+b*x)^(7/2)/(c+d*x)^(3/2)
+--R 
+--R
+--R          3 3       2 2     2       3  +-------+
+--R        (b x  + 3a b x  + 3a b x + a )\|b x + a
+--R   (1)  ----------------------------------------
+--R                             +-------+
+--R                   (d x + c)\|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1813
+
+--S 1814 of 2952
+r0000:=-35/8*(b*c-a*d)^3*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))*_
+     sqrt(b)/d^(9/2)-2*(a+b*x)^(7/2)/(d*sqrt(c+d*x))-_
+     35/12*b*(b*c-a*d)*(a+b*x)^(3/2)*sqrt(c+d*x)/d^3+_
+     7/3*b*(a+b*x)^(5/2)*sqrt(c+d*x)/d^2+_
+     35/8*b*(b*c-a*d)^2*sqrt(a+b*x)*sqrt(c+d*x)/d^4
+--R 
+--R
+--R   (2)
+--R              3 3       2     2         2 2        3 3  +-+ +-------+
+--R         (105a d  - 315a b c d  + 315a b c d - 105b c )\|b \|d x + c
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R             3 3 3         2 3      3   2  2
+--R           8b d x  + (38a b d  - 14b c d )x
+--R         + 
+--R               2   3        2   2      3 2         3 3       2     2
+--R           (87a b d  - 98a b c d  + 35b c d)x - 48a d  + 231a b c d
+--R         + 
+--R                   2 2        3 3
+--R           - 280a b c d + 105b c
+--R      *
+--R          +-+ +-------+
+--R         \|d \|b x + a
+--R  /
+--R        4 +-+ +-------+
+--R     24d \|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1814
+
+--S 1815 of 2952
+--a0000:=integrate(t0000,x)
+--E 1815
+
+--S 1816 of 2952
+--m0000:=a0000 - r0000
+--E 1816
+
+--S 1817 of 2952
+--d0000:=D(m0000,x)
+--E 1817
+
+)clear all
+
+--S 1818 of 2952
+t0000:=(a+b*x)^(5/2)/(c+d*x)^(3/2)
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (b x  + 2a b x + a )\|b x + a
+--R   (1)  ------------------------------
+--R                        +-------+
+--R              (d x + c)\|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1818
+
+--S 1819 of 2952
+r0000:=15/4*(b*c-a*d)^2*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))*_
+     sqrt(b)/d^(7/2)-2*(a+b*x)^(5/2)/(d*sqrt(c+d*x))+_
+     5/2*b*(a+b*x)^(3/2)*sqrt(c+d*x)/d^2-_
+     15/4*b*(b*c-a*d)*sqrt(a+b*x)*sqrt(c+d*x)/d^3
+--R 
+--R
+--R   (2)
+--R                                                         +-+ +-------+
+--R           2 2                  2 2  +-+ +-------+      \|d \|b x + a
+--R       (15a d  - 30a b c d + 15b c )\|b \|d x + c atanh(--------------)
+--R                                                         +-+ +-------+
+--R                                                        \|b \|d x + c
+--R     + 
+--R        2 2 2          2     2          2 2                  2 2  +-+ +-------+
+--R     (2b d x  + (9a b d  - 5b c d)x - 8a d  + 25a b c d - 15b c )\|d \|b x + a
+--R  /
+--R       3 +-+ +-------+
+--R     4d \|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1819
+
+--S 1820 of 2952
+--a0000:=integrate(t0000,x)
+--E 1820
+
+--S 1821 of 2952
+--m0000:=a0000 - r0000
+--E 1821
+
+--S 1822 of 2952
+--d0000:=D(m0000,x)
+--E 1822
+
+)clear all
+
+--S 1823 of 2952
+t0000:=(a+b*x)^(3/2)/(c+d*x)^(3/2)
+--R 
+--R
+--R                  +-------+
+--R        (b x + a)\|b x + a
+--R   (1)  -------------------
+--R                  +-------+
+--R        (d x + c)\|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1823
+
+--S 1824 of 2952
+r0000:=-3*(b*c-a*d)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))*_
+     sqrt(b)/d^(5/2)-2*(a+b*x)^(3/2)/(d*sqrt(c+d*x))+_
+     3*b*sqrt(a+b*x)*sqrt(c+d*x)/d^2
+--R 
+--R
+--R   (2)
+--R                                         +-+ +-------+
+--R                     +-+ +-------+      \|d \|b x + a
+--R       (3a d - 3b c)\|b \|d x + c atanh(--------------)
+--R                                         +-+ +-------+
+--R                                        \|b \|d x + c
+--R     + 
+--R                             +-+ +-------+
+--R       (b d x - 2a d + 3b c)\|d \|b x + a
+--R  /
+--R      2 +-+ +-------+
+--R     d \|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1824
+
+--S 1825 of 2952
+--a0000:=integrate(t0000,x)
+--E 1825
+
+--S 1826 of 2952
+--m0000:=a0000 - r0000
+--E 1826
+
+--S 1827 of 2952
+--d0000:=D(m0000,x)
+--E 1827
+
+)clear all
+
+--S 1828 of 2952
+t0000:=(a+b*x)^(1/2)/(c+d*x)^(3/2)
+--R 
+--R
+--R              +-------+
+--R             \|b x + a
+--R   (1)  -------------------
+--R                  +-------+
+--R        (d x + c)\|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1828
+
+--S 1829 of 2952
+r0000:=2*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))*sqrt(b)/d^(3/2)-_
+     2*sqrt(a+b*x)/(d*sqrt(c+d*x))
+--R 
+--R
+--R                              +-+ +-------+
+--R          +-+ +-------+      \|d \|b x + a       +-+ +-------+
+--R        2\|b \|d x + c atanh(--------------) - 2\|d \|b x + a
+--R                              +-+ +-------+
+--R                             \|b \|d x + c
+--R   (2)  ------------------------------------------------------
+--R                              +-+ +-------+
+--R                            d\|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1829
+
+--S 1830 of 2952
+--a0000:=integrate(t0000,x)
+--E 1830
+
+--S 1831 of 2952
+--m0000:=a0000 - r0000
+--E 1831
+
+--S 1832 of 2952
+--d0000:=D(m0000,x)
+--E 1832
+
+)clear all
+
+--S 1833 of 2952
+t0000:=1/((a+b*x)^(1/2)*(c+d*x)^(3/2))
+--R 
+--R
+--R                      1
+--R   (1)  -----------------------------
+--R                  +-------+ +-------+
+--R        (d x + c)\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1833
+
+--S 1834 of 2952
+r0000:=2*sqrt(a+b*x)/((b*c-a*d)*sqrt(c+d*x))
+--R 
+--R
+--R                 +-------+
+--R               2\|b x + a
+--R   (2)  - ---------------------
+--R                      +-------+
+--R          (a d - b c)\|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1834
+
+--S 1835 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R             +-------+ +-------+                     2
+--R        - 8c\|b x + a \|d x + c  + (- c - 16a)d x - c  - 16a c
+--R   (3)  ------------------------------------------------------
+--R                        2       2          2        3
+--R                 (4a c d  - 4b c d)x + 4a c d - 4b c
+--R                                         Type: Union(Expression(Integer),...)
+--E 1835
+
+--S 1836 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R           - c - 16a
+--R   (4)  --------------
+--R                     2
+--R        4a c d - 4b c
+--R                                                    Type: Expression(Integer)
+--E 1836
+
+--S 1837 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1837
+
+)clear all
+
+--S 1838 of 2952
+t0000:=1/((a+b*x)^(3/2)*(c+d*x)^(3/2))
+--R 
+--R
+--R                                1
+--R   (1)  -------------------------------------------------
+--R              2                       +-------+ +-------+
+--R        (b d x  + (a d + b c)x + a c)\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1838
+
+--S 1839 of 2952
+r0000:=(-2)/((b*c-a*d)*sqrt(a+b*x)*sqrt(c+d*x))-_
+     4*d*sqrt(a+b*x)/((b*c-a*d)^2*sqrt(c+d*x))
+--R 
+--R
+--R                   - 4b d x - 2a d - 2b c
+--R   (2)  --------------------------------------------
+--R          2 2               2 2  +-------+ +-------+
+--R        (a d  - 2a b c d + b c )\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1839
+
+--S 1840 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                          2            2  +-------+ +-------+
+--R       (- 16a b c d x - 8a c d - 8a b c )\|b x + a \|d x + c
+--R     + 
+--R                      2   2       2 2        2     2
+--R       ((- a b c - 16a b)d  + (- b c  - 16a b c)d)x
+--R     + 
+--R            2       3  2            2      2         2 3        2 2
+--R       ((- a c - 16a )d  + (- 2a b c  - 32a b c)d - b c  - 16a b c )x
+--R     + 
+--R           2 2      3           3      2   2
+--R       (- a c  - 16a c)d - a b c  - 16a b c
+--R  /
+--R          3     3     2 2 2 2       3 3   2
+--R       (4a b c d  - 8a b c d  + 4a b c d)x
+--R     + 
+--R        4   3     3   2 2     2 2 3        3 4       4 2 2     3   3      2 2 4
+--R     (4a c d  - 4a b c d  - 4a b c d + 4a b c )x + 4a c d  - 8a b c d + 4a b c
+--R                                         Type: Union(Expression(Integer),...)
+--E 1840
+
+--S 1841 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R                    2        2
+--R        (- a c - 16a )d - b c  - 16a b c
+--R   (4)  --------------------------------
+--R            3   2     2   2        2 3
+--R          4a c d  - 8a b c d + 4a b c
+--R                                                    Type: Expression(Integer)
+--E 1841
+
+--S 1842 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1842
+
+)clear all
+
+--S 1843 of 2952
+t0000:=1/((a+b*x)^(5/2)*(c+d*x)^(3/2))
+--R 
+--R
+--R   (1)
+--R                                      1
+--R   -----------------------------------------------------------------------
+--R     2   3              2   2     2                2   +-------+ +-------+
+--R   (b d x  + (2a b d + b c)x  + (a d + 2a b c)x + a c)\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1843
+
+--S 1844 of 2952
+r0000:=(-2/3)/((b*c-a*d)*(a+b*x)^(3/2)*sqrt(c+d*x))+_
+     8/3*d/((b*c-a*d)^2*sqrt(a+b*x)*sqrt(c+d*x))+_
+     16/3*d^2*sqrt(a+b*x)/((b*c-a*d)^3*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R          2 2 2             2     2          2 2                 2 2
+--R     - 16b d x  + (- 24a b d  - 8b c d)x - 6a d  - 12a b c d + 2b c
+--R  /
+--R            3   3     2 2   2       3 2      4 3       4 3     3     2
+--R         (3a b d  - 9a b c d  + 9a b c d - 3b c )x + 3a d  - 9a b c d
+--R       + 
+--R           2 2 2        3 3
+--R         9a b c d - 3a b c
+--R    *
+--R        +-------+ +-------+
+--R       \|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1844
+
+--S 1845 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                2 2   2 2         3     2      2 2 2         4   2      3   2
+--R           - 64a b c d x  + (- 96a b c d  - 32a b c d)x - 24a c d  - 48a b c d
+--R         + 
+--R             2 2 3
+--R           8a b c
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|d x + c
+--R     + 
+--R           2 2       3 2  3        3 2      2 3   2       4 3        4 2    3
+--R       ((3a b c + 48a b )d  + (6a b c  + 96a b c)d  + (- b c  - 16a b c )d)x
+--R     + 
+--R              3         4   3       2 2 2       3 2   2        3 3      2 3 2
+--R           (6a b c + 96a b)d  + (15a b c  + 240a b c)d  + (4a b c  + 64a b c )d
+--R         + 
+--R              4 4        4 3
+--R           - b c  - 16a b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R              4       5  3       3   2       4     2       2 2 3       3 2 2
+--R           (3a c + 48a )d  + (12a b c  + 192a b c)d  + (11a b c  + 176a b c )d
+--R         + 
+--R                 3 4      2 3 3
+--R           - 2a b c  - 32a b c
+--R      *
+--R         x
+--R     + 
+--R          4 2      5   2      3   3      4   2      2 2 4      3 2 3
+--R       (3a c  + 48a c)d  + (6a b c  + 96a b c )d - a b c  - 16a b c
+--R  /
+--R           5 2   4      4 3 2 3      3 4 3 2      2 5 4   3
+--R       (12a b c d  - 36a b c d  + 36a b c d  - 12a b c d)x
+--R     + 
+--R           6     4      5 2 2 3      4 3 3 2      3 4 4       2 5 5  2
+--R       (24a b c d  - 60a b c d  + 36a b c d  + 12a b c d - 12a b c )x
+--R     + 
+--R           7   4      6   2 3      5 2 3 2      4 3 4       3 4 5        7 2 3
+--R       (12a c d  - 12a b c d  - 36a b c d  + 60a b c d - 24a b c )x + 12a c d
+--R     + 
+--R            6   3 2      5 2 4       4 3 5
+--R       - 36a b c d  + 36a b c d - 12a b c
+--R                                         Type: Union(Expression(Integer),...)
+--E 1845
+
+--S 1846 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R           2       3  2          2      2         2 3        2 2
+--R        (3a c + 48a )d  + (6a b c  + 96a b c)d - b c  - 16a b c
+--R   (4)  --------------------------------------------------------
+--R                 5   3      4   2 2      3 2 3       2 3 4
+--R              12a c d  - 36a b c d  + 36a b c d - 12a b c
+--R                                                    Type: Expression(Integer)
+--E 1846
+
+--S 1847 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1847
+
+)clear all
+
+--S 1848 of 2952
+t0000:=1/((a+b*x)^(7/2)*(c+d*x)^(3/2))
+--R 
+--R
+--R   (1)
+--R     1
+--R  /
+--R         3   4        2     3   3      2          2   2     3      2         3
+--R       (b d x  + (3a b d + b c)x  + (3a b d + 3a b c)x  + (a d + 3a b c)x + a c)
+--R    *
+--R        +-------+ +-------+
+--R       \|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1848
+
+--S 1849 of 2952
+r0000:=(-2/5)/((b*c-a*d)*(a+b*x)^(5/2)*sqrt(c+d*x))+_
+     4/5*d/((b*c-a*d)^2*(a+b*x)^(3/2)*sqrt(c+d*x))-_
+     16/5*d^2/((b*c-a*d)^3*sqrt(a+b*x)*sqrt(c+d*x))-_
+     32/5*d^3*sqrt(a+b*x)/((b*c-a*d)^4*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R            3 3 3           2 3      3   2  2
+--R       - 32b d x  + (- 80a b d  - 16b c d )x
+--R     + 
+--R             2   3        2   2     3 2         3 3      2     2        2 2
+--R       (- 60a b d  - 40a b c d  + 4b c d)x - 10a d  - 30a b c d  + 10a b c d
+--R     + 
+--R           3 3
+--R       - 2b c
+--R  /
+--R            4 2 4      3 3   3      2 4 2 2        5 3      6 4  2
+--R         (5a b d  - 20a b c d  + 30a b c d  - 20a b c d + 5b c )x
+--R       + 
+--R             5   4      4 2   3      3 3 2 2      2 4 3         5 4       6 4
+--R         (10a b d  - 40a b c d  + 60a b c d  - 40a b c d + 10a b c )x + 5a d
+--R       + 
+--R              5     3      4 2 2 2      3 3 3      2 4 4
+--R         - 20a b c d  + 30a b c d  - 20a b c d + 5a b c
+--R    *
+--R        +-------+ +-------+
+--R       \|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1849
+
+--S 1850 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                 3 3   3 3          4 2   3      3 3 2 2  2
+--R           - 128a b c d x  + (- 320a b c d  - 64a b c d )x
+--R         + 
+--R                  5     3       4 2 2 2      3 3 3         6   3       5   2 2
+--R           (- 240a b c d  - 160a b c d  + 16a b c d)x - 40a c d  - 120a b c d
+--R         + 
+--R              4 2 3      3 3 4
+--R           40a b c d - 8a b c
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|d x + c
+--R     + 
+--R              3 3       4 3  4       2 4 2       3 4   3
+--R           (5a b c + 80a b )d  + (15a b c  + 240a b c)d
+--R         + 
+--R                  5 3      2 5 2  2     6 4        6 3
+--R           (- 5a b c  - 80a b c )d  + (b c  + 16a b c )d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R               4 2        5 2  4       3 3 2       4 3   3
+--R           (15a b c + 240a b )d  + (50a b c  + 800a b c)d
+--R         + 
+--R                  5 4      2 5 3      6 5        6 4
+--R           (- 2a b c  - 32a b c )d + b c  + 16a b c
+--R      *
+--R          3
+--R         x
+--R     + 
+--R               5          6   4       4 2 2       5 2   3
+--R           (15a b c + 240a b)d  + (60a b c  + 960a b c)d
+--R         + 
+--R               3 3 3       4 3 2  2         2 4 4       3 4 3         5 5
+--R           (30a b c  + 480a b c )d  + (- 12a b c  - 192a b c )d + 3a b c
+--R         + 
+--R              2 5 4
+--R           48a b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R              6       7  4       5   2       6     3       4 2 3       5 2 2  2
+--R           (5a c + 80a )d  + (30a b c  + 480a b c)d  + (40a b c  + 640a b c )d
+--R         + 
+--R                 3 3 4       4 3 3       2 4 5      3 4 4
+--R           (- 14a b c  - 224a b c )d + 3a b c  + 48a b c
+--R      *
+--R         x
+--R     + 
+--R          6 2      7   3       5   3       6   2  2        4 2 4      5 2 3
+--R       (5a c  + 80a c)d  + (15a b c  + 240a b c )d  + (- 5a b c  - 80a b c )d
+--R     + 
+--R        3 3 5      4 3 4
+--R       a b c  + 16a b c
+--R  /
+--R           7 3   5      6 4 2 4       5 5 3 3      4 6 4 2      3 7 5   4
+--R       (20a b c d  - 80a b c d  + 120a b c d  - 80a b c d  + 20a b c d)x
+--R     + 
+--R              8 2   5       7 3 2 4       6 4 3 3       5 5 4 2      4 6 5
+--R           60a b c d  - 220a b c d  + 280a b c d  - 120a b c d  - 20a b c d
+--R         + 
+--R              3 7 6
+--R           20a b c
+--R      *
+--R          3
+--R         x
+--R     + 
+--R              9     5       8 2 2 4       7 3 3 3       6 4 4 2       5 5 5
+--R           60a b c d  - 180a b c d  + 120a b c d  + 120a b c d  - 180a b c d
+--R         + 
+--R              4 6 6
+--R           60a b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R              10   5      9   2 4       8 2 3 3       7 3 4 2       6 4 5
+--R           20a  c d  - 20a b c d  - 120a b c d  + 280a b c d  - 220a b c d
+--R         + 
+--R              5 5 6
+--R           60a b c
+--R      *
+--R         x
+--R     + 
+--R          10 2 4      9   3 3       8 2 4 2      7 3 5       6 4 6
+--R       20a  c d  - 80a b c d  + 120a b c d  - 80a b c d + 20a b c
+--R                                         Type: Union(Expression(Integer),...)
+--E 1850
+
+--S 1851 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R          3       4  3       2   2       3     2          2 3      2 2 2
+--R       (5a c + 80a )d  + (15a b c  + 240a b c)d  + (- 5a b c  - 80a b c )d
+--R     + 
+--R        3 4        3 3
+--R       b c  + 16a b c
+--R  /
+--R        7   4      6   2 3       5 2 3 2      4 3 4       3 4 5
+--R     20a c d  - 80a b c d  + 120a b c d  - 80a b c d + 20a b c
+--R                                                    Type: Expression(Integer)
+--E 1851
+
+--S 1852 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1852
+
+)clear all
+
+--S 1853 of 2952
+t0000:=1/((a+b*x)^(9/2)*(c+d*x)^(3/2))
+--R 
+--R
+--R   (1)
+--R     1
+--R  /
+--R          4   5        3     4   4      2 2        3   3      3        2 2   2
+--R         b d x  + (4a b d + b c)x  + (6a b d + 4a b c)x  + (4a b d + 6a b c)x
+--R       + 
+--R           4      3         4
+--R         (a d + 4a b c)x + a c
+--R    *
+--R        +-------+ +-------+
+--R       \|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1853
+
+--S 1854 of 2952
+r0000:=(-2/7)/((b*c-a*d)*(a+b*x)^(7/2)*sqrt(c+d*x))+_
+     16/35*d/((b*c-a*d)^2*(a+b*x)^(5/2)*sqrt(c+d*x))-_
+     32/35*d^2/((b*c-a*d)^3*(a+b*x)^(3/2)*sqrt(c+d*x))+_
+     128/35*d^3/((b*c-a*d)^4*sqrt(a+b*x)*sqrt(c+d*x))+_
+     256/35*d^4*sqrt(a+b*x)/((b*c-a*d)^5*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R             4 4 4            3 4       4   3  3
+--R       - 256b d x  + (- 896a b d  - 128b c d )x
+--R     + 
+--R               2 2 4         3   3      4 2 2  2
+--R       (- 1120a b d  - 448a b c d  + 32b c d )x
+--R     + 
+--R              3   4       2 2   3         3 2 2      4 3         4 4
+--R       (- 560a b d  - 560a b c d  + 112a b c d  - 16b c d)x - 70a d
+--R     + 
+--R             3     3       2 2 2 2        3 3       4 4
+--R       - 280a b c d  + 140a b c d  - 56a b c d + 10b c
+--R  /
+--R                5 3 5       4 4   4       3 5 2 3       2 6 3 2         7 4
+--R             35a b d  - 175a b c d  + 350a b c d  - 350a b c d  + 175a b c d
+--R           + 
+--R                  8 5
+--R             - 35b c
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                 6 2 5       5 3   4        4 4 2 3        3 5 3 2       2 6 4
+--R             105a b d  - 525a b c d  + 1050a b c d  - 1050a b c d  + 525a b c d
+--R           + 
+--R                     7 5
+--R             - 105a b c
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                 7   5       6 2   4        5 3 2 3        4 4 3 2       3 5 4
+--R             105a b d  - 525a b c d  + 1050a b c d  - 1050a b c d  + 525a b c d
+--R           + 
+--R                   2 6 5
+--R             - 105a b c
+--R        *
+--R           x
+--R       + 
+--R          8 5       7     4       6 2 2 3       5 3 3 2       4 4 4       3 5 5
+--R       35a d  - 175a b c d  + 350a b c d  - 350a b c d  + 175a b c d - 35a b c
+--R    *
+--R        +-------+ +-------+
+--R       \|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1854
+
+--S 1855 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                  4 4   4 4           5 3   4       4 4 2 3  3
+--R           - 1280a b c d x  + (- 4480a b c d  - 640a b c d )x
+--R         + 
+--R                   6 2   4        5 3 2 3       4 4 3 2  2
+--R           (- 5600a b c d  - 2240a b c d  + 160a b c d )x
+--R         + 
+--R                   7     4        6 2 2 3       5 3 3 2      4 4 4
+--R           (- 2800a b c d  - 2800a b c d  + 560a b c d  - 80a b c d)x
+--R         + 
+--R                 8   4        7   2 3       6 2 3 2       5 3 4       4 4 5
+--R           - 350a c d  - 1400a b c d  + 700a b c d  - 280a b c d + 50a b c
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|d x + c
+--R     + 
+--R                 4 4        5 4  5          3 5 2        4 5   4
+--R           (- 35a b c - 875a b )d  + (- 140a b c  - 3500a b c)d
+--R         + 
+--R               2 6 3        3 6 2  3           7 4       2 7 3  2
+--R           (70a b c  + 1750a b c )d  + (- 28a b c  - 700a b c )d
+--R         + 
+--R              8 5         8 4
+--R           (5b c  + 125a b c )d
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                  5 3         6 3  5          4 4 2         5 4   4
+--R           (- 140a b c - 3500a b )d  + (- 595a b c  - 14875a b c)d
+--R         + 
+--R                3 5 3        4 5 2  3         2 6 4        3 6 3  2
+--R           (140a b c  + 3500a b c )d  + (- 42a b c  - 1050a b c )d
+--R         + 
+--R                  7 5       2 7 4       8 6         8 5
+--R           (- 8a b c  - 200a b c )d + 5b c  + 125a b c
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                  6 2         7 2  5          5 3 2         6 3   4
+--R           (- 210a b c - 5250a b )d  + (- 980a b c  - 24500a b c)d
+--R         + 
+--R                  4 4 3        5 4 2  3        3 5 4        4 5 3  2
+--R           (- 140a b c  - 3500a b c )d  + (112a b c  + 2800a b c )d
+--R         + 
+--R                 2 6 5        3 6 4          7 6       2 7 5
+--R           (- 82a b c  - 2050a b c )d + 20a b c  + 500a b c
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                  7           8   5          6 2 2         7 2   4
+--R           (- 140a b c - 3500a b)d  + (- 770a b c  - 19250a b c)d
+--R         + 
+--R                  5 3 3         6 3 2  3        4 4 4        5 4 3  2
+--R           (- 560a b c  - 14000a b c )d  + (308a b c  + 7700a b c )d
+--R         + 
+--R                  3 5 5        4 5 4        2 6 6       3 6 5
+--R           (- 148a b c  - 3700a b c )d + 30a b c  + 750a b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                 8        9  5          7   2        8     4
+--R           (- 35a c - 875a )d  + (- 280a b c  - 7000a b c)d
+--R         + 
+--R                  6 2 3         7 2 2  3        5 3 4        6 3 3  2
+--R           (- 490a b c  - 12250a b c )d  + (252a b c  + 6300a b c )d
+--R         + 
+--R                  4 4 5        5 4 4        3 5 6       4 5 5
+--R           (- 107a b c  - 2675a b c )d + 20a b c  + 500a b c
+--R      *
+--R         x
+--R     + 
+--R             8 2       9   4          7   3        8   2  3
+--R       (- 35a c  - 875a c)d  + (- 140a b c  - 3500a b c )d
+--R     + 
+--R         6 2 4        7 2 3  2         5 3 5       6 3 4       4 4 6       5 4 5
+--R     (70a b c  + 1750a b c )d  + (- 28a b c  - 700a b c )d + 5a b c  + 125a b c
+--R  /
+--R               9 4   6       8 5 2 5        7 6 3 4        6 7 4 3       5 8 5 2
+--R           175a b c d  - 875a b c d  + 1750a b c d  - 1750a b c d  + 875a b c d
+--R         + 
+--R                 4 9 6
+--R           - 175a b c d
+--R      *
+--R          5
+--R         x
+--R     + 
+--R               10 3   6        9 4 2 5        8 5 3 4        7 6 4 3
+--R           700a  b c d  - 3325a b c d  + 6125a b c d  - 5250a b c d
+--R         + 
+--R                6 7 5 2       5 8 6        4 9 7
+--R           1750a b c d  + 175a b c d - 175a b c
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                11 2   6        10 3 2 5        9 4 3 4        8 5 4 3
+--R           1050a  b c d  - 4550a  b c d  + 7000a b c d  - 3500a b c d
+--R         + 
+--R                  7 6 5 2        6 7 6        5 8 7
+--R           - 1750a b c d  + 2450a b c d - 700a b c
+--R      *
+--R          3
+--R         x
+--R     + 
+--R               12     6        11 2 2 5        10 3 3 4        9 4 4 3
+--R           700a  b c d  - 2450a  b c d  + 1750a  b c d  + 3500a b c d
+--R         + 
+--R                  8 5 5 2        7 6 6         6 7 7
+--R           - 7000a b c d  + 4550a b c d - 1050a b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R               13   6       12   2 5        11 2 3 4        10 3 4 3
+--R           175a  c d  - 175a  b c d  - 1750a  b c d  + 5250a  b c d
+--R         + 
+--R                  9 4 5 2        8 5 6        7 6 7
+--R           - 6125a b c d  + 3325a b c d - 700a b c
+--R      *
+--R         x
+--R     + 
+--R           13 2 5       12   3 4        11 2 4 3        10 3 5 2       9 4 6
+--R       175a  c d  - 875a  b c d  + 1750a  b c d  - 1750a  b c d  + 875a b c d
+--R     + 
+--R             8 5 7
+--R       - 175a b c
+--R                                         Type: Union(Expression(Integer),...)
+--E 1855
+
+--S 1856 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R             4        5  4          3   2        4     3
+--R       (- 35a c - 875a )d  + (- 140a b c  - 3500a b c)d
+--R     + 
+--R         2 2 3        3 2 2  2           3 4       2 3 3       4 5         4 4
+--R     (70a b c  + 1750a b c )d  + (- 28a b c  - 700a b c )d + 5b c  + 125a b c
+--R  /
+--R           9   5       8   2 4        7 2 3 3        6 3 4 2       5 4 5
+--R       175a c d  - 875a b c d  + 1750a b c d  - 1750a b c d  + 875a b c d
+--R     + 
+--R             4 5 6
+--R       - 175a b c
+--R                                                    Type: Expression(Integer)
+--E 1856
+
+--S 1857 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1857
+
+)clear all
+
+--S 1858 of 2952
+t0000:=1/((a+b*x)^(11/2)*(c+d*x)^(3/2))
+--R 
+--R
+--R   (1)
+--R     1
+--R  /
+--R          5   6        4     5   5       2 3        4   4
+--R         b d x  + (5a b d + b c)x  + (10a b d + 5a b c)x
+--R       + 
+--R             3 2       2 3   3      4         3 2   2     5      4         5
+--R         (10a b d + 10a b c)x  + (5a b d + 10a b c)x  + (a d + 5a b c)x + a c
+--R    *
+--R        +-------+ +-------+
+--R       \|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1858
+
+--S 1859 of 2952
+r0000:=(-2/9)/((b*c-a*d)*(a+b*x)^(9/2)*sqrt(c+d*x))+_
+     20/63*d/((b*c-a*d)^2*(a+b*x)^(7/2)*sqrt(c+d*x))-_
+     32/63*d^2/((b*c-a*d)^3*(a+b*x)^(5/2)*sqrt(c+d*x))+_
+     64/63*d^3/((b*c-a*d)^4*(a+b*x)^(3/2)*sqrt(c+d*x))-_
+     256/63*d^4/((b*c-a*d)^5*sqrt(a+b*x)*sqrt(c+d*x))-_
+     512/63*d^5*sqrt(a+b*x)/((b*c-a*d)^6*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R             5 5 5             4 5       5   4  4
+--R       - 512b d x  + (- 2304a b d  - 256b c d )x
+--R     + 
+--R               2 3 5          4   4      5 2 3  3
+--R       (- 4032a b d  - 1152a b c d  + 64b c d )x
+--R     + 
+--R               3 2 5        2 3   4         4 2 3      5 3 2  2
+--R       (- 3360a b d  - 2016a b c d  + 288a b c d  - 32b c d )x
+--R     + 
+--R               4   5        3 2   4       2 3 2 3         4 3 2      5 4
+--R       (- 1260a b d  - 1680a b c d  + 504a b c d  - 144a b c d  + 20b c d)x
+--R     + 
+--R             5 5       4     4       3 2 2 3       2 3 3 2        4 4       5 5
+--R       - 126a d  - 630a b c d  + 420a b c d  - 252a b c d  + 90a b c d - 14b c
+--R  /
+--R                6 4 6       5 5   5       4 6 2 4        3 7 3 3       2 8 4 2
+--R             63a b d  - 378a b c d  + 945a b c d  - 1260a b c d  + 945a b c d
+--R           + 
+--R                     9 5       10 6
+--R             - 378a b c d + 63b  c
+--R        *
+--R            4
+--R           x
+--R       + 
+--R                 7 3 6        6 4   5        5 5 2 4        4 6 3 3
+--R             252a b d  - 1512a b c d  + 3780a b c d  - 5040a b c d
+--R           + 
+--R                  3 7 4 2        2 8 5          9 6
+--R             3780a b c d  - 1512a b c d + 252a b c
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                 8 2 6        7 3   5        6 4 2 4        5 5 3 3
+--R             378a b d  - 2268a b c d  + 5670a b c d  - 7560a b c d
+--R           + 
+--R                  4 6 4 2        3 7 5        2 8 6
+--R             5670a b c d  - 2268a b c d + 378a b c
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                 9   6        8 2   5        7 3 2 4        6 4 3 3
+--R             252a b d  - 1512a b c d  + 3780a b c d  - 5040a b c d
+--R           + 
+--R                  5 5 4 2        4 6 5        3 7 6
+--R             3780a b c d  - 1512a b c d + 252a b c
+--R        *
+--R           x
+--R       + 
+--R            10 6       9     5       8 2 2 4        7 3 3 3       6 4 4 2
+--R         63a  d  - 378a b c d  + 945a b c d  - 1260a b c d  + 945a b c d
+--R       + 
+--R               5 5 5       4 6 6
+--R         - 378a b c d + 63a b c
+--R    *
+--R        +-------+ +-------+
+--R       \|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1859
+
+--S 1860 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                  5 5   5 5           6 4   5       5 5 2 4  4
+--R           - 1536a b c d x  + (- 6912a b c d  - 768a b c d )x
+--R         + 
+--R                    7 3   5        6 4 2 4       5 5 3 3  3
+--R           (- 12096a b c d  - 3456a b c d  + 192a b c d )x
+--R         + 
+--R                    8 2   5        7 3 2 4       6 4 3 3      5 5 4 2  2
+--R           (- 10080a b c d  - 6048a b c d  + 864a b c d  - 96a b c d )x
+--R         + 
+--R                      9     5        8 2 2 4        7 3 3 3       6 4 4 2
+--R               - 3780a b c d  - 5040a b c d  + 1512a b c d  - 432a b c d
+--R             + 
+--R                  5 5 5
+--R               60a b c d
+--R          *
+--R             x
+--R         + 
+--R                 10   5        9   2 4        8 2 3 3       7 3 4 2       6 4 5
+--R           - 378a  c d  - 1890a b c d  + 1260a b c d  - 756a b c d  + 270a b c d
+--R         + 
+--R                5 5 6
+--R           - 42a b c
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|d x + c
+--R     + 
+--R                 5 5        6 5  6          4 6 2        5 6   5
+--R           (- 63a b c - 567a b )d  + (- 315a b c  - 2835a b c)d
+--R         + 
+--R                3 7 3        4 7 2  4          2 8 4        3 8 3  3
+--R           (210a b c  + 1890a b c )d  + (- 126a b c  - 1134a b c )d
+--R         + 
+--R                 9 5       2 9 4  2        10 6        10 5
+--R           (45a b c  + 405a b c )d  + (- 7b  c  - 63a b  c )d
+--R      *
+--R          6
+--R         x
+--R     + 
+--R                  6 4         7 4  6           5 5 2         6 5   5
+--R           (- 315a b c - 2835a b )d  + (- 1638a b c  - 14742a b c)d
+--R         + 
+--R                4 6 3        5 6 2  4          3 7 4        4 7 3  3
+--R           (735a b c  + 6615a b c )d  + (- 420a b c  - 3780a b c )d
+--R         + 
+--R             2 8 5       3 8 4  2         9 6      2 9 5       10 7        10 6
+--R         (99a b c  + 891a b c )d  + (10a b c  + 90a b c )d - 7b  c  - 63a b  c
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                  7 3         8 3  6           6 4 2         7 4   5
+--R           (- 630a b c - 5670a b )d  + (- 3465a b c  - 31185a b c)d
+--R         + 
+--R                5 5 3        6 5 2  4          4 6 4        5 6 3  3
+--R           (525a b c  + 4725a b c )d  + (- 210a b c  - 1890a b c )d
+--R         + 
+--R                  3 7 5        4 7 4  2        2 8 6        3 8 5          9 7
+--R           (- 180a b c  - 1620a b c )d  + (155a b c  + 1395a b c )d - 35a b c
+--R         + 
+--R                 2 9 6
+--R           - 315a b c
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                  8 2         9 2  6           7 3 2         8 3   5
+--R           (- 630a b c - 5670a b )d  + (- 3780a b c  - 34020a b c)d
+--R         + 
+--R                   6 4 3        7 4 2  4        5 5 4        6 5 3  3
+--R           (- 1050a b c  - 9450a b c )d  + (840a b c  + 7560a b c )d
+--R         + 
+--R                  4 6 5        5 6 4  2        3 7 6        4 7 5        2 8 7
+--R           (- 810a b c  - 7290a b c )d  + (380a b c  + 3420a b c )d - 70a b c
+--R         + 
+--R                 3 8 6
+--R           - 630a b c
+--R      *
+--R          3
+--R         x
+--R     + 
+--R                  9           10   6           8 2 2         9 2   5
+--R           (- 315a b c - 2835a  b)d  + (- 2205a b c  - 19845a b c)d
+--R         + 
+--R                   7 3 3         8 3 2  4         6 4 4         7 4 3  3
+--R           (- 2100a b c  - 18900a b c )d  + (1470a b c  + 13230a b c )d
+--R         + 
+--R                   5 5 5        6 5 4  2        4 6 6        5 6 5        3 7 7
+--R           (- 1035a b c  - 9315a b c )d  + (415a b c  + 3735a b c )d - 70a b c
+--R         + 
+--R                 4 7 6
+--R           - 630a b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                 10        11  6          9   2        10     5
+--R           (- 63a  c - 567a  )d  + (- 630a b c  - 5670a  b c)d
+--R         + 
+--R                   8 2 3         9 2 2  4        7 3 4        8 3 3  3
+--R           (- 1365a b c  - 12285a b c )d  + (924a b c  + 8316a b c )d
+--R         + 
+--R                  6 4 5        7 4 4  2        5 5 6        6 5 5        4 6 7
+--R           (- 585a b c  - 5265a b c )d  + (218a b c  + 1962a b c )d - 35a b c
+--R         + 
+--R                 5 6 6
+--R           - 315a b c
+--R      *
+--R         x
+--R     + 
+--R             10 2       11   5          9   3        10   2  4
+--R       (- 63a  c  - 567a  c)d  + (- 315a b c  - 2835a  b c )d
+--R     + 
+--R            8 2 4        9 2 3  3          7 3 5        8 3 4  2
+--R       (210a b c  + 1890a b c )d  + (- 126a b c  - 1134a b c )d
+--R     + 
+--R           6 4 6       7 4 5       5 5 7      6 5 6
+--R       (45a b c  + 405a b c )d - 7a b c  - 63a b c
+--R  /
+--R               11 5   7        10 6 2 6        9 7 3 5        8 8 4 4
+--R           189a  b c d  - 1134a  b c d  + 2835a b c d  - 3780a b c d
+--R         + 
+--R                7 9 5 3        6 10 6 2       5 11 7
+--R           2835a b c d  - 1134a b  c d  + 189a b  c d
+--R      *
+--R          6
+--R         x
+--R     + 
+--R               12 4   7        11 5 2 6         10 6 3 5         9 7 4 4
+--R           945a  b c d  - 5481a  b c d  + 13041a  b c d  - 16065a b c d
+--R         + 
+--R                 8 8 5 3        7 9 6 2       6 10 7        5 11 8
+--R           10395a b c d  - 2835a b c d  - 189a b  c d + 189a b  c
+--R      *
+--R          5
+--R         x
+--R     + 
+--R                13 3   7         12 4 2 6         11 5 3 5         10 6 4 4
+--R           1890a  b c d  - 10395a  b c d  + 22680a  b c d  - 23625a  b c d
+--R         + 
+--R                9 7 5 3        8 8 6 2        7 9 7        6 10 8
+--R           9450a b c d  + 2835a b c d  - 3780a b c d + 945a b  c
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                14 2   7        13 3 2 6         12 4 3 5        11 5 4 4
+--R           1890a  b c d  - 9450a  b c d  + 17010a  b c d  - 9450a  b c d
+--R         + 
+--R                  10 6 5 3         9 7 6 2        8 8 7         7 9 8
+--R           - 9450a  b c d  + 17010a b c d  - 9450a b c d + 1890a b c
+--R      *
+--R          3
+--R         x
+--R     + 
+--R               15     7        14 2 2 6        13 3 3 5        12 4 4 4
+--R           945a  b c d  - 3780a  b c d  + 2835a  b c d  + 9450a  b c d
+--R         + 
+--R                   11 5 5 3         10 6 6 2         9 7 7         8 8 8
+--R           - 23625a  b c d  + 22680a  b c d  - 10395a b c d + 1890a b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R               16   7       15   2 6        14 2 3 5         13 3 4 4
+--R           189a  c d  - 189a  b c d  - 2835a  b c d  + 10395a  b c d
+--R         + 
+--R                   12 4 5 3         11 5 6 2        10 6 7        9 7 8
+--R           - 16065a  b c d  + 13041a  b c d  - 5481a  b c d + 945a b c
+--R      *
+--R         x
+--R     + 
+--R           16 2 6        15   3 5        14 2 4 4        13 3 5 3
+--R       189a  c d  - 1134a  b c d  + 2835a  b c d  - 3780a  b c d
+--R     + 
+--R            12 4 6 2        11 5 7        10 6 8
+--R       2835a  b c d  - 1134a  b c d + 189a  b c
+--R                                         Type: Union(Expression(Integer),...)
+--E 1860
+
+--S 1861 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R             5        6  5          4   2        5     4
+--R       (- 63a c - 567a )d  + (- 315a b c  - 2835a b c)d
+--R     + 
+--R            3 2 3        4 2 2  3          2 3 4        3 3 3  2
+--R       (210a b c  + 1890a b c )d  + (- 126a b c  - 1134a b c )d
+--R     + 
+--R             4 5       2 4 4       5 6        5 5
+--R       (45a b c  + 405a b c )d - 7b c  - 63a b c
+--R  /
+--R           11   6        10   2 5        9 2 3 4        8 3 4 3        7 4 5 2
+--R       189a  c d  - 1134a  b c d  + 2835a b c d  - 3780a b c d  + 2835a b c d
+--R     + 
+--R              6 5 6        5 6 7
+--R       - 1134a b c d + 189a b c
+--R                                                    Type: Expression(Integer)
+--E 1861
+
+--S 1862 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1862
+
+)clear all
+
+--S 1863 of 2952
+t0000:=(a+b*x)^(9/2)/(c+d*x)^(5/2)
+--R 
+--R
+--R          4 4       3 3     2 2 2     3       4  +-------+
+--R        (b x  + 4a b x  + 6a b x  + 4a b x + a )\|b x + a
+--R   (1)  --------------------------------------------------
+--R                    2 2             2  +-------+
+--R                  (d x  + 2c d x + c )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1863
+
+--S 1864 of 2952
+r0000:=-2/3*(a+b*x)^(9/2)/(d*(c+d*x)^(3/2))-_
+     105/8*b^(3/2)*(b*c-a*d)^3*atanh(sqrt(d)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(c+d*x)))/d^(11/2)-6*b*(a+b*x)^(7/2)/(d^2*sqrt(c+d*x))-_
+     35/4*b^2*(b*c-a*d)*(a+b*x)^(3/2)*sqrt(c+d*x)/d^4+_
+     7*b^2*(a+b*x)^(5/2)*sqrt(c+d*x)/d^3+_
+     105/8*b^2*(b*c-a*d)^2*sqrt(a+b*x)*sqrt(c+d*x)/d^5
+--R 
+--R
+--R   (2)
+--R                3   4       2 2   3         3 2 2       4 3          3     3
+--R           (315a b d  - 945a b c d  + 945a b c d  - 315b c d)x + 315a b c d
+--R         + 
+--R                 2 2 2 2         3 3        4 4
+--R           - 945a b c d  + 945a b c d - 315b c
+--R      *
+--R                              +-+ +-------+
+--R          +-+ +-------+      \|d \|b x + a
+--R         \|b \|d x + c atanh(--------------)
+--R                              +-+ +-------+
+--R                             \|b \|d x + c
+--R     + 
+--R             4 4 4         3 4      4   3  3
+--R           8b d x  + (50a b d  - 18b c d )x
+--R         + 
+--R                2 2 4         3   3      4 2 2  2
+--R           (165a b d  - 180a b c d  + 63b c d )x
+--R         + 
+--R                  3   4       2 2   3          3 2 2       4 3         4 4
+--R           (- 208a b d  + 954a b c d  - 1134a b c d  + 420b c d)x - 16a d
+--R         + 
+--R                 3     3       2 2 2 2         3 3        4 4
+--R           - 144a b c d  + 693a b c d  - 840a b c d + 315b c
+--R      *
+--R          +-+ +-------+
+--R         \|d \|b x + a
+--R  /
+--R         6         5  +-+ +-------+
+--R     (24d x + 24c d )\|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1864
+
+--S 1865 of 2952
+--a0000:=integrate(t0000,x)
+--E 1865
+
+--S 1866 of 2952
+--m0000:=a0000 - r0000
+--E 1866
+
+--S 1867 of 2952
+--d0000:=D(m0000,x)
+--E 1867
+
+)clear all
+
+--S 1868 of 2952
+t0000:=(a+b*x)^(7/2)/(c+d*x)^(5/2)
+--R 
+--R
+--R          3 3       2 2     2       3  +-------+
+--R        (b x  + 3a b x  + 3a b x + a )\|b x + a
+--R   (1)  ----------------------------------------
+--R               2 2             2  +-------+
+--R             (d x  + 2c d x + c )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1868
+
+--S 1869 of 2952
+r0000:=-2/3*(a+b*x)^(7/2)/(d*(c+d*x)^(3/2))+_
+     35/4*b^(3/2)*(b*c-a*d)^2*atanh(sqrt(d)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(c+d*x)))/d^(9/2)-_
+     14/3*b*(a+b*x)^(5/2)/(d^2*sqrt(c+d*x))+_
+     35/6*b^2*(a+b*x)^(3/2)*sqrt(c+d*x)/d^3-_
+     35/4*b^2*(b*c-a*d)*sqrt(a+b*x)*sqrt(c+d*x)/d^4
+--R 
+--R
+--R   (2)
+--R                2   3         2   2       3 2          2     2         2 2
+--R           (105a b d  - 210a b c d  + 105b c d)x + 105a b c d  - 210a b c d
+--R         + 
+--R               3 3
+--R           105b c
+--R      *
+--R                              +-+ +-------+
+--R          +-+ +-------+      \|d \|b x + a
+--R         \|b \|d x + c atanh(--------------)
+--R                              +-+ +-------+
+--R                             \|b \|d x + c
+--R     + 
+--R             3 3 3         2 3      3   2  2
+--R           6b d x  + (39a b d  - 21b c d )x
+--R         + 
+--R                 2   3         2   2       3 2        3 3      2     2
+--R           (- 80a b d  + 238a b c d  - 140b c d)x - 8a d  - 56a b c d
+--R         + 
+--R                 2 2        3 3
+--R           175a b c d - 105b c
+--R      *
+--R          +-+ +-------+
+--R         \|d \|b x + a
+--R  /
+--R         5         4  +-+ +-------+
+--R     (12d x + 12c d )\|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1869
+
+--S 1870 of 2952
+--a0000:=integrate(t0000,x)
+--E 1870
+
+--S 1871 of 2952
+--m0000:=a0000 - r0000
+--E 1871
+
+--S 1872 of 2952
+--d0000:=D(m0000,x)
+--E 1872
+
+)clear all
+
+--S 1873 of 2952
+t0000:=(a+b*x)^(5/2)/(c+d*x)^(5/2)
+--R 
+--R
+--R          2 2             2  +-------+
+--R        (b x  + 2a b x + a )\|b x + a
+--R   (1)  ------------------------------
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1873
+
+--S 1874 of 2952
+r0000:=-2/3*(a+b*x)^(5/2)/(d*(c+d*x)^(3/2))-_
+     5*b^(3/2)*(b*c-a*d)*atanh(sqrt(d)*sqrt(a+b*x)/_
+     (sqrt(b)*sqrt(c+d*x)))/d^(7/2)-_
+     10/3*b*(a+b*x)^(3/2)/(d^2*sqrt(c+d*x))+_
+     5*b^2*sqrt(a+b*x)*sqrt(c+d*x)/d^3
+--R 
+--R
+--R   (2)
+--R                  2      2                       2 2  +-+ +-------+
+--R         ((15a b d  - 15b c d)x + 15a b c d - 15b c )\|b \|d x + c
+--R      *
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R         atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R     + 
+--R            2 2 2             2      2          2 2                  2 2  +-+
+--R         (3b d x  + (- 14a b d  + 20b c d)x - 2a d  - 10a b c d + 15b c )\|d
+--R      *
+--R          +-------+
+--R         \|b x + a
+--R  /
+--R        4        3  +-+ +-------+
+--R     (3d x + 3c d )\|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1874
+
+--S 1875 of 2952
+--a0000:=integrate(t0000,x)
+--E 1875
+
+--S 1876 of 2952
+--m0000:=a0000 - r0000
+--E 1876
+
+--S 1877 of 2952
+--d0000:=D(m0000,x)
+--E 1877
+
+)clear all
+
+--S 1878 of 2952
+t0000:=(a+b*x)^(3/2)/(c+d*x)^(5/2)
+--R 
+--R
+--R                        +-------+
+--R              (b x + a)\|b x + a
+--R   (1)  ------------------------------
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1878
+
+--S 1879 of 2952
+r0000:=-2/3*(a+b*x)^(3/2)/(d*(c+d*x)^(3/2))+_
+     2*b^(3/2)*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     d^(5/2)-2*b*sqrt(a+b*x)/(d^2*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R                                           +-+ +-------+
+--R                       +-+ +-------+      \|d \|b x + a
+--R       (6b d x + 6b c)\|b \|d x + c atanh(--------------)
+--R                                           +-+ +-------+
+--R                                          \|b \|d x + c
+--R     + 
+--R                                +-+ +-------+
+--R       (- 8b d x - 2a d - 6b c)\|d \|b x + a
+--R  /
+--R        3        2  +-+ +-------+
+--R     (3d x + 3c d )\|d \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1879
+
+--S 1880 of 2952
+--a0000:=integrate(t0000,x)
+--E 1880
+
+--S 1881 of 2952
+--m0000:=a0000 - r0000
+--E 1881
+
+--S 1882 of 2952
+--d0000:=D(m0000,x)
+--E 1882
+
+)clear all
+
+--S 1883 of 2952
+t0000:=(a+b*x)^(1/2)/(c+d*x)^(5/2)
+--R 
+--R
+--R                   +-------+
+--R                  \|b x + a
+--R   (1)  ------------------------------
+--R          2 2             2  +-------+
+--R        (d x  + 2c d x + c )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1883
+
+--S 1884 of 2952
+r0000:=2/3*(a+b*x)^(3/2)/((b*c-a*d)*(c+d*x)^(3/2))
+--R 
+--R
+--R                                  +-------+
+--R                    (- 2b x - 2a)\|b x + a
+--R   (2)  ----------------------------------------------
+--R              2                           2  +-------+
+--R        ((3a d  - 3b c d)x + 3a c d - 3b c )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1884
+
+--S 1885 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R              2        2  +-------+ +-------+             2  2 2
+--R       (- 2b c x - 2a c )\|b x + a \|d x + c  + (- a c - a )d x
+--R     + 
+--R              2     2           3    2 2
+--R       (- 2a c  - 2a c)d x - a c  - a c
+--R  /
+--R          2 3       3 2  2        3 2       4          4        5
+--R     (3a c d  - 3b c d )x  + (6a c d  - 6b c d)x + 3a c d - 3b c
+--R                                         Type: Union(Expression(Integer),...)
+--E 1885
+
+--S 1886 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R                   2
+--R          - a c - a
+--R   (4)  --------------
+--R            2        3
+--R        3a c d - 3b c
+--R                                                    Type: Expression(Integer)
+--E 1886
+
+--S 1887 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1887
+
+)clear all
+
+--S 1888 of 2952
+t0000:=1/((a+b*x)^(1/2)*(c+d*x)^(5/2))
+--R 
+--R
+--R                            1
+--R   (1)  ----------------------------------------
+--R          2 2             2  +-------+ +-------+
+--R        (d x  + 2c d x + c )\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1888
+
+--S 1889 of 2952
+r0000:=2/3*sqrt(a+b*x)/((b*c-a*d)*(c+d*x)^(3/2))+_
+     4/3*b*sqrt(a+b*x)/((b*c-a*d)^2*sqrt(c+d*x))
+--R 
+--R
+--R                                                  +-------+
+--R                           (4b d x - 2a d + 6b c)\|b x + a
+--R   (2)  ----------------------------------------------------------------------
+--R            2 3           2     2 2        2   2         2      2 3  +-------+
+--R        ((3a d  - 6a b c d  + 3b c d)x + 3a c d  - 6a b c d + 3b c )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1889
+
+--S 1890 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R             2           2         3  +-------+ +-------+
+--R       (20b c d x - 10a c d + 30b c )\|b x + a \|d x + c
+--R     + 
+--R                    2  3        2            2  2
+--R       ((- a c - 25a )d  + (3b c  + 75a b c)d )x
+--R     + 
+--R               2      2   2        3           2             3      2 2
+--R       ((- 2a c  - 50a c)d  + (6b c  + 150a b c )d)x + (- a c  - 25a c )d
+--R     + 
+--R           4          3
+--R       3b c  + 75a b c
+--R  /
+--R           2 2 4          3 3      2 4 2  2       2 3 3          4 2      2 5
+--R       (15a c d  - 30a b c d  + 15b c d )x  + (30a c d  - 60a b c d  + 30b c d)x
+--R     + 
+--R          2 4 2          5       2 6
+--R       15a c d  - 30a b c d + 15b c
+--R                                         Type: Union(Expression(Integer),...)
+--E 1890
+
+--S 1891 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R                    2         2
+--R        (- a c - 25a )d + 3b c  + 75a b c
+--R   (4)  ---------------------------------
+--R             2 2 2          3       2 4
+--R          15a c d  - 30a b c d + 15b c
+--R                                                    Type: Expression(Integer)
+--E 1891
+
+--S 1892 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1892
+
+)clear all
+
+--S 1893 of 2952
+t0000:=1/((a+b*x)^(3/2)*(c+d*x)^(5/2))
+--R 
+--R
+--R   (1)
+--R                                        1
+--R   --------------------------------------------------------------------------
+--R       2 3       2           2                2        2  +-------+ +-------+
+--R   (b d x  + (a d  + 2b c d)x  + (2a c d + b c )x + a c )\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1893
+
+--S 1894 of 2952
+r0000:=(-2)/((b*c-a*d)*(c+d*x)^(3/2)*sqrt(a+b*x))-_
+     8/3*d*sqrt(a+b*x)/((b*c-a*d)^2*(c+d*x)^(3/2))-_
+     16/3*b*d*sqrt(a+b*x)/((b*c-a*d)^3*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R        2 2 2          2      2          2 2                 2 2
+--R     16b d x  + (8a b d  + 24b c d)x - 2a d  + 12a b c d + 6b c
+--R  /
+--R            3 4     2     3       2 2 2     3 3        3   3     2   2 2
+--R         (3a d  - 9a b c d  + 9a b c d  - 3b c d)x + 3a c d  - 9a b c d
+--R       + 
+--R             2 3      3 4
+--R         9a b c d - 3b c
+--R    *
+--R        +-------+ +-------+
+--R       \|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1894
+
+--S 1895 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                2 2 2 2       2   2 2        2 3        3 2 2      2   3
+--R           64a b c d x  + (32a b c d  + 96a b c d)x - 8a c d  + 48a b c d
+--R         + 
+--R                2 4
+--R           24a b c
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|d x + c
+--R     + 
+--R          2         3   4          2 2      2 2   3        3 3        3 2  2  3
+--R       ((a b c + 16a b)d  + (- 6a b c  - 96a b c)d  + (- 3b c  - 48a b c )d )x
+--R     + 
+--R             3       4  4        2   2      3     3           2 3       2 2 2  2
+--R           (a c + 16a )d  + (- 4a b c  - 64a b c)d  + (- 15a b c  - 240a b c )d
+--R         + 
+--R                3 4        3 3
+--R           (- 6b c  - 96a b c )d
+--R      *
+--R          2
+--R         x
+--R     + 
+--R              3 2      4   3         2   3       3   2  2
+--R           (2a c  + 32a c)d  + (- 11a b c  - 176a b c )d
+--R         + 
+--R                   2 4       2 2 3       3 5        3 4
+--R           (- 12a b c  - 192a b c )d - 3b c  - 48a b c
+--R      *
+--R         x
+--R     + 
+--R         3 3      4 2  2        2   4      3   3         2 5      2 2 4
+--R       (a c  + 16a c )d  + (- 6a b c  - 96a b c )d - 3a b c  - 48a b c
+--R  /
+--R           4   2 5      3 2 3 4      2 3 4 3        4 5 2  3
+--R       (12a b c d  - 36a b c d  + 36a b c d  - 12a b c d )x
+--R     + 
+--R           5 2 5      4   3 4      3 2 4 3      2 3 5 2        4 6   2
+--R       (12a c d  - 12a b c d  - 36a b c d  + 60a b c d  - 24a b c d)x
+--R     + 
+--R           5 3 4      4   4 3      3 2 5 2      2 3 6         4 7        5 4 3
+--R       (24a c d  - 60a b c d  + 36a b c d  + 12a b c d - 12a b c )x + 12a c d
+--R     + 
+--R            4   5 2      3 2 6       2 3 7
+--R       - 36a b c d  + 36a b c d - 12a b c
+--R                                         Type: Union(Expression(Integer),...)
+--E 1895
+
+--S 1896 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R          2       3  2            2      2          2 3        2 2
+--R        (a c + 16a )d  + (- 6a b c  - 96a b c)d - 3b c  - 48a b c
+--R   (4)  ----------------------------------------------------------
+--R                  4 2 3      3   3 2      2 2 4         3 5
+--R               12a c d  - 36a b c d  + 36a b c d - 12a b c
+--R                                                    Type: Expression(Integer)
+--E 1896
+
+--S 1897 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1897
+
+)clear all
+
+--S 1898 of 2952
+t0000:=1/((a+b*x)^(5/2)*(c+d*x)^(5/2))
+--R 
+--R
+--R   (1)
+--R     1
+--R  /
+--R          2 2 4          2     2     3     2 2               2 2  2
+--R         b d x  + (2a b d  + 2b c d)x  + (a d  + 4a b c d + b c )x
+--R       + 
+--R            2            2      2 2
+--R         (2a c d + 2a b c )x + a c
+--R    *
+--R        +-------+ +-------+
+--R       \|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1898
+
+--S 1899 of 2952
+r0000:=(-2/3)/((b*c-a*d)*(a+b*x)^(3/2)*(c+d*x)^(3/2))+_
+     4*d/((b*c-a*d)^2*(c+d*x)^(3/2)*sqrt(a+b*x))+_
+     16/3*d^2*sqrt(a+b*x)/((b*c-a*d)^3*(c+d*x)^(3/2))+_
+     32/3*b*d^2*sqrt(a+b*x)/((b*c-a*d)^4*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R          3 3 3         2 3      3   2  2       2   3        2   2      3 2
+--R       32b d x  + (48a b d  + 48b c d )x  + (12a b d  + 72a b c d  + 12b c d)x
+--R     + 
+--R           3 3      2     2        2 2      3 3
+--R       - 2a d  + 18a b c d  + 18a b c d - 2b c
+--R  /
+--R            4   5      3 2   4      2 3 2 3        4 3 2     5 4   2
+--R         (3a b d  - 12a b c d  + 18a b c d  - 12a b c d  + 3b c d)x
+--R       + 
+--R            5 5     4     4     3 2 2 3     2 3 3 2       4 4      5 5
+--R         (3a d  - 9a b c d  + 6a b c d  + 6a b c d  - 9a b c d + 3b c )x
+--R       + 
+--R           5   4      4   2 3      3 2 3 2      2 3 4        4 5
+--R         3a c d  - 12a b c d  + 18a b c d  - 12a b c d + 3a b c
+--R    *
+--R        +-------+ +-------+
+--R       \|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1899
+
+--S 1900 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R               2 3 2 3 3        3 2 2 3       2 3 3 2  2
+--R           160a b c d x  + (240a b c d  + 240a b c d )x
+--R         + 
+--R               4   2 3       3 2 3 2      2 3 4         5 2 3      4   3 2
+--R           (60a b c d  + 360a b c d  + 60a b c d)x - 10a c d  + 90a b c d
+--R         + 
+--R              3 2 4       2 3 5
+--R           90a b c d - 10a b c
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|d x + c
+--R     + 
+--R               3 2       4 2  5      2 3 2       3 3   4
+--R           (- a b c - 25a b )d  + (9a b c  + 225a b c)d
+--R         + 
+--R                4 3       2 4 2  3       5 4        5 3  2
+--R           (9a b c  + 225a b c )d  + (- b c  - 25a b c )d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R                4         5   5       3 2 2       4 2   4
+--R           (- 2a b c - 50a b)d  + (16a b c  + 400a b c)d
+--R         + 
+--R               2 3 3       3 3 2  3         4 4       2 4 3  2
+--R           (36a b c  + 900a b c )d  + (16a b c  + 400a b c )d
+--R         + 
+--R                5 5        5 4
+--R           (- 2b c  - 50a b c )d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R               5       6  5      4   2       5     4       3 2 3        4 2 2  3
+--R           (- a c - 25a )d  + (5a b c  + 125a b c)d  + (44a b c  + 1100a b c )d
+--R         + 
+--R               2 3 4        3 3 3  2        4 5       2 4 4      5 6        5 5
+--R           (44a b c  + 1100a b c )d  + (5a b c  + 125a b c )d - b c  - 25a b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R                5 2      6   4       4   3       5   2  3
+--R           (- 2a c  - 50a c)d  + (16a b c  + 400a b c )d
+--R         + 
+--R             3 2 4       4 2 3  2       2 3 5       3 3 4         4 6      2 4 5
+--R         (36a b c  + 900a b c )d  + (16a b c  + 400a b c )d - 2a b c  - 50a b c
+--R      *
+--R         x
+--R     + 
+--R           5 3      6 2  3      4   4       5   3  2      3 2 5       4 2 4
+--R       (- a c  - 25a c )d  + (9a b c  + 225a b c )d  + (9a b c  + 225a b c )d
+--R     + 
+--R          2 3 6      3 3 5
+--R       - a b c  - 25a b c
+--R  /
+--R           6 2 2 6      5 3 3 5      4 4 4 4      3 5 5 3      2 6 6 2  4
+--R       (15a b c d  - 60a b c d  + 90a b c d  - 60a b c d  + 15a b c d )x
+--R     + 
+--R              7   2 6      6 2 3 5      5 3 4 4      4 4 5 3      3 5 6 2
+--R           30a b c d  - 90a b c d  + 60a b c d  + 60a b c d  - 90a b c d
+--R         + 
+--R              2 6 7
+--R           30a b c d
+--R      *
+--R          3
+--R         x
+--R     + 
+--R           8 2 6       6 2 4 4       5 3 5 3       4 4 6 2      2 6 8  2
+--R       (15a c d  - 135a b c d  + 240a b c d  - 135a b c d  + 15a b c )x
+--R     + 
+--R           8 3 5      7   4 4      6 2 5 3      5 3 6 2      4 4 7       3 5 8
+--R       (30a c d  - 90a b c d  + 60a b c d  + 60a b c d  - 90a b c d + 30a b c )x
+--R     + 
+--R          8 4 4      7   5 3      6 2 6 2      5 3 7       4 4 8
+--R       15a c d  - 60a b c d  + 90a b c d  - 60a b c d + 15a b c
+--R                                         Type: Union(Expression(Integer),...)
+--E 1900
+
+--S 1901 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R           3       4  3      2   2       3     2        2 3       2 2 2      3 4
+--R       (- a c - 25a )d  + (9a b c  + 225a b c)d  + (9a b c  + 225a b c )d - b c
+--R     + 
+--R              3 3
+--R       - 25a b c
+--R  /
+--R        6 2 4      5   3 3      4 2 4 2      3 3 5       2 4 6
+--R     15a c d  - 60a b c d  + 90a b c d  - 60a b c d + 15a b c
+--R                                                    Type: Expression(Integer)
+--E 1901
+
+--S 1902 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1902
+
+)clear all
+
+--S 1903 of 2952
+t0000:=1/((a+b*x)^(7/2)*(c+d*x)^(5/2))
+--R 
+--R
+--R   (1)
+--R     1
+--R  /
+--R          3 2 5        2 2     3     4      2   2       2       3 2  3
+--R         b d x  + (3a b d  + 2b c d)x  + (3a b d  + 6a b c d + b c )x
+--R       + 
+--R           3 2     2            2 2  2      3        2   2      3 2
+--R         (a d  + 6a b c d + 3a b c )x  + (2a c d + 3a b c )x + a c
+--R    *
+--R        +-------+ +-------+
+--R       \|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1903
+
+--S 1904 of 2952
+r0000:=(-2/5)/((b*c-a*d)*(a+b*x)^(5/2)*(c+d*x)^(3/2))+_
+     16/15*d/((b*c-a*d)^2*(a+b*x)^(3/2)*(c+d*x)^(3/2))-_
+     32/5*d^2/((b*c-a*d)^3*(c+d*x)^(3/2)*sqrt(a+b*x))-_
+     128/15*d^3*sqrt(a+b*x)/((b*c-a*d)^4*(c+d*x)^(3/2))-_
+     256/15*b*d^3*sqrt(a+b*x)/((b*c-a*d)^5*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R           4 4 4          3 4       4   3  3
+--R       256b d x  + (640a b d  + 384b c d )x
+--R     + 
+--R            2 2 4         3   3      4 2 2  2
+--R       (480a b d  + 960a b c d  + 96b c d )x
+--R     + 
+--R           3   4       2 2   3         3 2 2      4 3         4 4       3     3
+--R       (80a b d  + 720a b c d  + 240a b c d  - 16b c d)x - 10a d  + 120a b c d
+--R     + 
+--R           2 2 2 2        3 3      4 4
+--R       180a b c d  - 40a b c d + 6b c
+--R  /
+--R                5 2 6      4 3   5       3 4 2 4       2 5 3 3        6 4 2
+--R             15a b d  - 75a b c d  + 150a b c d  - 150a b c d  + 75a b c d
+--R           + 
+--R                  7 5
+--R             - 15b c d
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                6   6       5 2   5       4 3 2 4       3 4 3 3        6 5
+--R             30a b d  - 135a b c d  + 225a b c d  - 150a b c d  + 45a b c d
+--R           + 
+--R                  7 6
+--R             - 15b c
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                7 6      6     5       4 3 3 3       3 4 4 2       2 5 5
+--R             15a d  - 45a b c d  + 150a b c d  - 225a b c d  + 135a b c d
+--R           + 
+--R                    6 6
+--R             - 30a b c
+--R        *
+--R           x
+--R       + 
+--R          7   5      6   2 4       5 2 3 3       4 3 4 2      3 4 5       2 5 6
+--R       15a c d  - 75a b c d  + 150a b c d  - 150a b c d  + 75a b c d - 15a b c
+--R    *
+--R        +-------+ +-------+
+--R       \|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1904
+
+--S 1905 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R               3 4 2 4 4        4 3 2 4       3 4 3 3  3
+--R           256a b c d x  + (640a b c d  + 384a b c d )x
+--R         + 
+--R                5 2 2 4       4 3 3 3      3 4 4 2  2
+--R           (480a b c d  + 960a b c d  + 96a b c d )x
+--R         + 
+--R               6   2 4       5 2 3 3       4 3 4 2      3 4 5         7 2 4
+--R           (80a b c d  + 720a b c d  + 240a b c d  - 16a b c d)x - 10a c d
+--R         + 
+--R               6   3 3       5 2 4 2      4 3 5      3 4 6
+--R           120a b c d  + 180a b c d  - 40a b c d + 6a b c
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|d x + c
+--R     + 
+--R              4 3      5 3  6         3 4 2      4 4   5
+--R           (5a b c + 5a b )d  + (- 60a b c  - 60a b c)d
+--R         + 
+--R                 2 5 3      3 5 2  4         6 4      2 6 3  3
+--R           (- 90a b c  - 90a b c )d  + (20a b c  + 20a b c )d
+--R         + 
+--R                7 5       7 4  2
+--R           (- 3b c  - 3a b c )d
+--R      *
+--R          5
+--R         x
+--R     + 
+--R               5 2       6 2  6          4 3 2       5 3   5
+--R           (15a b c + 15a b )d  + (- 170a b c  - 170a b c)d
+--R         + 
+--R                  3 4 3       4 4 2  4          2 5 4       3 5 3  3
+--R           (- 390a b c  - 390a b c )d  + (- 120a b c  - 120a b c )d
+--R         + 
+--R                 6 5      2 6 4  2        7 6       7 5
+--R           (31a b c  + 31a b c )d  + (- 6b c  - 6a b c )d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R               6         7   6          5 2 2       6 2   5
+--R           (15a b c + 15a b)d  + (- 150a b c  - 150a b c)d
+--R         + 
+--R                  4 3 3       5 3 2  4          3 4 4       4 4 3  3
+--R           (- 625a b c  - 625a b c )d  + (- 540a b c  - 540a b c )d
+--R         + 
+--R               2 5 5      3 5 4  2        6 6     2 6 5       7 7       7 6
+--R           (21a b c  + 21a b c )d  + (2a b c  + 2a b c )d - 3b c  - 3a b c
+--R      *
+--R          3
+--R         x
+--R     + 
+--R              7      8  6         6   2      7     5
+--R           (5a c + 5a )d  + (- 30a b c  - 30a b c)d
+--R         + 
+--R                  5 2 3       6 2 2  4          4 3 4       5 3 3  3
+--R           (- 435a b c  - 435a b c )d  + (- 700a b c  - 700a b c )d
+--R         + 
+--R                  3 4 5       4 4 4  2       2 5 6      3 5 5         6 7
+--R           (- 153a b c  - 153a b c )d  + (42a b c  + 42a b c )d - 9a b c
+--R         + 
+--R               2 6 6
+--R           - 9a b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R               7 2      8   5          6   3       7   2  4
+--R           (10a c  + 10a c)d  + (- 105a b c  - 105a b c )d
+--R         + 
+--R                  5 2 4       6 2 3  3          4 3 5       5 3 4  2
+--R           (- 360a b c  - 360a b c )d  + (- 230a b c  - 230a b c )d
+--R         + 
+--R               3 4 6      4 4 5       2 5 7     3 5 6
+--R           (54a b c  + 54a b c )d - 9a b c  - 9a b c
+--R      *
+--R         x
+--R     + 
+--R          7 3     8 2  4         6   4      7   3  3         5 2 5      6 2 4  2
+--R       (5a c  + 5a c )d  + (- 60a b c  - 60a b c )d  + (- 90a b c  - 90a b c )d
+--R     + 
+--R           4 3 6      5 3 5       3 4 7     4 4 6
+--R       (20a b c  + 20a b c )d - 3a b c  - 3a b c
+--R  /
+--R              8 3 2 7      7 4 3 6       6 5 4 5       5 6 5 4      4 7 6 3
+--R           15a b c d  - 75a b c d  + 150a b c d  - 150a b c d  + 75a b c d
+--R         + 
+--R                3 8 7 2
+--R           - 15a b c d
+--R      *
+--R          5
+--R         x
+--R     + 
+--R              9 2 2 7       8 3 3 6       7 4 4 5       6 5 5 4      5 6 6 3
+--R           45a b c d  - 195a b c d  + 300a b c d  - 150a b c d  - 75a b c d
+--R         + 
+--R               4 7 7 2      3 8 8
+--R           105a b c d  - 30a b c d
+--R      *
+--R          4
+--R         x
+--R     + 
+--R              10   2 7       9 2 3 6      8 3 4 5       7 4 5 4       6 5 6 3
+--R           45a  b c d  - 135a b c d  + 15a b c d  + 375a b c d  - 525a b c d
+--R         + 
+--R               5 6 7 2      4 7 8       3 8 9
+--R           255a b c d  - 15a b c d - 15a b c
+--R      *
+--R          3
+--R         x
+--R     + 
+--R              11 2 7      10   3 6       9 2 4 5       8 3 5 4       7 4 6 3
+--R           15a  c d  + 15a  b c d  - 255a b c d  + 525a b c d  - 375a b c d
+--R         + 
+--R                6 5 7 2       5 6 8       4 7 9
+--R           - 15a b c d  + 135a b c d - 45a b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R              11 3 6       10   4 5      9 2 5 4       8 3 6 3       7 4 7 2
+--R           30a  c d  - 105a  b c d  + 75a b c d  + 150a b c d  - 300a b c d
+--R         + 
+--R               6 5 8       5 6 9
+--R           195a b c d - 45a b c
+--R      *
+--R         x
+--R     + 
+--R        11 4 5      10   5 4       9 2 6 3       8 3 7 2      7 4 8       6 5 9
+--R     15a  c d  - 75a  b c d  + 150a b c d  - 150a b c d  + 75a b c d - 15a b c
+--R                                         Type: Union(Expression(Integer),...)
+--E 1905
+
+--S 1906 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R          4      5  4         3   2      4     3         2 2 3      3 2 2  2
+--R       (5a c + 5a )d  + (- 60a b c  - 60a b c)d  + (- 90a b c  - 90a b c )d
+--R     + 
+--R             3 4      2 3 3       4 5       4 4
+--R       (20a b c  + 20a b c )d - 3b c  - 3a b c
+--R  /
+--R        8 2 5      7   3 4       6 2 4 3       5 3 5 2      4 4 6       3 5 7
+--R     15a c d  - 75a b c d  + 150a b c d  - 150a b c d  + 75a b c d - 15a b c
+--R                                                    Type: Expression(Integer)
+--E 1906
+
+--S 1907 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1907
+
+)clear all
+
+--S 1908 of 2952
+t0000:=1/((a+b*x)^(9/2)*(c+d*x)^(5/2))
+--R 
+--R
+--R   (1)
+--R     1
+--R  /
+--R          4 2 6        3 2     4     5      2 2 2       3       4 2  4
+--R         b d x  + (4a b d  + 2b c d)x  + (6a b d  + 8a b c d + b c )x
+--R       + 
+--R            3   2      2 2          3 2  3     4 2     3          2 2 2  2
+--R         (4a b d  + 12a b c d + 4a b c )x  + (a d  + 8a b c d + 6a b c )x
+--R       + 
+--R            4        3   2      4 2
+--R         (2a c d + 4a b c )x + a c
+--R    *
+--R        +-------+ +-------+
+--R       \|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1908
+
+--S 1909 of 2952
+r0000:=(-2/7)/((b*c-a*d)*(a+b*x)^(7/2)*(c+d*x)^(3/2))+_
+     4/7*d/((b*c-a*d)^2*(a+b*x)^(5/2)*(c+d*x)^(3/2))-_
+     32/21*d^2/((b*c-a*d)^3*(a+b*x)^(3/2)*(c+d*x)^(3/2))+_
+     64/7*d^3/((b*c-a*d)^4*(c+d*x)^(3/2)*sqrt(a+b*x))+_
+     256/21*d^4*sqrt(a+b*x)/((b*c-a*d)^5*(c+d*x)^(3/2))+_
+     512/21*b*d^4*sqrt(a+b*x)/((b*c-a*d)^6*sqrt(c+d*x))
+--R 
+--R
+--R   (2)
+--R           5 5 5           4 5       5   4  4
+--R       512b d x  + (1792a b d  + 768b c d )x
+--R     + 
+--R             2 3 5          4   4       5 2 3  3
+--R       (2240a b d  + 2688a b c d  + 192b c d )x
+--R     + 
+--R             3 2 5        2 3   4         4 2 3      5 3 2  2
+--R       (1120a b d  + 3360a b c d  + 672a b c d  - 32b c d )x
+--R     + 
+--R            4   5        3 2   4       2 3 2 3         4 3 2      5 4
+--R       (140a b d  + 1680a b c d  + 840a b c d  - 112a b c d  + 12b c d)x
+--R     + 
+--R            5 5       4     4       3 2 2 3       2 3 3 2        4 4      5 5
+--R       - 14a d  + 210a b c d  + 420a b c d  - 140a b c d  + 42a b c d - 6b c
+--R  /
+--R                6 3 7       5 4   6       4 5 2 5       3 6 3 4       2 7 4 3
+--R             21a b d  - 126a b c d  + 315a b c d  - 420a b c d  + 315a b c d
+--R           + 
+--R                     8 5 2      9 6
+--R             - 126a b c d  + 21b c d
+--R        *
+--R            4
+--R           x
+--R       + 
+--R                7 2 7       6 3   6       5 4 2 5       4 5 3 4       3 6 4 3
+--R             63a b d  - 357a b c d  + 819a b c d  - 945a b c d  + 525a b c d
+--R           + 
+--R                  2 7 5 2        8 6       9 7
+--R             - 63a b c d  - 63a b c d + 21b c
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                8   7       7 2   6       6 3 2 5       5 4 3 4       4 5 4 3
+--R             63a b d  - 315a b c d  + 567a b c d  - 315a b c d  - 315a b c d
+--R           + 
+--R                 3 6 5 2       2 7 6         8 7
+--R             567a b c d  - 315a b c d + 63a b c
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                9 7      8     6      7 2 2 5       6 3 3 4       5 4 4 3
+--R             21a d  - 63a b c d  - 63a b c d  + 525a b c d  - 945a b c d
+--R           + 
+--R                 4 5 5 2       3 6 6       2 7 7
+--R             819a b c d  - 357a b c d + 63a b c
+--R        *
+--R           x
+--R       + 
+--R            9   6       8   2 5       7 2 3 4       6 3 4 3       5 4 5 2
+--R         21a c d  - 126a b c d  + 315a b c d  - 420a b c d  + 315a b c d
+--R       + 
+--R               4 5 6       3 6 7
+--R         - 126a b c d + 21a b c
+--R    *
+--R        +-------+ +-------+
+--R       \|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 1909
+
+--S 1910 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R                4 5 2 5 5         5 4 2 5        4 5 3 4  4
+--R           1024a b c d x  + (3584a b c d  + 1536a b c d )x
+--R         + 
+--R                 6 3 2 5        5 4 3 4       4 5 4 3  3
+--R           (4480a b c d  + 5376a b c d  + 384a b c d )x
+--R         + 
+--R                 7 2 2 5        6 3 3 4        5 4 4 3      4 5 5 2  2
+--R           (2240a b c d  + 6720a b c d  + 1344a b c d  - 64a b c d )x
+--R         + 
+--R                     8   2 5        7 2 3 4        6 3 4 3       5 4 5 2
+--R                 280a b c d  + 3360a b c d  + 1680a b c d  - 224a b c d
+--R               + 
+--R                    4 5 6
+--R                 24a b c d
+--R          *
+--R             x
+--R         + 
+--R                9 2 5       8   3 4       7 2 4 3       6 3 5 2      5 4 6
+--R           - 28a c d  + 420a b c d  + 840a b c d  - 280a b c d  + 84a b c d
+--R         + 
+--R                4 5 7
+--R           - 12a b c
+--R      *
+--R          +-------+ +-------+
+--R         \|b x + a \|d x + c
+--R     + 
+--R              5 4       6 4  7          4 5 2       5 5   6
+--R           (7a b c + 28a b )d  + (- 105a b c  - 420a b c)d
+--R         + 
+--R                  3 6 3       4 6 2  5       2 7 4       3 7 3  4
+--R           (- 210a b c  - 840a b c )d  + (70a b c  + 280a b c )d
+--R         + 
+--R                   8 5      2 8 4  3      9 6        9 5  2
+--R           (- 21a b c  - 84a b c )d  + (3b c  + 12a b c )d
+--R      *
+--R          6
+--R         x
+--R     + 
+--R               6 3        7 3  7          5 4 2        6 4   6
+--R           (28a b c + 112a b )d  + (- 406a b c  - 1624a b c)d
+--R         + 
+--R                   4 5 3        5 5 2  5          3 6 4       4 6 3  4
+--R           (- 1050a b c  - 4200a b c )d  + (- 140a b c  - 560a b c )d
+--R         + 
+--R               2 7 5       3 7 4  3           8 6       2 8 5  2
+--R           (56a b c  + 224a b c )d  + (- 30a b c  - 120a b c )d
+--R         + 
+--R              9 7        9 6
+--R           (6b c  + 24a b c )d
+--R      *
+--R          5
+--R         x
+--R     + 
+--R               7 2        8 2  7          6 3 2        7 3   6
+--R           (42a b c + 168a b )d  + (- 574a b c  - 2296a b c)d
+--R         + 
+--R                   5 4 3        6 4 2  5           4 5 4        5 5 3  4
+--R           (- 2093a b c  - 8372a b c )d  + (- 1365a b c  - 5460a b c )d
+--R         + 
+--R                3 6 5       4 6 4  3         2 7 6       3 7 5  2
+--R           (224a b c  + 896a b c )d  + (- 80a b c  - 320a b c )d
+--R         + 
+--R                8 7      2 8 6       9 8        9 7
+--R           (3a b c  + 12a b c )d + 3b c  + 12a b c
+--R      *
+--R          4
+--R         x
+--R     + 
+--R               8          9   7          7 2 2        8 2   6
+--R           (28a b c + 112a b)d  + (- 336a b c  - 1344a b c)d
+--R         + 
+--R                   6 3 3        7 3 2  5           5 4 4         6 4 3  4
+--R           (- 2072a b c  - 8288a b c )d  + (- 2660a b c  - 10640a b c )d
+--R         + 
+--R                 4 5 5       5 5 4  3       3 6 6       4 6 5  2
+--R           (- 84a b c  - 336a b c )d  + (40a b c  + 160a b c )d
+--R         + 
+--R                 2 7 7       3 7 6          8 8      2 8 7
+--R           (- 48a b c  - 192a b c )d + 12a b c  + 48a b c
+--R      *
+--R          3
+--R         x
+--R     + 
+--R              9       10  7         8   2       9     6
+--R           (7a c + 28a  )d  + (- 49a b c  - 196a b c)d
+--R         + 
+--R                   7 2 3        8 2 2  5           6 3 4        7 3 3  4
+--R           (- 1008a b c  - 4032a b c )d  + (- 2240a b c  - 8960a b c )d
+--R         + 
+--R                  5 4 5        6 4 4  3        4 5 6        5 5 5  2
+--R           (- 721a b c  - 2884a b c )d  + (255a b c  + 1020a b c )d
+--R         + 
+--R                  3 6 7       4 6 6        2 7 8      3 7 7
+--R           (- 102a b c  - 408a b c )d + 18a b c  + 72a b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R               9 2      10   6          8   3       9   2  5
+--R           (14a c  + 56a  c)d  + (- 182a b c  - 728a b c )d
+--R         + 
+--R                  7 2 4        8 2 3  4          6 3 5        7 3 4  3
+--R           (- 840a b c  - 3360a b c )d  + (- 700a b c  - 2800a b c )d
+--R         + 
+--R                5 4 6       6 4 5  2         4 5 7       5 5 6        3 6 8
+--R           (238a b c  + 952a b c )d  + (- 78a b c  - 312a b c )d + 12a b c
+--R         + 
+--R              4 6 7
+--R           48a b c
+--R      *
+--R         x
+--R     + 
+--R          9 3      10 2  5          8   4       9   3  4
+--R       (7a c  + 28a  c )d  + (- 105a b c  - 420a b c )d
+--R     + 
+--R              7 2 5       8 2 4  3       6 3 6       7 3 5  2
+--R       (- 210a b c  - 840a b c )d  + (70a b c  + 280a b c )d
+--R     + 
+--R             5 4 7      6 4 6       4 5 8      5 5 7
+--R       (- 21a b c  - 84a b c )d + 3a b c  + 12a b c
+--R  /
+--R              10 4 2 8       9 5 3 7       8 6 4 6       7 7 5 5       6 8 6 4
+--R           42a  b c d  - 252a b c d  + 630a b c d  - 840a b c d  + 630a b c d
+--R         + 
+--R                 5 9 7 3      4 10 8 2
+--R           - 252a b c d  + 42a b  c d
+--R      *
+--R          6
+--R         x
+--R     + 
+--R               11 3 2 8       10 4 3 7        9 5 4 6        8 6 5 5
+--R           168a  b c d  - 924a  b c d  + 2016a b c d  - 2100a b c d
+--R         + 
+--R               7 7 6 4       6 8 7 3       5 9 8 2      4 10 9
+--R           840a b c d  + 252a b c d  - 336a b c d  + 84a b  c d
+--R      *
+--R          5
+--R         x
+--R     + 
+--R               12 2 2 8        11 3 3 7        10 4 4 6       9 5 5 5
+--R           252a  b c d  - 1176a  b c d  + 1806a  b c d  - 252a b c d
+--R         + 
+--R                8 6 6 4        7 7 7 3        6 8 8 2      5 9 9       4 10 10
+--R         - 2310a b c d  + 2688a b c d  - 1134a b c d  + 84a b c d + 42a b  c
+--R      *
+--R          4
+--R         x
+--R     + 
+--R               13   2 8       12 2 3 7       11 3 4 6        10 4 5 5
+--R           168a  b c d  - 504a  b c d  - 336a  b c d  + 3192a  b c d
+--R         + 
+--R                9 5 6 4        8 6 7 3       7 7 8 2       6 8 9        5 9 10
+--R         - 5040a b c d  + 3192a b c d  - 336a b c d  - 504a b c d + 168a b c
+--R      *
+--R          3
+--R         x
+--R     + 
+--R              14 2 8      13   3 7        12 2 4 6        11 3 5 5
+--R           42a  c d  + 84a  b c d  - 1134a  b c d  + 2688a  b c d
+--R         + 
+--R                10 4 6 4       9 5 7 3        8 6 8 2        7 7 9        6 8 10
+--R         - 2310a  b c d  - 252a b c d  + 1806a b c d  - 1176a b c d + 252a b c
+--R      *
+--R          2
+--R         x
+--R     + 
+--R              14 3 7       13   4 6       12 2 5 5       11 3 6 4
+--R           84a  c d  - 336a  b c d  + 252a  b c d  + 840a  b c d
+--R         + 
+--R                  10 4 7 3        9 5 8 2       8 6 9        7 7 10
+--R           - 2100a  b c d  + 2016a b c d  - 924a b c d + 168a b c
+--R      *
+--R         x
+--R     + 
+--R          14 4 6       13   5 5       12 2 6 4       11 3 7 3       10 4 8 2
+--R       42a  c d  - 252a  b c d  + 630a  b c d  - 840a  b c d  + 630a  b c d
+--R     + 
+--R             9 5 9       8 6 10
+--R       - 252a b c d + 42a b c
+--R                                         Type: Union(Expression(Integer),...)
+--E 1910
+
+--S 1911 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R          5       6  5          4   2       5     4
+--R       (7a c + 28a )d  + (- 105a b c  - 420a b c)d
+--R     + 
+--R              3 2 3       4 2 2  3       2 3 4       3 3 3  2
+--R       (- 210a b c  - 840a b c )d  + (70a b c  + 280a b c )d
+--R     + 
+--R               4 5      2 4 4       5 6        5 5
+--R       (- 21a b c  - 84a b c )d + 3b c  + 12a b c
+--R  /
+--R          10 2 6       9   3 5       8 2 4 4       7 3 5 3       6 4 6 2
+--R       42a  c d  - 252a b c d  + 630a b c d  - 840a b c d  + 630a b c d
+--R     + 
+--R             5 5 7       4 6 8
+--R       - 252a b c d + 42a b c
+--R                                                    Type: Expression(Integer)
+--E 1911
+
+--S 1912 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1912
+
+)clear all
+
+--S 1913 of 2952
+t0000:=1/(sqrt(a+b*x)*sqrt(4+a+b*x))
+--R 
+--R
+--R                    1
+--R   (1)  ------------------------
+--R         +-------+ +-----------+
+--R        \|b x + a \|b x + a + 4
+--R                                                    Type: Expression(Integer)
+--E 1913
+
+--S 1914 of 2952
+r0000:=2*asinh(1/2*sqrt(a+b*x))/b
+--R 
+--R
+--R                +-------+
+--R               \|b x + a
+--R        2asinh(----------)
+--R                    2
+--R   (2)  ------------------
+--R                 b
+--R                                                    Type: Expression(Integer)
+--E 1914
+
+--S 1915 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R              +-----------+    +-------+
+--R        2log(\|b x + a + 4  + \|b x + a )
+--R   (3)  ---------------------------------
+--R                        b
+--R                                         Type: Union(Expression(Integer),...)
+--E 1915
+
+--S 1916 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R                                                    +-------+
+--R              +-----------+    +-------+           \|b x + a
+--R        2log(\|b x + a + 4  + \|b x + a ) - 2asinh(----------)
+--R                                                        2
+--R   (4)  ------------------------------------------------------
+--R                                   b
+--R                                                    Type: Expression(Integer)
+--E 1916
+
+--S 1917 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1917
+
+)clear all
+
+--S 1918 of 2952
+t0000:=1/(sqrt(2+b*x)*sqrt(6+b*x))
+--R 
+--R
+--R                  1
+--R   (1)  --------------------
+--R         +-------+ +-------+
+--R        \|b x + 2 \|b x + 6
+--R                                                    Type: Expression(Integer)
+--E 1918
+
+--S 1919 of 2952
+r0000:=2*asinh(1/2*sqrt(2+b*x))/b
+--R 
+--R
+--R                +-------+
+--R               \|b x + 2
+--R        2asinh(----------)
+--R                    2
+--R   (2)  ------------------
+--R                 b
+--R                                                    Type: Expression(Integer)
+--E 1919
+
+--S 1920 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   integrate: implementation incomplete (non-algebraic residues)
+--R
+--R   Continuing to read the file...
+--R
+--E 1920
+
+--S 1921 of 2952
+--m0000:=a0000 - r0000
+--E 1921
+
+--S 1922 of 2952
+--d0000:=D(m0000,x)
+--E 1922
+
+)clear all
+
+--S 1923 of 2952
+t0000:=1/(sqrt(1+b*x)*sqrt(5+b*x))
+--R 
+--R
+--R                  1
+--R   (1)  --------------------
+--R         +-------+ +-------+
+--R        \|b x + 1 \|b x + 5
+--R                                                    Type: Expression(Integer)
+--E 1923
+
+--S 1924 of 2952
+r0000:=2*asinh(1/2*sqrt(1+b*x))/b
+--R 
+--R
+--R                +-------+
+--R               \|b x + 1
+--R        2asinh(----------)
+--R                    2
+--R   (2)  ------------------
+--R                 b
+--R                                                    Type: Expression(Integer)
+--E 1924
+
+--S 1925 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                +-------+    +-------+
+--R          2log(\|b x + 5  - \|b x + 1 )
+--R   (3)  - -----------------------------
+--R                        b
+--R                                         Type: Union(Expression(Integer),...)
+--E 1925
+
+--S 1926 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R                                                  +-------+
+--R                +-------+    +-------+           \|b x + 1
+--R        - 2log(\|b x + 5  - \|b x + 1 ) - 2asinh(----------)
+--R                                                      2
+--R   (4)  ----------------------------------------------------
+--R                                  b
+--R                                                    Type: Expression(Integer)
+--E 1926
+
+--S 1927 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1927
+
+)clear all
+
+--S 1928 of 2952
+t0000:=1/(sqrt(b*x)*sqrt(4+b*x))
+--R 
+--R
+--R                1
+--R   (1)  ----------------
+--R         +---+ +-------+
+--R        \|b x \|b x + 4
+--R                                                    Type: Expression(Integer)
+--E 1928
+
+--S 1929 of 2952
+r0000:=2*asinh(1/2*sqrt(b*x))/b
+--R 
+--R
+--R                +---+
+--R               \|b x
+--R        2asinh(------)
+--R                  2
+--R   (2)  --------------
+--R               b
+--R                                                    Type: Expression(Integer)
+--E 1929
+
+--S 1930 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   integrate: implementation incomplete (non-algebraic residues)
+--R
+--R   Continuing to read the file...
+--R
+--E 1930
+
+--S 1931 of 2952
+--m0000:=a0000 - r0000
+--E 1931
+
+--S 1932 of 2952
+--d0000:=D(m0000,x)
+--E 1932
+
+)clear all
+
+--S 1933 of 2952
+t0000:=1/(sqrt(-1+b*x)*sqrt(3+b*x))
+--R 
+--R
+--R                  1
+--R   (1)  --------------------
+--R         +-------+ +-------+
+--R        \|b x - 1 \|b x + 3
+--R                                                    Type: Expression(Integer)
+--E 1933
+
+--S 1934 of 2952
+r0000:=2*asinh(1/2*sqrt(-1+b*x))/b
+--R 
+--R
+--R                +-------+
+--R               \|b x - 1
+--R        2asinh(----------)
+--R                    2
+--R   (2)  ------------------
+--R                 b
+--R                                                    Type: Expression(Integer)
+--E 1934
+
+--S 1935 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R              +-------+    +-------+
+--R        2log(\|b x + 3  + \|b x - 1 )
+--R   (3)  -----------------------------
+--R                      b
+--R                                         Type: Union(Expression(Integer),...)
+--E 1935
+
+--S 1936 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R                                                +-------+
+--R              +-------+    +-------+           \|b x - 1
+--R        2log(\|b x + 3  + \|b x - 1 ) - 2asinh(----------)
+--R                                                    2
+--R   (4)  --------------------------------------------------
+--R                                 b
+--R                                                    Type: Expression(Integer)
+--E 1936
+
+--S 1937 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1937
+
+)clear all
+
+--S 1938 of 2952
+t0000:=1/(sqrt(-2+b*x)*sqrt(2+b*x))
+--R 
+--R
+--R                  1
+--R   (1)  --------------------
+--R         +-------+ +-------+
+--R        \|b x - 2 \|b x + 2
+--R                                                    Type: Expression(Integer)
+--E 1938
+
+--S 1939 of 2952
+r0000:=acosh(1/2*b*x)/b
+--R 
+--R
+--R              b x
+--R        acosh(---)
+--R               2
+--R   (2)  ----------
+--R             b
+--R                                                    Type: Expression(Integer)
+--E 1939
+
+--S 1940 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   integrate: implementation incomplete (non-algebraic residues)
+--R
+--R   Continuing to read the file...
+--R
+--E 1940
+
+--S 1941 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R                b x
+--R        - acosh(---) + a0000 b
+--R                 2
+--R   (3)  ----------------------
+--R                   b
+--R                                                    Type: Expression(Integer)
+--E 1941
+
+--S 1942 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R               1
+--R   (4)  - -----------
+--R           +--------+
+--R           | 2 2
+--R          \|b x  - 4
+--R                                                    Type: Expression(Integer)
+--E 1942
+
+)clear all
+
+--S 1943 of 2952
+t0000:=1/(sqrt(-3+b*x)*sqrt(1+b*x))
+--R 
+--R
+--R                  1
+--R   (1)  --------------------
+--R         +-------+ +-------+
+--R        \|b x - 3 \|b x + 1
+--R                                                    Type: Expression(Integer)
+--E 1943
+
+--S 1944 of 2952
+r0000:=2*asinh(1/2*sqrt(-3+b*x))/b
+--R 
+--R
+--R                +-------+
+--R               \|b x - 3
+--R        2asinh(----------)
+--R                    2
+--R   (2)  ------------------
+--R                 b
+--R                                                    Type: Expression(Integer)
+--E 1944
+
+--S 1945 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   integrate: implementation incomplete (non-algebraic residues)
+--R
+--R   Continuing to read the file...
+--R
+--E 1945
+
+--S 1946 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R                  +-------+
+--R                 \|b x - 3
+--R        - 2asinh(----------) + a0000 b
+--R                      2
+--R   (3)  ------------------------------
+--R                       b
+--R                                                    Type: Expression(Integer)
+--E 1946
+
+--S 1947 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R                    1
+--R   (4)  - --------------------
+--R           +-------+ +-------+
+--R          \|b x - 3 \|b x + 1
+--R                                                    Type: Expression(Integer)
+--E 1947
+
+)clear all
+
+--S 1948 of 2952
+t0000:=1/(sqrt(2+b*x)*sqrt(3+b*x))
+--R 
+--R
+--R                  1
+--R   (1)  --------------------
+--R         +-------+ +-------+
+--R        \|b x + 2 \|b x + 3
+--R                                                    Type: Expression(Integer)
+--E 1948
+
+--S 1949 of 2952
+r0000:=2*asinh(sqrt(2+b*x))/b
+--R 
+--R
+--R                +-------+
+--R        2asinh(\|b x + 2 )
+--R   (2)  ------------------
+--R                 b
+--R                                                    Type: Expression(Integer)
+--E 1949
+
+--S 1950 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R              +-------+    +-------+
+--R        2log(\|b x + 3  + \|b x + 2 )
+--R   (3)  -----------------------------
+--R                      b
+--R                                         Type: Union(Expression(Integer),...)
+--E 1950
+
+--S 1951 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R              +-------+    +-------+            +-------+
+--R        2log(\|b x + 3  + \|b x + 2 ) - 2asinh(\|b x + 2 )
+--R   (4)  --------------------------------------------------
+--R                                 b
+--R                                                    Type: Expression(Integer)
+--E 1951
+
+--S 1952 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1952
+
+)clear all
+
+--S 1953 of 2952
+t0000:=1/sqrt(2+b*x)^2
+--R 
+--R
+--R           1
+--R   (1)  -------
+--R        b x + 2
+--R                                                    Type: Expression(Integer)
+--E 1953
+
+--S 1954 of 2952
+r0000:=log(2+b*x)/b
+--R 
+--R
+--R        log(b x + 2)
+--R   (2)  ------------
+--R              b
+--R                                                    Type: Expression(Integer)
+--E 1954
+
+--S 1955 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        log(b x + 2)
+--R   (3)  ------------
+--R              b
+--R                                         Type: Union(Expression(Integer),...)
+--E 1955
+
+--S 1956 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 1956
+
+--S 1957 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1957
+
+)clear all
+
+--S 1958 of 2952
+t0000:=1/(sqrt(1+b*x)*sqrt(2+b*x))
+--R 
+--R
+--R                  1
+--R   (1)  --------------------
+--R         +-------+ +-------+
+--R        \|b x + 1 \|b x + 2
+--R                                                    Type: Expression(Integer)
+--E 1958
+
+--S 1959 of 2952
+r0000:=2*asinh(sqrt(1+b*x))/b
+--R 
+--R
+--R                +-------+
+--R        2asinh(\|b x + 1 )
+--R   (2)  ------------------
+--R                 b
+--R                                                    Type: Expression(Integer)
+--E 1959
+
+--S 1960 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R              +-------+    +-------+
+--R        2log(\|b x + 2  + \|b x + 1 )
+--R   (3)  -----------------------------
+--R                      b
+--R                                         Type: Union(Expression(Integer),...)
+--E 1960
+
+--S 1961 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R              +-------+    +-------+            +-------+
+--R        2log(\|b x + 2  + \|b x + 1 ) - 2asinh(\|b x + 1 )
+--R   (4)  --------------------------------------------------
+--R                                 b
+--R                                                    Type: Expression(Integer)
+--E 1961
+
+--S 1962 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1962
+
+)clear all
+
+--S 1963 of 2952
+t0000:=1/(sqrt(b*x)*sqrt(2+b*x))
+--R 
+--R
+--R                1
+--R   (1)  ----------------
+--R         +---+ +-------+
+--R        \|b x \|b x + 2
+--R                                                    Type: Expression(Integer)
+--E 1963
+
+--S 1964 of 2952
+r0000:=2*asinh(sqrt(b*x)/sqrt(2))/b
+--R 
+--R
+--R                +---+
+--R               \|b x
+--R        2asinh(------)
+--R                 +-+
+--R                \|2
+--R   (2)  --------------
+--R               b
+--R                                                    Type: Expression(Integer)
+--E 1964
+
+--S 1965 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   integrate: implementation incomplete (non-algebraic residues)
+--R
+--R   Continuing to read the file...
+--R
+--E 1965
+
+--S 1966 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R                  +---+
+--R                 \|b x
+--R        - 2asinh(------) + a0000 b
+--R                   +-+
+--R                  \|2
+--R   (3)  --------------------------
+--R                     b
+--R                                                    Type: Expression(Integer)
+--E 1966
+
+--S 1967 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R                  1
+--R   (4)  - ----------------
+--R           +---+ +-------+
+--R          \|b x \|b x + 2
+--R                                                    Type: Expression(Integer)
+--E 1967
+
+)clear all
+
+--S 1968 of 2952
+t0000:=1/(sqrt(-1+b*x)*sqrt(2+b*x))
+--R 
+--R
+--R                  1
+--R   (1)  --------------------
+--R         +-------+ +-------+
+--R        \|b x - 1 \|b x + 2
+--R                                                    Type: Expression(Integer)
+--E 1968
+
+--S 1969 of 2952
+r0000:=2*asinh(sqrt(-1+b*x)/sqrt(3))/b
+--R 
+--R
+--R                +-------+
+--R               \|b x - 1
+--R        2asinh(----------)
+--R                   +-+
+--R                  \|3
+--R   (2)  ------------------
+--R                 b
+--R                                                    Type: Expression(Integer)
+--E 1969
+
+--S 1970 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R              +-------+    +-------+
+--R        2log(\|b x + 2  + \|b x - 1 )
+--R   (3)  -----------------------------
+--R                      b
+--R                                         Type: Union(Expression(Integer),...)
+--E 1970
+
+--S 1971 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R                                                +-------+
+--R              +-------+    +-------+           \|b x - 1
+--R        2log(\|b x + 2  + \|b x - 1 ) - 2asinh(----------)
+--R                                                   +-+
+--R                                                  \|3
+--R   (4)  --------------------------------------------------
+--R                                 b
+--R                                                    Type: Expression(Integer)
+--E 1971
+
+--S 1972 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 1972
+
+)clear all
+
+--S 1973 of 2952
+t0000:=1/(sqrt(-2+b*x)*sqrt(2+b*x))
+--R 
+--R
+--R                  1
+--R   (1)  --------------------
+--R         +-------+ +-------+
+--R        \|b x - 2 \|b x + 2
+--R                                                    Type: Expression(Integer)
+--E 1973
+
+--S 1974 of 2952
+r0000:=acosh(1/2*b*x)/b
+--R 
+--R
+--R              b x
+--R        acosh(---)
+--R               2
+--R   (2)  ----------
+--R             b
+--R                                                    Type: Expression(Integer)
+--E 1974
+
+--S 1975 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R              +-------+    +-------+
+--R        2log(\|b x + 2  + \|b x - 2 )
+--R   (3)  -----------------------------
+--R                      b
+--R                                         Type: Union(Expression(Integer),...)
+--E 1975
+
+--S 1976 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R              +-------+    +-------+          b x
+--R        2log(\|b x + 2  + \|b x - 2 ) - acosh(---)
+--R                                               2
+--R   (4)  ------------------------------------------
+--R                             b
+--R                                                    Type: Expression(Integer)
+--E 1976
+
+--S 1977 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R         +--------+
+--R         | 2 2         +-------+ +-------+
+--R        \|b x  - 4  - \|b x - 2 \|b x + 2
+--R   (5)  ----------------------------------
+--R                               +--------+
+--R           +-------+ +-------+ | 2 2
+--R          \|b x - 2 \|b x + 2 \|b x  - 4
+--R                                                    Type: Expression(Integer)
+--E 1977
+
+)clear all
+
+--S 1978 of 2952
+t0000:=1/(sqrt(-3+b*x)*sqrt(2+b*x))
+--R 
+--R
+--R                  1
+--R   (1)  --------------------
+--R         +-------+ +-------+
+--R        \|b x - 3 \|b x + 2
+--R                                                    Type: Expression(Integer)
+--E 1978
+
+--S 1979 of 2952
+r0000:=2*asinh(sqrt(-3+b*x)/sqrt(5))/b
+--R 
+--R
+--R                +-------+
+--R               \|b x - 3
+--R        2asinh(----------)
+--R                   +-+
+--R                  \|5
+--R   (2)  ------------------
+--R                 b
+--R                                                    Type: Expression(Integer)
+--E 1979
+
+--S 1980 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   integrate: implementation incomplete (non-algebraic residues)
+--R
+--R   Continuing to read the file...
+--R
+--E 1980
+
+--S 1981 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R                  +-------+
+--R                 \|b x - 3
+--R        - 2asinh(----------) + a0000 b
+--R                     +-+
+--R                    \|5
+--R   (3)  ------------------------------
+--R                       b
+--R                                                    Type: Expression(Integer)
+--E 1981
+
+-- TPDHERE
+--S 1982 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R                    1
+--R   (4)  - --------------------
+--R           +-------+ +-------+
+--R          \|b x - 3 \|b x + 2
+--R                                                    Type: Expression(Integer)
+--E 1982
+
+)clear all
+
+--S 1983 of 2952
+t0000:=1/(sqrt(3-b*x)*sqrt(2+b*x))
+--R 
+--R
+--R                   1
+--R   (1)  ----------------------
+--R         +---------+ +-------+
+--R        \|- b x + 3 \|b x + 2
+--R                                                    Type: Expression(Integer)
+--E 1983
+
+--S 1984 of 2952
+r0000:=-asin(1/5*(1-2*b*x))/b
+--R 
+--R
+--R             2b x - 1
+--R        asin(--------)
+--R                 5
+--R   (2)  --------------
+--R               b
+--R                                                    Type: Expression(Integer)
+--E 1984
+
+--S 1985 of 2952
+--a0000:=integrate(t0000,x)
+--E 1985
+
+--S 1986 of 2952
+--m0000:=a0000 - r0000
+--E 1986
+
+--S 1987 of 2952
+--d0000:=D(m0000,x)
+--E 1987
+
+)clear all
+
+--S 1988 of 2952
+t0000:=1/(sqrt(2-b*x)*sqrt(2+b*x))
+--R 
+--R
+--R                   1
+--R   (1)  ----------------------
+--R         +---------+ +-------+
+--R        \|- b x + 2 \|b x + 2
+--R                                                    Type: Expression(Integer)
+--E 1988
+
+--S 1989 of 2952
+r0000:=asin(1/2*b*x)/b
+--R 
+--R
+--R             b x
+--R        asin(---)
+--R              2
+--R   (2)  ---------
+--R            b
+--R                                                    Type: Expression(Integer)
+--E 1989
+
+--S 1990 of 2952
+--a0000:=integrate(t0000,x)
+--E 1990
+
+--S 1991 of 2952
+--m0000:=a0000 - r0000
+--E 1991
+
+--S 1992 of 2952
+--d0000:=D(m0000,x)
+--E 1992
+
+)clear all
+
+--S 1993 of 2952
+t0000:=1/(sqrt(1-b*x)*sqrt(2+b*x))
+--R 
+--R
+--R                   1
+--R   (1)  ----------------------
+--R         +---------+ +-------+
+--R        \|- b x + 1 \|b x + 2
+--R                                                    Type: Expression(Integer)
+--E 1993
+
+--S 1994 of 2952
+r0000:=-asin(1/3*(-1-2*b*x))/b
+--R 
+--R
+--R             2b x + 1
+--R        asin(--------)
+--R                 3
+--R   (2)  --------------
+--R               b
+--R                                                    Type: Expression(Integer)
+--E 1994
+
+--S 1995 of 2952
+--a0000:=integrate(t0000,x)
+--E 1995
+
+--S 1996 of 2952
+--m0000:=a0000 - r0000
+--E 1996
+
+--S 1997 of 2952
+--d0000:=D(m0000,x)
+--E 1997
+
+)clear all
+
+--S 1998 of 2952
+t0000:=1/(sqrt(-b*x)*sqrt(2+b*x))
+--R 
+--R
+--R                 1
+--R   (1)  ------------------
+--R         +-----+ +-------+
+--R        \|- b x \|b x + 2
+--R                                                    Type: Expression(Integer)
+--E 1998
+
+--S 1999 of 2952
+r0000:=asin(1+b*x)/b
+--R 
+--R
+--R        asin(b x + 1)
+--R   (2)  -------------
+--R              b
+--R                                                    Type: Expression(Integer)
+--E 1999
+
+--S 2000 of 2952
+--a0000:=integrate(t0000,x)
+--E 2000
+
+--S 2001 of 2952
+--m0000:=a0000 - r0000
+--E 2001
+
+--S 2002 of 2952
+--d0000:=D(m0000,x)
+--E 2002
+
+)clear all
+
+--S 2003 of 2952
+t0000:=1/(sqrt(-1-b*x)*sqrt(2+b*x))
+--R 
+--R
+--R                   1
+--R   (1)  ----------------------
+--R         +---------+ +-------+
+--R        \|- b x - 1 \|b x + 2
+--R                                                    Type: Expression(Integer)
+--E 2003
+
+--S 2004 of 2952
+r0000:=asin(3+2*b*x)/b
+--R 
+--R
+--R        asin(2b x + 3)
+--R   (2)  --------------
+--R               b
+--R                                                    Type: Expression(Integer)
+--E 2004
+
+--S 2005 of 2952
+--a0000:=integrate(t0000,x)
+--E 2005
+
+--S 2006 of 2952
+--m0000:=a0000 - r0000
+--E 2006
+
+--S 2007 of 2952
+--d0000:=D(m0000,x)
+--E 2007
+
+)clear all
+
+--S 2008 of 2952
+t0000:=1/(sqrt(-2-b*x)*sqrt(2+b*x))
+--R 
+--R
+--R                   1
+--R   (1)  ----------------------
+--R         +---------+ +-------+
+--R        \|- b x - 2 \|b x + 2
+--R                                                    Type: Expression(Integer)
+--E 2008
+
+--S 2009 of 2952
+r0000:=log(2+b*x)*sqrt(2+b*x)/(b*sqrt(-2-b*x))
+--R 
+--R
+--R                     +-------+
+--R        log(b x + 2)\|b x + 2
+--R   (2)  ----------------------
+--R               +---------+
+--R             b\|- b x - 2
+--R                                                    Type: Expression(Integer)
+--E 2009
+
+--S 2010 of 2952
+--a0000:=integrate(t0000,x)
+--E 2010
+
+--S 2011 of 2952
+--m0000:=a0000 - r0000
+--E 2011
+
+--S 2012 of 2952
+--d0000:=D(m0000,x)
+--E 2012
+
+)clear all
+
+--S 2013 of 2952
+t0000:=1/(sqrt(-3-b*x)*sqrt(2+b*x))
+--R 
+--R
+--R                   1
+--R   (1)  ----------------------
+--R         +---------+ +-------+
+--R        \|- b x - 3 \|b x + 2
+--R                                                    Type: Expression(Integer)
+--E 2013
+
+--S 2014 of 2952
+r0000:=-2*atan(sqrt(-3-b*x)/sqrt(2+b*x))/b
+--R 
+--R
+--R                 +---------+
+--R                \|- b x - 3
+--R          2atan(------------)
+--R                  +-------+
+--R                 \|b x + 2
+--R   (2)  - -------------------
+--R                   b
+--R                                                    Type: Expression(Integer)
+--E 2014
+
+--S 2015 of 2952
+--a0000:=integrate(t0000,x)
+--E 2015
+
+--S 2016 of 2952
+--m0000:=a0000 - r0000
+--E 2016
+
+--S 2017 of 2952
+--d0000:=D(m0000,x)
+--E 2017
+
+)clear all
+
+--S 2018 of 2952
+t0000:=1/(sqrt(2-b*x)*sqrt(3-b*x))
+--R 
+--R
+--R                    1
+--R   (1)  ------------------------
+--R         +---------+ +---------+
+--R        \|- b x + 2 \|- b x + 3
+--R                                                    Type: Expression(Integer)
+--E 2018
+
+--S 2019 of 2952
+r0000:=-2*asinh(sqrt(2-b*x))/b
+--R 
+--R
+--R                  +---------+
+--R          2asinh(\|- b x + 2 )
+--R   (2)  - --------------------
+--R                    b
+--R                                                    Type: Expression(Integer)
+--E 2019
+
+--S 2020 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R              +---------+    +---------+
+--R        2log(\|- b x + 3  - \|- b x + 2 )
+--R   (3)  ---------------------------------
+--R                        b
+--R                                         Type: Union(Expression(Integer),...)
+--E 2020
+
+--S 2021 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R              +---------+    +---------+            +---------+
+--R        2log(\|- b x + 3  - \|- b x + 2 ) + 2asinh(\|- b x + 2 )
+--R   (4)  --------------------------------------------------------
+--R                                    b
+--R                                                    Type: Expression(Integer)
+--E 2021
+
+--S 2022 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2022
+
+)clear all
+
+--S 2023 of 2952
+t0000:=1/sqrt(2-b*x)^2
+--R 
+--R
+--R             1
+--R   (1)  - -------
+--R          b x - 2
+--R                                                    Type: Expression(Integer)
+--E 2023
+
+--S 2024 of 2952
+r0000:=-log(2-b*x)/b
+--R 
+--R
+--R          log(- b x + 2)
+--R   (2)  - --------------
+--R                 b
+--R                                                    Type: Expression(Integer)
+--E 2024
+
+--S 2025 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R          log(b x - 2)
+--R   (3)  - ------------
+--R                b
+--R                                         Type: Union(Expression(Integer),...)
+--E 2025
+
+--S 2026 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R        - log(b x - 2) + log(- b x + 2)
+--R   (4)  -------------------------------
+--R                       b
+--R                                                    Type: Expression(Integer)
+--E 2026
+
+--S 2027 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2027
+
+)clear all
+
+--S 2028 of 2952
+t0000:=1/(sqrt(1-b*x)*sqrt(2-b*x))
+--R 
+--R
+--R                    1
+--R   (1)  ------------------------
+--R         +---------+ +---------+
+--R        \|- b x + 1 \|- b x + 2
+--R                                                    Type: Expression(Integer)
+--E 2028
+
+--S 2029 of 2952
+r0000:=-2*asinh(sqrt(1-b*x))/b
+--R 
+--R
+--R                  +---------+
+--R          2asinh(\|- b x + 1 )
+--R   (2)  - --------------------
+--R                    b
+--R                                                    Type: Expression(Integer)
+--E 2029
+
+--S 2030 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                +---------+    +---------+
+--R          2log(\|- b x + 2  + \|- b x + 1 )
+--R   (3)  - ---------------------------------
+--R                          b
+--R                                         Type: Union(Expression(Integer),...)
+--E 2030
+
+--S 2031 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R                +---------+    +---------+            +---------+
+--R        - 2log(\|- b x + 2  + \|- b x + 1 ) + 2asinh(\|- b x + 1 )
+--R   (4)  ----------------------------------------------------------
+--R                                     b
+--R                                                    Type: Expression(Integer)
+--E 2031
+
+--S 2032 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2032
+
+)clear all
+
+--S 2033 of 2952
+t0000:=1/(sqrt(-b*x)*sqrt(2-b*x))
+--R 
+--R
+--R                  1
+--R   (1)  --------------------
+--R         +-----+ +---------+
+--R        \|- b x \|- b x + 2
+--R                                                    Type: Expression(Integer)
+--E 2033
+
+--S 2034 of 2952
+r0000:=-2*asinh(sqrt(-b*x)/sqrt(2))/b
+--R 
+--R
+--R                  +-----+
+--R                 \|- b x
+--R          2asinh(--------)
+--R                    +-+
+--R                   \|2
+--R   (2)  - ----------------
+--R                  b
+--R                                                    Type: Expression(Integer)
+--E 2034
+
+--S 2035 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   integrate: implementation incomplete (non-algebraic residues)
+--R
+--R   Continuing to read the file...
+--R
+--E 2035
+
+--S 2036 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R                +-----+
+--R               \|- b x
+--R        2asinh(--------) + a0000 b
+--R                  +-+
+--R                 \|2
+--R   (3)  --------------------------
+--R                     b
+--R                                                    Type: Expression(Integer)
+--E 2036
+
+--S 2037 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R                    1
+--R   (4)  - --------------------
+--R           +-----+ +---------+
+--R          \|- b x \|- b x + 2
+--R                                                    Type: Expression(Integer)
+--E 2037
+
+)clear all
+
+--S 2038 of 2952
+t0000:=1/(sqrt(-1-b*x)*sqrt(2-b*x))
+--R 
+--R
+--R                    1
+--R   (1)  ------------------------
+--R         +---------+ +---------+
+--R        \|- b x - 1 \|- b x + 2
+--R                                                    Type: Expression(Integer)
+--E 2038
+
+--S 2039 of 2952
+r0000:=-2*asinh(sqrt(-1-b*x)/sqrt(3))/b
+--R 
+--R
+--R                  +---------+
+--R                 \|- b x - 1
+--R          2asinh(------------)
+--R                      +-+
+--R                     \|3
+--R   (2)  - --------------------
+--R                    b
+--R                                                    Type: Expression(Integer)
+--E 2039
+
+--S 2040 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   integrate: implementation incomplete (non-algebraic residues)
+--R
+--R   Continuing to read the file...
+--R
+--E 2040
+
+--S 2041 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R                +---------+
+--R               \|- b x - 1
+--R        2asinh(------------) + a0000 b
+--R                    +-+
+--R                   \|3
+--R   (3)  ------------------------------
+--R                       b
+--R                                                    Type: Expression(Integer)
+--E 2041
+
+-- TPDHERE
+--S 2042 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R                      1
+--R   (4)  - ------------------------
+--R           +---------+ +---------+
+--R          \|- b x - 1 \|- b x + 2
+--R                                                    Type: Expression(Integer)
+--E 2042
+
+)clear all
+
+--S 2043 of 2952
+t0000:=1/(sqrt(-2-b*x)*sqrt(2-b*x))
+--R 
+--R
+--R                    1
+--R   (1)  ------------------------
+--R         +---------+ +---------+
+--R        \|- b x - 2 \|- b x + 2
+--R                                                    Type: Expression(Integer)
+--E 2043
+
+--S 2044 of 2952
+r0000:=-acosh(-1/2*b*x)/b
+--R 
+--R
+--R                  b x
+--R          acosh(- ---)
+--R                   2
+--R   (2)  - ------------
+--R                b
+--R                                                    Type: Expression(Integer)
+--E 2044
+
+--S 2045 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   integrate: implementation incomplete (non-algebraic residues)
+--R
+--R   Continuing to read the file...
+--R
+--E 2045
+
+--S 2046 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R                b x
+--R        acosh(- ---) + a0000 b
+--R                 2
+--R   (3)  ----------------------
+--R                   b
+--R                                                    Type: Expression(Integer)
+--E 2046
+
+--S 2047 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R               1
+--R   (4)  - -----------
+--R           +--------+
+--R           | 2 2
+--R          \|b x  - 4
+--R                                                    Type: Expression(Integer)
+--E 2047
+
+)clear all
+
+--S 2048 of 2952
+t0000:=1/(sqrt(-3-b*x)*sqrt(2-b*x))
+--R 
+--R
+--R                    1
+--R   (1)  ------------------------
+--R         +---------+ +---------+
+--R        \|- b x - 3 \|- b x + 2
+--R                                                    Type: Expression(Integer)
+--E 2048
+
+--S 2049 of 2952
+r0000:=-2*asinh(sqrt(-3-b*x)/sqrt(5))/b
+--R 
+--R
+--R                  +---------+
+--R                 \|- b x - 3
+--R          2asinh(------------)
+--R                      +-+
+--R                     \|5
+--R   (2)  - --------------------
+--R                    b
+--R                                                    Type: Expression(Integer)
+--E 2049
+
+--S 2050 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   integrate: implementation incomplete (non-algebraic residues)
+--R
+--R   Continuing to read the file...
+--R
+--E 2050
+
+--S 2051 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R                +---------+
+--R               \|- b x - 3
+--R        2asinh(------------) + a0000 b
+--R                    +-+
+--R                   \|5
+--R   (3)  ------------------------------
+--R                       b
+--R                                                    Type: Expression(Integer)
+--E 2051
+
+--S 2052 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R                      1
+--R   (4)  - ------------------------
+--R           +---------+ +---------+
+--R          \|- b x - 3 \|- b x + 2
+--R                                                    Type: Expression(Integer)
+--E 2052
+
+)clear all
+
+--S 2053 of 2952
+t0000:=1/(sqrt(-4+b*x)*sqrt(4+b*x))
+--R 
+--R
+--R                  1
+--R   (1)  --------------------
+--R         +-------+ +-------+
+--R        \|b x - 4 \|b x + 4
+--R                                                    Type: Expression(Integer)
+--E 2053
+
+--S 2054 of 2952
+r0000:=acosh(1/4*b*x)/b
+--R 
+--R
+--R              b x
+--R        acosh(---)
+--R               4
+--R   (2)  ----------
+--R             b
+--R                                                    Type: Expression(Integer)
+--E 2054
+
+--S 2055 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R 
+--RDaly Bug
+--R   >> Error detected within library code:
+--R   integrate: implementation incomplete (non-algebraic residues)
+--R
+--R   Continuing to read the file...
+--R
+--E 2055
+
+--S 2056 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R                b x
+--R        - acosh(---) + a0000 b
+--R                 4
+--R   (3)  ----------------------
+--R                   b
+--R                                                    Type: Expression(Integer)
+--E 2056
+
+--S 2057 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R                1
+--R   (4)  - ------------
+--R           +---------+
+--R           | 2 2
+--R          \|b x  - 16
+--R                                                    Type: Expression(Integer)
+--E 2057
+
+)clear all
+
+--S 2058 of 2952
+t0000:=1/(sqrt((-b+b*c)/d+b*x)*sqrt(c+d*x))
+--R 
+--R
+--R                      1
+--R   (1)  ----------------------------
+--R         +---------------+
+--R         |b d x + b c - b  +-------+
+--R         |--------------- \|d x + c
+--R        \|       d
+--R                                                    Type: Expression(Integer)
+--E 2058
+
+--S 2059 of 2952
+r0000:=2*atanh(sqrt(d)*sqrt(-b*(1-c)/d+b*x)/(sqrt(b)*sqrt(c+d*x)))/_
+     (sqrt(b)*sqrt(d))
+--R 
+--R
+--R                    +---------------+
+--R                +-+ |b d x + b c - b
+--R               \|d  |---------------
+--R                   \|       d
+--R        2atanh(----------------------)
+--R                    +-+ +-------+
+--R                   \|b \|d x + c
+--R   (2)  ------------------------------
+--R                    +-+ +-+
+--R                   \|b \|d
+--R                                                    Type: Expression(Integer)
+--E 2059
+
+--S 2060 of 2952
+--a0000:=integrate(t0000,x)
+--E 2060
+
+--S 2061 of 2952
+--m0000:=a0000 - r0000
+--E 2061
+
+--S 2062 of 2952
+--d0000:=D(m0000,x)
+--E 2062
+
+)clear all
+
+--S 2063 of 2952
+t0000:=1/(sqrt(x)*sqrt(-3+2*x))
+--R 
+--R
+--R              1
+--R   (1)  -------------
+--R         +-+ +------+
+--R        \|x \|2x - 3
+--R                                                    Type: Expression(Integer)
+--E 2063
+
+--S 2064 of 2952
+r0000:=asinh(sqrt(-3+2*x)/sqrt(3))*sqrt(2)
+--R 
+--R
+--R                   +------+
+--R         +-+      \|2x - 3
+--R   (2)  \|2 asinh(---------)
+--R                      +-+
+--R                     \|3
+--R                                                    Type: Expression(Integer)
+--E 2064
+
+--S 2065 of 2952
+--a0000:=integrate(t0000,x)
+--E 2065
+
+--S 2066 of 2952
+--m0000:=a0000 - r0000
+--E 2066
+
+--S 2067 of 2952
+--d0000:=D(m0000,x)
+--E 2067
+
+)clear all
+
+--S 2068 of 2952
+t0000:=1/(sqrt(-3+2*x)*sqrt(2+3*x))
+--R 
+--R
+--R                 1
+--R   (1)  ------------------
+--R         +------+ +------+
+--R        \|2x - 3 \|3x + 2
+--R                                                    Type: Expression(Integer)
+--E 2068
+
+--S 2069 of 2952
+r0000:=asinh(sqrt(3/13)*sqrt(-3+2*x))*sqrt(2/3)
+--R 
+--R
+--R                   +-+ +------+
+--R         +-+      \|3 \|2x - 3
+--R        \|2 asinh(-------------)
+--R                       +--+
+--R                      \|13
+--R   (2)  ------------------------
+--R                   +-+
+--R                  \|3
+--R                                                    Type: Expression(Integer)
+--E 2069
+
+--S 2070 of 2952
+--a0000:=integrate(t0000,x)
+--E 2070
+
+--S 2071 of 2952
+--m0000:=a0000 - r0000
+--E 2071
+
+--S 2072 of 2952
+--d0000:=D(m0000,x)
+--E 2072
+
+)clear all
+
+--S 2073 of 2952
+t0000:=1/(sqrt(a+b*x)*sqrt(c+d*x))
+--R 
+--R
+--R                  1
+--R   (1)  --------------------
+--R         +-------+ +-------+
+--R        \|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 2073
+
+--S 2074 of 2952
+r0000:=2*atanh(sqrt(d)*sqrt(a+b*x)/(sqrt(b)*sqrt(c+d*x)))/(sqrt(b)*sqrt(d))
+--R 
+--R
+--R                +-+ +-------+
+--R               \|d \|b x + a
+--R        2atanh(--------------)
+--R                +-+ +-------+
+--R               \|b \|d x + c
+--R   (2)  ----------------------
+--R                +-+ +-+
+--R               \|b \|d
+--R                                                    Type: Expression(Integer)
+--E 2074
+
+--S 2075 of 2952
+--a0000:=integrate(t0000,x)
+--E 2075
+
+--S 2076 of 2952
+--m0000:=a0000 - r0000
+--E 2076
+
+--S 2077 of 2952
+--d0000:=D(m0000,x)
+--E 2077
+
+)clear all
+
+--S 2078 of 2952
+t0000:=1/(sqrt((b-b*c)/d+b*x)*sqrt(c-d*x))
+--R 
+--R
+--R                       1
+--R   (1)  ------------------------------
+--R                     +---------------+
+--R         +---------+ |b d x - b c + b
+--R        \|- d x + c  |---------------
+--R                    \|       d
+--R                                                    Type: Expression(Integer)
+--E 2078
+
+--S 2079 of 2952
+r0000:=2*atan(sqrt(d)*sqrt(b*(1-c)/d+b*x)/(sqrt(b)*sqrt(c-d*x)))/_
+     (sqrt(b)*sqrt(d))
+--R 
+--R
+--R                   +---------------+
+--R               +-+ |b d x - b c + b
+--R              \|d  |---------------
+--R                  \|       d
+--R        2atan(----------------------)
+--R                  +---------+ +-+
+--R                 \|- d x + c \|b
+--R   (2)  -----------------------------
+--R                    +-+ +-+
+--R                   \|b \|d
+--R                                                    Type: Expression(Integer)
+--E 2079
+
+--S 2080 of 2952
+--a0000:=integrate(t0000,x)
+--E 2080
+
+--S 2081 of 2952
+--m0000:=a0000 - r0000
+--E 2081
+
+--S 2082 of 2952
+--d0000:=D(m0000,x)
+--E 2082
+
+)clear all
+
+--S 2083 of 2952
+t0000:=1/(sqrt(4-x)*sqrt(x))
+--R 
+--R
+--R               1
+--R   (1)  --------------
+--R         +-------+ +-+
+--R        \|- x + 4 \|x
+--R                                                    Type: Expression(Integer)
+--E 2083
+
+--S 2084 of 2952
+r0000:=-asin(1/2*(2-x))
+--R 
+--R
+--R             x - 2
+--R   (2)  asin(-----)
+--R               2
+--R                                                    Type: Expression(Integer)
+--E 2084
+
+--S 2085 of 2952
+--a0000:=integrate(t0000,x)
+--E 2085
+
+--S 2086 of 2952
+--m0000:=a0000 - r0000
+--E 2086
+
+--S 2087 of 2952
+--d0000:=D(m0000,x)
+--E 2087
+
+)clear all
+
+--S 2088 of 2952
+t0000:=1/(sqrt(3-2*x)*sqrt(x))
+--R 
+--R
+--R               1
+--R   (1)  ---------------
+--R         +--------+ +-+
+--R        \|- 2x + 3 \|x
+--R                                                    Type: Expression(Integer)
+--E 2088
+
+--S 2089 of 2952
+r0000:=asin(sqrt(2/3)*sqrt(x))*sqrt(2)
+--R 
+--R
+--R                  +-+ +-+
+--R         +-+     \|2 \|x
+--R   (2)  \|2 asin(--------)
+--R                    +-+
+--R                   \|3
+--R                                                    Type: Expression(Integer)
+--E 2089
+
+--S 2090 of 2952
+--a0000:=integrate(t0000,x)
+--E 2090
+
+--S 2091 of 2952
+--m0000:=a0000 - r0000
+--E 2091
+
+--S 2092 of 2952
+--d0000:=D(m0000,x)
+--E 2092
+
+)clear all
+
+--S 2093 of 2952
+t0000:=1/(sqrt(3-2*x)*sqrt(3+5*x))
+--R 
+--R
+--R                  1
+--R   (1)  --------------------
+--R         +--------+ +------+
+--R        \|- 2x + 3 \|5x + 3
+--R                                                    Type: Expression(Integer)
+--E 2093
+
+--S 2094 of 2952
+r0000:=asin(sqrt(2/21)*sqrt(3+5*x))*sqrt(2/5)
+--R 
+--R
+--R                  +-+ +------+
+--R         +-+     \|2 \|5x + 3
+--R        \|2 asin(-------------)
+--R                      +--+
+--R                     \|21
+--R   (2)  -----------------------
+--R                   +-+
+--R                  \|5
+--R                                                    Type: Expression(Integer)
+--E 2094
+
+--S 2095 of 2952
+--a0000:=integrate(t0000,x)
+--E 2095
+
+--S 2096 of 2952
+--m0000:=a0000 - r0000
+--E 2096
+
+--S 2097 of 2952
+--d0000:=D(m0000,x)
+--E 2097
+
+)clear all
+
+--S 2098 of 2952
+t0000:=1/(sqrt(a-b*x)*sqrt(c+d*x))
+--R 
+--R
+--R                   1
+--R   (1)  ----------------------
+--R         +---------+ +-------+
+--R        \|- b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 2098
+
+--S 2099 of 2952
+r0000:=-2*atan(sqrt(d)*sqrt(a-b*x)/(sqrt(b)*sqrt(c+d*x)))/(sqrt(b)*sqrt(d))
+--R 
+--R
+--R                 +---------+ +-+
+--R                \|- b x + a \|d
+--R          2atan(----------------)
+--R                  +-+ +-------+
+--R                 \|b \|d x + c
+--R   (2)  - -----------------------
+--R                   +-+ +-+
+--R                  \|b \|d
+--R                                                    Type: Expression(Integer)
+--E 2099
+
+--S 2100 of 2952
+--a0000:=integrate(t0000,x)
+--E 2100
+
+--S 2101 of 2952
+--m0000:=a0000 - r0000
+--E 2101
+
+--S 2102 of 2952
+--d0000:=D(m0000,x)
+--E 2102
+
+)clear all
+
+--S 2103 of 2952
+t0000:=(-1+x)^(1/3)/(1+x)^(1/3)
+--R 
+--R
+--R        3+-----+
+--R        \|x - 1
+--R   (1)  --------
+--R        3+-----+
+--R        \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2103
+
+--S 2104 of 2952
+r0000:=(-1+x)^(1/3)*(1+x)^(2/3)+2/3*log(1-(-1+x)^(1/3)/(1+x)^(1/3))-_
+     1/3*log(1+(-1+x)^(2/3)/(1+x)^(2/3)+(-1+x)^(1/3)/(1+x)^(1/3))-_
+     2*atan((1+2*(-1+x)^(1/3)/(1+x)^(1/3))/sqrt(3))/sqrt(3)
+--R 
+--R
+--R   (2)
+--R                 3+-----+2   3+-----+3+-----+   3+-----+2
+--R          +-+    \|x + 1   + \|x - 1 \|x + 1  + \|x - 1
+--R       - \|3 log(----------------------------------------)
+--R                                 3+-----+2
+--R                                 \|x + 1
+--R     + 
+--R                3+-----+   3+-----+          3+-----+    3+-----+
+--R         +-+    \|x + 1  - \|x - 1           \|x + 1  + 2\|x - 1
+--R       2\|3 log(-------------------) - 6atan(--------------------)
+--R                      3+-----+                    +-+3+-----+
+--R                      \|x + 1                    \|3 \|x + 1
+--R     + 
+--R         +-+3+-----+3+-----+2
+--R       3\|3 \|x - 1 \|x + 1
+--R  /
+--R       +-+
+--R     3\|3
+--R                                                    Type: Expression(Integer)
+--E 2104
+
+--S 2105 of 2952
+--a0000:=integrate(t0000,x)
+--E 2105
+
+--S 2106 of 2952
+--m0000:=a0000 - r0000
+--E 2106
+
+--S 2107 of 2952
+--d0000:=D(m0000,x)
+--E 2107
+
+)clear all
+
+--S 2108 of 2952
+t0000:=(1-x)^(9/2)*(1+x)^(1/2)
+--R 
+--R
+--R          4     3     2           +-------+ +-----+
+--R   (1)  (x  - 4x  + 6x  - 4x + 1)\|- x + 1 \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2108
+
+--S 2109 of 2952
+r0000:=21/16*asin(x)+7/16*(1-x)^(3/2)*sqrt(1+x)+7/40*(1-x)^(5/2)*sqrt(1+x)+_
+     3/40*(1-x)^(7/2)*sqrt(1+x)+1/30*(1-x)^(9/2)*sqrt(1+x)-_
+     1/6*(1-x)^(11/2)*sqrt(1+x)+21/16*sqrt(1-x)*sqrt(1+x)
+--R 
+--R
+--R   (2)
+--R       5       4       3       2              +-------+ +-----+
+--R   (40x  - 192x  + 350x  - 256x  - 75x + 448)\|- x + 1 \|x + 1  + 315asin(x)
+--R   -------------------------------------------------------------------------
+--R                                      240
+--R                                                    Type: Expression(Integer)
+--E 2109
+
+--S 2110 of 2952
+--a0000:=integrate(t0000,x)
+--E 2110
+
+--S 2111 of 2952
+--m0000:=a0000 - r0000
+--E 2111
+
+--S 2112 of 2952
+--d0000:=D(m0000,x)
+--E 2112
+
+)clear all
+
+--S 2113 of 2952
+t0000:=(1-x)^(7/2)*(1+x)^(1/2)
+--R 
+--R
+--R            3     2           +-------+ +-----+
+--R   (1)  (- x  + 3x  - 3x + 1)\|- x + 1 \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2113
+
+--S 2114 of 2952
+r0000:=7/8*asin(x)+7/24*(1-x)^(3/2)*sqrt(1+x)+7/60*(1-x)^(5/2)*sqrt(1+x)+_
+     1/20*(1-x)^(7/2)*sqrt(1+x)-1/5*(1-x)^(9/2)*sqrt(1+x)+_
+     7/8*sqrt(1-x)*sqrt(1+x)
+--R 
+--R
+--R              4      3       2              +-------+ +-----+
+--R        (- 24x  + 90x  - 112x  + 15x + 136)\|- x + 1 \|x + 1  + 105asin(x)
+--R   (2)  ------------------------------------------------------------------
+--R                                        120
+--R                                                    Type: Expression(Integer)
+--E 2114
+
+--S 2115 of 2952
+--a0000:=integrate(t0000,x)
+--E 2115
+
+--S 2116 of 2952
+--m0000:=a0000 - r0000
+--E 2116
+
+--S 2117 of 2952
+--d0000:=D(m0000,x)
+--E 2117
+
+)clear all
+
+--S 2118 of 2952
+t0000:=(1-x)^(5/2)*(1+x)^(1/2)
+--R 
+--R
+--R          2           +-------+ +-----+
+--R   (1)  (x  - 2x + 1)\|- x + 1 \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2118
+
+--S 2119 of 2952
+r0000:=5/8*asin(x)+5/24*(1-x)^(3/2)*sqrt(1+x)+1/12*(1-x)^(5/2)*sqrt(1+x)-_
+     1/4*(1-x)^(7/2)*sqrt(1+x)+5/8*sqrt(1-x)*sqrt(1+x)
+--R 
+--R
+--R           3      2            +-------+ +-----+
+--R        (6x  - 16x  + 9x + 16)\|- x + 1 \|x + 1  + 15asin(x)
+--R   (2)  ----------------------------------------------------
+--R                                 24
+--R                                                    Type: Expression(Integer)
+--E 2119
+
+--S 2120 of 2952
+--a0000:=integrate(t0000,x)
+--E 2120
+
+--S 2121 of 2952
+--m0000:=a0000 - r0000
+--E 2121
+
+--S 2122 of 2952
+--d0000:=D(m0000,x)
+--E 2122
+
+)clear all
+
+--S 2123 of 2952
+t0000:=(1-x)^(3/2)*(1+x)^(1/2)
+--R 
+--R
+--R                  +-------+ +-----+
+--R   (1)  (- x + 1)\|- x + 1 \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2123
+
+--S 2124 of 2952
+r0000:=1/2*asin(x)+1/6*(1-x)^(3/2)*sqrt(1+x)-1/3*(1-x)^(5/2)*sqrt(1+x)+_
+     1/2*sqrt(1-x)*sqrt(1+x)
+--R 
+--R
+--R             2           +-------+ +-----+
+--R        (- 2x  + 3x + 2)\|- x + 1 \|x + 1  + 3asin(x)
+--R   (2)  ---------------------------------------------
+--R                              6
+--R                                                    Type: Expression(Integer)
+--E 2124
+
+--S 2125 of 2952
+--a0000:=integrate(t0000,x)
+--E 2125
+
+--S 2126 of 2952
+--m0000:=a0000 - r0000
+--E 2126
+
+--S 2127 of 2952
+--d0000:=D(m0000,x)
+--E 2127
+
+)clear all
+
+--S 2128 of 2952
+t0000:=(1-x)^(1/2)*(1+x)^(1/2)
+--R 
+--R
+--R         +-------+ +-----+
+--R   (1)  \|- x + 1 \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2128
+
+--S 2129 of 2952
+r0000:=1/2*asin(x)+1/2*x*sqrt(1-x^2)
+--R 
+--R
+--R          +--------+
+--R          |   2
+--R        x\|- x  + 1  + asin(x)
+--R   (2)  ----------------------
+--R                   2
+--R                                                    Type: Expression(Integer)
+--E 2129
+
+--S 2130 of 2952
+--a0000:=integrate(t0000,x)
+--E 2130
+
+--S 2131 of 2952
+--m0000:=a0000 - r0000
+--E 2131
+
+--S 2132 of 2952
+--d0000:=D(m0000,x)
+--E 2132
+
+)clear all
+
+--S 2133 of 2952
+t0000:=(1+x)^(1/2)/(1-x)^(1/2)
+--R 
+--R
+--R          +-----+
+--R         \|x + 1
+--R   (1)  ----------
+--R         +-------+
+--R        \|- x + 1
+--R                                                    Type: Expression(Integer)
+--E 2133
+
+--S 2134 of 2952
+r0000:=asin(x)-sqrt(1-x)*sqrt(1+x)
+--R 
+--R
+--R           +-------+ +-----+
+--R   (2)  - \|- x + 1 \|x + 1  + asin(x)
+--R                                                    Type: Expression(Integer)
+--E 2134
+
+--S 2135 of 2952
+--a0000:=integrate(t0000,x)
+--E 2135
+
+--S 2136 of 2952
+--m0000:=a0000 - r0000
+--E 2136
+
+--S 2137 of 2952
+--d0000:=D(m0000,x)
+--E 2137
+
+)clear all
+
+--S 2138 of 2952
+t0000:=(1+x)^(1/2)/(1-x)^(3/2)
+--R 
+--R
+--R                +-----+
+--R               \|x + 1
+--R   (1)  - -----------------
+--R                  +-------+
+--R          (x - 1)\|- x + 1
+--R                                                    Type: Expression(Integer)
+--E 2138
+
+--S 2139 of 2952
+r0000:=-asin(x)+2*sqrt(1+x)/sqrt(1-x)
+--R 
+--R
+--R          +-----+           +-------+
+--R        2\|x + 1  - asin(x)\|- x + 1
+--R   (2)  -----------------------------
+--R                   +-------+
+--R                  \|- x + 1
+--R                                                    Type: Expression(Integer)
+--E 2139
+
+--S 2140 of 2952
+--a0000:=integrate(t0000,x)
+--E 2140
+
+--S 2141 of 2952
+--m0000:=a0000 - r0000
+--E 2141
+
+--S 2142 of 2952
+--d0000:=D(m0000,x)
+--E 2142
+
+)clear all
+
+--S 2143 of 2952
+t0000:=(1+x)^(1/2)/(1-x)^(5/2)
+--R 
+--R
+--R                 +-----+
+--R                \|x + 1
+--R   (1)  -----------------------
+--R          2           +-------+
+--R        (x  - 2x + 1)\|- x + 1
+--R                                                    Type: Expression(Integer)
+--E 2143
+
+--S 2144 of 2952
+r0000:=1/3*(1+x)^(3/2)/(1-x)^(3/2)
+--R 
+--R
+--R                   +-----+
+--R         (- x - 1)\|x + 1
+--R   (2)  ------------------
+--R                 +-------+
+--R        (3x - 3)\|- x + 1
+--R                                                    Type: Expression(Integer)
+--E 2144
+
+--S 2145 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                 +-------+ +-----+     2
+--R        (3x + 3)\|- x + 1 \|x + 1  + 5x  - 10x + 5
+--R   (3)  ------------------------------------------
+--R                         2
+--R                       9x  - 18x + 9
+--R                                         Type: Union(Expression(Integer),...)
+--E 2145
+
+--S 2146 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R        5
+--R   (4)  -
+--R        9
+--R                                                    Type: Expression(Integer)
+--E 2146
+
+--S 2147 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2147
+
+)clear all
+
+--S 2148 of 2952
+t0000:=(1+x)^(1/2)/(1-x)^(7/2)
+--R 
+--R
+--R                      +-----+
+--R                     \|x + 1
+--R   (1)  - -----------------------------
+--R            3     2           +-------+
+--R          (x  - 3x  + 3x - 1)\|- x + 1
+--R                                                    Type: Expression(Integer)
+--E 2148
+
+--S 2149 of 2952
+r0000:=1/5*(1+x)^(3/2)/(1-x)^(5/2)+1/15*(1+x)^(3/2)/(1-x)^(3/2)
+--R 
+--R
+--R              2           +-----+
+--R          (- x  + 3x + 4)\|x + 1
+--R   (2)  ---------------------------
+--R            2             +-------+
+--R        (15x  - 30x + 15)\|- x + 1
+--R                                                    Type: Expression(Integer)
+--E 2149
+
+--S 2150 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R          2           +-------+ +-----+     3      2
+--R        (x  - 3x - 4)\|- x + 1 \|x + 1  + 6x  - 18x  + 18x - 6
+--R   (3)  ------------------------------------------------------
+--R                           3      2
+--R                        15x  - 45x  + 45x - 15
+--R                                         Type: Union(Expression(Integer),...)
+--E 2150
+
+--S 2151 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R        2
+--R   (4)  -
+--R        5
+--R                                                    Type: Expression(Integer)
+--E 2151
+
+--S 2152 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2152
+
+)clear all
+
+--S 2153 of 2952
+t0000:=(1+x)^(1/2)/(1-x)^(9/2)
+--R 
+--R
+--R                       +-----+
+--R                      \|x + 1
+--R   (1)  -----------------------------------
+--R          4     3     2           +-------+
+--R        (x  - 4x  + 6x  - 4x + 1)\|- x + 1
+--R                                                    Type: Expression(Integer)
+--E 2153
+
+--S 2154 of 2952
+r0000:=1/7*(1+x)^(3/2)/(1-x)^(7/2)+2/35*(1+x)^(3/2)/(1-x)^(5/2)+_
+     2/105*(1+x)^(3/2)/(1-x)^(3/2)
+--R 
+--R
+--R                3     2             +-----+
+--R           (- 2x  + 8x  - 13x - 23)\|x + 1
+--R   (2)  --------------------------------------
+--R             3       2               +-------+
+--R        (105x  - 315x  + 315x - 105)\|- x + 1
+--R                                                    Type: Expression(Integer)
+--E 2154
+
+--S 2155 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R           3      2               +-------+ +-----+       4        3        2
+--R       (16x  - 64x  + 104x + 184)\|- x + 1 \|x + 1  - 391x  + 1564x  - 2346x
+--R     + 
+--R       1564x - 391
+--R  /
+--R         4        3        2
+--R     840x  - 3360x  + 5040x  - 3360x + 840
+--R                                         Type: Union(Expression(Integer),...)
+--E 2155
+
+--S 2156 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R          391
+--R   (4)  - ---
+--R          840
+--R                                                    Type: Expression(Integer)
+--E 2156
+
+--S 2157 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2157
+
+)clear all
+
+--S 2158 of 2952
+t0000:=(1+x)^(1/2)/(1-x)^(11/2)
+--R 
+--R
+--R                             +-----+
+--R                            \|x + 1
+--R   (1)  - -------------------------------------------
+--R            5     4      3      2           +-------+
+--R          (x  - 5x  + 10x  - 10x  + 5x - 1)\|- x + 1
+--R                                                    Type: Expression(Integer)
+--E 2158
+
+--S 2159 of 2952
+r0000:=1/9*(1+x)^(3/2)/(1-x)^(9/2)+1/21*(1+x)^(3/2)/(1-x)^(7/2)+_
+     2/105*(1+x)^(3/2)/(1-x)^(5/2)+2/315*(1+x)^(3/2)/(1-x)^(3/2)
+--R 
+--R
+--R                  4      3      2             +-----+
+--R             (- 2x  + 10x  - 21x  + 25x + 58)\|x + 1
+--R   (2)  -------------------------------------------------
+--R             4        3        2                +-------+
+--R        (315x  - 1260x  + 1890x  - 1260x + 315)\|- x + 1
+--R                                                    Type: Expression(Integer)
+--E 2159
+
+--S 2160 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R          4      3      2             +-------+ +-----+      5       4       3
+--R       (2x  - 10x  + 21x  - 25x - 58)\|- x + 1 \|x + 1  - 72x  + 360x  - 720x
+--R     + 
+--R           2
+--R       720x  - 360x + 72
+--R  /
+--R         5        4        3        2
+--R     315x  - 1575x  + 3150x  - 3150x  + 1575x - 315
+--R                                         Type: Union(Expression(Integer),...)
+--E 2160
+
+--S 2161 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R           8
+--R   (4)  - --
+--R          35
+--R                                                    Type: Expression(Integer)
+--E 2161
+
+--S 2162 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2162
+
+)clear all
+
+--S 2163 of 2952
+t0000:=(1+x)^(1/2)/(1-x)^(13/2)
+--R 
+--R
+--R                              +-----+
+--R                             \|x + 1
+--R   (1)  --------------------------------------------------
+--R          6     5      4      3      2           +-------+
+--R        (x  - 6x  + 15x  - 20x  + 15x  - 6x + 1)\|- x + 1
+--R                                                    Type: Expression(Integer)
+--E 2163
+
+--S 2164 of 2952
+r0000:=1/11*(1+x)^(3/2)/(1-x)^(11/2)+4/99*(1+x)^(3/2)/(1-x)^(9/2)+_
+     4/231*(1+x)^(3/2)/(1-x)^(7/2)+8/1155*(1+x)^(3/2)/(1-x)^(5/2)+_
+     8/3465*(1+x)^(3/2)/(1-x)^(3/2)
+--R 
+--R
+--R                    5      4       3       2               +-----+
+--R               (- 8x  + 48x  - 124x  + 184x  - 183x - 547)\|x + 1
+--R   (2)  ----------------------------------------------------------------
+--R              5         4         3         2                  +-------+
+--R        (3465x  - 17325x  + 34650x  - 34650x  + 17325x - 3465)\|- x + 1
+--R                                                    Type: Expression(Integer)
+--E 2164
+
+--S 2165 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R           5       4       3       2                +-------+ +-----+        6
+--R       (32x  - 192x  + 496x  - 736x  + 732x + 2188)\|- x + 1 \|x + 1  - 2735x
+--R     + 
+--R             5         4         3         2
+--R       16410x  - 41025x  + 54700x  - 41025x  + 16410x - 2735
+--R  /
+--R           6         5          4          3          2
+--R     13860x  - 83160x  + 207900x  - 277200x  + 207900x  - 83160x + 13860
+--R                                         Type: Union(Expression(Integer),...)
+--E 2165
+
+--S 2166 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R           547
+--R   (4)  - ----
+--R          2772
+--R                                                    Type: Expression(Integer)
+--E 2166
+
+--S 2167 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2167
+
+)clear all
+
+--S 2168 of 2952
+t0000:=(1-x)^(11/2)*(1+x)^(3/2)
+--R 
+--R
+--R            6     5     4     2           +-------+ +-----+
+--R   (1)  (- x  + 4x  - 5x  + 5x  - 4x + 1)\|- x + 1 \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2168
+
+--S 2169 of 2952
+r0000:=-1/8*(1-x)^(13/2)*(1+x)^(3/2)+99/128*asin(x)+_
+     33/128*(1-x)^(3/2)*sqrt(1+x)+33/320*(1-x)^(5/2)*sqrt(1+x)+_
+     99/2240*(1-x)^(7/2)*sqrt(1+x)+11/560*(1-x)^(9/2)*sqrt(1+x)+_
+     1/112*(1-x)^(11/2)*sqrt(1+x)-3/56*(1-x)^(13/2)*sqrt(1+x)+_
+     99/128*sqrt(1-x)*sqrt(1+x)
+--R 
+--R
+--R   (2)
+--R                7        6        5       4        3        2
+--R         (- 560x  + 2560x  - 3640x  - 512x  + 6650x  - 6656x  + 1015x + 4608)
+--R      *
+--R          +-------+ +-----+
+--R         \|- x + 1 \|x + 1
+--R     + 
+--R       3465asin(x)
+--R  /
+--R     4480
+--R                                                    Type: Expression(Integer)
+--E 2169
+
+--S 2170 of 2952
+--a0000:=integrate(t0000,x)
+--E 2170
+
+--S 2171 of 2952
+--m0000:=a0000 - r0000
+--E 2171
+
+--S 2172 of 2952
+--d0000:=D(m0000,x)
+--E 2172
+
+)clear all
+
+--S 2173 of 2952
+t0000:=(1-x)^(9/2)*(1+x)^(3/2)
+--R 
+--R
+--R          5     4     3     2           +-------+ +-----+
+--R   (1)  (x  - 3x  + 2x  + 2x  - 3x + 1)\|- x + 1 \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2173
+
+--S 2174 of 2952
+r0000:=-1/7*(1-x)^(11/2)*(1+x)^(3/2)+9/16*asin(x)+_
+     3/16*(1-x)^(3/2)*sqrt(1+x)+3/40*(1-x)^(5/2)*sqrt(1+x)+_
+     9/280*(1-x)^(7/2)*sqrt(1+x)+1/70*(1-x)^(9/2)*sqrt(1+x)-_
+     1/14*(1-x)^(11/2)*sqrt(1+x)+9/16*sqrt(1-x)*sqrt(1+x)
+--R 
+--R
+--R   (2)
+--R           6       5       4       3       2               +-------+ +-----+
+--R       (80x  - 280x  + 208x  + 350x  - 656x  + 245x + 368)\|- x + 1 \|x + 1
+--R     + 
+--R       315asin(x)
+--R  /
+--R     560
+--R                                                    Type: Expression(Integer)
+--E 2174
+
+--S 2175 of 2952
+--a0000:=integrate(t0000,x)
+--E 2175
+
+--S 2176 of 2952
+--m0000:=a0000 - r0000
+--E 2176
+
+--S 2177 of 2952
+--d0000:=D(m0000,x)
+--E 2177
+
+)clear all
+
+--S 2178 of 2952
+t0000:=(1-x)^(7/2)*(1+x)^(3/2)
+--R 
+--R
+--R            4     3           +-------+ +-----+
+--R   (1)  (- x  + 2x  - 2x + 1)\|- x + 1 \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2178
+
+--S 2179 of 2952
+r0000:=-1/6*(1-x)^(9/2)*(1+x)^(3/2)+7/16*asin(x)+7/48*(1-x)^(3/2)*sqrt(1+x)+_
+     7/120*(1-x)^(5/2)*sqrt(1+x)+1/40*(1-x)^(7/2)*sqrt(1+x)-_
+     1/10*(1-x)^(9/2)*sqrt(1+x)+7/16*sqrt(1-x)*sqrt(1+x)
+--R 
+--R
+--R   (2)
+--R         5      4      3       2              +-------+ +-----+
+--R   (- 40x  + 96x  + 10x  - 192x  + 135x + 96)\|- x + 1 \|x + 1  + 105asin(x)
+--R   -------------------------------------------------------------------------
+--R                                      240
+--R                                                    Type: Expression(Integer)
+--E 2179
+
+--S 2180 of 2952
+--a0000:=integrate(t0000,x)
+--E 2180
+
+--S 2181 of 2952
+--m0000:=a0000 - r0000
+--E 2181
+
+--S 2182 of 2952
+--d0000:=D(m0000,x)
+--E 2182
+
+)clear all
+
+--S 2183 of 2952
+t0000:=(1-x)^(5/2)*(1+x)^(3/2)
+--R 
+--R
+--R          3    2          +-------+ +-----+
+--R   (1)  (x  - x  - x + 1)\|- x + 1 \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2183
+
+--S 2184 of 2952
+r0000:=-1/5*(1-x)^(7/2)*(1+x)^(3/2)+3/8*asin(x)+1/8*(1-x)^(3/2)*sqrt(1+x)+_
+     1/20*(1-x)^(5/2)*sqrt(1+x)-3/20*(1-x)^(7/2)*sqrt(1+x)+_
+     3/8*sqrt(1-x)*sqrt(1+x)
+--R 
+--R
+--R           4      3      2            +-------+ +-----+
+--R        (8x  - 10x  - 16x  + 25x + 8)\|- x + 1 \|x + 1  + 15asin(x)
+--R   (2)  -----------------------------------------------------------
+--R                                     40
+--R                                                    Type: Expression(Integer)
+--E 2184
+
+--S 2185 of 2952
+--a0000:=integrate(t0000,x)
+--E 2185
+
+--S 2186 of 2952
+--m0000:=a0000 - r0000
+--E 2186
+
+--S 2187 of 2952
+--d0000:=D(m0000,x)
+--E 2187
+
+)clear all
+
+--S 2188 of 2952
+t0000:=(1-x)^(3/2)*(1+x)^(3/2)
+--R 
+--R
+--R            2      +-------+ +-----+
+--R   (1)  (- x  + 1)\|- x + 1 \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2188
+
+--S 2189 of 2952
+r0000:=1/4*x*(1-x^2)^(3/2)+3/8*asin(x)+3/8*x*sqrt(1-x^2)
+--R 
+--R
+--R                     +--------+
+--R             3       |   2
+--R        (- 2x  + 5x)\|- x  + 1  + 3asin(x)
+--R   (2)  ----------------------------------
+--R                         8
+--R                                                    Type: Expression(Integer)
+--E 2189
+
+--S 2190 of 2952
+--a0000:=integrate(t0000,x)
+--E 2190
+
+--S 2191 of 2952
+--m0000:=a0000 - r0000
+--E 2191
+
+--S 2192 of 2952
+--d0000:=D(m0000,x)
+--E 2192
+
+)clear all
+
+--S 2193 of 2952
+t0000:=(1-x)^(1/2)*(1+x)^(3/2)
+--R 
+--R
+--R                +-------+ +-----+
+--R   (1)  (x + 1)\|- x + 1 \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2193
+
+--S 2194 of 2952
+r0000:=-1/3*(1-x)^(3/2)*(1+x)^(3/2)+1/2*asin(x)+1/2*x*sqrt(1-x^2)
+--R 
+--R
+--R                                         +--------+
+--R           2      +-------+ +-----+      |   2
+--R        (2x  - 2)\|- x + 1 \|x + 1  + 3x\|- x  + 1  + 3asin(x)
+--R   (2)  ------------------------------------------------------
+--R                                   6
+--R                                                    Type: Expression(Integer)
+--E 2194
+
+--S 2195 of 2952
+--a0000:=integrate(t0000,x)
+--E 2195
+
+--S 2196 of 2952
+--m0000:=a0000 - r0000
+--E 2196
+
+--S 2197 of 2952
+--d0000:=D(m0000,x)
+--E 2197
+
+)clear all
+
+--S 2198 of 2952
+t0000:=(1+x)^(3/2)/(1-x)^(1/2)
+--R 
+--R
+--R                +-----+
+--R        (x + 1)\|x + 1
+--R   (1)  ---------------
+--R            +-------+
+--R           \|- x + 1
+--R                                                    Type: Expression(Integer)
+--E 2198
+
+--S 2199 of 2952
+r0000:=3/2*asin(x)-1/2*(1+x)^(3/2)*sqrt(1-x)-3/2*sqrt(1-x)*sqrt(1+x)
+--R 
+--R
+--R                  +-------+ +-----+
+--R        (- x - 4)\|- x + 1 \|x + 1  + 3asin(x)
+--R   (2)  --------------------------------------
+--R                           2
+--R                                                    Type: Expression(Integer)
+--E 2199
+
+--S 2200 of 2952
+--a0000:=integrate(t0000,x)
+--E 2200
+
+--S 2201 of 2952
+--m0000:=a0000 - r0000
+--E 2201
+
+--S 2202 of 2952
+--d0000:=D(m0000,x)
+--E 2202
+
+)clear all
+
+--S 2203 of 2952
+t0000:=(1+x)^(3/2)/(1-x)^(3/2)
+--R 
+--R
+--R                  +-----+
+--R        (- x - 1)\|x + 1
+--R   (1)  -----------------
+--R                +-------+
+--R        (x - 1)\|- x + 1
+--R                                                    Type: Expression(Integer)
+--E 2203
+
+--S 2204 of 2952
+r0000:=-3*asin(x)+2*(1+x)^(3/2)/sqrt(1-x)+3*sqrt(1-x)*sqrt(1+x)
+--R 
+--R
+--R                  +-----+            +-------+
+--R        (- x + 5)\|x + 1  - 3asin(x)\|- x + 1
+--R   (2)  --------------------------------------
+--R                       +-------+
+--R                      \|- x + 1
+--R                                                    Type: Expression(Integer)
+--E 2204
+
+--S 2205 of 2952
+--a0000:=integrate(t0000,x)
+--E 2205
+
+--S 2206 of 2952
+--m0000:=a0000 - r0000
+--E 2206
+
+--S 2207 of 2952
+--d0000:=D(m0000,x)
+--E 2207
+
+)clear all
+
+--S 2208 of 2952
+t0000:=(1+x)^(3/2)/(1-x)^(5/2)
+--R 
+--R
+--R                    +-----+
+--R            (x + 1)\|x + 1
+--R   (1)  -----------------------
+--R          2           +-------+
+--R        (x  - 2x + 1)\|- x + 1
+--R                                                    Type: Expression(Integer)
+--E 2208
+
+--S 2209 of 2952
+r0000:=2/3*(1+x)^(3/2)/(1-x)^(3/2)+asin(x)-2*sqrt(1+x)/sqrt(1-x)
+--R 
+--R
+--R                   +-----+                   +-------+
+--R        (- 8x + 4)\|x + 1  + (3x - 3)asin(x)\|- x + 1
+--R   (2)  ----------------------------------------------
+--R                               +-------+
+--R                      (3x - 3)\|- x + 1
+--R                                                    Type: Expression(Integer)
+--E 2209
+
+--S 2210 of 2952
+--a0000:=integrate(t0000,x)
+--E 2210
+
+--S 2211 of 2952
+--m0000:=a0000 - r0000
+--E 2211
+
+--S 2212 of 2952
+--d0000:=D(m0000,x)
+--E 2212
+
+)clear all
+
+--S 2213 of 2952
+t0000:=(1+x)^(3/2)/(1-x)^(7/2)
+--R 
+--R
+--R                        +-----+
+--R              (- x - 1)\|x + 1
+--R   (1)  -----------------------------
+--R          3     2           +-------+
+--R        (x  - 3x  + 3x - 1)\|- x + 1
+--R                                                    Type: Expression(Integer)
+--E 2213
+
+--S 2214 of 2952
+r0000:=1/5*(1+x)^(5/2)/(1-x)^(5/2)
+--R 
+--R
+--R            2           +-----+
+--R          (x  + 2x + 1)\|x + 1
+--R   (2)  -------------------------
+--R           2            +-------+
+--R        (5x  - 10x + 5)\|- x + 1
+--R                                                    Type: Expression(Integer)
+--E 2214
+
+--S 2215 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R             2           +-------+ +-----+     3      2
+--R        (- 4x  - 8x - 4)\|- x + 1 \|x + 1  + 5x  - 15x  + 15x - 5
+--R   (3)  ---------------------------------------------------------
+--R                             3      2
+--R                          20x  - 60x  + 60x - 20
+--R                                         Type: Union(Expression(Integer),...)
+--E 2215
+
+--S 2216 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R        1
+--R   (4)  -
+--R        4
+--R                                                    Type: Expression(Integer)
+--E 2216
+
+--S 2217 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2217
+
+)clear all
+
+--S 2218 of 2952
+t0000:=(1+x)^(3/2)/(1-x)^(9/2)
+--R 
+--R
+--R                          +-----+
+--R                  (x + 1)\|x + 1
+--R   (1)  -----------------------------------
+--R          4     3     2           +-------+
+--R        (x  - 4x  + 6x  - 4x + 1)\|- x + 1
+--R                                                    Type: Expression(Integer)
+--E 2218
+
+--S 2219 of 2952
+r0000:=1/7*(1+x)^(5/2)/(1-x)^(7/2)+1/35*(1+x)^(5/2)/(1-x)^(5/2)
+--R 
+--R
+--R              3     2            +-----+
+--R            (x  - 4x  - 11x - 6)\|x + 1
+--R   (2)  ------------------------------------
+--R            3       2              +-------+
+--R        (35x  - 105x  + 105x - 35)\|- x + 1
+--R                                                    Type: Expression(Integer)
+--E 2219
+
+--S 2220 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R       3     2            +-------+ +-----+      4       3       2
+--R   (- x  + 4x  + 11x + 6)\|- x + 1 \|x + 1  + 36x  - 144x  + 216x  - 144x + 36
+--R   ---------------------------------------------------------------------------
+--R                            4       3       2
+--R                         35x  - 140x  + 210x  - 140x + 35
+--R                                         Type: Union(Expression(Integer),...)
+--E 2220
+
+--S 2221 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R        36
+--R   (4)  --
+--R        35
+--R                                                    Type: Expression(Integer)
+--E 2221
+
+--S 2222 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2222
+
+)clear all
+
+--S 2223 of 2952
+t0000:=(1+x)^(3/2)/(1-x)^(11/2)
+--R 
+--R
+--R                               +-----+
+--R                     (- x - 1)\|x + 1
+--R   (1)  -------------------------------------------
+--R          5     4      3      2           +-------+
+--R        (x  - 5x  + 10x  - 10x  + 5x - 1)\|- x + 1
+--R                                                    Type: Expression(Integer)
+--E 2223
+
+--S 2224 of 2952
+r0000:=1/9*(1+x)^(5/2)/(1-x)^(9/2)+2/63*(1+x)^(5/2)/(1-x)^(7/2)+_
+     2/315*(1+x)^(5/2)/(1-x)^(5/2)
+--R 
+--R
+--R                 4      3      2             +-----+
+--R              (2x  - 10x  + 21x  + 80x + 47)\|x + 1
+--R   (2)  -------------------------------------------------
+--R             4        3        2                +-------+
+--R        (315x  - 1260x  + 1890x  - 1260x + 315)\|- x + 1
+--R                                                    Type: Expression(Integer)
+--E 2224
+
+--S 2225 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R            4      3      2             +-------+ +-----+       5        4
+--R       (- 2x  + 10x  - 21x  - 80x - 47)\|- x + 1 \|x + 1  + 243x  - 1215x
+--R     + 
+--R            3        2
+--R       2430x  - 2430x  + 1215x - 243
+--R  /
+--R         5        4        3        2
+--R     315x  - 1575x  + 3150x  - 3150x  + 1575x - 315
+--R                                         Type: Union(Expression(Integer),...)
+--E 2225
+
+--S 2226 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R        27
+--R   (4)  --
+--R        35
+--R                                                    Type: Expression(Integer)
+--E 2226
+
+--S 2227 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2227
+
+)clear all
+
+--S 2228 of 2952
+t0000:=(1+x)^(3/2)/(1-x)^(13/2)
+--R 
+--R
+--R                                  +-----+
+--R                          (x + 1)\|x + 1
+--R   (1)  --------------------------------------------------
+--R          6     5      4      3      2           +-------+
+--R        (x  - 6x  + 15x  - 20x  + 15x  - 6x + 1)\|- x + 1
+--R                                                    Type: Expression(Integer)
+--E 2228
+
+--S 2229 of 2952
+r0000:=1/11*(1+x)^(5/2)/(1-x)^(11/2)+1/33*(1+x)^(5/2)/(1-x)^(9/2)+_
+     2/231*(1+x)^(5/2)/(1-x)^(7/2)+2/1155*(1+x)^(5/2)/(1-x)^(5/2)
+--R 
+--R
+--R                   5      4      3      2               +-----+
+--R                (2x  - 12x  + 31x  - 46x  - 243x - 152)\|x + 1
+--R   (2)  --------------------------------------------------------------
+--R              5        4         3         2                 +-------+
+--R        (1155x  - 5775x  + 11550x  - 11550x  + 5775x - 1155)\|- x + 1
+--R                                                    Type: Expression(Integer)
+--E 2229
+
+--S 2230 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R            5      4      3       2               +-------+ +-----+       6
+--R       (- 6x  + 36x  - 93x  + 138x  + 729x + 456)\|- x + 1 \|x + 1  + 760x
+--R     + 
+--R              5         4         3         2
+--R       - 4560x  + 11400x  - 15200x  + 11400x  - 4560x + 760
+--R  /
+--R          6         5         4         3         2
+--R     3465x  - 20790x  + 51975x  - 69300x  + 51975x  - 20790x + 3465
+--R                                         Type: Union(Expression(Integer),...)
+--E 2230
+
+--S 2231 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R        152
+--R   (4)  ---
+--R        693
+--R                                                    Type: Expression(Integer)
+--E 2231
+
+--S 2232 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2232
+
+)clear all
+
+--S 2233 of 2952
+t0000:=(1+x)^(3/2)/(1-x)^(15/2)
+--R 
+--R
+--R                                      +-----+
+--R                            (- x - 1)\|x + 1
+--R   (1)  ---------------------------------------------------------
+--R          7     6      5      4      3      2           +-------+
+--R        (x  - 7x  + 21x  - 35x  + 35x  - 21x  + 7x - 1)\|- x + 1
+--R                                                    Type: Expression(Integer)
+--E 2233
+
+--S 2234 of 2952
+r0000:=1/13*(1+x)^(5/2)/(1-x)^(13/2)+4/143*(1+x)^(5/2)/(1-x)^(11/2)+_
+     4/429*(1+x)^(5/2)/(1-x)^(9/2)+8/3003*(1+x)^(5/2)/(1-x)^(7/2)+_
+     8/15015*(1+x)^(5/2)/(1-x)^(5/2)
+--R 
+--R
+--R   (2)
+--R        6      5       4       3       2                 +-----+
+--R     (8x  - 56x  + 172x  - 308x  + 367x  + 2674x + 1763)\|x + 1
+--R  /
+--R              6         5          4          3          2
+--R       (15015x  - 90090x  + 225225x  - 300300x  + 225225x  - 90090x + 15015)
+--R    *
+--R        +-------+
+--R       \|- x + 1
+--R                                                    Type: Expression(Integer)
+--E 2234
+
+--S 2235 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R               6       5       4        3        2                  +-------+
+--R         (- 40x  + 280x  - 860x  + 1540x  - 1835x  - 13370x - 8815)\|- x + 1
+--R      *
+--R          +-----+
+--R         \|x + 1
+--R     + 
+--R             7          6          5          4          3          2
+--R       22919x  - 160433x  + 481299x  - 802165x  + 802165x  - 481299x  + 160433x
+--R     + 
+--R       - 22919
+--R  /
+--R             7          6           5           4           3           2
+--R       75075x  - 525525x  + 1576575x  - 2627625x  + 2627625x  - 1576575x
+--R     + 
+--R       525525x - 75075
+--R                                         Type: Union(Expression(Integer),...)
+--E 2235
+
+--S 2236 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R        1763
+--R   (4)  ----
+--R        5775
+--R                                                    Type: Expression(Integer)
+--E 2236
+
+--S 2237 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2237
+
+)clear all
+
+--S 2238 of 2952
+t0000:=(1-x)^(13/2)*(1+x)^(5/2)
+--R 
+--R
+--R          8     7     6     5      4     3     2           +-------+ +-----+
+--R   (1)  (x  - 4x  + 4x  + 4x  - 10x  + 4x  + 4x  - 4x + 1)\|- x + 1 \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2238
+
+--S 2239 of 2952
+r0000:=-1/18*(1-x)^(15/2)*(1+x)^(3/2)-1/10*(1-x)^(15/2)*(1+x)^(5/2)+_
+     143/256*asin(x)+143/768*(1-x)^(3/2)*sqrt(1+x)+_
+     143/1920*(1-x)^(5/2)*sqrt(1+x)+143/4480*(1-x)^(7/2)*sqrt(1+x)+_
+     143/10080*(1-x)^(9/2)*sqrt(1+x)+13/2016*(1-x)^(11/2)*sqrt(1+x)+_
+     1/336*(1-x)^(13/2)*sqrt(1+x)-1/48*(1-x)^(15/2)*sqrt(1+x)+_
+     143/256*sqrt(1-x)*sqrt(1+x)
+--R 
+--R
+--R   (2)
+--R                9         8         7         6          5         4          3
+--R           8064x  - 35840x  + 39312x  + 51200x  - 142296x  + 61440x  + 104370x
+--R         + 
+--R                    2
+--R           - 133120x  + 35595x + 56320
+--R      *
+--R          +-------+ +-----+
+--R         \|- x + 1 \|x + 1
+--R     + 
+--R       45045asin(x)
+--R  /
+--R     80640
+--R                                                    Type: Expression(Integer)
+--E 2239
+
+--S 2240 of 2952
+--a0000:=integrate(t0000,x)
+--E 2240
+
+--S 2241 of 2952
+--m0000:=a0000 - r0000
+--E 2241
+
+--S 2242 of 2952
+--d0000:=D(m0000,x)
+--E 2242
+
+)clear all
+
+--S 2243 of 2952
+t0000:=(1-x)^(11/2)*(1+x)^(5/2)
+--R 
+--R
+--R            7     6    5     4     3    2           +-------+ +-----+
+--R   (1)  (- x  + 3x  - x  - 5x  + 5x  + x  - 3x + 1)\|- x + 1 \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2243
+
+--S 2244 of 2952
+r0000:=-5/72*(1-x)^(13/2)*(1+x)^(3/2)-1/9*(1-x)^(13/2)*(1+x)^(5/2)+_
+     55/128*asin(x)+55/384*(1-x)^(3/2)*sqrt(1+x)+_
+     11/192*(1-x)^(5/2)*sqrt(1+x)+11/448*(1-x)^(7/2)*sqrt(1+x)+_
+     11/1008*(1-x)^(9/2)*sqrt(1+x)+5/1008*(1-x)^(11/2)*sqrt(1+x)-_
+     5/168*(1-x)^(13/2)*sqrt(1+x)+55/128*sqrt(1-x)*sqrt(1+x)
+--R 
+--R
+--R   (2)
+--R                 8        7        6        5        4        3         2
+--R           - 896x  + 3024x  - 1024x  - 7224x  + 8448x  + 3066x  - 10240x
+--R         + 
+--R           4599x + 3712
+--R      *
+--R          +-------+ +-----+
+--R         \|- x + 1 \|x + 1
+--R     + 
+--R       3465asin(x)
+--R  /
+--R     8064
+--R                                                    Type: Expression(Integer)
+--E 2244
+
+--S 2245 of 2952
+--a0000:=integrate(t0000,x)
+--E 2245
+
+--S 2246 of 2952
+--m0000:=a0000 - r0000
+--E 2246
+
+--S 2247 of 2952
+--d0000:=D(m0000,x)
+--E 2247
+
+)clear all
+
+--S 2248 of 2952
+t0000:=(1-x)^(9/2)*(1+x)^(5/2)
+--R 
+--R
+--R          6     5    4     3    2           +-------+ +-----+
+--R   (1)  (x  - 2x  - x  + 4x  - x  - 2x + 1)\|- x + 1 \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2248
+
+--S 2249 of 2952
+r0000:=-5/56*(1-x)^(11/2)*(1+x)^(3/2)-1/8*(1-x)^(11/2)*(1+x)^(5/2)+_
+     45/128*asin(x)+15/128*(1-x)^(3/2)*sqrt(1+x)+_
+     3/64*(1-x)^(5/2)*sqrt(1+x)+9/448*(1-x)^(7/2)*sqrt(1+x)+_
+     1/112*(1-x)^(9/2)*sqrt(1+x)-_
+     5/112*(1-x)^(11/2)*sqrt(1+x)+45/128*sqrt(1-x)*sqrt(1+x)
+--R 
+--R
+--R   (2)
+--R              7       6       5       4       3       2               +-------+
+--R         (112x  - 256x  - 168x  + 768x  - 210x  - 768x  + 581x + 256)\|- x + 1
+--R      *
+--R          +-----+
+--R         \|x + 1
+--R     + 
+--R       315asin(x)
+--R  /
+--R     896
+--R                                                    Type: Expression(Integer)
+--E 2249
+
+--S 2250 of 2952
+--a0000:=integrate(t0000,x)
+--E 2250
+
+--S 2251 of 2952
+--m0000:=a0000 - r0000
+--E 2251
+
+--S 2252 of 2952
+--d0000:=D(m0000,x)
+--E 2252
+
+)clear all
+
+--S 2253 of 2952
+t0000:=(1-x)^(7/2)*(1+x)^(5/2)
+--R 
+--R
+--R            5    4     3     2          +-------+ +-----+
+--R   (1)  (- x  + x  + 2x  - 2x  - x + 1)\|- x + 1 \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2253
+
+--S 2254 of 2952
+r0000:=-5/42*(1-x)^(9/2)*(1+x)^(3/2)-1/7*(1-x)^(9/2)*(1+x)^(5/2)+_
+     5/16*asin(x)+5/48*(1-x)^(3/2)*sqrt(1+x)+1/24*(1-x)^(5/2)*sqrt(1+x)+_
+     1/56*(1-x)^(7/2)*sqrt(1+x)-1/14*(1-x)^(9/2)*sqrt(1+x)+_
+     5/16*sqrt(1-x)*sqrt(1+x)
+--R 
+--R
+--R   (2)
+--R             6      5       4       3       2              +-------+ +-----+
+--R       (- 48x  + 56x  + 144x  - 182x  - 144x  + 231x + 48)\|- x + 1 \|x + 1
+--R     + 
+--R       105asin(x)
+--R  /
+--R     336
+--R                                                    Type: Expression(Integer)
+--E 2254
+
+--S 2255 of 2952
+--a0000:=integrate(t0000,x)
+--E 2255
+
+--S 2256 of 2952
+--m0000:=a0000 - r0000
+--E 2256
+
+--S 2257 of 2952
+--d0000:=D(m0000,x)
+--E 2257
+
+)clear all
+
+--S 2258 of 2952
+t0000:=(1-x)^(5/2)*(1+x)^(5/2)
+--R 
+--R
+--R          4     2      +-------+ +-----+
+--R   (1)  (x  - 2x  + 1)\|- x + 1 \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2258
+
+--S 2259 of 2952
+r0000:=5/24*x*(1-x^2)^(3/2)+1/6*x*(1-x^2)^(5/2)+5/16*asin(x)+5/16*x*sqrt(1-x^2)
+--R 
+--R
+--R                           +--------+
+--R           5      3        |   2
+--R        (8x  - 26x  + 33x)\|- x  + 1  + 15asin(x)
+--R   (2)  -----------------------------------------
+--R                            48
+--R                                                    Type: Expression(Integer)
+--E 2259
+
+--S 2260 of 2952
+--a0000:=integrate(t0000,x)
+--E 2260
+
+--S 2261 of 2952
+--m0000:=a0000 - r0000
+--E 2261
+
+--S 2262 of 2952
+--d0000:=D(m0000,x)
+--E 2262
+
+)clear all
+
+--S 2263 of 2952
+t0000:=(1-x)^(3/2)*(1+x)^(5/2)
+--R 
+--R
+--R            3    2          +-------+ +-----+
+--R   (1)  (- x  - x  + x + 1)\|- x + 1 \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2263
+
+--S 2264 of 2952
+r0000:=-1/5*(1-x)^(5/2)*(1+x)^(5/2)+1/4*x*(1-x^2)^(3/2)+3/8*asin(x)+_
+     3/8*x*sqrt(1-x^2)
+--R 
+--R
+--R   (2)
+--R                                                         +--------+
+--R        4      2      +-------+ +-----+         3        |   2
+--R   (- 8x  + 16x  - 8)\|- x + 1 \|x + 1  + (- 10x  + 25x)\|- x  + 1  + 15asin(x)
+--R   ----------------------------------------------------------------------------
+--R                                        40
+--R                                                    Type: Expression(Integer)
+--E 2264
+
+--S 2265 of 2952
+--a0000:=integrate(t0000,x)
+--E 2265
+
+--S 2266 of 2952
+--m0000:=a0000 - r0000
+--E 2266
+
+--S 2267 of 2952
+--d0000:=D(m0000,x)
+--E 2267
+
+)clear all
+
+--S 2268 of 2952
+t0000:=(1-x)^(1/2)*(1+x)^(5/2)
+--R 
+--R
+--R          2           +-------+ +-----+
+--R   (1)  (x  + 2x + 1)\|- x + 1 \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2268
+
+--S 2269 of 2952
+r0000:=-5/12*(1-x)^(3/2)*(1+x)^(3/2)-1/4*(1-x)^(3/2)*(1+x)^(5/2)+_
+     5/8*asin(x)+5/8*x*sqrt(1-x^2)
+--R 
+--R
+--R                                                       +--------+
+--R           3      2            +-------+ +-----+       |   2
+--R        (6x  + 16x  - 6x - 16)\|- x + 1 \|x + 1  + 15x\|- x  + 1  + 15asin(x)
+--R   (2)  ---------------------------------------------------------------------
+--R                                          24
+--R                                                    Type: Expression(Integer)
+--E 2269
+
+--S 2270 of 2952
+--a0000:=integrate(t0000,x)
+--E 2270
+
+--S 2271 of 2952
+--m0000:=a0000 - r0000
+--E 2271
+
+--S 2272 of 2952
+--d0000:=D(m0000,x)
+--E 2272
+
+)clear all
+
+--S 2273 of 2952
+t0000:=(1+x)^(5/2)/(1-x)^(1/2)
+--R 
+--R
+--R          2           +-----+
+--R        (x  + 2x + 1)\|x + 1
+--R   (1)  ---------------------
+--R               +-------+
+--R              \|- x + 1
+--R                                                    Type: Expression(Integer)
+--E 2273
+
+--S 2274 of 2952
+r0000:=5/2*asin(x)-5/6*(1+x)^(3/2)*sqrt(1-x)-1/3*(1+x)^(5/2)*sqrt(1-x)-_
+     5/2*sqrt(1-x)*sqrt(1+x)
+--R 
+--R
+--R             2            +-------+ +-----+
+--R        (- 2x  - 9x - 22)\|- x + 1 \|x + 1  + 15asin(x)
+--R   (2)  -----------------------------------------------
+--R                               6
+--R                                                    Type: Expression(Integer)
+--E 2274
+
+--S 2275 of 2952
+--a0000:=integrate(t0000,x)
+--E 2275
+
+--S 2276 of 2952
+--m0000:=a0000 - r0000
+--E 2276
+
+--S 2277 of 2952
+--d0000:=D(m0000,x)
+--E 2277
+
+)clear all
+
+--S 2278 of 2952
+t0000:=(1+x)^(5/2)/(1-x)^(3/2)
+--R 
+--R
+--R            2           +-----+
+--R        (- x  - 2x - 1)\|x + 1
+--R   (1)  -----------------------
+--R                   +-------+
+--R           (x - 1)\|- x + 1
+--R                                                    Type: Expression(Integer)
+--E 2278
+
+--S 2279 of 2952
+r0000:=-15/2*asin(x)+2*(1+x)^(5/2)/sqrt(1-x)+5/2*(1+x)^(3/2)*sqrt(1-x)+_
+     15/2*sqrt(1-x)*sqrt(1+x)
+--R 
+--R
+--R            2            +-----+             +-------+
+--R        (- x  - 7x + 24)\|x + 1  - 15asin(x)\|- x + 1
+--R   (2)  ----------------------------------------------
+--R                            +-------+
+--R                          2\|- x + 1
+--R                                                    Type: Expression(Integer)
+--E 2279
+
+--S 2280 of 2952
+--a0000:=integrate(t0000,x)
+--E 2280
+
+--S 2281 of 2952
+--m0000:=a0000 - r0000
+--E 2281
+
+--S 2282 of 2952
+--d0000:=D(m0000,x)
+--E 2282
+
+)clear all
+
+--S 2283 of 2952
+t0000:=(1+x)^(5/2)/(1-x)^(5/2)
+--R 
+--R
+--R           2           +-----+
+--R         (x  + 2x + 1)\|x + 1
+--R   (1)  -----------------------
+--R          2           +-------+
+--R        (x  - 2x + 1)\|- x + 1
+--R                                                    Type: Expression(Integer)
+--E 2283
+
+--S 2284 of 2952
+r0000:=2/3*(1+x)^(5/2)/(1-x)^(3/2)+5*asin(x)-10/3*(1+x)^(3/2)/sqrt(1-x)-_
+     5*sqrt(1-x)*sqrt(1+x)
+--R 
+--R
+--R           2             +-----+                     +-------+
+--R        (3x  - 34x + 23)\|x + 1  + (15x - 15)asin(x)\|- x + 1
+--R   (2)  ------------------------------------------------------
+--R                                   +-------+
+--R                          (3x - 3)\|- x + 1
+--R                                                    Type: Expression(Integer)
+--E 2284
+
+--S 2285 of 2952
+--a0000:=integrate(t0000,x)
+--E 2285
+
+--S 2286 of 2952
+--m0000:=a0000 - r0000
+--E 2286
+
+--S 2287 of 2952
+--d0000:=D(m0000,x)
+--E 2287
+
+)clear all
+
+--S 2288 of 2952
+t0000:=(1+x)^(5/2)/(1-x)^(7/2)
+--R 
+--R
+--R               2           +-----+
+--R           (- x  - 2x - 1)\|x + 1
+--R   (1)  -----------------------------
+--R          3     2           +-------+
+--R        (x  - 3x  + 3x - 1)\|- x + 1
+--R                                                    Type: Expression(Integer)
+--E 2288
+
+--S 2289 of 2952
+r0000:=-2/3*(1+x)^(3/2)/(1-x)^(3/2)+2/5*(1+x)^(5/2)/(1-x)^(5/2)-_
+     asin(x)+2*sqrt(1+x)/sqrt(1-x)
+--R 
+--R
+--R            2             +-----+         2                    +-------+
+--R        (46x  - 48x + 26)\|x + 1  + (- 15x  + 30x - 15)asin(x)\|- x + 1
+--R   (2)  ----------------------------------------------------------------
+--R                               2             +-------+
+--R                           (15x  - 30x + 15)\|- x + 1
+--R                                                    Type: Expression(Integer)
+--E 2289
+
+--S 2290 of 2952
+--a0000:=integrate(t0000,x)
+--E 2290
+
+--S 2291 of 2952
+--m0000:=a0000 - r0000
+--E 2291
+
+--S 2292 of 2952
+--d0000:=D(m0000,x)
+--E 2292
+
+)clear all
+
+--S 2293 of 2952
+t0000:=(1+x)^(5/2)/(1-x)^(9/2)
+--R 
+--R
+--R                 2           +-----+
+--R               (x  + 2x + 1)\|x + 1
+--R   (1)  -----------------------------------
+--R          4     3     2           +-------+
+--R        (x  - 4x  + 6x  - 4x + 1)\|- x + 1
+--R                                                    Type: Expression(Integer)
+--E 2293
+
+--S 2294 of 2952
+r0000:=1/7*(1+x)^(7/2)/(1-x)^(7/2)
+--R 
+--R
+--R              3     2           +-----+
+--R          (- x  - 3x  - 3x - 1)\|x + 1
+--R   (2)  --------------------------------
+--R           3      2            +-------+
+--R        (7x  - 21x  + 21x - 7)\|- x + 1
+--R                                                    Type: Expression(Integer)
+--E 2294
+
+--S 2295 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           3      2            +-------+ +-----+     4      3      2
+--R        (4x  + 12x  + 12x + 4)\|- x + 1 \|x + 1  - 5x  + 20x  - 30x  + 20x - 5
+--R   (3)  ----------------------------------------------------------------------
+--R                              4       3       2
+--R                           28x  - 112x  + 168x  - 112x + 28
+--R                                         Type: Union(Expression(Integer),...)
+--E 2295
+
+--S 2296 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R           5
+--R   (4)  - --
+--R          28
+--R                                                    Type: Expression(Integer)
+--E 2296
+
+--S 2297 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2297
+
+)clear all
+
+--S 2298 of 2952
+t0000:=(1+x)^(5/2)/(1-x)^(11/2)
+--R 
+--R
+--R                      2           +-----+
+--R                  (- x  - 2x - 1)\|x + 1
+--R   (1)  -------------------------------------------
+--R          5     4      3      2           +-------+
+--R        (x  - 5x  + 10x  - 10x  + 5x - 1)\|- x + 1
+--R                                                    Type: Expression(Integer)
+--E 2298
+
+--S 2299 of 2952
+r0000:=1/9*(1+x)^(7/2)/(1-x)^(9/2)+1/63*(1+x)^(7/2)/(1-x)^(7/2)
+--R 
+--R
+--R                4     3      2            +-----+
+--R            (- x  + 5x  + 21x  + 23x + 8)\|x + 1
+--R   (2)  --------------------------------------------
+--R            4       3       2              +-------+
+--R        (63x  - 252x  + 378x  - 252x + 63)\|- x + 1
+--R                                                    Type: Expression(Integer)
+--E 2299
+
+--S 2300 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R         4     3      2            +-------+ +-----+      5      4       3
+--R       (x  - 5x  - 21x  - 23x - 8)\|- x + 1 \|x + 1  - 17x  + 85x  - 170x
+--R     + 
+--R           2
+--R       170x  - 85x + 17
+--R  /
+--R        5       4       3       2
+--R     63x  - 315x  + 630x  - 630x  + 315x - 63
+--R                                         Type: Union(Expression(Integer),...)
+--E 2300
+
+--S 2301 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R          17
+--R   (4)  - --
+--R          63
+--R                                                    Type: Expression(Integer)
+--E 2301
+
+--S 2302 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2302
+
+)clear all
+
+--S 2303 of 2952
+t0000:=(1+x)^(5/2)/(1-x)^(13/2)
+--R 
+--R
+--R                         2           +-----+
+--R                       (x  + 2x + 1)\|x + 1
+--R   (1)  --------------------------------------------------
+--R          6     5      4      3      2           +-------+
+--R        (x  - 6x  + 15x  - 20x  + 15x  - 6x + 1)\|- x + 1
+--R                                                    Type: Expression(Integer)
+--E 2303
+
+--S 2304 of 2952
+r0000:=1/11*(1+x)^(7/2)/(1-x)^(11/2)+2/99*(1+x)^(7/2)/(1-x)^(9/2)+_
+     2/693*(1+x)^(7/2)/(1-x)^(7/2)
+--R 
+--R
+--R                  5      4      3       2              +-----+
+--R             (- 2x  + 12x  - 31x  - 185x  - 219x - 79)\|x + 1
+--R   (2)  ----------------------------------------------------------
+--R             5        4        3        2                +-------+
+--R        (693x  - 3465x  + 6930x  - 6930x  + 3465x - 693)\|- x + 1
+--R                                                    Type: Expression(Integer)
+--E 2304
+
+--S 2305 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R           5      4       3       2                +-------+ +-----+        6
+--R       (10x  - 60x  + 155x  + 925x  + 1095x + 395)\|- x + 1 \|x + 1  + 1027x
+--R     + 
+--R              5         4         3         2
+--R       - 6162x  + 15405x  - 20540x  + 15405x  - 6162x + 1027
+--R  /
+--R          6         5         4         3         2
+--R     3465x  - 20790x  + 51975x  - 69300x  + 51975x  - 20790x + 3465
+--R                                         Type: Union(Expression(Integer),...)
+--E 2305
+
+--S 2306 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R        1027
+--R   (4)  ----
+--R        3465
+--R                                                    Type: Expression(Integer)
+--E 2306
+
+--S 2307 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2307
+
+)clear all
+
+--S 2308 of 2952
+t0000:=(1+x)^(5/2)/(1-x)^(15/2)
+--R 
+--R
+--R                             2           +-----+
+--R                         (- x  - 2x - 1)\|x + 1
+--R   (1)  ---------------------------------------------------------
+--R          7     6      5      4      3      2           +-------+
+--R        (x  - 7x  + 21x  - 35x  + 35x  - 21x  + 7x - 1)\|- x + 1
+--R                                                    Type: Expression(Integer)
+--E 2308
+
+--S 2309 of 2952
+r0000:=1/13*(1+x)^(7/2)/(1-x)^(13/2)+3/143*(1+x)^(7/2)/(1-x)^(11/2)+_
+     2/429*(1+x)^(7/2)/(1-x)^(9/2)+2/3003*(1+x)^(7/2)/(1-x)^(7/2)
+--R 
+--R
+--R   (2)
+--R                 6      5      4      3       2               +-----+
+--R            (- 2x  + 14x  - 43x  + 77x  + 659x  + 833x + 310)\|x + 1
+--R   --------------------------------------------------------------------------
+--R         6         5         4         3         2                  +-------+
+--R   (3003x  - 18018x  + 45045x  - 60060x  + 45045x  - 18018x + 3003)\|- x + 1
+--R                                                    Type: Expression(Integer)
+--E 2309
+
+--S 2310 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R          6      5      4      3       2               +-------+ +-----+
+--R       (2x  - 14x  + 43x  - 77x  - 659x  - 833x - 310)\|- x + 1 \|x + 1
+--R     + 
+--R              7         6          5          4          3          2
+--R       - 4860x  + 34020x  - 102060x  + 170100x  - 170100x  + 102060x  - 34020x
+--R     + 
+--R       4860
+--R  /
+--R          7         6         5          4          3         2
+--R     3003x  - 21021x  + 63063x  - 105105x  + 105105x  - 63063x  + 21021x - 3003
+--R                                         Type: Union(Expression(Integer),...)
+--E 2310
+
+--S 2311 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R          1620
+--R   (4)  - ----
+--R          1001
+--R                                                    Type: Expression(Integer)
+--E 2311
+
+--S 2312 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2312
+
+)clear all
+
+--S 2313 of 2952
+t0000:=(1+x)^(5/2)/(1-x)^(17/2)
+--R 
+--R
+--R                                2           +-----+
+--R                              (x  + 2x + 1)\|x + 1
+--R   (1)  ----------------------------------------------------------------
+--R          8     7      6      5      4      3      2           +-------+
+--R        (x  - 8x  + 28x  - 56x  + 70x  - 56x  + 28x  - 8x + 1)\|- x + 1
+--R                                                    Type: Expression(Integer)
+--E 2313
+
+--S 2314 of 2952
+r0000:=1/15*(1+x)^(7/2)/(1-x)^(15/2)+4/195*(1+x)^(7/2)/(1-x)^(13/2)+_
+     4/715*(1+x)^(7/2)/(1-x)^(11/2)+8/6435*(1+x)^(7/2)/(1-x)^(9/2)+_
+     8/45045*(1+x)^(7/2)/(1-x)^(7/2)
+--R 
+--R
+--R   (2)
+--R          7      6       5       4       3        2                  +-----+
+--R     (- 8x  + 64x  - 228x  + 480x  - 675x  - 8313x  - 11101x - 4243)\|x + 1
+--R  /
+--R               7          6          5           4           3          2
+--R         45045x  - 315315x  + 945945x  - 1576575x  + 1576575x  - 945945x
+--R       + 
+--R         315315x - 45045
+--R    *
+--R        +-------+
+--R       \|- x + 1
+--R                                                    Type: Expression(Integer)
+--E 2314
+
+--S 2315 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R             7       6        5        4        3         2
+--R         (64x  - 512x  + 1824x  - 3840x  + 5400x  + 66504x  + 88808x + 33944)
+--R      *
+--R          +-------+ +-----+
+--R         \|- x + 1 \|x + 1
+--R     + 
+--R             8          7           6           5           4           3
+--R       72131x  - 577048x  + 2019668x  - 4039336x  + 5049170x  - 4039336x
+--R     + 
+--R               2
+--R       2019668x  - 577048x + 72131
+--R  /
+--R              8           7            6            5            4            3
+--R       360360x  - 2882880x  + 10090080x  - 20180160x  + 25225200x  - 20180160x
+--R     + 
+--R                2
+--R       10090080x  - 2882880x + 360360
+--R                                         Type: Union(Expression(Integer),...)
+--E 2315
+
+--S 2316 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R         72131
+--R   (4)  ------
+--R        360360
+--R                                                    Type: Expression(Integer)
+--E 2316
+
+--S 2317 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2317
+
+)clear all
+
+--S 2318 of 2952
+t0000:=(1+x)^(5/2)/(1-x)^(19/2)
+--R 
+--R
+--R   (1)
+--R                                2           +-----+
+--R                            (- x  - 2x - 1)\|x + 1
+--R   -------------------------------------------------------------------------
+--R     9     8      7      6       5       4      3      2           +-------+
+--R   (x  - 9x  + 36x  - 84x  + 126x  - 126x  + 84x  - 36x  + 9x - 1)\|- x + 1
+--R                                                    Type: Expression(Integer)
+--E 2318
+
+--S 2319 of 2952
+r0000:=1/17*(1+x)^(7/2)/(1-x)^(17/2)+1/51*(1+x)^(7/2)/(1-x)^(15/2)+_
+     4/663*(1+x)^(7/2)/(1-x)^(13/2)+4/2431*(1+x)^(7/2)/(1-x)^(11/2)+_
+     8/21879*(1+x)^(7/2)/(1-x)^(9/2)+8/153153*(1+x)^(7/2)/(1-x)^(7/2)
+--R 
+--R
+--R   (2)
+--R               8      7       6       5        4        3         2
+--R           - 8x  + 72x  - 292x  + 708x  - 1155x  + 1371x  + 24239x  + 33885x
+--R         + 
+--R           13252
+--R    *
+--R        +-----+
+--R       \|x + 1
+--R  /
+--R                8           7           6           5            4           3
+--R         153153x  - 1225224x  + 4288284x  - 8576568x  + 10720710x  - 8576568x
+--R       + 
+--R                 2
+--R         4288284x  - 1225224x + 153153
+--R    *
+--R        +-------+
+--R       \|- x + 1
+--R                                                    Type: Expression(Integer)
+--E 2319
+
+--S 2320 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R              8       7       6        5        4        3         2
+--R           24x  - 216x  + 876x  - 2124x  + 3465x  - 4113x  - 72717x  - 101655x
+--R         + 
+--R           - 39756
+--R      *
+--R          +-------+ +-----+
+--R         \|- x + 1 \|x + 1
+--R     + 
+--R             9          8           7           6           5           4
+--R       66260x  - 596340x  + 2385360x  - 5565840x  + 8348760x  - 8348760x
+--R     + 
+--R               3           2
+--R       5565840x  - 2385360x  + 596340x - 66260
+--R  /
+--R              9           8            7            6            5            4
+--R       459459x  - 4135131x  + 16540524x  - 38594556x  + 57891834x  - 57891834x
+--R     + 
+--R                3            2
+--R       38594556x  - 16540524x  + 4135131x - 459459
+--R                                         Type: Union(Expression(Integer),...)
+--E 2320
+
+--S 2321 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R         66260
+--R   (4)  ------
+--R        459459
+--R                                                    Type: Expression(Integer)
+--E 2321
+
+--S 2322 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2322
+
+)clear all
+
+--S 2323 of 2952
+t0000:=(1-x)^(7/2)/(1+x)^(1/2)
+--R 
+--R
+--R            3     2           +-------+
+--R        (- x  + 3x  - 3x + 1)\|- x + 1
+--R   (1)  -------------------------------
+--R                     +-----+
+--R                    \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2323
+
+--S 2324 of 2952
+r0000:=35/8*asin(x)+35/24*(1-x)^(3/2)*sqrt(1+x)+7/12*(1-x)^(5/2)*sqrt(1+x)+_
+     1/4*(1-x)^(7/2)*sqrt(1+x)+35/8*sqrt(1-x)*sqrt(1+x)
+--R 
+--R
+--R             3      2              +-------+ +-----+
+--R        (- 6x  + 32x  - 81x + 160)\|- x + 1 \|x + 1  + 105asin(x)
+--R   (2)  ---------------------------------------------------------
+--R                                    24
+--R                                                    Type: Expression(Integer)
+--E 2324
+
+--S 2325 of 2952
+--a0000:=integrate(t0000,x)
+--E 2325
+
+--S 2326 of 2952
+--m0000:=a0000 - r0000
+--E 2326
+
+--S 2327 of 2952
+--d0000:=D(m0000,x)
+--E 2327
+
+)clear all
+
+--S 2328 of 2952
+t0000:=(1-x)^(5/2)/(1+x)^(1/2)
+--R 
+--R
+--R          2           +-------+
+--R        (x  - 2x + 1)\|- x + 1
+--R   (1)  -----------------------
+--R                 +-----+
+--R                \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2328
+
+--S 2329 of 2952
+r0000:=5/2*asin(x)+5/6*(1-x)^(3/2)*sqrt(1+x)+1/3*(1-x)^(5/2)*sqrt(1+x)+_
+     5/2*sqrt(1-x)*sqrt(1+x)
+--R 
+--R
+--R           2            +-------+ +-----+
+--R        (2x  - 9x + 22)\|- x + 1 \|x + 1  + 15asin(x)
+--R   (2)  ---------------------------------------------
+--R                              6
+--R                                                    Type: Expression(Integer)
+--E 2329
+
+--S 2330 of 2952
+--a0000:=integrate(t0000,x)
+--E 2330
+
+--S 2331 of 2952
+--m0000:=a0000 - r0000
+--E 2331
+
+--S 2332 of 2952
+--d0000:=D(m0000,x)
+--E 2332
+
+)clear all
+
+--S 2333 of 2952
+t0000:=(1-x)^(3/2)/(1+x)^(1/2)
+--R 
+--R
+--R                  +-------+
+--R        (- x + 1)\|- x + 1
+--R   (1)  -------------------
+--R               +-----+
+--R              \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2333
+
+--S 2334 of 2952
+r0000:=3/2*asin(x)+1/2*(1-x)^(3/2)*sqrt(1+x)+3/2*sqrt(1-x)*sqrt(1+x)
+--R 
+--R
+--R                  +-------+ +-----+
+--R        (- x + 4)\|- x + 1 \|x + 1  + 3asin(x)
+--R   (2)  --------------------------------------
+--R                           2
+--R                                                    Type: Expression(Integer)
+--E 2334
+
+--S 2335 of 2952
+--a0000:=integrate(t0000,x)
+--E 2335
+
+--S 2336 of 2952
+--m0000:=a0000 - r0000
+--E 2336
+
+--S 2337 of 2952
+--d0000:=D(m0000,x)
+--E 2337
+
+)clear all
+
+--S 2338 of 2952
+t0000:=(1-x)^(1/2)/(1+x)^(1/2)
+--R 
+--R
+--R         +-------+
+--R        \|- x + 1
+--R   (1)  ----------
+--R          +-----+
+--R         \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2338
+
+--S 2339 of 2952
+r0000:=asin(x)+sqrt(1-x)*sqrt(1+x)
+--R 
+--R
+--R         +-------+ +-----+
+--R   (2)  \|- x + 1 \|x + 1  + asin(x)
+--R                                                    Type: Expression(Integer)
+--E 2339
+
+--S 2340 of 2952
+--a0000:=integrate(t0000,x)
+--E 2340
+
+--S 2341 of 2952
+--m0000:=a0000 - r0000
+--E 2341
+
+--S 2342 of 2952
+--d0000:=D(m0000,x)
+--E 2342
+
+)clear all
+
+--S 2343 of 2952
+t0000:=1/((1-x)^(1/2)*(1+x)^(1/2))
+--R 
+--R
+--R                 1
+--R   (1)  ------------------
+--R         +-------+ +-----+
+--R        \|- x + 1 \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2343
+
+--S 2344 of 2952
+r0000:=asin(x)
+--R 
+--R
+--R   (2)  asin(x)
+--R                                                    Type: Expression(Integer)
+--E 2344
+
+--S 2345 of 2952
+--a0000:=integrate(t0000,x)
+--E 2345
+
+--S 2346 of 2952
+--m0000:=a0000 - r0000
+--E 2346
+
+--S 2347 of 2952
+--d0000:=D(m0000,x)
+--E 2347
+
+)clear all
+
+--S 2348 of 2952
+t0000:=1/((1-x)^(3/2)*(1+x)^(1/2))
+--R 
+--R
+--R                      1
+--R   (1)  - -------------------------
+--R                  +-------+ +-----+
+--R          (x - 1)\|- x + 1 \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2348
+
+--S 2349 of 2952
+r0000:=sqrt(1+x)/sqrt(1-x)
+--R 
+--R
+--R          +-----+
+--R         \|x + 1
+--R   (2)  ----------
+--R         +-------+
+--R        \|- x + 1
+--R                                                    Type: Expression(Integer)
+--E 2349
+
+--S 2350 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           +-------+ +-----+
+--R        - \|- x + 1 \|x + 1  - x + 1
+--R   (3)  ----------------------------
+--R                    x - 1
+--R                                         Type: Union(Expression(Integer),...)
+--E 2350
+
+--S 2351 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  - 1
+--R                                                    Type: Expression(Integer)
+--E 2351
+
+--S 2352 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2352
+
+)clear all
+
+--S 2353 of 2952
+t0000:=1/((1-x)^(5/2)*(1+x)^(1/2))
+--R 
+--R
+--R                       1
+--R   (1)  -------------------------------
+--R          2           +-------+ +-----+
+--R        (x  - 2x + 1)\|- x + 1 \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2353
+
+--S 2354 of 2952
+r0000:=1/3*sqrt(1+x)/(1-x)^(3/2)+1/3*sqrt(1+x)/sqrt(1-x)
+--R 
+--R
+--R                  +-----+
+--R          (x - 2)\|x + 1
+--R   (2)  ------------------
+--R                 +-------+
+--R        (3x - 3)\|- x + 1
+--R                                                    Type: Expression(Integer)
+--E 2354
+
+--S 2355 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                  +-------+ +-----+
+--R        (- x + 2)\|- x + 1 \|x + 1
+--R   (3)  ---------------------------
+--R                  2
+--R                3x  - 6x + 3
+--R                                         Type: Union(Expression(Integer),...)
+--E 2355
+
+--S 2356 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2356
+
+--S 2357 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2357
+
+)clear all
+
+--S 2358 of 2952
+t0000:=1/((1-x)^(7/2)*(1+x)^(1/2))
+--R 
+--R
+--R                            1
+--R   (1)  - -------------------------------------
+--R            3     2           +-------+ +-----+
+--R          (x  - 3x  + 3x - 1)\|- x + 1 \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2358
+
+--S 2359 of 2952
+r0000:=1/5*sqrt(1+x)/(1-x)^(5/2)+2/15*sqrt(1+x)/(1-x)^(3/2)+_
+     2/15*sqrt(1+x)/sqrt(1-x)
+--R 
+--R
+--R              2           +-----+
+--R           (2x  - 6x + 7)\|x + 1
+--R   (2)  ---------------------------
+--R            2             +-------+
+--R        (15x  - 30x + 15)\|- x + 1
+--R                                                    Type: Expression(Integer)
+--E 2359
+
+--S 2360 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R             2             +-------+ +-----+      3       2
+--R        (- 8x  + 24x - 28)\|- x + 1 \|x + 1  - 35x  + 105x  - 105x + 35
+--R   (3)  ---------------------------------------------------------------
+--R                               3       2
+--R                            60x  - 180x  + 180x - 60
+--R                                         Type: Union(Expression(Integer),...)
+--E 2360
+
+--S 2361 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R           7
+--R   (4)  - --
+--R          12
+--R                                                    Type: Expression(Integer)
+--E 2361
+
+--S 2362 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2362
+
+)clear all
+
+--S 2363 of 2952
+t0000:=1/((1-x)^(9/2)*(1+x)^(1/2))
+--R 
+--R
+--R                             1
+--R   (1)  -------------------------------------------
+--R          4     3     2           +-------+ +-----+
+--R        (x  - 4x  + 6x  - 4x + 1)\|- x + 1 \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2363
+
+--S 2364 of 2952
+r0000:=1/7*sqrt(1+x)/(1-x)^(7/2)+3/35*sqrt(1+x)/(1-x)^(5/2)+_
+     2/35*sqrt(1+x)/(1-x)^(3/2)+2/35*sqrt(1+x)/sqrt(1-x)
+--R 
+--R
+--R              3     2             +-----+
+--R           (2x  - 8x  + 13x - 12)\|x + 1
+--R   (2)  ------------------------------------
+--R            3       2              +-------+
+--R        (35x  - 105x  + 105x - 35)\|- x + 1
+--R                                                    Type: Expression(Integer)
+--E 2364
+
+--S 2365 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R             3      2             +-------+ +-----+       4       3       2
+--R       (- 10x  + 40x  - 65x + 60)\|- x + 1 \|x + 1  + 156x  - 624x  + 936x
+--R     + 
+--R       - 624x + 156
+--R  /
+--R         4       3        2
+--R     175x  - 700x  + 1050x  - 700x + 175
+--R                                         Type: Union(Expression(Integer),...)
+--E 2365
+
+--S 2366 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R        156
+--R   (4)  ---
+--R        175
+--R                                                    Type: Expression(Integer)
+--E 2366
+
+--S 2367 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2367
+
+)clear all
+
+--S 2368 of 2952
+t0000:=1/((1-x)^(11/2)*(1+x)^(1/2))
+--R 
+--R
+--R                                   1
+--R   (1)  - ---------------------------------------------------
+--R            5     4      3      2           +-------+ +-----+
+--R          (x  - 5x  + 10x  - 10x  + 5x - 1)\|- x + 1 \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2368
+
+--S 2369 of 2952
+r0000:=1/9*sqrt(1+x)/(1-x)^(9/2)+4/63*sqrt(1+x)/(1-x)^(7/2)+_
+     4/105*sqrt(1+x)/(1-x)^(5/2)+8/315*sqrt(1+x)/(1-x)^(3/2)+_
+     8/315*sqrt(1+x)/sqrt(1-x)
+--R 
+--R
+--R                4      3      2              +-----+
+--R             (8x  - 40x  + 84x  - 100x + 83)\|x + 1
+--R   (2)  -------------------------------------------------
+--R             4        3        2                +-------+
+--R        (315x  - 1260x  + 1890x  - 1260x + 315)\|- x + 1
+--R                                                    Type: Expression(Integer)
+--E 2369
+
+--S 2370 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R            4      3      2              +-------+ +-----+      5       4
+--R       (- 8x  + 40x  - 84x  + 100x - 83)\|- x + 1 \|x + 1  - 27x  + 135x
+--R     + 
+--R             3       2
+--R       - 270x  + 270x  - 135x + 27
+--R  /
+--R         5        4        3        2
+--R     315x  - 1575x  + 3150x  - 3150x  + 1575x - 315
+--R                                         Type: Union(Expression(Integer),...)
+--E 2370
+
+--S 2371 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R           3
+--R   (4)  - --
+--R          35
+--R                                                    Type: Expression(Integer)
+--E 2371
+
+--S 2372 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2372
+
+)clear all
+
+--S 2373 of 2952
+t0000:=(1-x)^(7/2)/(1+x)^(3/2)
+--R 
+--R
+--R            3     2           +-------+
+--R        (- x  + 3x  - 3x + 1)\|- x + 1
+--R   (1)  -------------------------------
+--R                        +-----+
+--R                (x + 1)\|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2373
+
+--S 2374 of 2952
+r0000:=-35/2*asin(x)-2*(1-x)^(7/2)/sqrt(1+x)-_
+     35/6*(1-x)^(3/2)*sqrt(1+x)-7/3*(1-x)^(5/2)*sqrt(1+x)-_
+     35/2*sqrt(1-x)*sqrt(1+x)
+--R 
+--R
+--R                     +-----+        3      2              +-------+
+--R        - 105asin(x)\|x + 1  + (- 2x  + 13x  - 55x - 166)\|- x + 1
+--R   (2)  -----------------------------------------------------------
+--R                                   +-----+
+--R                                 6\|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2374
+
+--S 2375 of 2952
+--a0000:=integrate(t0000,x)
+--E 2375
+
+--S 2376 of 2952
+--m0000:=a0000 - r0000
+--E 2376
+
+--S 2377 of 2952
+--d0000:=D(m0000,x)
+--E 2377
+
+)clear all
+
+--S 2378 of 2952
+t0000:=(1-x)^(5/2)/(1+x)^(3/2)
+--R 
+--R
+--R          2           +-------+
+--R        (x  - 2x + 1)\|- x + 1
+--R   (1)  -----------------------
+--R                    +-----+
+--R            (x + 1)\|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2378
+
+--S 2379 of 2952
+r0000:=-15/2*asin(x)-2*(1-x)^(5/2)/sqrt(1+x)-_
+     5/2*(1-x)^(3/2)*sqrt(1+x)-15/2*sqrt(1-x)*sqrt(1+x)
+--R 
+--R
+--R                    +-----+     2            +-------+
+--R        - 15asin(x)\|x + 1  + (x  - 7x - 24)\|- x + 1
+--R   (2)  ----------------------------------------------
+--R                             +-----+
+--R                           2\|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2379
+
+--S 2380 of 2952
+--a0000:=integrate(t0000,x)
+--E 2380
+
+--S 2381 of 2952
+--m0000:=a0000 - r0000
+--E 2381
+
+--S 2382 of 2952
+--d0000:=D(m0000,x)
+--E 2382
+
+)clear all
+
+--S 2383 of 2952
+t0000:=(1-x)^(3/2)/(1+x)^(3/2)
+--R 
+--R
+--R                  +-------+
+--R        (- x + 1)\|- x + 1
+--R   (1)  -------------------
+--R                  +-----+
+--R          (x + 1)\|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2383
+
+--S 2384 of 2952
+r0000:=-3*asin(x)-2*(1-x)^(3/2)/sqrt(1+x)-3*sqrt(1-x)*sqrt(1+x)
+--R 
+--R
+--R                   +-----+             +-------+
+--R        - 3asin(x)\|x + 1  + (- x - 5)\|- x + 1
+--R   (2)  ----------------------------------------
+--R                         +-----+
+--R                        \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2384
+
+--S 2385 of 2952
+--a0000:=integrate(t0000,x)
+--E 2385
+
+--S 2386 of 2952
+--m0000:=a0000 - r0000
+--E 2386
+
+--S 2387 of 2952
+--d0000:=D(m0000,x)
+--E 2387
+
+)clear all
+
+--S 2388 of 2952
+t0000:=(1-x)^(1/2)/(1+x)^(3/2)
+--R 
+--R
+--R            +-------+
+--R           \|- x + 1
+--R   (1)  ---------------
+--R                +-----+
+--R        (x + 1)\|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2388
+
+--S 2389 of 2952
+r0000:=-asin(x)-2*sqrt(1-x)/sqrt(1+x)
+--R 
+--R
+--R                  +-----+     +-------+
+--R        - asin(x)\|x + 1  - 2\|- x + 1
+--R   (2)  -------------------------------
+--R                     +-----+
+--R                    \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2389
+
+--S 2390 of 2952
+--a0000:=integrate(t0000,x)
+--E 2390
+
+--S 2391 of 2952
+--m0000:=a0000 - r0000
+--E 2391
+
+--S 2392 of 2952
+--d0000:=D(m0000,x)
+--E 2392
+
+)clear all
+
+--S 2393 of 2952
+t0000:=1/((1-x)^(1/2)*(1+x)^(3/2))
+--R 
+--R
+--R                    1
+--R   (1)  -------------------------
+--R                +-------+ +-----+
+--R        (x + 1)\|- x + 1 \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2393
+
+--S 2394 of 2952
+r0000:=-sqrt(1-x)/sqrt(1+x)
+--R 
+--R
+--R           +-------+
+--R          \|- x + 1
+--R   (2)  - ----------
+--R            +-----+
+--R           \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2394
+
+--S 2395 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R            +-------+ +-----+
+--R        - 8\|- x + 1 \|x + 1  - 17x - 17
+--R   (3)  --------------------------------
+--R                     8x + 8
+--R                                         Type: Union(Expression(Integer),...)
+--E 2395
+
+--S 2396 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R          17
+--R   (4)  - --
+--R           8
+--R                                                    Type: Expression(Integer)
+--E 2396
+
+--S 2397 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2397
+
+)clear all
+
+--S 2398 of 2952
+t0000:=1/((1-x)^(3/2)*(1+x)^(3/2))
+--R 
+--R
+--R                       1
+--R   (1)  - --------------------------
+--R            2      +-------+ +-----+
+--R          (x  - 1)\|- x + 1 \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2398
+
+--S 2399 of 2952
+r0000:=x/sqrt(1-x^2)
+--R 
+--R
+--R             x
+--R   (2)  -----------
+--R         +--------+
+--R         |   2
+--R        \|- x  + 1
+--R                                                    Type: Expression(Integer)
+--E 2399
+
+--S 2400 of 2952
+--a0000:=integrate(t0000,x)
+--E 2400
+
+--S 2401 of 2952
+--m0000:=a0000 - r0000
+--E 2401
+
+--S 2402 of 2952
+--d0000:=D(m0000,x)
+--E 2402
+
+)clear all
+
+--S 2403 of 2952
+t0000:=1/((1-x)^(5/2)*(1+x)^(3/2))
+--R 
+--R
+--R                         1
+--R   (1)  -----------------------------------
+--R          3    2          +-------+ +-----+
+--R        (x  - x  - x + 1)\|- x + 1 \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2403
+
+--S 2404 of 2952
+r0000:=1/3/((1-x)^(3/2)*sqrt(1+x))+2/3*x/sqrt(1-x^2)
+--R 
+--R
+--R                                        +--------+
+--R           2       +-------+ +-----+    |   2
+--R        (2x  - 2x)\|- x + 1 \|x + 1  - \|- x  + 1
+--R   (2)  ------------------------------------------
+--R                    +--------+
+--R                    |   2      +-------+ +-----+
+--R           (3x - 3)\|- x  + 1 \|- x + 1 \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2404
+
+--S 2405 of 2952 
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R             2           +-------+ +-----+     3     2
+--R        (- 6x  + 6x + 3)\|- x + 1 \|x + 1  - 5x  + 5x  + 5x - 5
+--R   (3)  -------------------------------------------------------
+--R                             3     2
+--R                           9x  - 9x  - 9x + 9
+--R                                         Type: Union(Expression(Integer),...)
+--E 2405
+
+--S 2406 of 2952 
+m0000:=a0000 - r0000
+--R 
+--R
+--R             +--------+                              +--------+
+--R             |   2            +-------+ +-----+      |   2
+--R        (- 5\|- x  + 1  - 6x)\|- x + 1 \|x + 1  + 6x\|- x  + 1
+--R   (4)  -------------------------------------------------------
+--R                       +--------+
+--R                       |   2      +-------+ +-----+
+--R                     9\|- x  + 1 \|- x + 1 \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2406
+
+-- TPDHERE
+--S 2407 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R                                  +--------+
+--R            +-------+ +-----+     |   2
+--R          2\|- x + 1 \|x + 1  - 2\|- x  + 1
+--R   (5)  --------------------------------------
+--R                  +--------+
+--R           2      |   2      +-------+ +-----+
+--R        (3x  - 3)\|- x  + 1 \|- x + 1 \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2407
+
+)clear all
+
+--S 2408 of 2952
+t0000:=1/((1-x)^(7/2)*(1+x)^(3/2))
+--R 
+--R
+--R                            1
+--R   (1)  - -------------------------------------
+--R            4     3           +-------+ +-----+
+--R          (x  - 2x  + 2x - 1)\|- x + 1 \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2408
+
+--S 2409 of 2952
+r0000:=1/5/((1-x)^(5/2)*sqrt(1+x))+1/5/((1-x)^(3/2)*sqrt(1+x))+_
+     2/5*x/sqrt(1-x^2)
+--R 
+--R
+--R                                                       +--------+
+--R           3     2       +-------+ +-----+             |   2
+--R        (2x  - 4x  + 2x)\|- x + 1 \|x + 1  + (- x + 2)\|- x  + 1
+--R   (2)  ---------------------------------------------------------
+--R                               +--------+
+--R                  2            |   2      +-------+ +-----+
+--R               (5x  - 10x + 5)\|- x  + 1 \|- x + 1 \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2409
+
+--S 2410 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R             3      2           +-------+ +-----+      4      3
+--R        (- 8x  + 16x  - 4x - 8)\|- x + 1 \|x + 1  - 17x  + 34x  - 34x + 17
+--R   (3)  ------------------------------------------------------------------
+--R                                 4      3
+--R                              20x  - 40x  + 40x - 20
+--R                                         Type: Union(Expression(Integer),...)
+--E 2410
+
+--S 2411 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R              +--------+                              +--------+
+--R              |   2            +-------+ +-----+      |   2
+--R        (- 17\|- x  + 1  - 8x)\|- x + 1 \|x + 1  + 8x\|- x  + 1
+--R   (4)  --------------------------------------------------------
+--R                        +--------+
+--R                        |   2      +-------+ +-----+
+--R                     20\|- x  + 1 \|- x + 1 \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2411
+
+-- TPDHERE
+--S 2412 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R                                  +--------+
+--R            +-------+ +-----+     |   2
+--R          2\|- x + 1 \|x + 1  - 2\|- x  + 1
+--R   (5)  --------------------------------------
+--R                  +--------+
+--R           2      |   2      +-------+ +-----+
+--R        (5x  - 5)\|- x  + 1 \|- x + 1 \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2412
+
+)clear all
+
+--S 2413 of 2952
+t0000:=1/((1-x)^(9/2)*(1+x)^(3/2))
+--R 
+--R
+--R                                1
+--R   (1)  -------------------------------------------------
+--R          5     4     3     2           +-------+ +-----+
+--R        (x  - 3x  + 2x  + 2x  - 3x + 1)\|- x + 1 \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2413
+
+--S 2414 of 2952
+r0000:=1/7/((1-x)^(7/2)*sqrt(1+x))+4/35/((1-x)^(5/2)*sqrt(1+x))+_
+     4/35/((1-x)^(3/2)*sqrt(1+x))+8/35*x/sqrt(1-x^2)
+--R 
+--R
+--R   (2)
+--R                                                                   +--------+
+--R      4      3      2       +-------+ +-----+        2             |   2
+--R   (8x  - 24x  + 24x  - 8x)\|- x + 1 \|x + 1  + (- 4x  + 12x - 13)\|- x  + 1
+--R   --------------------------------------------------------------------------
+--R                                        +--------+
+--R                 3       2              |   2      +-------+ +-----+
+--R             (35x  - 105x  + 105x - 35)\|- x  + 1 \|- x + 1 \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2414
+
+--S 2415 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R             4       3       2             +-------+ +-----+       5       4
+--R       (- 40x  + 120x  - 100x  - 20x + 65)\|- x + 1 \|x + 1  + 169x  - 507x
+--R     + 
+--R           3       2
+--R       338x  + 338x  - 507x + 169
+--R  /
+--R         5       4       3       2
+--R     175x  - 525x  + 350x  + 350x  - 525x + 175
+--R                                         Type: Union(Expression(Integer),...)
+--E 2415
+
+--S 2416 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R             +--------+                                +--------+
+--R             |   2             +-------+ +-----+       |   2
+--R        (169\|- x  + 1  - 40x)\|- x + 1 \|x + 1  + 40x\|- x  + 1
+--R   (4)  ---------------------------------------------------------
+--R                         +--------+
+--R                         |   2      +-------+ +-----+
+--R                     175\|- x  + 1 \|- x + 1 \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2416
+
+-- TPDHERE
+--S 2417 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R                                   +--------+
+--R             +-------+ +-----+     |   2
+--R           8\|- x + 1 \|x + 1  - 8\|- x  + 1
+--R   (5)  ----------------------------------------
+--R                    +--------+
+--R            2       |   2      +-------+ +-----+
+--R        (35x  - 35)\|- x  + 1 \|- x + 1 \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2417
+
+)clear all
+
+--S 2418 of 2952
+t0000:=1/((1-x)^(11/2)*(1+x)^(3/2))
+--R 
+--R
+--R                                  1
+--R   (1)  - -------------------------------------------------
+--R            6     5     4     2           +-------+ +-----+
+--R          (x  - 4x  + 5x  - 5x  + 4x - 1)\|- x + 1 \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2418
+
+--S 2419 of 2952
+r0000:=1/9/((1-x)^(9/2)*sqrt(1+x))+5/63/((1-x)^(7/2)*sqrt(1+x))+_
+     4/63/((1-x)^(5/2)*sqrt(1+x))+4/63/((1-x)^(3/2)*sqrt(1+x))+_
+     8/63*x/sqrt(1-x^2)
+--R 
+--R
+--R   (2)
+--R          5      4      3      2       +-------+ +-----+
+--R       (8x  - 32x  + 48x  - 32x  + 8x)\|- x + 1 \|x + 1
+--R     + 
+--R                                 +--------+
+--R            3      2             |   2
+--R       (- 4x  + 16x  - 25x + 20)\|- x  + 1
+--R  /
+--R                                        +--------+
+--R         4       3       2              |   2      +-------+ +-----+
+--R     (63x  - 252x  + 378x  - 252x + 63)\|- x  + 1 \|- x + 1 \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2419
+
+--S 2420 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R             5      4       3      2             +-------+ +-----+       6
+--R       (- 24x  + 96x  - 132x  + 48x  + 51x - 60)\|- x + 1 \|x + 1  - 100x
+--R     + 
+--R           5       4       2
+--R       400x  - 500x  + 500x  - 400x + 100
+--R  /
+--R         6       5       4       2
+--R     189x  - 756x  + 945x  - 945x  + 756x - 189
+--R                                         Type: Union(Expression(Integer),...)
+--E 2420
+
+--S 2421 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R               +--------+                                +--------+
+--R               |   2             +-------+ +-----+       |   2
+--R        (- 100\|- x  + 1  - 24x)\|- x + 1 \|x + 1  + 24x\|- x  + 1
+--R   (4)  -----------------------------------------------------------
+--R                          +--------+
+--R                          |   2      +-------+ +-----+
+--R                      189\|- x  + 1 \|- x + 1 \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2421
+
+-- TPDHERE
+--S 2422 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R                                   +--------+
+--R             +-------+ +-----+     |   2
+--R           8\|- x + 1 \|x + 1  - 8\|- x  + 1
+--R   (5)  ----------------------------------------
+--R                    +--------+
+--R            2       |   2      +-------+ +-----+
+--R        (63x  - 63)\|- x  + 1 \|- x + 1 \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2422
+
+)clear all
+
+--S 2423 of 2952
+t0000:=(1-x)^(9/2)/(1+x)^(5/2)
+--R 
+--R
+--R          4     3     2           +-------+
+--R        (x  - 4x  + 6x  - 4x + 1)\|- x + 1
+--R   (1)  -----------------------------------
+--R                 2           +-----+
+--R               (x  + 2x + 1)\|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2423
+
+--S 2424 of 2952
+r0000:=-2/3*(1-x)^(9/2)/(1+x)^(3/2)+_
+     105/2*asin(x)+6*(1-x)^(7/2)/sqrt(1+x)+_
+     35/2*(1-x)^(3/2)*sqrt(1+x)+7*(1-x)^(5/2)*sqrt(1+x)+_
+     105/2*sqrt(1-x)*sqrt(1+x)
+--R 
+--R
+--R   (2)
+--R                       +-----+      4      3       2               +-------+
+--R   (315x + 315)asin(x)\|x + 1  + (2x  - 17x  + 102x  + 679x + 494)\|- x + 1
+--R   -------------------------------------------------------------------------
+--R                                         +-----+
+--R                                (6x + 6)\|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2424
+
+--S 2425 of 2952
+--a0000:=integrate(t0000,x)
+--E 2425
+
+--S 2426 of 2952
+--m0000:=a0000 - r0000
+--E 2426
+
+--S 2427 of 2952
+--d0000:=D(m0000,x)
+--E 2427
+
+)clear all
+
+--S 2428 of 2952
+t0000:=(1-x)^(7/2)/(1+x)^(5/2)
+--R 
+--R
+--R            3     2           +-------+
+--R        (- x  + 3x  - 3x + 1)\|- x + 1
+--R   (1)  -------------------------------
+--R               2           +-----+
+--R             (x  + 2x + 1)\|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2428
+
+--S 2429 of 2952
+r0000:=-2/3*(1-x)^(7/2)/(1+x)^(3/2)+_
+     35/2*asin(x)+14/3*(1-x)^(5/2)/sqrt(1+x)+_
+     35/6*(1-x)^(3/2)*sqrt(1+x)+35/2*sqrt(1-x)*sqrt(1+x)
+--R 
+--R
+--R                            +-----+        3      2               +-------+
+--R        (105x + 105)asin(x)\|x + 1  + (- 3x  + 30x  + 229x + 164)\|- x + 1
+--R   (2)  -------------------------------------------------------------------
+--R                                           +-----+
+--R                                  (6x + 6)\|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2429
+
+--S 2430 of 2952
+--a0000:=integrate(t0000,x)
+--E 2430
+
+--S 2431 of 2952
+--m0000:=a0000 - r0000
+--E 2431
+
+--S 2432 of 2952
+--d0000:=D(m0000,x)
+--E 2432
+
+)clear all
+
+--S 2433 of 2952
+t0000:=(1-x)^(5/2)/(1+x)^(5/2)
+--R 
+--R
+--R          2           +-------+
+--R        (x  - 2x + 1)\|- x + 1
+--R   (1)  -----------------------
+--R           2           +-----+
+--R         (x  + 2x + 1)\|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2433
+
+--S 2434 of 2952
+r0000:=-2/3*(1-x)^(5/2)/(1+x)^(3/2)+5*asin(x)+_
+     10/3*(1-x)^(3/2)/sqrt(1+x)+5*sqrt(1-x)*sqrt(1+x)
+--R 
+--R
+--R                          +-----+      2             +-------+
+--R        (15x + 15)asin(x)\|x + 1  + (3x  + 34x + 23)\|- x + 1
+--R   (2)  ------------------------------------------------------
+--R                                    +-----+
+--R                           (3x + 3)\|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2434
+
+--S 2435 of 2952
+--a0000:=integrate(t0000,x)
+--E 2435
+
+--S 2436 of 2952
+--m0000:=a0000 - r0000
+--E 2436
+
+--S 2437 of 2952
+--d0000:=D(m0000,x)
+--E 2437
+
+)clear all
+
+--S 2438 of 2952
+t0000:=(1-x)^(3/2)/(1+x)^(5/2)
+--R 
+--R
+--R                   +-------+
+--R         (- x + 1)\|- x + 1
+--R   (1)  ---------------------
+--R          2           +-----+
+--R        (x  + 2x + 1)\|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2438
+
+--S 2439 of 2952
+r0000:=-2/3*(1-x)^(3/2)/(1+x)^(3/2)+asin(x)+2*sqrt(1-x)/sqrt(1+x)
+--R 
+--R
+--R                        +-----+            +-------+
+--R        (3x + 3)asin(x)\|x + 1  + (8x + 4)\|- x + 1
+--R   (2)  --------------------------------------------
+--R                               +-----+
+--R                      (3x + 3)\|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2439
+
+--S 2440 of 2952
+--a0000:=integrate(t0000,x)
+--E 2440
+
+--S 2441 of 2952
+--m0000:=a0000 - r0000
+--E 2441
+
+--S 2442 of 2952
+--d0000:=D(m0000,x)
+--E 2442
+
+)clear all
+
+--S 2443 of 2952
+t0000:=(1-x)^(1/2)/(1+x)^(5/2)
+--R 
+--R
+--R               +-------+
+--R              \|- x + 1
+--R   (1)  ---------------------
+--R          2           +-----+
+--R        (x  + 2x + 1)\|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2443
+
+--S 2444 of 2952
+r0000:=-1/3*(1-x)^(3/2)/(1+x)^(3/2)
+--R 
+--R
+--R                +-------+
+--R        (x - 1)\|- x + 1
+--R   (2)  -----------------
+--R                  +-----+
+--R         (3x + 3)\|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2444
+
+--S 2445 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                 +-------+ +-----+      2
+--R        (8x - 8)\|- x + 1 \|x + 1  - 17x  - 34x - 17
+--R   (3)  --------------------------------------------
+--R                          2
+--R                       24x  + 48x + 24
+--R                                         Type: Union(Expression(Integer),...)
+--E 2445
+
+--S 2446 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R          17
+--R   (4)  - --
+--R          24
+--R                                                    Type: Expression(Integer)
+--E 2446
+
+--S 2447 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2447
+
+)clear all
+
+--S 2448 of 2952
+t0000:=1/((1-x)^(1/2)*(1+x)^(5/2))
+--R 
+--R
+--R                       1
+--R   (1)  -------------------------------
+--R          2           +-------+ +-----+
+--R        (x  + 2x + 1)\|- x + 1 \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2448
+
+--S 2449 of 2952
+r0000:=-1/3*sqrt(1-x)/(1+x)^(3/2)-1/3*sqrt(1-x)/sqrt(1+x)
+--R 
+--R
+--R                  +-------+
+--R        (- x - 2)\|- x + 1
+--R   (2)  -------------------
+--R                   +-----+
+--R          (3x + 3)\|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2449
+
+--S 2450 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                   +-------+ +-----+      2
+--R        (- 3x - 6)\|- x + 1 \|x + 1  + 10x  + 20x + 10
+--R   (3)  ----------------------------------------------
+--R                           2
+--R                         9x  + 18x + 9
+--R                                         Type: Union(Expression(Integer),...)
+--E 2450
+
+--S 2451 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R        10
+--R   (4)  --
+--R         9
+--R                                                    Type: Expression(Integer)
+--E 2451
+
+--S 2452 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2452
+
+)clear all
+
+--S 2453 of 2952
+t0000:=1/((1-x)^(3/2)*(1+x)^(5/2))
+--R 
+--R
+--R                           1
+--R   (1)  - -----------------------------------
+--R            3    2          +-------+ +-----+
+--R          (x  + x  - x - 1)\|- x + 1 \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2453
+
+--S 2454 of 2952
+r0000:=1/((1+x)^(3/2)*sqrt(1-x))-2/3*sqrt(1-x)/(1+x)^(3/2)-_
+     2/3*sqrt(1-x)/sqrt(1+x)
+--R 
+--R
+--R                 2
+--R               2x  + 2x - 1
+--R   (2)  --------------------------
+--R                 +-------+ +-----+
+--R        (3x + 3)\|- x + 1 \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2454
+
+--S 2455 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R              2            +-------+ +-----+      3      2
+--R        (- 18x  - 18x + 9)\|- x + 1 \|x + 1  + 11x  + 11x  - 11x - 11
+--R   (3)  -------------------------------------------------------------
+--R                               3      2
+--R                            27x  + 27x  - 27x - 27
+--R                                         Type: Union(Expression(Integer),...)
+--E 2455
+
+--S 2456 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R        11
+--R   (4)  --
+--R        27
+--R                                                    Type: Expression(Integer)
+--E 2456
+
+--S 2457 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2457
+
+)clear all
+
+--S 2458 of 2952
+t0000:=1/((1-x)^(5/2)*(1+x)^(5/2))
+--R 
+--R
+--R                        1
+--R   (1)  --------------------------------
+--R          4     2      +-------+ +-----+
+--R        (x  - 2x  + 1)\|- x + 1 \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2458
+
+--S 2459 of 2952
+r0000:=1/3*x/(1-x^2)^(3/2)+2/3*x/sqrt(1-x^2)
+--R 
+--R
+--R                3
+--R              2x  - 3x
+--R   (2)  --------------------
+--R                  +--------+
+--R           2      |   2
+--R        (3x  - 3)\|- x  + 1
+--R                                                    Type: Expression(Integer)
+--E 2459
+
+--S 2460 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R             3       +-------+ +-----+
+--R        (- 2x  + 3x)\|- x + 1 \|x + 1
+--R   (3)  ------------------------------
+--R                   4     2
+--R                 3x  - 6x  + 3
+--R                                         Type: Union(Expression(Integer),...)
+--E 2460
+
+--S 2461 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R                     +--------+
+--R             3       |   2      +-------+ +-----+     5     3
+--R        (- 2x  + 3x)\|- x  + 1 \|- x + 1 \|x + 1  - 2x  + 5x  - 3x
+--R   (4)  ----------------------------------------------------------
+--R                                        +--------+
+--R                           4     2      |   2
+--R                        (3x  - 6x  + 3)\|- x  + 1
+--R                                                    Type: Expression(Integer)
+--E 2461
+
+-- TPDHERE
+--S 2462 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R                                     +--------+
+--R                +-------+ +-----+    |   2
+--R             - \|- x + 1 \|x + 1  + \|- x  + 1
+--R   (5)  -------------------------------------------
+--R                       +--------+
+--R          4     2      |   2      +-------+ +-----+
+--R        (x  - 2x  + 1)\|- x  + 1 \|- x + 1 \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2462
+
+)clear all
+
+--S 2463 of 2952
+t0000:=1/((1-x)^(7/2)*(1+x)^(5/2))
+--R 
+--R
+--R                                 1
+--R   (1)  - -----------------------------------------------
+--R            5    4     3     2          +-------+ +-----+
+--R          (x  - x  - 2x  + 2x  + x - 1)\|- x + 1 \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2463
+
+--S 2464 of 2952
+r0000:=1/5/((1-x)^(5/2)*(1+x)^(3/2))+4/15*x/(1-x^2)^(3/2)+8/15*x/sqrt(1-x^2)
+--R 
+--R
+--R                                                       +--------+
+--R           4     3      2        +-------+ +-----+     |   2
+--R        (8x  - 8x  - 12x  + 12x)\|- x + 1 \|x + 1  + 3\|- x  + 1
+--R   (2)  ---------------------------------------------------------
+--R                                   +--------+
+--R              3      2             |   2      +-------+ +-----+
+--R          (15x  - 15x  - 15x + 15)\|- x  + 1 \|- x + 1 \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2464
+
+--S 2465 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R             4      3      2             +-------+ +-----+      5      4      3
+--R       (- 32x  + 32x  + 48x  - 48x - 12)\|- x + 1 \|x + 1  + 15x  - 15x  - 30x
+--R     + 
+--R          2
+--R       30x  + 15x - 15
+--R  /
+--R        5      4       3       2
+--R     60x  - 60x  - 120x  + 120x  + 60x - 60
+--R                                         Type: Union(Expression(Integer),...)
+--E 2465
+
+--S 2466 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R                    +--------+
+--R            2       |   2           3        +-------+ +-----+
+--R       ((15x  - 15)\|- x  + 1  - 32x  + 48x)\|- x + 1 \|x + 1
+--R     + 
+--R                    +--------+
+--R           3        |   2
+--R       (32x  - 48x)\|- x  + 1
+--R  /
+--R                 +--------+
+--R         2       |   2      +-------+ +-----+
+--R     (60x  - 60)\|- x  + 1 \|- x + 1 \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2466
+
+-- TPDHERE
+--S 2467 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R                                       +--------+
+--R                 +-------+ +-----+     |   2
+--R             - 4\|- x + 1 \|x + 1  + 4\|- x  + 1
+--R   (5)  ---------------------------------------------
+--R                         +--------+
+--R           4      2      |   2      +-------+ +-----+
+--R        (5x  - 10x  + 5)\|- x  + 1 \|- x + 1 \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2467
+
+)clear all
+
+--S 2468 of 2952
+t0000:=1/((1-x)^(9/2)*(1+x)^(5/2))
+--R 
+--R
+--R                                  1
+--R   (1)  -----------------------------------------------------
+--R          6     5    4     3    2           +-------+ +-----+
+--R        (x  - 2x  - x  + 4x  - x  - 2x + 1)\|- x + 1 \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2468
+
+--S 2469 of 2952
+r0000:=1/7/((1-x)^(7/2)*(1+x)^(3/2))+1/7/((1-x)^(5/2)*(1+x)^(3/2))+_
+     4/21*x/(1-x^2)^(3/2)+8/21*x/sqrt(1-x^2)
+--R 
+--R
+--R   (2)
+--R                                                                +--------+
+--R      5      4     3      2        +-------+ +-----+            |   2
+--R   (8x  - 16x  - 4x  + 24x  - 12x)\|- x + 1 \|x + 1  + (3x - 6)\|- x  + 1
+--R   -----------------------------------------------------------------------
+--R                                     +--------+
+--R                4      3             |   2      +-------+ +-----+
+--R            (21x  - 42x  + 42x - 21)\|- x  + 1 \|- x + 1 \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2469
+
+--S 2470 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R             5      4     3      2             +-------+ +-----+      6      5
+--R       (- 16x  + 32x  + 8x  - 48x  + 18x + 12)\|- x + 1 \|x + 1  + 15x  - 30x
+--R     + 
+--R            4      3      2
+--R       - 15x  + 60x  - 15x  - 30x + 15
+--R  /
+--R        6      5      4       3      2
+--R     42x  - 84x  - 42x  + 168x  - 42x  - 84x + 42
+--R                                         Type: Union(Expression(Integer),...)
+--E 2470
+
+--S 2471 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R                    +--------+
+--R            2       |   2           3        +-------+ +-----+
+--R       ((15x  - 15)\|- x  + 1  - 16x  + 24x)\|- x + 1 \|x + 1
+--R     + 
+--R                    +--------+
+--R           3        |   2
+--R       (16x  - 24x)\|- x  + 1
+--R  /
+--R                 +--------+
+--R         2       |   2      +-------+ +-----+
+--R     (42x  - 42)\|- x  + 1 \|- x + 1 \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2471
+
+-- TPDHERE
+--S 2472 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R                                       +--------+
+--R                 +-------+ +-----+     |   2
+--R             - 4\|- x + 1 \|x + 1  + 4\|- x  + 1
+--R   (5)  ---------------------------------------------
+--R                         +--------+
+--R           4      2      |   2      +-------+ +-----+
+--R        (7x  - 14x  + 7)\|- x  + 1 \|- x + 1 \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2472
+
+)clear all
+
+--S 2473 of 2952
+t0000:=1/((1-x)^(11/2)*(1+x)^(5/2))
+--R 
+--R
+--R                                       1
+--R   (1)  - -----------------------------------------------------------
+--R            7     6    5     4     3    2           +-------+ +-----+
+--R          (x  - 3x  + x  + 5x  - 5x  - x  + 3x - 1)\|- x + 1 \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2473
+
+--S 2474 of 2952
+r0000:=1/9/((1-x)^(9/2)*(1+x)^(3/2))+2/21/((1-x)^(7/2)*(1+x)^(3/2))+_
+     2/21/((1-x)^(5/2)*(1+x)^(3/2))+8/63*x/(1-x^2)^(3/2)+16/63*x/sqrt(1-x^2)
+--R 
+--R
+--R   (2)
+--R           6      5      4      3      2        +-------+ +-----+
+--R       (16x  - 48x  + 24x  + 56x  - 72x  + 24x)\|- x + 1 \|x + 1
+--R     + 
+--R                        +--------+
+--R          2             |   2
+--R       (6x  - 18x + 19)\|- x  + 1
+--R  /
+--R                                                +--------+
+--R         5       4       3       2              |   2      +-------+ +-----+
+--R     (63x  - 189x  + 126x  + 126x  - 189x + 63)\|- x  + 1 \|- x + 1 \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2474
+
+--S 2475 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R             6       5       4       3       2             +-------+ +-----+
+--R       (- 80x  + 240x  - 120x  - 280x  + 330x  - 30x - 95)\|- x + 1 \|x + 1
+--R     + 
+--R           7       6       5        4        3       2
+--R       247x  - 741x  + 247x  + 1235x  - 1235x  - 247x  + 741x - 247
+--R  /
+--R         7       6       5        4        3       2
+--R     315x  - 945x  + 315x  + 1575x  - 1575x  - 315x  + 945x - 315
+--R                                         Type: Union(Expression(Integer),...)
+--E 2475
+
+--S 2476 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R                      +--------+
+--R             2        |   2           3         +-------+ +-----+
+--R       ((247x  - 247)\|- x  + 1  - 80x  + 120x)\|- x + 1 \|x + 1
+--R     + 
+--R                     +--------+
+--R           3         |   2
+--R       (80x  - 120x)\|- x  + 1
+--R  /
+--R                   +--------+
+--R          2        |   2      +-------+ +-----+
+--R     (315x  - 315)\|- x  + 1 \|- x + 1 \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2476
+
+-- TPDHERE
+--S 2477 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R                                        +--------+
+--R                  +-------+ +-----+     |   2
+--R              - 8\|- x + 1 \|x + 1  + 8\|- x  + 1
+--R   (5)  -----------------------------------------------
+--R                           +--------+
+--R            4      2       |   2      +-------+ +-----+
+--R        (21x  - 42x  + 21)\|- x  + 1 \|- x + 1 \|x + 1
+--R                                                    Type: Expression(Integer)
+--E 2477
+
+)clear all
+
+--S 2478 of 2952
+t0000:=(3-x)^(3/2)*(-2+x)^(3/2)
+--R 
+--R
+--R            2           +-------+ +-----+
+--R   (1)  (- x  + 5x - 6)\|- x + 3 \|x - 2
+--R                                                    Type: Expression(Integer)
+--E 2478
+
+--S 2479 of 2952
+r0000:=-1/8*(5-2*x)*(-6+5*x-x^2)^(3/2)-3/128*asin(5-2*x)-_
+     3/64*(5-2*x)*sqrt(-6+5*x-x^2)
+--R 
+--R
+--R                                      +-------------+
+--R              3       2               |   2
+--R        (- 32x  + 240x  - 580x + 450)\|- x  + 5x - 6  + 3asin(2x - 5)
+--R   (2)  -------------------------------------------------------------
+--R                                     128
+--R                                                    Type: Expression(Integer)
+--E 2479
+
+--S 2480 of 2952
+--a0000:=integrate(t0000,x)
+--E 2480
+
+--S 2481 of 2952
+--m0000:=a0000 - r0000
+--E 2481
+
+--S 2482 of 2952
+--d0000:=D(m0000,x)
+--E 2482
+
+)clear all
+
+--S 2483 of 2952
+t0000:=sqrt(3-x)*sqrt(-2+x)
+--R 
+--R
+--R         +-------+ +-----+
+--R   (1)  \|- x + 3 \|x - 2
+--R                                                    Type: Expression(Integer)
+--E 2483
+
+--S 2484 of 2952
+r0000:=-1/8*asin(5-2*x)-1/4*(5-2*x)*sqrt(-6+5*x-x^2)
+--R 
+--R
+--R                  +-------------+
+--R                  |   2
+--R        (4x - 10)\|- x  + 5x - 6  + asin(2x - 5)
+--R   (2)  ----------------------------------------
+--R                            8
+--R                                                    Type: Expression(Integer)
+--E 2484
+
+--S 2485 of 2952
+--a0000:=integrate(t0000,x)
+--E 2485
+
+--S 2486 of 2952
+--m0000:=a0000 - r0000
+--E 2486
+
+--S 2487 of 2952
+--d0000:=D(m0000,x)
+--E 2487
+
+)clear all
+
+--S 2488 of 2952
+t0000:=1/(sqrt(3-x)*sqrt(-2+x))
+--R 
+--R
+--R                 1
+--R   (1)  ------------------
+--R         +-------+ +-----+
+--R        \|- x + 3 \|x - 2
+--R                                                    Type: Expression(Integer)
+--E 2488
+
+--S 2489 of 2952
+r0000:=-asin(5-2*x)
+--R 
+--R
+--R   (2)  asin(2x - 5)
+--R                                                    Type: Expression(Integer)
+--E 2489
+
+--S 2490 of 2952
+--a0000:=integrate(t0000,x)
+--E 2490
+
+--S 2491 of 2952
+--m0000:=a0000 - r0000
+--E 2491
+
+--S 2492 of 2952
+--d0000:=D(m0000,x)
+--E 2492
+
+)clear all
+
+--S 2493 of 2952
+t0000:=1/((3-x)^(3/2)*(-2+x)^(3/2))
+--R 
+--R
+--R                         1
+--R   (1)  - -------------------------------
+--R            2           +-------+ +-----+
+--R          (x  - 5x + 6)\|- x + 3 \|x - 2
+--R                                                    Type: Expression(Integer)
+--E 2493
+
+--S 2494 of 2952
+r0000:=-2*(5-2*x)/sqrt(-6+5*x-x^2)
+--R 
+--R
+--R             4x - 10
+--R   (2)  ----------------
+--R         +-------------+
+--R         |   2
+--R        \|- x  + 5x - 6
+--R                                                    Type: Expression(Integer)
+--E 2494
+
+--S 2495 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                     +-------+ +-----+     2
+--R        (- 24x + 60)\|- x + 3 \|x - 2  + 5x  - 25x + 30
+--R   (3)  -----------------------------------------------
+--R                           2
+--R                         6x  - 30x + 36
+--R                                         Type: Union(Expression(Integer),...)
+--E 2495
+
+--S 2496 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R                    +-------------+
+--R                    |   2           +-------+ +-----+
+--R       (- 24x + 60)\|- x  + 5x - 6 \|- x + 3 \|x - 2
+--R     + 
+--R                        +-------------+
+--R          2             |   2                3       2
+--R       (5x  - 25x + 30)\|- x  + 5x - 6  - 24x  + 180x  - 444x + 360
+--R  /
+--R                      +-------------+
+--R        2             |   2
+--R     (6x  - 30x + 36)\|- x  + 5x - 6
+--R                                                    Type: Expression(Integer)
+--E 2496
+
+-- TPDHERE
+--S 2497 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R                                   +-------------+
+--R              +-------+ +-----+    |   2
+--R             \|- x + 3 \|x - 2  - \|- x  + 5x - 6
+--R   (5)  -----------------------------------------------
+--R                      +-------------+
+--R          2           |   2           +-------+ +-----+
+--R        (x  - 5x + 6)\|- x  + 5x - 6 \|- x + 3 \|x - 2
+--R                                                    Type: Expression(Integer)
+--E 2497
+
+)clear all
+
+--S 2498 of 2952
+t0000:=1/((3-x)^(5/2)*(-2+x)^(5/2))
+--R 
+--R
+--R                               1
+--R   (1)  -----------------------------------------------
+--R          4      3      2             +-------+ +-----+
+--R        (x  - 10x  + 37x  - 60x + 36)\|- x + 3 \|x - 2
+--R                                                    Type: Expression(Integer)
+--E 2498
+
+--S 2499 of 2952
+r0000:=-2/3*(5-2*x)/(-6+5*x-x^2)^(3/2)-16/3*(5-2*x)/sqrt(-6+5*x-x^2)
+--R 
+--R
+--R               3       2
+--R            32x  - 240x  + 588x - 470
+--R   (2)  --------------------------------
+--R                         +-------------+
+--R           2             |   2
+--R        (3x  - 15x + 18)\|- x  + 5x - 6
+--R                                                    Type: Expression(Integer)
+--E 2499
+
+--S 2500 of 2952 ok to fail, differs by a constant
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R               3        2                   +-------+ +-----+       4        3
+--R       (- 1152x  + 8640x  - 21168x + 16920)\|- x + 3 \|x - 2  + 235x  - 2350x
+--R     + 
+--R            2
+--R       8695x  - 14100x + 8460
+--R  /
+--R         4        3        2
+--R     108x  - 1080x  + 3996x  - 6480x + 3888
+--R                                         Type: Union(Expression(Integer),...)
+--E 2500
+
+--S 2501 of 2952 ok to fail, differs by a constant
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R                                            +-------------+
+--R               3        2                   |   2           +-------+ +-----+
+--R       (- 1152x  + 8640x  - 21168x + 16920)\|- x  + 5x - 6 \|- x + 3 \|x - 2
+--R     + 
+--R                                                 +-------------+
+--R            4        3        2                  |   2                  5
+--R       (235x  - 2350x  + 8695x  - 14100x + 8460)\|- x  + 5x - 6  - 1152x
+--R     + 
+--R             4         3          2
+--R       14400x  - 71280x  + 174600x  - 211608x + 101520
+--R  /
+--R                                              +-------------+
+--R          4        3        2                 |   2
+--R     (108x  - 1080x  + 3996x  - 6480x + 3888)\|- x  + 5x - 6
+--R                                                    Type: Expression(Integer)
+--E 2501
+
+-- TPDHERE
+--S 2502 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R                                            +-------------+
+--R                       +-------+ +-----+    |   2
+--R                    - \|- x + 3 \|x - 2  + \|- x  + 5x - 6
+--R   (5)  ---------------------------------------------------------------
+--R                                      +-------------+
+--R          4      3      2             |   2           +-------+ +-----+
+--R        (x  - 10x  + 37x  - 60x + 36)\|- x  + 5x - 6 \|- x + 3 \|x - 2
+--R                                                    Type: Expression(Integer)
+--E 2502
+
+)clear all
+
+--S 2503 of 2952
+t0000:=(c+d*x)^(5/4)/(a+b*x)^(1/4)
+--R 
+--R
+--R                 4+-------+
+--R        (d x + c)\|d x + c
+--R   (1)  -------------------
+--R             4+-------+
+--R             \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 2503
+
+--S 2504 of 2952
+r0000:=5/8*(b*c-a*d)*(a+b*x)^(3/4)*(c+d*x)^(1/4)/b^2+_
+     1/2*(a+b*x)^(3/4)*(c+d*x)^(5/4)/b-_
+     5/16*(b*c-a*d)^2*atan(d^(1/4)*(a+b*x)^(1/4)/_
+     (b^(1/4)*(c+d*x)^(1/4)))/(b^(9/4)*d^(3/4))+_
+     5/16*(b*c-a*d)^2*atanh(d^(1/4)*(a+b*x)^(1/4)/_
+     (b^(1/4)*(c+d*x)^(1/4)))/(b^(9/4)*d^(3/4))
+--R 
+--R
+--R   (2)
+--R                                        4+-+4+-------+
+--R          2 2                 2 2       \|d \|b x + a
+--R       (5a d  - 10a b c d + 5b c )atanh(--------------)
+--R                                        4+-+4+-------+
+--R                                        \|b \|d x + c
+--R     + 
+--R                                         4+-+4+-------+
+--R            2 2                 2 2      \|d \|b x + a
+--R       (- 5a d  + 10a b c d - 5b c )atan(--------------)
+--R                                         4+-+4+-------+
+--R                                         \|b \|d x + c
+--R     + 
+--R                               4+-+4+-+3 4+-------+3 4+-------+
+--R       (8b d x - 10a d + 18b c)\|b \|d   \|b x + a   \|d x + c
+--R  /
+--R        2 4+-+4+-+3
+--R     16b  \|b \|d
+--R                                                    Type: Expression(Integer)
+--E 2504
+
+--S 2505 of 2952
+--a0000:=integrate(t0000,x)
+--E 2505
+
+--S 2506 of 2952
+--m0000:=a0000 - r0000
+--E 2506
+
+--S 2507 of 2952
+--d0000:=D(m0000,x)
+--E 2507
+
+)clear all
+
+--S 2508 of 2952
+t0000:=(c+d*x)^(1/4)/(a+b*x)^(1/4)
+--R 
+--R
+--R        4+-------+
+--R        \|d x + c
+--R   (1)  ----------
+--R        4+-------+
+--R        \|b x + a
+--R                                                    Type: Expression(Integer)
+--E 2508
+
+--S 2509 of 2952
+r0000:=(a+b*x)^(3/4)*(c+d*x)^(1/4)/b-_
+     1/2*(b*c-a*d)*atan(d^(1/4)*(a+b*x)^(1/4)/_
+     (b^(1/4)*(c+d*x)^(1/4)))/(b^(5/4)*d^(3/4))+_
+     1/2*(b*c-a*d)*atanh(d^(1/4)*(a+b*x)^(1/4)/_
+     (b^(1/4)*(c+d*x)^(1/4)))/(b^(5/4)*d^(3/4))
+--R 
+--R
+--R   (2)
+--R                          4+-+4+-------+                    4+-+4+-------+
+--R                          \|d \|b x + a                     \|d \|b x + a
+--R       (- a d + b c)atanh(--------------) + (a d - b c)atan(--------------)
+--R                          4+-+4+-------+                    4+-+4+-------+
+--R                          \|b \|d x + c                     \|b \|d x + c
+--R     + 
+--R        4+-+4+-+3 4+-------+3 4+-------+
+--R       2\|b \|d   \|b x + a   \|d x + c
+--R  /
+--R       4+-+4+-+3
+--R     2b\|b \|d
+--R                                                    Type: Expression(Integer)
+--E 2509
+
+--S 2510 of 2952
+--a0000:=integrate(t0000,x)
+--E 2510
+
+--S 2511 of 2952
+--m0000:=a0000 - r0000
+--E 2511
+
+--S 2512 of 2952
+--d0000:=D(m0000,x)
+--E 2512
+
+)clear all
+
+--S 2513 of 2952
+t0000:=1/((a+b*x)^(1/4)*(c+d*x)^(3/4))
+--R 
+--R
+--R                  1
+--R   (1)  ---------------------
+--R        4+-------+4+-------+3
+--R        \|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 2513
+
+--S 2514 of 2952
+r0000:=-2*atan(d^(1/4)*(a+b*x)^(1/4)/(b^(1/4)*_
+     (c+d*x)^(1/4)))/(b^(1/4)*d^(3/4))+_
+     2*atanh(d^(1/4)*(a+b*x)^(1/4)/(b^(1/4)*(c+d*x)^(1/4)))/(b^(1/4)*d^(3/4))
+--R 
+--R
+--R               4+-+4+-------+          4+-+4+-------+
+--R               \|d \|b x + a           \|d \|b x + a
+--R        2atanh(--------------) - 2atan(--------------)
+--R               4+-+4+-------+          4+-+4+-------+
+--R               \|b \|d x + c           \|b \|d x + c
+--R   (2)  ----------------------------------------------
+--R                           4+-+4+-+3
+--R                           \|b \|d
+--R                                                    Type: Expression(Integer)
+--E 2514
+
+--S 2515 of 2952
+--a0000:=integrate(t0000,x)
+--E 2515
+
+--S 2516 of 2952
+--m0000:=a0000 - r0000
+--E 2516
+
+--S 2517 of 2952
+--d0000:=D(m0000,x)
+--E 2517
+
+)clear all
+
+--S 2518 of 2952
+t0000:=1/((a+b*x)^(1/4)*(c+d*x)^(7/4))
+--R 
+--R
+--R                       1
+--R   (1)  ------------------------------
+--R                 4+-------+4+-------+3
+--R        (d x + c)\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 2518
+
+--S 2519 of 2952
+r0000:=4/3*(a+b*x)^(3/4)/((b*c-a*d)*(c+d*x)^(3/4))
+--R 
+--R
+--R                 4+-------+3
+--R                4\|b x + a
+--R   (2)  - ------------------------
+--R                       4+-------+3
+--R          (3a d - 3b c)\|d x + c
+--R                                                    Type: Expression(Integer)
+--E 2519
+
+--S 2520 of 2952
+--a0000:=integrate(t0000,x)
+--E 2520
+
+--S 2521 of 2952
+--m0000:=a0000 - r0000
+--E 2521
+
+--S 2522 of 2952
+--d0000:=D(m0000,x)
+--E 2522
+
+)clear all
+
+--S 2523 of 2952
+t0000:=1/((a+b*x)^(1/4)*(c+d*x)^(11/4))
+--R 
+--R
+--R                            1
+--R   (1)  -----------------------------------------
+--R          2 2             2 4+-------+4+-------+3
+--R        (d x  + 2c d x + c )\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 2523
+
+--S 2524 of 2952
+r0000:=4/7*(a+b*x)^(3/4)/((b*c-a*d)*(c+d*x)^(7/4))+_
+     16/21*b*(a+b*x)^(3/4)/((b*c-a*d)^2*(c+d*x)^(3/4))
+--R 
+--R
+--R   (2)
+--R                                                 4+-------+3
+--R                        (16b d x - 12a d + 28b c)\|b x + a
+--R   -----------------------------------------------------------------------------
+--R        2 3            2      2 2         2   2          2       2 3 4+-------+3
+--R   ((21a d  - 42a b c d  + 21b c d)x + 21a c d  - 42a b c d + 21b c )\|d x + c
+--R                                                    Type: Expression(Integer)
+--E 2524
+
+--S 2525 of 2952
+--a0000:=integrate(t0000,x)
+--E 2525
+
+--S 2526 of 2952
+--m0000:=a0000 - r0000
+--E 2526
+
+--S 2527 of 2952
+--d0000:=D(m0000,x)
+--E 2527
+
+)clear all
+
+--S 2528 of 2952
+t0000:=1/((a+b*x)^(1/4)*(c+d*x)^(15/4))
+--R 
+--R
+--R                                 1
+--R   (1)  ---------------------------------------------------
+--R          3 3       2 2     2       3 4+-------+4+-------+3
+--R        (d x  + 3c d x  + 3c d x + c )\|b x + a \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 2528
+
+--S 2529 of 2952
+r0000:=4/11*(a+b*x)^(3/4)/((b*c-a*d)*(c+d*x)^(11/4))+_
+     32/77*b*(a+b*x)^(3/4)/((b*c-a*d)^2*(c+d*x)^(7/4))+_
+     128/231*b^2*(a+b*x)^(3/4)/((b*c-a*d)^3*(c+d*x)^(3/4))
+--R 
+--R
+--R   (2)
+--R              2 2 2           2       2           2 2                    2 2
+--R       (- 128b d x  + (96a b d  - 352b c d)x - 84a d  + 264a b c d - 308b c )
+--R    *
+--R       4+-------+3
+--R       \|b x + a
+--R  /
+--R              3 5       2     4         2 2 3       3 3 2  2
+--R         (231a d  - 693a b c d  + 693a b c d  - 231b c d )x
+--R       + 
+--R              3   4        2   2 3          2 3 2       3 4          3 2 3
+--R         (462a c d  - 1386a b c d  + 1386a b c d  - 462b c d)x + 231a c d
+--R       + 
+--R               2   3 2         2 4        3 5
+--R         - 693a b c d  + 693a b c d - 231b c
+--R    *
+--R       4+-------+3
+--R       \|d x + c
+--R                                                    Type: Expression(Integer)
+--E 2529
+
+--S 2530 of 2952
+--a0000:=integrate(t0000,x)
+--E 2530
+
+--S 2531 of 2952
+--m0000:=a0000 - r0000
+--E 2531
+
+--S 2532 of 2952
+--d0000:=D(m0000,x)
+--E 2532
+
+)clear all
+
+--S 2533 of 2952
+t0000:=(a+b*x)^3*(c+d*x)^n
+--R 
+--R
+--R          3 3       2 2     2       3          n
+--R   (1)  (b x  + 3a b x  + 3a b x + a )(d x + c)
+--R                                                    Type: Expression(Integer)
+--E 2533
+
+--S 2534 of 2952
+r0000:=-(b*c-a*d)^3*(c+d*x)^(1+n)/(d^4*(1+n))+_
+     3*b*(b*c-a*d)^2*(c+d*x)^(2+n)/(d^4*(2+n))-_
+     3*b^2*(b*c-a*d)*(c+d*x)^(3+n)/(d^4*(3+n))+b^3*(c+d*x)^(4+n)/(d^4*(4+n))
+--R 
+--R
+--R   (2)
+--R         3 3     3 2      3      3          n + 4
+--R       (b n  + 6b n  + 11b n + 6b )(d x + c)
+--R     + 
+--R                2      3   3         2       3   2         2       3
+--R           (3a b d - 3b c)n  + (21a b d - 21b c)n  + (42a b d - 42b c)n
+--R         + 
+--R                2       3
+--R           24a b d - 24b c
+--R      *
+--R                  n + 3
+--R         (d x + c)
+--R     + 
+--R              2   2       2        3 2  3       2   2        2         3 2  2
+--R           (3a b d  - 6a b c d + 3b c )n  + (24a b d  - 48a b c d + 24b c )n
+--R         + 
+--R               2   2         2         3 2        2   2        2         3 2
+--R           (57a b d  - 114a b c d + 57b c )n + 36a b d  - 72a b c d + 36b c
+--R      *
+--R                  n + 2
+--R         (d x + c)
+--R     + 
+--R             3 3     2     2       2 2     3 3  3
+--R           (a d  - 3a b c d  + 3a b c d - b c )n
+--R         + 
+--R              3 3      2     2        2 2      3 3  2
+--R           (9a d  - 27a b c d  + 27a b c d - 9b c )n
+--R         + 
+--R               3 3      2     2        2 2       3 3        3 3      2     2
+--R           (26a d  - 78a b c d  + 78a b c d - 26b c )n + 24a d  - 72a b c d
+--R         + 
+--R                2 2       3 3
+--R           72a b c d - 24b c
+--R      *
+--R                  n + 1
+--R         (d x + c)
+--R  /
+--R      4 4      4 3      4 2      4       4
+--R     d n  + 10d n  + 35d n  + 50d n + 24d
+--R                                                    Type: Expression(Integer)
+--E 2534
+
+--S 2535 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R           3 4 3     3 4 2      3 4      3 4  4
+--R         (b d n  + 6b d n  + 11b d n + 6b d )x
+--R       + 
+--R                  2 4    3   3  3         2 4     3   3  2
+--R             (3a b d  + b c d )n  + (21a b d  + 3b c d )n
+--R           + 
+--R                   2 4     3   3          2 4
+--R             (42a b d  + 2b c d )n + 24a b d
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                2   4       2   3  3       2   4        2   3     3 2 2  2
+--R             (3a b d  + 3a b c d )n  + (24a b d  + 15a b c d  - 3b c d )n
+--R           + 
+--R                 2   4        2   3     3 2 2        2   4
+--R             (57a b d  + 12a b c d  - 3b c d )n + 36a b d
+--R        *
+--R            2
+--R           x
+--R       + 
+--R               3 4     2     3  3      3 4      2     3       2 2 2  2
+--R             (a d  + 3a b c d )n  + (9a d  + 21a b c d  - 6a b c d )n
+--R           + 
+--R                 3 4      2     3        2 2 2     3 3         3 4
+--R             (26a d  + 36a b c d  - 24a b c d  + 6b c d)n + 24a d
+--R        *
+--R           x
+--R       + 
+--R          3   3 3      3   3     2   2 2  2
+--R         a c d n  + (9a c d  - 3a b c d )n
+--R       + 
+--R             3   3      2   2 2       2 3         3   3      2   2 2        2 3
+--R         (26a c d  - 21a b c d  + 6a b c d)n + 24a c d  - 36a b c d  + 24a b c d
+--R       + 
+--R             3 4
+--R         - 6b c
+--R    *
+--R         n log(d x + c)
+--R       %e
+--R  /
+--R      4 4      4 3      4 2      4       4
+--R     d n  + 10d n  + 35d n  + 50d n + 24d
+--R                                         Type: Union(Expression(Integer),...)
+--E 2535
+
+--S 2536 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R             3 4 3     3 4 2      3 4      3 4  4
+--R           (b d n  + 6b d n  + 11b d n + 6b d )x
+--R         + 
+--R                    2 4    3   3  3         2 4     3   3  2
+--R               (3a b d  + b c d )n  + (21a b d  + 3b c d )n
+--R             + 
+--R                     2 4     3   3          2 4
+--R               (42a b d  + 2b c d )n + 24a b d
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                  2   4       2   3  3       2   4        2   3     3 2 2  2
+--R               (3a b d  + 3a b c d )n  + (24a b d  + 15a b c d  - 3b c d )n
+--R             + 
+--R                   2   4        2   3     3 2 2        2   4
+--R               (57a b d  + 12a b c d  - 3b c d )n + 36a b d
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                 3 4     2     3  3      3 4      2     3       2 2 2  2
+--R               (a d  + 3a b c d )n  + (9a d  + 21a b c d  - 6a b c d )n
+--R             + 
+--R                   3 4      2     3        2 2 2     3 3         3 4
+--R               (26a d  + 36a b c d  - 24a b c d  + 6b c d)n + 24a d
+--R          *
+--R             x
+--R         + 
+--R            3   3 3      3   3     2   2 2  2
+--R           a c d n  + (9a c d  - 3a b c d )n
+--R         + 
+--R               3   3      2   2 2       2 3         3   3      2   2 2
+--R           (26a c d  - 21a b c d  + 6a b c d)n + 24a c d  - 36a b c d
+--R         + 
+--R                2 3      3 4
+--R           24a b c d - 6b c
+--R      *
+--R           n log(d x + c)
+--R         %e
+--R     + 
+--R           3 3     3 2      3      3          n + 4
+--R       (- b n  - 6b n  - 11b n - 6b )(d x + c)
+--R     + 
+--R                  2      3   3           2       3   2           2       3
+--R           (- 3a b d + 3b c)n  + (- 21a b d + 21b c)n  + (- 42a b d + 42b c)n
+--R         + 
+--R                  2       3
+--R           - 24a b d + 24b c
+--R      *
+--R                  n + 3
+--R         (d x + c)
+--R     + 
+--R                2   2       2        3 2  3
+--R           (- 3a b d  + 6a b c d - 3b c )n
+--R         + 
+--R                 2   2        2         3 2  2
+--R           (- 24a b d  + 48a b c d - 24b c )n
+--R         + 
+--R                 2   2         2         3 2        2   2        2         3 2
+--R           (- 57a b d  + 114a b c d - 57b c )n - 36a b d  + 72a b c d - 36b c
+--R      *
+--R                  n + 2
+--R         (d x + c)
+--R     + 
+--R               3 3     2     2       2 2     3 3  3
+--R           (- a d  + 3a b c d  - 3a b c d + b c )n
+--R         + 
+--R                3 3      2     2        2 2      3 3  2
+--R           (- 9a d  + 27a b c d  - 27a b c d + 9b c )n
+--R         + 
+--R                 3 3      2     2        2 2       3 3        3 3      2     2
+--R           (- 26a d  + 78a b c d  - 78a b c d + 26b c )n - 24a d  + 72a b c d
+--R         + 
+--R                  2 2       3 3
+--R           - 72a b c d + 24b c
+--R      *
+--R                  n + 1
+--R         (d x + c)
+--R  /
+--R      4 4      4 3      4 2      4       4
+--R     d n  + 10d n  + 35d n  + 50d n + 24d
+--R                                                    Type: Expression(Integer)
+--E 2536
+
+--S 2537 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)
+--R         3 3 3       2 3 2     2   3     3 3   n log(d x + c)    3         n + 3
+--R       (b d x  + 3a b d x  + 3a b d x + a d )%e               - b (d x + c)
+--R     + 
+--R              2      3           n + 2
+--R       (- 3a b d + 3b c)(d x + c)
+--R     + 
+--R            2   2       2        3 2          n + 1
+--R       (- 3a b d  + 6a b c d - 3b c )(d x + c)
+--R     + 
+--R           3 3     2     2       2 2     3 3          n
+--R       (- a d  + 3a b c d  - 3a b c d + b c )(d x + c)
+--R  /
+--R      3
+--R     d
+--R                                                    Type: Expression(Integer)
+--E 2537
+
+)clear all
+
+--S 2538 of 2952
+t0000:=(a+b*x)^2*(c+d*x)^n
+--R 
+--R
+--R          2 2             2          n
+--R   (1)  (b x  + 2a b x + a )(d x + c)
+--R                                                    Type: Expression(Integer)
+--E 2538
+
+--S 2539 of 2952
+r0000:=(b*c-a*d)^2*(c+d*x)^(1+n)/(d^3*(1+n))-_
+     2*b*(b*c-a*d)*(c+d*x)^(2+n)/(d^3*(2+n))+b^2*(c+d*x)^(3+n)/(d^3*(3+n))
+--R 
+--R
+--R   (2)
+--R         2 2     2      2          n + 3
+--R       (b n  + 3b n + 2b )(d x + c)
+--R     + 
+--R                    2   2               2                 2           n + 2
+--R       ((2a b d - 2b c)n  + (8a b d - 8b c)n + 6a b d - 6b c)(d x + c)
+--R     + 
+--R             2 2               2 2  2      2 2                 2 2       2 2
+--R           (a d  - 2a b c d + b c )n  + (5a d  - 10a b c d + 5b c )n + 6a d
+--R         + 
+--R                           2 2
+--R           - 12a b c d + 6b c
+--R      *
+--R                  n + 1
+--R         (d x + c)
+--R  /
+--R      3 3     3 2      3      3
+--R     d n  + 6d n  + 11d n + 6d
+--R                                                    Type: Expression(Integer)
+--E 2539
+
+--S 2540 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R           2 3 2     2 3      2 3  3
+--R         (b d n  + 3b d n + 2b d )x
+--R       + 
+--R                 3    2   2  2          3    2   2           3  2
+--R         ((2a b d  + b c d )n  + (8a b d  + b c d )n + 6a b d )x
+--R       + 
+--R            2 3           2  2      2 3           2     2 2        2 3
+--R         ((a d  + 2a b c d )n  + (5a d  + 6a b c d  - 2b c d)n + 6a d )x
+--R       + 
+--R          2   2 2      2   2         2        2   2         2      2 3
+--R         a c d n  + (5a c d  - 2a b c d)n + 6a c d  - 6a b c d + 2b c
+--R    *
+--R         n log(d x + c)
+--R       %e
+--R  /
+--R      3 3     3 2      3      3
+--R     d n  + 6d n  + 11d n + 6d
+--R                                         Type: Union(Expression(Integer),...)
+--E 2540
+
+--S 2541 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R             2 3 2     2 3      2 3  3
+--R           (b d n  + 3b d n + 2b d )x
+--R         + 
+--R                   3    2   2  2          3    2   2           3  2
+--R           ((2a b d  + b c d )n  + (8a b d  + b c d )n + 6a b d )x
+--R         + 
+--R              2 3           2  2      2 3           2     2 2        2 3
+--R           ((a d  + 2a b c d )n  + (5a d  + 6a b c d  - 2b c d)n + 6a d )x
+--R         + 
+--R            2   2 2      2   2         2        2   2         2      2 3
+--R           a c d n  + (5a c d  - 2a b c d)n + 6a c d  - 6a b c d + 2b c
+--R      *
+--R           n log(d x + c)
+--R         %e
+--R     + 
+--R           2 2     2      2          n + 3
+--R       (- b n  - 3b n - 2b )(d x + c)
+--R     + 
+--R                      2   2                 2                 2           n + 2
+--R       ((- 2a b d + 2b c)n  + (- 8a b d + 8b c)n - 6a b d + 6b c)(d x + c)
+--R     + 
+--R               2 2               2 2  2        2 2                 2 2       2 2
+--R           (- a d  + 2a b c d - b c )n  + (- 5a d  + 10a b c d - 5b c )n - 6a d
+--R         + 
+--R                         2 2
+--R           12a b c d - 6b c
+--R      *
+--R                  n + 1
+--R         (d x + c)
+--R  /
+--R      3 3     3 2      3      3
+--R     d n  + 6d n  + 11d n + 6d
+--R                                                    Type: Expression(Integer)
+--E 2541
+
+--S 2542 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)
+--R         2 2 2         2     2 2   n log(d x + c)    2         n + 2
+--R       (b d x  + 2a b d x + a d )%e               - b (d x + c)
+--R     + 
+--R                     2           n + 1       2 2               2 2          n
+--R       (- 2a b d + 2b c)(d x + c)      + (- a d  + 2a b c d - b c )(d x + c)
+--R  /
+--R      2
+--R     d
+--R                                                    Type: Expression(Integer)
+--E 2542
+
+)clear all
+
+--S 2543 of 2952
+t0000:=(a+b*x)*(c+d*x)^n
+--R 
+--R
+--R                          n
+--R   (1)  (b x + a)(d x + c)
+--R                                                    Type: Expression(Integer)
+--E 2543
+
+--S 2544 of 2952
+r0000:=-(b*c-a*d)*(c+d*x)^(1+n)/(d^2*(1+n))+b*(c+d*x)^(2+n)/(d^2*(2+n))
+--R 
+--R
+--R                          n + 2                                        n + 1
+--R        (b n + b)(d x + c)      + ((a d - b c)n + 2a d - 2b c)(d x + c)
+--R   (2)  --------------------------------------------------------------------
+--R                                   2 2     2      2
+--R                                  d n  + 3d n + 2d
+--R                                                    Type: Expression(Integer)
+--E 2544
+
+--S 2545 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R            2       2  2        2                 2                           2
+--R       ((b d n + b d )x  + ((a d  + b c d)n + 2a d )x + a c d n + 2a c d - b c )
+--R    *
+--R         n log(d x + c)
+--R       %e
+--R  /
+--R      2 2     2      2
+--R     d n  + 3d n + 2d
+--R                                         Type: Union(Expression(Integer),...)
+--E 2545
+
+--S 2546 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R                 2       2  2        2                 2
+--R             (b d n + b d )x  + ((a d  + b c d)n + 2a d )x + a c d n + 2a c d
+--R           + 
+--R                  2
+--R             - b c
+--R      *
+--R           n log(d x + c)
+--R         %e
+--R     + 
+--R                           n + 2                                          n + 1
+--R       (- b n - b)(d x + c)      + ((- a d + b c)n - 2a d + 2b c)(d x + c)
+--R  /
+--R      2 2     2      2
+--R     d n  + 3d n + 2d
+--R                                                    Type: Expression(Integer)
+--E 2546
+
+--S 2547 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)
+--R                  n log(d x + c)              n + 1                         n
+--R   (b d x + a d)%e               - b (d x + c)      + (- a d + b c)(d x + c)
+--R   --------------------------------------------------------------------------
+--R                                        d
+--R                                                    Type: Expression(Integer)
+--E 2547
+
+)clear all
+
+--S 2548 of 2952
+t0000:=(c+d*x)^n
+--R 
+--R
+--R                 n
+--R   (1)  (d x + c)
+--R                                                    Type: Expression(Integer)
+--E 2548
+
+--S 2549 of 2952
+r0000:=(c+d*x)^(1+n)/(d*(1+n))
+--R 
+--R
+--R                 n + 1
+--R        (d x + c)
+--R   (2)  --------------
+--R            d n + d
+--R                                                    Type: Expression(Integer)
+--E 2549
+
+--S 2550 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                   n log(d x + c)
+--R        (d x + c)%e
+--R   (3)  -------------------------
+--R                 d n + d
+--R                                         Type: Union(Expression(Integer),...)
+--E 2550
+
+--S 2551 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R                   n log(d x + c)            n + 1
+--R        (d x + c)%e               - (d x + c)
+--R   (4)  ------------------------------------------
+--R                          d n + d
+--R                                                    Type: Expression(Integer)
+--E 2551
+
+--S 2552 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R          n log(d x + c)            n
+--R   (5)  %e               - (d x + c)
+--R                                                    Type: Expression(Integer)
+--E 2552
+
+)clear all
+
+--S 2553 of 2952
+t0000:=(c+d*x)^n/(a+b*x)
+--R 
+--R
+--R                 n
+--R        (d x + c)
+--R   (1)  ----------
+--R          b x + a
+--R                                                    Type: Expression(Integer)
+--E 2553
+
+--S 2554 of 2952
+--r0000:=-(c+d*x)^(1+n)*_
+--      hypergeometric(1,1+n,2+n,b*(c+d*x)/(b*c-a*d))/((b*c-a*d)*(1+n))
+--E 2554
+
+--S 2555 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           x            n
+--R         ++  (%BJ d + c)
+--R   (2)   |   ------------ d%BJ
+--R        ++     %BJ b + a
+--R                                         Type: Union(Expression(Integer),...)
+--E 2555
+
+--S 2556 of 2952
+--m0000:=a0000 - r0000
+--E 2556
+
+--S 2557 of 2952
+--d0000:=D(m0000,x)
+--E 2557
+
+)clear all
+
+--S 2558 of 2952
+t0000:=(c+d*x)^n/(a+b*x)^2
+--R 
+--R
+--R                     n
+--R            (d x + c)
+--R   (1)  ------------------
+--R         2 2             2
+--R        b x  + 2a b x + a
+--R                                                    Type: Expression(Integer)
+--E 2558
+
+--S 2559 of 2952
+--r0000:=-(c+d*x)^(1+n)/((b*c-a*d)*(a+b*x))-d*n*(c+d*x)^(1+n)*_
+--      hypergeometric(1,1+n,2+n,b*(c+d*x)/(b*c-a*d))/((b*c-a*d)^2*(1+n))
+--E 2559
+
+--S 2560 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           x                 n
+--R         ++       (%BJ d + c)
+--R   (2)   |   ---------------------- d%BJ
+--R        ++      2 2               2
+--R             %BJ b  + 2%BJ a b + a
+--R                                         Type: Union(Expression(Integer),...)
+--E 2560
+
+--S 2561 of 2952
+--m0000:=a0000 - r0000
+--E 2561
+
+--S 2562 of 2952
+--d0000:=D(m0000,x)
+--E 2562
+
+)clear all
+
+--S 2563 of 2952
+t0000:=(c+d*x)^n/(a+b*x)^3
+--R 
+--R
+--R                          n
+--R                 (d x + c)
+--R   (1)  ----------------------------
+--R         3 3       2 2     2       3
+--R        b x  + 3a b x  + 3a b x + a
+--R                                                    Type: Expression(Integer)
+--E 2563
+
+--S 2564 of 2952
+--r0000:=-1/2*(c+d*x)^(1+n)/((b*c-a*d)*(a+b*x)^2)+_
+--      1/2*d*(1-n)*(c+d*x)^(1+n)/((b*c-a*d)^2*(a+b*x))+_
+--      1/2*d^2*(1-n)*n*(c+d*x)^(1+n)*_
+--      hypergeometric(1,1+n,2+n,b*(c+d*x)/(b*c-a*d))/((b*c-a*d)^3*(1+n))
+--E 2564
+
+--S 2565 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           x                       n
+--R         ++             (%BJ d + c)
+--R   (2)   |   ---------------------------------- d%BJ
+--R        ++      3 3       2   2         2     3
+--R             %BJ b  + 3%BJ a b  + 3%BJ a b + a
+--R                                         Type: Union(Expression(Integer),...)
+--E 2565
+
+--S 2566 of 2952
+--m0000:=a0000 - r0000
+--E 2566
+
+--S 2567 of 2952
+--d0000:=D(m0000,x)
+--E 2567
+
+)clear all
+
+--S 2568 of 2952
+t0000:=(a+b*x)^(-4+n)/(c+d*x)^n
+--R 
+--R
+--R                 n - 4
+--R        (b x + a)
+--R   (1)  --------------
+--R                   n
+--R          (d x + c)
+--R                                                    Type: Expression(Integer)
+--E 2568
+
+--S 2569 of 2952
+r0000:=-(a+b*x)^(-3+n)*(c+d*x)^(1-n)/((b*c-a*d)*(3-n))+_
+     2*d*(a+b*x)^(-2+n)*(c+d*x)^(1-n)/((b*c-a*d)^2*(2-n)*(3-n))-_
+     2*d^2*(a+b*x)^(-1+n)*(c+d*x)^(1-n)/((b*c-a*d)^3*(1-n)*(2-n)*(3-n))
+--R 
+--R
+--R   (2)
+--R             2         n - 1
+--R         - 2d (b x + a)
+--R       + 
+--R               2                  2                   n - 2
+--R         ((2a d  - 2b c d)n - 2a d  + 2b c d)(b x + a)
+--R       + 
+--R                 2 2               2 2  2      2 2                2 2       2 2
+--R             (- a d  + 2a b c d - b c )n  + (3a d  - 6a b c d + 3b c )n - 2a d
+--R           + 
+--R                          2 2
+--R             4a b c d - 2b c
+--R        *
+--R                    n - 3
+--R           (b x + a)
+--R    *
+--R                - n + 1
+--R       (d x + c)
+--R  /
+--R         3 3     2     2       2 2     3 3  3
+--R       (a d  - 3a b c d  + 3a b c d - b c )n
+--R     + 
+--R            3 3      2     2        2 2      3 3  2
+--R       (- 6a d  + 18a b c d  - 18a b c d + 6b c )n
+--R     + 
+--R           3 3      2     2        2 2       3 3       3 3      2     2
+--R       (11a d  - 33a b c d  + 33a b c d - 11b c )n - 6a d  + 18a b c d
+--R     + 
+--R              2 2      3 3
+--R       - 18a b c d + 6b c
+--R                                                    Type: Expression(Integer)
+--E 2569
+
+--S 2570 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R             3 3 4         2 3     3   2         2 3  3
+--R         - 2b d x  + ((2a b d  - 2b c d )n - 8a b d )x
+--R       + 
+--R                 2   3       2   2    3 2   2      2   3       2   2    3 2
+--R             (- a b d  + 2a b c d  - b c d)n  + (7a b d  - 8a b c d  + b c d)n
+--R           + 
+--R                  2   3
+--R             - 12a b d
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                 3 3    2     2      2 2     3 3  2
+--R             (- a d  + a b c d  + a b c d - b c )n
+--R           + 
+--R                3 3    2     2       2 2      3 3       3 3     2     2
+--R             (5a d  - a b c d  - 7a b c d + 3b c )n - 6a d  - 6a b c d
+--R           + 
+--R                 2 2      3 3
+--R             6a b c d - 2b c
+--R        *
+--R           x
+--R       + 
+--R             3   2     2   2       2 3  2      3   2     2   2        2 3
+--R         (- a c d  + 2a b c d - a b c )n  + (5a c d  - 8a b c d + 3a b c )n
+--R       + 
+--R             3   2     2   2        2 3
+--R         - 6a c d  + 6a b c d - 2a b c
+--R    *
+--R         (n - 4)log(b x + a)
+--R       %e
+--R  /
+--R           3 3     2     2       2 2     3 3  3
+--R         (a d  - 3a b c d  + 3a b c d - b c )n
+--R       + 
+--R              3 3      2     2        2 2      3 3  2
+--R         (- 6a d  + 18a b c d  - 18a b c d + 6b c )n
+--R       + 
+--R             3 3      2     2        2 2       3 3       3 3      2     2
+--R         (11a d  - 33a b c d  + 33a b c d - 11b c )n - 6a d  + 18a b c d
+--R       + 
+--R                2 2      3 3
+--R         - 18a b c d + 6b c
+--R    *
+--R         n log(d x + c)
+--R       %e
+--R                                         Type: Union(Expression(Integer),...)
+--E 2570
+
+--S 2571 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R             2         n - 1
+--R           2d (b x + a)
+--R         + 
+--R                   2                  2                   n - 2
+--R           ((- 2a d  + 2b c d)n + 2a d  - 2b c d)(b x + a)
+--R         + 
+--R                 2 2               2 2  2        2 2                2 2
+--R               (a d  - 2a b c d + b c )n  + (- 3a d  + 6a b c d - 3b c )n
+--R             + 
+--R                 2 2                2 2
+--R               2a d  - 4a b c d + 2b c
+--R          *
+--R                      n - 3
+--R             (b x + a)
+--R      *
+--R                  - n + 1  n log(d x + c)
+--R         (d x + c)       %e
+--R     + 
+--R               3 3 4         2 3     3   2         2 3  3
+--R           - 2b d x  + ((2a b d  - 2b c d )n - 8a b d )x
+--R         + 
+--R                   2   3       2   2    3 2   2      2   3       2   2    3 2
+--R               (- a b d  + 2a b c d  - b c d)n  + (7a b d  - 8a b c d  + b c d)n
+--R             + 
+--R                    2   3
+--R               - 12a b d
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                   3 3    2     2      2 2     3 3  2
+--R               (- a d  + a b c d  + a b c d - b c )n
+--R             + 
+--R                  3 3    2     2       2 2      3 3       3 3     2     2
+--R               (5a d  - a b c d  - 7a b c d + 3b c )n - 6a d  - 6a b c d
+--R             + 
+--R                   2 2      3 3
+--R               6a b c d - 2b c
+--R          *
+--R             x
+--R         + 
+--R               3   2     2   2       2 3  2      3   2     2   2        2 3
+--R           (- a c d  + 2a b c d - a b c )n  + (5a c d  - 8a b c d + 3a b c )n
+--R         + 
+--R               3   2     2   2        2 3
+--R           - 6a c d  + 6a b c d - 2a b c
+--R      *
+--R           (n - 4)log(b x + a)
+--R         %e
+--R  /
+--R           3 3     2     2       2 2     3 3  3
+--R         (a d  - 3a b c d  + 3a b c d - b c )n
+--R       + 
+--R              3 3      2     2        2 2      3 3  2
+--R         (- 6a d  + 18a b c d  - 18a b c d + 6b c )n
+--R       + 
+--R             3 3      2     2        2 2       3 3       3 3      2     2
+--R         (11a d  - 33a b c d  + 33a b c d - 11b c )n - 6a d  + 18a b c d
+--R       + 
+--R                2 2      3 3
+--R         - 18a b c d + 6b c
+--R    *
+--R         n log(d x + c)
+--R       %e
+--R                                                    Type: Expression(Integer)
+--E 2571
+
+--S 2572 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)
+--R                   2         n - 2
+--R               2b d (b x + a)
+--R             + 
+--R                         2     2              2     2             n - 3
+--R               ((- 2a b d  + 2b c d)n + 4a b d  - 4b c d)(b x + a)
+--R             + 
+--R                     2   2       2       3 2  2
+--R                   (a b d  - 2a b c d + b c )n
+--R                 + 
+--R                      2   2        2        3 2       2   2        2        3 2
+--R                 (- 5a b d  + 10a b c d - 5b c )n + 6a b d  - 12a b c d + 6b c
+--R              *
+--R                          n - 4
+--R                 (b x + a)
+--R          *
+--R                      - n + 1
+--R             (d x + c)
+--R         + 
+--R                   3         n - 1
+--R               - 2d (b x + a)
+--R             + 
+--R                     3         2         3         2          n - 2
+--R               ((2a d  - 2b c d )n - 2a d  + 2b c d )(b x + a)
+--R             + 
+--R                       2 3           2    2 2   2
+--R                   (- a d  + 2a b c d  - b c d)n
+--R                 + 
+--R                      2 3           2     2 2        2 3           2     2 2
+--R                   (3a d  - 6a b c d  + 3b c d)n - 2a d  + 4a b c d  - 2b c d
+--R              *
+--R                          n - 3
+--R                 (b x + a)
+--R          *
+--R                      - n
+--R             (d x + c)
+--R      *
+--R           n log(d x + c)
+--R         %e
+--R     + 
+--R             3 3     2     2       2 2     3 3  2
+--R           (a d  - 3a b c d  + 3a b c d - b c )n
+--R         + 
+--R                3 3      2     2        2 2      3 3       3 3      2     2
+--R           (- 5a d  + 15a b c d  - 15a b c d + 5b c )n + 6a d  - 18a b c d
+--R         + 
+--R                2 2      3 3
+--R           18a b c d - 6b c
+--R      *
+--R           (n - 4)log(b x + a)
+--R         %e
+--R  /
+--R           3 3     2     2       2 2     3 3  2
+--R         (a d  - 3a b c d  + 3a b c d - b c )n
+--R       + 
+--R              3 3      2     2        2 2      3 3       3 3      2     2
+--R         (- 5a d  + 15a b c d  - 15a b c d + 5b c )n + 6a d  - 18a b c d
+--R       + 
+--R              2 2      3 3
+--R         18a b c d - 6b c
+--R    *
+--R         n log(d x + c)
+--R       %e
+--R                                                    Type: Expression(Integer)
+--E 2572
+
+)clear all
+
+--S 2573 of 2952
+t0000:=(a+b*x)^(-3+n)/(c+d*x)^n
+--R 
+--R
+--R                 n - 3
+--R        (b x + a)
+--R   (1)  --------------
+--R                   n
+--R          (d x + c)
+--R                                                    Type: Expression(Integer)
+--E 2573
+
+--S 2574 of 2952
+r0000:=-(a+b*x)^(-2+n)*(c+d*x)^(1-n)/((b*c-a*d)*(2-n))+_
+     d*(a+b*x)^(-1+n)*(c+d*x)^(1-n)/((b*c-a*d)^2*(1-n)*(2-n))
+--R 
+--R
+--R   (2)
+--R                   n - 1                                        n - 2
+--R       (d (b x + a)      + ((- a d + b c)n + a d - b c)(b x + a)     )
+--R    *
+--R                - n + 1
+--R       (d x + c)
+--R  /
+--R         2 2               2 2  2        2 2                2 2       2 2
+--R       (a d  - 2a b c d + b c )n  + (- 3a d  + 6a b c d - 3b c )n + 2a d
+--R     + 
+--R                      2 2
+--R       - 4a b c d + 2b c
+--R                                                    Type: Expression(Integer)
+--E 2574
+
+--S 2575 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R          2 2 3            2    2              2  2
+--R         b d x  + ((- a b d  + b c d)n + 3a b d )x
+--R       + 
+--R              2 2    2 2       2 2               2 2         2           2
+--R         ((- a d  + b c )n + 2a d  + 2a b c d - b c )x + (- a c d + a b c )n
+--R       + 
+--R           2           2
+--R         2a c d - a b c
+--R    *
+--R         (n - 3)log(b x + a)
+--R       %e
+--R  /
+--R           2 2               2 2  2        2 2                2 2       2 2
+--R         (a d  - 2a b c d + b c )n  + (- 3a d  + 6a b c d - 3b c )n + 2a d
+--R       + 
+--R                        2 2
+--R         - 4a b c d + 2b c
+--R    *
+--R         n log(d x + c)
+--R       %e
+--R                                         Type: Union(Expression(Integer),...)
+--E 2575
+
+--S 2576 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R                       n - 1                                      n - 2
+--R         (- d (b x + a)      + ((a d - b c)n - a d + b c)(b x + a)     )
+--R      *
+--R                  - n + 1  n log(d x + c)
+--R         (d x + c)       %e
+--R     + 
+--R            2 2 3            2    2              2  2
+--R           b d x  + ((- a b d  + b c d)n + 3a b d )x
+--R         + 
+--R                2 2    2 2       2 2               2 2         2           2
+--R           ((- a d  + b c )n + 2a d  + 2a b c d - b c )x + (- a c d + a b c )n
+--R         + 
+--R             2           2
+--R           2a c d - a b c
+--R      *
+--R           (n - 3)log(b x + a)
+--R         %e
+--R  /
+--R           2 2               2 2  2        2 2                2 2       2 2
+--R         (a d  - 2a b c d + b c )n  + (- 3a d  + 6a b c d - 3b c )n + 2a d
+--R       + 
+--R                        2 2
+--R         - 4a b c d + 2b c
+--R    *
+--R         n log(d x + c)
+--R       %e
+--R                                                    Type: Expression(Integer)
+--E 2576
+
+--S 2577 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)
+--R                              n - 2
+--R               - b d (b x + a)
+--R             + 
+--R                          2                 2           n - 3
+--R               ((a b d - b c)n - 2a b d + 2b c)(b x + a)
+--R          *
+--R                      - n + 1
+--R             (d x + c)
+--R         + 
+--R                  2         n - 1
+--R                 d (b x + a)
+--R               + 
+--R                        2                2                  n - 2
+--R                 ((- a d  + b c d)n + a d  - b c d)(b x + a)
+--R          *
+--R                      - n
+--R             (d x + c)
+--R      *
+--R           n log(d x + c)
+--R         %e
+--R     + 
+--R        2 2               2 2       2 2                2 2   (n - 3)log(b x + a)
+--R     ((a d  - 2a b c d + b c )n - 2a d  + 4a b c d - 2b c )%e
+--R  /
+--R        2 2               2 2       2 2                2 2   n log(d x + c)
+--R     ((a d  - 2a b c d + b c )n - 2a d  + 4a b c d - 2b c )%e
+--R                                                    Type: Expression(Integer)
+--E 2577
+
+)clear all
+
+--S 2578 of 2952
+t0000:=(a+b*x)^(-2+n)/(c+d*x)^n
+--R 
+--R
+--R                 n - 2
+--R        (b x + a)
+--R   (1)  --------------
+--R                   n
+--R          (d x + c)
+--R                                                    Type: Expression(Integer)
+--E 2578
+
+--S 2579 of 2952
+r0000:=-(a+b*x)^(-1+n)*(c+d*x)^(1-n)/((b*c-a*d)*(1-n))
+--R 
+--R
+--R                   n - 1         - n + 1
+--R          (b x + a)     (d x + c)
+--R   (2)  - ------------------------------
+--R             (a d - b c)n - a d + b c
+--R                                                    Type: Expression(Integer)
+--E 2579
+
+--S 2580 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                2                          (n - 2)log(b x + a)
+--R        (- b d x  + (- a d - b c)x - a c)%e
+--R   (3)  ------------------------------------------------------
+--R                                          n log(d x + c)
+--R              ((a d - b c)n - a d + b c)%e
+--R                                         Type: Union(Expression(Integer),...)
+--E 2580
+
+--S 2581 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R                n - 1         - n + 1  n log(d x + c)
+--R       (b x + a)     (d x + c)       %e
+--R     + 
+--R               2                          (n - 2)log(b x + a)
+--R       (- b d x  + (- a d - b c)x - a c)%e
+--R  /
+--R                                 n log(d x + c)
+--R     ((a d - b c)n - a d + b c)%e
+--R                                                    Type: Expression(Integer)
+--E 2581
+
+--S 2582 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)
+--R                     n - 2         - n + 1              n - 1         - n
+--R         (b (b x + a)     (d x + c)        - d (b x + a)     (d x + c)   )
+--R      *
+--R           n log(d x + c)
+--R         %e
+--R     + 
+--R                    (n - 2)log(b x + a)
+--R       (a d - b c)%e
+--R  /
+--R                  n log(d x + c)
+--R     (a d - b c)%e
+--R                                                    Type: Expression(Integer)
+--E 2582
+
+)clear all
+
+--S 2583 of 2952
+t0000:=(a+b*x)^(-1+n)/(c+d*x)^n
+--R 
+--R
+--R                 n - 1
+--R        (b x + a)
+--R   (1)  --------------
+--R                   n
+--R          (d x + c)
+--R                                                    Type: Expression(Integer)
+--E 2583
+
+--S 2584 of 2952
+--r0000:=(a+b*x)^n*(c+d*x)^(1-n)/((b*c-a*d)*n)-(a+b*x)^n*(c+d*x)^(1-n)*_
+--      hypergeometric(1-n,-n,2-n,b*(c+d*x)/(b*c-a*d))/_
+--      ((b*c-a*d)*(1-n)*n*(-d*(a+b*x)/(b*c-a*d))^n)
+--E 2584
+
+--S 2585 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           x            n - 1
+--R         ++  (%BJ b + a)
+--R   (2)   |   ---------------- d%BJ
+--R        ++                n
+--R               (%BJ d + c)
+--R                                         Type: Union(Expression(Integer),...)
+--E 2585
+
+--S 2586 of 2952
+--m0000:=a0000 - r0000
+--E 2586
+
+--S 2587 of 2952
+--d0000:=D(m0000,x)
+--E 2587
+
+)clear all
+
+--S 2588 of 2952
+t0000:=(a+b*x)^n/(c+d*x)^n
+--R 
+--R
+--R                 n
+--R        (b x + a)
+--R   (1)  ----------
+--R                 n
+--R        (d x + c)
+--R                                                    Type: Expression(Integer)
+--E 2588
+
+--S 2589 of 2952
+--r0000:=(a+b*x)^n*(c+d*x)^(1-n)*_
+--      hypergeometric(1-n,-n,2-n,b*(c+d*x)/(b*c-a*d))/_
+--      (d*(1-n)*(-d*(a+b*x)/(b*c-a*d))^n)
+--E 2589
+
+--S 2590 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           x            n
+--R         ++  (%BJ b + a)
+--R   (2)   |   ------------ d%BJ
+--R        ++              n
+--R             (%BJ d + c)
+--R                                         Type: Union(Expression(Integer),...)
+--E 2590
+
+--S 2591 of 2952
+--m0000:=a0000 - r0000
+--E 2591
+
+--S 2592 of 2952
+--d0000:=D(m0000,x)
+--E 2592
+
+)clear all
+
+--S 2593 of 2952
+t0000:=(a+b*x)^(1+n)/(c+d*x)^n
+--R 
+--R
+--R                 n + 1
+--R        (b x + a)
+--R   (1)  --------------
+--R                   n
+--R          (d x + c)
+--R                                                    Type: Expression(Integer)
+--E 2593
+
+--S 2594 of 2952
+--r0000:=1/2*(a+b*x)^(1+n)*(c+d*x)^(1-n)/d-_
+--      1/2*(b*c-a*d)*(1+n)*(a+b*x)^n*(c+d*x)^(1-n)*_
+--      hypergeometric(1-n,-n,2-n,b*(c+d*x)/(b*c-a*d))/_
+--      (d^2*(1-n)*(-d*(a+b*x)/(b*c-a*d))^n)
+--E 2594
+
+--S 2595 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           x            n + 1
+--R         ++  (%BJ b + a)
+--R   (2)   |   ---------------- d%BJ
+--R        ++                n
+--R               (%BJ d + c)
+--R                                         Type: Union(Expression(Integer),...)
+--E 2595
+
+--S 2596 of 2952
+--m0000:=a0000 - r0000
+--E 2596
+
+--S 2597 of 2952
+--d0000:=D(m0000,x)
+--E 2597
+
+)clear all
+
+--S 2598 of 2952
+t0000:=(a+b*x)^(2+n)/(c+d*x)^n
+--R 
+--R
+--R                 n + 2
+--R        (b x + a)
+--R   (1)  --------------
+--R                   n
+--R          (d x + c)
+--R                                                    Type: Expression(Integer)
+--E 2598
+
+--S 2599 of 2952
+--r0000:=-1/6*(b*c-a*d)*(2+n)*(a+b*x)^(1+n)*(c+d*x)^(1-n)/d^2+_
+--      1/3*(a+b*x)^(2+n)*(c+d*x)^(1-n)/d+_
+--      1/6*(b*c-a*d)^2*(1+n)*(2+n)*(a+b*x)^n*(c+d*x)^(1-n)*_
+--      hypergeometric(1-n,-n,2-n,b*(c+d*x)/(b*c-a*d))/_
+--      (d^3*(1-n)*(-d*(a+b*x)/(b*c-a*d))^n)
+--E 2599
+
+--S 2600 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           x            n + 2
+--R         ++  (%BJ b + a)
+--R   (2)   |   ---------------- d%BJ
+--R        ++                n
+--R               (%BJ d + c)
+--R                                         Type: Union(Expression(Integer),...)
+--E 2600
+
+--S 2601 of 2952
+--m0000:=a0000 - r0000
+--E 2601
+
+--S 2602 of 2952
+--d0000:=D(m0000,x)
+--E 2602
+
+)clear all
+
+--S 2603 of 2952
+t0000:=(c+d*x)^n/(a+b*x)^n
+--R 
+--R
+--R                 n
+--R        (d x + c)
+--R   (1)  ----------
+--R                 n
+--R        (b x + a)
+--R                                                    Type: Expression(Integer)
+--E 2603
+
+--S 2604 of 2952
+--r0000:=(-d*(a+b*x)/(b*c-a*d))^n*(c+d*x)^(1+n)*_
+--      hypergeometric(n,1+n,2+n,b*(c+d*x)/(b*c-a*d))/(d*(1+n)*(a+b*x)^n)
+--E 2604
+
+--S 2605 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           x            n
+--R         ++  (%BJ d + c)
+--R   (2)   |   ------------ d%BJ
+--R        ++              n
+--R             (%BJ b + a)
+--R                                         Type: Union(Expression(Integer),...)
+--E 2605
+
+--S 2606 of 2952
+--m0000:=a0000 - r0000
+--E 2606
+
+--S 2607 of 2952
+--d0000:=D(m0000,x)
+--E 2607
+
+)clear all
+
+--S 2608 of 2952
+t0000:=(a+b*x)^(-1-n)*(c+d*x)^n
+--R 
+--R
+--R                 - n - 1         n
+--R   (1)  (b x + a)       (d x + c)
+--R                                                    Type: Expression(Integer)
+--E 2608
+
+--S 2609 of 2952
+--r0000:=-(c+d*x)^(1+n)/((b*c-a*d)*n*(a+b*x)^n)+_
+--      (-d*(a+b*x)/(b*c-a*d))^n*(c+d*x)^(1+n)*_
+--      hypergeometric(n,1+n,2+n,b*(c+d*x)/(b*c-a*d))/_
+--      ((b*c-a*d)*n*(1+n)*(a+b*x)^n)
+--E 2609
+
+--S 2610 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           x
+--R         ++             - n - 1           n
+--R   (2)   |   (%BJ b + a)       (%BJ d + c) d%BJ
+--R        ++
+--R                                         Type: Union(Expression(Integer),...)
+--E 2610
+
+--S 2611 of 2952
+--m0000:=a0000 - r0000
+--E 2611
+
+--S 2612 of 2952
+--d0000:=D(m0000,x)
+--E 2612
+
+)clear all
+
+--S 2613 of 2952
+t0000:=(a+b*x)^(-2-n)*(c+d*x)^n
+--R 
+--R
+--R                 - n - 2         n
+--R   (1)  (b x + a)       (d x + c)
+--R                                                    Type: Expression(Integer)
+--E 2613
+
+--S 2614 of 2952
+r0000:=-(a+b*x)^(-1-n)*(c+d*x)^(1+n)/((b*c-a*d)*(1+n))
+--R 
+--R
+--R                 - n - 1         n + 1
+--R        (b x + a)       (d x + c)
+--R   (2)  ------------------------------
+--R           (a d - b c)n + a d - b c
+--R                                                    Type: Expression(Integer)
+--E 2614
+
+--S 2615 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R              2                        (- n - 2)log(b x + a)  n log(d x + c)
+--R        (b d x  + (a d + b c)x + a c)%e                     %e
+--R   (3)  --------------------------------------------------------------------
+--R                              (a d - b c)n + a d - b c
+--R                                         Type: Union(Expression(Integer),...)
+--E 2615
+
+--S 2616 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R             2                        (- n - 2)log(b x + a)  n log(d x + c)
+--R       (b d x  + (a d + b c)x + a c)%e                     %e
+--R     + 
+--R                  - n - 1         n + 1
+--R       - (b x + a)       (d x + c)
+--R  /
+--R     (a d - b c)n + a d - b c
+--R                                                    Type: Expression(Integer)
+--E 2616
+
+--S 2617 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)
+--R                    (- n - 2)log(b x + a)  n log(d x + c)
+--R       (a d - b c)%e                     %e
+--R     + 
+--R                  - n - 2         n + 1              - n - 1         n
+--R       b (b x + a)       (d x + c)      - d (b x + a)       (d x + c)
+--R  /
+--R     a d - b c
+--R                                                    Type: Expression(Integer)
+--E 2617
+
+)clear all
+
+--S 2618 of 2952
+t0000:=(a+b*x)^(-3-n)*(c+d*x)^n
+--R 
+--R
+--R                 - n - 3         n
+--R   (1)  (b x + a)       (d x + c)
+--R                                                    Type: Expression(Integer)
+--E 2618
+
+--S 2619 of 2952
+r0000:=-(a+b*x)^(-2-n)*(c+d*x)^(1+n)/((b*c-a*d)*(2+n))+_
+     d*(a+b*x)^(-1-n)*(c+d*x)^(1+n)/((b*c-a*d)^2*(1+n)*(2+n))
+--R 
+--R
+--R   (2)
+--R                   - n - 1                                      - n - 2
+--R       (d (b x + a)        + ((a d - b c)n + a d - b c)(b x + a)       )
+--R    *
+--R                n + 1
+--R       (d x + c)
+--R  /
+--R         2 2               2 2  2      2 2                2 2       2 2
+--R       (a d  - 2a b c d + b c )n  + (3a d  - 6a b c d + 3b c )n + 2a d
+--R     + 
+--R                      2 2
+--R       - 4a b c d + 2b c
+--R                                                    Type: Expression(Integer)
+--E 2619
+
+--S 2620 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R          2 2 3          2    2              2  2
+--R         b d x  + ((a b d  - b c d)n + 3a b d )x
+--R       + 
+--R            2 2    2 2       2 2               2 2       2           2
+--R         ((a d  - b c )n + 2a d  + 2a b c d - b c )x + (a c d - a b c )n
+--R       + 
+--R           2           2
+--R         2a c d - a b c
+--R    *
+--R         (- n - 3)log(b x + a)  n log(d x + c)
+--R       %e                     %e
+--R  /
+--R         2 2               2 2  2      2 2                2 2       2 2
+--R       (a d  - 2a b c d + b c )n  + (3a d  - 6a b c d + 3b c )n + 2a d
+--R     + 
+--R                      2 2
+--R       - 4a b c d + 2b c
+--R                                         Type: Union(Expression(Integer),...)
+--E 2620
+
+--S 2621 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R            2 2 3          2    2              2  2
+--R           b d x  + ((a b d  - b c d)n + 3a b d )x
+--R         + 
+--R              2 2    2 2       2 2               2 2       2           2
+--R           ((a d  - b c )n + 2a d  + 2a b c d - b c )x + (a c d - a b c )n
+--R         + 
+--R             2           2
+--R           2a c d - a b c
+--R      *
+--R           (- n - 3)log(b x + a)  n log(d x + c)
+--R         %e                     %e
+--R     + 
+--R                       - n - 1                                        - n - 2
+--R         (- d (b x + a)        + ((- a d + b c)n - a d + b c)(b x + a)       )
+--R      *
+--R                  n + 1
+--R         (d x + c)
+--R  /
+--R         2 2               2 2  2      2 2                2 2       2 2
+--R       (a d  - 2a b c d + b c )n  + (3a d  - 6a b c d + 3b c )n + 2a d
+--R     + 
+--R                      2 2
+--R       - 4a b c d + 2b c
+--R                                                    Type: Expression(Integer)
+--E 2621
+
+--S 2622 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)
+--R            2 2               2 2       2 2                2 2
+--R         ((a d  - 2a b c d + b c )n + 2a d  - 4a b c d + 2b c )
+--R      *
+--R           (- n - 3)log(b x + a)  n log(d x + c)
+--R         %e                     %e
+--R     + 
+--R                          - n - 2
+--R             b d (b x + a)
+--R           + 
+--R                        2                 2           - n - 3
+--R             ((a b d - b c)n + 2a b d - 2b c)(b x + a)
+--R      *
+--R                  n + 1
+--R         (d x + c)
+--R     + 
+--R              2         - n - 1
+--R           - d (b x + a)
+--R         + 
+--R                  2                2                  - n - 2
+--R           ((- a d  + b c d)n - a d  + b c d)(b x + a)
+--R      *
+--R                  n
+--R         (d x + c)
+--R  /
+--R       2 2               2 2       2 2                2 2
+--R     (a d  - 2a b c d + b c )n + 2a d  - 4a b c d + 2b c
+--R                                                    Type: Expression(Integer)
+--E 2622
+
+)clear all
+
+--S 2623 of 2952
+t0000:=(a+b*x)^(-4-n)*(c+d*x)^n
+--R 
+--R
+--R                 - n - 4         n
+--R   (1)  (b x + a)       (d x + c)
+--R                                                    Type: Expression(Integer)
+--E 2623
+
+--S 2624 of 2952
+r0000:=-(a+b*x)^(-3-n)*(c+d*x)^(1+n)/((b*c-a*d)*(3+n))+_
+     2*d*(a+b*x)^(-2-n)*(c+d*x)^(1+n)/((b*c-a*d)^2*(2+n)*(3+n))-_
+     2*d^2*(a+b*x)^(-1-n)*(c+d*x)^(1+n)/((b*c-a*d)^3*(1+n)*(2+n)*(3+n))
+--R 
+--R
+--R   (2)
+--R           2         - n - 1
+--R         2d (b x + a)
+--R       + 
+--R               2                  2                   - n - 2
+--R         ((2a d  - 2b c d)n + 2a d  - 2b c d)(b x + a)
+--R       + 
+--R               2 2               2 2  2      2 2                2 2       2 2
+--R             (a d  - 2a b c d + b c )n  + (3a d  - 6a b c d + 3b c )n + 2a d
+--R           + 
+--R                            2 2
+--R             - 4a b c d + 2b c
+--R        *
+--R                    - n - 3
+--R           (b x + a)
+--R    *
+--R                n + 1
+--R       (d x + c)
+--R  /
+--R         3 3     2     2       2 2     3 3  3
+--R       (a d  - 3a b c d  + 3a b c d - b c )n
+--R     + 
+--R          3 3      2     2        2 2      3 3  2
+--R       (6a d  - 18a b c d  + 18a b c d - 6b c )n
+--R     + 
+--R           3 3      2     2        2 2       3 3       3 3      2     2
+--R       (11a d  - 33a b c d  + 33a b c d - 11b c )n + 6a d  - 18a b c d
+--R     + 
+--R            2 2      3 3
+--R       18a b c d - 6b c
+--R                                                    Type: Expression(Integer)
+--E 2624
+
+--S 2625 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R           3 3 4         2 3     3   2         2 3  3
+--R         2b d x  + ((2a b d  - 2b c d )n + 8a b d )x
+--R       + 
+--R               2   3       2   2    3 2   2      2   3       2   2    3 2
+--R             (a b d  - 2a b c d  + b c d)n  + (7a b d  - 8a b c d  + b c d)n
+--R           + 
+--R                2   3
+--R             12a b d
+--R        *
+--R            2
+--R           x
+--R       + 
+--R               3 3    2     2      2 2     3 3  2
+--R             (a d  - a b c d  - a b c d + b c )n
+--R           + 
+--R                3 3    2     2       2 2      3 3       3 3     2     2
+--R             (5a d  - a b c d  - 7a b c d + 3b c )n + 6a d  + 6a b c d
+--R           + 
+--R                   2 2      3 3
+--R             - 6a b c d + 2b c
+--R        *
+--R           x
+--R       + 
+--R           3   2     2   2       2 3  2      3   2     2   2        2 3
+--R         (a c d  - 2a b c d + a b c )n  + (5a c d  - 8a b c d + 3a b c )n
+--R       + 
+--R           3   2     2   2        2 3
+--R         6a c d  - 6a b c d + 2a b c
+--R    *
+--R         (- n - 4)log(b x + a)  n log(d x + c)
+--R       %e                     %e
+--R  /
+--R         3 3     2     2       2 2     3 3  3
+--R       (a d  - 3a b c d  + 3a b c d - b c )n
+--R     + 
+--R          3 3      2     2        2 2      3 3  2
+--R       (6a d  - 18a b c d  + 18a b c d - 6b c )n
+--R     + 
+--R           3 3      2     2        2 2       3 3       3 3      2     2
+--R       (11a d  - 33a b c d  + 33a b c d - 11b c )n + 6a d  - 18a b c d
+--R     + 
+--R            2 2      3 3
+--R       18a b c d - 6b c
+--R                                         Type: Union(Expression(Integer),...)
+--E 2625
+
+--S 2626 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R             3 3 4         2 3     3   2         2 3  3
+--R           2b d x  + ((2a b d  - 2b c d )n + 8a b d )x
+--R         + 
+--R                 2   3       2   2    3 2   2      2   3       2   2    3 2
+--R               (a b d  - 2a b c d  + b c d)n  + (7a b d  - 8a b c d  + b c d)n
+--R             + 
+--R                  2   3
+--R               12a b d
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                 3 3    2     2      2 2     3 3  2
+--R               (a d  - a b c d  - a b c d + b c )n
+--R             + 
+--R                  3 3    2     2       2 2      3 3       3 3     2     2
+--R               (5a d  - a b c d  - 7a b c d + 3b c )n + 6a d  + 6a b c d
+--R             + 
+--R                     2 2      3 3
+--R               - 6a b c d + 2b c
+--R          *
+--R             x
+--R         + 
+--R             3   2     2   2       2 3  2      3   2     2   2        2 3
+--R           (a c d  - 2a b c d + a b c )n  + (5a c d  - 8a b c d + 3a b c )n
+--R         + 
+--R             3   2     2   2        2 3
+--R           6a c d  - 6a b c d + 2a b c
+--R      *
+--R           (- n - 4)log(b x + a)  n log(d x + c)
+--R         %e                     %e
+--R     + 
+--R               2         - n - 1
+--R           - 2d (b x + a)
+--R         + 
+--R                   2                  2                   - n - 2
+--R           ((- 2a d  + 2b c d)n - 2a d  + 2b c d)(b x + a)
+--R         + 
+--R                   2 2               2 2  2        2 2                2 2
+--R               (- a d  + 2a b c d - b c )n  + (- 3a d  + 6a b c d - 3b c )n
+--R             + 
+--R                   2 2                2 2
+--R               - 2a d  + 4a b c d - 2b c
+--R          *
+--R                      - n - 3
+--R             (b x + a)
+--R      *
+--R                  n + 1
+--R         (d x + c)
+--R  /
+--R         3 3     2     2       2 2     3 3  3
+--R       (a d  - 3a b c d  + 3a b c d - b c )n
+--R     + 
+--R          3 3      2     2        2 2      3 3  2
+--R       (6a d  - 18a b c d  + 18a b c d - 6b c )n
+--R     + 
+--R           3 3      2     2        2 2       3 3       3 3      2     2
+--R       (11a d  - 33a b c d  + 33a b c d - 11b c )n + 6a d  - 18a b c d
+--R     + 
+--R            2 2      3 3
+--R       18a b c d - 6b c
+--R                                                    Type: Expression(Integer)
+--E 2626
+
+--S 2627 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)
+--R             3 3     2     2       2 2     3 3  2
+--R           (a d  - 3a b c d  + 3a b c d - b c )n
+--R         + 
+--R              3 3      2     2        2 2      3 3       3 3      2     2
+--R           (5a d  - 15a b c d  + 15a b c d - 5b c )n + 6a d  - 18a b c d
+--R         + 
+--R                2 2      3 3
+--R           18a b c d - 6b c
+--R      *
+--R           (- n - 4)log(b x + a)  n log(d x + c)
+--R         %e                     %e
+--R     + 
+--R               2         - n - 2
+--R           2b d (b x + a)
+--R         + 
+--R                   2     2              2     2             - n - 3
+--R           ((2a b d  - 2b c d)n + 4a b d  - 4b c d)(b x + a)
+--R         + 
+--R                 2   2       2       3 2  2      2   2        2        3 2
+--R               (a b d  - 2a b c d + b c )n  + (5a b d  - 10a b c d + 5b c )n
+--R             + 
+--R                 2   2        2        3 2
+--R               6a b d  - 12a b c d + 6b c
+--R          *
+--R                      - n - 4
+--R             (b x + a)
+--R      *
+--R                  n + 1
+--R         (d x + c)
+--R     + 
+--R               3         - n - 1
+--R           - 2d (b x + a)
+--R         + 
+--R                   3         2         3         2          - n - 2
+--R           ((- 2a d  + 2b c d )n - 2a d  + 2b c d )(b x + a)
+--R         + 
+--R                   2 3           2    2 2   2        2 3           2     2 2
+--R               (- a d  + 2a b c d  - b c d)n  + (- 3a d  + 6a b c d  - 3b c d)n
+--R             + 
+--R                   2 3           2     2 2
+--R               - 2a d  + 4a b c d  - 2b c d
+--R          *
+--R                      - n - 3
+--R             (b x + a)
+--R      *
+--R                  n
+--R         (d x + c)
+--R  /
+--R         3 3     2     2       2 2     3 3  2
+--R       (a d  - 3a b c d  + 3a b c d - b c )n
+--R     + 
+--R          3 3      2     2        2 2      3 3       3 3      2     2
+--R       (5a d  - 15a b c d  + 15a b c d - 5b c )n + 6a d  - 18a b c d
+--R     + 
+--R            2 2      3 3
+--R       18a b c d - 6b c
+--R                                                    Type: Expression(Integer)
+--E 2627
+
+)clear all
+
+--S 2628 of 2952
+t0000:=(a+b*x)^(-5-n)*(c+d*x)^n
+--R 
+--R
+--R                 - n - 5         n
+--R   (1)  (b x + a)       (d x + c)
+--R                                                    Type: Expression(Integer)
+--E 2628
+
+--S 2629 of 2952
+r0000:=-(a+b*x)^(-4-n)*(c+d*x)^(1+n)/((b*c-a*d)*(4+n))+_
+     3*d*(a+b*x)^(-3-n)*(c+d*x)^(1+n)/((b*c-a*d)^2*(3+n)*(4+n))-_
+     6*d^2*(a+b*x)^(-2-n)*(c+d*x)^(1+n)/((b*c-a*d)^3*(2+n)*(3+n)*(4+n))+_
+     6*d^3*(a+b*x)^(-1-n)*(c+d*x)^(1+n)/((b*c-a*d)^4*(1+n)*(2+n)*(3+n)*(4+n))
+--R 
+--R
+--R   (2)
+--R           3         - n - 1
+--R         6d (b x + a)
+--R       + 
+--R               3         2         3         2          - n - 2
+--R         ((6a d  - 6b c d )n + 6a d  - 6b c d )(b x + a)
+--R       + 
+--R                2 3           2     2 2   2      2 3            2     2 2
+--R             (3a d  - 6a b c d  + 3b c d)n  + (9a d  - 18a b c d  + 9b c d)n
+--R           + 
+--R               2 3            2     2 2
+--R             6a d  - 12a b c d  + 6b c d
+--R        *
+--R                    - n - 3
+--R           (b x + a)
+--R       + 
+--R               3 3     2     2       2 2     3 3  3
+--R             (a d  - 3a b c d  + 3a b c d - b c )n
+--R           + 
+--R                3 3      2     2        2 2      3 3  2
+--R             (6a d  - 18a b c d  + 18a b c d - 6b c )n
+--R           + 
+--R                 3 3      2     2        2 2       3 3       3 3      2     2
+--R             (11a d  - 33a b c d  + 33a b c d - 11b c )n + 6a d  - 18a b c d
+--R           + 
+--R                  2 2      3 3
+--R             18a b c d - 6b c
+--R        *
+--R                    - n - 4
+--R           (b x + a)
+--R    *
+--R                n + 1
+--R       (d x + c)
+--R  /
+--R         4 4     3     3     2 2 2 2       3 3     4 4  4
+--R       (a d  - 4a b c d  + 6a b c d  - 4a b c d + b c )n
+--R     + 
+--R           4 4      3     3      2 2 2 2        3 3       4 4  3
+--R       (10a d  - 40a b c d  + 60a b c d  - 40a b c d + 10b c )n
+--R     + 
+--R           4 4       3     3       2 2 2 2         3 3       4 4  2
+--R       (35a d  - 140a b c d  + 210a b c d  - 140a b c d + 35b c )n
+--R     + 
+--R           4 4       3     3       2 2 2 2         3 3       4 4        4 4
+--R       (50a d  - 200a b c d  + 300a b c d  - 200a b c d + 50b c )n + 24a d
+--R     + 
+--R            3     3       2 2 2 2        3 3       4 4
+--R       - 96a b c d  + 144a b c d  - 96a b c d + 24b c
+--R                                                    Type: Expression(Integer)
+--E 2629
+
+--S 2630 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R           4 4 5         3 4     4   3          3 4  4
+--R         6b d x  + ((6a b d  - 6b c d )n + 30a b d )x
+--R       + 
+--R                2 2 4       3   3     4 2 2  2
+--R             (3a b d  - 6a b c d  + 3b c d )n
+--R           + 
+--R                 2 2 4        3   3     4 2 2        2 2 4
+--R             (27a b d  - 30a b c d  + 3b c d )n + 60a b d
+--R        *
+--R            3
+--R           x
+--R       + 
+--R               3   4     2 2   3       3 2 2    4 3   3
+--R             (a b d  - 3a b c d  + 3a b c d  - b c d)n
+--R           + 
+--R                 3   4      2 2   3        3 2 2     4 3   2
+--R             (12a b d  - 27a b c d  + 18a b c d  - 3b c d)n
+--R           + 
+--R                 3   4      2 2   3        3 2 2     4 3         3   4
+--R             (47a b d  - 60a b c d  + 15a b c d  - 2b c d)n + 60a b d
+--R        *
+--R            2
+--R           x
+--R       + 
+--R               4 4     3     3       3 3     4 4  3
+--R             (a d  - 2a b c d  + 2a b c d - b c )n
+--R           + 
+--R                4 4      3     3     2 2 2 2        3 3      4 4  2
+--R             (9a d  - 12a b c d  - 9a b c d  + 18a b c d - 6b c )n
+--R           + 
+--R                 4 4      3     3      2 2 2 2        3 3       4 4        4 4
+--R             (26a d  - 10a b c d  - 45a b c d  + 40a b c d - 11b c )n + 24a d
+--R           + 
+--R                3     3      2 2 2 2        3 3      4 4
+--R             24a b c d  - 36a b c d  + 24a b c d - 6b c
+--R        *
+--R           x
+--R       + 
+--R           4   3     3   2 2     2 2 3       3 4  3
+--R         (a c d  - 3a b c d  + 3a b c d - a b c )n
+--R       + 
+--R            4   3      3   2 2      2 2 3        3 4  2
+--R         (9a c d  - 24a b c d  + 21a b c d - 6a b c )n
+--R       + 
+--R             4   3      3   2 2      2 2 3         3 4        4   3      3   2 2
+--R         (26a c d  - 57a b c d  + 42a b c d - 11a b c )n + 24a c d  - 36a b c d
+--R       + 
+--R            2 2 3        3 4
+--R         24a b c d - 6a b c
+--R    *
+--R         (- n - 5)log(b x + a)  n log(d x + c)
+--R       %e                     %e
+--R  /
+--R         4 4     3     3     2 2 2 2       3 3     4 4  4
+--R       (a d  - 4a b c d  + 6a b c d  - 4a b c d + b c )n
+--R     + 
+--R           4 4      3     3      2 2 2 2        3 3       4 4  3
+--R       (10a d  - 40a b c d  + 60a b c d  - 40a b c d + 10b c )n
+--R     + 
+--R           4 4       3     3       2 2 2 2         3 3       4 4  2
+--R       (35a d  - 140a b c d  + 210a b c d  - 140a b c d + 35b c )n
+--R     + 
+--R           4 4       3     3       2 2 2 2         3 3       4 4        4 4
+--R       (50a d  - 200a b c d  + 300a b c d  - 200a b c d + 50b c )n + 24a d
+--R     + 
+--R            3     3       2 2 2 2        3 3       4 4
+--R       - 96a b c d  + 144a b c d  - 96a b c d + 24b c
+--R                                         Type: Union(Expression(Integer),...)
+--E 2630
+
+--S 2631 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R             4 4 5         3 4     4   3          3 4  4
+--R           6b d x  + ((6a b d  - 6b c d )n + 30a b d )x
+--R         + 
+--R                  2 2 4       3   3     4 2 2  2
+--R               (3a b d  - 6a b c d  + 3b c d )n
+--R             + 
+--R                   2 2 4        3   3     4 2 2        2 2 4
+--R               (27a b d  - 30a b c d  + 3b c d )n + 60a b d
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                 3   4     2 2   3       3 2 2    4 3   3
+--R               (a b d  - 3a b c d  + 3a b c d  - b c d)n
+--R             + 
+--R                   3   4      2 2   3        3 2 2     4 3   2
+--R               (12a b d  - 27a b c d  + 18a b c d  - 3b c d)n
+--R             + 
+--R                   3   4      2 2   3        3 2 2     4 3         3   4
+--R               (47a b d  - 60a b c d  + 15a b c d  - 2b c d)n + 60a b d
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                 4 4     3     3       3 3     4 4  3
+--R               (a d  - 2a b c d  + 2a b c d - b c )n
+--R             + 
+--R                  4 4      3     3     2 2 2 2        3 3      4 4  2
+--R               (9a d  - 12a b c d  - 9a b c d  + 18a b c d - 6b c )n
+--R             + 
+--R                   4 4      3     3      2 2 2 2        3 3       4 4        4 4
+--R               (26a d  - 10a b c d  - 45a b c d  + 40a b c d - 11b c )n + 24a d
+--R             + 
+--R                  3     3      2 2 2 2        3 3      4 4
+--R               24a b c d  - 36a b c d  + 24a b c d - 6b c
+--R          *
+--R             x
+--R         + 
+--R             4   3     3   2 2     2 2 3       3 4  3
+--R           (a c d  - 3a b c d  + 3a b c d - a b c )n
+--R         + 
+--R              4   3      3   2 2      2 2 3        3 4  2
+--R           (9a c d  - 24a b c d  + 21a b c d - 6a b c )n
+--R         + 
+--R               4   3      3   2 2      2 2 3         3 4        4   3
+--R           (26a c d  - 57a b c d  + 42a b c d - 11a b c )n + 24a c d
+--R         + 
+--R                3   2 2      2 2 3        3 4
+--R           - 36a b c d  + 24a b c d - 6a b c
+--R      *
+--R           (- n - 5)log(b x + a)  n log(d x + c)
+--R         %e                     %e
+--R     + 
+--R               3         - n - 1
+--R           - 6d (b x + a)
+--R         + 
+--R                   3         2         3         2          - n - 2
+--R           ((- 6a d  + 6b c d )n - 6a d  + 6b c d )(b x + a)
+--R         + 
+--R                    2 3           2     2 2   2
+--R               (- 3a d  + 6a b c d  - 3b c d)n
+--R             + 
+--R                    2 3            2     2 2        2 3            2     2 2
+--R               (- 9a d  + 18a b c d  - 9b c d)n - 6a d  + 12a b c d  - 6b c d
+--R          *
+--R                      - n - 3
+--R             (b x + a)
+--R         + 
+--R                   3 3     2     2       2 2     3 3  3
+--R               (- a d  + 3a b c d  - 3a b c d + b c )n
+--R             + 
+--R                    3 3      2     2        2 2      3 3  2
+--R               (- 6a d  + 18a b c d  - 18a b c d + 6b c )n
+--R             + 
+--R                     3 3      2     2        2 2       3 3       3 3
+--R               (- 11a d  + 33a b c d  - 33a b c d + 11b c )n - 6a d
+--R             + 
+--R                  2     2        2 2      3 3
+--R               18a b c d  - 18a b c d + 6b c
+--R          *
+--R                      - n - 4
+--R             (b x + a)
+--R      *
+--R                  n + 1
+--R         (d x + c)
+--R  /
+--R         4 4     3     3     2 2 2 2       3 3     4 4  4
+--R       (a d  - 4a b c d  + 6a b c d  - 4a b c d + b c )n
+--R     + 
+--R           4 4      3     3      2 2 2 2        3 3       4 4  3
+--R       (10a d  - 40a b c d  + 60a b c d  - 40a b c d + 10b c )n
+--R     + 
+--R           4 4       3     3       2 2 2 2         3 3       4 4  2
+--R       (35a d  - 140a b c d  + 210a b c d  - 140a b c d + 35b c )n
+--R     + 
+--R           4 4       3     3       2 2 2 2         3 3       4 4        4 4
+--R       (50a d  - 200a b c d  + 300a b c d  - 200a b c d + 50b c )n + 24a d
+--R     + 
+--R            3     3       2 2 2 2        3 3       4 4
+--R       - 96a b c d  + 144a b c d  - 96a b c d + 24b c
+--R                                                    Type: Expression(Integer)
+--E 2631
+
+--S 2632 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)
+--R             4 4     3     3     2 2 2 2       3 3     4 4  3
+--R           (a d  - 4a b c d  + 6a b c d  - 4a b c d + b c )n
+--R         + 
+--R              4 4      3     3      2 2 2 2        3 3      4 4  2
+--R           (9a d  - 36a b c d  + 54a b c d  - 36a b c d + 9b c )n
+--R         + 
+--R               4 4       3     3       2 2 2 2         3 3       4 4        4 4
+--R           (26a d  - 104a b c d  + 156a b c d  - 104a b c d + 26b c )n + 24a d
+--R         + 
+--R                3     3       2 2 2 2        3 3       4 4
+--R           - 96a b c d  + 144a b c d  - 96a b c d + 24b c
+--R      *
+--R           (- n - 5)log(b x + a)  n log(d x + c)
+--R         %e                     %e
+--R     + 
+--R               3         - n - 2
+--R           6b d (b x + a)
+--R         + 
+--R                   3     2   2            3      2   2          - n - 3
+--R           ((6a b d  - 6b c d )n + 12a b d  - 12b c d )(b x + a)
+--R         + 
+--R                  2   3       2   2     3 2   2
+--R               (3a b d  - 6a b c d  + 3b c d)n
+--R             + 
+--R                   2   3        2   2      3 2         2   3        2   2
+--R               (15a b d  - 30a b c d  + 15b c d)n + 18a b d  - 36a b c d
+--R             + 
+--R                  3 2
+--R               18b c d
+--R          *
+--R                      - n - 4
+--R             (b x + a)
+--R         + 
+--R                 3   3     2 2   2       3 2     4 3  3
+--R               (a b d  - 3a b c d  + 3a b c d - b c )n
+--R             + 
+--R                  3   3      2 2   2        3 2      4 3  2
+--R               (9a b d  - 27a b c d  + 27a b c d - 9b c )n
+--R             + 
+--R                   3   3      2 2   2        3 2       4 3        3   3
+--R               (26a b d  - 78a b c d  + 78a b c d - 26b c )n + 24a b d
+--R             + 
+--R                    2 2   2        3 2       4 3
+--R               - 72a b c d  + 72a b c d - 24b c
+--R          *
+--R                      - n - 5
+--R             (b x + a)
+--R      *
+--R                  n + 1
+--R         (d x + c)
+--R     + 
+--R               4         - n - 1
+--R           - 6d (b x + a)
+--R         + 
+--R                   4         3         4         3          - n - 2
+--R           ((- 6a d  + 6b c d )n - 6a d  + 6b c d )(b x + a)
+--R         + 
+--R                    2 4           3     2 2 2  2
+--R               (- 3a d  + 6a b c d  - 3b c d )n
+--R             + 
+--R                    2 4            3     2 2 2       2 4            3     2 2 2
+--R               (- 9a d  + 18a b c d  - 9b c d )n - 6a d  + 12a b c d  - 6b c d
+--R          *
+--R                      - n - 3
+--R             (b x + a)
+--R         + 
+--R                   3 4     2     3       2 2 2    3 3   3
+--R               (- a d  + 3a b c d  - 3a b c d  + b c d)n
+--R             + 
+--R                    3 4      2     3        2 2 2     3 3   2
+--R               (- 6a d  + 18a b c d  - 18a b c d  + 6b c d)n
+--R             + 
+--R                     3 4      2     3        2 2 2      3 3        3 4
+--R               (- 11a d  + 33a b c d  - 33a b c d  + 11b c d)n - 6a d
+--R             + 
+--R                  2     3        2 2 2     3 3
+--R               18a b c d  - 18a b c d  + 6b c d
+--R          *
+--R                      - n - 4
+--R             (b x + a)
+--R      *
+--R                  n
+--R         (d x + c)
+--R  /
+--R         4 4     3     3     2 2 2 2       3 3     4 4  3
+--R       (a d  - 4a b c d  + 6a b c d  - 4a b c d + b c )n
+--R     + 
+--R          4 4      3     3      2 2 2 2        3 3      4 4  2
+--R       (9a d  - 36a b c d  + 54a b c d  - 36a b c d + 9b c )n
+--R     + 
+--R           4 4       3     3       2 2 2 2         3 3       4 4        4 4
+--R       (26a d  - 104a b c d  + 156a b c d  - 104a b c d + 26b c )n + 24a d
+--R     + 
+--R            3     3       2 2 2 2        3 3       4 4
+--R       - 96a b c d  + 144a b c d  - 96a b c d + 24b c
+--R                                                    Type: Expression(Integer)
+--E 2632
+
+)clear all
+
+--S 2633 of 2952
+t0000:=(a+b*x)^n/(c+d*x)^n
+--R 
+--R
+--R                 n
+--R        (b x + a)
+--R   (1)  ----------
+--R                 n
+--R        (d x + c)
+--R                                                    Type: Expression(Integer)
+--E 2633
+
+--S 2634 of 2952
+--r0000:=(a+b*x)^n*(c+d*x)^(1-n)*_
+--      hypergeometric(1-n,-n,2-n,b*(c+d*x)/(b*c-a*d))/_
+--      (d*(1-n)*(-d*(a+b*x)/(b*c-a*d))^n)
+--E 2634
+
+--S 2635 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           x            n
+--R         ++  (%BJ b + a)
+--R   (2)   |   ------------ d%BJ
+--R        ++              n
+--R             (%BJ d + c)
+--R                                         Type: Union(Expression(Integer),...)
+--E 2635
+
+--S 2636 of 2952
+--m0000:=a0000 - r0000
+--E 2636
+
+--S 2637 of 2952
+--d0000:=D(m0000,x)
+--E 2637
+
+)clear all
+
+--S 2638 of 2952
+t0000:=(a+b*x)^n*(c+d*x)^(-1-n)
+--R 
+--R
+--R                 n         - n - 1
+--R   (1)  (b x + a) (d x + c)
+--R                                                    Type: Expression(Integer)
+--E 2638
+
+--S 2639 of 2952
+--r0000:=(a+b*x)^(1+n)/((b*c-a*d)*n*(c+d*x)^n)-_
+--      b*(a+b*x)^n*(c+d*x)^(1-n)*_
+--      hypergeometric(1-n,-n,2-n,b*(c+d*x)/(b*c-a*d))/_
+--      (d*(b*c-a*d)*(1-n)*n*(-d*(a+b*x)/(b*c-a*d))^n)
+--E 2639
+
+--S 2640 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           x
+--R         ++             n           - n - 1
+--R   (2)   |   (%BJ b + a) (%BJ d + c)       d%BJ
+--R        ++
+--R                                         Type: Union(Expression(Integer),...)
+--E 2640
+
+--S 2641 of 2952
+--m0000:=a0000 - r0000
+--E 2641
+
+--S 2642 of 2952
+--d0000:=D(m0000,x)
+--E 2642
+
+)clear all
+
+--S 2643 of 2952
+t0000:=(a+b*x)^n*(c+d*x)^(-2-n)
+--R 
+--R
+--R                 n         - n - 2
+--R   (1)  (b x + a) (d x + c)
+--R                                                    Type: Expression(Integer)
+--E 2643
+
+--S 2644 of 2952
+r0000:=(a+b*x)^(1+n)*(c+d*x)^(-1-n)/((b*c-a*d)*(1+n))
+--R 
+--R
+--R                   n + 1         - n - 1
+--R          (b x + a)     (d x + c)
+--R   (2)  - ------------------------------
+--R             (a d - b c)n + a d - b c
+--R                                                    Type: Expression(Integer)
+--E 2644
+
+--S 2645 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R           2                          (- n - 2)log(d x + c)  n log(b x + a)
+--R   (- b d x  + (- a d - b c)x - a c)%e                     %e
+--R   ------------------------------------------------------------------------
+--R                           (a d - b c)n + a d - b c
+--R                                         Type: Union(Expression(Integer),...)
+--E 2645
+
+--S 2646 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R               2                          (- n - 2)log(d x + c)  n log(b x + a)
+--R       (- b d x  + (- a d - b c)x - a c)%e                     %e
+--R     + 
+--R                n + 1         - n - 1
+--R       (b x + a)     (d x + c)
+--R  /
+--R     (a d - b c)n + a d - b c
+--R                                                    Type: Expression(Integer)
+--E 2646
+
+--S 2647 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)
+--R                    (- n - 2)log(d x + c)  n log(b x + a)
+--R       (a d - b c)%e                     %e
+--R     + 
+--R                  n         - n - 1              n + 1         - n - 2
+--R       b (b x + a) (d x + c)        - d (b x + a)     (d x + c)
+--R  /
+--R     a d - b c
+--R                                                    Type: Expression(Integer)
+--E 2647
+
+)clear all
+
+--S 2648 of 2952
+t0000:=(a+b*x)^n*(c+d*x)^(-3-n)
+--R 
+--R
+--R                 n         - n - 3
+--R   (1)  (b x + a) (d x + c)
+--R                                                    Type: Expression(Integer)
+--E 2648
+
+--S 2649 of 2952
+r0000:=(a+b*x)^(1+n)*(c+d*x)^(-2-n)/((b*c-a*d)*(2+n))+_
+     b*(a+b*x)^(1+n)*(c+d*x)^(-1-n)/((b*c-a*d)^2*(1+n)*(2+n))
+--R 
+--R
+--R   (2)
+--R                  n + 1         - n - 1
+--R       b (b x + a)     (d x + c)
+--R     + 
+--R                                            n + 1         - n - 2
+--R       ((- a d + b c)n - a d + b c)(b x + a)     (d x + c)
+--R  /
+--R         2 2               2 2  2      2 2                2 2       2 2
+--R       (a d  - 2a b c d + b c )n  + (3a d  - 6a b c d + 3b c )n + 2a d
+--R     + 
+--R                      2 2
+--R       - 4a b c d + 2b c
+--R                                                    Type: Expression(Integer)
+--E 2649
+
+--S 2650 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R          2 2 3            2    2          2     2
+--R         b d x  + ((- a b d  + b c d)n + 3b c d)x
+--R       + 
+--R              2 2    2 2      2 2                2 2         2           2
+--R         ((- a d  + b c )n - a d  + 2a b c d + 2b c )x + (- a c d + a b c )n
+--R       + 
+--R            2            2
+--R         - a c d + 2a b c
+--R    *
+--R         (- n - 3)log(d x + c)  n log(b x + a)
+--R       %e                     %e
+--R  /
+--R         2 2               2 2  2      2 2                2 2       2 2
+--R       (a d  - 2a b c d + b c )n  + (3a d  - 6a b c d + 3b c )n + 2a d
+--R     + 
+--R                      2 2
+--R       - 4a b c d + 2b c
+--R                                         Type: Union(Expression(Integer),...)
+--E 2650
+
+--S 2651 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R            2 2 3            2    2          2     2
+--R           b d x  + ((- a b d  + b c d)n + 3b c d)x
+--R         + 
+--R                2 2    2 2      2 2                2 2         2           2
+--R           ((- a d  + b c )n - a d  + 2a b c d + 2b c )x + (- a c d + a b c )n
+--R         + 
+--R              2            2
+--R           - a c d + 2a b c
+--R      *
+--R           (- n - 3)log(d x + c)  n log(b x + a)
+--R         %e                     %e
+--R     + 
+--R                    n + 1         - n - 1
+--R       - b (b x + a)     (d x + c)
+--R     + 
+--R                                          n + 1         - n - 2
+--R       ((a d - b c)n + a d - b c)(b x + a)     (d x + c)
+--R  /
+--R         2 2               2 2  2      2 2                2 2       2 2
+--R       (a d  - 2a b c d + b c )n  + (3a d  - 6a b c d + 3b c )n + 2a d
+--R     + 
+--R                      2 2
+--R       - 4a b c d + 2b c
+--R                                                    Type: Expression(Integer)
+--E 2651
+
+--S 2652 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)
+--R            2 2               2 2       2 2                2 2
+--R         ((a d  - 2a b c d + b c )n + 2a d  - 4a b c d + 2b c )
+--R      *
+--R           (- n - 3)log(d x + c)  n log(b x + a)
+--R         %e                     %e
+--R     + 
+--R          2         n         - n - 1
+--R       - b (b x + a) (d x + c)
+--R     + 
+--R                       n + 1              2               2           n
+--R         (b d (b x + a)      + ((a b d - b c)n + a b d - b c)(b x + a) )
+--R      *
+--R                  - n - 2
+--R         (d x + c)
+--R     + 
+--R              2                 2                   n + 1         - n - 3
+--R       ((- a d  + b c d)n - 2a d  + 2b c d)(b x + a)     (d x + c)
+--R  /
+--R       2 2               2 2       2 2                2 2
+--R     (a d  - 2a b c d + b c )n + 2a d  - 4a b c d + 2b c
+--R                                                    Type: Expression(Integer)
+--E 2652
+
+)clear all
+
+--S 2653 of 2952
+t0000:=(a+b*x)^n*(c+d*x)^(-4-n)
+--R 
+--R
+--R                 n         - n - 4
+--R   (1)  (b x + a) (d x + c)
+--R                                                    Type: Expression(Integer)
+--E 2653
+
+--S 2654 of 2952
+r0000:=(a+b*x)^(1+n)*(c+d*x)^(-3-n)/((b*c-a*d)*(3+n))+_
+     2*b*(a+b*x)^(1+n)*(c+d*x)^(-2-n)/((b*c-a*d)^2*(2+n)*(3+n))+_
+     2*b^2*(a+b*x)^(1+n)*(c+d*x)^(-1-n)/((b*c-a*d)^3*(1+n)*(2+n)*(3+n))
+--R 
+--R
+--R   (2)
+--R           2         n + 1         - n - 1
+--R       - 2b (b x + a)     (d x + c)
+--R     + 
+--R                    2                 2           n + 1         - n - 2
+--R       ((2a b d - 2b c)n + 2a b d - 2b c)(b x + a)     (d x + c)
+--R     + 
+--R               2 2               2 2  2        2 2                2 2       2 2
+--R           (- a d  + 2a b c d - b c )n  + (- 3a d  + 6a b c d - 3b c )n - 2a d
+--R         + 
+--R                        2 2
+--R           4a b c d - 2b c
+--R      *
+--R                  n + 1         - n - 3
+--R         (b x + a)     (d x + c)
+--R  /
+--R         3 3     2     2       2 2     3 3  3
+--R       (a d  - 3a b c d  + 3a b c d - b c )n
+--R     + 
+--R          3 3      2     2        2 2      3 3  2
+--R       (6a d  - 18a b c d  + 18a b c d - 6b c )n
+--R     + 
+--R           3 3      2     2        2 2       3 3       3 3      2     2
+--R       (11a d  - 33a b c d  + 33a b c d - 11b c )n + 6a d  - 18a b c d
+--R     + 
+--R            2 2      3 3
+--R       18a b c d - 6b c
+--R                                                    Type: Expression(Integer)
+--E 2654
+
+--S 2655 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R             3 3 4         2 3     3   2       3   2  3
+--R         - 2b d x  + ((2a b d  - 2b c d )n - 8b c d )x
+--R       + 
+--R                 2   3       2   2    3 2   2       2   3       2   2     3 2
+--R             (- a b d  + 2a b c d  - b c d)n  + (- a b d  + 8a b c d  - 7b c d)n
+--R           + 
+--R                  3 2
+--R             - 12b c d
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                 3 3    2     2      2 2     3 3  2
+--R             (- a d  + a b c d  + a b c d - b c )n
+--R           + 
+--R                  3 3     2     2      2 2      3 3       3 3     2     2
+--R             (- 3a d  + 7a b c d  + a b c d - 5b c )n - 2a d  + 6a b c d
+--R           + 
+--R                   2 2      3 3
+--R             - 6a b c d - 6b c
+--R        *
+--R           x
+--R       + 
+--R             3   2     2   2       2 3  2        3   2     2   2        2 3
+--R         (- a c d  + 2a b c d - a b c )n  + (- 3a c d  + 8a b c d - 5a b c )n
+--R       + 
+--R             3   2     2   2        2 3
+--R         - 2a c d  + 6a b c d - 6a b c
+--R    *
+--R         (- n - 4)log(d x + c)  n log(b x + a)
+--R       %e                     %e
+--R  /
+--R         3 3     2     2       2 2     3 3  3
+--R       (a d  - 3a b c d  + 3a b c d - b c )n
+--R     + 
+--R          3 3      2     2        2 2      3 3  2
+--R       (6a d  - 18a b c d  + 18a b c d - 6b c )n
+--R     + 
+--R           3 3      2     2        2 2       3 3       3 3      2     2
+--R       (11a d  - 33a b c d  + 33a b c d - 11b c )n + 6a d  - 18a b c d
+--R     + 
+--R            2 2      3 3
+--R       18a b c d - 6b c
+--R                                         Type: Union(Expression(Integer),...)
+--E 2655
+
+--S 2656 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R               3 3 4         2 3     3   2       3   2  3
+--R           - 2b d x  + ((2a b d  - 2b c d )n - 8b c d )x
+--R         + 
+--R                   2   3       2   2    3 2   2
+--R               (- a b d  + 2a b c d  - b c d)n
+--R             + 
+--R                   2   3       2   2     3 2         3 2
+--R               (- a b d  + 8a b c d  - 7b c d)n - 12b c d
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                   3 3    2     2      2 2     3 3  2
+--R               (- a d  + a b c d  + a b c d - b c )n
+--R             + 
+--R                    3 3     2     2      2 2      3 3       3 3     2     2
+--R               (- 3a d  + 7a b c d  + a b c d - 5b c )n - 2a d  + 6a b c d
+--R             + 
+--R                     2 2      3 3
+--R               - 6a b c d - 6b c
+--R          *
+--R             x
+--R         + 
+--R               3   2     2   2       2 3  2        3   2     2   2        2 3
+--R           (- a c d  + 2a b c d - a b c )n  + (- 3a c d  + 8a b c d - 5a b c )n
+--R         + 
+--R               3   2     2   2        2 3
+--R           - 2a c d  + 6a b c d - 6a b c
+--R      *
+--R           (- n - 4)log(d x + c)  n log(b x + a)
+--R         %e                     %e
+--R     + 
+--R         2         n + 1         - n - 1
+--R       2b (b x + a)     (d x + c)
+--R     + 
+--R                      2                 2           n + 1         - n - 2
+--R       ((- 2a b d + 2b c)n - 2a b d + 2b c)(b x + a)     (d x + c)
+--R     + 
+--R             2 2               2 2  2      2 2                2 2       2 2
+--R           (a d  - 2a b c d + b c )n  + (3a d  - 6a b c d + 3b c )n + 2a d
+--R         + 
+--R                          2 2
+--R           - 4a b c d + 2b c
+--R      *
+--R                  n + 1         - n - 3
+--R         (b x + a)     (d x + c)
+--R  /
+--R         3 3     2     2       2 2     3 3  3
+--R       (a d  - 3a b c d  + 3a b c d - b c )n
+--R     + 
+--R          3 3      2     2        2 2      3 3  2
+--R       (6a d  - 18a b c d  + 18a b c d - 6b c )n
+--R     + 
+--R           3 3      2     2        2 2       3 3       3 3      2     2
+--R       (11a d  - 33a b c d  + 33a b c d - 11b c )n + 6a d  - 18a b c d
+--R     + 
+--R            2 2      3 3
+--R       18a b c d - 6b c
+--R                                                    Type: Expression(Integer)
+--E 2656
+
+--S 2657 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)
+--R             3 3     2     2       2 2     3 3  2
+--R           (a d  - 3a b c d  + 3a b c d - b c )n
+--R         + 
+--R              3 3      2     2        2 2      3 3       3 3      2     2
+--R           (5a d  - 15a b c d  + 15a b c d - 5b c )n + 6a d  - 18a b c d
+--R         + 
+--R                2 2      3 3
+--R           18a b c d - 6b c
+--R      *
+--R           (- n - 4)log(d x + c)  n log(b x + a)
+--R         %e                     %e
+--R     + 
+--R         3         n         - n - 1
+--R       2b (b x + a) (d x + c)
+--R     + 
+--R                 2           n + 1
+--R             - 2b d (b x + a)
+--R           + 
+--R                     2      3          2      3           n
+--R             ((- 2a b d + 2b c)n - 2a b d + 2b c)(b x + a)
+--R      *
+--R                  - n - 2
+--R         (d x + c)
+--R     + 
+--R                   2     2              2     2             n + 1
+--R           ((2a b d  - 2b c d)n + 4a b d  - 4b c d)(b x + a)
+--R         + 
+--R                 2   2       2       3 2  2      2   2       2        3 2
+--R               (a b d  - 2a b c d + b c )n  + (3a b d  - 6a b c d + 3b c )n
+--R             + 
+--R                 2   2       2        3 2
+--R               2a b d  - 4a b c d + 2b c
+--R          *
+--R                      n
+--R             (b x + a)
+--R      *
+--R                  - n - 3
+--R         (d x + c)
+--R     + 
+--R               2 3           2    2 2   2        2 3            2     2 2
+--R           (- a d  + 2a b c d  - b c d)n  + (- 5a d  + 10a b c d  - 5b c d)n
+--R         + 
+--R               2 3            2     2 2
+--R           - 6a d  + 12a b c d  - 6b c d
+--R      *
+--R                  n + 1         - n - 4
+--R         (b x + a)     (d x + c)
+--R  /
+--R         3 3     2     2       2 2     3 3  2
+--R       (a d  - 3a b c d  + 3a b c d - b c )n
+--R     + 
+--R          3 3      2     2        2 2      3 3       3 3      2     2
+--R       (5a d  - 15a b c d  + 15a b c d - 5b c )n + 6a d  - 18a b c d
+--R     + 
+--R            2 2      3 3
+--R       18a b c d - 6b c
+--R                                                    Type: Expression(Integer)
+--E 2657
+
+)clear all
+
+--S 2658 of 2952
+t0000:=(a+b*x)^n*(c+d*x)^(-5-n)
+--R 
+--R
+--R                 n         - n - 5
+--R   (1)  (b x + a) (d x + c)
+--R                                                    Type: Expression(Integer)
+--E 2658
+
+--S 2659 of 2952
+r0000:=(a+b*x)^(1+n)*(c+d*x)^(-4-n)/((b*c-a*d)*(4+n))+_
+     3*b*(a+b*x)^(1+n)*(c+d*x)^(-3-n)/((b*c-a*d)^2*(3+n)*(4+n))+_
+     6*b^2*(a+b*x)^(1+n)*(c+d*x)^(-2-n)/((b*c-a*d)^3*(2+n)*(3+n)*(4+n))+_
+     6*b^3*(a+b*x)^(1+n)*(c+d*x)^(-1-n)/((b*c-a*d)^4*(1+n)*(2+n)*(3+n)*(4+n))
+--R 
+--R
+--R   (2)
+--R         3         n + 1         - n - 1
+--R       6b (b x + a)     (d x + c)
+--R     + 
+--R               2      3          2      3           n + 1         - n - 2
+--R       ((- 6a b d + 6b c)n - 6a b d + 6b c)(b x + a)     (d x + c)
+--R     + 
+--R              2   2       2        3 2  2      2   2        2        3 2
+--R           (3a b d  - 6a b c d + 3b c )n  + (9a b d  - 18a b c d + 9b c )n
+--R         + 
+--R             2   2        2        3 2
+--R           6a b d  - 12a b c d + 6b c
+--R      *
+--R                  n + 1         - n - 3
+--R         (b x + a)     (d x + c)
+--R     + 
+--R               3 3     2     2       2 2     3 3  3
+--R           (- a d  + 3a b c d  - 3a b c d + b c )n
+--R         + 
+--R                3 3      2     2        2 2      3 3  2
+--R           (- 6a d  + 18a b c d  - 18a b c d + 6b c )n
+--R         + 
+--R                 3 3      2     2        2 2       3 3       3 3      2     2
+--R           (- 11a d  + 33a b c d  - 33a b c d + 11b c )n - 6a d  + 18a b c d
+--R         + 
+--R                  2 2      3 3
+--R           - 18a b c d + 6b c
+--R      *
+--R                  n + 1         - n - 4
+--R         (b x + a)     (d x + c)
+--R  /
+--R         4 4     3     3     2 2 2 2       3 3     4 4  4
+--R       (a d  - 4a b c d  + 6a b c d  - 4a b c d + b c )n
+--R     + 
+--R           4 4      3     3      2 2 2 2        3 3       4 4  3
+--R       (10a d  - 40a b c d  + 60a b c d  - 40a b c d + 10b c )n
+--R     + 
+--R           4 4       3     3       2 2 2 2         3 3       4 4  2
+--R       (35a d  - 140a b c d  + 210a b c d  - 140a b c d + 35b c )n
+--R     + 
+--R           4 4       3     3       2 2 2 2         3 3       4 4        4 4
+--R       (50a d  - 200a b c d  + 300a b c d  - 200a b c d + 50b c )n + 24a d
+--R     + 
+--R            3     3       2 2 2 2        3 3       4 4
+--R       - 96a b c d  + 144a b c d  - 96a b c d + 24b c
+--R                                                    Type: Expression(Integer)
+--E 2659
+
+--S 2660 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R           4 4 5           3 4     4   3        4   3  4
+--R         6b d x  + ((- 6a b d  + 6b c d )n + 30b c d )x
+--R       + 
+--R                2 2 4       3   3     4 2 2  2
+--R             (3a b d  - 6a b c d  + 3b c d )n
+--R           + 
+--R                2 2 4        3   3      4 2 2        4 2 2
+--R             (3a b d  - 30a b c d  + 27b c d )n + 60b c d
+--R        *
+--R            3
+--R           x
+--R       + 
+--R                 3   4     2 2   3       3 2 2    4 3   3
+--R             (- a b d  + 3a b c d  - 3a b c d  + b c d)n
+--R           + 
+--R                  3   4      2 2   3        3 2 2      4 3   2
+--R             (- 3a b d  + 18a b c d  - 27a b c d  + 12b c d)n
+--R           + 
+--R                  3   4      2 2   3        3 2 2      4 3         4 3
+--R             (- 2a b d  + 15a b c d  - 60a b c d  + 47b c d)n + 60b c d
+--R        *
+--R            2
+--R           x
+--R       + 
+--R                 4 4     3     3       3 3     4 4  3
+--R             (- a d  + 2a b c d  - 2a b c d + b c )n
+--R           + 
+--R                  4 4      3     3     2 2 2 2        3 3      4 4  2
+--R             (- 6a d  + 18a b c d  - 9a b c d  - 12a b c d + 9b c )n
+--R           + 
+--R                   4 4      3     3      2 2 2 2        3 3       4 4       4 4
+--R             (- 11a d  + 40a b c d  - 45a b c d  - 10a b c d + 26b c )n - 6a d
+--R           + 
+--R                3     3      2 2 2 2        3 3       4 4
+--R             24a b c d  - 36a b c d  + 24a b c d + 24b c
+--R        *
+--R           x
+--R       + 
+--R             4   3     3   2 2     2 2 3       3 4  3
+--R         (- a c d  + 3a b c d  - 3a b c d + a b c )n
+--R       + 
+--R              4   3      3   2 2      2 2 3        3 4  2
+--R         (- 6a c d  + 21a b c d  - 24a b c d + 9a b c )n
+--R       + 
+--R               4   3      3   2 2      2 2 3         3 4       4   3
+--R         (- 11a c d  + 42a b c d  - 57a b c d + 26a b c )n - 6a c d
+--R       + 
+--R            3   2 2      2 2 3         3 4
+--R         24a b c d  - 36a b c d + 24a b c
+--R    *
+--R         (- n - 5)log(d x + c)  n log(b x + a)
+--R       %e                     %e
+--R  /
+--R         4 4     3     3     2 2 2 2       3 3     4 4  4
+--R       (a d  - 4a b c d  + 6a b c d  - 4a b c d + b c )n
+--R     + 
+--R           4 4      3     3      2 2 2 2        3 3       4 4  3
+--R       (10a d  - 40a b c d  + 60a b c d  - 40a b c d + 10b c )n
+--R     + 
+--R           4 4       3     3       2 2 2 2         3 3       4 4  2
+--R       (35a d  - 140a b c d  + 210a b c d  - 140a b c d + 35b c )n
+--R     + 
+--R           4 4       3     3       2 2 2 2         3 3       4 4        4 4
+--R       (50a d  - 200a b c d  + 300a b c d  - 200a b c d + 50b c )n + 24a d
+--R     + 
+--R            3     3       2 2 2 2        3 3       4 4
+--R       - 96a b c d  + 144a b c d  - 96a b c d + 24b c
+--R                                         Type: Union(Expression(Integer),...)
+--E 2660
+
+--S 2661 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R             4 4 5           3 4     4   3        4   3  4
+--R           6b d x  + ((- 6a b d  + 6b c d )n + 30b c d )x
+--R         + 
+--R                  2 2 4       3   3     4 2 2  2
+--R               (3a b d  - 6a b c d  + 3b c d )n
+--R             + 
+--R                  2 2 4        3   3      4 2 2        4 2 2
+--R               (3a b d  - 30a b c d  + 27b c d )n + 60b c d
+--R          *
+--R              3
+--R             x
+--R         + 
+--R                   3   4     2 2   3       3 2 2    4 3   3
+--R               (- a b d  + 3a b c d  - 3a b c d  + b c d)n
+--R             + 
+--R                    3   4      2 2   3        3 2 2      4 3   2
+--R               (- 3a b d  + 18a b c d  - 27a b c d  + 12b c d)n
+--R             + 
+--R                    3   4      2 2   3        3 2 2      4 3         4 3
+--R               (- 2a b d  + 15a b c d  - 60a b c d  + 47b c d)n + 60b c d
+--R          *
+--R              2
+--R             x
+--R         + 
+--R                   4 4     3     3       3 3     4 4  3
+--R               (- a d  + 2a b c d  - 2a b c d + b c )n
+--R             + 
+--R                    4 4      3     3     2 2 2 2        3 3      4 4  2
+--R               (- 6a d  + 18a b c d  - 9a b c d  - 12a b c d + 9b c )n
+--R             + 
+--R                     4 4      3     3      2 2 2 2        3 3       4 4
+--R               (- 11a d  + 40a b c d  - 45a b c d  - 10a b c d + 26b c )n
+--R             + 
+--R                   4 4      3     3      2 2 2 2        3 3       4 4
+--R               - 6a d  + 24a b c d  - 36a b c d  + 24a b c d + 24b c
+--R          *
+--R             x
+--R         + 
+--R               4   3     3   2 2     2 2 3       3 4  3
+--R           (- a c d  + 3a b c d  - 3a b c d + a b c )n
+--R         + 
+--R                4   3      3   2 2      2 2 3        3 4  2
+--R           (- 6a c d  + 21a b c d  - 24a b c d + 9a b c )n
+--R         + 
+--R                 4   3      3   2 2      2 2 3         3 4       4   3
+--R           (- 11a c d  + 42a b c d  - 57a b c d + 26a b c )n - 6a c d
+--R         + 
+--R              3   2 2      2 2 3         3 4
+--R           24a b c d  - 36a b c d + 24a b c
+--R      *
+--R           (- n - 5)log(d x + c)  n log(b x + a)
+--R         %e                     %e
+--R     + 
+--R           3         n + 1         - n - 1
+--R       - 6b (b x + a)     (d x + c)
+--R     + 
+--R             2      3          2      3           n + 1         - n - 2
+--R       ((6a b d - 6b c)n + 6a b d - 6b c)(b x + a)     (d x + c)
+--R     + 
+--R                2   2       2        3 2  2        2   2        2        3 2
+--R           (- 3a b d  + 6a b c d - 3b c )n  + (- 9a b d  + 18a b c d - 9b c )n
+--R         + 
+--R               2   2        2        3 2
+--R           - 6a b d  + 12a b c d - 6b c
+--R      *
+--R                  n + 1         - n - 3
+--R         (b x + a)     (d x + c)
+--R     + 
+--R             3 3     2     2       2 2     3 3  3
+--R           (a d  - 3a b c d  + 3a b c d - b c )n
+--R         + 
+--R              3 3      2     2        2 2      3 3  2
+--R           (6a d  - 18a b c d  + 18a b c d - 6b c )n
+--R         + 
+--R               3 3      2     2        2 2       3 3       3 3      2     2
+--R           (11a d  - 33a b c d  + 33a b c d - 11b c )n + 6a d  - 18a b c d
+--R         + 
+--R                2 2      3 3
+--R           18a b c d - 6b c
+--R      *
+--R                  n + 1         - n - 4
+--R         (b x + a)     (d x + c)
+--R  /
+--R         4 4     3     3     2 2 2 2       3 3     4 4  4
+--R       (a d  - 4a b c d  + 6a b c d  - 4a b c d + b c )n
+--R     + 
+--R           4 4      3     3      2 2 2 2        3 3       4 4  3
+--R       (10a d  - 40a b c d  + 60a b c d  - 40a b c d + 10b c )n
+--R     + 
+--R           4 4       3     3       2 2 2 2         3 3       4 4  2
+--R       (35a d  - 140a b c d  + 210a b c d  - 140a b c d + 35b c )n
+--R     + 
+--R           4 4       3     3       2 2 2 2         3 3       4 4        4 4
+--R       (50a d  - 200a b c d  + 300a b c d  - 200a b c d + 50b c )n + 24a d
+--R     + 
+--R            3     3       2 2 2 2        3 3       4 4
+--R       - 96a b c d  + 144a b c d  - 96a b c d + 24b c
+--R                                                    Type: Expression(Integer)
+--E 2661
+
+--S 2662 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)
+--R             4 4     3     3     2 2 2 2       3 3     4 4  3
+--R           (a d  - 4a b c d  + 6a b c d  - 4a b c d + b c )n
+--R         + 
+--R              4 4      3     3      2 2 2 2        3 3      4 4  2
+--R           (9a d  - 36a b c d  + 54a b c d  - 36a b c d + 9b c )n
+--R         + 
+--R               4 4       3     3       2 2 2 2         3 3       4 4        4 4
+--R           (26a d  - 104a b c d  + 156a b c d  - 104a b c d + 26b c )n + 24a d
+--R         + 
+--R                3     3       2 2 2 2        3 3       4 4
+--R           - 96a b c d  + 144a b c d  - 96a b c d + 24b c
+--R      *
+--R           (- n - 5)log(d x + c)  n log(b x + a)
+--R         %e                     %e
+--R     + 
+--R           4         n         - n - 1
+--R       - 6b (b x + a) (d x + c)
+--R     + 
+--R            3           n + 1         3      4          3      4           n
+--R         (6b d (b x + a)      + ((6a b d - 6b c)n + 6a b d - 6b c)(b x + a) )
+--R      *
+--R                  - n - 2
+--R         (d x + c)
+--R     + 
+--R                   2 2     3             2 2      3             n + 1
+--R           ((- 6a b d  + 6b c d)n - 12a b d  + 12b c d)(b x + a)
+--R         + 
+--R                    2 2 2       3        4 2  2
+--R               (- 3a b d  + 6a b c d - 3b c )n
+--R             + 
+--R                    2 2 2        3        4 2       2 2 2        3        4 2
+--R               (- 9a b d  + 18a b c d - 9b c )n - 6a b d  + 12a b c d - 6b c
+--R          *
+--R                      n
+--R             (b x + a)
+--R      *
+--R                  - n - 3
+--R         (d x + c)
+--R     + 
+--R                  2   3       2   2     3 2   2
+--R               (3a b d  - 6a b c d  + 3b c d)n
+--R             + 
+--R                   2   3        2   2      3 2         2   3        2   2
+--R               (15a b d  - 30a b c d  + 15b c d)n + 18a b d  - 36a b c d
+--R             + 
+--R                  3 2
+--R               18b c d
+--R          *
+--R                      n + 1
+--R             (b x + a)
+--R         + 
+--R                 3   3     2 2   2       3 2     4 3  3
+--R               (a b d  - 3a b c d  + 3a b c d - b c )n
+--R             + 
+--R                  3   3      2 2   2        3 2      4 3  2
+--R               (6a b d  - 18a b c d  + 18a b c d - 6b c )n
+--R             + 
+--R                   3   3      2 2   2        3 2       4 3       3   3
+--R               (11a b d  - 33a b c d  + 33a b c d - 11b c )n + 6a b d
+--R             + 
+--R                    2 2   2        3 2      4 3
+--R               - 18a b c d  + 18a b c d - 6b c
+--R          *
+--R                      n
+--R             (b x + a)
+--R      *
+--R                  - n - 4
+--R         (d x + c)
+--R     + 
+--R               3 4     2     3       2 2 2    3 3   3
+--R           (- a d  + 3a b c d  - 3a b c d  + b c d)n
+--R         + 
+--R                3 4      2     3        2 2 2     3 3   2
+--R           (- 9a d  + 27a b c d  - 27a b c d  + 9b c d)n
+--R         + 
+--R                 3 4      2     3        2 2 2      3 3         3 4      2     3
+--R           (- 26a d  + 78a b c d  - 78a b c d  + 26b c d)n - 24a d  + 72a b c d
+--R         + 
+--R                  2 2 2      3 3
+--R           - 72a b c d  + 24b c d
+--R      *
+--R                  n + 1         - n - 5
+--R         (b x + a)     (d x + c)
+--R  /
+--R         4 4     3     3     2 2 2 2       3 3     4 4  3
+--R       (a d  - 4a b c d  + 6a b c d  - 4a b c d + b c )n
+--R     + 
+--R          4 4      3     3      2 2 2 2        3 3      4 4  2
+--R       (9a d  - 36a b c d  + 54a b c d  - 36a b c d + 9b c )n
+--R     + 
+--R           4 4       3     3       2 2 2 2         3 3       4 4        4 4
+--R       (26a d  - 104a b c d  + 156a b c d  - 104a b c d + 26b c )n + 24a d
+--R     + 
+--R            3     3       2 2 2 2        3 3       4 4
+--R       - 96a b c d  + 144a b c d  - 96a b c d + 24b c
+--R                                                    Type: Expression(Integer)
+--E 2662
+
+)clear all
+
+--S 2663 of 2952
+t0000:=(a+b*x)^(-2+n)*(c+d*x)^(1-n)
+--R 
+--R
+--R                 n - 2         - n + 1
+--R   (1)  (b x + a)     (d x + c)
+--R                                                    Type: Expression(Integer)
+--E 2663
+
+--S 2664 of 2952
+--r0000:=d*(a+b*x)^n*(c+d*x)^(1-n)/(b*(b*c-a*d)*(1-n)*n)-_
+--      (a+b*x)^(-1+n)*(c+d*x)^(2-n)/((b*c-a*d)*(1-n))-_
+--      d*(a+b*x)^n*(c+d*x)^(1-n)*_
+--      hypergeometric(1-n,-n,2-n,b*(c+d*x)/(b*c-a*d))/_
+--      (b*(b*c-a*d)*(1-n)*n*(-d*(a+b*x)/(b*c-a*d))^n),_
+--      d*(a+b*x)^n*(c+d*x)^(1-n)/(b*(b*c-a*d)*(1-n))+_
+--      d*(a+b*x)^n*(c+d*x)^(1-n)/(b*(b*c-a*d)*n)-_
+--      (a+b*x)^(-1+n)*(c+d*x)^(2-n)/((b*c-a*d)*(1-n))-_
+--      d*(a+b*x)^n*(c+d*x)^(1-n)*_
+--      hypergeometric(1-n,-n,2-n,b*(c+d*x)/(b*c-a*d))/_
+--      (b*(b*c-a*d)*(1-n)*n*(-d*(a+b*x)/(b*c-a*d))^n)
+--E 2664
+
+--S 2665 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           x
+--R         ++             n - 2           - n + 1
+--R   (2)   |   (%BJ b + a)     (%BJ d + c)       d%BJ
+--R        ++
+--R                                         Type: Union(Expression(Integer),...)
+--E 2665
+
+--S 2666 of 2952
+--m0000:=a0000 - r0000
+--E 2666
+
+--S 2667 of 2952
+--d0000:=D(m0000,x)
+--E 2667
+
+)clear all
+
+--S 2668 of 2952
+t0000:=(a+b*x)^(1+n)*(c+d*x)^(-1-n)
+--R 
+--R
+--R                 n + 1         - n - 1
+--R   (1)  (b x + a)     (d x + c)
+--R                                                    Type: Expression(Integer)
+--E 2668
+
+--S 2669 of 2952
+--r0000:=-(a+b*x)^(1+n)/(d*n*(c+d*x)^n)+b*(1+n)*(a+b*x)^n*(c+d*x)^(1-n)*_
+--      hypergeometric(1-n,-n,2-n,b*(c+d*x)/(b*c-a*d))/_
+--      (d^2*(1-n)*n*(-d*(a+b*x)/(b*c-a*d))^n),_
+--      (a+b*x)^(1+n)/(d*(c+d*x)^n)-(1+n)*(a+b*x)^(1+n)/(d*n*(c+d*x)^n)+_
+--      b*(1+n)*(a+b*x)^n*(c+d*x)^(1-n)*_
+--      hypergeometric(1-n,-n,2-n,b*(c+d*x)/(b*c-a*d))/_
+--      (d^2*(1-n)*n*(-d*(a+b*x)/(b*c-a*d))^n)
+--E 2669
+
+--S 2670 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           x
+--R         ++             n + 1           - n - 1
+--R   (2)   |   (%BJ b + a)     (%BJ d + c)       d%BJ
+--R        ++
+--R                                         Type: Union(Expression(Integer),...)
+--E 2670
+
+--S 2671 of 2952
+--m0000:=a0000 - r0000
+--E 2671
+
+--S 2672 of 2952
+--d0000:=D(m0000,x)
+--E 2672
+
+)clear all
+
+--S 2673 of 2952
+t0000:=(a+b*x)^5/(a*d/b+d*x)^3
+--R 
+--R
+--R         5 2       4     2 3
+--R        b x  + 2a b x + a b
+--R   (1)  --------------------
+--R                  3
+--R                 d
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 2673
+
+--S 2674 of 2952
+r0000:=1/3*b^2*(a+b*x)^3/d^3
+--R 
+--R
+--R        1  5 3      4 2    2 3    1  3 2
+--R        - b x  + a b x  + a b x + - a b
+--R        3                         3
+--R   (2)  --------------------------------
+--R                        3
+--R                       d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 2674
+
+--S 2675 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R         5 3       4 2     2 3
+--R        b x  + 3a b x  + 3a b x
+--R   (3)  -----------------------
+--R                    3
+--R                  3d
+--R                                         Type: Union(Expression(Integer),...)
+--E 2675
+
+--S 2676 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R           3 2
+--R          a b
+--R   (4)  - ----
+--R             3
+--R           3d
+--R                                                    Type: Expression(Integer)
+--E 2676
+
+--S 2677 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2677
+
+)clear all
+
+--S 2678 of 2952
+t0000:=(a+b*x)^4/(a*d/b+d*x)^3
+--R 
+--R
+--R         4       3
+--R        b x + a b
+--R   (1)  ----------
+--R             3
+--R            d
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 2678
+
+--S 2679 of 2952
+r0000:=a*b^3*x/d^3+1/2*b^4*x^2/d^3
+--R 
+--R
+--R        1  4 2      3
+--R        - b x  + a b x
+--R        2
+--R   (2)  --------------
+--R               3
+--R              d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 2679
+
+--S 2680 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R         4 2       3
+--R        b x  + 2a b x
+--R   (3)  -------------
+--R               3
+--R             2d
+--R                                         Type: Union(Expression(Integer),...)
+--E 2680
+
+--S 2681 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2681
+
+--S 2682 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2682
+
+)clear all
+
+--S 2683 of 2952
+t0000:=(a+b*x)^3/(a*d/b+d*x)^3
+--R 
+--R
+--R         3
+--R        b
+--R   (1)  --
+--R         3
+--R        d
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 2683
+
+--S 2684 of 2952
+r0000:=b^3*x/d^3
+--R 
+--R
+--R         3
+--R        b x
+--R   (2)  ---
+--R          3
+--R         d
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 2684
+
+--S 2685 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R         3
+--R        b x
+--R   (3)  ---
+--R          3
+--R         d
+--R                                         Type: Union(Expression(Integer),...)
+--E 2685
+
+--S 2686 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2686
+
+--S 2687 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2687
+
+)clear all
+
+--S 2688 of 2952
+t0000:=(a+b*x)^2/(a*d/b+d*x)^3
+--R 
+--R
+--R              3
+--R             b
+--R   (1)  ------------
+--R           3       3
+--R        b d x + a d
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 2688
+
+--S 2689 of 2952
+r0000:=b^2*log(a+b*x)/d^3
+--R 
+--R
+--R         2
+--R        b log(b x + a)
+--R   (2)  --------------
+--R               3
+--R              d
+--R                                                    Type: Expression(Integer)
+--E 2689
+
+--S 2690 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R         2
+--R        b log(b x + a)
+--R   (3)  --------------
+--R               3
+--R              d
+--R                                         Type: Union(Expression(Integer),...)
+--E 2690
+
+--S 2691 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2691
+
+--S 2692 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2692
+
+)clear all
+
+--S 2693 of 2952
+t0000:=(a+b*x)/(a*d/b+d*x)^3
+--R 
+--R
+--R                    3
+--R                   b
+--R   (1)  ------------------------
+--R         2 3 2         3     2 3
+--R        b d x  + 2a b d x + a d
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 2693
+
+--S 2694 of 2952
+r0000:=-b^2/(d^3*(a+b*x))
+--R 
+--R
+--R                2
+--R               b
+--R   (2)  - ------------
+--R             3       3
+--R          b d x + a d
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 2694
+
+--S 2695 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                2
+--R               b
+--R   (3)  - ------------
+--R             3       3
+--R          b d x + a d
+--R                                         Type: Union(Expression(Integer),...)
+--E 2695
+
+--S 2696 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2696
+
+--S 2697 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2697
+
+)clear all
+
+--S 2698 of 2952
+t0000:=1/((a+b*x)*(a*d/b+d*x)^3)
+--R 
+--R
+--R                                3
+--R                               b
+--R   (1)  ------------------------------------------------
+--R         4 3 4       3 3 3     2 2 3 2     3   3     4 3
+--R        b d x  + 4a b d x  + 6a b d x  + 4a b d x + a d
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 2698
+
+--S 2699 of 2952
+r0000:=-1/3*b^2/(d^3*(a+b*x)^3)
+--R 
+--R
+--R                          1  2
+--R                          - b
+--R                          3
+--R   (2)  - ------------------------------------
+--R           3 3 3       2 3 2     2   3     3 3
+--R          b d x  + 3a b d x  + 3a b d x + a d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 2699
+
+--S 2700 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                             2
+--R                            b
+--R   (3)  - --------------------------------------
+--R            3 3 3       2 3 2     2   3      3 3
+--R          3b d x  + 9a b d x  + 9a b d x + 3a d
+--R                                         Type: Union(Expression(Integer),...)
+--E 2700
+
+--S 2701 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2701
+
+--S 2702 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2702
+
+)clear all
+
+--S 2703 of 2952
+t0000:=1/((a+b*x)^2*(a*d/b+d*x)^3)
+--R 
+--R
+--R                                       3
+--R                                      b
+--R   (1)  --------------------------------------------------------------
+--R         5 3 5       4 3 4      2 3 3 3      3 2 3 2     4   3     5 3
+--R        b d x  + 5a b d x  + 10a b d x  + 10a b d x  + 5a b d x + a d
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 2703
+
+--S 2704 of 2952
+r0000:=-1/4*b^2/(d^3*(a+b*x)^4)
+--R 
+--R
+--R                                1  2
+--R                                - b
+--R                                4
+--R   (2)  - ------------------------------------------------
+--R           4 3 4       3 3 3     2 2 3 2     3   3     4 3
+--R          b d x  + 4a b d x  + 6a b d x  + 4a b d x + a d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 2704
+
+--S 2705 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                                     2
+--R                                    b
+--R   (3)  - -----------------------------------------------------
+--R            4 3 4        3 3 3      2 2 3 2      3   3      4 3
+--R          4b d x  + 16a b d x  + 24a b d x  + 16a b d x + 4a d
+--R                                         Type: Union(Expression(Integer),...)
+--E 2705
+
+--S 2706 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2706
+
+--S 2707 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2707
+
+)clear all
+
+--S 2708 of 2952
+t0000:=1/((a+b*x)^3*(a*d/b+d*x)^3)
+--R 
+--R
+--R   (1)
+--R                                         3
+--R                                        b
+--R   ---------------------------------------------------------------------------
+--R    6 3 6       5 3 5      2 4 3 4      3 3 3 3      4 2 3 2     5   3     6 3
+--R   b d x  + 6a b d x  + 15a b d x  + 20a b d x  + 15a b d x  + 6a b d x + a d
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 2708
+
+--S 2709 of 2952
+r0000:=-1/5*b^2/(d^3*(a+b*x)^5)
+--R 
+--R
+--R                                       1  2
+--R                                       - b
+--R                                       5
+--R   (2)  - --------------------------------------------------------------
+--R           5 3 5       4 3 4      2 3 3 3      3 2 3 2     4   3     5 3
+--R          b d x  + 5a b d x  + 10a b d x  + 10a b d x  + 5a b d x + a d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 2709
+
+--S 2710 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                                           2
+--R                                          b
+--R   (3)  - ------------------------------------------------------------------
+--R            5 3 5        4 3 4      2 3 3 3      3 2 3 2      4   3      5 3
+--R          5b d x  + 25a b d x  + 50a b d x  + 50a b d x  + 25a b d x + 5a d
+--R                                         Type: Union(Expression(Integer),...)
+--E 2710
+
+--S 2711 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2711
+
+--S 2712 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2712
+
+)clear all
+
+--S 2713 of 2952
+t0000:=(b*c/d+b*x)^5/(c+d*x)^3
+--R 
+--R
+--R         5 2 2     5         5 2
+--R        b d x  + 2b c d x + b c
+--R   (1)  ------------------------
+--R                    5
+--R                   d
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 2713
+
+--S 2714 of 2952
+r0000:=1/3*b^5*(c+d*x)^3/d^6
+--R 
+--R
+--R        1  5 3 3    5   2 2    5 2      1  5 3
+--R        - b d x  + b c d x  + b c d x + - b c
+--R        3                               3
+--R   (2)  --------------------------------------
+--R                           6
+--R                          d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 2714
+
+--S 2715 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R         5 2 3     5     2     5 2
+--R        b d x  + 3b c d x  + 3b c x
+--R   (3)  ---------------------------
+--R                      5
+--R                    3d
+--R                                         Type: Union(Expression(Integer),...)
+--E 2715
+
+--S 2716 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R           5 3
+--R          b c
+--R   (4)  - ----
+--R             6
+--R           3d
+--R                                                    Type: Expression(Integer)
+--E 2716
+
+--S 2717 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2717
+
+)clear all
+
+--S 2718 of 2952
+t0000:=(b*c/d+b*x)^4/(c+d*x)^3
+--R 
+--R
+--R         4       4
+--R        b d x + b c
+--R   (1)  -----------
+--R              4
+--R             d
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 2718
+
+--S 2719 of 2952
+r0000:=b^4*c*x/d^4+1/2*b^4*x^2/d^3
+--R 
+--R
+--R        1  4   2    4
+--R        - b d x  + b c x
+--R        2
+--R   (2)  ----------------
+--R                4
+--R               d
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 2719
+
+--S 2720 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R         4   2     4
+--R        b d x  + 2b c x
+--R   (3)  ---------------
+--R                4
+--R              2d
+--R                                         Type: Union(Expression(Integer),...)
+--E 2720
+
+--S 2721 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2721
+
+--S 2722 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2722
+
+)clear all
+
+--S 2723 of 2952
+t0000:=(b*c/d+b*x)^3/(c+d*x)^3
+--R 
+--R
+--R         3
+--R        b
+--R   (1)  --
+--R         3
+--R        d
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 2723
+
+--S 2724 of 2952
+r0000:=b^3*x/d^3
+--R 
+--R
+--R         3
+--R        b x
+--R   (2)  ---
+--R          3
+--R         d
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 2724
+
+--S 2725 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R         3
+--R        b x
+--R   (3)  ---
+--R          3
+--R         d
+--R                                         Type: Union(Expression(Integer),...)
+--E 2725
+
+--S 2726 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2726
+
+--S 2727 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2727
+
+)clear all
+
+--S 2728 of 2952
+t0000:=(b*c/d+b*x)^2/(c+d*x)^3
+--R 
+--R
+--R             2
+--R            b
+--R   (1)  ----------
+--R         3       2
+--R        d x + c d
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 2728
+
+--S 2729 of 2952
+r0000:=b^2*log(c+d*x)/d^3
+--R 
+--R
+--R         2
+--R        b log(d x + c)
+--R   (2)  --------------
+--R               3
+--R              d
+--R                                                    Type: Expression(Integer)
+--E 2729
+
+--S 2730 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R         2
+--R        b log(d x + c)
+--R   (3)  --------------
+--R               3
+--R              d
+--R                                         Type: Union(Expression(Integer),...)
+--E 2730
+
+--S 2731 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2731
+
+--S 2732 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2732
+
+)clear all
+
+--S 2733 of 2952
+t0000:=(b*c/d+b*x)/(c+d*x)^3
+--R 
+--R
+--R                 b
+--R   (1)  -------------------
+--R         3 2       2     2
+--R        d x  + 2c d x + c d
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 2733
+
+--S 2734 of 2952
+r0000:=-b/(d^2*(c+d*x))
+--R 
+--R
+--R               b
+--R   (2)  - ----------
+--R           3       2
+--R          d x + c d
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 2734
+
+--S 2735 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R               b
+--R   (3)  - ----------
+--R           3       2
+--R          d x + c d
+--R                                         Type: Union(Expression(Integer),...)
+--E 2735
+
+--S 2736 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2736
+
+--S 2737 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2737
+
+)clear all
+
+--S 2738 of 2952
+t0000:=1/((b*c/d+b*x)*(c+d*x)^3)
+--R 
+--R
+--R                                d
+--R   (1)  ------------------------------------------------
+--R           4 4         3 3       2 2 2       3         4
+--R        b d x  + 4b c d x  + 6b c d x  + 4b c d x + b c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 2738
+
+--S 2739 of 2952
+r0000:=(-1/3)/(b*(c+d*x)^3)
+--R 
+--R
+--R                            1
+--R                            -
+--R                            3
+--R   (2)  - ------------------------------------
+--R             3 3         2 2       2         3
+--R          b d x  + 3b c d x  + 3b c d x + b c
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 2739
+
+--S 2740 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                             1
+--R   (3)  - --------------------------------------
+--R              3 3         2 2       2          3
+--R          3b d x  + 9b c d x  + 9b c d x + 3b c
+--R                                         Type: Union(Expression(Integer),...)
+--E 2740
+
+--S 2741 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2741
+
+--S 2742 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2742
+
+)clear all
+
+--S 2743 of 2952
+t0000:=1/((b*c/d+b*x)^2*(c+d*x)^3)
+--R 
+--R
+--R                                       2
+--R                                      d
+--R   (1)  --------------------------------------------------------------
+--R         2 5 5     2   4 4      2 2 3 3      2 3 2 2     2 4       2 5
+--R        b d x  + 5b c d x  + 10b c d x  + 10b c d x  + 5b c d x + b c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 2743
+
+--S 2744 of 2952
+r0000:=-1/4*d/(b^2*(c+d*x)^4)
+--R 
+--R
+--R                                 1
+--R                                 - d
+--R                                 4
+--R   (2)  - ------------------------------------------------
+--R           2 4 4     2   3 3     2 2 2 2     2 3       2 4
+--R          b d x  + 4b c d x  + 6b c d x  + 4b c d x + b c
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 2744
+
+--S 2745 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                                    d
+--R   (3)  - -----------------------------------------------------
+--R            2 4 4      2   3 3      2 2 2 2      2 3        2 4
+--R          4b d x  + 16b c d x  + 24b c d x  + 16b c d x + 4b c
+--R                                         Type: Union(Expression(Integer),...)
+--E 2745
+
+--S 2746 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2746
+
+--S 2747 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2747
+
+)clear all
+
+--S 2748 of 2952
+t0000:=1/((b*c/d+b*x)^3*(c+d*x)^3)
+--R 
+--R
+--R   (1)
+--R                                         3
+--R                                        d
+--R   ---------------------------------------------------------------------------
+--R    3 6 6     3   5 5      3 2 4 4      3 3 3 3      3 4 2 2     3 5       3 6
+--R   b d x  + 6b c d x  + 15b c d x  + 20b c d x  + 15b c d x  + 6b c d x + b c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 2748
+
+--S 2749 of 2952
+r0000:=-1/5*d^2/(b^3*(c+d*x)^5)
+--R 
+--R
+--R                                       1  2
+--R                                       - d
+--R                                       5
+--R   (2)  - --------------------------------------------------------------
+--R           3 5 5     3   4 4      3 2 3 3      3 3 2 2     3 4       3 5
+--R          b d x  + 5b c d x  + 10b c d x  + 10b c d x  + 5b c d x + b c
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 2749
+
+--S 2750 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                                           2
+--R                                          d
+--R   (3)  - ------------------------------------------------------------------
+--R            3 5 5      3   4 4      3 2 3 3      3 3 2 2      3 4        3 5
+--R          5b d x  + 25b c d x  + 50b c d x  + 50b c d x  + 25b c d x + 5b c
+--R                                         Type: Union(Expression(Integer),...)
+--E 2750
+
+--S 2751 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2751
+
+--S 2752 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2752
+
+)clear all
+
+--S 2753 of 2952
+t0000:=(a+b*x)^5*(a*c+b*c*x)^n
+--R 
+--R
+--R          5 5       4 4      2 3 3      3 2 2     4       5              n
+--R   (1)  (b x  + 5a b x  + 10a b x  + 10a b x  + 5a b x + a )(b c x + a c)
+--R                                                    Type: Expression(Integer)
+--E 2753
+
+--S 2754 of 2952
+r0000:=(a*c+b*c*x)^(6+n)/(b*c^6*(6+n))
+--R 
+--R
+--R                     n + 6
+--R        (b c x + a c)
+--R   (2)  ------------------
+--R              6        6
+--R           b c n + 6b c
+--R                                                    Type: Expression(Integer)
+--E 2754
+
+--S 2755 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R         6 6       5 5      2 4 4      3 3 3      4 2 2     5       6
+--R       (b x  + 6a b x  + 15a b x  + 20a b x  + 15a b x  + 6a b x + a )
+--R    *
+--R         n log(b c x + a c)
+--R       %e
+--R  /
+--R     b n + 6b
+--R                                         Type: Union(Expression(Integer),...)
+--E 2755
+
+--S 2756 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)
+--R            6 6 6       5 6 5      2 4 6 4      3 3 6 3      4 2 6 2     5   6
+--R           b c x  + 6a b c x  + 15a b c x  + 20a b c x  + 15a b c x  + 6a b c x
+--R         + 
+--R            6 6
+--R           a c
+--R      *
+--R           n log(b c x + a c)
+--R         %e
+--R     + 
+--R                      n + 6
+--R       - (b c x + a c)
+--R  /
+--R        6        6
+--R     b c n + 6b c
+--R                                                    Type: Expression(Integer)
+--E 2756
+
+--S 2757 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)
+--R           5 5 5       4 5 4      2 3 5 3      3 2 5 2     4   5     5 5
+--R         (b c x  + 5a b c x  + 10a b c x  + 10a b c x  + 5a b c x + a c )
+--R      *
+--R           n log(b c x + a c)
+--R         %e
+--R     + 
+--R                      n + 5
+--R       - (b c x + a c)
+--R  /
+--R      5
+--R     c
+--R                                                    Type: Expression(Integer)
+--E 2757
+
+)clear all
+
+--S 2758 of 2952
+t0000:=(a+b*x)^5*(a*c+b*c*x)^3
+--R 
+--R
+--R   (1)
+--R      8 3 8       7 3 7      2 6 3 6      3 5 3 5      4 4 3 4      5 3 3 3
+--R     b c x  + 8a b c x  + 28a b c x  + 56a b c x  + 70a b c x  + 56a b c x
+--R   + 
+--R        6 2 3 2     7   3     8 3
+--R     28a b c x  + 8a b c x + a c
+--R                                                    Type: Polynomial(Integer)
+--E 2758
+
+--S 2759 of 2952
+r0000:=1/9*c^3*(a+b*x)^9/b
+--R 
+--R
+--R   (2)
+--R       1  9 3 9      8 3 8     2 7 3 7   28  3 6 3 6      4 5 3 5      5 4 3 4
+--R       - b c x  + a b c x  + 4a b c x  + -- a b c x  + 14a b c x  + 14a b c x
+--R       9                                  3
+--R     + 
+--R       28  6 3 3 3     7 2 3 2    8   3    1  9 3
+--R       -- a b c x  + 4a b c x  + a b c x + - a c
+--R        3                                  9
+--R  /
+--R     b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 2759
+
+--S 2760 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R     1  8 3 9      7 3 8     2 6 3 7   28  3 5 3 6      4 4 3 5      5 3 3 4
+--R     - b c x  + a b c x  + 4a b c x  + -- a b c x  + 14a b c x  + 14a b c x
+--R     9                                  3
+--R   + 
+--R     28  6 2 3 3     7   3 2    8 3
+--R     -- a b c x  + 4a b c x  + a c x
+--R      3
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 2760
+
+--S 2761 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R          1  9 3
+--R          - a c
+--R          9
+--R   (4)  - ------
+--R             b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 2761
+
+--S 2762 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 2762
+
+)clear all
+
+--S 2763 of 2952
+t0000:=(a+b*x)^5*(a*c+b*c*x)^2
+--R 
+--R
+--R   (1)
+--R      7 2 7       6 2 6      2 5 2 5      3 4 2 4      4 3 2 3      5 2 2 2
+--R     b c x  + 7a b c x  + 21a b c x  + 35a b c x  + 35a b c x  + 21a b c x
+--R   + 
+--R       6   2     7 2
+--R     7a b c x + a c
+--R                                                    Type: Polynomial(Integer)
+--E 2763
+
+--S 2764 of 2952
+r0000:=1/8*c^2*(a+b*x)^8/b
+--R 
+--R
+--R   (2)
+--R       1  8 2 8      7 2 7   7  2 6 2 6     3 5 2 5   35  4 4 2 4     5 3 2 3
+--R       - b c x  + a b c x  + - a b c x  + 7a b c x  + -- a b c x  + 7a b c x
+--R       8                     2                         4
+--R     + 
+--R       7  6 2 2 2    7   2    1  8 2
+--R       - a b c x  + a b c x + - a c
+--R       2                      8
+--R  /
+--R     b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 2764
+
+--S 2765 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R     1  7 2 8      6 2 7   7  2 5 2 6     3 4 2 5   35  4 3 2 4     5 2 2 3
+--R     - b c x  + a b c x  + - a b c x  + 7a b c x  + -- a b c x  + 7a b c x
+--R     8                     2                         4
+--R   + 
+--R     7  6   2 2    7 2
+--R     - a b c x  + a c x
+--R     2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 2765
+
+--S 2766 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R          1  8 2
+--R          - a c
+--R          8
+--R   (4)  - ------
+--R             b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 2766
+
+--S 2767 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 2767
+
+)clear all
+
+--S 2768 of 2952
+t0000:=(a+b*x)^5*(a*c+b*c*x)
+--R 
+--R
+--R   (1)
+--R    6   6       5   5      2 4   4      3 3   3      4 2   2     5         6
+--R   b c x  + 6a b c x  + 15a b c x  + 20a b c x  + 15a b c x  + 6a b c x + a c
+--R                                                    Type: Polynomial(Integer)
+--E 2768
+
+--S 2769 of 2952
+r0000:=1/7*c*(a+b*x)^7/b
+--R 
+--R
+--R   (2)
+--R       1  7   7      6   6     2 5   5     3 4   4     4 3   3     5 2   2
+--R       - b c x  + a b c x  + 3a b c x  + 5a b c x  + 5a b c x  + 3a b c x
+--R       7
+--R     + 
+--R        6        1  7
+--R       a b c x + - a c
+--R                 7
+--R  /
+--R     b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 2769
+
+--S 2770 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R   (3)
+--R   1  6   7      5   6     2 4   5     3 3   4     4 2   3     5     2    6
+--R   - b c x  + a b c x  + 3a b c x  + 5a b c x  + 5a b c x  + 3a b c x  + a c x
+--R   7
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 2770
+
+--S 2771 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R          1  7
+--R          - a c
+--R          7
+--R   (4)  - -----
+--R            b
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 2771
+
+--S 2772 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 2772
+
+)clear all
+
+--S 2773 of 2952
+t0000:=(a+b*x)^5/(a*c+b*c*x)
+--R 
+--R
+--R         4 4       3 3     2 2 2     3       4
+--R        b x  + 4a b x  + 6a b x  + 4a b x + a
+--R   (1)  --------------------------------------
+--R                           c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 2773
+
+--S 2774 of 2952
+r0000:=1/5*(a+b*x)^5/(b*c)
+--R 
+--R
+--R        1  5 5      4 4     2 3 3     3 2 2    4      1  5
+--R        - b x  + a b x  + 2a b x  + 2a b x  + a b x + - a
+--R        5                                             5
+--R   (2)  --------------------------------------------------
+--R                                b c
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 2774
+
+--S 2775 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R         4 5       3 4      2 2 3      3   2     4
+--R        b x  + 5a b x  + 10a b x  + 10a b x  + 5a x
+--R   (3)  -------------------------------------------
+--R                             5c
+--R                                         Type: Union(Expression(Integer),...)
+--E 2775
+
+--S 2776 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R            5
+--R           a
+--R   (4)  - ----
+--R          5b c
+--R                                                    Type: Expression(Integer)
+--E 2776
+
+--S 2777 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2777
+
+)clear all
+
+--S 2778 of 2952
+t0000:=(a+b*x)^5/(a*c+b*c*x)^2
+--R 
+--R
+--R         3 3       2 2     2       3
+--R        b x  + 3a b x  + 3a b x + a
+--R   (1)  ----------------------------
+--R                      2
+--R                     c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 2778
+
+--S 2779 of 2952
+r0000:=1/4*(a+b*x)^4/(b*c^2)
+--R 
+--R
+--R        1  4 4      3 3   3  2 2 2    3      1  4
+--R        - b x  + a b x  + - a b x  + a b x + - a
+--R        4                 2                  4
+--R   (2)  -----------------------------------------
+--R                              2
+--R                           b c
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 2779
+
+--S 2780 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R         3 4       2 3     2   2     3
+--R        b x  + 4a b x  + 6a b x  + 4a x
+--R   (3)  -------------------------------
+--R                        2
+--R                      4c
+--R                                         Type: Union(Expression(Integer),...)
+--E 2780
+
+--S 2781 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R             4
+--R            a
+--R   (4)  - -----
+--R              2
+--R          4b c
+--R                                                    Type: Expression(Integer)
+--E 2781
+
+--S 2782 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2782
+
+)clear all
+
+--S 2783 of 2952
+t0000:=(a+b*x)^5/(a*c+b*c*x)^3
+--R 
+--R
+--R         2 2             2
+--R        b x  + 2a b x + a
+--R   (1)  ------------------
+--R                 3
+--R                c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 2783
+
+--S 2784 of 2952
+r0000:=1/3*(a+b*x)^3/(b*c^3)
+--R 
+--R
+--R        1  3 3      2 2    2      1  3
+--R        - b x  + a b x  + a b x + - a
+--R        3                         3
+--R   (2)  ------------------------------
+--R                        3
+--R                     b c
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 2784
+
+--S 2785 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R         2 3         2     2
+--R        b x  + 3a b x  + 3a x
+--R   (3)  ---------------------
+--R                   3
+--R                 3c
+--R                                         Type: Union(Expression(Integer),...)
+--E 2785
+
+--S 2786 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R             3
+--R            a
+--R   (4)  - -----
+--R              3
+--R          3b c
+--R                                                    Type: Expression(Integer)
+--E 2786
+
+--S 2787 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2787
+
+)clear all
+
+--S 2788 of 2952
+t0000:=(a+b*x)^5/(a*c+b*c*x)^4
+--R 
+--R
+--R        b x + a
+--R   (1)  -------
+--R            4
+--R           c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 2788
+
+--S 2789 of 2952
+r0000:=a*x/c^4+1/2*b*x^2/c^4
+--R 
+--R
+--R        1    2
+--R        - b x  + a x
+--R        2
+--R   (2)  ------------
+--R              4
+--R             c
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 2789
+
+--S 2790 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           2
+--R        b x  + 2a x
+--R   (3)  -----------
+--R              4
+--R            2c
+--R                                         Type: Union(Expression(Integer),...)
+--E 2790
+
+--S 2791 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2791
+
+--S 2792 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2792
+
+)clear all
+
+--S 2793 of 2952
+t0000:=(a+b*x)^5/(a*c+b*c*x)^5
+--R 
+--R
+--R         1
+--R   (1)  --
+--R         5
+--R        c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 2793
+
+--S 2794 of 2952
+r0000:=x/c^5
+--R 
+--R
+--R         x
+--R   (2)  --
+--R         5
+--R        c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 2794
+
+--S 2795 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R         x
+--R   (3)  --
+--R         5
+--R        c
+--R                                         Type: Union(Expression(Integer),...)
+--E 2795
+
+--S 2796 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2796
+
+--S 2797 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2797
+
+)clear all
+
+--S 2798 of 2952
+t0000:=(a+b*x)^5/(a*c+b*c*x)^6
+--R 
+--R
+--R              1
+--R   (1)  ------------
+--R           6       6
+--R        b c x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 2798
+
+--S 2799 of 2952
+r0000:=log(a+b*x)/(b*c^6)
+--R 
+--R
+--R        log(b x + a)
+--R   (2)  ------------
+--R               6
+--R            b c
+--R                                                    Type: Expression(Integer)
+--E 2799
+
+--S 2800 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        log(b x + a)
+--R   (3)  ------------
+--R               6
+--R            b c
+--R                                         Type: Union(Expression(Integer),...)
+--E 2800
+
+--S 2801 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2801
+
+--S 2802 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2802
+
+)clear all
+
+--S 2803 of 2952
+t0000:=(a+b*x)^5/(a*c+b*c*x)^7
+--R 
+--R
+--R                    1
+--R   (1)  ------------------------
+--R         2 7 2         7     2 7
+--R        b c x  + 2a b c x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 2803
+
+--S 2804 of 2952
+r0000:=(-1)/(b*c^7*(a+b*x))
+--R 
+--R
+--R                 1
+--R   (2)  - --------------
+--R           2 7         7
+--R          b c x + a b c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 2804
+
+--S 2805 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                 1
+--R   (3)  - --------------
+--R           2 7         7
+--R          b c x + a b c
+--R                                         Type: Union(Expression(Integer),...)
+--E 2805
+
+--S 2806 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2806
+
+--S 2807 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2807
+
+)clear all
+
+--S 2808 of 2952
+t0000:=(a+b*x)^5/(a*c+b*c*x)^8
+--R 
+--R
+--R                          1
+--R   (1)  ------------------------------------
+--R         3 8 3       2 8 2     2   8     3 8
+--R        b c x  + 3a b c x  + 3a b c x + a c
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 2808
+
+--S 2809 of 2952
+r0000:=(-1/2)/(b*c^8*(a+b*x)^2)
+--R 
+--R
+--R                       1
+--R                       -
+--R                       2
+--R   (2)  - --------------------------
+--R           3 8 2       2 8     2   8
+--R          b c x  + 2a b c x + a b c
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 2809
+
+--S 2810 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                        1
+--R   (3)  - ----------------------------
+--R            3 8 2       2 8      2   8
+--R          2b c x  + 4a b c x + 2a b c
+--R                                         Type: Union(Expression(Integer),...)
+--E 2810
+
+--S 2811 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2811
+
+--S 2812 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2812
+
+)clear all
+
+--S 2813 of 2952
+t0000:=1/(sqrt(-2-3*x)*sqrt(2+3*x))
+--R 
+--R
+--R                  1
+--R   (1)  --------------------
+--R         +--------+ +------+
+--R        \|- 3x - 2 \|3x + 2
+--R                                                    Type: Expression(Integer)
+--E 2813
+
+--S 2814 of 2952
+r0000:=1/3*log(2+3*x)*sqrt(2+3*x)/sqrt(-2-3*x)
+--R 
+--R
+--R                    +------+
+--R        log(3x + 2)\|3x + 2
+--R   (2)  --------------------
+--R              +--------+
+--R            3\|- 3x - 2
+--R                                                    Type: Expression(Integer)
+--E 2814
+
+--S 2815 of 2952
+--a0000:=integrate(t0000,x)
+--E 2815
+
+--S 2816 of 2952
+--m0000:=a0000 - r0000
+--E 2816
+
+--S 2817 of 2952
+--d0000:=D(m0000,x)
+--E 2817
+
+)clear all
+
+--S 2818 of 2952
+t0000:=a+b*x+c*x^2+d*x^3
+--R 
+--R
+--R           3      2
+--R   (1)  d x  + c x  + b x + a
+--R                                                    Type: Polynomial(Integer)
+--E 2818
+
+--S 2819 of 2952
+r0000:=a*x+1/2*b*x^2+1/3*c*x^3+1/4*d*x^4
+--R 
+--R
+--R        1    4   1    3   1    2
+--R   (2)  - d x  + - c x  + - b x  + a x
+--R        4        3        2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 2819
+
+--S 2820 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        1    4   1    3   1    2
+--R   (3)  - d x  + - c x  + - b x  + a x
+--R        4        3        2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 2820
+
+--S 2821 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 2821
+
+--S 2822 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 2822
+
+)clear all
+
+--S 2823 of 2952
+t0000:=-x^3+x^4
+--R 
+--R
+--R         4    3
+--R   (1)  x  - x
+--R                                                    Type: Polynomial(Integer)
+--E 2823
+
+--S 2824 of 2952
+r0000:=-1/4*x^4+1/5*x^5
+--R 
+--R
+--R        1  5   1  4
+--R   (2)  - x  - - x
+--R        5      4
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 2824
+
+--S 2825 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        1  5   1  4
+--R   (3)  - x  - - x
+--R        5      4
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 2825
+
+--S 2826 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 2826
+
+--S 2827 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 2827
+
+)clear all
+
+--S 2828 of 2952
+t0000:=-1+x^5
+--R 
+--R
+--R         5
+--R   (1)  x  - 1
+--R                                                    Type: Polynomial(Integer)
+--E 2828
+
+--S 2829 of 2952
+r0000:=-x+1/6*x^6
+--R 
+--R
+--R        1  6
+--R   (2)  - x  - x
+--R        6
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 2829
+
+--S 2830 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        1  6
+--R   (3)  - x  - x
+--R        6
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 2830
+
+--S 2831 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 2831
+
+--S 2832 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 2832
+
+)clear all
+
+--S 2833 of 2952
+t0000:=7+4*x
+--R 
+--R
+--R   (1)  4x + 7
+--R                                                    Type: Polynomial(Integer)
+--E 2833
+
+--S 2834 of 2952
+r0000:=7*x+2*x^2
+--R 
+--R
+--R          2
+--R   (2)  2x  + 7x
+--R                                                    Type: Polynomial(Integer)
+--E 2834
+
+--S 2835 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R          2
+--R   (3)  2x  + 7x
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 2835
+
+--S 2836 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 2836
+
+--S 2837 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 2837
+
+)clear all
+
+--S 2838 of 2952
+t0000:=4*x+%pi*x^3
+--R 
+--R
+--R             3
+--R   (1)  %pi x  + 4x
+--R                                                    Type: Expression(Integer)
+--E 2838
+
+--S 2839 of 2952
+r0000:=2*x^2+1/4*%pi*x^4
+--R 
+--R
+--R             4     2
+--R        %pi x  + 8x
+--R   (2)  ------------
+--R              4
+--R                                                    Type: Expression(Integer)
+--E 2839
+
+--S 2840 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R             4     2
+--R        %pi x  + 8x
+--R   (3)  ------------
+--R              4
+--R                                         Type: Union(Expression(Integer),...)
+--E 2840
+
+--S 2841 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2841
+
+--S 2842 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2842
+
+)clear all
+
+--S 2843 of 2952
+t0000:=2*x+5*x^2
+--R 
+--R
+--R          2
+--R   (1)  5x  + 2x
+--R                                                    Type: Polynomial(Integer)
+--E 2843
+
+--S 2844 of 2952
+r0000:=x^2+5/3*x^3
+--R 
+--R
+--R        5  3    2
+--R   (2)  - x  + x
+--R        3
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 2844
+
+--S 2845 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        5  3    2
+--R   (3)  - x  + x
+--R        3
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 2845
+
+--S 2846 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 2846
+
+--S 2847 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 2847
+
+)clear all
+
+--S 2848 of 2952
+t0000:=1/2*x^2+1/3*x^3
+--R 
+--R
+--R        1  3   1  2
+--R   (1)  - x  + - x
+--R        3      2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 2848
+
+--S 2849 of 2952
+r0000:=1/6*x^3+1/12*x^4
+--R 
+--R
+--R         1  4   1  3
+--R   (2)  -- x  + - x
+--R        12      6
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 2849
+
+--S 2850 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R         1  4   1  3
+--R   (3)  -- x  + - x
+--R        12      6
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 2850
+
+--S 2851 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 2851
+
+--S 2852 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 2852
+
+)clear all
+
+--S 2853 of 2952
+t0000:=3-5*x+2*x^2
+--R 
+--R
+--R          2
+--R   (1)  2x  - 5x + 3
+--R                                                    Type: Polynomial(Integer)
+--E 2853
+
+--S 2854 of 2952
+r0000:=3*x-5/2*x^2+2/3*x^3
+--R 
+--R
+--R        2  3   5  2
+--R   (2)  - x  - - x  + 3x
+--R        3      2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 2854
+
+--S 2855 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        2  3   5  2
+--R   (3)  - x  - - x  + 3x
+--R        3      2
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 2855
+
+--S 2856 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 2856
+
+--S 2857 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 2857
+
+)clear all
+
+--S 2858 of 2952
+t0000:=-2*x+x^2+x^3
+--R 
+--R
+--R         3    2
+--R   (1)  x  + x  - 2x
+--R                                                    Type: Polynomial(Integer)
+--E 2858
+
+--S 2859 of 2952
+r0000:=-x^2+1/3*x^3+1/4*x^4
+--R 
+--R
+--R        1  4   1  3    2
+--R   (2)  - x  + - x  - x
+--R        4      3
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 2859
+
+--S 2860 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        1  4   1  3    2
+--R   (3)  - x  + - x  - x
+--R        4      3
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 2860
+
+--S 2861 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 2861
+
+--S 2862 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 2862
+
+)clear all
+
+--S 2863 of 2952
+t0000:=1-x^2-3*x^5
+--R 
+--R
+--R            5    2
+--R   (1)  - 3x  - x  + 1
+--R                                                    Type: Polynomial(Integer)
+--E 2863
+
+--S 2864 of 2952
+r0000:=x-1/3*x^3-1/2*x^6
+--R 
+--R
+--R          1  6   1  3
+--R   (2)  - - x  - - x  + x
+--R          2      3
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 2864
+
+--S 2865 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R          1  6   1  3
+--R   (3)  - - x  - - x  + x
+--R          2      3
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 2865
+
+--S 2866 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 2866
+
+--S 2867 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 2867
+
+)clear all
+
+--S 2868 of 2952
+t0000:=5+2*x+3*x^2+4*x^3
+--R 
+--R
+--R          3     2
+--R   (1)  4x  + 3x  + 2x + 5
+--R                                                    Type: Polynomial(Integer)
+--E 2868
+
+--S 2869 of 2952
+r0000:=5*x+x^2+x^3+x^4
+--R 
+--R
+--R         4    3    2
+--R   (2)  x  + x  + x  + 5x
+--R                                                    Type: Polynomial(Integer)
+--E 2869
+
+--S 2870 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R         4    3    2
+--R   (3)  x  + x  + x  + 5x
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 2870
+
+--S 2871 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 2871
+
+--S 2872 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                          Type: Polynomial(Fraction(Integer))
+--E 2872
+
+)clear all
+
+--S 2873 of 2952
+t0000:=a+d/x^3+c/x^2+b/x
+--R 
+--R
+--R           3      2
+--R        a x  + b x  + c x + d
+--R   (1)  ---------------------
+--R                   3
+--R                  x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 2873
+
+--S 2874 of 2952
+r0000:=-1/2*d/x^2-c/x+a*x+b*log(x)
+--R 
+--R
+--R            2             3
+--R        2b x log(x) + 2a x  - 2c x - d
+--R   (2)  ------------------------------
+--R                        2
+--R                      2x
+--R                                                    Type: Expression(Integer)
+--E 2874
+
+--S 2875 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R            2             3
+--R        2b x log(x) + 2a x  - 2c x - d
+--R   (3)  ------------------------------
+--R                        2
+--R                      2x
+--R                                         Type: Union(Expression(Integer),...)
+--E 2875
+
+--S 2876 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2876
+
+--S 2877 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2877
+
+)clear all
+
+--S 2878 of 2952
+t0000:=1/x^5+x+x^5
+--R 
+--R
+--R         10    6
+--R        x   + x  + 1
+--R   (1)  ------------
+--R              5
+--R             x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 2878
+
+--S 2879 of 2952
+r0000:=(-1/4)/x^4+1/2*x^2+1/6*x^6
+--R 
+--R
+--R        1  10   1  6   1
+--R        - x   + - x  - -
+--R        6       2      4
+--R   (2)  ----------------
+--R                4
+--R               x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 2879
+
+--S 2880 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R          10     6
+--R        2x   + 6x  - 3
+--R   (3)  --------------
+--R                4
+--R             12x
+--R                                         Type: Union(Expression(Integer),...)
+--E 2880
+
+--S 2881 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2881
+
+--S 2882 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2882
+
+)clear all
+
+--S 2883 of 2952
+t0000:=1/x^3+1/x^2+1/x
+--R 
+--R
+--R         2
+--R        x  + x + 1
+--R   (1)  ----------
+--R             3
+--R            x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 2883
+
+--S 2884 of 2952
+r0000:=(-1/2)/x^2+(-1)/x+log(x)
+--R 
+--R
+--R          2
+--R        2x log(x) - 2x - 1
+--R   (2)  ------------------
+--R                  2
+--R                2x
+--R                                                    Type: Expression(Integer)
+--E 2884
+
+--S 2885 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R          2
+--R        2x log(x) - 2x - 1
+--R   (3)  ------------------
+--R                  2
+--R                2x
+--R                                         Type: Union(Expression(Integer),...)
+--E 2885
+
+--S 2886 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2886
+
+--S 2887 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2887
+
+)clear all
+
+--S 2888 of 2952
+t0000:=(-2)/x^2+3/x
+--R 
+--R
+--R        3x - 2
+--R   (1)  ------
+--R           2
+--R          x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 2888
+
+--S 2889 of 2952
+r0000:=2/x+3*log(x)
+--R 
+--R
+--R        3x log(x) + 2
+--R   (2)  -------------
+--R              x
+--R                                                    Type: Expression(Integer)
+--E 2889
+
+--S 2890 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        3x log(x) + 2
+--R   (3)  -------------
+--R              x
+--R                                         Type: Union(Expression(Integer),...)
+--E 2890
+
+--S 2891 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2891
+
+--S 2892 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2892
+
+)clear all
+
+--S 2893 of 2952
+t0000:=(-1/7)/x^6+x^6
+--R 
+--R
+--R         12   1
+--R        x   - -
+--R              7
+--R   (1)  -------
+--R            6
+--R           x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 2893
+
+--S 2894 of 2952
+r0000:=1/35/x^5+1/7*x^7
+--R 
+--R
+--R        1  12    1
+--R        - x   + --
+--R        7       35
+--R   (2)  ----------
+--R             5
+--R            x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 2894
+
+--S 2895 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        1  12    1
+--R        - x   + --
+--R        7       35
+--R   (3)  ----------
+--R             5
+--R            x
+--R                               Type: Union(Expression(Fraction(Integer)),...)
+--E 2895
+
+--S 2896 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                          Type: Expression(Fraction(Integer))
+--E 2896
+
+--S 2897 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                          Type: Expression(Fraction(Integer))
+--E 2897
+
+)clear all
+
+--S 2898 of 2952
+t0000:=1+1/x+x
+--R 
+--R
+--R         2
+--R        x  + x + 1
+--R   (1)  ----------
+--R             x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 2898
+
+--S 2899 of 2952
+r0000:=x+1/2*x^2+log(x)
+--R 
+--R
+--R                   2
+--R        2log(x) + x  + 2x
+--R   (2)  -----------------
+--R                2
+--R                                                    Type: Expression(Integer)
+--E 2899
+
+--S 2900 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                   2
+--R        2log(x) + x  + 2x
+--R   (3)  -----------------
+--R                2
+--R                                         Type: Union(Expression(Integer),...)
+--E 2900
+
+--S 2901 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2901
+
+--S 2902 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2902
+
+)clear all
+
+--S 2903 of 2952
+t0000:=(-3)/x^3+4/x^2
+--R 
+--R
+--R        4x - 3
+--R   (1)  ------
+--R           3
+--R          x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 2903
+
+--S 2904 of 2952
+r0000:=3/2/x^2+(-4)/x
+--R 
+--R
+--R               3
+--R        - 4x + -
+--R               2
+--R   (2)  --------
+--R            2
+--R           x
+--R                                Type: Fraction(Polynomial(Fraction(Integer)))
+--E 2904
+
+--S 2905 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R        - 8x + 3
+--R   (3)  --------
+--R             2
+--R           2x
+--R                                         Type: Union(Expression(Integer),...)
+--E 2905
+
+--S 2906 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2906
+
+--S 2907 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2907
+
+)clear all
+
+--S 2908 of 2952
+t0000:=1/x+2*x+x^2
+--R 
+--R
+--R         3     2
+--R        x  + 2x  + 1
+--R   (1)  ------------
+--R              x
+--R                                          Type: Fraction(Polynomial(Integer))
+--E 2908
+
+--S 2909 of 2952
+r0000:=x^2+1/3*x^3+log(x)
+--R 
+--R
+--R                   3     2
+--R        3log(x) + x  + 3x
+--R   (2)  ------------------
+--R                 3
+--R                                                    Type: Expression(Integer)
+--E 2909
+
+--S 2910 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                   3     2
+--R        3log(x) + x  + 3x
+--R   (3)  ------------------
+--R                 3
+--R                                         Type: Union(Expression(Integer),...)
+--E 2910
+
+--S 2911 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2911
+
+--S 2912 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2912
+
+)clear all
+
+--S 2913 of 2952
+t0000:=x^(5/6)-x^3
+--R 
+--R
+--R        6+-+5    3
+--R   (1)  \|x   - x
+--R                                                    Type: Expression(Integer)
+--E 2913
+
+--S 2914 of 2952
+r0000:=6/11*x^(11/6)-1/4*x^4
+--R 
+--R
+--R            6+-+5      4
+--R        24x \|x   - 11x
+--R   (2)  ----------------
+--R               44
+--R                                                    Type: Expression(Integer)
+--E 2914
+
+--S 2915 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R            6+-+5      4
+--R        24x \|x   - 11x
+--R   (3)  ----------------
+--R               44
+--R                                         Type: Union(Expression(Integer),...)
+--E 2915
+
+--S 2916 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2916
+
+--S 2917 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2917
+
+)clear all
+
+--S 2918 of 2952
+t0000:=33+x^(1/33)
+--R 
+--R
+--R        33+-+
+--R   (1)   \|x  + 33
+--R                                                    Type: Expression(Integer)
+--E 2918
+
+--S 2919 of 2952
+r0000:=33*x+33/34*x^(34/33)
+--R 
+--R
+--R           33+-+
+--R        33x \|x  + 1122x
+--R   (2)  ----------------
+--R               34
+--R                                                    Type: Expression(Integer)
+--E 2919
+
+--S 2920 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           33+-+
+--R        33x \|x  + 1122x
+--R   (3)  ----------------
+--R               34
+--R                                         Type: Union(Expression(Integer),...)
+--E 2920
+
+--S 2921 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2921
+
+--S 2922 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2922
+
+)clear all
+
+--S 2923 of 2952
+t0000:=1/2/sqrt(x)+2*sqrt(x)
+--R 
+--R
+--R        4x + 1
+--R   (1)  ------
+--R           +-+
+--R         2\|x
+--R                                                    Type: Expression(Integer)
+--E 2923
+
+--S 2924 of 2952
+r0000:=4/3*x^(3/2)+sqrt(x)
+--R 
+--R
+--R                 +-+
+--R        (4x + 3)\|x
+--R   (2)  ------------
+--R              3
+--R                                                    Type: Expression(Integer)
+--E 2924
+
+--S 2925 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                 +-+
+--R        (4x + 3)\|x
+--R   (3)  ------------
+--R              3
+--R                                         Type: Union(Expression(Integer),...)
+--E 2925
+
+--S 2926 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2926
+
+--S 2927 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2927
+
+)clear all
+
+--S 2928 of 2952
+t0000:=(-1)/x^2+10/x+6*sqrt(x)
+--R 
+--R
+--R          2 +-+
+--R        6x \|x  + 10x - 1
+--R   (1)  -----------------
+--R                 2
+--R                x
+--R                                                    Type: Expression(Integer)
+--E 2928
+
+--S 2929 of 2952
+r0000:=1/x+4*x^(3/2)+10*log(x)
+--R 
+--R
+--R          2 +-+
+--R        4x \|x  + 10x log(x) + 1
+--R   (2)  ------------------------
+--R                    x
+--R                                                    Type: Expression(Integer)
+--E 2929
+
+--S 2930 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                 +-+      2 +-+
+--R        20x log(\|x ) + 4x \|x  + 1
+--R   (3)  ---------------------------
+--R                     x
+--R                                         Type: Union(Expression(Integer),...)
+--E 2930
+
+--S 2931 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R               +-+
+--R   (4)  20log(\|x ) - 10log(x)
+--R                                                    Type: Expression(Integer)
+--E 2931
+
+--S 2932 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2932
+
+)clear all
+
+--S 2933 of 2952
+t0000:=1/x^(3/2)+x^(3/2)
+--R 
+--R
+--R         3
+--R        x  + 1
+--R   (1)  ------
+--R           +-+
+--R         x\|x
+--R                                                    Type: Expression(Integer)
+--E 2933
+
+--S 2934 of 2952
+r0000:=2/5*x^(5/2)+(-2)/sqrt(x)
+--R 
+--R
+--R          3
+--R        2x  - 10
+--R   (2)  --------
+--R            +-+
+--R          5\|x
+--R                                                    Type: Expression(Integer)
+--E 2934
+
+--S 2935 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R          3
+--R        2x  - 10
+--R   (3)  --------
+--R            +-+
+--R          5\|x
+--R                                         Type: Union(Expression(Integer),...)
+--E 2935
+
+--S 2936 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2936
+
+--S 2937 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2937
+
+)clear all
+
+--S 2938 of 2952
+t0000:=-5*x^(3/2)+7*x^(5/2)
+--R 
+--R
+--R           2       +-+
+--R   (1)  (7x  - 5x)\|x
+--R                                                    Type: Expression(Integer)
+--E 2938
+
+--S 2939 of 2952
+r0000:=-2*x^(5/2)+2*x^(7/2)
+--R 
+--R
+--R           3     2  +-+
+--R   (2)  (2x  - 2x )\|x
+--R                                                    Type: Expression(Integer)
+--E 2939
+
+--S 2940 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R           3     2  +-+
+--R   (3)  (2x  - 2x )\|x
+--R                                         Type: Union(Expression(Integer),...)
+--E 2940
+
+--S 2941 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2941
+
+--S 2942 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2942
+
+)clear all
+
+--S 2943 of 2952
+t0000:=-1/2*x+2/sqrt(x)+sqrt(x)
+--R 
+--R
+--R            +-+
+--R        - x\|x  + 2x + 4
+--R   (1)  ----------------
+--R                +-+
+--R              2\|x
+--R                                                    Type: Expression(Integer)
+--E 2943
+
+--S 2944 of 2952
+r0000:=2/3*x^(3/2)-1/4*x^2+4*sqrt(x)
+--R 
+--R
+--R                  +-+     2
+--R        (8x + 48)\|x  - 3x
+--R   (2)  -------------------
+--R                 12
+--R                                                    Type: Expression(Integer)
+--E 2944
+
+--S 2945 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                  +-+     2
+--R        (8x + 48)\|x  - 3x
+--R   (3)  -------------------
+--R                 12
+--R                                         Type: Union(Expression(Integer),...)
+--E 2945
+
+--S 2946 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R   (4)  0
+--R                                                    Type: Expression(Integer)
+--E 2946
+
+--S 2947 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2947
+
+)clear all
+
+--S 2948 of 2952
+t0000:=(-2)/x+x^(3/2)+1/5*sqrt(x)
+--R 
+--R
+--R           2      +-+
+--R        (5x  + x)\|x  - 10
+--R   (1)  ------------------
+--R                5x
+--R                                                    Type: Expression(Integer)
+--E 2948
+
+--S 2949 of 2952
+r0000:=2/15*x^(3/2)+2/5*x^(5/2)-2*log(x)
+--R 
+--R
+--R           2       +-+
+--R        (6x  + 2x)\|x  - 30log(x)
+--R   (2)  -------------------------
+--R                    15
+--R                                                    Type: Expression(Integer)
+--E 2949
+
+--S 2950 of 2952
+a0000:=integrate(t0000,x)
+--R 
+--R
+--R                 +-+       2       +-+
+--R        - 60log(\|x ) + (6x  + 2x)\|x
+--R   (3)  ------------------------------
+--R                      15
+--R                                         Type: Union(Expression(Integer),...)
+--E 2950
+
+--S 2951 of 2952
+m0000:=a0000 - r0000
+--R 
+--R
+--R                +-+
+--R   (4)  - 4log(\|x ) + 2log(x)
+--R                                                    Type: Expression(Integer)
+--E 2951
+
+--S 2952 of 2952
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
+--E 2952
+
+
+)spool
+ 
+)lisp (bye)
+ 
+\end{chunk}
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} nothing
+\end{thebibliography}
+\end{document}
+
diff --git a/src/interp/Makefile.pamphlet b/src/interp/Makefile.pamphlet
index 1cf2855..2bb050b 100644
--- a/src/interp/Makefile.pamphlet
+++ b/src/interp/Makefile.pamphlet
@@ -738,7 +738,16 @@ ${MID}/debugsys.lisp: ${IN}/debugsys.lisp.pamphlet
 
 @
 
-
+\section{The databases}
+\subsection{autoload dependencies}
+If you are adding a file which is to be autoloaded the following step
+information is useful. There are 2 cases:
+\begin{enumerate}
+\item adding files to currently autoloaded parts\\
+(as of 2/92: browser old parser and old compiler)
+\item adding new files
+\begin{itemize}
+\item case 1:
 \item [(a)] you have to add the file to the list of files currently there
 (e.g. see BROBJS above)
 \item [(b)] add an autolaod rule
